### Description
![HydraulicValvePlate picture](svg/valveplate.svg)

A hydraulic valve plate component of Q-type

#### Input Variables
* **phi_P** - Length of grooves [deg]
* **phi_1** - Length of first pre-compression chamber [deg]
* **phi_2** - Length of second pre-compression chamber [deg]
* **Delta_alpha** - Length of rounded ends [deg]
* **alpha_f** - Length of each port [deg]
* **R_f** - Radius to groove center line [m]
* **theta_1** - Angle 1 [deg]
* **theta_2** - Angle 2 [deg]
* **rho** - Oil density [kg/m^3]
* **movement** - Movement [rad/s]

### Theory
Each hydraulic connection is connected to either input or output port depending on the angle. Opening areas are modelled as grooves with pre-compression chambers according to the picture below.

![Grooves picture](svg/valveplate_help.svg)

