(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    225957,       4976]
NotebookOptionsPosition[    211194,       4556]
NotebookOutlinePosition[    211864,       4579]
CellTagsIndexPosition[    211821,       4576]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Compgen Executor", "Title",
 CellChangeTimes->{{3.4779983420160294`*^9, 3.4779983526597185`*^9}, {
  3.57574170486287*^9, 3.575741706828474*^9}, {3.6057966987911043`*^9, 
  3.605796704127409*^9}}],

Cell["\<\
Opens and evaluate component notebooks and evaluate them to regenerate \
component models.\
\>", "Text",
 CellChangeTimes->{{3.6057967088086767`*^9, 3.6057967456767855`*^9}}],

Cell[CellGroupData[{

Cell["General", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6058559898129344`*^9, 
  3.6058559914360967`*^9}, {3.6124577358230257`*^9, 3.6124577374981213`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "C:\\\\Hopsan\\Compgen\\CompgenNG.mx"}]], "Input",
 CellChangeTimes->{{3.5772037650720577`*^9, 3.5772037650780582`*^9}, {
  3.611474457184202*^9, 3.611474523938877*^9}, {3.6114745588913717`*^9, 
  3.61147456057154*^9}}],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}]], "Input",
 PageWidth->WindowWidth],

Cell["What do you want to do?", "Subsection",
 CellChangeTimes->{{3.5719269675877132`*^9, 3.5719269908317537`*^9}, {
  3.611631447077469*^9, 3.611631452292512*^9}}],

Cell["\<\
Use this if you just want to regenerate the code and generate pdf\
\>", "Text",
 CellChangeTimes->{{3.605853583728322*^9, 3.605853603280305*^9}, {
  3.606021899906555*^9, 3.6060219108375554`*^9}, {3.6065859987565813`*^9, 
  3.6065859995976295`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path_", ",", "ComponentName_"}], "]"}], ":=", 
  RowBox[{"Bloc", "[", 
   RowBox[{
    RowBox[{"{", "componentNotebook", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"componentNotebook", "=", 
      RowBox[{"NotebookOpen", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{"path", ",", "ComponentName"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{"StringJoin", "[", 
        RowBox[{"path", ",", 
         RowBox[{"ToString", "[", 
          RowBox[{
           RowBox[{"ToExpression", "[", "ComponentName", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "\"\<.pdf\>\""}], 
        "]"}], ",", 
       RowBox[{"NotebookGet", "[", "componentNotebook", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"NotebookClose", "[", "componentNotebook", "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.6058875582711926`*^9, 3.605887560456318*^9}, {
  3.6065795712239475`*^9, 3.6065795721279993`*^9}}],

Cell["Use this if you just want to regenerate the code", "Text",
 CellChangeTimes->{{3.605853583728322*^9, 3.605853603280305*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path_", ",", "ComponentName_"}], "]"}], ":=", 
  RowBox[{"Bloc", "[", 
   RowBox[{
    RowBox[{"{", "componentNotebook", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"componentNotebook", "=", 
      RowBox[{"NotebookOpen", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{"path", ",", "ComponentName"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"NotebookClose", "[", "componentNotebook", "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.6058875582711926`*^9, 3.605887560456318*^9}, {
  3.6060218921135554`*^9, 3.6060218925045557`*^9}}],

Cell["Use this if you want to open and edit", "Text",
 CellChangeTimes->{{3.6058535708453217`*^9, 3.605853607501727*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path_", ",", "ComponentName_"}], "]"}], ":=", 
  RowBox[{"Bloc", "[", 
   RowBox[{
    RowBox[{"{", "componentNotebook1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"componentNotebook", "=", 
      RowBox[{"NotebookOpen", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{"path", ",", "ComponentName"}], "]"}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.605851395743559*^9, 3.6058514094789324`*^9}, {
   3.605851439935978*^9, 3.6058515089468784`*^9}, {3.6058515830452876`*^9, 
   3.6058517349894805`*^9}, 3.605851813624343*^9, {3.6058518834443245`*^9, 
   3.6058519609730763`*^9}, 3.605852000543033*^9, {3.6058520972257004`*^9, 
   3.605852108560834*^9}, {3.6058521447234497`*^9, 3.605852194961473*^9}, 
   3.605852247401716*^9, 3.605853555584322*^9, {3.6058730966468043`*^9, 
   3.605873126143754*^9}, {3.605873185787718*^9, 3.605873225427681*^9}, {
   3.605873321166254*^9, 3.6058733414942865`*^9}, 3.6058733879539323`*^9, {
   3.605873436770814*^9, 3.605873438759012*^9}, {3.6058751699888916`*^9, 
   3.605875213471379*^9}, {3.605875323517673*^9, 3.6058753362013984`*^9}, {
   3.6058875919771204`*^9, 3.605887600029581*^9}}],

Cell["\<\
Use this if you want to regenerate the code and leave open for edit\
\>", "Text",
 CellChangeTimes->{{3.6058535708453217`*^9, 3.605853607501727*^9}, {
  3.611476693862692*^9, 3.6114767023876915`*^9}, {3.6180860830701375`*^9, 
  3.618086083687173*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path_", ",", "ComponentName_"}], "]"}], ":=", 
  RowBox[{"Bloc", "[", 
   RowBox[{
    RowBox[{"{", "componentNotebook", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"componentNotebook", "=", 
      RowBox[{"NotebookOpen", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{"path", ",", "ComponentName"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.6058875582711926`*^9, 3.605887560456318*^9}, {
  3.6060218921135554`*^9, 3.6060218925045557`*^9}, {3.611476707482692*^9, 
  3.6114767083466916`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Electric Components", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6058559898129344`*^9, 
  3.6058559914360967`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Electric\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}, 
   3.6058530990363216`*^9, {3.605857158383504*^9, 3.6058571598065033`*^9}, 
   3.6058574431815033`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"RunCompgen", "[", 
    RowBox[{"path", ",", "\"\<ElectricResistor.nb\>\""}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857192036504*^9}, {3.6058573644725037`*^9, 3.6058573660965033`*^9}, {
   3.605875228257224*^9, 3.6058752294862947`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"StringJoin", "::", "string"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"String expected at position \[NoBreak]\\!\\(1\\)\[NoBreak] \
in \[NoBreak]\\!\\(defaultPath <> \\\"ElectricResistor.hpp\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/StringJoin\\\", ButtonNote -> \
\\\"StringJoin::string\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468798921022`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"StringJoin", "::", "string"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"String expected at position \[NoBreak]\\!\\(1\\)\[NoBreak] \
in \[NoBreak]\\!\\(defaultPath <> \\\"ElectricResistor.hpp\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/StringJoin\\\", ButtonNote -> \
\\\"StringJoin::string\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446879893102*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \
\[NoBreak]\\!\\(\\\"defaultPath<>ElectricResistor.hpp\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.61244688003011*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \
\[NoBreak]\\!\\(\\\"defaultPath<>ElectricResistor.hpp\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.61244688003211*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \
\[NoBreak]\\!\\(\\\"defaultPath<>ElectricResistor.hpp\\\"\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446880047111*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Write :: \
noopen\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468800711126`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "openx"}], "MessageName"], 
  RowBox[{
  ":", " "}], \
"\<\"\[NoBreak]\\!\\(\\\"defaultPath<>ElectricResistor.hpp\\\"\\)\[NoBreak] \
is not open. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/openx\\\", ButtonNote -> \
\\\"General::openx\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468801401167`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"Elec\\\" \[Ellipsis] \
\\\"istor\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\
\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricResistor.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricResistor.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468802821245`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468803061256`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468803361273`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468803371277`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468803381276`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446880340128*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446880341128*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802139897118`*^9, 3.612446880401131*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricVarResistor.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.6058572082875032`*^9}, 3.6058573717925034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802144217367`*^9, 3.6124468804721355`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricSwitch.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857217666504*^9}, 3.6058573731125035`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606580214899764*^9, 3.6124468805081377`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricInductance.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.6058572279185038`*^9}, 3.605857374121504*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802157028103`*^9, 3.6124468805461397`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricUsource.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.6058572380455036`*^9}, 3.605857374857504*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802163958497`*^9, 3.6124468805801415`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricIsource.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, 3.6058573758655033`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802170538874`*^9, 3.612446880744151*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricGround.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.6058572631685038`*^9}, 3.6058573768485036`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802176689224`*^9, 3.6124468807781525`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricMotor.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.6058572807095037`*^9}, 3.6058573775925035`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606580218466968*^9, 3.612446880816155*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricMotorGear.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, {3.6058572896385036`*^9, 3.6058572919075036`*^9}, 
   3.6058573783115034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606580219390021*^9, 3.6124468808541574`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricBattery.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, {3.6058572896385036`*^9, 3.6058573092125034`*^9}, 
   3.605857379673504*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606580220139064*^9, 3.612446880889159*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricCapacitance2.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, {3.6058572896385036`*^9, 3.605857320779504*^9}, 
   3.605857380817504*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802207821007`*^9, 3.612446880927161*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricIcontroller.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, {3.6058572896385036`*^9, 3.6058573337125034`*^9}, 
   3.6058573819855037`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065802215701456`*^9, 3.6124468809631634`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<ElectricPWMdceq.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9, {3.6058571902045035`*^9, 
   3.605857251128504*^9}, {3.6058572896385036`*^9, 3.605857341713504*^9}, 
   3.6058573830215034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606580222450196*^9, 3.6124468810081663`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hydraulic Components", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}}],

Cell[CellGroupData[{

Cell["Definitions to deal with cavitation", "Subsection",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.51582117543931*^9, 3.5158211986111856`*^9}}],

Cell["\<\
c1e  = onPositive[p1]c1;\tZc1e = onPositive[p1]Zc1;
c2e  = onPositive[p2]c2;\tZc2e = onPositive[p2]Zc2;
c3e  = onPositive[p3]c3;\tZc3e = onPositive[p3]Zc3;\t
c4e  = onPositive[p4]c4;\tZc4e = onPositive[p4]Zc4;\t
c5e  = onPositive[p5]c5;\tZc5e = onPositive[p5]Zc5;\t
c6e  = onPositive[p6]c6;\tZc6e = onPositive[p6]Zc6;\t
c7e  = onPositive[p7]c7;\tZc7e = onPositive[p7]Zc7;\t
c8e  = onPositive[p8]c8;\tZc8e = onPositive[p8]Zc8;\t
c9e  = onPositive[p9]c9;\tZc9e = onPositive[p9]Zc9;

cpe  = onPositive[pp]cp;\tZcpe = onPositive[pp]Zcp;
cte  = onPositive[pt]ct;\tZcte = onPositive[pt]Zct;
cae  = onPositive[pa]ca;\tZcae = onPositive[pa]Zca;
cbe  = onPositive[pb]cb;\tZcbe = onPositive[pb]Zcb;
clse  = onPositive[pls]cls;\tZclse = onPositive[pls]Zcls;
cocpe  = onPositive[pocp]cocp;\tZcocpe = onPositive[pocp]Zcocp;
cocte  = onPositive[poct]coct;\tZcocte = onPositive[poct]Zcoct;
T=.;
p=.;\
\>", "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5058230242546153`*^9, 3.5058230333948307`*^9}, {
  3.515752936778079*^9, 3.515752984887762*^9}, {3.5159004613332157`*^9, 
  3.515900471411276*^9}, {3.528190529296875*^9, 3.528190549421875*^9}, {
  3.571993710119341*^9, 3.5719937938918777`*^9}, {3.577451517285952*^9, 
  3.577451517636917*^9}, {3.5774515638552947`*^9, 3.5774515764620337`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"docpath", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Hydraulic\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}, 
   3.6058530990363216`*^9}],

Cell[CellGroupData[{

Cell["Valves", "Subsection",
 CellChangeTimes->{{3.6057986690417957`*^9, 3.605798684817698*^9}, {
   3.6058526640833807`*^9, 3.605852665639536*^9}, {3.6058532052553215`*^9, 
   3.605853208454322*^9}, 3.605853240084322*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Valves\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.6057717446208067`*^9, 
   3.605771844088496*^9, 3.605776096426716*^9, {3.6057772909270377`*^9, 
   3.6057772959063225`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicValve416.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.605852238445821*^9, 
   3.605852242371214*^9}, 3.6058526064886217`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6096637676446943`*^9, 3.61244688107417*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureControlledValve33.nb\>\""}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, 3.605778830443093*^9, 
   3.6058524062596006`*^9, 3.6058524478747616`*^9, 3.607314076178254*^9, {
   3.607396778407503*^9, 3.607396778557572*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446881098171*^9}]
}, Open  ]],

Cell["Volumes&Lines", "Subsection",
 CellChangeTimes->{{3.6057986690417957`*^9, 3.605798684817698*^9}, {
  3.6058526640833807`*^9, 3.605852665639536*^9}, {3.6058532052553215`*^9, 
  3.605853238269322*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Volumes&Lines\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.5814158414737244`*^9, 
   3.605771860351426*^9, 3.605777531594803*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPistonAckumulator.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.6057775623305607`*^9}, {3.605852306775653*^9, 3.6058523097259483`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265944880304`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265944910307`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265944930305`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265945220337`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0.2\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Va\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\
\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.6\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"xmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"vmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPistonAckumulator\\\"\\)\\), \\(\\(\\\"displayname\\\" \
\[Rule] \\\"HydraulicPistonAckumulator\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265948250637`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265948980713`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.619926594926074*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.619926594927074*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicAckumulator.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.6058523246324387`*^9, 3.605852604145387*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265954321246`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicAckumulator\\\"\\)\\), \\(\
\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicAckumulator.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicAckumulator.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"vmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicAckumulator\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicAckumulator\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicAckumulator.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicAckumulator.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\(\
\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265954921303`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265954951305`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6199265954971313`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.619926595499131*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Special", "Subsection",
 CellChangeTimes->{
  3.6057987108151855`*^9, {3.6058526707040424`*^9, 3.605852676199592*^9}, 
   3.6058532419173217`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"docpath", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Hydraulic\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}, 
   3.6058530990363216`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Special\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.6057717446208067`*^9, 
   3.605771844088496*^9, 3.605776096426716*^9, {3.6057772909270377`*^9, 
   3.6057772959063225`*^9}, {3.6057781229836283`*^9, 3.605778124506716*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureRelief2ValveG.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.605852369489924*^9, 
   3.6058523810730824`*^9}, 3.605852601257098*^9, 3.6180864596406765`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865519049535`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865519079533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865519099536`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086551954956*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \[NoBreak]\\!\\(XMLElement[\\(\\(\
\\\"hopsanobjectappearance\\\", \\(\\({\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\
\\) \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG\\\"\\)\\), \\(\\(\\\"displayname\\\
\" \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\)}\\)\\), \\(\\({\\(\
\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\)\\)\\)]\
\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The \
third item in an XMLElement must be a list of contents, even if it is an \
empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865522149715`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865522919755`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865523639793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.61808655236698*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.61808655236898*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865523709803`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865523739805`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865523759804`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865523789806`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureReliefValveG.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.605852369489924*^9, 
   3.6058523810730824`*^9}, 3.605852601257098*^9, {3.618086428879917*^9, 
   3.6180864579525795`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086552961014*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\(\[LeftSkeleton] \
1 \[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\
\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\
\\\" \[Rule] \\(\\(\[LeftSkeleton] 19 \[RightSkeleton]\\)\\)\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P2\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086552988015*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865530030165`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086553020017*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865530220175`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865530260177`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865530280175`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086553030018*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086553031018*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086553033018*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureReducingValveG.nb\>\""}], "]"}],
   ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, 3.6058523935243273`*^9, 
   3.605852600256998*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872324588785`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \
\\\"eG\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872324848804`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872324868803`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872324878807`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872324898806`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618087232504882*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618087232514882*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618087232515882*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180872325178823`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618087232519882*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureCompensatingValveG.nb\>\""}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786155848036`*^9}, 3.6058523972517*^9, 3.605852598848858*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377267785`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\
\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] \
in \[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureReducingValveG\\\"\\)\\), \\(\\(\\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\[LeftSkeleton] 33 \
\[RightSkeleton]\\)\\)\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\
\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\)\\)\\)]\
\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The \
third item in an XMLElement must be a list of contents, even if it is an \
empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377547803`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377567806`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377637806`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618087737766781*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377687807`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377707815`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377737813`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377797813`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180877377817817`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureControlValveG.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.605852399331908*^9, 3.6058525973297057`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086554721114*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\(\[LeftSkeleton] 3 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865547461157`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086554748116*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.2`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.2`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086554749116*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865547501163`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.4`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.4`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865547511163`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086554752116*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865547531166`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6000000000000001`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6000000000000001`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865547561164`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086554762117*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicCounterBalanceValveG.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.605852399331908*^9, 3.6058525973297057`*^9, {
   3.606022202399555*^9, 3.6060222056065555`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865553631516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \[NoBreak]\\!\\(XMLElement[\\(\
\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\
\\)\\) \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \
\\\"eG\\\"\\)\\)\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\
\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\
\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third item in an \
XMLElement must be a list of contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086555392153*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086555395153*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086555397153*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086555399153*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865554011536`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865554031534`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.618086555404154*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865554061537`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6180865554071536`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicValve43.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, 3.605852401779153*^9, 
   3.6058524469306674`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.611397812924364*^9, 3.61244688142719*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicValve33.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, 3.605778830443093*^9, 
   3.6058524062596006`*^9, 3.6058524478747616`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6113978134293933`*^9, 3.612446881481193*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicValve43LS.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, 3.6058524095089254`*^9, 3.6058524489478693`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468815051947`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicValve63OC.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, 
   3.605852414220397*^9, 3.60585245055503*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468815521975`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPistonMload.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6058524995349274`*^9, 
   3.605852593280301*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6113978149954824`*^9, 3.6124468815961995`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPistonMkload.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.6058525017931533`*^9, {3.605852591798153*^9, 3.605852594553428*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.611397815512512*^9, 3.6124468817702093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressureController.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.6058525017931533`*^9, {3.605852591798153*^9, 3.605852594553428*^9}, {
   3.619933618848424*^9, 3.6199336279503345`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], ":", 
  " ", "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] exceeded. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.611397815512512*^9, 3.6124468817702093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPressure2Controller.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.6058525017931533`*^9, {3.605852591798153*^9, 3.605852594553428*^9}, {
   3.619933618848424*^9, 3.6199336485863976`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], ":", 
  " ", "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] exceeded. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.611397815512512*^9, 3.6124468817702093`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicPistonJload.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, 3.605852503941368*^9, 3.6058525911850915`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6113978159805393`*^9, 3.612446881795211*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicMotorJload.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, 
   3.6058525069176655`*^9, {3.6058525800769806`*^9, 3.6058525901049833`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6113978163765616`*^9, 3.612446881824213*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["AeroComponents/FuelComponents", "Subsection",
 CellChangeTimes->{
  3.6057981060125923`*^9, {3.605852696889322*^9, 3.605852697204322*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<componentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Special\>\"", ",", "\"\<AeroComponents\>\"", ",", 
      "\"\<FuelComponents\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215547684914*^9}, 3.5762159940865498`*^9, 3.5762161254666862`*^9, {
   3.576859672187849*^9, 3.5768597123241444`*^9}, 3.605771877353399*^9, 
   3.605798073838752*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicCentrifugalPump.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468818882165`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicCentrifugalPumpJ.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, 3.605798307241102*^9, {
   3.605852717931322*^9, 3.605852730105322*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446881924218*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicTurboPump.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605798534716113*^9, 
   3.605798536348206*^9}, {3.6058527204913216`*^9, 3.605852729089322*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612446881967221*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<HydraulicTurboPumpJ.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, 3.605798307241102*^9, {
   3.6057985419535265`*^9, 3.605798543203598*^9}, {3.605852724955322*^9, 
   3.605852727914322*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(256\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124468821722326`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Rotational Mechanic Components", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6065786976519823`*^9, 
  3.606578699102065*^9}, {3.606578873966067*^9, 3.6065788823495464`*^9}}],

Cell[CellGroupData[{

Cell["Definitions to deal with cavitation", "Subsection",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.51582117543931*^9, 3.5158211986111856`*^9}}],

Cell["\<\
c1e  = onPositive[p1]c1;\tZc1e = onPositive[p1]Zc1;
c2e  = onPositive[p2]c2;\tZc2e = onPositive[p2]Zc2;
c3e  = onPositive[p3]c3;\tZc3e = onPositive[p3]Zc3;\t
c4e  = onPositive[p4]c4;\tZc4e = onPositive[p4]Zc4;\t
c5e  = onPositive[p5]c5;\tZc5e = onPositive[p5]Zc5;\t
c6e  = onPositive[p6]c6;\tZc6e = onPositive[p6]Zc6;\t
c7e  = onPositive[p7]c7;\tZc7e = onPositive[p7]Zc7;\t
c8e  = onPositive[p8]c8;\tZc8e = onPositive[p8]Zc8;\t
c9e  = onPositive[p9]c9;\tZc9e = onPositive[p9]Zc9;

cpe  = onPositive[pp]cp;\tZcpe = onPositive[pp]Zcp;
cte  = onPositive[pt]ct;\tZcte = onPositive[pt]Zct;
cae  = onPositive[pa]ca;\tZcae = onPositive[pa]Zca;
cbe  = onPositive[pb]cb;\tZcbe = onPositive[pb]Zcb;
clse  = onPositive[pls]cls;\tZclse = onPositive[pls]Zcls;
cocpe  = onPositive[pocp]cocp;\tZcocpe = onPositive[pocp]Zcocp;
cocte  = onPositive[poct]coct;\tZcocte = onPositive[poct]Zcoct;
T=.;
p=.;\
\>", "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5058230242546153`*^9, 3.5058230333948307`*^9}, {
  3.515752936778079*^9, 3.515752984887762*^9}, {3.5159004613332157`*^9, 
  3.515900471411276*^9}, {3.528190529296875*^9, 3.528190549421875*^9}, {
  3.571993710119341*^9, 3.5719937938918777`*^9}, {3.577451517285952*^9, 
  3.577451517636917*^9}, {3.5774515638552947`*^9, 3.5774515764620337`*^9}}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Mechanic\>\"", ",", "\"\<Rotational\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}, 
   3.6058530990363216`*^9, {3.606578703845337*^9, 3.6065787053234215`*^9}, {
   3.6065788862927723`*^9, 3.6065789090470734`*^9}, 3.6065789610620484`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicRotShaft.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicJLink.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}, {3.6065813106084347`*^9, 
   3.6065813129235673`*^9}, 3.6065836432328534`*^9, 3.606585373950845*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicJLink2.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}, {3.6065813106084347`*^9, 
   3.6065813129235673`*^9}, 3.606585370052622*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585764851203*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857648992057`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585764901206*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585764902206*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \
\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"MechanicJLink2.svg\\\"\\)\\), \\(\\(\
\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"MechanicJLink2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pm0\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pm1\\\
\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmr2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"MechanicJLink2.svg\\\"\\)\\), \\(\\(\
\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"MechanicJLink2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pm0\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmr2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857650662155`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857650682154`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857650702157`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857650722156`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585765074216*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585765075216*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6065857650762157`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585765077216*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.606585765078216*^9}]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Special\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, 
   3.6065840781387286`*^9, 3.606584474640407*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicVehicle1D.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}, {3.6065813106084347`*^9, 
   3.6065813129235673`*^9}, {3.6065840910674677`*^9, 3.606584094332655*^9}, 
   3.6065844346561203`*^9}],

Cell["Dev Components", "Subsection",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6065786976519823`*^9, 
  3.606578699102065*^9}, {3.606578873966067*^9, 3.6065788823495464`*^9}, {
  3.606579057643573*^9, 3.606579062394844*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<componentLibraries\>\"", ",", "\"\<devLibraries\>\"", ",", 
      "\"\<PettersMatematica\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}, 
   3.6058530990363216`*^9, {3.606578703845337*^9, 3.6065787053234215`*^9}, {
   3.6065788862927723`*^9, 3.6065789090470734`*^9}, 3.6065789610620484`*^9, {
   3.606579079773838*^9, 3.6065791276575775`*^9}, {3.6065791792515283`*^9, 
   3.6065791808626204`*^9}, {3.606579216035632*^9, 3.6065792166226654`*^9}, {
   3.606579272224846*^9, 3.606579284452545*^9}, {3.606580106945589*^9, 
   3.606580114597027*^9}, {3.606580352889656*^9, 3.606580356063838*^9}, {
   3.6073196368438215`*^9, 3.6073196372588215`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicGear.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}, {3.6065791373641324`*^9, 
   3.6065791408513317`*^9}, {3.6065793023565693`*^9, 3.606579338982664*^9}, 
   3.6065801195573106`*^9, 3.6065803622921944`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<MechanicGearClutch.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.606578935251572*^9, 3.606578948080306*^9}, {3.6065791373641324`*^9, 
   3.6065791408513317`*^9}, {3.6065793023565693`*^9, 3.6065793163343687`*^9}, 
   3.6065801222264633`*^9, {3.6073185082347765`*^9, 3.607318509648918*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Aero Components", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6058541923332043`*^9, 
  3.60585419949192*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Special\>\"", ",", "\"\<AeroComponents\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5812370486543765`*^9, {3.58123709880517*^9, 3.5812371004744773`*^9}, {
   3.6058542560025706`*^9, 3.605854267307701*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroAircraft6DOFSS.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "strml"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(file\\)\[NoBreak] is not a string, stream, \
or list of strings and streams. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/strml\\\", ButtonNote -> \
\\\"Write::strml\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786289912*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \[NoBreak]\\!\\(file\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786291912*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "strml"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(file\\)\[NoBreak] is not a string, stream, \
or list of strings and streams. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/strml\\\", ButtonNote -> \
\\\"Write::strml\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577862929125`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \[NoBreak]\\!\\(file\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786293913*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "strml"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(file\\)\[NoBreak] is not a string, stream, \
or list of strings and streams. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/strml\\\", ButtonNote -> \
\\\"Write::strml\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786294913*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Write :: \
strml\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577862959127`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Write", "::", "noopen"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Cannot open \[NoBreak]\\!\\(file\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/noopen\\\", \
ButtonNote -> \\\"Write::noopen\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786296913*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Write :: \
noopen\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577862979126`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577863589163`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(xcg \
\[LeftDoubleBracket] 1 \[RightDoubleBracket]\\)\[NoBreak] is longer than \
depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786372917*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(0.` \
\[LeftDoubleBracket] 1 \[RightDoubleBracket]\\)\[NoBreak] is longer than \
depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786374917*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577863759174`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Set", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(101\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Set::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786531926*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(101\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577865329266`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Set", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(102\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Set::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577865339265`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(101\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577865349264`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(102\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577865369263`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577865379267`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Set", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(103\\)\[NoBreak] of \
\[NoBreak]\\!\\({toral1, thetaal1, wal1, cal1, Zcal1, eqInertiaal1, torar1, \
thetaar1, war1, car1, Zcar1, eqInertiaar1, toral12, thetaal12, wal12, cal12, \
Zcal12, eqInertiaal12, torar12, thetaar12, war12, car12, Zcar12, \
eqInertiaar12, toral2, thetaal2, wal2, cal2, Zcal2, eqInertiaal2, torar2, \
thetaar2, war2, car2, Zcar2, eqInertiaar2, torfin, thetafin, wfin, cfin, \
Zcfin, eqInertiafin, xcg, ycg, zcg, vx, vy, vz, Psi, Thetao, \\(\\(\
\[LeftSkeleton] 50 \[RightSkeleton]\\)\\)}\\)\[NoBreak] does not exist. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/partw\\\", \
ButtonNote -> \\\"Set::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786538927*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Set :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786540927*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stream"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(file\\)\[NoBreak] is not a string, \
InputStream[ ], or OutputStream[ ]. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\
\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stream\\\", ButtonNote -> \
\\\"General::stream\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577866699343`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"AeroAircraft6DOFSS.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"AeroAircraft6DOFSS.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\
\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.125`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pal1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Par1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 48 \[RightSkeleton]\\)\\), \
\\(\\(\[LeftSkeleton] 2 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\(\\(\\\"t\\\" \
\[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\
\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"AeroAircraft6DOFSS.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"AeroAircraft6DOFSS.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\
\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.125`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pal1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Par1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 48 \[RightSkeleton]\\)\\), \
\\(\\(\[LeftSkeleton] 2 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786685935*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577866889353`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.125`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.125`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786689935*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786690935*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577866919355`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577866939354`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786694936*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.375`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.375`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6124577866969357`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.612457786697936*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroFuelTank.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058721540195513`*^9, 3.6058721738025293`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroJetEngine.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058721540195513`*^9, 3.6058721769548445`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroPropeller.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, 
   3.6058721405622053`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroAtmosphere.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, 
   3.6058721326574154`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<AeroCombustionChamberMono.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, 
   3.6058721210572553`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Pneumatic Components", "Section",
 CellChangeTimes->{{3.6057966679743414`*^9, 3.60579667755989*^9}, {
  3.605798755609747*^9, 3.6057987576938667`*^9}, {3.6058541923332043`*^9, 
  3.60585419949192*^9}, {3.605870815979751*^9, 3.605870818498003*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Pneumatic\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5812370486543765`*^9, {3.58123709880517*^9, 3.5812371004744773`*^9}, {
   3.6058542560025706`*^9, 3.605854267307701*^9}, {3.6058708281679697`*^9, 
   3.605870830519205*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<PneumaticVolume2.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058708444235954`*^9, 3.605870849879141*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870974644616*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"PneumaticVolume2.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"PneumaticVolume2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp1\\\
\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"PneumaticVolume2\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"PneumaticVolume2\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\
\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"PneumaticVolume2.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\
\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"PneumaticVolume2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\(\
\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870974675619*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709746786194`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709746806197`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60587097468262*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709746926208`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870974694621*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870974696621*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<PneumaticOrifice.nb\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058708444235954`*^9, 3.605870866924845*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"PneumaticOrifice.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"PneumaticOrifice.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp1\\\
\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"PneumaticOrifice\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"PneumaticOrifice\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\
\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"PneumaticOrifice.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\
\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"PneumaticOrifice.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\(\
\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758097324`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870975813733*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758167334`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758187337`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758207335`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870975822734*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758237343`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758247337`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709758267345`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<PneumaticQsrc.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058708444235954`*^9, 3.605870896056758*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"PneumaticQsrc\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"PneumaticQsrc\\\"\\)\\)}\\)\\), \\(\\({\
\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"PneumaticQsrc.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \\\"PneumaticQsrc.svg\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"PneumaticQsrc\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"PneumaticQsrc\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"PneumaticQsrc.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \\\"PneumaticQsrc.svg\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60587097628178*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60587097628578*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709762877803`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60587097628878*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"x\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976290781*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709762917805`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709762937813`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"x\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976294781*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709762967815`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RunCompgen", "[", 
   RowBox[{"path", ",", "\"\<PneumaticPtsrc.nb\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}, {
   3.6057972056920967`*^9, 3.605797234361737*^9}, 3.6057975910981407`*^9, 
   3.605797785874282*^9, {3.605798025933012*^9, 3.6057980267060566`*^9}, {
   3.6057982516769238`*^9, 3.6057982567612147`*^9}, {3.605852714589322*^9, 
   3.6058527310413218`*^9}, {3.6058542779547653`*^9, 3.605854293874357*^9}, {
   3.6058708444235954`*^9, 3.605870849879141*^9}, {3.605870882624415*^9, 
   3.605870887816934*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"PneumaticPTsrc\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"PneumaticPTsrc\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"PneumaticPTsrc.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"PneumaticPTsrc.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\[NoBreak] in \[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976624814*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709766278143`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709766288147`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709766378155`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"x\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6058709766398153`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976641816*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976642816*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"x\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976644816*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605870976645816*^9}]
}, Closed]]
}, Closed]]
},
CellGrouping->Manual,
WindowSize->{1000, 609},
WindowMargins->{{Automatic, 64}, {23, Automatic}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", CharacterEncoding -> 
       "WindowsANSI"]]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Microsoft Windows (64-bit) (October 6, 2011)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 202, 3, 65, "Title"],
Cell[772, 27, 184, 4, 29, "Text"],
Cell[CellGroupData[{
Cell[981, 35, 247, 3, 75, "Section"],
Cell[1231, 40, 248, 4, 41, "Input"],
Cell[1482, 46, 124, 3, 41, "Input"],
Cell[1609, 51, 164, 2, 36, "Subsection"],
Cell[1776, 55, 259, 5, 26, "Text"],
Cell[2038, 62, 1220, 29, 142, "Input"],
Cell[3261, 93, 130, 1, 29, "Text"],
Cell[3394, 96, 785, 18, 122, "Input"],
Cell[4182, 116, 121, 1, 29, "Text"],
Cell[4306, 119, 1262, 23, 82, "Input"],
Cell[5571, 144, 261, 5, 29, "Text"],
Cell[5835, 151, 738, 17, 102, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6610, 173, 209, 3, 45, "Section"],
Cell[6822, 178, 696, 14, 38, "Input"],
Cell[CellGroupData[{
Cell[7543, 196, 934, 16, 38, "Input"],
Cell[8480, 214, 519, 10, 70, "Message"],
Cell[9002, 226, 517, 10, 70, "Message"],
Cell[9522, 238, 466, 10, 70, "Message"],
Cell[9991, 250, 466, 10, 70, "Message"],
Cell[10460, 262, 467, 10, 70, "Message"],
Cell[10930, 274, 532, 11, 70, "Message"],
Cell[11465, 287, 472, 11, 70, "Message"],
Cell[11940, 300, 1577, 26, 70, "Message"],
Cell[13520, 328, 460, 10, 70, "Message"],
Cell[13983, 340, 607, 12, 70, "Message"],
Cell[14593, 354, 460, 10, 70, "Message"],
Cell[15056, 366, 607, 12, 70, "Message"],
Cell[15666, 380, 458, 10, 70, "Message"],
Cell[16127, 392, 532, 11, 70, "Message"],
Cell[16662, 405, 497, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17196, 420, 820, 14, 34, "Input"],
Cell[18019, 436, 499, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18555, 451, 810, 13, 34, "Input"],
Cell[19368, 466, 497, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19902, 481, 817, 14, 34, "Input"],
Cell[20722, 497, 499, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21258, 512, 811, 13, 38, "Input"],
Cell[22072, 527, 499, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22608, 542, 811, 13, 38, "Input"],
Cell[23422, 557, 497, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23956, 572, 812, 13, 38, "Input"],
Cell[24771, 587, 499, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25307, 602, 811, 13, 38, "Input"],
Cell[26121, 617, 495, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26653, 632, 870, 15, 38, "Input"],
Cell[27526, 649, 497, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28060, 664, 863, 14, 38, "Input"],
Cell[28926, 680, 495, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29458, 695, 869, 15, 38, "Input"],
Cell[30330, 712, 497, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30864, 727, 872, 15, 38, "Input"],
Cell[31739, 744, 499, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32275, 759, 863, 14, 38, "Input"],
Cell[33141, 775, 497, 10, 70, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[33687, 791, 157, 2, 45, "Section"],
Cell[CellGroupData[{
Cell[33869, 797, 149, 2, 36, "Subsection"],
Cell[34021, 801, 1300, 26, 347, "Input"]
}, Open  ]],
Cell[35336, 830, 624, 13, 41, "Input"],
Cell[CellGroupData[{
Cell[35985, 847, 222, 3, 36, "Subsection"],
Cell[36210, 852, 875, 16, 41, "Input"],
Cell[CellGroupData[{
Cell[37110, 872, 740, 13, 41, "Input"],
Cell[37853, 887, 496, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38386, 902, 1060, 17, 41, "Input"],
Cell[39449, 921, 473, 10, 21, "Message"]
}, Open  ]],
Cell[39937, 934, 205, 3, 36, "Subsection"],
Cell[40145, 939, 828, 15, 38, "Input"],
Cell[CellGroupData[{
Cell[40998, 958, 777, 13, 41, "Input"],
Cell[41778, 973, 534, 11, 21, "Message"],
Cell[42315, 986, 534, 11, 21, "Message"],
Cell[42852, 999, 534, 11, 21, "Message"],
Cell[43389, 1012, 530, 11, 21, "Message"],
Cell[43922, 1025, 2960, 46, 141, "Message"],
Cell[46885, 1073, 460, 10, 21, "Message"],
Cell[47348, 1085, 573, 11, 21, "Message"],
Cell[47924, 1098, 458, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48419, 1113, 767, 13, 41, "Input"],
Cell[49189, 1128, 534, 11, 21, "Message"],
Cell[49726, 1141, 2448, 39, 124, "Message"],
Cell[52177, 1182, 460, 10, 21, "Message"],
Cell[52640, 1194, 575, 11, 21, "Message"],
Cell[53218, 1207, 458, 10, 21, "Message"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[53725, 1223, 152, 3, 36, "Subsection"],
Cell[53880, 1228, 624, 13, 41, "Input"],
Cell[54507, 1243, 924, 16, 41, "Input"],
Cell[CellGroupData[{
Cell[55456, 1263, 851, 14, 41, "Input"],
Cell[56310, 1279, 534, 11, 21, "Message"],
Cell[56847, 1292, 534, 11, 21, "Message"],
Cell[57384, 1305, 534, 11, 21, "Message"],
Cell[57921, 1318, 528, 11, 21, "Message"],
Cell[58452, 1331, 2319, 36, 124, "Message"],
Cell[60774, 1369, 460, 10, 21, "Message"],
Cell[61237, 1381, 607, 12, 21, "Message"],
Cell[61847, 1395, 457, 10, 21, "Message"],
Cell[62307, 1407, 604, 12, 21, "Message"],
Cell[62914, 1421, 460, 10, 21, "Message"],
Cell[63377, 1433, 534, 11, 21, "Message"],
Cell[63914, 1446, 575, 11, 21, "Message"],
Cell[64492, 1459, 537, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65066, 1475, 878, 15, 41, "Input"],
Cell[65947, 1492, 532, 11, 21, "Message"],
Cell[66482, 1505, 2718, 43, 141, "Message"],
Cell[69203, 1550, 460, 10, 21, "Message"],
Cell[69666, 1562, 605, 12, 21, "Message"],
Cell[70274, 1576, 460, 10, 21, "Message"],
Cell[70737, 1588, 607, 12, 21, "Message"],
Cell[71347, 1602, 460, 10, 21, "Message"],
Cell[71810, 1614, 532, 11, 21, "Message"],
Cell[72345, 1627, 573, 11, 21, "Message"],
Cell[72921, 1640, 535, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73493, 1656, 882, 15, 41, "Input"],
Cell[74378, 1673, 534, 11, 21, "Message"],
Cell[74915, 1686, 1553, 26, 73, "Message"],
Cell[76471, 1714, 460, 10, 21, "Message"],
Cell[76934, 1726, 607, 12, 21, "Message"],
Cell[77544, 1740, 460, 10, 21, "Message"],
Cell[78007, 1752, 605, 12, 21, "Message"],
Cell[78615, 1766, 458, 10, 21, "Message"],
Cell[79076, 1778, 532, 11, 21, "Message"],
Cell[79611, 1791, 575, 11, 21, "Message"],
Cell[80189, 1804, 535, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80761, 1820, 933, 15, 41, "Input"],
Cell[81697, 1837, 534, 11, 21, "Message"],
Cell[82234, 1850, 2402, 38, 124, "Message"],
Cell[84639, 1890, 460, 10, 21, "Message"],
Cell[85102, 1902, 577, 11, 21, "Message"],
Cell[85682, 1915, 458, 10, 21, "Message"],
Cell[86143, 1927, 575, 11, 21, "Message"],
Cell[86721, 1940, 460, 10, 21, "Message"],
Cell[87184, 1952, 534, 11, 21, "Message"],
Cell[87721, 1965, 577, 11, 21, "Message"],
Cell[88301, 1978, 537, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88875, 1994, 931, 15, 41, "Input"],
Cell[89809, 2011, 532, 11, 21, "Message"],
Cell[90344, 2024, 1597, 26, 73, "Message"],
Cell[91944, 2052, 458, 10, 21, "Message"],
Cell[92405, 2064, 573, 11, 21, "Message"],
Cell[92981, 2077, 460, 10, 21, "Message"],
Cell[93444, 2089, 575, 11, 21, "Message"],
Cell[94022, 2102, 458, 10, 21, "Message"],
Cell[94483, 2114, 534, 11, 21, "Message"],
Cell[95020, 2127, 607, 12, 21, "Message"],
Cell[95630, 2141, 535, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96202, 2157, 982, 16, 41, "Input"],
Cell[97187, 2175, 534, 11, 21, "Message"],
Cell[97724, 2188, 2355, 36, 124, "Message"],
Cell[100082, 2226, 458, 10, 21, "Message"],
Cell[100543, 2238, 575, 11, 21, "Message"],
Cell[101121, 2251, 458, 10, 21, "Message"],
Cell[101582, 2263, 575, 11, 21, "Message"],
Cell[102160, 2276, 460, 10, 21, "Message"],
Cell[102623, 2288, 532, 11, 21, "Message"],
Cell[103158, 2301, 577, 11, 21, "Message"],
Cell[103738, 2314, 537, 11, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104312, 2330, 945, 16, 41, "Input"],
Cell[105260, 2348, 494, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105791, 2363, 969, 16, 41, "Input"],
Cell[106763, 2381, 497, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107297, 2396, 999, 16, 41, "Input"],
Cell[108299, 2414, 475, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108811, 2429, 1046, 17, 41, "Input"],
Cell[109860, 2448, 475, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110372, 2463, 1103, 18, 41, "Input"],
Cell[111478, 2483, 499, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112014, 2498, 1152, 18, 41, "Input"],
Cell[113169, 2518, 497, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113703, 2533, 1210, 19, 41, "Input"],
Cell[114916, 2554, 484, 9, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[115437, 2568, 1211, 19, 41, "Input"],
Cell[116651, 2589, 484, 9, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117172, 2603, 1149, 18, 41, "Input"],
Cell[118324, 2623, 497, 10, 21, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118858, 2638, 1228, 19, 41, "Input"],
Cell[120089, 2659, 497, 10, 21, "Message"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[120647, 2676, 144, 2, 36, "Subsection"],
Cell[120794, 2680, 911, 17, 73, "Input"],
Cell[CellGroupData[{
Cell[121730, 2701, 1261, 20, 73, "Input"],
Cell[122994, 2723, 475, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123506, 2738, 1282, 20, 73, "Input"],
Cell[124791, 2760, 473, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125301, 2775, 1301, 20, 73, "Input"],
Cell[126605, 2797, 473, 10, 70, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[127115, 2812, 1328, 21, 73, "Input"],
Cell[128446, 2835, 475, 10, 70, "Message"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[128982, 2852, 266, 3, 75, "Section"],
Cell[CellGroupData[{
Cell[129273, 2859, 149, 2, 36, "Subsection"],
Cell[129425, 2863, 1300, 26, 883, "Input"]
}, Closed]],
Cell[130740, 2892, 776, 15, 38, "Input"],
Cell[131519, 2909, 1351, 21, 41, "Input"],
Cell[132873, 2932, 1445, 21, 41, "Input"],
Cell[CellGroupData[{
Cell[134343, 2957, 1422, 21, 41, "Input"],
Cell[135768, 2980, 532, 11, 37, "Message"],
Cell[136303, 2993, 534, 11, 37, "Message"],
Cell[136840, 3006, 532, 11, 37, "Message"],
Cell[137375, 3019, 528, 11, 37, "Message"],
Cell[137906, 3032, 3166, 46, 260, "Message"],
Cell[141075, 3080, 460, 10, 37, "Message"],
Cell[141538, 3092, 577, 11, 37, "Message"],
Cell[142118, 3105, 460, 10, 37, "Message"],
Cell[142581, 3117, 573, 11, 37, "Message"],
Cell[143157, 3130, 458, 10, 37, "Message"],
Cell[143618, 3142, 534, 11, 37, "Message"],
Cell[144155, 3155, 575, 11, 37, "Message"],
Cell[144733, 3168, 535, 11, 37, "Message"]
}, Closed]],
Cell[145283, 3182, 642, 13, 38, "Input"],
Cell[145928, 3197, 1482, 23, 41, "Input"],
Cell[147413, 3222, 302, 4, 36, "Subsection"],
Cell[147718, 3228, 1107, 19, 38, "Input"],
Cell[148828, 3249, 1498, 22, 41, "Input"],
Cell[150329, 3273, 1533, 23, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[151899, 3301, 202, 3, 45, "Section"],
Cell[152104, 3306, 476, 12, 41, "Input"],
Cell[CellGroupData[{
Cell[152605, 3322, 1303, 20, 41, "Input"],
Cell[153911, 3344, 471, 10, 21, "Message"],
Cell[154385, 3356, 428, 9, 21, "Message"],
Cell[154816, 3367, 473, 10, 21, "Message"],
Cell[155292, 3379, 428, 9, 21, "Message"],
Cell[155723, 3390, 471, 10, 21, "Message"],
Cell[156197, 3402, 531, 11, 21, "Message"],
Cell[156731, 3415, 428, 9, 21, "Message"],
Cell[157162, 3426, 532, 11, 21, "Message"],
Cell[157697, 3439, 534, 11, 21, "Message"],
Cell[158234, 3452, 509, 11, 21, "Message"],
Cell[158746, 3465, 509, 11, 21, "Message"],
Cell[159258, 3478, 530, 11, 21, "Message"],
Cell[159791, 3491, 933, 16, 73, "Message"],
Cell[160727, 3509, 937, 16, 73, "Message"],
Cell[161667, 3527, 935, 16, 73, "Message"],
Cell[162605, 3545, 937, 16, 73, "Message"],
Cell[163545, 3563, 937, 16, 73, "Message"],
Cell[164485, 3581, 530, 11, 21, "Message"],
Cell[165018, 3594, 933, 16, 73, "Message"],
Cell[165954, 3612, 527, 11, 21, "Message"],
Cell[166484, 3625, 476, 10, 21, "Message"],
Cell[166963, 3637, 2999, 47, 141, "Message"],
Cell[169965, 3686, 460, 10, 21, "Message"],
Cell[170428, 3698, 579, 12, 21, "Message"],
Cell[171010, 3712, 458, 10, 21, "Message"],
Cell[171471, 3724, 577, 11, 21, "Message"],
Cell[172051, 3737, 460, 10, 21, "Message"],
Cell[172514, 3749, 532, 11, 21, "Message"],
Cell[173049, 3762, 581, 12, 21, "Message"],
Cell[173633, 3776, 535, 11, 21, "Message"]
}, Open  ]],
Cell[174183, 3790, 1348, 20, 41, "Input"],
Cell[175534, 3812, 1349, 20, 41, "Input"],
Cell[176886, 3834, 1323, 20, 41, "Input"],
Cell[178212, 3856, 1324, 20, 41, "Input"],
Cell[179539, 3878, 1338, 21, 41, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[180914, 3904, 253, 3, 45, "Section"],
Cell[181170, 3909, 496, 12, 41, "Input"],
Cell[CellGroupData[{
Cell[181691, 3925, 1353, 21, 41, "Input"],
Cell[183047, 3948, 532, 11, 45, "Message"],
Cell[183582, 3961, 2255, 37, 285, "Message"],
Cell[185840, 4000, 460, 10, 45, "Message"],
Cell[186303, 4012, 607, 12, 45, "Message"],
Cell[186913, 4026, 457, 10, 45, "Message"],
Cell[187373, 4038, 607, 12, 45, "Message"],
Cell[187983, 4052, 458, 10, 45, "Message"],
Cell[188444, 4064, 532, 11, 45, "Message"]
}, Closed]],
Cell[CellGroupData[{
Cell[189013, 4080, 1353, 21, 38, "Input"],
Cell[190369, 4103, 2257, 37, 285, "Message"],
Cell[192629, 4142, 458, 10, 45, "Message"],
Cell[193090, 4154, 607, 12, 45, "Message"],
Cell[193700, 4168, 460, 10, 45, "Message"],
Cell[194163, 4180, 607, 12, 45, "Message"],
Cell[194773, 4194, 458, 10, 45, "Message"],
Cell[195234, 4206, 534, 11, 45, "Message"],
Cell[195771, 4219, 575, 11, 45, "Message"],
Cell[196349, 4232, 537, 11, 45, "Message"]
}, Closed]],
Cell[CellGroupData[{
Cell[196923, 4248, 1347, 20, 38, "Input"],
Cell[198273, 4270, 1746, 28, 208, "Message"],
Cell[200022, 4300, 457, 10, 45, "Message"],
Cell[200482, 4312, 575, 11, 45, "Message"],
Cell[201060, 4325, 457, 10, 45, "Message"],
Cell[201520, 4337, 605, 12, 45, "Message"],
Cell[202128, 4351, 460, 10, 45, "Message"],
Cell[202591, 4363, 534, 11, 45, "Message"],
Cell[203128, 4376, 605, 12, 45, "Message"],
Cell[203736, 4390, 537, 11, 45, "Message"]
}, Closed]],
Cell[CellGroupData[{
Cell[204310, 4406, 1398, 21, 38, "Input"],
Cell[205711, 4429, 1199, 20, 166, "Message"],
Cell[206913, 4451, 460, 10, 45, "Message"],
Cell[207376, 4463, 575, 11, 45, "Message"],
Cell[207954, 4476, 460, 10, 45, "Message"],
Cell[208417, 4488, 607, 12, 45, "Message"],
Cell[209027, 4502, 458, 10, 45, "Message"],
Cell[209488, 4514, 532, 11, 45, "Message"],
Cell[210023, 4527, 605, 12, 45, "Message"],
Cell[210631, 4541, 535, 11, 45, "Message"]
}, Closed]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
