(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    401167,       8118]
NotebookOptionsPosition[    384907,       7678]
NotebookOutlinePosition[    385384,       7696]
CellTagsIndexPosition[    385341,       7693]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Electric components", "Title"],

Cell[CellGroupData[{

Cell["General", "Section",
 CellChangeTimes->{{3.5719269675877132`*^9, 3.5719269908317537`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}]}], "Input",
 CellChangeTimes->{
  3.522605694171875*^9, 3.571926984357743*^9, {3.571927175052478*^9, 
   3.5719271767216806`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "C:\\\\Hopsan\\Compgen\\CompgenNG06.mx"}]], "Input",
 CellChangeTimes->{{3.57692008006717*^9, 3.576920080081172*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"defaultPath", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Electric\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Resistor", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.516086509*^9, 3.51608651040625*^9}, 3.52240314025*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Resistor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Variable resistor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.513785360140625*^9, 3.513785397734375*^9}, 
   3.5137854683125*^9, 3.5153945210188417`*^9, {3.51608651940625*^9, 
   3.516086528875*^9}, {3.522403083546875*^9, 3.52240310159375*^9}, {
   3.575772870974745*^9, 3.5757728916915812`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.515774261203125*^9, 3.515774262703125*^9}, {
   3.51603387128125*^9, 3.51603387178125*^9}, {3.522403633375*^9, 
   3.522403641375*^9}, 3.53224891889497*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "Conduct", ",", "0.1", ",", "double", ",", "\"\<A/V\>\"", ",", 
      "\"\<Conductivity (1/resistance)\>\""}], "}"}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51862830415625*^9, 3.51862836625*^9}, 
   3.522403352671875*^9, 3.522403646703125*^9, {3.5320892483732347`*^9, 
   3.5320892502013865`*^9}, {3.532248903689953*^9, 3.5322489076082892`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iel2", "==", 
      RowBox[{"Conduct", 
       FractionBox[
        RowBox[{"(", 
         RowBox[{"cel1", "-", "cel2"}], ")"}], 
        RowBox[{"1", "+", 
         RowBox[{"Conduct", 
          RowBox[{"(", 
           RowBox[{"Zcel1", " ", "+", "Zcel2"}], " ", ")"}]}]}]]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"uel1", " ", "==", 
      RowBox[{"cel1", "-", " ", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", " ", "==", 
      RowBox[{"cel2", " ", "+", " ", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"iel1", "==", 
      RowBox[{"-", "iel2"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.532248478932937*^9, 3.532248638440628*^9}, {
  3.571914197748662*^9, 3.5719142149866924`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \
\\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricResistor.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricResistor.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.6031910253093395`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.603191025364341*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.6031910254293423`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.6031910254293423`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.6031910254293423`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.6031910254293423`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.532014079140625*^9, 
   3.532080868217437*^9, 3.532248382438897*^9, 3.5370072225734053`*^9, 
   3.5370073347296553`*^9, 3.5370073875577803`*^9, 3.575773035505834*^9, 
   3.575773137978649*^9, 3.575773168913503*^9, 3.575773243404055*^9, 
   3.5757732886717615`*^9, 3.5757733760915155`*^9, 3.575773435380232*^9, {
   3.575773604369031*^9, 3.575773629262287*^9}, 3.575773962498749*^9, 
   3.5757742558096704`*^9, 3.5757743018499765`*^9, 3.5757743817737412`*^9, 
   3.575774456097932*^9, 3.575774530541961*^9, 3.5757745937935762`*^9, 
   3.5757746336462626`*^9, 3.575774722535659*^9, 3.575779424162686*^9, 
   3.5757859664859233`*^9, 3.5757864524566317`*^9, 3.5757868521928053`*^9, 
   3.5758175842476745`*^9, 3.578816690767367*^9, 3.5814060084803095`*^9, 
   3.5814061594329433`*^9, 3.581406292654563*^9, 3.603191025459343*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["file"], "Input",
 CellChangeTimes->{{3.575773289654563*^9, 3.575773290247364*^9}}],

Cell[BoxData["\<\"C:\\\\HopsanTrunk\\\\ComponentLibraries\\\\defaultLibrary\\\
\\Electric\\\\ElectricResistor.hpp\"\>"], "Output",
 CellChangeTimes->{
  3.575773290964965*^9, 3.575773376200715*^9, 3.575773435427032*^9, {
   3.5757736044470315`*^9, 3.575773629324687*^9}, 3.575773962545549*^9, 
   3.57577425585647*^9, 3.575774301912377*^9, 3.575774381836141*^9, 
   3.5757744561447315`*^9, 3.5757745306043615`*^9, 3.575774593840377*^9, 
   3.575774633989463*^9, 3.5757747227072587`*^9, 3.575779424209487*^9, 
   3.575785966517123*^9, 3.575786452487832*^9, 3.5757868522240057`*^9, 
   3.575817584323679*^9, 3.578816690799367*^9, 3.5814060085133114`*^9, 
   3.581406159458945*^9, 3.5814062926825647`*^9, 3.6031910254893436`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["VarResistor", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.516086509*^9, 3.51608651040625*^9}, 3.52240314025*^9, {
   3.532013508234375*^9, 3.532013508640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<VarResistor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Variable resistor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.513785360140625*^9, 3.513785397734375*^9}, 
   3.5137854683125*^9, 3.5153945210188417`*^9, {3.51608651940625*^9, 
   3.516086528875*^9}, {3.522403083546875*^9, 3.52240310159375*^9}, {
   3.532013518375*^9, 3.532013518765625*^9}, 3.575772931549651*^9, 
   3.575773191285964*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.515774261203125*^9, 3.515774262703125*^9}, {
   3.51603387128125*^9, 3.51603387178125*^9}, {3.522403633375*^9, 
   3.522403641375*^9}, 3.532248933709714*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
     "Conduct", ",", "0.1", ",", "double", ",", "\"\<A/V\>\"", ",", 
      "\"\<Conductivity (1/resistance)\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51862830415625*^9, 3.51862836625*^9}, 
   3.522403352671875*^9, 3.522403646703125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iel2", "==", 
      RowBox[{"Conduct", 
       FractionBox[
        RowBox[{"(", 
         RowBox[{"cel1", "-", "cel2"}], ")"}], 
        RowBox[{"1", "+", 
         RowBox[{"Conduct", 
          RowBox[{"(", 
           RowBox[{"Zcel1", " ", "+", "Zcel2"}], " ", ")"}]}]}]]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"uel1", " ", "==", 
      RowBox[{"cel1", "-", " ", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", " ", "==", 
      RowBox[{"cel2", " ", "+", " ", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"iel1", "==", 
      RowBox[{"-", "iel2"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.532248478932937*^9, 3.532248638440628*^9}, {
  3.571914197748662*^9, 3.5719142149866924`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricVarResistor.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricVarResistor.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"270\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"Conduct\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025574345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025574345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025574345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025574345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025574345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025579345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025579345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025579345*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522403157328125*^9, 3.52240365325*^9, {3.522604798875*^9, 
   3.5226048059375*^9}, 3.531934949578125*^9, 3.53201355503125*^9, 
   3.53201407921875*^9, 3.532080868311158*^9, 3.532248382828929*^9, 
   3.5370072226202803`*^9, 3.5370073347765303`*^9, 3.5370073876515303`*^9, 
   3.5757730356462345`*^9, 3.575773138103449*^9, 3.5757731690383034`*^9, 
   3.5757732435444555`*^9, 3.575773376263116*^9, 3.5757734355206323`*^9, {
   3.5757736045406313`*^9, 3.5757736294338875`*^9}, 3.5757739626391487`*^9, 
   3.575774255934471*^9, 3.5757743019903765`*^9, 3.5757743819141417`*^9, 
   3.575774456222732*^9, 3.5757745306823616`*^9, 3.575774593933977*^9, 
   3.5757746341298637`*^9, 3.5757747227852592`*^9, 3.575779424271888*^9, 
   3.5757859666107235`*^9, 3.575786452581433*^9, 3.575786852302006*^9, 
   3.575817584485688*^9, 3.578816690891367*^9, 3.581406008627318*^9, 
   3.581406159535949*^9, 3.5814062927775702`*^9, 3.603191025579345*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Switch", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.516086509*^9, 3.51608651040625*^9}, 3.52240314025*^9, {
   3.532013508234375*^9, 3.532013508640625*^9}, {3.532079825837585*^9, 
   3.532079827556016*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Switch\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Electric on/off switch\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.513785360140625*^9, 3.513785397734375*^9}, 
   3.5137854683125*^9, 3.5153945210188417`*^9, {3.51608651940625*^9, 
   3.516086528875*^9}, {3.522403083546875*^9, 3.52240310159375*^9}, {
   3.532013518375*^9, 3.532013518765625*^9}, {3.5320798367261887`*^9, 
   3.532079848286543*^9}, 3.5757729332500544`*^9, 3.575773215013606*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.515774261203125*^9, 3.515774262703125*^9}, {
   3.51603387128125*^9, 3.51603387178125*^9}, {3.522403633375*^9, 
   3.522403641375*^9}, 3.5719272009641232`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "state", ",", "0.1", ",", "double", ",", "\"\< \>\"", ",", 
      "\"\<State=1 means conducting\>\""}], "}"}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51862830415625*^9, 3.51862836625*^9}, 
   3.522403352671875*^9, 3.522403646703125*^9, {3.5320798641585965`*^9, 
   3.532079899855095*^9}, {3.5719271963465147`*^9, 3.57192719902972*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iel2", "==", 
      RowBox[{
       RowBox[{"onPositive", "[", 
        RowBox[{"state", "-", "0.5"}], "]"}], 
       FractionBox[
        RowBox[{"(", 
         RowBox[{"cel1", "-", "cel2"}], ")"}], 
        RowBox[{"Zcel1", " ", "+", "Zcel2", " "}]]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"uel1", "==", 
      RowBox[{"cel1", "-", " ", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", " ", "==", 
      RowBox[{"cel2", " ", "+", " ", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"iel1", "==", 
      RowBox[{"-", "iel2"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.532248478932937*^9, 3.532248580544204*^9}, {
  3.571914280460007*^9, 3.57191428194201*^9}, {3.5719209701986356`*^9, 
  3.5719210022254915`*^9}, {3.5757750001886196`*^9, 3.5757750120446405`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricSwitch\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"ElectricSwitch\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricSwitch.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricSwitch.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricSwitch\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"ElectricSwitch\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\
\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricSwitch.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricSwitch.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256593466`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256593466`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256643467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256643467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256643467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256643467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.6031910256643467`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.603191025669347*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730357554345`*^9, 3.575773138259449*^9, 3.5757731691787033`*^9, 
   3.5757732436692553`*^9, 3.575773376403516*^9, 3.5757734356298323`*^9, {
   3.575773604649832*^9, 3.5757736295274878`*^9}, 3.575773962717149*^9, 
   3.5757742560124707`*^9, 3.575774302068377*^9, 3.5757743819921417`*^9, 
   3.5757744563007317`*^9, 3.5757745307603617`*^9, 3.5757745940431767`*^9, 
   3.575774634379464*^9, 3.5757747228788595`*^9, 3.575775016100648*^9, 
   3.5757794243654895`*^9, 3.5757859667043233`*^9, 3.5757864526594334`*^9, 
   3.575786852395607*^9, 3.575817584662698*^9, 3.578816690990367*^9, 
   3.581406008753325*^9, 3.581406159624954*^9, 3.581406292890577*^9, 
   3.603191025669347*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Inductance", "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Inductance\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Electric inductance\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.5137854905625*^9, 3.513785499984375*^9}, 
   3.515394518221967*^9, {3.5719272242393637`*^9, 3.5719272245045643`*^9}, 
   3.575772934014456*^9, 3.5757732066207914`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51577409603125*^9, {3.51577425015625*^9, 3.5157742514375*^9}, {
   3.516033874671875*^9, 3.51603387515625*^9}, {3.5172817011678505`*^9, 
   3.517281718680449*^9}, 3.571927218997755*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "Induct", ",", "0.1", ",", "double", ",", "\"\<A/(Vs)\>\"", ",", 
      "\"\<Inductance\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5160866149375*^9, 3.5160866583125*^9}, {
  3.5172816937785025`*^9, 3.51728170999445*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"Induct", " ", 
      RowBox[{"Der", "[", "iel2", "]"}]}], "==", 
     RowBox[{"(", 
      RowBox[{"uel1", " ", "-", " ", "uel2"}], ")"}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.51378556925*^9, 3.51378556925*^9}, 
   3.5172819962456045`*^9, {3.5719210419119616`*^9, 3.5719210452659674`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uel1", " ", "==", " ", 
      RowBox[{"cel1", "-", " ", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", " ", "==", " ", 
      RowBox[{"cel2", " ", "+", " ", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.513785574015625*^9, 3.513785574015625*^9}, {
  3.5157742835*^9, 3.515774284796875*^9}, {3.5160312885625*^9, 
  3.51603128909375*^9}, {3.571921049789975*^9, 3.571921073143216*^9}, {
  3.575774863120623*^9, 3.5757748651486263`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"iel2", ",", "uel1", ",", "uel2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51378557834375*^9, 3.51378557834375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"iel1", "==", 
     RowBox[{"-", "iel2"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571921078618826*^9, 3.57192108645004*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.6031910257943497`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.6031910257943497`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\
\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricInductance.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricInductance.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\\(\
\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102580935*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773035895835*^9, 3.5757731384154496`*^9, 3.5757731693503036`*^9, 
   3.575773243825256*^9, 3.575773376559516*^9, 3.5757734357702327`*^9, {
   3.575773604805832*^9, 3.575773629683488*^9}, 3.575773962873149*^9, 
   3.575774256152871*^9, 3.5757743022087774`*^9, 3.5757743821325417`*^9, 
   3.5757744564567327`*^9, 3.5757745309007616`*^9, 3.5757745941835775`*^9, 
   3.5757746345822644`*^9, 3.5757747230348597`*^9, {3.5757748408793716`*^9, 
   3.575774869298234*^9}, 3.575779424474692*^9, 3.5757859668291235`*^9, 
   3.575786452784234*^9, 3.5757868525048075`*^9, 3.5758175849257135`*^9, 
   3.5788166911123667`*^9, 3.581406008887333*^9, 3.5814061597489614`*^9, 
   3.5814062930195837`*^9, 3.60319102581435*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usource", "Section",
 CellChangeTimes->{3.51370852475*^9, 3.517224365292449*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Usource\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<An inertia load with spring and damper\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, 3.515394515221967*^9, 
   3.515775249953125*^9, 3.5757729348100567`*^9, 3.575773222080418*^9}],

Cell[BoxData[
 RowBox[{"ResetComponentVariables", "[", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"ElectricCnode", "[", 
     RowBox[{"el1", ",", "12.", ",", "\"\<port\>\""}], "]"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.515774065*^9, {3.515774111015625*^9, 3.5157741400625*^9}, 
   3.515774214921875*^9, {3.522404467140625*^9, 3.522404467796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "uin", ",", "12.", ",", "double", ",", "\"\<V\>\"", ",", 
      "\"\<Voltage\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, {3.5224043838125*^9, 
   3.5224044046875*^9}, {3.522404444640625*^9, 3.522404459125*^9}, 
   3.53327672158421*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cel1", "==", "uin"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Zcel1", "==", "0."}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.51577430196875*^9, 3.51603129065625*^9, {3.571927270275045*^9, 
   3.571927297169492*^9}, {3.5757864274340715`*^9, 3.575786448073004*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricUsource\\\"\\)\\), \\(\\(\\\
\"displayname\\\" \[Rule] \\(\\(\\\"E\\\" \[Ellipsis] \\\"ce\\\"\\)\\)\\)\\)}\
\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricUsource.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricUsource.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"uin\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricUsource.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricUsource.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"uin\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258943515`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52240448875*^9, {3.52260479990625*^9, 3.522604806203125*^9}, 
   3.5226507625*^9, 3.531934949703125*^9, 3.532014079328125*^9, 
   3.5320808685767035`*^9, 3.5322483833593736`*^9, 3.5370072228390303`*^9, 
   3.5370073349952803`*^9, 3.5370073879952803`*^9, 3.575773036036235*^9, 
   3.57577313858705*^9, 3.575773169537504*^9, 3.575773243981256*^9, 
   3.575773376715516*^9, 3.575773435910633*^9, {3.5757736049462323`*^9, 
   3.575773629823888*^9}, 3.5757739629823494`*^9, 3.575774256277671*^9, 
   3.5757743023335776`*^9, 3.5757743822573423`*^9, 3.5757744565659323`*^9, 
   3.5757745310255623`*^9, 3.5757745943239775`*^9, 3.5757746347538643`*^9, 
   3.5757747231440597`*^9, 3.575779424583894*^9, 3.575785966938323*^9, 
   3.5757864529558353`*^9, 3.5757868525984077`*^9, 3.5758175853287363`*^9, 
   3.5788166912113667`*^9, 3.58140600902334*^9, 3.581406159851967*^9, 
   3.5814062931185894`*^9, 3.6031910258993516`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Isource", "Section",
 CellChangeTimes->{
  3.51370852475*^9, {3.515828267784981*^9, 3.515828279847481*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Isource\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Source of electric current\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, 3.515394515221967*^9, 
   3.515775249953125*^9, 3.515828285691231*^9, {3.515828380316231*^9, 
   3.515828398816231*^9}, {3.516033876859375*^9, 3.5160338924375*^9}, 
   3.51603396084375*^9, {3.522404421796875*^9, 3.5224044220625*^9}, 
   3.5757729355120583`*^9, 3.575773082416552*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"ElectricQnode", "[", 
     RowBox[{"el1", ",", "12.", ",", "\"\<port\>\""}], "]"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.515774065*^9, {3.515774111015625*^9, 3.5157741400625*^9}, 
   3.515774214921875*^9, 3.515828297597481*^9, {3.515828408191231*^9, 
   3.515828413894356*^9}, {3.522404387296875*^9, 3.52240441125*^9}, 
   3.575785957438115*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "iin", ",", "10.", ",", "double", ",", "\"\<A\>\"", ",", 
      "\"\<Current\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, {3.5224043838125*^9, 
   3.5224044046875*^9}, {3.5332767089124975`*^9, 3.5332767091156197`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"iel1", ",", "iin"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"uel1", ",", 
       RowBox[{"cel1", "+", 
        RowBox[{"Zcel1", " ", "iel1"}]}]}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51577430196875*^9, {3.515828307128731*^9, 3.515828310347481*^9}, {
   3.515828342894356*^9, 3.515828368456856*^9}, 3.516031291453125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricIsource\\\"\\)\\), \\(\\(\\\
\"displayname\\\" \[Rule] \\(\\(\\\"E\\\" \[Ellipsis] \\\"ce\\\"\\)\\)\\)\\)}\
\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricIsource.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricIsource.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"iin\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricIsource.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricIsource.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"iin\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.6031910259743533`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522404488828125*^9, {3.522604800015625*^9, 3.52260480671875*^9}, 
   3.522650820484375*^9, 3.53193494975*^9, 3.532014079375*^9, 
   3.532080868639185*^9, 3.5322483834061775`*^9, 3.5370072229796553`*^9, 
   3.5370073350421553`*^9, 3.5370073880890303`*^9, 3.5757730361454353`*^9, 
   3.57577313869625*^9, 3.5757731696467047`*^9, 3.5757732441216564`*^9, 
   3.575773376840317*^9, 3.5757734360042334`*^9, {3.5757736050554323`*^9, 
   3.5757736299330883`*^9}, 3.5757739630603495`*^9, 3.5757742563556714`*^9, 
   3.5757743024271774`*^9, 3.575774382366542*^9, 3.5757744566595325`*^9, 
   3.5757745311035624`*^9, 3.5757745944019775`*^9, 3.5757746348474646`*^9, 
   3.57577472334686*^9, 3.5757794246462955`*^9, 3.5757859670475235`*^9, 
   3.5757864530338354`*^9, 3.5757868526764083`*^9, 3.5758175854717445`*^9, 
   3.5788166912963667`*^9, 3.5814060091273465`*^9, 3.581406159935972*^9, 
   3.5814062932065945`*^9, 3.603191025979353*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Ground", "Section",
 CellChangeTimes->{
  3.51370852475*^9, {3.51370872765625*^9, 3.513708729421875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Ground\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Electric ground\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, {3.5137087323125*^9, 
   3.513708733765625*^9}, {3.515394308207884*^9, 3.5153943120828342`*^9}, 
   3.5153945115813417`*^9, {3.516033939171875*^9, 3.51603395278125*^9}, 
   3.5757729362764597`*^9, 3.575773097610978*^9}],

Cell[BoxData[
 RowBox[{"ResetComponentVariables", "[", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.513708447578125*^9, 3.51370844915625*^9}, 
   3.513708744015625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"ElectricCnode", "[", 
     RowBox[{"el1", ",", "12.", ",", "\"\<port\>\""}], "]"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.517225293849372*^9, 3.5719273184167295`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cel1", "==", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Zcel1", "==", "0."}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.513708739484375*^9, 3.5154939859285083`*^9, 3.516031292546875*^9, {
   3.571927309649514*^9, 3.5719273162015257`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricGround\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"ElectricGround\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricGround.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricGround.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricGround\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"ElectricGround\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\
\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricGround.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricGround.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036254635*^9, 3.5757731388366504`*^9, 3.5757731697715044`*^9, 
   3.5757732443556566`*^9, 3.5757733769651165`*^9, 3.575773436113433*^9, {
   3.575773605289433*^9, 3.5757736300578885`*^9}, 3.57577396316955*^9, 
   3.5757742564648714`*^9, 3.575774302536378*^9, 3.5757743824757423`*^9, 
   3.575774456753133*^9, 3.5757745311971626`*^9, 3.5757745945267777`*^9, 
   3.5757746349722652`*^9, 3.57577472344046*^9, 3.5757794247242966`*^9, 
   3.5757859671411233`*^9, 3.575786453111836*^9, 3.575786852754409*^9, 
   3.5758175856977577`*^9, 3.578816691400367*^9, 3.581406009229352*^9, 
   3.581406160051979*^9, 3.5814062933036003`*^9, 3.603191026119356*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036254635*^9, 3.5757731388366504`*^9, 3.5757731697715044`*^9, 
   3.5757732443556566`*^9, 3.5757733769651165`*^9, 3.575773436113433*^9, {
   3.575773605289433*^9, 3.5757736300578885`*^9}, 3.57577396316955*^9, 
   3.5757742564648714`*^9, 3.575774302536378*^9, 3.5757743824757423`*^9, 
   3.575774456753133*^9, 3.5757745311971626`*^9, 3.5757745945267777`*^9, 
   3.5757746349722652`*^9, 3.57577472344046*^9, 3.5757794247242966`*^9, 
   3.5757859671411233`*^9, 3.575786453111836*^9, 3.575786852754409*^9, 
   3.5758175856977577`*^9, 3.578816691400367*^9, 3.581406009229352*^9, 
   3.581406160051979*^9, 3.5814062933036003`*^9, 3.603191026119356*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036254635*^9, 3.5757731388366504`*^9, 3.5757731697715044`*^9, 
   3.5757732443556566`*^9, 3.5757733769651165`*^9, 3.575773436113433*^9, {
   3.575773605289433*^9, 3.5757736300578885`*^9}, 3.57577396316955*^9, 
   3.5757742564648714`*^9, 3.575774302536378*^9, 3.5757743824757423`*^9, 
   3.575774456753133*^9, 3.5757745311971626`*^9, 3.5757745945267777`*^9, 
   3.5757746349722652`*^9, 3.57577472344046*^9, 3.5757794247242966`*^9, 
   3.5757859671411233`*^9, 3.575786453111836*^9, 3.575786852754409*^9, 
   3.5758175856977577`*^9, 3.578816691400367*^9, 3.581406009229352*^9, 
   3.581406160051979*^9, 3.5814062933036003`*^9, 3.603191026119356*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036254635*^9, 3.5757731388366504`*^9, 3.5757731697715044`*^9, 
   3.5757732443556566`*^9, 3.5757733769651165`*^9, 3.575773436113433*^9, {
   3.575773605289433*^9, 3.5757736300578885`*^9}, 3.57577396316955*^9, 
   3.5757742564648714`*^9, 3.575774302536378*^9, 3.5757743824757423`*^9, 
   3.575774456753133*^9, 3.5757745311971626`*^9, 3.5757745945267777`*^9, 
   3.5757746349722652`*^9, 3.57577472344046*^9, 3.5757794247242966`*^9, 
   3.5757859671411233`*^9, 3.575786453111836*^9, 3.575786852754409*^9, 
   3.5758175856977577`*^9, 3.578816691400367*^9, 3.581406009229352*^9, 
   3.581406160051979*^9, 3.5814062933036003`*^9, 3.6031910261243563`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Motor",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.5157358575371985`*^9, 3.5157358649903235`*^9}, {
  3.5226502121875*^9, 3.522650212640625*^9}, {3.5934148183135486`*^9, 
  3.59341482012873*^9}}],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0003eL0@0006`0000R0000<`400<`>002n4000
@P400>P50039>`00?TH00215CDH00040G3d001T2000300000000000000000000XQ800:PJ003:0000
8@400000000000000000010E0`3XJ0@0AP0002`0000P0000ADe6:`500@0L00004000008@`=/00000
F08005P200160000G00005000015CDH[8T0400`0000000007T0900`000000000940100`000000000
<4020100000400000020?b501`0<0000000000A0000<0000000004H0000X0000700004M4BD<20000
C00006D1000F3P00SQ00000000160000:00001`00017A4U30P0007X5000N2@0000h008h900000000
AP0005P0001<0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Y0080T0000
60000<30`?l10000Zf:bA01f4dGo<`E5@=Ee@R4000080000HP0000`000010000900002@00000000n
000000000000000n00000000000200009`0001P00001000000000<30`00000009@0000`000010000
9@0000`000080020EP000300002B1@00=PT00>H=001e2@001@0009D/]dVE;:=;;fnSBbm_]dVE;;M9
9@0000`0000700209@0000`000000020900002@00000001100000000000000110000000000020000
AP0009`0002@0000ADe6:`Q000900000=000008@`=/00000eP000000000004Q20P00008000000011
0P00000000024<3K00000<30`?l8@043?000030000024<3K10000000002[H[9407HCAJ]R/TAECAM5
EVENAEE=5dEFIEi507HCA@010H4E@040400000@000000000>P0000`000080000900002@00000000n
000000000000000n0000000000020000G`0003P000020000>0000000000h00000000000P0@2@0@00
00000<30`000000000000000000U000030000080000U0000300000D0081F0000;0000<84001V2000
]Ph004D:00040000UBbgBID/Xd/_Kj=;;fngBBD0000<00001`00P2D0000<00000000P2@0000T0000
0000@@00000000000000@@00000000000P0002P0000<00000P0003X0000<00002P000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000L`D009T800053P00iPP0000000160000F00004`00015CDH[:T0002@0000H0000
0020?`00080000200020?`00080000202T00P2@0000H0000`<30o`40002[V[54Zb0;AEC[1DF0EM11
8@0000P0001R000030000040000T00009000000003h000000000000003h0000000000080000U0000
30000040000U0000300000P0081F0000<00008`5002a2000k0d00<`800050000Hbb=AF</GDIIKee6
FFn=AF</SDDU0000300000L0080U000030000000080T000090000000044000000000000004400000
0000008000160000W00009000015CDH[24020T00000d00000Q30f`00003F000000000000B4820000
0P000000044200000000008@`=/00000`<30o`Q00`<l0000<000008@`=/4000000000:^J/DB[80]5
ZiZaA5K134F[^5i5E/4<AJ^hGTF[80]50041PAE00`0@000010000080000j0000300000P0000T0000
9000000003h000000000000003h0000000000080001O0000>0000080000h0000000003P000000000
0201090100000000`<30000000000000000002D0000<00000P0002D0000<00001@00P5H0000/0000
_0@00>47002l3P00W0T000@0001S;8e5HbaMAUU_GDIIKhe59@0000`0000700209@0000`000000020
900002@00000001100000000000000110000000000020000:00000`000020000>P0000`0000:0000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80001b1@00DPP000P>002J2@00000004H000300000]00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P0000808@0@2@00003@000024<3K00000=H000000000
0018@P80000200000000@@80000000000Q30f`000000003o24050c`0000`00000Q30f`@000000000
EGVaA5Fc1TEENK54ZP@HAJ_ZGTFZ11Q5ZnYNAEFc1TD00@615D050100000400001000024000080000
HP0000`000010000>P0000`000080000900002@00000000n000000000000000n0000000000020000
G`0003P000020000>0000000000h00000000000P0@2@0@00000000000000000000000000000U0000
30000080000U0000300000D0081F0000;0000;/4002J1`00_`h0050:00040000FbaF@e//od]bKom;
LVmF@bD0000<00001`00P2D0000<00000000P2@0000T00000000@@00000000000000@@0000000000
0P0002P0000<00000P0003X0000<00002P000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000D`@006D1002h1000
N`D0000000160000Z00009`00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
24060SP0000/00000Q30f`00002H000000000000b48200000000@@0000024<3K000000000?l8@0L3
;000020000024<3K0P000000001EZI14EJG;@eFYT4B[0ZU40041PAE01`0@0000100000H0000Q0000
20000680000<00000@0002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0P0003P000000000>000000000000P40@0H000000000000000000000000000009@0000`000020000
9@0000`000050020E`0002@0001A1000H`400;P4001k1@000P0004e8KAU=B7YD9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000020000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80001C1000Y``00;P4002>4000000004H0002X0000W00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P0000808@0P2>00002`000024<3K000009P000000000
0038@P80000000110000008@`=/000000000o`Q02@</00008000008@`=/20000000005FYT4@0g895
EJV@A5FICDD00@615D090100000400002000024000080000HP0000`000010000900002@00000080n
000000000000080n0000000000020000G`0003P000020000>0000000000h0000000000020@2@0@00
000000000000000000000000000U000030000080000U0000300000D0081G000090000584002V3000
^0@008h@00020000519/@A@BIC<U0000300000L0080U000030000000080T000090000000P4000000
00000000P400000000000080000X000030000080000R000030000?oooom60000700001000015CDH[
140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U30P0004`0002o1000
_`P003<=00000000AP000=@000380000ADe6:bY0000T000060000000P3l000200000P000P3l00020
0000P0Q02P>@0000Q000008@`=/=0000000005FYT4AE:Ie4D/LAA5DYWDB[J^]2DeKGA:]Zjd80SPm5
Zf[[@]I`<dEBaa54EHM@AEFYT4AEQe150VoHA5F7D4D0CPU5eW0cA@1>2DD0SPm504h9AE=Fed@2KmQ4
EBVMA5FYT4AE:Ie400<30`<30`<30`<3Ph2<@aA02X0@000010000?oooolX000030000040000Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0002L0000H0000
0@000000003oool0000002D0000<00000@0001<0000<00000@0003/000080000E@00050000000000
00000?oooooooooo3@0002LTAbLe4TLWZP?B=JX3`dNZ0kEI=A90J2LT@6PH=T1XXdBeFJ=4`dNSA=8e
63I79bLTAbLl0000200003h0000H0000M@000>P4002E200020d001<0000<00000@0002D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0004H0001T0000F00004E=AR/8@0/2
A00003P000024<3K00000=h000000000ZjZV@P80000200000P000000044200000000008@`=/00000
0000oaE02P0@0000100000/0000T00009000000003h000000000000003h0000000000080001O0000
>0000080000h0000000003P000000000000109/2000000000000000000000000000002D0000<0000
0P0002D0000<00001@00P5D0001@0000BP000;h400302000<`d000d0000W94LW=A979jX3dSFZ0l=7
ZP>eFCDB@6PW941X63I0J:=4]EVSA<=7XdCB=APfAbLW94LW9@0000`0000700209@0000`000000020
900002@00000001100000000000000110000000000020000:00000`0000200008P0000`0003ooooo
AP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000DP00070100020000
h?coo`0000000000000009010000000004000440LP1Y0640K0000000000000000@000000002T0`00
000000000000000093KC<42h?`0200000@0000800000000000000000002@0@0000000838?`0DD^H`
:;Lo05Rl?`0T^1<00@0006c;?`020000K;PC0=mBiS000000K</o0835?`000000G0_a<04000000000
00000835?`0000007Z[V<?l0002Pe3l00P0000000000000000000000001@bSl0OQ3a<080003ooooo
F3h4<01SEC1Qe04`3;hC0000003P/3l0@a<:<1d4?`0M13l0VA<:<4d0000003l000000835?`000000
[;PC0835?`00000000000000002]3o4`P<Do00000008^A<0n;PC07l30008^cl0I7H02000000U0000
30000080000F0000300001P0000B000030000040000H000030000000009D0000E00003P3001?1`00
d@D00<`:00010000OH>7@8f5Qd0h0`008`X00040001<00000000000000000000oooooooooom@0000
C@19@iX2000F000030000000000U0000300000h0080X00003000008000160000:00001`00017A4U3
0P0008<:001b10005Ph006l=00000000AP0002P0000L0000AdA9@`8000232P00LP@001H>001_3@00
000004H0001H0000C00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080:@020
900001P0003ooooo0@000:_::DEELI54[>9GA?jO34DQ000020000680000<00000@0002@0000T0000
0000?P00000000000000?P00000000000P0002D0000<00000@0002D0000<00002000P5H0000`0000
W0X008/4003l3@00EPd000D0003RE5TThUBYJ]i_ZF[NKeTThUAI92D0000<00001`00P2D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0004H0002L0000T00004E=AR/8@0`2
@00003@000024<3K00000=H0000000000018@P80000200000000@@80000000000Q30f`000000003o
240=0c`0000`00000Q30f`@000000000ZlXYAEEaTDB[bRU5ZUQEAEK3GdFZF5E5E/=OAEEaTD@00@61
5D0=010000040000300003X0000<0000200002@0000T00000000?P00000000000000?P0000000000
0P0005l0000h00000P0003P000000000>000000000008040T0400000000000000000000000000000
9@0000`0000200009@0000`000050020EP0002`0003<2@00^`<00<`>000V3P0010000>9DFBCRE:UZ
gVnYJ]i_FB@U0000300000L0080U000030000000080T000090000000044000000000000004400000
00000080000X000030000080000j0000300000X0000R000030000?oooom60000700001000015CDH[
140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U30P000;D:001J2P00
g0d003`<00000000AP0005P0001<0000ADe6:bY0000T000060000000P3l000200000P000P3l00020
0000P0Y0080T000060000<30`?l10000ZnX/A@0`9dD043e40:3G@bP0000<00000@00024000080000
HP0000`000010000900002@00000000n000000000000000n00000000000200009`0001P000010000
00000<30`00000009@0000`0000100009@0000`000080020EP000300003>2P00LPX00<<=000R3000
1@00079FU5=bEPiQ56h>HAA^U5=bEYAC9@0000`0000700209@0000`000000020900002@000000011
00000000000000110000000000020000AP0009`0002@0000ADe6:`Q03P900000=000008@`=/00000
eP000000000004Q20P000080000000110P00000000024<3K00000<30`?l8@0l3?000030000024<3K
10000000002[jRa5030WAJ_Z;4D09495ZbiLA@0T@TF[;Ua5030WA@010H4E@0l0400000@0000>0000
>P0000`000080000900002@00000000n000000000000000n0000000000020000G`0003P000020000
>0000000000h00000000000P0@2@0@0000000<30`000000000000000000U000030000080000U0000
300000D0081F0000;0000?h9002R2@00T`h00?8<00040000LUJDDg9F3V4DKPiQ56jDDbD0000<0000
1`00P2D0000<00000000P2@0000T00000000@@00000000000000@@00000000000P0002P0000<0000
0P0003X0000<00002P000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000
500000P00017A4U30`0004H0000X0000700004M4BD<20000]@X000D6003L3@0030L0000000160000
F00004`00015CDH[:T0002@0000H00000020?`00080000200020?`00080000202T00P2@0000H0000
`<30o`40002[jRa5EMG3A00@?DAHME=38@0000P0001R000030000040000T00009000000003h00000
0000000003h0000000000080000U000030000040000U0000300000P0081F0000<0000<h:000N1P00
``d00?8600050000LUKb<79FSCLDKXdg56kb<79FlS0U0000300000L0080U000030000000080T0000
900000000440000000000000044000000000008000160000W00009000015CDH[240@0T00000d0000
0Q30f`00003F000000000000B48200000P000000044200000000008@`=/00000`<30o`Q04@<l0000
<000008@`=/4000000000:_Z;4EEeL=4ZnX/A@14gTB[;Ua504CNA:/^G4EEeL=40041PAE04@0@0000
10000100000j0000300000P0000T00009000000003h000000000000003h0000000000080001O0000
>0000080000h0000000003P0000000000201090100000000`<30000000000000000002D0000<0000
0P0002D0000<00001@00P5H0000/0000oPT004h5002C3P00`PL000@0001bE_8`LUJ==aA^SCLDK_8`
9@0000`0000700209@0000`000000020900002@00000001100000000000000110000000000020000
:00000`000020000>P0000`0000:00008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0001@000080000AdA9@`<000160000:00001`00017A4U3
0P0007X5000N2@0000h008h900000000AP0005P0001<0000ADe6:bY0000T000060000000P3l00020
0000P000P3l000200000P0Y0080T000060000<30`?l10000Zf:bA01f4dGo<`E5@=Ee@R4000080000
HP0000`000010000900002@00000000n000000000000000n00000000000200009@0000`000010000
9@0000`000080020EP000300002B1@00=PT00>H=001e2@001@0009D/]dVE;:=;;fnSBbm_]dVE;;M9
9@0000`0000700209@0000`000000020900002@00000001100000000000000110000000000020000
AP000200000D0000ADe6:aE00@0@000010000000000j0000300000P0000T00009000000003h00000
0000000003h0000000000080001O0000>0000080000h0000000003P0000000000201090100000000
`<30000000000000000002D0000<00000P0002D0000<00001@00P5H0000/0000`P@006H8002f3P00
A@X000@0002E;;M9UBbSBbm_Xd/_KkM99@0000`0000700209@0000`000000020900002@000000011
00000000000000110000000000020000:00000`000020000>P0000`0000:00008P0000`0003ooooo
AP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000
AdA9@`80001c1@00V@P000D>003V2000000004H0001H0000C00004E=AR/Z@000900001P00000080o
0000P0000800080o0000P000080:@020900001P00030`<3o0@000:^J/DB[80]5E>/5AH1Ed44Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0002D0000<0000
0@0002D0000<00002000P5H0000`0000S0D00;48003/3@00c0P000D0001S;8e5HbaMAUU_GDIIKhe5
Hbb=ABD0000<00001`00P2D0000<00000000P2@0000T00000000@@00000000000000@@0000000000
0P0004H0000P0000500004E=AR/E@0<0400000@000020000>P0000`000080000900002@00000000n
000000000000000n0000000000020000G`0003P000020000>0000000000h00000000000P0@2@0@00
00000<30`000000000000000000U000030000080000U0000300000D0081F0000;0000;`4003Q1`00
_0h009`900040000Hbb=AF</GDIIKee6FFn=ABD0000<00001`00P2D0000<00000000P2@0000T0000
0000@@00000000000000@@00000000000P0002P0000<00000P0003X0000<00002P000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000LPD0058800083P00VPT0000000160000A00003P00015CDH[:T0002@0000H0000
0020?`00080000200020?`00080000205D050100000400001000024000080000HP0000`000010000
>P0000`000080000900002@00000000n000000000000000n0000000000020000G`0003P000020000
>0000000000h00000000000P0@2@0@00000000000000000000000000000U000030000080000U0000
300000D0081F0000;0000;/4002J1`00_`h0050:00040000FbaF@e//od]bKom;LVmF@bD0000<0000
1`00P2D0000<00000000P2@0000T00000000@@00000000000000@@00000000000P0002P0000<0000
0P0003X0000<00002P000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000
500000P00017A4U30`0004H0000X0000700004M4BD<20000D`@006D1002h1000N`D0000000160000
A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`00080000205D07010000040000
1P00024000080000HP0000`000010000900002@00000080m000000000000080m0000000000020000
G`0003P000020000>0000000000h0000000000020@101P00000000000000000000000000000U0000
30000080000U0000300000D0081G000090000544001S0@00^0@007/500020000CDQ]6De8NU@U0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
30000080000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P0005<4002W3000^0@008h@00000000AP0004@0000h0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P1E02@0@0000100000P0000Q0000
20000680000<00000@0002@0000T00000020?P00000000000020?P00000000000P0005l0000h0000
0P0003P000000000>000000000000P40T04000000000000000000000000000009@0000`000020000
9@0000`000050020E`0002@0001B1000YP`00;P4002>40000P0001@BK44D4VDc9@0000`000070020
9@0000`000000020900002@00000081000000000000008100000000000020000:00000`000020000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80001<0000_`@00;l8000c3@00000004H000140000>00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P000080D@0Z0400000@0003ooooo:00000`000010000
8@0000P0001R000030000040000T00009000000003h000000000000003h0000000000080000W0000
6000004000000000oooo0000000U000030000040000C000030000040000k0000200005D0001@0000
00000000003oooooooooo`d0000W94LW=A979jX3dSFZ0l=7ZP>eFCDB@6PW941X63I0J:=4]EVSA<=7
XdCB=APfAbLW94LW?00000P0000n0000600007D0003X1000U@P000P=000C000030000040000U0000
30000000080T0000900000000440000000000000044000000000008000160000800001@00015CDH[
5D0:0100000400002`0002@0000T00000000?P00000000000000?P00000000000P0005l0000h0000
0P0003P000000000>000000000000040V`8000000000000000000000000000009@0000`000020000
9@0000`000050020E@000500001:0000_P@00<08000c3@003@0002LTAbLe4TLWZP?B=JX3`dNZ0kEI
=A90J2LT@6PH=T1XXdBeFJ=4`dNSA=8e63I79bLTAbLU0000300000L0080U000030000000080T0000
9000000004400000000000000440000000000080000X000030000080000R000030000?oooom60000
700001000015CDH[140000`000000000AP0001@000080000AdA9@`<0001B0000L0400080003Po?oo
0000000000000000T04000000000@000@@1b06T0H@1/0000000000000001000000000:@300000000
0000000000000000@;Po0080000100000P000000000000000000090100000000P<Po01ABiS0X]cl0
F;`o02Bh4`010000K</o0080001/^1<0ge;V<000001/bcl0P<Do0000001L2o4`0@00000000000000
P<Do0000000NZ^H`o`000:3D?`02000000000000000000000000053:?`1n4?4`0P000?oooomH?P@`
06=E<67D0C0<_Q<000000>2`?`134`X`7@@o01d4?`2I4`X`C@000000?`000000P<Do0000002/^1<0
P<Do00000000000000000:d?lC20aCl0000000Ri4`3h^1<0O`<000Rk?`1TMP08000002D0000<0000
0P0001H0000<000060000180000<00000@0001P0000<000000000U@0001D0000>0<004l7003A1@00
c0X00040001mPhM0SHF7@3P3000S2P000@0004`00000000000000000003ooooooooooe00001=0000
VP8001H0000<0000000002D0000<00003P00P2P0000<00000P0004H0000X0000700004M4BD<20000
P`X00784000F3P00K`d0000000160000:00001`00017A4U30P0008<:001b10005Ph006l=00000000
AP0005P0001<0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Y0080T0000
60000?ooool10000ZlXYAEEaTDB/hUM4oYl<AB4000080000HP0000`000010000900002@00000000n
000000000000000n00000000000200009@0000`0000100009@0000`000080020EP000300002L2P00
R`@00?`=001F3@001@000>9DFBCRE:UZgVnYJ]i_FBCRE5TT9@0000`0000700209@0000`000000020
900002@00000001100000000000000110000000000020000AP000200000D0000ADe6:aE03@0@0000
100000`0000j0000300000P0000T00009000000003h000000000000003h0000000000080001O0000
>0000080000h0000000003P00000000002010901000000000000000000000000000002D0000<0000
0P0002D0000<00001@00P5H0000/0000c0T00;/3003<3P009Ph000@0003RE5TThUBYJ]i_ZF[NKeTT
9@0000`0000700209@0000`000000020900002@00000001100000000000000110000000000020000
:00000`000020000>P0000`0000:00008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80002e2P00FPX00=`=000l3000
000004H0001H0000C00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080:@020
900001P00030`<3o0@000:_Z;4D0<2M5010mA02Ped<X000030000040000Q000020000680000<0000
0@0002@0000T00000000?P00000000000000?P00000000000P0002L0000H00000@0000000030`<00
000002D0000<00000@0002D0000<00002000P5H0000`0000cPX0078:00333@008P`000D0001bEYAC
LUH>HAA^3V4DKYACLUJDDbD0000<00001`00P2D0000<00000000P2@0000T00000000@@0000000000
0000@@00000000000P0004H0000P0000500004E=AR/E@0l0400000@0000>0000>P0000`000080000
900002@00000000n000000000000000n0000000000020000G`0003P000020000>0000000000h0000
0000000P0@2@0@0000000<30`000000000000000000U000030000080000U0000300000D0081F0000
;0000?h9002R2@00T`h00?8<00040000LUJDDg9F3V4DKPiQ56jDDbD0000<00001`00P2D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0002P0000<00000P0003X0000<0000
2P000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U3
0`0004H0000X0000700004M4BD<20000]@X000D6003L3@0030L0000000160000F00004`00015CDH[
:T0002@0000H00000020?`00080000200020?`00080000202T00P2@0000H0000`<30o`40002[jRa5
EMG3A00@?DAHME=38@0000P0001R000030000040000T00009000000003h000000000000003h00000
00000080000U000030000040000U0000300000P0081F0000<0000<h:000N1P00``d00?8600050000
LUKb<79FSCLDKXdg56kb<79FlS0U0000300000L0080U000030000000080T00009000000004400000
00000000044000000000008000160000800001@00015CDH[5D0A010000040000400003X0000<0000
200002@0000T00000000?P00000000000000?P00000000000P0005l0000h00000P0003P000000000
>000000000008040T04000000030`<0000000000000000009@0000`0000200009@0000`000050020
EP0002`0003n2@00CPD009<>00321`001000079FlS1bEXdg56j==aA^lS0U0000300000L0080U0000
30000000080T00009000000004400000000000000440000000000080000X000030000080000j0000
300000X0000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P0008<:001b10005Ph006l=00000000AP0005P0001<0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Y0080T000060000?ooool10000
ZlXYAEEaTDB/hUM4oYl<ABP0000<00000@00024000080000HP0000`000010000900002@00000000n
000000000000000n00000000000200009`0001P00001000000000?ooo`0000009@0000`000010000
9@0000`000080020EP000300002L2P00R`@00?`=001F3@001@000>9DFBCRE:UZgVnYJ]i_FBCRE5TT
9@0000`0000700209@0000`000000020900002@00000001100000000000000110000000000020000
AP000200000D0000ADe6:aE03@0@0000100000`0000j0000300000P0000T00009000000003h00000
0000000003h0000000000080001O0000>0000080000h0000000003P0000000000201090100000000
0000000000000000000002D0000<00000P0002D0000<00001@00P5H0000/0000c0T00;/3003<3P00
9Ph000@0003RE5TThUBYJ]i_ZF[NKeTT9@0000`0000700209@0000`000000020900002@000000011
00000000000000110000000000020000:00000`000020000>P0000`0000:00008P0000`0003ooooo
AP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000
AdA9@`80002e2P00FPX00=`=000l3000000004H0001H0000C00004E=AR/Z@000900001P00000080o
0000P0000800080o0000P000080:@020900001P00030`<3o0@000:_Z;4D0<2M5010mA02Ped<X0000
30000040000Q000020000680000<00000@0002@0000T00000000?P00000000000000?P0000000000
0P0002L0000H00000@0000000030`<00000002D0000<00000@0002D0000<00002000P5H0000`0000
cPX0078:00333@008P`000D0001bEYACLUH>HAA^3V4DKYACLUJDDbD0000<00001`00P2D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0004H0000P0000500004E=AR/E@0l0
400000@0000>0000>P0000`000080000900002@00000000n000000000000000n0000000000020000
G`0003P000020000>0000000000h00000000000P0@2@0@0000000<30`000000000000000000U0000
30000080000U0000300000D0081F0000;0000?h9002R2@00T`h00?8<00040000LUJDDg9F3V4DKPiQ
56jDDbD0000<00001`00P2D0000<00000000P2@0000T00000000@@00000000000000@@0000000000
0P0002P0000<00000P0003X0000<00002P000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000]@X000D6003L3@00
30L0000000160000F00004`00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
2T00P2@0000H0000`<30o`40002[jRa5EMG3A00@?DAHME=38@0000P0001R000030000040000T0000
9000000003h000000000000003h0000000000080000U000030000040000U0000300000P0081F0000
<0000<h:000N1P00``d00?8600050000LUKb<79FSCLDKXdg56kb<79FlS0U0000300000L0080U0000
30000000080T0000900000000440000000000000044000000000008000160000800001@00015CDH[
5D0A010000040000400003X0000<0000200002@0000T00000000?P00000000000000?P0000000000
0P0005l0000h00000P0003P000000000>000000000008040T04000000030`<000000000000000000
9@0000`0000200009@0000`000050020EP0002`0003n2@00CPD009<>00321`001000079FlS1bEXdg
56j==aA^lS0U0000300000L0080U000030000000080T000090000000044000000000000004400000
00000080000X000030000080000j0000300000X0000R000030000?oooom60000700001000015CDH[
140000`000000000AP0001@000080000AdA9@`<000160000=00002P00015CDH[:T0002@0000H0000
0020?`00080000200020?`00080000208@0000P0001R000030000040001<0000I0000280000c0@00
``h00;h@000R0000<`400:8>002<3`00:@2Z0000000000000020?`00000000000020?`0000000000
000000000000000000000000000000008P0000`0003oooooAP0001`0000@0000ADe6:`90000<0000
000000h0000D000000000100000D0000
\>"], "Text",
 ImageSize->{128.688, 141.438},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Motor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Electric motor with inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, {3.5137087323125*^9, 
   3.513708733765625*^9}, {3.513708789984375*^9, 3.5137088199375*^9}, {
   3.513709401015625*^9, 3.513709417140625*^9}, 3.515393203725807*^9, 
   3.515394538190717*^9, 3.5157358776934485`*^9, {3.522650222546875*^9, 
   3.52265022328125*^9}, 3.5757729375244617`*^9, 3.57577311582141*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.52265022128125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Ke", ",", "0.13", ",", "double", ",", "\"\<\!\(\*
StyleBox[\"V\",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\" \",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\"s\",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\"/\",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\"rad\",
FontFamily->\"Courier New\"]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"emf\",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\" \",
FontFamily->\"Courier New\"]\)\!\(\*
StyleBox[\"constant\",
FontFamily->\"Courier New\"]\)\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ra", ",", "0.04", ",", "double", ",", "\"\<Ohm\>\"", ",", 
       "\"\<motor resistance\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Tm0", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<zero speed friction of motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "wc", ",", "1.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<Friction speed\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bm", ",", "0.0012", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Visc. fric. coeff., motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jm", ",", "1", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Moment of inertia, motor\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5137088598125*^9, 3.513708909015625*^9}, {
   3.513939650365389*^9, 3.5139396529591055`*^9}, 3.5139396911617413`*^9, {
   3.5154969860725822`*^9, 3.515496990353696*^9}, {3.515497341256056*^9, 
   3.515497389177317*^9}, {3.515727153665826*^9, 3.515727183834612*^9}, 
   3.515727397717471*^9, {3.515735827959242*^9, 3.5157358395372925`*^9}, {
   3.519118882015625*^9, 3.519118890671875*^9}, {3.5191189788125*^9, 
   3.519119000171875*^9}, {3.5757739427179136`*^9, 3.575773952467931*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "tormg", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Generated motor torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<Input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<Output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.518547082234375*^9, 3.5185471520625*^9}, 
   3.518547487640625*^9, {3.518628009390625*^9, 3.518628013953125*^9}, {
   3.51904117421875*^9, 3.5190412405625*^9}, {3.519105757*^9, 
   3.51910577603125*^9}, {3.51910591740625*^9, 3.519105935296875*^9}, {
   3.519118720125*^9, 3.519118720625*^9}, {3.58530531198612*^9, 
   3.585305318614499*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{
      "mr1", ",", "0.", ",", "0.", ",", "\"\<Mechanical rot.connection\>\""}],
       "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51371110959375*^9, {3.515486897105438*^9, 3.5154868972460594`*^9}, {
   3.5154963499562235`*^9, 3.5154963505968523`*^9}, {3.515525281796875*^9, 
   3.515525324359375*^9}, {3.515560997171875*^9, 3.51556101490625*^9}, {
   3.515727215457679*^9, 3.5157272968769484`*^9}, {3.515754819988968*^9, 
   3.5157548243171206`*^9}, 3.515929019062663*^9, {3.516033815890625*^9, 
   3.516033825828125*^9}, {3.521780774359375*^9, 3.52178077465625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tm0e", "=", " ", 
   RowBox[{"Tm0", " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tormge", "=", 
   RowBox[{
    RowBox[{"Ke", " ", "iel2"}], "-", 
    RowBox[{"Bm", " ", "wmr1"}], "-", "Tm0e"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.519118461921875*^9, 3.519118461984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Jm", " ", 
       RowBox[{"Der", "[", "wmr1", " ", "]"}]}], "==", 
      RowBox[{"(", 
       RowBox[{"tormge", "-", "tormr1"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Der", "[", "thetamr1", "]"}], "==", "wmr1"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel2"}], ")"}], "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ra", " ", "iel2"}], " ", "+", " ", 
        RowBox[{"Ke", " ", "wmr1"}]}], ")"}]}]}], "\[IndentingNewLine]", "\t",
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.513708991484375*^9, {3.513709128109375*^9, 3.513709133359375*^9}, {
   3.513709195703125*^9, 3.51370919578125*^9}, {3.5154869651036973`*^9, 
   3.5154869816970224`*^9}, {3.5154870252427826`*^9, 
   3.5154870305863957`*^9}, {3.515487064210535*^9, 3.515487088272419*^9}, 
   3.515490159787875*^9, {3.515493268170411*^9, 3.515493323686036*^9}, {
   3.515493369529786*^9, 3.515493370326661*^9}, {3.5154935825128193`*^9, 
   3.5154936036375494`*^9}, 3.515493650621375*^9, {3.5154937018392096`*^9, 
   3.515493729041812*^9}, 3.515494010334446*^9, 3.5154960555298715`*^9, {
   3.5157296848392982`*^9, 3.5157296849017982`*^9}, {3.5157298039799232`*^9, 
   3.5157298074017982`*^9}, {3.5157298386830482`*^9, 
   3.5157298387767982`*^9}, {3.515735808599991*^9, 3.515735809287486*^9}, 
   3.5157358436310167`*^9, 3.5170378448145356`*^9, {3.519118474890625*^9, 
   3.5191184941875*^9}, {3.5719273491955833`*^9, 3.571927367666016*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uel1", "==", 
      RowBox[{"cel1", "-", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", "==", 
      RowBox[{"cel2", "+", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", " ", "==", " ", 
      RowBox[{"cmr1", " ", "+", " ", 
       RowBox[{"Zcmr1", " ", "wmr1"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.513709484578125*^9, 3.513709484578125*^9}, {
  3.515490149741*^9, 3.515490151006625*^9}, {3.51556122921875*^9, 
  3.51556123359375*^9}, {3.515561274515625*^9, 3.515561294265625*^9}, {
  3.5157263110717087`*^9, 3.515726324467642*^9}, {3.5157298428080482`*^9, 
  3.5157298429017982`*^9}, {3.5158131639265437`*^9, 3.515813165879506*^9}, {
  3.5160312933125*^9, 3.516031294484375*^9}, {3.571927372268024*^9, 
  3.571927389209654*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iel1", "==", 
      RowBox[{"-", "iel2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormg", "==", " ", "tormge"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"uel1", "-", "uel2"}], ")"}], " ", "iel2"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{"wmr1", " ", "tormr1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.515493746118875*^9, 3.5154938048995757`*^9}, 
   3.5154938454615564`*^9, 3.5154939493508515`*^9, {3.515497497316558*^9, 
   3.515497504660214*^9}, {3.51911854265625*^9, 3.51911855584375*^9}, {
   3.519118651296875*^9, 3.51911865153125*^9}, {3.5719273963856664`*^9, 
   3.5719274164629016`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "wmr1", ",", "thetamr1", ",", "iel2", ",", "uel1", ",", "uel2", ",", 
     "tormr1"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51370899921875*^9, 3.5137090601875*^9}, {
   3.513709135484375*^9, 3.513709184734375*^9}, 3.515486918636137*^9, {
   3.515493296482911*^9, 3.515493296842286*^9}, {3.515493662074348*^9, 
   3.5154936675586176`*^9}, 3.515493810883874*^9, {3.5157297996517982`*^9, 
   3.5157297997299232`*^9}, {3.515735648413516*^9, 3.5157356488041387`*^9}, {
   3.515735811631222*^9, 3.515735811709346*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026259359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026259359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricMotor\\\"\\)\\), \
\\(\\(\\(\\(\\\"dis\\\" \[Ellipsis] \\\"ame\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricMotor.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \\\"ElectricMotor.svg\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] \
4 \[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\
\\(\\\"x\\\" \[Rule] \\\"0.75\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\
\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026279359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026279359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026279359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036410636*^9, 3.575773139133051*^9, 3.575773170114705*^9, 
   3.5757732445584574`*^9, 3.5757733772615175`*^9, 3.5757734363786335`*^9, {
   3.575773605476633*^9, 3.575773630338689*^9}, 3.5757739634659505`*^9, 
   3.575774256605272*^9, 3.575774302692378*^9, 3.5757743826317425`*^9, 
   3.575774456893533*^9, 3.5757745313375626`*^9, 3.5757745947919784`*^9, 
   3.5757746351282654`*^9, 3.5757747236120605`*^9, 3.575779424833499*^9, 
   3.5757859672659235`*^9, 3.575786453236637*^9, 3.5757868528636093`*^9, 
   3.575817586042777*^9, 3.5788166915693665`*^9, 3.5814060093943615`*^9, 
   3.5814061602189884`*^9, 3.5814062934806104`*^9, 3.603191026284359*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"gearing", "=."}]], "Input",
 CellChangeTimes->{{3.518795782125*^9, 3.5187957916875*^9}}],

Cell[BoxData[
 RowBox[{"tmax", "=."}]], "Input",
 CellChangeTimes->{{3.51879580071875*^9, 3.518795802765625*^9}}],

Cell[BoxData[
 RowBox[{"wm", "=."}]], "Input",
 CellChangeTimes->{{3.51879583846875*^9, 3.518795840375*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["MotorGear\n",
  FontFamily->"System"],
 StyleBox["Electric motor with gear and inertia load",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{
  3.522604736109375*^9, 3.52260476665625*^9, {3.5719274419221463`*^9, 
   3.571927442109347*^9}, 3.5934148169224095`*^9}],

Cell[CellGroupData[{

Cell[BoxData["inputVariables"], "Input",
 CellChangeTimes->{{3.575774278761936*^9, 3.5757742812267404`*^9}}],

Cell[BoxData["inputVariables"], "Output",
 CellChangeTimes->{{3.5757742822875423`*^9, 3.5757743027859783`*^9}, 
   3.575774382865743*^9, 3.5757744570963335`*^9, 3.575774531540363*^9, 
   3.575774594885578*^9, 3.5757746353622656`*^9, 3.575774723705661*^9, 
   3.5757794249271*^9, 3.575785967343923*^9, 3.575786453314637*^9, 
   3.57578685292601*^9, 3.5758175864928026`*^9, 3.578816691646367*^9, 
   3.5814060095983734`*^9, 3.5814061603079934`*^9, 3.5814062936566205`*^9, 
   3.60319102633436*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<MotorGear\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Electric motor with gear and inertia load\>\""}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, {3.5137087323125*^9, 
   3.513708733765625*^9}, {3.513708789984375*^9, 3.5137088199375*^9}, {
   3.513709315953125*^9, 3.5137093166875*^9}, {3.51370934803125*^9, 
   3.513709386875*^9}, 3.515393228397682*^9, 3.515394538846967*^9, {
   3.521777776703125*^9, 3.521777777328125*^9}, 3.575772938897264*^9, 
   3.5757731204702187`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<port 2\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{
      "mr1", ",", "0.", ",", "0.", ",", "\"\<Mechanical rot.connection\>\""}],
       "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51371110959375*^9, {3.515486897105438*^9, 3.5154868972460594`*^9}, {
   3.5154963499562235`*^9, 3.5154963505968523`*^9}, {3.515525281796875*^9, 
   3.515525324359375*^9}, {3.515560997171875*^9, 3.51556103534375*^9}, {
   3.515685350796875*^9, 3.51568536184375*^9}, {3.515685595984375*^9, 
   3.515685598703125*^9}, {3.51572598011862*^9, 3.5157259948825703`*^9}, 
   3.51862799871875*^9, {3.521778232359375*^9, 3.521778233796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Ke", ",", "0.13", ",", "double", ",", "\"\<V/rpm\>\"", ",", 
       "\"\<emf constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ra", ",", "0.04", ",", "double", ",", "\"\<Ohm\>\"", ",", 
       "\"\<motor resistance\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Tm0", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<zero speed friction of motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "wc", ",", "1.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<Friction speed (for numerics)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bm", ",", "0.0012", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Visc. fric. coeff., motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jm", ",", ".1", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Moment of inertia, motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.0", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Visc. fric. coeff., motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "JL", ",", "1", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Moment of inertia, motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "myfric", ",", ".01", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<friction. coeff. of gear (at output)\>\""}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51370929940625*^9, 3.51370929940625*^9}, {
   3.513709582640625*^9, 3.513709583484375*^9}, {3.513939656771557*^9, 
   3.513939661740243*^9}, {3.515524764375*^9, 3.515524840125*^9}, {
   3.515727322344883*^9, 3.5157273865459538`*^9}, 3.518260862875*^9, 
   3.518261225265625*^9, 3.519040872671875*^9, 3.519040945984375*^9, 
   3.51906377815625*^9, {3.51911507559375*^9, 3.519115108265625*^9}, {
   3.519115167890625*^9, 3.51911521371875*^9}, {3.51911576046875*^9, 
   3.519115764109375*^9}, {3.519118910390625*^9, 3.519118922671875*^9}, {
   3.5191190169375*^9, 3.5191191019375*^9}, {3.519192115375*^9, 
   3.5191921193125*^9}, {3.5375240011945553`*^9, 3.53752410979698*^9}, {
   3.537524303775069*^9, 3.537524310884262*^9}, {3.575774247806856*^9, 
   3.5757742483996572`*^9}, {3.5757743357692604`*^9, 
   3.5757743368612623`*^9}, {3.5757744285638833`*^9, 3.575774442635108*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", " ", "=", " ", 
   RowBox[{"{", "\n", "   ", 
    RowBox[{"{", 
     RowBox[{
     "gearRatio", ",", " ", "1.", ",", " ", "double", ",", " ", "\"\<\>\"", 
      ",", " ", "\"\<gearing w1/w2\>\""}], "}"}], "\n", "   ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, 3.5757741287903643`*^9, 
   3.5757742530484657`*^9, {3.5757743310892525`*^9, 3.5757743310892525`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "wm", ",", "0.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<motor speed\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "tormg", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Generated motor torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<Input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<Output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.518547082234375*^9, 3.5185471520625*^9}, 
   3.518547487640625*^9, {3.518628009390625*^9, 3.518628013953125*^9}, {
   3.51904117421875*^9, 3.5190412405625*^9}, {3.519105757*^9, 
   3.51910577603125*^9}, {3.51910591740625*^9, 3.519105935296875*^9}, {
   3.5853053488252273`*^9, 3.585305350061298*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wme", "=", 
   RowBox[{"gearRatio", " ", "wmr1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tm0e", "=", " ", 
   RowBox[{"Tm0", " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tormge", "=", 
   RowBox[{
    RowBox[{"Ke", " ", "iel2"}], "-", 
    RowBox[{"Bm", " ", "wme"}], "-", "Tm0e"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tore", "=", 
   RowBox[{"gearRatio", " ", "tormge"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.515560667421875*^9, 3.5155606675*^9}, {
   3.515560725140625*^9, 3.515560785453125*^9}, {3.5155609716875*^9, 
   3.515560972265625*^9}, 3.518260873453125*^9, 3.51904099365625*^9, {
   3.519041154953125*^9, 3.51904115653125*^9}, {3.51910365884375*^9, 
   3.519103674109375*^9}, 3.5191037251875*^9, {3.51911567465625*^9, 
   3.519115708015625*^9}, 3.5371673845764513`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tfr", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"myfric", " ", 
      RowBox[{"Abs", "[", "tormr1", "]"}]}], ")"}], " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51911504184375*^9, {3.51911515415625*^9, 3.51911516159375*^9}, {
   3.51911523025*^9, 3.519115245296875*^9}, 3.519115521796875*^9, {
   3.51911561315625*^9, 3.519115638296875*^9}, 3.519115712546875*^9, 
   3.51911581653125*^9, {3.5371673679045763`*^9, 3.5371673845920763`*^9}, {
   3.5375239481042037`*^9, 3.5375239553224916`*^9}, {3.537524146169729*^9, 
   3.537524160747481*^9}, {3.537524286994249*^9, 3.5375242912128906`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", ":=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["gearRatio", "2"], "Jm"}], "+", "JL"}], ")"}], " ", 
        RowBox[{"Der", "[", "wmr1", " ", "]"}]}], "+", " ", "Tfr", "+", 
       RowBox[{"BL", " ", "wmr1"}]}], "==", 
      RowBox[{"(", 
       RowBox[{"tore", "-", "tormr1"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Der", "[", "thetamr1", "]"}], "==", "wmr1"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel2"}], ")"}], "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ra", " ", "iel2"}], " ", "+", " ", 
        RowBox[{"Ke", " ", "wme"}]}], ")"}]}]}], "\[IndentingNewLine]", "\t", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5137095851875*^9, 3.513709592578125*^9}, {
   3.513711114796875*^9, 3.51371111625*^9}, {3.5155248569375*^9, 
   3.515524880078125*^9}, {3.515524973140625*^9, 3.515524989140625*^9}, {
   3.51552505634375*^9, 3.515525088140625*^9}, {3.515560561484375*^9, 
   3.51556057584375*^9}, 3.515560757375*^9, 3.515560881015625*^9, {
   3.515561183375*^9, 3.515561184140625*^9}, {3.51556127203125*^9, 
   3.5155612795*^9}, {3.5157263492789683`*^9, 3.5157263555012937`*^9}, {
   3.5157297162142982`*^9, 3.5157297444174232`*^9}, {3.518260864515625*^9, 
   3.5182608670625*^9}, {3.518260976875*^9, 3.518261012625*^9}, {
   3.518261087015625*^9, 3.51826110178125*^9}, {3.5182612159375*^9, 
   3.51826127765625*^9}, {3.51826132946875*^9, 3.518261351578125*^9}, {
   3.519040873453125*^9, 3.51904087634375*^9}, {3.51904094640625*^9, 
   3.519040947421875*^9}, 3.5190409941875*^9, 3.51904114153125*^9, {
   3.519041298375*^9, 3.519041305921875*^9}, 3.519103681765625*^9, {
   3.51910372815625*^9, 3.5191037285625*^9}, {3.51911514003125*^9, 
   3.519115140890625*^9}, 3.51911524771875*^9, 3.5371673845920763`*^9, {
   3.571927475462205*^9, 3.5719274938234377`*^9}, 3.575773739558757*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uel1", "==", 
      RowBox[{"cel1", "-", 
       RowBox[{"Zcel1", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", "==", 
      RowBox[{"cel2", "+", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", "==", " ", 
      RowBox[{"cmr1", " ", "+", " ", 
       RowBox[{"Zcmr1", " ", "wmr1"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.513709484578125*^9, 3.513709484578125*^9}, {
  3.515490149741*^9, 3.515490151006625*^9}, {3.51556122921875*^9, 
  3.51556123359375*^9}, {3.515561274515625*^9, 3.515561294265625*^9}, {
  3.5157263110717087`*^9, 3.515726324467642*^9}, {3.5157298428080482`*^9, 
  3.5157298429017982`*^9}, {3.5158131639265437`*^9, 3.515813165879506*^9}, {
  3.5160312933125*^9, 3.516031294484375*^9}, {3.5719274968186426`*^9, 
  3.571927513541872*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "wmr1", ",", "thetamr1", ",", "iel2", ",", "uel1", ",", "uel2", ",", 
     "tormr1"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51370899921875*^9, 3.5137090601875*^9}, {
   3.513709135484375*^9, 3.513709184734375*^9}, 3.515486918636137*^9, {
   3.515493296482911*^9, 3.515493296842286*^9}, {3.515493662074348*^9, 
   3.5154936675586176`*^9}, 3.515493810883874*^9, {3.515561127234375*^9, 
   3.515561128046875*^9}, {3.5157277872105813`*^9, 3.515727788163694*^9}, {
   3.5157297108861732`*^9, 3.5157297109799232`*^9}, 3.519041445078125*^9, {
   3.51910373490625*^9, 3.51910373909375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pin", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pout", "=."}], ";"}]}], "Input",
 CellChangeTimes->{{3.51910586278125*^9, 3.519105869328125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"wm", "==", 
      RowBox[{"gearRatio", " ", "wmr1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"iel1", "==", " ", 
      RowBox[{"-", "iel2"}]}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"tormg", "==", " ", "tormge"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"uel1", "-", "uel2"}], ")"}], " ", "iel2"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{"wmr1", " ", "tormr1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.515525016296875*^9, 3.515525028234375*^9}, {
   3.5155612083125*^9, 3.51556121028125*^9}, 3.5157297806361732`*^9, {
   3.5190410831875*^9, 3.519041083203125*^9}, {3.519041163625*^9, 
   3.51904116503125*^9}, {3.519041372109375*^9, 3.51904139265625*^9}, {
   3.5191036971875*^9, 3.519103708921875*^9}, {3.519105819578125*^9, 
   3.519105904671875*^9}, {3.571927524883092*^9, 3.5719275479243326`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.6031910264893637`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026494364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricMotorGear\\\"\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricMotorGear.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricMotorGear.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] \
6 \[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\
\\(\\\"x\\\" \[Rule] \\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricMotorGear\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\
\"ElectricMotorGear\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricMotorGear.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricMotorGear.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.6031910265043635`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.6031910265043635`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.603191026509364*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773036769436*^9, 3.575773139445051*^9, 3.575773170489106*^9, 
   3.5757732449016576`*^9, 3.575773377604718*^9, 3.5757734366594343`*^9, {
   3.575773605788634*^9, 3.575773630650689*^9}, 3.575773963684351*^9, 
   3.575774148259198*^9, 3.5757741839447327`*^9, {3.575774256964072*^9, 
   3.5757742709503098`*^9}, 3.575774303004379*^9, 3.5757743830685434`*^9, 
   3.575774457299134*^9, 3.575774531727563*^9, 3.575774595088379*^9, 
   3.5757746355182657`*^9, 3.5757747238772607`*^9, 3.575779425098704*^9, 
   3.5757859676247234`*^9, 3.575786453579839*^9, 3.575786853082011*^9, 
   3.5758175867818193`*^9, 3.578816691992367*^9, 3.581406009825386*^9, 
   3.581406160646013*^9, 3.5814062938836336`*^9, 3.6031910265143642`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["MotorGearScrewLink",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{
  3.522604736109375*^9, 3.52260476665625*^9, {3.5375221220952315`*^9, 
   3.5375221278764815`*^9}, {3.537869482578125*^9, 3.53786948590625*^9}, {
   3.5934148241421313`*^9, 3.593414828241541*^9}}],

Cell["Electric motor with gear and inertia load", "Text",
 CellChangeTimes->{{3.522604737421875*^9, 3.522604750875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<MotorGearScrewLink\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<Electric motor with gearbox, screw, link and inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, {3.5137087323125*^9, 
   3.513708733765625*^9}, {3.513708789984375*^9, 3.5137088199375*^9}, {
   3.513709315953125*^9, 3.5137093166875*^9}, {3.51370934803125*^9, 
   3.513709386875*^9}, 3.515393228397682*^9, 3.515394538846967*^9, {
   3.521777776703125*^9, 3.521777777328125*^9}, {3.5375221420014815`*^9, 
   3.5375221550639815`*^9}, {3.537869450671875*^9, 3.53786947475*^9}, 
   3.550745776859375*^9, 3.5757729419860697`*^9, 3.575773125384227*^9, {
   3.59341479652137*^9, 3.5934147991286306`*^9}, {3.593414838520569*^9, 
   3.593414849573674*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<port 2\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{
      "mr1", ",", "0.", ",", "0.", ",", "\"\<Mechanical rot.connection\>\""}],
       "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51371110959375*^9, {3.515486897105438*^9, 3.5154868972460594`*^9}, {
   3.5154963499562235`*^9, 3.5154963505968523`*^9}, {3.515525281796875*^9, 
   3.515525324359375*^9}, {3.515560997171875*^9, 3.51556103534375*^9}, {
   3.515685350796875*^9, 3.51568536184375*^9}, {3.515685595984375*^9, 
   3.515685598703125*^9}, {3.51572598011862*^9, 3.5157259948825703`*^9}, 
   3.51862799871875*^9, {3.521778232359375*^9, 3.521778233796875*^9}, 
   3.550859248484375*^9, {3.593414877881505*^9, 3.5934148800657234`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Ke", ",", "0.13", ",", "double", ",", "\"\<V/rpm\>\"", ",", 
       "\"\<emf constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ra", ",", "0.04", ",", "double", ",", "\"\<Ohm\>\"", ",", 
       "\"\<motor resistance\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Tm0", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<zero speed friction of motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "wc", ",", "1.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<Friction speed (for numerics)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bm", ",", "0.0012", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Visc. fric. coeff., motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jm", ",", "1", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Moment of inertia, motor\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "myg", ",", ".01", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<friction. coeff. of gear (at output)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "mys", ",", "0.001", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<friction. coeff. of screw)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.0", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Visc. fric. coeff., load\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "JL", ",", "1", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Moment of inertia, load\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "pitch", ",", "0.0008", ",", "double", ",", "\"\<m/rad\>\"", ",", 
       "\"\<gear ratio sf2/sfim\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"thetamin", ",", 
       RowBox[{"-", "0.5"}], ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<min angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "thetamax", ",", "0.5", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<max angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "la", ",", "0.08", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<link length\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.51370929940625*^9, 3.51370929940625*^9}, {
   3.513709582640625*^9, 3.513709583484375*^9}, {3.513939656771557*^9, 
   3.513939661740243*^9}, {3.515524764375*^9, 3.515524840125*^9}, {
   3.515727322344883*^9, 3.5157273865459538`*^9}, 3.518260862875*^9, 
   3.518261225265625*^9, 3.519040872671875*^9, 3.519040945984375*^9, 
   3.51906377815625*^9, {3.51911507559375*^9, 3.519115108265625*^9}, {
   3.519115167890625*^9, 3.51911521371875*^9}, {3.51911576046875*^9, 
   3.519115764109375*^9}, {3.519118910390625*^9, 3.519118922671875*^9}, {
   3.5191190169375*^9, 3.5191191019375*^9}, {3.519192115375*^9, 
   3.5191921193125*^9}, {3.5375238393139815`*^9, 3.5375238484855795`*^9}, {
   3.537524323352693*^9, 3.5375243361023664`*^9}, {3.55074595865625*^9, 
   3.55074596603125*^9}, {3.5934147590676246`*^9, 3.593414760651783*^9}, {
   3.6054549730964985`*^9, 3.6054549784698057`*^9}, {3.605455048858832*^9, 
   3.605455100500786*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "gearRatio", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
      "\"\<gearing w1/w2\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "wm", ",", "0.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<motor speed\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "tormg", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Generated motor torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.518547082234375*^9, 3.5185471520625*^9}, 
   3.518547487640625*^9, {3.518628009390625*^9, 3.518628013953125*^9}, {
   3.51904117421875*^9, 3.5190412405625*^9}, {3.519105757*^9, 
   3.51910577603125*^9}, {3.51910591740625*^9, 3.519105935296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wme", "=", 
   RowBox[{"gearRatio", " ", "wmr1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tm0e", "=", " ", 
   RowBox[{"Tm0", " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tormge", "=", 
   RowBox[{
    RowBox[{"Ke", " ", "iel2"}], "-", 
    RowBox[{"Bm", " ", "wme"}], "-", "Tm0e"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tore", "=", 
   RowBox[{"gearRatio", " ", "tormge"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.515560667421875*^9, 3.5155606675*^9}, {
   3.515560725140625*^9, 3.515560785453125*^9}, {3.5155609716875*^9, 
   3.515560972265625*^9}, 3.518260873453125*^9, 3.51904099365625*^9, {
   3.519041154953125*^9, 3.51904115653125*^9}, {3.51910365884375*^9, 
   3.519103674109375*^9}, 3.5191037251875*^9, {3.51911567465625*^9, 
   3.519115708015625*^9}, 3.5371673845764513`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tfrg", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"myg", " ", 
      RowBox[{"Abs", "[", "tormr1", "]"}]}], ")"}], " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.51911504184375*^9, {3.51911515415625*^9, 3.51911516159375*^9}, {
   3.51911523025*^9, 3.519115245296875*^9}, 3.519115521796875*^9, {
   3.51911561315625*^9, 3.519115638296875*^9}, 3.519115712546875*^9, 
   3.51911581653125*^9, {3.5371673679045763`*^9, 3.5371673845920763`*^9}, {
   3.5375238091108565`*^9, 3.5375238286108565`*^9}, {3.5375238869518676`*^9, 
   3.5375238961231556`*^9}, {3.5508979645*^9, 3.55089796478125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tfrs", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"mys", " ", 
      RowBox[{"Abs", "[", "tormr1", "]"}]}], ")"}], " ", 
    RowBox[{"limit", "[", " ", 
     RowBox[{
      RowBox[{"wmr1", "/", " ", "wc"}], ",", 
      RowBox[{"-", "1."}], ",", "1."}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5375238054858565`*^9, 3.5375238340014815`*^9}, {
   3.5375239025758677`*^9, 3.537523905544428*^9}, 3.55089796890625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"gear1", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"gearRatio", " ", "la"}], "pitch"], ")"}], "2"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gear2", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["la", "pitch"], ")"}], "2"]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5375236877983565`*^9, 3.5375237150952315`*^9}, {
  3.550898310453125*^9, 3.550898331359375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDa", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"gearRatio", " ", "Jm"}], "+", "JL"}], ")"}], " ", 
       RowBox[{"Der", "[", "wmr1", " ", "]"}]}], "+", " ", 
      RowBox[{"gear1", " ", "Tfrg"}], "+", 
      RowBox[{"gear2", " ", "Tfrs"}], "+", 
      RowBox[{"BL", " ", "wmr1"}], "-", 
      RowBox[{"(", 
       RowBox[{"tore", "-", "tormr1"}], ")"}]}], ",", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{
      RowBox[{"Der", "[", "thetamr1", "]"}], "-", "wmr1"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel2"}], ")"}], "-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ra", " ", "iel2"}], " ", "+", " ", 
        RowBox[{"Ke", " ", "wme"}]}], ")"}]}]}], "\[IndentingNewLine]", "\t", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5137095851875*^9, 3.513709592578125*^9}, {
   3.513711114796875*^9, 3.51371111625*^9}, {3.5155248569375*^9, 
   3.515524880078125*^9}, {3.515524973140625*^9, 3.515524989140625*^9}, {
   3.51552505634375*^9, 3.515525088140625*^9}, {3.515560561484375*^9, 
   3.51556057584375*^9}, 3.515560757375*^9, 3.515560881015625*^9, {
   3.515561183375*^9, 3.515561184140625*^9}, {3.51556127203125*^9, 
   3.5155612795*^9}, {3.5157263492789683`*^9, 3.5157263555012937`*^9}, {
   3.5157297162142982`*^9, 3.5157297444174232`*^9}, {3.518260864515625*^9, 
   3.5182608670625*^9}, {3.518260976875*^9, 3.518261012625*^9}, {
   3.518261087015625*^9, 3.51826110178125*^9}, {3.5182612159375*^9, 
   3.51826127765625*^9}, {3.51826132946875*^9, 3.518261351578125*^9}, {
   3.519040873453125*^9, 3.51904087634375*^9}, {3.51904094640625*^9, 
   3.519040947421875*^9}, 3.5190409941875*^9, 3.51904114153125*^9, {
   3.519041298375*^9, 3.519041305921875*^9}, 3.519103681765625*^9, {
   3.51910372815625*^9, 3.5191037285625*^9}, {3.51911514003125*^9, 
   3.519115140890625*^9}, 3.51911524771875*^9, 3.5371673845920763`*^9, {
   3.5375237693139815`*^9, 3.5375237747046065`*^9}, {3.550898360546875*^9, 
   3.550898390546875*^9}, 3.6031911495019655`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tmgear", "-", 
  RowBox[{"fa", " ", "pitch"}]}]], "Input",
 CellChangeTimes->{{3.5375224774546065`*^9, 3.5375224779546065`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "fa"}], " ", "pitch"}], "+", "Tmgear"}]], "Output",
 CellChangeTimes->{
  3.55074542634375*^9, {3.550745501375*^9, 3.550745521578125*^9}, 
   3.550745593625*^9, 3.550745624953125*^9, 3.5507456873125*^9, 
   3.550745793234375*^9, 3.55074589846875*^9, 3.55074598309375*^9, 
   3.5757730370346365`*^9, 3.575773139741452*^9, 3.5757731708011065`*^9, 
   3.575773245166858*^9, 3.575773377885518*^9, 3.575773436924635*^9, {
   3.5757736060226345`*^9, 3.57577363088469*^9}, 3.575773963918351*^9, 
   3.575774257166873*^9, 3.575774303207179*^9, 3.575774383255744*^9, 
   3.575774457501934*^9, 3.5757745318991632`*^9, 3.575774595306779*^9, 
   3.5757746357054663`*^9, 3.5757747240332613`*^9, 3.5757794253951097`*^9, 
   3.575785967780723*^9, 3.57578645375144*^9, 3.575786853362813*^9, 
   3.575817587162841*^9, 3.578816692150367*^9, 3.581406010011397*^9, 
   3.5814061608290234`*^9, 3.5814062940636435`*^9, 3.6031910266093655`*^9, 
   3.6054552974340496`*^9, 3.60545541475076*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wme", "=", 
   RowBox[{"gearRatio", " ", "wmgear"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vscrew", "=", " ", 
   RowBox[{"wmr1", " ", "la"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wmgear", "=", 
   FractionBox["vscrew", "pitch"]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5375226898608565`*^9, 3.5375227970796065`*^9}, 
   3.5375231527827315`*^9, {3.5375232320952315`*^9, 3.5375232444389815`*^9}, 
   3.5375236034546065`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Der", "=."}], ";", 
  RowBox[{"s", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5375229213921065`*^9, 3.5375229272827315`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDa", ":=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"gearRatio", " ", "Jm"}], "+", "JL"}], ")"}], " ", 
       RowBox[{"Der", "[", 
        RowBox[{"Der", "[", "thetamr1", " ", "]"}], "]"}]}], "+", " ", 
      RowBox[{"gear1", " ", "Tfrg"}], "+", 
      RowBox[{"gear2", " ", "Tfrs"}], "+", 
      RowBox[{"gear1", " ", "wmr1"}], "-", 
      RowBox[{"(", 
       RowBox[{"tore", "-", "tormr1"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"gearRatio", " ", "Jm"}], "+", "JL"}], ")"}], " ", 
       RowBox[{"Der", "[", "wmr1", " ", "]"}]}], "+", " ", 
      RowBox[{"gear1", " ", "Tfrg"}], "+", 
      RowBox[{"gear2", " ", "Tfrs"}], "+", 
      RowBox[{"gear1", " ", "wmr1"}], "-", 
      RowBox[{"(", 
       RowBox[{"tore", "-", "tormr1"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel2"}], ")"}], "-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ra", " ", "iel2"}], " ", "+", " ", 
        RowBox[{"Ke", " ", "wme"}]}], ")"}]}]}], "\[IndentingNewLine]", "\t", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5137095851875*^9, 3.513709592578125*^9}, {
   3.513711114796875*^9, 3.51371111625*^9}, {3.5155248569375*^9, 
   3.515524880078125*^9}, {3.515524973140625*^9, 3.515524989140625*^9}, {
   3.51552505634375*^9, 3.515525088140625*^9}, {3.515560561484375*^9, 
   3.51556057584375*^9}, 3.515560757375*^9, 3.515560881015625*^9, {
   3.515561183375*^9, 3.515561184140625*^9}, {3.51556127203125*^9, 
   3.5155612795*^9}, {3.5157263492789683`*^9, 3.5157263555012937`*^9}, {
   3.5157297162142982`*^9, 3.5157297444174232`*^9}, {3.518260864515625*^9, 
   3.5182608670625*^9}, {3.518260976875*^9, 3.518261012625*^9}, {
   3.518261087015625*^9, 3.51826110178125*^9}, {3.5182612159375*^9, 
   3.51826127765625*^9}, {3.51826132946875*^9, 3.518261351578125*^9}, {
   3.519040873453125*^9, 3.51904087634375*^9}, {3.51904094640625*^9, 
   3.519040947421875*^9}, 3.5190409941875*^9, 3.51904114153125*^9, {
   3.519041298375*^9, 3.519041305921875*^9}, 3.519103681765625*^9, {
   3.51910372815625*^9, 3.5191037285625*^9}, {3.51911514003125*^9, 
   3.519115140890625*^9}, 3.51911524771875*^9, 3.5371673845920763`*^9, 
   3.53786952125*^9, {3.537869565484375*^9, 3.537869582546875*^9}, {
   3.550744693984375*^9, 3.550744701953125*^9}, {3.5508982625*^9, 
   3.550898269*^9}, {3.550898441890625*^9, 3.550898499640625*^9}, {
   3.5508985379375*^9, 3.550898566484375*^9}, {3.6054553769966*^9, 
   3.605455378228671*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"thetamr1", ",", "wmr1", ",", "thetamin", ",", "thetamax"}], 
     "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6054552506693745`*^9, 3.605455273104658*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"boundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uel1", "-", "cel1", "+", 
      RowBox[{"Zcel1", " ", "iel2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"uel2", "-", "cel2", "-", 
      RowBox[{"Zcel2", " ", "iel2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", " ", "-", " ", "cmr1", " ", "-", " ", 
      RowBox[{"Zcmr1", " ", "wmr1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.513709484578125*^9, 3.513709484578125*^9}, {
  3.515490149741*^9, 3.515490151006625*^9}, {3.51556122921875*^9, 
  3.51556123359375*^9}, {3.515561274515625*^9, 3.515561294265625*^9}, {
  3.5157263110717087`*^9, 3.515726324467642*^9}, {3.5157298428080482`*^9, 
  3.5157298429017982`*^9}, {3.5158131639265437`*^9, 3.515813165879506*^9}, {
  3.5160312933125*^9, 3.516031294484375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "thetamr1", ",", "wmr1", ",", "iel2", ",", "uel1", ",", "uel2", ",", 
     "tormr1"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51370899921875*^9, 3.5137090601875*^9}, {
   3.513709135484375*^9, 3.513709184734375*^9}, 3.515486918636137*^9, {
   3.515493296482911*^9, 3.515493296842286*^9}, {3.515493662074348*^9, 
   3.5154936675586176`*^9}, 3.515493810883874*^9, {3.515561127234375*^9, 
   3.515561128046875*^9}, {3.5157277872105813`*^9, 3.515727788163694*^9}, {
   3.5157297108861732`*^9, 3.5157297109799232`*^9}, 3.519041445078125*^9, {
   3.51910373490625*^9, 3.51910373909375*^9}, {3.550898557984375*^9, 
   3.550898559734375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pin", "=."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pout", "=."}], ";"}]}], "Input",
 CellChangeTimes->{{3.51910586278125*^9, 3.519105869328125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"wm", ",", 
       RowBox[{"gearRatio", " ", "wmr1"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"iel1", ",", " ", 
       RowBox[{"-", "iel2"}]}], "}"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"tormg", ",", " ", "tormge"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Pin", ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"uel1", "-", "uel2"}], ")"}], " ", "iel2"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Pout", ",", 
       RowBox[{"wmr1", " ", "tormr1"}]}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.515525016296875*^9, 3.515525028234375*^9}, {
   3.5155612083125*^9, 3.51556121028125*^9}, 3.5157297806361732`*^9, {
   3.5190410831875*^9, 3.519041083203125*^9}, {3.519041163625*^9, 
   3.51904116503125*^9}, {3.519041372109375*^9, 3.51904139265625*^9}, {
   3.5191036971875*^9, 3.519103708921875*^9}, {3.519105819578125*^9, 
   3.519105904671875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.60545541492577*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554149277697`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554149507713`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.605455414952771*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\
\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"ElectricMotorGearScrewLink.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricMotorGearScrewLink.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\\(\
\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 6 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.605455415023775*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150267754`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.605455415030776*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150337763`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150387764`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150417767`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.605455415044777*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150477767`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.537119219921875*^9, 3.550745427484375*^9, {3.550745501890625*^9, 
   3.550745522125*^9}, {3.550745604875*^9, 3.55074562553125*^9}, 
   3.55074568796875*^9, 3.55074579365625*^9, 3.55074589953125*^9, 
   3.55074598403125*^9, 3.575773037128237*^9, 3.575773139881852*^9, 
   3.5757731710039067`*^9, 3.5757732453852587`*^9, 3.5757733780103188`*^9, 
   3.575773437111835*^9, {3.5757736061942344`*^9, 3.57577363104069*^9}, 
   3.575773964058751*^9, 3.575774257307273*^9, 3.575774303363179*^9, 
   3.575774383411744*^9, 3.575774457657934*^9, 3.575774532055164*^9, 
   3.5757745954471793`*^9, 3.5757746358302665`*^9, 3.5757747241892614`*^9, 
   3.575779425519912*^9, 3.5757859679211235`*^9, 3.575786453891841*^9, 
   3.5757868534876137`*^9, 3.575817587612867*^9, 3.578816692281367*^9, 
   3.5814060101944075`*^9, 3.5814061609650307`*^9, 3.5814062942366533`*^9, 
   3.603191026724368*^9, 3.605455297660063*^9, 3.6054554150507765`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Battery", "Section",
 PageWidth->WindowWidth],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0147151 0.0398428 [
[.21429 .00222 -9 -9 ]
[.21429 .00222 9 0 ]
[.40476 .00222 -9 -9 ]
[.40476 .00222 9 0 ]
[.59524 .00222 -9 -9 ]
[.59524 .00222 9 0 ]
[.78571 .00222 -9 -9 ]
[.78571 .00222 9 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .0944 -6 -4.5 ]
[.01131 .0944 0 4.5 ]
[.01131 .17409 -6 -4.5 ]
[.01131 .17409 0 4.5 ]
[.01131 .25377 -6 -4.5 ]
[.01131 .25377 0 4.5 ]
[.01131 .33346 -6 -4.5 ]
[.01131 .33346 0 4.5 ]
[.01131 .41314 -12 -4.5 ]
[.01131 .41314 0 4.5 ]
[.01131 .49283 -12 -4.5 ]
[.01131 .49283 0 4.5 ]
[.01131 .57251 -12 -4.5 ]
[.01131 .57251 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21429 .01472 m
.21429 .02097 L
s
[(0.2)] .21429 .00222 0 1 Mshowa
.40476 .01472 m
.40476 .02097 L
s
[(0.4)] .40476 .00222 0 1 Mshowa
.59524 .01472 m
.59524 .02097 L
s
[(0.6)] .59524 .00222 0 1 Mshowa
.78571 .01472 m
.78571 .02097 L
s
[(0.8)] .78571 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(1)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.07143 .01472 m
.07143 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.16667 .01472 m
.16667 .01847 L
s
.2619 .01472 m
.2619 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.35714 .01472 m
.35714 .01847 L
s
.45238 .01472 m
.45238 .01847 L
s
.5 .01472 m
.5 .01847 L
s
.54762 .01472 m
.54762 .01847 L
s
.64286 .01472 m
.64286 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.7381 .01472 m
.7381 .01847 L
s
.83333 .01472 m
.83333 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.92857 .01472 m
.92857 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .0944 m
.03006 .0944 L
s
[(2)] .01131 .0944 1 0 Mshowa
.02381 .17409 m
.03006 .17409 L
s
[(4)] .01131 .17409 1 0 Mshowa
.02381 .25377 m
.03006 .25377 L
s
[(6)] .01131 .25377 1 0 Mshowa
.02381 .33346 m
.03006 .33346 L
s
[(8)] .01131 .33346 1 0 Mshowa
.02381 .41314 m
.03006 .41314 L
s
[(10)] .01131 .41314 1 0 Mshowa
.02381 .49283 m
.03006 .49283 L
s
[(12)] .01131 .49283 1 0 Mshowa
.02381 .57251 m
.03006 .57251 L
s
[(14)] .01131 .57251 1 0 Mshowa
.125 Mabswid
.02381 .03464 m
.02756 .03464 L
s
.02381 .05456 m
.02756 .05456 L
s
.02381 .07448 m
.02756 .07448 L
s
.02381 .11432 m
.02756 .11432 L
s
.02381 .13424 m
.02756 .13424 L
s
.02381 .15416 m
.02756 .15416 L
s
.02381 .19401 m
.02756 .19401 L
s
.02381 .21393 m
.02756 .21393 L
s
.02381 .23385 m
.02756 .23385 L
s
.02381 .27369 m
.02756 .27369 L
s
.02381 .29361 m
.02756 .29361 L
s
.02381 .31354 m
.02756 .31354 L
s
.02381 .35338 m
.02756 .35338 L
s
.02381 .3733 m
.02756 .3733 L
s
.02381 .39322 m
.02756 .39322 L
s
.02381 .43306 m
.02756 .43306 L
s
.02381 .45299 m
.02756 .45299 L
s
.02381 .47291 m
.02756 .47291 L
s
.02381 .51275 m
.02756 .51275 L
s
.02381 .53267 m
.02756 .53267 L
s
.02381 .55259 m
.02756 .55259 L
s
.02381 .59244 m
.02756 .59244 L
s
.02381 .61236 m
.02756 .61236 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .05489 m
.02499 .20297 L
.02605 .22217 L
.02729 .23628 L
.02846 .24612 L
.03053 .25932 L
.03279 .27019 L
.0379 .28814 L
.04262 .30032 L
.05224 .31874 L
.06244 .33323 L
.0825 .35421 L
.10458 .37131 L
.14487 .39449 L
.18364 .41156 L
.22486 .4265 L
.26457 .43885 L
.30277 .44942 L
.34341 .45962 L
.38254 .46868 L
.42412 .47766 L
.46419 .48584 L
.50274 .49335 L
.54374 .50106 L
.58323 .50828 L
.6212 .51509 L
.66163 .52228 L
.70054 .52919 L
.7419 .53661 L
.78174 .54396 L
.82007 .55133 L
.86085 .55974 L
.90012 .56883 L
.93787 .57953 L
.95631 .58649 L
.96136 .58887 L
.96668 .59183 L
.97122 .59508 L
.97247 .59621 L
.9738 .59764 L
.97505 .59942 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Text",
 ImageSize->{232, 143.25},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzVWEtrE1EUnmYy6SO1VIo0TQsmUlCQgo9FV4qI+FioiOCiG41VaBCxxOBC
QRARFwoKirjpQhQUUSgoUgSVUvGRqgUfC/+A5A+4TnPvpN+d3JxzZyaPPgrN
HM79vnO+m3POnZkczuQnzp7P5LPjmdSBXGZyIjt+MbX/Qq7sstssyyqW/++k
LGGXymblo2iV/v+zrJ3iEhGeKCxbWFFhJYlVR1i2sAY4rlwdIlaVlRKWI6yY
K2SHvMis0pJOy+qQhl3lTtLQOAHtN0WtcTOBGXSayGfeTCfBGDDklN9PYlVt
oYtghFNo2rCMO2j48mTvbAqtOpwUvUwhoIb2DF8CNZtdsAZhxWElq3F2NU5x
07BcLVax6rKeUPK7kaVucfkrFmwe2x7QRx0Ey8FdTVqWgxtruBlkh/1pUU+t
fPKAGeTJIKc96gPSlhweTh2+UV0TdRu0/STUHEsG0epAMUhdM3VqfQZZELli
KEM3sRTxqZqDmF4ldRZUu98Z4OrGYwCtmeqsaIZOtIYTpox14+hUgY4V9Wih
V138ebdq6w4Dtlb4r8CrUt3So0UF9tPLdqrYS7AWQPzHdkHXTR0FC3xMCv7D
Uxj2OKZG9Lt/5zQnilQVI7jfgkiniPOhpVPPOIUg6akHpq96GanR+cKXkYJ/
5uHqpDWA1hG+jzy8h/DN6dvqhTXHR1LwWR7UB9AHHrQBoHe6kgQBf8tHSoBY
AcnBkSMcMVZbvUPNuEQXRA8/NeGUT/0E8qaBoDLARmHJxVfN05dG0OnmBR1G
0Jcul/r5hyrBZhCf612wFUtP+dqPAPSEB20D6BEPki/e8nSZ4kGj6KyHutxd
4N/n+XsAusuD9gF0mwcdhJKbupIj4F/n+cfAv6oPjef26vaARZ+yJ5Dnsn8n
UUfyGAJc8gbwbzfVUycRIseHoG6klO+0+GwXnnPNG40sgp4JNxqT2Nopvox5
8RkTnjG9Da4g8XGefw1JjvKgG0hyiAfdQrq9upJ7SLKb5z8Af5QHTUHJdh70
GOlGdCXP0ORbeP4L8Id50DRAKX1+1M/hVJO9BnGI71hq3KjmmkHSfm+w6oek
Us1b43to6Gteo89i2738xnQixoB6mJFae/SpUa8yFPETVMT14hcIeAdf4QKI
BtA84Yvx8DreJK22RXdFfcI=\
\>"],
 ImageRangeCache->{{{0, 231}, {142.25, 0}} -> {-0.0836513, -1.35763, \
0.00485259, 0.115994}}],

Cell[TextData[{
 "Voltage as a function of ",
 StyleBox["state of charge",
  FontSlant->"Italic"]
}], "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Battery\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Battery with static behaviour\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.5719275723071756`*^9, 
   3.571927572463176*^9}, 3.575772943358872*^9, 3.5757731262890286`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "cond", ",", "1000.", ",", "double", ",", "\"\<1/ohm\>\"", ",", 
       "\"\<conductance (at 1)\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "unom", ",", "12.", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<nominal voltage of battery\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "capacity", ",", "41.", ",", "double", ",", "\"\<Ah\>\"", ",", 
       "\"\<capacity\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "kappa", ",", ".1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<exponent of discharge function\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "e", ",", "2.71828", ",", "double", ",", "\"\<\>\"", ",", "\"\<e\>\""}],
       "}"}]}], "\[IndentingNewLine]", "\t\t\t", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.513786299046875*^9, 3.513786304328125*^9}, {
   3.513939688536775*^9, 3.513939689224266*^9}, {3.515775677171875*^9, 
   3.51577567909375*^9}, 3.5175518182414865`*^9, {3.5695069292316318`*^9, 
   3.569506931388755*^9}, 3.5910072311674023`*^9, {3.6054093898133807`*^9, 
   3.605409395925992*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"ElectricQnode", "[", 
     RowBox[{"el1", ",", "0.", ",", "\"\<Port\>\""}], "]"}], 
    "\[IndentingNewLine]", "\t\t\t", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.513786015796875*^9, 3.51378601684375*^9}, {
  3.513786166296875*^9, 3.51378633540625*^9}, {3.51378654359375*^9, 
  3.513786545125*^9}, {3.515774384734375*^9, 3.51577440440625*^9}, {
  3.575773896229832*^9, 3.5757738981330357`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "soc", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", "\"\<soc\>\""}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ubatt", ",", "0.", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<battery voltage\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757737910076475`*^9, 3.575773868368183*^9}, 
   3.575779309976589*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sigmoid", "=", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["2", 
      RowBox[{"1", "+", 
       SuperscriptBox["e", 
        RowBox[{"-", " ", 
         FractionBox[
          RowBox[{"10", " ", "soc"}], "kappa"]}]]}]], "-", "1"}], ")"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5910073850497894`*^9, 3.591007401480432*^9}, 
   3.591007468189102*^9}],

Cell["\<\
The sigmoid is there to nmerically deal with the zero charge region.\
\>", "Text",
 CellChangeTimes->{{3.5910074101382976`*^9, 3.591007448406124*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSF", "=", 
   RowBox[{"sigmoid", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"2", 
       RowBox[{"asin", "[", 
        RowBox[{"limit", "[", " ", 
         RowBox[{"soc", ",", "0.000000001", ",", ".9999"}], "]"}], "]"}]}], 
      ")"}], "kappa"]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.515774473296875*^9, {3.515775803125*^9, 3.515775821453125*^9}, {
   3.515775883796875*^9, 3.51577588640625*^9}, 3.51577592059375*^9, {
   3.515776172171875*^9, 3.515776173734375*^9}, {3.5175518075099277`*^9, 
   3.517551812243061*^9}, {3.51755453221732*^9, 3.5175545330767*^9}, {
   3.5175550633434935`*^9, 3.5175550636403685`*^9}, {3.5175551306716185`*^9, 
   3.5175551315934935`*^9}, {3.5175552022809935`*^9, 
   3.5175552204997435`*^9}, {3.5175555754372435`*^9, 3.5175555757809935`*^9}, 
   3.5910071462789145`*^9, 3.5910071811524014`*^9, 3.5910074066529493`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"capacity1", "=", 
  RowBox[{"capacity", " ", "3600"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"3600", " ", "capacity"}]], "Output",
 CellChangeTimes->{
  3.5157263782541065`*^9, 3.5157358174280596`*^9, {3.51577449796875*^9, 
   3.51577450025*^9}, {3.5157756841875*^9, 3.51577571184375*^9}, {
   3.515775932453125*^9, 3.515775934546875*^9}, {3.51577603746875*^9, 
   3.5157760395625*^9}, {3.515776580875*^9, 3.5157765825*^9}, {
   3.51577666378125*^9, 3.515776665125*^9}, 3.5171139604985*^9, 
   3.5175494966656647`*^9, 3.5175495683150983`*^9, 3.517550051039199*^9, 
   3.517551826708014*^9, 3.517551887332727*^9, 3.5175520405630875`*^9, 
   3.5175521900120354`*^9, 3.5175545477486696`*^9, 3.5175546095146894`*^9, 
   3.5175550684216185`*^9, 3.5175551351559935`*^9, 3.5175552244528685`*^9, 
   3.5175555819059935`*^9, 3.517569570212096*^9, 3.5175702377026978`*^9, 
   3.5175712469905815`*^9, 3.5175713247910876`*^9, 3.5175713711054745`*^9, {
   3.5176438599347277`*^9, 3.5176438692783585`*^9}, 3.51764410004103*^9, 
   3.517644156477807*^9, 3.5176442158044434`*^9, 3.517644266287526*^9, {
   3.517644406605938*^9, 3.5176444084810343`*^9}, 3.517644735365938*^9, 
   3.517655834950529*^9, 3.518547190890625*^9, 3.518628027875*^9, 
   3.519194189640625*^9, {3.522604802796875*^9, 3.522604808953125*^9}, 
   3.531934950546875*^9, 3.532014079875*^9, 3.532080869545162*^9, 
   3.5322483842486477`*^9, 3.5370072234952803`*^9, 3.5370073353546553`*^9, 
   3.5370073888234053`*^9, 3.5757730373154373`*^9, 3.575773140240653*^9, 
   3.5757731713315077`*^9, 3.5757732456660595`*^9, 3.575773378400319*^9, 
   3.5757734374082355`*^9, {3.575773606506235*^9, 3.575773631399491*^9}, 
   3.5757739642303514`*^9, 3.5757742574944735`*^9, 3.5757743035347795`*^9, 
   3.5757743835989447`*^9, 3.5757744578451347`*^9, 3.5757745322267637`*^9, 
   3.5757745956343794`*^9, 3.575774635970667*^9, 3.5757747244700623`*^9, 
   3.575779425675915*^9, 3.575785968092723*^9, 3.575786454047842*^9, 
   3.575786853643615*^9, 3.575817587903884*^9, 3.578816692439367*^9, 
   3.581406010345416*^9, 3.5814061611860437`*^9, 3.5814062944006634`*^9, 
   3.591007188420128*^9, 3.591007244793765*^9, 3.603191026864371*^9, 
   3.6054095234927473`*^9, 3.605410512210614*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Der", "[", "soc", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", "iel1"}], "/", "capacity1"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"iel1", "==", 
      RowBox[{"cond", " ", 
       RowBox[{"(", 
        RowBox[{"ubatt", "-", "uel1"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ubatt", "==", 
      RowBox[{"unom", " ", "DSF"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5137860655625*^9, 3.513786065578125*^9}, 
   3.51577443996875*^9, {3.515776014875*^9, 3.51577601634375*^9}, {
   3.5175494779687366`*^9, 3.517549478483491*^9}, 3.517549957958953*^9, {
   3.5719276046772323`*^9, 3.571927653520918*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"uel1", " ", "==", " ", 
     RowBox[{"cel1", " ", "+", " ", 
      RowBox[{"Zcel1", " ", "iel1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5137860694375*^9, 3.5137860694375*^9}, 
   3.515774307953125*^9, 3.516031303046875*^9, {3.5719276178904552`*^9, 
   3.5719276258308697`*^9}, {3.5719276600573297`*^9, 3.571927661086931*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"soc", ",", "iel1", ",", "ubatt", ",", "uel1"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.513786073296875*^9, 3.513786073296875*^9}, {
   3.513786103796875*^9, 3.513786104890625*^9}, 3.515774444953125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"soc", ",", "0.001", ",", ".999"}], "}"}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Unprotect", "[", "Log", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Log", "=", "log"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6054104384702406`*^9, 3.6054104948388767`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6054105122866216`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricBattery\\\"\\)\\), \\(\\(\\\
\"displayname\\\" \[Rule] \\\"ElectricBattery\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricBattery.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricBattery.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricBattery.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricBattery.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\
\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\
\\(\\\"portpose\\\", \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\({}\
\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6054105123186245`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.605410512322625*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6054105123256254`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6054105123276253`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Log", "=."}]], "Input",
 CellChangeTimes->{{3.6054104602094145`*^9, 3.6054104613905325`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Capacitance2", "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Capacitance2\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Capacitance\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, {3.513786401703125*^9, 
   3.51378641190625*^9}, 3.5153945400188417`*^9, {3.5719276782001615`*^9, 
   3.5719276783561616`*^9}, 3.5757729448720746`*^9, 3.57577312705343*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"ElectricCnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\n", "    \t", 
     RowBox[{"ElectricCnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\n", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.513786434625*^9, 3.513786487078125*^9}, {
  3.51378658959375*^9, 3.51378659446875*^9}, {3.516033736828125*^9, 
  3.516033765765625*^9}, {3.51603408765625*^9, 3.5160340895625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Cc", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}], ",", "double", ",", "\"\<(A s)/V\>\"", ",", 
       "\"\<Capacitance\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "alpha", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<numerical damping\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478582964046875*^9, 3.478583058015625*^9}, {
   3.47858310040625*^9, 3.478583226265625*^9}, {3.47858493834375*^9, 
   3.478584967203125*^9}, {3.478593422734375*^9, 3.47859344625*^9}, {
   3.478593494703125*^9, 3.478593496375*^9}, {3.47859361503125*^9, 
   3.478593622828125*^9}, {3.478593687*^9, 3.4785936875*^9}, {
   3.47860846046875*^9, 3.478608468515625*^9}, {3.478614677703125*^9, 
   3.478614712453125*^9}, {3.47861477634375*^9, 3.4786147769375*^9}, {
   3.47861500284375*^9, 3.478615012546875*^9}, 3.50427041823978*^9, {
   3.504271184564065*^9, 3.50427119129844*^9}, {3.504271245001565*^9, 
   3.50427125876719*^9}, 3.515900544738135*^9, {3.515917582755333*^9, 
   3.5159176015052133`*^9}, {3.5160340846875*^9, 3.516034092609375*^9}, {
   3.51608751278125*^9, 3.51608752384375*^9}, 3.605409440222421*^9}],

Cell["\<\
constantParameters = {{alpha, 0.1, double, \"\", \"numerical damping\"}};\
\>", "Text",
 CellChangeTimes->{{3.513786692625*^9, 3.513786706609375*^9}, 
   3.516033725078125*^9, 3.516087535421875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"initialExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cel1r", "==", 
      RowBox[{"uel1", "+", 
       RowBox[{"2", " ", "Zcel1", " ", "iel1"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cel2r", "==", 
      RowBox[{"uel2", "+", 
       RowBox[{"2", "Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"cel1rf", "==", "uel1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"cel2rf", "==", "uel2"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5159033233449254`*^9, {3.5159034074230504`*^9, 3.5159034122668004`*^9}, {
   3.5159034625636754`*^9, 3.5159034898293004`*^9}, 3.515917136242957*^9, 
   3.5159174435062246`*^9, {3.5159175010996056`*^9, 3.5159175239119596`*^9}, {
   3.516033682375*^9, 3.5160337065625*^9}, 3.51635072903125*^9, {
   3.517023027096865*^9, 3.517023033034403*^9}, 3.5170377561264677`*^9, {
   3.5719276889953804`*^9, 3.5719277052350087`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cel2r", "==", 
      RowBox[{"cel2", "+", 
       RowBox[{"2", "Zcel2", " ", "iel2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"cel1r", "==", 
      RowBox[{"cel1", "+", 
       RowBox[{"2", " ", "Zcel1", " ", "iel1"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cel1rf", "==", 
      RowBox[{
       RowBox[{"alpha", " ", "cel2"}], " ", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "alpha"}], ")"}], " ", "cel1r"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cel2rf", "==", 
      RowBox[{
       RowBox[{"alpha", " ", "cel1"}], " ", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "alpha"}], ")"}], " ", "cel2r"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.513939689880508*^9, 3.513939690099255*^9}, {
   3.5157743121875*^9, 3.51577431265625*^9}, {3.51590141519848*^9, 
   3.515901423401605*^9}, {3.515901455526605*^9, 3.515901458839105*^9}, {
   3.5159032229699254`*^9, 3.5159032740793004`*^9}, {3.5159033050793004`*^9, 
   3.5159033114543004`*^9}, {3.515917384522227*^9, 3.515917424303222*^9}, {
   3.515917474318527*^9, 3.5159174759591417`*^9}, {3.516031306125*^9, 
   3.516031306515625*^9}, 3.516350725625*^9, {3.5170375351250534`*^9, 
   3.5170375363438115`*^9}, 3.517037575203435*^9, {3.5370055349952803`*^9, 
   3.5370055497296553`*^9}, {3.571927709400216*^9, 3.571927732145056*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fak", "=", 
   FractionBox["1", 
    RowBox[{"1", "-", "alpha"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Zcexpr", "=", 
   FractionBox[
    RowBox[{"fak", " ", "h"}], "Cc"]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.513786747140625*^9, {3.516859707921875*^9, 3.5168597174375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Zcel1", "==", 
      FractionBox["mTimestep", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "alpha"}], ")"}], " ", "Cc"}]]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Zcel2", "==", 
      FractionBox["mTimestep", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "alpha"}], ")"}], " ", "Cc"}]]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cel1", "==", "cel2rf"}], ",", "\[IndentingNewLine]", 
     RowBox[{"cel2", "==", "cel1rf"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5137867835*^9, 3.51378678615625*^9}, {
   3.513786819765625*^9, 3.513786836640625*^9}, {3.515774316984375*^9, 
   3.515774329265625*^9}, 3.515900993277747*^9, {3.515901069901766*^9, 
   3.51590115582348*^9}, 3.51590123047973*^9, 3.51590130276098*^9, {
   3.515901354682855*^9, 3.51590137691723*^9}, {3.5159023172550154`*^9, 
   3.5159023331768904`*^9}, {3.515917393865917*^9, 3.5159173987252607`*^9}, {
   3.516031307734375*^9, 3.51603130809375*^9}, {3.516105630796875*^9, 
   3.51610563796875*^9}, {3.516296275453125*^9, 3.516296276140625*^9}, {
   3.516350716859375*^9, 3.516350735953125*^9}, {3.5170224693432956`*^9, 
   3.5170224723120646`*^9}, {3.5170375501720247`*^9, 3.517037561765849*^9}, {
   3.532020812921875*^9, 3.532020814265625*^9}, {3.5719277375426655`*^9, 
   3.571927759008303*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricCapacitance2.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricCapacitance2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\(\\(\[LeftSkeleton] 19 \[RightSkeleton]\\)\\)\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] \
1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricCapacitance2\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\(\\(\\\"El\\\" \[Ellipsis] \\\"e2\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricCapacitance2.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricCapacitance2.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third item \
in an XMLElement must be a list of contents, even if it is an empty list. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.6054095240498033`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.6054095240538034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.605409524054804*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.6054095240558033`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.605409524057804*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.605409524058804*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757730376898375`*^9, 3.575773140505853*^9, 3.575773171674708*^9, 
   3.5757732459312596`*^9, 3.57577337871232*^9, 3.575773437689036*^9, {
   3.5757736068026357`*^9, 3.575773631680291*^9}, 3.575773964573552*^9, 
   3.5757742577284737`*^9, 3.5757743037687798`*^9, 3.575774383957745*^9, 
   3.5757744581883354`*^9, 3.5757745324295645`*^9, 3.5757745960243807`*^9, 
   3.575774636157867*^9, 3.5757747246884623`*^9, 3.575779425878719*^9, 
   3.575785968311123*^9, 3.5757864542818437`*^9, 3.5757868538620157`*^9, 
   3.5758175885229187`*^9, 3.578816692641367*^9, 3.5814060107874413`*^9, 
   3.5814061612660484`*^9, 3.5814062947836847`*^9, 3.6031910270993757`*^9, 
   3.605409524073806*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Icontroller", "Section",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This is an imaginary analog componenent that represents a PWM current \
controller. It acts like a resistor but the losses cen be made to zero by \
reducing the out-curren (node 2) compared to the in-currernt (node 1).\
\>", "Text",
 PageWidth->WindowWidth],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@00045X0@0006`0000Z0P00P000004F000e3`00
g0T00586002WG000fcl00215CDH00040J4400002000300000000000000000000XQ800:PJ003:0000
8@400000000000000000010E0`3XJ0@0AP0002`0000P0000ADe6:`500@0L00004000008@`=/00000
F08005P200160000G00005000015CDH[8T0400`0000000007T0900`000000000940100`000000000
<4020100000400000020?b501`0<0000000000A0000<0000000004H0000X0000700004M4BD<20000
D`8007h1003I5@003@l0000000160000:00001`00017A4U30P0008<2001>1@00NaD00:8500000000
AP000:P0002L0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Q0008h0000
;000008@`=/00000V0000000002[ZZI20P000000044000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000ZeX[A000[dAFRZY5002_A0010H4E@040400000@0000000008@0000P0001R0000
30000040000T000090000000P3h0000000000000P3h0000000000080001O0000>0000040000h0000
000003P000000000008104d1000000000000000000000000000002D0000<00000@0002D0000<0000
1@00P5L0000T0000PP8004`5001l5@00X`D00080002d2]hEA5GN5BD0000<00001`00P2D0000<0000
0000P2@0000T00000020@000000000000020@000000000000P0002P0000<00000@000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000W`<007T:003c0`00l@d0000000160000Z00009`00015CDH[:T0002@0000H0000
0020?`00080000200020?`000800002024020SP0000/00000Q30f`00002H000000000:^ZYT820000
0000@@0000024<3K000000000?l8@0<3;000020000024<3K0P0000000000<794ZbhZA@0`LTAFLEa5
0041PAE00`0@000010000080000Q000020000680000<00000@0002@0000T00000000?P0000000000
0000?P00000000000P0005l0000h00000@0003P000000000>000000000000P40V`80000000000000
00000000000000009@0000`0000100009@0000`000050020E`0002@0002M0`00M`X00?<3003b3@00
0P00048N55E27SE^9@0000`0000700209@0000`000000020900002@0000000110000000000000011
0000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80001_0`00NPX002T6003>2P00
000004H0002X0000W00004E=AR/Z@000900001P00000080o0000P0000800080o0000P0000808@0@2
>00002`000024<3K000009P000000000ZjZV@P80000000110000008@`=/000000000o`Q01@</0000
8000008@`=/20000000005DeITAE?bY50<boA5Do:TD00@615D050100000400001000024000080000
HP0000`000010000900002@00000000n000000000000000n0000000000020000G`0003P000010000
>0000000000h0000000000020@2K0P00000000000000000000000000000U000030000040000U0000
300000D0081G0000900006d3001h2P00:@H00<l:00020000`a`LENl_75DU0000300000L0080U0000
30000000080T00009000000004400000000000000440000000000080000X000030000040000R0000
30000?oooom60000700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000
:00001`00017A4U30P0005<2002M3@00?@D00?4=00000000AP000:P0002L0000ADe6:bY0000T0000
60000000P3l000200000P000P3l000200000P0Q01P8h0000;000008@`=/00000V0000000002[ZZI2
0P000000044000000Q30f`000000003o24070b`0000P00000Q30f`8000000000060OA5EaG4F[GZ94
EG5LA@010H4E@0L0400000@0000600008@0000P0001R000030000040000T00009000000003h00000
0000000003h0000000000080001O0000>0000040000h0000000003P000000000008109/200000000
0000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000DP8009/=000n1@00
lPd00080003X4cE^U2PeKRD0000<00001`00P2D0000<00000000P2@0000T00000000@@0000000000
0000@@00000000000P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000/P8002/>003N1000
O`h0000000160000Z00009`00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
24080SP0000/00000Q30f`00002H000000000:^ZYT8200000000@@0000024<3K000000000?l8@0T3
;000020000024<3K0P000000002[4SM404aUAEJ5UT@0C6E50041PAE02@0@0000100000P0000Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0005l0000h0000
0@0003P000000000>000000000000P40V`8000000000000000000000000000009@0000`000010000
9@0000`000050020E`0002@0002a0P00:@h00=l4001o3P000P000=lFXW:N9J9b9@0000`000070020
9@0000`000000020900002@00000001100000000000000110000000000020000:00000`000010000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80000@0`00^0h00844000=3`00000004H0002X0000W00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P0000808@0X2>00002`000024<3K000009P000000000
ZjZV@P80000000110000008@`=/000000000o`Q02`</00008000008@`=/2000000000:^2CTB[9Vi5
E/f:A:/VKTD00@615D0;0100000400002P00024000080000HP0000`000010000900002@00000000n
000000000000000n0000000000020000G`0003P000010000>0000000000h0000000000020@2K0P00
000000000000000000000000000U000030000040000U0000300000D0081G0000900000h3002g3P00
P@@000d?00020000cAT@Mk0R47LU0000300000L0080U000030000000080T00009000000004400000
000000000440000000000080000X000030000040000R000030000?oooom60000700001000015CDH[
140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U30P0003/D001h2P00
Sa@00?0=00000000AP000:P0002L0000ADe6:bY0000T000060000000P3l000200000P000P3l00020
0000P0Q0308h0000;000008@`=/00000V0000000002[ZZI20P000000044000000Q30f`000000003o
240=0b`0000P00000Q30f`8000000000ZbJSA@0N:TF[9Z=5Zf1LA@010`<E@0d0400000@0000<0000
8@0000P0001R000030000040000T000090000000P3h0000000000000P3h0000000000080001O0000
>0000040000h0000000003P000000000008104d1000000000000000000000000000002D0000<0000
0@0002D0000<00001@00P5L0000T0000>A@007H:002@5000l@d00080002BDHHZTU4G=bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0002P0000<0000
0@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U3
0`0004H0000X0000700004M4BD<20000ka8009`=003I5@00l0d0000000160000Z00009`00015CDH[
:T0002@0000H00000020?`00080000200020?`0008000020240>0SP0000/00000Q30f`00002H0000
00000:^ZYT8200000000@@0000024<3K000000000?l8@0l3;000020000024<3K0P000000002[c9Q5
Zf1LAEIh[DF[H5a50041PAE03`0@0000100000h0000Q000020000680000<00000@0002@0000T0000
0020?P00000000000020?P00000000000P0005l0000h00000@0003P000000000>000000000000P40
C@4000000000000000000000000000009@0000`0000100009@0000`000050020E`0002@0003^4P00
V`d00=XE003a3@000P0006E<5cNkEQLg9@0000`0000700209@0000`000000020900002@000000810
00000000000008100000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80001>4`00
:Ph007XE001n3P00000004H0002X0000W00004E=AR/Z@000900001P00000080o0000P0000800080o
0000P0000808@102>00002`000024<3K000009P000000000ZjZV@P80000000110000008@`=/00000
0000o`Q04@</00008000008@`=/2000000000033VdEE>fE508:ZAEDkIDD00@615D0A010000040000
4000024000080000HP0000`000010000900002@00000080n000000000000080n0000000000020000
G`0003P000010000>0000000000h0000000000020@1=0@00000000000000000000000000000U0000
30000040000U0000300000D0081G0000900004dC000X3P00NaD007h>00020000h4e=>CmECCTU0000
300000L0080U000030000000080T000090000000P400000000000000P400000000000080000X0000
30000040000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P000:`C002g3P007AD000`?00000000AP000:P0002L0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Q04P8h0000;000008@`=/00000
V0000000002[ZZI20P000000044000000Q30f`000000003o240C0b`0000P00000Q30f`8000000000
0;6NA@0FKTD0U:M501I^A@010H4E@1<0400000@0000B00008@0000P0001R000030000040000T0000
90000000P3h0000000000000P3h0000000000080001O0000>0000040000h0000000003P000000000
008104d1000000000000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000
Za<00;H>000M5@0030l00080001GCh@kb5>4>bD0000<00001`00P2D0000<00000000P2@0000T0000
0020@000000000000020@000000000000P0002P0000<00000@000280000<0000ooooodH0000L0000
400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000
118007P:002n5000c0X0000000160000Z00009`00015CDH[:T0002@0000H00000020?`0008000020
0020?`0008000020240D0SP0000/00000Q30f`00002H000000000:^ZYT8200000000@@0000024<3K
000000000?l8@1D3;000020000024<3K0P000000001ELI5501hZAJZMY4D07RY50041PAE05@0@0000
100001@0000Q000020000680000<00000@0002@0000T00000020?P00000000000020?P0000000000
0P0005l0000h00000@0003P000000000>000000000000P40C@400000000000000000000000000000
9@0000`0000100009@0000`000050020E`0002@000034P00MPX00;hD003=2P000P000;M8QRY=DXHZ
9@0000`0000700209@0000`000000020900002@00000081000000000000008100000000000020000
:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000
200004M4BD<30000AP0002P0000L0000AdA9@`80003E1@00e`@005PB002d2`00000004H0001H0000
C00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080:@020900001P0003ooooo
0@0005G]_d@0::14oN]2AE@MdD@Q000020000680000<00000@0002@0000T00000020?P0000000000
0020?P00000000000P0002L0000H00000@000000003oool0000002D0000<00000@0002D0000<0000
2000P5H0000`0000o`D00005000^4P00RP/000D0003l5`<Do1LW;[M89bjgB0<Do1L352D0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0004H0002L0000
T00004E=AR/8@1H2@00003@000024<3K00000=H000000000ZjZV@P80000200000000@@8000000000
0Q30f`000000003o240G0c`0000`00000Q30f`@000000000ENfoA00XX4AEkKm4ZZ8hAEEaTDFZXSQ5
EG6AA@0XX4@00@615D0G0100000400005P0003X0000<0000200002@0000T00000020?P0000000000
0020?P00000000000P0005l0000h00000P0003P000000000>000000000008040C@40000000000000
00000000000000009@0000`0000200009@0000`000050020EP0002`0002Z1000Z`<008<C003O3000
10000?`G0aCl5bL^]dPW;[M80a@U0000300000L0080U000030000000080T000090000000P4000000
00000000P400000000000080000X000030000080000j0000300000X0000R000030000?oooom60000
700001000015CDH[140000`000000000AP0001@000080000AdA9@`<0001B0000L0400080002XoOoo
0000000000000000T04000000000@000@@1b06T0H@1/0000000000000001000000000=T;00000000
00000000000T=]<`@;Po00800001000010000000000000000000090100000000P<Po01ABiS0X]cl0
4;do02Bh4`010000_</o0080001/^1<0ge;V<000002lbcl0P<Do0000001L2o4`30000;;oool;0000
P<Do0000000NZ^H``0000:3D?`02000000000000000;00000000053:?`1n4?4`0P000?oooomH?P@`
06=E<67D0C0<_Q<000000>2`?`134`X`2@Po00T8?`2I4`X`LP000000?`0;0000P<Do0000002/^1<0
P<Do02P0000;0000/_ooojd?lC20aCl02`0000Ri4`3h^1<0H0/000Rk?`1TMP08000002D0000<0000
0P0001H0000<000060000180000<00000@0001P0000<000000000U@0001D0000IPH00785000<1`00
3`P00040001mPhM0SHF7@6H6002A1`000@0004`00000000000000000003ooooooooooe00001903am
Y`0001H0000<0000000002D0000<00003P00P2P0000<00000P000580001`0@000P000:Smool00000
00000000002@0@000000001000110780J@1Q06`0000000000000004000000000f@/0000000000000
000002@fdc10^3l00P00004000040000000o0000001L2o4`30000;;oool;0000P<Do0000000NZ^H`
`0000:3D?`020000000002bh4`000000b0FAO?2Dk@[h^1<0D@FAO4P75@1]1I5lTB0:eoRDk@[hU>d:
00000>2`?`134`X`2@Po00T8?`2I4`X`LP000000?`000000P<Do0000002/^1<0P<Do05Pn1300HeD`
HM@1<0bn4`000000P;4o00Ri4`0P0000H0/000Rk?`1TMP08000000/00020aCl000000:bh4`3H^1<0
000E09Q4mPXU0000614R00002P0H4B80k;P100@0000l^1<0cR@Q8VAf00P000009@0000`000020000
5P0000`0000H00004P0000`000010000600000`000000002E00005@0000=1`00LPD00=@7000?2000
0@0007f3Qd2=QHM03@L0094700010000C00000000000000000000?ooooooooooD00002d0De780000
5P0000`0000000009@0000`0000>0020:00000`000020000DP00070100020000Z?goo`0000000000
000009010000000004000440LP1Y0640K0000000000000000@000000003I2`000000000000000000
93KC<42h?`0200000@0000@0000001<0D@FAO4P75@1]1I5lTB0:eoRDk@[hU>d:00000>2`?`134`X`
2@Po00T8?`2I4`X`;;PC000000381I5ll9C]2_Rh4`1A1I5lB0LE06d5TGbA80[Hn9C]2_RDk@X00000
P;4o00Ri4`0P0000H0/000Rk?`1TMP08000000000020aCl000000:bh4`3H^1<0F3h4<01SEC1Qe04`
3;hC0000000P/Sl0k;P10200000l^1<0cR@Q8VAf00P000002`000835?`000000[;PC0=Rh4`0001D0
/4Kf2RD0000H4B80000:01PA8P3/^040100003bh4`3>924RI7H02000000U000030000080000F0000
300001P0000B000030000040000H000030000000009D0000R0000=D7001b1@00OA4000l800010000
OH>7@8f5Qd3E1`00T@L000X0001<00000000000000000000oooooooooomP0000H`1_06h0M01b06l0
K01/06D0LP0/0@00C@4004h1002W0000a`0004h100250000Q@0004d1003800005P0000`000000000
9@0000`0000>0020:00000`000020000AP0002P0000L0000AdA9@`80000Q2`00OP4004l<00041@00
000004H0000D0@00204004E=AR/Z@000900001P00000080o0000P0000800080o0000P0000808@1P2
Y00009P000024<3K000009`@000000000018@_l0000200000000@@00001T00000Q30f`0000010000
0P000000T400000000000000000002110020?`000000000000000000000X00000Q30f`<000008000
000P@000X<000000000000008<000:300061]@8@`=/000000000o`Q06@</00008000008@`=/20000
00000020>dEEYL]3080kAEDYWD@00@615D0I010000040000600002P0000<00000@00024000080000
HP0000`000010000900002@00000000n000000000000000n0000000000020000G`0003P000010000
>0000000000h00000000000B0@080000000000000000000000000000000U000030000040000W0000
600000800000000000000000000U000030000080000C000030000080001K0000C00003T;002E0@00
=P`00>/4000200002@0000D000040000Q5jg38AN?b3dG3lPm5bg38AN]`bTHGLO_5e79mAIManTHGLO
4`0000`0000100009@0000`0000000209@0000`000070020900002@0000000110000000000000011
0000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`8000230P00CPD007/E002R1@00
000004H000140000>00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080E@040
400000@0000000008@0000P0001R000030000040000T000090000000P3h0000000000000P3h00000
00000080001O0000>0000040000h0000000003P000000000008104d1000000000000000000000000
000002D0000<00000@0002D0000<00001@00P5L0000T0000PP8004`5001l5@00X`D00080002d2]hE
A5GN5BD0000<00001`00P2D0000<00000000P2@0000T00000020@000000000000020@00000000000
0P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000
500000P00017A4U30`0004H0000X0000700004M4BD<20000W`<007T:003c0`00l@d0000000160000
A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`00080000205D03010000040000
0P00024000080000HP0000`000010000900002@00000000n000000000000000n0000000000020000
G`0003P000010000>0000000000h0000000000020@2K0P00000000000000000000000000000U0000
30000040000U0000300000D0081G0000900009d3001g2P00l`<00?8=00020000@QhDED8N=FhU0000
300000L0080U000030000000080T00009000000004400000000000000440000000000080000X0000
30000040000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P0006l3001j2P00:@H00<h:00000000AP0004@0000h0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P1E01@0@0000100000@0000Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0005l0000h0000
0@0003P000000000>000000000000P40V`8000000000000000000000000000009@0000`000010000
9@0000`000050020E`0002@0001]0`00N0X002T6003?2P000P000<<L75G_;aaE9@0000`000070020
9@0000`000000020900002@00000001100000000000000110000000000020000:00000`000010000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80001C0P00W@d003d5003a3@00000004H000140000>00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P000080E@0L0400000@0000600008@0000P0001R0000
30000040000T00009000000003h000000000000003h0000000000080001O0000>0000040000h0000
000003P000000000008109/2000000000000000000000000000002D0000<00000@0002D0000<0000
1@00P5L0000T0000DP8009/=000n1@00lPd00080003X4cE^U2PeKRD0000<00001`00P2D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0002P0000<00000@000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000/P8002/>003N1000O`h0000000160000A00003P00015CDH[:T0002@0000H0000
0020?`00080000200020?`00080000205D090100000400002000024000080000HP0000`000010000
900002@00000000n000000000000000n0000000000020000G`0003P000010000>0000000000h0000
000000020@2K0P00000000000000000000000000000U000030000040000U0000300000D0081G0000
90000;42000Y3P00g`@007l>00020000gaJRLYhUXW8U0000300000L0080U000030000000080T0000
9000000004400000000000000440000000000080000X000030000040000R000030000?oooom60000
700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U3
0P000103002h3P00P@@000d?00000000AP0004@0000h0000ADe6:bY0000T000060000000P3l00020
0000P000P3l000200000P1E02`0@0000100000X0000Q000020000680000<00000@0002@0000T0000
0000?P00000000000000?P00000000000P0005l0000h00000@0003P000000000>000000000000P40
V`8000000000000000000000000000009@0000`0000100009@0000`000050020E`0002@0000>0`00
]`h00844000=3`000P000<dI47N`8Q1g9@0000`0000700209@0000`000000020900002@000000011
00000000000000110000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80000k5000
N0X008lD003`3@00000004H000140000>00004E=AR/Z@000900001P00000080o0000P0000800080o
0000P000080E@0d0400000@0000<00008@0000P0001R000030000040000T000090000000P3h00000
00000000P3h0000000000080001O0000>0000040000h0000000003P000000000008104d100000000
0000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000>A@007H:002@5000
l@d00080002BDHHZTU4G=bD0000<00001`00P2D0000<00000000P2@0000T00000020@00000000000
0020@000000000000P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000ka8009`=003I5@00
l0d0000000160000A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
5D0?0100000400003P00024000080000HP0000`000010000900002@00000080n000000000000080n
0000000000020000G`0003P000010000>0000000000h0000000000020@1=0@000000000000000000
00000000000U000030000040000U0000300000D0081G000090000>hB002K3@00fQD00?4=00020000
ID`G=k]F5cLU0000300000L0080U000030000000080T000090000000P400000000000000P4000000
00000080000X000030000040000R000030000?oooom60000700001000015CDH[140000`000000000
AP0001@000080000AdA9@`<000160000:00001`00017A4U30P0004hC000Z3P00NQD007h>00000000
AP0004@0000h0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P1E04@0@0000
10000100000Q000020000680000<00000@0002@0000T00000020?P00000000000020?P0000000000
0P0005l0000h00000@0003P000000000>000000000000P40C@400000000000000000000000000000
9@0000`0000100009@0000`000050020E`0002@0001=4`00:0h007/E001n3P000P000>1=CCToEDdi
9@0000`0000700209@0000`000000020900002@00000081000000000000008100000000000020000
:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000
200004M4BD<30000AP0002P0000L0000AdA9@`80002/4`00]`h001dE000<3`00000004H000140000
>00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080E@1<0400000@0000B0000
8@0000P0001R000030000040000T000090000000P3h0000000000000P3h0000000000080001O0000
>0000040000h0000000003P000000000008104d1000000000000000000000000000002D0000<0000
0@0002D0000<00001@00P5L0000T0000Za<00;H>000M5@0030l00080001GCh@kb5>4>bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0002P0000<0000
0@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U3
0`0004H0000X0000700004M4BD<20000118007P:002n5000c0X0000000160000A00003P00015CDH[
:T0002@0000H00000020?`00080000200020?`00080000205D0E0100000400005000024000080000
HP0000`000010000900002@00000080n000000000000080n0000000000020000G`0003P000010000
>0000000000h0000000000020@1=0@00000000000000000000000000000U000030000040000U0000
300000D0081G0000900000<B001f2P00_Q@00<d:00020000]dR6:TeBQRXU0000300000L0080U0000
30000000080T000090000000P400000000000000P400000000000080000X000030000040000R0000
30000?oooom60000700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000
:00001`00017A4U30P000=D5003G1000F1800;@;00000000AP0005P0001<0000ADe6:bY0000T0000
60000000P3l000200000P000P3l000200000P0Y0080T000060000?ooool10000ENfoA00XX4Cmjd95
E1gAA2P0000<00000P00024000080000HP0000`000010000900002@00000080n000000000000080n
00000000000200009`0001P00002000000000?ooo`0000009@0000`0000200009@0000`000080020
EP000300003o1@0000D002hB002:2`001@000?`G0aCl5bL^]dPW;[M80aCl5`<D9@0000`000070020
9@0000`000000020900002@00000081000000000000008100000000000020000AP000200000D0000
ADe6:aE05`0@0000100001H0000j0000300000P0000T000090000000P3h0000000000000P3h00000
00000080001O0000>0000040000h0000000003P000000000020104d1000000000000000000000000
000002D0000<00000@0002D0000<00001@00P5H0000/0000ZP@00:/300234`00g``000@0003l5`<D
o1LW;[M89bjgB0<D9@0000`0000700209@0000`000000020900002@0000008100000000000000810
0000000000020000:00000`000010000>P0000`0000:00008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000DP00070100010000Z?goo`0000000000
000009010000000004000440LP1Y0640K0000000000000000@000000003I2`000000000000000000
0000042h?`0200000@0000@00000000000000000002@0@0000000838?`0DD^H`:;Lo012m?`0T^1<0
0@000;c;?`020000K;PC0=mBiS000000_</o0835?`000000G0_a<0`0002boooo2`000835?`000000
7Z[V<<00002Pe3l00P000000000000002`000000001@bSl0OQ3a<080003oooooF3h4<01SEC1Qe04`
3;hC0000003P/3l0@a<:<0T8?`0923l0VA<:<780000003l02`000835?`000000[;PC0835?`0X0000
2`000;;ooon]3o4`P<Do00/00008^A<0n;PC060;0008^cl0I7H02000000U000030000040000F0000
300001P0000B000030000040000H000030000000009D0000E00006H6001b1@0030L000l800010000
OH>7@8f5Qd1V1P00T@L00040001<00000000000000000000oooooooooom@0000B@2i4JL0000F0000
30000000000U0000300000h0080X000030000040001B0000L0400040002XoOoo0000000000000000
T04000000000@000@@1b06T0H@1/0000000000000001000000000=T;000000000000000000000000
@;Po00800001000010000000?`000000G0_a<0`0002boooo2`000835?`0000007Z[V<<00002Pe3l0
0P000000000/^1<000000<P5TG`8EB80n;PC0545TGa81aD0K@FAO94P2^h@EB8045DR0000003P/3l0
@a<:<0T8?`0923l0VA<:<780000003l000000835?`000000[;PC0835?`1H?P@`06=E<67D0C0<_Q<0
0000082a?`08^A<08000060;0008^cl0I7H02000000;0000P<Do0000002/^1<0f;PC00005@1DH_H:
9@0001PA8P0000X0614R0>bh0@040000?;PC0<hT8B9TMP08000002D0000<00000@0001H0000<0000
60000180000<00000@0001P0000<000000000U@0001D00003@L00785003D1`003`P00040001mPhM0
SHF7@0d7002A1`000@0004`00000000000000000003ooooooooooe00000]0=UHb00001H0000<0000
000002D0000<00003P00P2P0000<00000@000580001`0@000@000:Smool0000000000000002@0@00
0000001000110780J@1Q06`0000000000000004000000000f@/0000000000000000000000010^3l0
0P00004000040000000C0545TGa81aD0K@FAO94P2^h@EB8045DR0000003P/3l0@a<:<0T8?`0923l0
VA<:<2bh4`000000b0FAO0QE8P3h^1<0D@FAO4P75@1]1I5lTB0:ka1E8P0@EB800000082a?`08^A<0
8000060;0008^cl0I7H0200000000000P<Do0000002/^1<0f;PC05Pn1300HeD`HM@1<0bn4`000000
8;8o0>bh0@0P0000?;PC0<hT8B9TMP08000000/00020aCl000000:bh4`3H^1<0000E06aTmPXU0000
614R00002P0H4B80k;P100@0000l^1<0cR@Q8VAf00P000009@0000`0000100005P0000`0000H0000
4P0000`000010000600000`000000002E00008P0003E1`00LPD007dA000?20000@0007f3Qd2=QHM0
e@L00947000:0000C00000000000000000000?ooooooooooH00006<0K`1^07@0LP1_06`0K01U0780
;04004d1001>0@00Y`000<L0001>0@00Q@0008D0001=0@00b00001H0000<0000000002D0000<0000
3P00P2P0000<00000@0004H0000X0000700004M4BD<200008@/007h1001?300010D0000000160000
A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`00080000205D0I010000040000
600002P0000<00000P00024000080000HP0000`000010000900002@00000000n000000000000000n
0000000000020000G`0003P000020000>0000000000h00000000000B0@0800000000000000000000
00000000000U000030000080000W0000600000400000000000000000000U000030000040000C0000
30000080001K0000C00003T;002E0@00=P`00>/4000200002@0000D000040000Q5jg38AN?b3dG3lP
m5bg38AN]`bTHGLO_5e79mAIManTHGLO4`0000`0000100009@0000`0000000209@0000`000070020
900002@00000001100000000000000110000000000020000:00000`0000200008P0000`0003ooooo
AP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0003@0000X0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P24000080000HP0000`000010000
C00006@0000Z0P00P000004F000e3`00:P800800003H4`00]Ph002T0ZP00000000000000P3l00000
00000000P3l000000000000000000000000000000000000000000280000<0000ooooodH0000L0000
400004E=AR/2@00030000000000>000050000000000@00005000
\>"], "Text",
 ImageSize->{174.813, 121.438},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection",
 PageWidth->WindowWidth],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Icontroller\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<This is an imaginary analog component that represents a PWM current \
controller.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, {3.51915204953125*^9, 3.51915205165625*^9}, {
   3.5719303425810804`*^9, 3.5719303439070826`*^9}, 3.5757729461512766`*^9, 
   3.5757731277242312`*^9}],

Cell["iref=.;", "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"resist", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5757735448861265`*^9, 3.575773548286933*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "resist", ",", ".01", ",", "double", ",", "\"\<ohm\>\"", ",", 
       "\"\<loss resistans (at 1)\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "wf", ",", "10.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
       "\"\<controller break frequency\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "umin", ",", "1", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<minimum voltage difference\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "imax", ",", "10000.", ",", "double", ",", "\"\<A\>\"", ",", 
       "\"\<i max limit\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "imin", ",", "0.01", ",", "double", ",", "\"\<A\>\"", ",", 
       "\"\<i min limit\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "umax", ",", "1000.", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<u max limit\>\""}], "}"}]}], "\[IndentingNewLine]", "\t\t\t", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51704743811793*^9, 3.51704748427418*^9}, {
  3.517048343845498*^9, 3.5170483455018435`*^9}, {3.517048492338375*^9, 
  3.5170485144639416`*^9}, {3.517051632113016*^9, 3.5170516337849016`*^9}, {
  3.517052559747033*^9, 3.5170525602939186`*^9}, {3.5191490896875*^9, 
  3.51914910778125*^9}, {3.519149305921875*^9, 3.51914931075*^9}}],

Cell[BoxData[
 RowBox[{"cond", "=."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Uppstream port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Downstream port\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "\t\t\t", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5170500803941193`*^9, 3.5170500958947144`*^9}, {
   3.517051761535719*^9, 3.517051763379481*^9}, 3.5757735584425507`*^9, 
   3.5757736263762817`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"inputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "iref", ",", "0.", ",", "double", ",", "\"\<A/V\>\"", ",", 
       "\"\<Conductivity (1/resistance)\>\""}], "}"}], "\[IndentingNewLine]", 
     "}"}]}], ";"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5757735685669684`*^9, 3.575773590765807*^9}, {
  3.5757743546296935`*^9, 3.575774378560136*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"uc", "=", 
   RowBox[{"uel1", "+", 
    RowBox[{"resist", " ", "iel1"}]}]}], ";"}]], "Input",
 CellChangeTimes->{3.5371660944689965`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cond1", "=", 
  FractionBox[
   RowBox[{"iref", "/", 
    RowBox[{"limit", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel2"}], ")"}], ",", "umin", ",", "umax"}], 
     "]"}]}], 
   RowBox[{
    FractionBox["s", "wf"], "+", "1"}]]}]], "Input",
 CellChangeTimes->{{3.5170524175880537`*^9, 3.517052423963176*^9}, {
   3.51914906065625*^9, 3.5191490674375*^9}, 3.5370275318125*^9, 
   3.5371660825627465`*^9, 3.5371661822814965`*^9}],

Cell[BoxData[
 FractionBox["iref", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     FractionBox["s", "wf"]}], ")"}], " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"uel1", "-", "uel2"}], ",", "umin", ",", "umax"}], 
    "]"}]}]]], "Output",
 CellChangeTimes->{
  3.5371661867189965`*^9, 3.53738713915625*^9, 3.575773037877038*^9, 
   3.575773140661854*^9, 3.5757731718619084`*^9, 3.57577324608726*^9, 
   3.5757733788839197`*^9, 3.575773437813836*^9, {3.575773607052236*^9, 
   3.5757736318518915`*^9}, 3.5757739646983523`*^9, 3.5757742579936743`*^9, 
   3.5757743040339804`*^9, 3.5757743841605453`*^9, 3.5757744583443356`*^9, 
   3.575774532679165*^9, 3.575774596180381*^9, 3.5757746363450675`*^9, 
   3.5757747247976627`*^9, 3.575779426003521*^9, 3.575785968529523*^9, 
   3.5757864545158453`*^9, 3.575786853971217*^9, 3.575817588739931*^9, 
   3.578816692896367*^9, 3.581406010904448*^9, 3.5814061612990503`*^9, 
   3.5814062949116926`*^9, 3.6031910272143784`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"iel1", "==", 
      RowBox[{"cond1", " ", 
       RowBox[{"(", 
        RowBox[{"uel2", "-", "uel1"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"iel1", " ", 
        RowBox[{"limit", "[", 
         RowBox[{"uel1", ",", "umin", ",", "umax"}], "]"}]}], " ", "+", 
       RowBox[{"resist", " ", 
        RowBox[{"iel1", "^", "2"}]}], "+", 
       RowBox[{"iel2", " ", 
        RowBox[{"limit", "[", 
         RowBox[{"uel2", ",", "umin", ",", "umax"}], "]"}]}]}], "\[Equal]", 
      "0"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5170524293851547`*^9, 3.5170524347446327`*^9}, 
   3.537026808171875*^9, 3.537027501421875*^9, {3.537034161703125*^9, 
   3.537034165375*^9}, 3.5370697195685368`*^9, {3.5719303710511303`*^9, 
   3.571930391814767*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"uel1", " ", "==", " ", 
      RowBox[{"cel1", "+", 
       RowBox[{"Zcel1", " ", "iel1"}]}]}], ",", "\n", "\t", 
     RowBox[{"uel2", " ", "==", " ", 
      RowBox[{"cel2", "+", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}]}], "\n", "         \t\t\t", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.537034178984375*^9, 3.537034179*^9}, {
  3.571930404060788*^9, 3.571930423202022*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"iel1", ",", "iel2", ",", "uel1", ",", "uel2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5170484426011863`*^9, 3.517048460336583*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.603191027284379*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\
\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricIcontroller.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricIcontroller.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"Pel1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"iref\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272943797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272943797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272943797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773037955038*^9, 3.5757731407242537`*^9, 3.5757731720335083`*^9, 
   3.57577324613406*^9, 3.5757733789463205`*^9, 3.575773437891836*^9, {
   3.575773607145836*^9, 3.5757736319142914`*^9}, 3.5757739647607527`*^9, 
   3.575774258056074*^9, 3.5757743040963807`*^9, 3.5757743842385454`*^9, 
   3.5757744584223356`*^9, 3.575774532757165*^9, 3.5757745962427807`*^9, 
   3.575774636407468*^9, 3.5757747248600626`*^9, 3.5757794260659227`*^9, 
   3.575785968747923*^9, 3.5757864545782456`*^9, 3.575786854033617*^9, 
   3.575817588859938*^9, 3.578816692962367*^9, 3.5814060109854527`*^9, 
   3.5814061613260517`*^9, 3.581406294988697*^9, 3.6031910272993793`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PWMcontroller", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5633830147514896`*^9, 3.5633830188386965`*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This is an imaginary analog componenent that represents a PWM current \
controller. It acts like a resistor but the losses cen be made to zero by \
reducing the out-curren (node 2) compared to the in-currernt (node 1).\
\>", "Text",
 PageWidth->WindowWidth],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@00045X0@0006`0000Z0P00P000004F000e3`00
g0T00586002WG000fcl00215CDH00040J4400002000300000000000000000000XQ800:PJ003:0000
8@400000000000000000010E0`3XJ0@0AP0002`0000P0000ADe6:`500@0L00004000008@`=/00000
F08005P200160000G00005000015CDH[8T0400`0000000007T0900`000000000940100`000000000
<4020100000400000020?b501`0<0000000000A0000<0000000004H0000X0000700004M4BD<20000
D`8007h1003I5@003@l0000000160000:00001`00017A4U30P0008<2001>1@00NaD00:8500000000
AP000:P0002L0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Q0008h0000
;000008@`=/00000V0000000002[ZZI20P000000044000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000ZeX[A000[dAFRZY5002_A0010H4E@040400000@0000000008@0000P0001R0000
30000040000T000090000000P3h0000000000000P3h0000000000080001O0000>0000040000h0000
000003P000000000008104d1000000000000000000000000000002D0000<00000@0002D0000<0000
1@00P5L0000T0000PP8004`5001l5@00X`D00080002d2]hEA5GN5BD0000<00001`00P2D0000<0000
0000P2@0000T00000020@000000000000020@000000000000P0002P0000<00000@000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000W`<007T:003c0`00l@d0000000160000Z00009`00015CDH[:T0002@0000H0000
0020?`00080000200020?`000800002024020SP0000/00000Q30f`00002H000000000:^ZYT820000
0000@@0000024<3K000000000?l8@0<3;000020000024<3K0P0000000000<794ZbhZA@0`LTAFLEa5
0041PAE00`0@000010000080000Q000020000680000<00000@0002@0000T00000000?P0000000000
0000?P00000000000P0005l0000h00000@0003P000000000>000000000000P40V`80000000000000
00000000000000009@0000`0000100009@0000`000050020E`0002@0002M0`00M`X00?<3003b3@00
0P00048N55E27SE^9@0000`0000700209@0000`000000020900002@0000000110000000000000011
0000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80001_0`00NPX002T6003>2P00
000004H0002X0000W00004E=AR/Z@000900001P00000080o0000P0000800080o0000P0000808@0@2
>00002`000024<3K000009P000000000ZjZV@P80000000110000008@`=/000000000o`Q01@</0000
8000008@`=/20000000005DeITAE?bY50<boA5Do:TD00@615D050100000400001000024000080000
HP0000`000010000900002@00000000n000000000000000n0000000000020000G`0003P000010000
>0000000000h0000000000020@2K0P00000000000000000000000000000U000030000040000U0000
300000D0081G0000900006d3001h2P00:@H00<l:00020000`a`LENl_75DU0000300000L0080U0000
30000000080T00009000000004400000000000000440000000000080000X000030000040000R0000
30000?oooom60000700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000
:00001`00017A4U30P0005<2002M3@00?@D00?4=00000000AP000:P0002L0000ADe6:bY0000T0000
60000000P3l000200000P000P3l000200000P0Q01P8h0000;000008@`=/00000V0000000002[ZZI2
0P000000044000000Q30f`000000003o24070b`0000P00000Q30f`8000000000060OA5EaG4F[GZ94
EG5LA@010H4E@0L0400000@0000600008@0000P0001R000030000040000T00009000000003h00000
0000000003h0000000000080001O0000>0000040000h0000000003P000000000008109/200000000
0000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000DP8009/=000n1@00
lPd00080003X4cE^U2PeKRD0000<00001`00P2D0000<00000000P2@0000T00000000@@0000000000
0000@@00000000000P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000/P8002/>003N1000
O`h0000000160000Z00009`00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
24080SP0000/00000Q30f`00002H000000000:^ZYT8200000000@@0000024<3K000000000?l8@0T3
;000020000024<3K0P000000002[4SM404aUAEJ5UT@0C6E50041PAE02@0@0000100000P0000Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0005l0000h0000
0@0003P000000000>000000000000P40V`8000000000000000000000000000009@0000`000010000
9@0000`000050020E`0002@0002a0P00:@h00=l4001o3P000P000=lFXW:N9J9b9@0000`000070020
9@0000`000000020900002@00000001100000000000000110000000000020000:00000`000010000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80000@0`00^0h00844000=3`00000004H0002X0000W00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P0000808@0X2>00002`000024<3K000009P000000000
ZjZV@P80000000110000008@`=/000000000o`Q02`</00008000008@`=/2000000000:^2CTB[9Vi5
E/f:A:/VKTD00@615D0;0100000400002P00024000080000HP0000`000010000900002@00000000n
000000000000000n0000000000020000G`0003P000010000>0000000000h0000000000020@2K0P00
000000000000000000000000000U000030000040000U0000300000D0081G0000900000h3002g3P00
P@@000d?00020000cAT@Mk0R47LU0000300000L0080U000030000000080T00009000000004400000
000000000440000000000080000X000030000040000R000030000?oooom60000700001000015CDH[
140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U30P0003/D001h2P00
Sa@00?0=00000000AP000:P0002L0000ADe6:bY0000T000060000000P3l000200000P000P3l00020
0000P0Q0308h0000;000008@`=/00000V0000000002[ZZI20P000000044000000Q30f`000000003o
240=0b`0000P00000Q30f`8000000000ZbJSA@0N:TF[9Z=5Zf1LA@010`<E@0d0400000@0000<0000
8@0000P0001R000030000040000T000090000000P3h0000000000000P3h0000000000080001O0000
>0000040000h0000000003P000000000008104d1000000000000000000000000000002D0000<0000
0@0002D0000<00001@00P5L0000T0000>A@007H:002@5000l@d00080002BDHHZTU4G=bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0002P0000<0000
0@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U3
0`0004H0000X0000700004M4BD<20000ka8009`=003I5@00l0d0000000160000Z00009`00015CDH[
:T0002@0000H00000020?`00080000200020?`0008000020240>0SP0000/00000Q30f`00002H0000
00000:^ZYT8200000000@@0000024<3K000000000?l8@0l3;000020000024<3K0P000000002[c9Q5
Zf1LAEIh[DF[H5a50041PAE03`0@0000100000h0000Q000020000680000<00000@0002@0000T0000
0020?P00000000000020?P00000000000P0005l0000h00000@0003P000000000>000000000000P40
C@4000000000000000000000000000009@0000`0000100009@0000`000050020E`0002@0003^4P00
V`d00=XE003a3@000P0006E<5cNkEQLg9@0000`0000700209@0000`000000020900002@000000810
00000000000008100000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80001>4`00
:Ph007XE001n3P00000004H0002X0000W00004E=AR/Z@000900001P00000080o0000P0000800080o
0000P0000808@102>00002`000024<3K000009P000000000ZjZV@P80000000110000008@`=/00000
0000o`Q04@</00008000008@`=/2000000000033VdEE>fE508:ZAEDkIDD00@615D0A010000040000
4000024000080000HP0000`000010000900002@00000080n000000000000080n0000000000020000
G`0003P000010000>0000000000h0000000000020@1=0@00000000000000000000000000000U0000
30000040000U0000300000D0081G0000900004dC000X3P00NaD007h>00020000h4e=>CmECCTU0000
300000L0080U000030000000080T000090000000P400000000000000P400000000000080000X0000
30000040000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P000:`C002g3P007AD000`?00000000AP000:P0002L0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P0Q04P8h0000;000008@`=/00000
V0000000002[ZZI20P000000044000000Q30f`000000003o240C0b`0000P00000Q30f`8000000000
0;6NA@0FKTD0U:M501I^A@010H4E@1<0400000@0000B00008@0000P0001R000030000040000T0000
90000000P3h0000000000000P3h0000000000080001O0000>0000040000h0000000003P000000000
008104d1000000000000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000
Za<00;H>000M5@0030l00080001GCh@kb5>4>bD0000<00001`00P2D0000<00000000P2@0000T0000
0020@000000000000020@000000000000P0002P0000<00000@000280000<0000ooooodH0000L0000
400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000
118007P:002n5000c0X0000000160000Z00009`00015CDH[:T0002@0000H00000020?`0008000020
0020?`0008000020240D0SP0000/00000Q30f`00002H000000000:^ZYT8200000000@@0000024<3K
000000000?l8@1D3;000020000024<3K0P000000001ELI5501hZAJZMY4D07RY50041PAE05@0@0000
100001@0000Q000020000680000<00000@0002@0000T00000020?P00000000000020?P0000000000
0P0005l0000h00000@0003P000000000>000000000000P40C@400000000000000000000000000000
9@0000`0000100009@0000`000050020E`0002@000034P00MPX00;hD003=2P000P000;M8QRY=DXHZ
9@0000`0000700209@0000`000000020900002@00000081000000000000008100000000000020000
:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000
200004M4BD<30000AP0002P0000L0000AdA9@`80003E1@00e`@005PB002d2`00000004H0001H0000
C00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080:@020900001P0003ooooo
0@0005G]_d@0::14oN]2AE@MdD@Q000020000680000<00000@0002@0000T00000020?P0000000000
0020?P00000000000P0002L0000H00000@000000003oool0000002D0000<00000@0002D0000<0000
2000P5H0000`0000o`D00005000^4P00RP/000D0003l5`<Do1LW;[M89bjgB0<Do1L352D0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0004H0002L0000
T00004E=AR/8@1H2@00003@000024<3K00000=H000000000ZjZV@P80000200000000@@8000000000
0Q30f`000000003o240G0c`0000`00000Q30f`@000000000ENfoA00XX4AEkKm4ZZ8hAEEaTDFZXSQ5
EG6AA@0XX4@00@615D0G0100000400005P0003X0000<0000200002@0000T00000020?P0000000000
0020?P00000000000P0005l0000h00000P0003P000000000>000000000008040C@40000000000000
00000000000000009@0000`0000200009@0000`000050020EP0002`0002Z1000Z`<008<C003O3000
10000?`G0aCl5bL^]dPW;[M80a@U0000300000L0080U000030000000080T000090000000P4000000
00000000P400000000000080000X000030000080000j0000300000X0000R000030000?oooom60000
700001000015CDH[140000`000000000AP0001@000080000AdA9@`<0001B0000L0400080002XoOoo
0000000000000000T04000000000@000@@1b06T0H@1/0000000000000001000000000=T;00000000
00000000000T=]<`@;Po00800001000010000000000000000000090100000000P<Po01ABiS0X]cl0
4;do02Bh4`010000_</o0080001/^1<0ge;V<000002lbcl0P<Do0000001L2o4`30000;;oool;0000
P<Do0000000NZ^H``0000:3D?`02000000000000000;00000000053:?`1n4?4`0P000?oooomH?P@`
06=E<67D0C0<_Q<000000>2`?`134`X`2@Po00T8?`2I4`X`LP000000?`0;0000P<Do0000002/^1<0
P<Do02P0000;0000/_ooojd?lC20aCl02`0000Ri4`3h^1<0H0/000Rk?`1TMP08000002D0000<0000
0P0001H0000<000060000180000<00000@0001P0000<000000000U@0001D0000IPH00785000<1`00
3`P00040001mPhM0SHF7@6H6002A1`000@0004`00000000000000000003ooooooooooe00001903am
Y`0001H0000<0000000002D0000<00003P00P2P0000<00000P000580001`0@000P000:Smool00000
00000000002@0@000000001000110780J@1Q06`0000000000000004000000000f@/0000000000000
000002@fdc10^3l00P00004000040000000o0000001L2o4`30000;;oool;0000P<Do0000000NZ^H`
`0000:3D?`020000000002bh4`000000b0FAO?2Dk@[h^1<0D@FAO4P75@1]1I5lTB0:eoRDk@[hU>d:
00000>2`?`134`X`2@Po00T8?`2I4`X`LP000000?`000000P<Do0000002/^1<0P<Do05Pn1300HeD`
HM@1<0bn4`000000P;4o00Ri4`0P0000H0/000Rk?`1TMP08000000/00020aCl000000:bh4`3H^1<0
000E09Q4mPXU0000614R00002P0H4B80k;P100@0000l^1<0cR@Q8VAf00P000009@0000`000020000
5P0000`0000H00004P0000`000010000600000`000000002E00005@0000=1`00LPD00=@7000?2000
0@0007f3Qd2=QHM03@L0094700010000C00000000000000000000?ooooooooooD00002d0De780000
5P0000`0000000009@0000`0000>0020:00000`000020000DP00070100020000Z?goo`0000000000
000009010000000004000440LP1Y0640K0000000000000000@000000003I2`000000000000000000
93KC<42h?`0200000@0000@0000001<0D@FAO4P75@1]1I5lTB0:eoRDk@[hU>d:00000>2`?`134`X`
2@Po00T8?`2I4`X`;;PC000000381I5ll9C]2_Rh4`1A1I5lB0LE06d5TGbA80[Hn9C]2_RDk@X00000
P;4o00Ri4`0P0000H0/000Rk?`1TMP08000000000020aCl000000:bh4`3H^1<0F3h4<01SEC1Qe04`
3;hC0000000P/Sl0k;P10200000l^1<0cR@Q8VAf00P000002`000835?`000000[;PC0=Rh4`0001D0
/4Kf2RD0000H4B80000:01PA8P3/^040100003bh4`3>924RI7H02000000U000030000080000F0000
300001P0000B000030000040000H000030000000009D0000R0000=D7001b1@00OA4000l800010000
OH>7@8f5Qd3E1`00T@L000X0001<00000000000000000000oooooooooomP0000H`1_06h0M01b06l0
K01/06D0LP0/0@00C@4004h1002W0000a`0004h100250000Q@0004d1003800005P0000`000000000
9@0000`0000>0020:00000`000020000AP0002P0000L0000AdA9@`80000Q2`00OP4004l<00041@00
000004H0000D0@00204004E=AR/Z@000900001P00000080o0000P0000800080o0000P0000808@1P2
Y00009P000024<3K000009`@000000000018@_l0000200000000@@00001T00000Q30f`0000010000
0P000000T400000000000000000002110020?`000000000000000000000X00000Q30f`<000008000
000P@000X<000000000000008<000:300061]@8@`=/000000000o`Q06@</00008000008@`=/20000
00000020>dEEYL]3080kAEDYWD@00@615D0I010000040000600002P0000<00000@00024000080000
HP0000`000010000900002@00000000n000000000000000n0000000000020000G`0003P000010000
>0000000000h00000000000B0@080000000000000000000000000000000U000030000040000W0000
600000800000000000000000000U000030000080000C000030000080001K0000C00003T;002E0@00
=P`00>/4000200002@0000D000040000Q5jg38AN?b3dG3lPm5bg38AN]`bTHGLO_5e79mAIManTHGLO
4`0000`0000100009@0000`0000000209@0000`000070020900002@0000000110000000000000011
0000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000
000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`8000230P00CPD007/E002R1@00
000004H000140000>00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080E@040
400000@0000000008@0000P0001R000030000040000T000090000000P3h0000000000000P3h00000
00000080001O0000>0000040000h0000000003P000000000008104d1000000000000000000000000
000002D0000<00000@0002D0000<00001@00P5L0000T0000PP8004`5001l5@00X`D00080002d2]hE
A5GN5BD0000<00001`00P2D0000<00000000P2@0000T00000020@000000000000020@00000000000
0P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000
500000P00017A4U30`0004H0000X0000700004M4BD<20000W`<007T:003c0`00l@d0000000160000
A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`00080000205D03010000040000
0P00024000080000HP0000`000010000900002@00000000n000000000000000n0000000000020000
G`0003P000010000>0000000000h0000000000020@2K0P00000000000000000000000000000U0000
30000040000U0000300000D0081G0000900009d3001g2P00l`<00?8=00020000@QhDED8N=FhU0000
300000L0080U000030000000080T00009000000004400000000000000440000000000080000X0000
30000040000R000030000?oooom60000700001000015CDH[140000`000000000AP0001@000080000
AdA9@`<000160000:00001`00017A4U30P0006l3001j2P00:@H00<h:00000000AP0004@0000h0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P1E01@0@0000100000@0000Q0000
20000680000<00000@0002@0000T00000000?P00000000000000?P00000000000P0005l0000h0000
0@0003P000000000>000000000000P40V`8000000000000000000000000000009@0000`000010000
9@0000`000050020E`0002@0001]0`00N0X002T6003?2P000P000<<L75G_;aaE9@0000`000070020
9@0000`000000020900002@00000001100000000000000110000000000020000:00000`000010000
8P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000
AP0002P0000L0000AdA9@`80001C0P00W@d003d5003a3@00000004H000140000>00004E=AR/Z@000
900001P00000080o0000P0000800080o0000P000080E@0L0400000@0000600008@0000P0001R0000
30000040000T00009000000003h000000000000003h0000000000080001O0000>0000040000h0000
000003P000000000008109/2000000000000000000000000000002D0000<00000@0002D0000<0000
1@00P5L0000T0000DP8009/=000n1@00lPd00080003X4cE^U2PeKRD0000<00001`00P2D0000<0000
0000P2@0000T00000000@@00000000000000@@00000000000P0002P0000<00000@000280000<0000
ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U30`0004H0000X0000
700004M4BD<20000/P8002/>003N1000O`h0000000160000A00003P00015CDH[:T0002@0000H0000
0020?`00080000200020?`00080000205D090100000400002000024000080000HP0000`000010000
900002@00000000n000000000000000n0000000000020000G`0003P000010000>0000000000h0000
000000020@2K0P00000000000000000000000000000U000030000040000U0000300000D0081G0000
90000;42000Y3P00g`@007l>00020000gaJRLYhUXW8U0000300000L0080U000030000000080T0000
9000000004400000000000000440000000000080000X000030000040000R000030000?oooom60000
700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000:00001`00017A4U3
0P000103002h3P00P@@000d?00000000AP0004@0000h0000ADe6:bY0000T000060000000P3l00020
0000P000P3l000200000P1E02`0@0000100000X0000Q000020000680000<00000@0002@0000T0000
0000?P00000000000000?P00000000000P0005l0000h00000@0003P000000000>000000000000P40
V`8000000000000000000000000000009@0000`0000100009@0000`000050020E`0002@0000>0`00
]`h00844000=3`000P000<dI47N`8Q1g9@0000`0000700209@0000`000000020900002@000000011
00000000000000110000000000020000:00000`0000100008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0002P0000L0000AdA9@`80000k5000
N0X008lD003`3@00000004H000140000>00004E=AR/Z@000900001P00000080o0000P0000800080o
0000P000080E@0d0400000@0000<00008@0000P0001R000030000040000T000090000000P3h00000
00000000P3h0000000000080001O0000>0000040000h0000000003P000000000008104d100000000
0000000000000000000002D0000<00000@0002D0000<00001@00P5L0000T0000>A@007H:002@5000
l@d00080002BDHHZTU4G=bD0000<00001`00P2D0000<00000000P2@0000T00000020@00000000000
0020@000000000000P0002P0000<00000@000280000<0000ooooodH0000L0000400004E=AR/4@000
3000000000160000500000P00017A4U30`0004H0000X0000700004M4BD<20000ka8009`=003I5@00
l0d0000000160000A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`0008000020
5D0?0100000400003P00024000080000HP0000`000010000900002@00000080n000000000000080n
0000000000020000G`0003P000010000>0000000000h0000000000020@1=0@000000000000000000
00000000000U000030000040000U0000300000D0081G000090000>hB002K3@00fQD00?4=00020000
ID`G=k]F5cLU0000300000L0080U000030000000080T000090000000P400000000000000P4000000
00000080000X000030000040000R000030000?oooom60000700001000015CDH[140000`000000000
AP0001@000080000AdA9@`<000160000:00001`00017A4U30P0004hC000Z3P00NQD007h>00000000
AP0004@0000h0000ADe6:bY0000T000060000000P3l000200000P000P3l000200000P1E04@0@0000
10000100000Q000020000680000<00000@0002@0000T00000020?P00000000000020?P0000000000
0P0005l0000h00000@0003P000000000>000000000000P40C@400000000000000000000000000000
9@0000`0000100009@0000`000050020E`0002@0001=4`00:0h007/E001n3P000P000>1=CCToEDdi
9@0000`0000700209@0000`000000020900002@00000081000000000000008100000000000020000
:00000`0000100008P0000`0003oooooAP0001`0000@0000ADe6:`A0000<0000000004H0000D0000
200004M4BD<30000AP0002P0000L0000AdA9@`80002/4`00]`h001dE000<3`00000004H000140000
>00004E=AR/Z@000900001P00000080o0000P0000800080o0000P000080E@1<0400000@0000B0000
8@0000P0001R000030000040000T000090000000P3h0000000000000P3h0000000000080001O0000
>0000040000h0000000003P000000000008104d1000000000000000000000000000002D0000<0000
0@0002D0000<00001@00P5L0000T0000Za<00;H>000M5@0030l00080001GCh@kb5>4>bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@000000000000020@000000000000P0002P0000<0000
0@000280000<0000ooooodH0000L0000400004E=AR/4@0003000000000160000500000P00017A4U3
0`0004H0000X0000700004M4BD<20000118007P:002n5000c0X0000000160000A00003P00015CDH[
:T0002@0000H00000020?`00080000200020?`00080000205D0E0100000400005000024000080000
HP0000`000010000900002@00000080n000000000000080n0000000000020000G`0003P000010000
>0000000000h0000000000020@1=0@00000000000000000000000000000U000030000040000U0000
300000D0081G0000900000<B001f2P00_Q@00<d:00020000]dR6:TeBQRXU0000300000L0080U0000
30000000080T000090000000P400000000000000P400000000000080000X000030000040000R0000
30000?oooom60000700001000015CDH[140000`000000000AP0001@000080000AdA9@`<000160000
:00001`00017A4U30P000=D5003G1000F1800;@;00000000AP0005P0001<0000ADe6:bY0000T0000
60000000P3l000200000P000P3l000200000P0Y0080T000060000?ooool10000ENfoA00XX4Cmjd95
E1gAA2P0000<00000P00024000080000HP0000`000010000900002@00000080n000000000000080n
00000000000200009`0001P00002000000000?ooo`0000009@0000`0000200009@0000`000080020
EP000300003o1@0000D002hB002:2`001@000?`G0aCl5bL^]dPW;[M80aCl5`<D9@0000`000070020
9@0000`000000020900002@00000081000000000000008100000000000020000AP000200000D0000
ADe6:aE05`0@0000100001H0000j0000300000P0000T000090000000P3h0000000000000P3h00000
00000080001O0000>0000040000h0000000003P000000000020104d1000000000000000000000000
000002D0000<00000@0002D0000<00001@00P5H0000/0000ZP@00:/300234`00g``000@0003l5`<D
o1LW;[M89bjgB0<D9@0000`0000700209@0000`000000020900002@0000008100000000000000810
0000000000020000:00000`000010000>P0000`0000:00008P0000`0003oooooAP0001`0000@0000
ADe6:`A0000<0000000004H0000D0000200004M4BD<30000DP00070100010000Z?goo`0000000000
000009010000000004000440LP1Y0640K0000000000000000@000000003I2`000000000000000000
0000042h?`0200000@0000@00000000000000000002@0@0000000838?`0DD^H`:;Lo012m?`0T^1<0
0@000;c;?`020000K;PC0=mBiS000000_</o0835?`000000G0_a<0`0002boooo2`000835?`000000
7Z[V<<00002Pe3l00P000000000000002`000000001@bSl0OQ3a<080003oooooF3h4<01SEC1Qe04`
3;hC0000003P/3l0@a<:<0T8?`0923l0VA<:<780000003l02`000835?`000000[;PC0835?`0X0000
2`000;;ooon]3o4`P<Do00/00008^A<0n;PC060;0008^cl0I7H02000000U000030000040000F0000
300001P0000B000030000040000H000030000000009D0000E00006H6001b1@0030L000l800010000
OH>7@8f5Qd1V1P00T@L00040001<00000000000000000000oooooooooom@0000B@2i4JL0000F0000
30000000000U0000300000h0080X000030000040001B0000L0400040002XoOoo0000000000000000
T04000000000@000@@1b06T0H@1/0000000000000001000000000=T;000000000000000000000000
@;Po00800001000010000000?`000000G0_a<0`0002boooo2`000835?`0000007Z[V<<00002Pe3l0
0P000000000/^1<000000<P5TG`8EB80n;PC0545TGa81aD0K@FAO94P2^h@EB8045DR0000003P/3l0
@a<:<0T8?`0923l0VA<:<780000003l000000835?`000000[;PC0835?`1H?P@`06=E<67D0C0<_Q<0
0000082a?`08^A<08000060;0008^cl0I7H02000000;0000P<Do0000002/^1<0f;PC00005@1DH_H:
9@0001PA8P0000X0614R0>bh0@040000?;PC0<hT8B9TMP08000002D0000<00000@0001H0000<0000
60000180000<00000@0001P0000<000000000U@0001D00003@L00785003D1`003`P00040001mPhM0
SHF7@0d7002A1`000@0004`00000000000000000003ooooooooooe00000]0=UHb00001H0000<0000
000002D0000<00003P00P2P0000<00000@000580001`0@000@000:Smool0000000000000002@0@00
0000001000110780J@1Q06`0000000000000004000000000f@/0000000000000000000000010^3l0
0P00004000040000000C0545TGa81aD0K@FAO94P2^h@EB8045DR0000003P/3l0@a<:<0T8?`0923l0
VA<:<2bh4`000000b0FAO0QE8P3h^1<0D@FAO4P75@1]1I5lTB0:ka1E8P0@EB800000082a?`08^A<0
8000060;0008^cl0I7H0200000000000P<Do0000002/^1<0f;PC05Pn1300HeD`HM@1<0bn4`000000
8;8o0>bh0@0P0000?;PC0<hT8B9TMP08000000/00020aCl000000:bh4`3H^1<0000E06aTmPXU0000
614R00002P0H4B80k;P100@0000l^1<0cR@Q8VAf00P000009@0000`0000100005P0000`0000H0000
4P0000`000010000600000`000000002E00008P0003E1`00LPD007dA000?20000@0007f3Qd2=QHM0
e@L00947000:0000C00000000000000000000?ooooooooooH00006<0K`1^07@0LP1_06`0K01U0780
;04004d1001>0@00Y`000<L0001>0@00Q@0008D0001=0@00b00001H0000<0000000002D0000<0000
3P00P2P0000<00000@0004H0000X0000700004M4BD<200008@/007h1001?300010D0000000160000
A00003P00015CDH[:T0002@0000H00000020?`00080000200020?`00080000205D0I010000040000
600002P0000<00000P00024000080000HP0000`000010000900002@00000000n000000000000000n
0000000000020000G`0003P000020000>0000000000h00000000000B0@0800000000000000000000
00000000000U000030000080000W0000600000400000000000000000000U000030000040000C0000
30000080001K0000C00003T;002E0@00=P`00>/4000200002@0000D000040000Q5jg38AN?b3dG3lP
m5bg38AN]`bTHGLO_5e79mAIManTHGLO4`0000`0000100009@0000`0000000209@0000`000070020
900002@00000001100000000000000110000000000020000:00000`0000200008P0000`0003ooooo
AP0001`0000@0000ADe6:`A0000<0000000004H0000D0000200004M4BD<30000AP0003@0000X0000
ADe6:bY0000T000060000000P3l000200000P000P3l000200000P24000080000HP0000`000010000
C00006@0000Z0P00P000004F000e3`00:P800800003H4`00]Ph002T0ZP00000000000000P3l00000
00000000P3l000000000000000000000000000000000000000000280000<0000ooooodH0000L0000
400004E=AR/2@00030000000000>000050000000000@00005000
\>"], "Text",
 ImageSize->{174.813, 121.438},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection",
 PageWidth->WindowWidth],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PWMdceq\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<This is an imaginary DC analog component that represents an \
equivalent PWM controller.\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"defaultPath", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, {3.51915204953125*^9, 3.51915205165625*^9}, {
   3.5633837651444073`*^9, 3.563383790822053*^9}, {3.5719307766633034`*^9, 
   3.5719307768973036`*^9}, 3.5757729476956797`*^9, 3.5757731284262323`*^9}],

Cell["iref=.;", "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "resist0", ",", ".01", ",", "double", ",", "\"\<ohm\>\"", ",", 
       "\"\<loss resistans (at 2)\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "resist1", ",", "10.", ",", "double", ",", "\"\<ohm\>\"", ",", 
       "\"\<loss resistans (at 2)\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "umin", ",", "0.01", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<minimum voltage difference\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "umax", ",", "1000.", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<u max limit\>\""}], "}"}]}], "\[IndentingNewLine]", "\t\t\t", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51704743811793*^9, 3.51704748427418*^9}, {
   3.517048343845498*^9, 3.5170483455018435`*^9}, {3.517048492338375*^9, 
   3.5170485144639416`*^9}, {3.517051632113016*^9, 3.5170516337849016`*^9}, {
   3.517052559747033*^9, 3.5170525602939186`*^9}, {3.5191490896875*^9, 
   3.51914910778125*^9}, {3.519149305921875*^9, 3.51914931075*^9}, {
   3.563779426451392*^9, 3.563779429165392*^9}, {3.563779475657392*^9, 
   3.563779477906392*^9}, {3.563779514616392*^9, 3.563779518928392*^9}, {
   3.563779569671392*^9, 3.5637795727253923`*^9}, {3.56378464480447*^9, 
   3.563784646436633*^9}, 3.563785697751487*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"inputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "tfac", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Tc/Tp (time fraction on)\>\""}], "}"}], "\[IndentingNewLine]", 
     "}"}]}], ";"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.563383114498065*^9, 3.5633832199074497`*^9}, {
  3.5637794404453917`*^9, 3.563779444045392*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "uel10", ",", "0.", ",", "double", ",", "\"\<V\>\"", ",", 
       "\"\<middle voltage\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5644782035430775`*^9, 3.564478249332677*^9}}],

Cell[BoxData[
 RowBox[{"cond", "=."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el1", ",", "0.", ",", "\"\<Electric port 1\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"ElectricQnode", "[", 
      RowBox[{"el2", ",", "0.", ",", "\"\<Electric port 2\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.515774261203125*^9, 3.515774262703125*^9}, {
   3.51603387128125*^9, 3.51603387178125*^9}, {3.522403633375*^9, 
   3.522403641375*^9}, 3.532248933709714*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"resist", "=", 
  RowBox[{"resist1", "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"resist0", "-", "resist1"}], ")"}], "*", 
    RowBox[{"limit", "[", 
     RowBox[{"tfac", ",", "0.", ",", "1."}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.563779641294392*^9, 3.5637796517983923`*^9}, {
  3.563779701676392*^9, 3.563779772230392*^9}, {3.563779811988505*^9, 
  3.563779818855191*^9}}],

Cell[BoxData[
 RowBox[{"resist1", "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"resist0", "-", "resist1"}], ")"}], " ", 
   RowBox[{"limit", "[", 
    RowBox[{"tfac", ",", "0.`", ",", "1.`"}], "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.5637800550568094`*^9, 3.5637814445561857`*^9, {3.5637817959541855`*^9, 
   3.563781799238186*^9}, 3.5637820843281856`*^9, 3.5637822194801855`*^9, 
   3.563782346572665*^9, 3.56378300648665*^9, 3.5637844880417953`*^9, 
   3.563784556456636*^9, 3.5637848195109386`*^9, 3.563785036315617*^9, 
   3.5757730381890383`*^9, {3.5757731355138445`*^9, 3.5757731409426537`*^9}, 
   3.575773172267509*^9, 3.57577324644606*^9, 3.5757733791491203`*^9, 
   3.5757734380634365`*^9, {3.575773607504637*^9, 3.575773632148292*^9}, 
   3.5757739649479527`*^9, 3.5757742582276745`*^9, 3.5757743042679806`*^9, 
   3.575774384378946*^9, 3.5757744585471363`*^9, 3.575774532991165*^9, 
   3.5757745964455814`*^9, 3.5757746365790677`*^9, 3.575774724984863*^9, 
   3.5757749620146933`*^9, 3.5757794263311276`*^9, 3.575785968872723*^9, 
   3.5757864547498465`*^9, 3.575786854267619*^9, 3.5758175891299534`*^9, 
   3.578816693094367*^9, 3.5814060111064596`*^9, 3.581406161557065*^9, 
   3.5814062951037035`*^9, 3.6031910273943815`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.563781156082901*^9, 3.563781238037095*^9}, {
   3.5637812868671856`*^9, 3.5637813173131857`*^9}, {3.5637813700161858`*^9, 
   3.5637813762201853`*^9}, 3.5637814287511854`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uel2", "==", 
      RowBox[{
       RowBox[{"limit", "[", 
        RowBox[{"tfac", ",", "0.", ",", "1."}], "]"}], " ", "uel10"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "iel1"}], " ", "resist"}], "==", 
      RowBox[{"(", 
       RowBox[{"uel1", "-", "uel10"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"iel1", " ", 
        RowBox[{"limit", "[", 
         RowBox[{"uel10", ",", "umin", ",", "umax"}], "]"}]}], " ", "+", 
       RowBox[{"iel2", " ", 
        RowBox[{"limit", "[", 
         RowBox[{"uel2", ",", "umin", ",", "umax"}], "]"}]}]}], "\[Equal]", 
      "0"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5170524293851547`*^9, 3.5170524347446327`*^9}, 
   3.537026808171875*^9, 3.537027501421875*^9, {3.537034161703125*^9, 
   3.537034165375*^9}, 3.5370697195685368`*^9, {3.5633832686887355`*^9, 
   3.563383366719308*^9}, {3.563383677238253*^9, 3.5633836923234797`*^9}, {
   3.5637814245571856`*^9, 3.5637814354401855`*^9}, {3.5637817699661856`*^9, 
   3.5637817703621855`*^9}, {3.5637820712211857`*^9, 3.563782073698186*^9}, 
   3.5637826730583105`*^9, 3.5637830023312345`*^9, 3.5637832065966587`*^9, 
   3.5637848150004883`*^9, {3.5637850234873343`*^9, 3.563785029415927*^9}, {
   3.564477996805277*^9, 3.5644780989814773`*^9}, {3.564478154798277*^9, 
   3.564478164917477*^9}, {3.571930810624563*^9, 3.5719308168801737`*^9}, 
   3.5757745871656723`*^9, {3.575774955462682*^9, 3.5757749555718813`*^9}, {
   3.5758174617586684`*^9, 3.5758174666669493`*^9}}],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"uel1", " ", "==", " ", 
      RowBox[{"cel1", "+", " ", 
       RowBox[{"Zcel1", " ", "iel1"}]}]}], ",", "\n", "\t", 
     RowBox[{"uel2", " ", "==", " ", 
      RowBox[{"cel2", " ", "+", " ", 
       RowBox[{"Zcel2", " ", "iel2"}]}]}]}], "\n", "         \t\t\t", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.537034178984375*^9, 3.537034179*^9}, {
  3.571930822917385*^9, 3.5719308329326024`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"uel2", ",", "uel10", ",", "iel1", ",", "uel1", ",", "iel2"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5170484426011863`*^9, 3.517048460336583*^9}, {
   3.563383422146205*^9, 3.563383443892643*^9}, {3.5633834812703085`*^9, 
   3.5633835079619555`*^9}, {3.563782642012206*^9, 3.563782650044009*^9}, {
   3.564478121788677*^9, 3.564478149182277*^9}, 3.5757868397127256`*^9, {
   3.5758175536199226`*^9, 3.575817573298048*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricPWMdceq\\\"\\)\\), \\(\\(\\\
\"displayname\\\" \[Rule] \\\"ElectricPWMdceq\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricPWMdceq.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricPWMdceq.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricPWMdceq\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"ElectricPWMdceq\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricPWMdceq.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricPWMdceq.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third item \
in an XMLElement must be a list of contents, even if it is an empty list. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.603191027484383*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.6031910274893837`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.603191027499384*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.603191027499384*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.603191027499384*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.603191027499384*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.6031910275043836`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.6031910275043836`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575773038267039*^9, {3.5757731355918446`*^9, 3.5757731410206537`*^9}, 
   3.5757731723455095`*^9, 3.5757732465240602`*^9, 3.5757733793207207`*^9, 
   3.575773438172637*^9, {3.575773607598237*^9, 3.5757736323198924`*^9}, 
   3.5757739650259533`*^9, 3.5757742583056746`*^9, 3.5757743043459806`*^9, 
   3.575774384456946*^9, 3.5757744586251364`*^9, 3.5757745330535655`*^9, 
   3.575774596570381*^9, 3.575774636672668*^9, 3.575774725078463*^9, 
   3.575774962155093*^9, 3.5757794264559298`*^9, 3.575785968966323*^9, 
   3.575786454859047*^9, 3.57578685439242*^9, 3.5758175895699787`*^9, 
   3.578816693191367*^9, 3.581406011231467*^9, 3.581406161633069*^9, 
   3.5814062952087092`*^9, 3.6031910275043836`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.575779380084196*^9, 3.5757793817690287`*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Partial Components", "Title",
 CellChangeTimes->{{3.575779388180752*^9, 3.575779412604561*^9}, {
  3.5757951515231056`*^9, 3.5757951525612097`*^9}}],

Cell[CellGroupData[{

Cell["Isensor", "Section",
 CellChangeTimes->{
  3.51370852475*^9, {3.515828267784981*^9, 3.515828279847481*^9}, {
   3.533276624147957*^9, 3.53327662471045*^9}, {3.5370117549015303`*^9, 
   3.5370117554484053`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Isensor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Sensor of electric current\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentSignal\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFile", "[", 
   RowBox[{"domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, 3.515394515221967*^9, 
   3.515775249953125*^9, 3.515828285691231*^9, {3.515828380316231*^9, 
   3.515828398816231*^9}, {3.516033876859375*^9, 3.5160338924375*^9}, 
   3.51603396084375*^9, {3.522404421796875*^9, 3.5224044220625*^9}, {
   3.5332765658518286`*^9, 3.533276572929863*^9}, {3.5370119174784517`*^9, 
   3.5370119186659365`*^9}, 3.575772949396083*^9, 3.575772992293758*^9, 
   3.5757793705836134`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"ElectricReadnode", "[", 
     RowBox[{"el1", ",", "12.", ",", "\"\<port\>\""}], "]"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.515774065*^9, {3.515774111015625*^9, 3.5157741400625*^9}, 
   3.515774214921875*^9, 3.515828297597481*^9, {3.515828408191231*^9, 
   3.515828413894356*^9}, {3.522404387296875*^9, 3.52240441125*^9}, {
   3.537011900509919*^9, 3.537011901072412*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "iout", ",", "10.", ",", "double", ",", "\"\<A\>\"", ",", 
      "\"\<Current\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, {3.5224043838125*^9, 
   3.5224044046875*^9}, {3.53327658252349*^9, 3.5332765880234194`*^9}, 
   3.5332766931626987`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"iout", "==", "iel1"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.51577430196875*^9, {3.515828307128731*^9, 3.515828310347481*^9}, {
   3.515828342894356*^9, 3.515828368456856*^9}, 3.516031291453125*^9, {
   3.533276605163825*^9, 3.533276618304282*^9}, {3.5719303086666207`*^9, 
   3.5719303132374287`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.575774636859868*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.575774636859868*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368754683`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368754683`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\(\[LeftSkeleton] \
1 \[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricPWMdceq.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricPWMdceq.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\
\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\
\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"iout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"ElectricPWMdceq\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"ElectricPWMdceq\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricPWMdceq.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricPWMdceq.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073893859053`*^9, 
   3.575773038438639*^9, 3.5757731412858543`*^9, 3.57577317251711*^9, 
   3.575773246680061*^9, 3.575773379492321*^9, 3.5757734384222374`*^9, {
   3.575773607754237*^9, 3.5757736324446926`*^9}, 3.575773965150753*^9, 
   3.575774258414875*^9, 3.575774304439581*^9, 3.575774384581746*^9, 
   3.575774458749936*^9, 3.5757745331627655`*^9, 3.5757745966639814`*^9, 
   3.5757746368910685`*^9}],

Cell[BoxData["\<\"ElectricPWMdceq.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5370072238859053`*^9, 3.5370073358077803`*^9, 3.5370073894171553`*^9, 
   3.575773038532239*^9, 3.5757731413794546`*^9, 3.5757731726107097`*^9, 
   3.575773246789261*^9, 3.5757733795859213`*^9, 3.575773438469037*^9, {
   3.575773607785437*^9, 3.5757736324758925`*^9}, 3.575773965197553*^9, 
   3.575774258461675*^9, 3.5757743045019813`*^9, 3.5757743846129465`*^9, 
   3.5757744587967367`*^9, 3.575774533193966*^9, 3.5757745966795816`*^9, 
   3.5757746368910685`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Usensor", "Section",
 CellChangeTimes->{
  3.51370852475*^9, {3.515828267784981*^9, 3.515828279847481*^9}, {
   3.533276624147957*^9, 3.533276645397685*^9}, {3.5370117571359053`*^9, 
   3.5370117572296553`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Electric\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Usensor\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Sensor of electric voltage\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentSignal\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFile", "[", 
   RowBox[{"domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5082235454098396`*^9, 3.5082235597692146`*^9}, 3.5082237305660896`*^9, {
   3.512921352515625*^9, 3.512921388578125*^9}, {3.513708407234375*^9, 
   3.51370842740625*^9}, 3.513708469203125*^9, 3.515394515221967*^9, 
   3.515775249953125*^9, 3.515828285691231*^9, {3.515828380316231*^9, 
   3.515828398816231*^9}, {3.516033876859375*^9, 3.5160338924375*^9}, 
   3.51603396084375*^9, {3.522404421796875*^9, 3.5224044220625*^9}, {
   3.5332765658518286`*^9, 3.533276572929863*^9}, {3.5332766494132586`*^9, 
   3.5332766538507023`*^9}, {3.5370118711977944`*^9, 
   3.5370118725259027`*^9}, {3.575772950878085*^9, 3.5757729810617385`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"ElectricReadnode", "[", 
     RowBox[{"el1", ",", "12.", ",", "\"\<port\>\""}], "]"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.515774065*^9, {3.515774111015625*^9, 3.5157741400625*^9}, 
   3.515774214921875*^9, 3.515828297597481*^9, {3.515828408191231*^9, 
   3.515828413894356*^9}, {3.522404387296875*^9, 3.52240441125*^9}, {
   3.537011885556986*^9, 3.5370118861976023`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "uout", ",", "10.", ",", "double", ",", "\"\<V\>\"", ",", 
      "\"\<Voltage\>\""}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, {3.5224043838125*^9, 
   3.5224044046875*^9}, {3.53327658252349*^9, 3.5332765880234194`*^9}, {
   3.5332766621630955`*^9, 3.5332766829597044`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"uout", "==", "uel1"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.51577430196875*^9, {3.515828307128731*^9, 3.515828310347481*^9}, {
   3.515828342894356*^9, 3.515828368456856*^9}, 3.516031291453125*^9, {
   3.533276605163825*^9, 3.533276618304282*^9}, {3.5332766648193116`*^9, 
   3.5332766676474004`*^9}, {3.57193050750457*^9, 3.5719305111861763`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369690685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369690685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(ElectricReadnode[\\(\\(el1, 12.`, \\\"port\\\"\\)\\)]\\)\
\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369690685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369690685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"ElectricUsensor\\\"\\)\\), \
\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"ElectricUsensor.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \
\\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"ElectricUsensor.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"uout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"ElectricUsensor.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"ElectricUsensor.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pel1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"uout\
\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369690685`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369846687`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369846687`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358546553`*^9, 3.5370073895421553`*^9, 
   3.537010056466172*^9, 3.5757730387194395`*^9, 3.5757731414574547`*^9, 
   3.5757731726887097`*^9, 3.575773246867261*^9, 3.5757733796639214`*^9, 
   3.5757734385470376`*^9, {3.575773607879038*^9, 3.575773632553893*^9}, 
   3.5757739652755537`*^9, 3.575774258539675*^9, 3.5757743045799813`*^9, 
   3.5757743847065463`*^9, 3.5757744588903365`*^9, 3.575774533271966*^9, 
   3.575774596851182*^9, 3.5757746369846687`*^9}],

Cell[BoxData["\<\"ElectricUsensor.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5370072239327803`*^9, 3.5370073358702803`*^9, 3.5370073895734053`*^9, 
   3.537010056466172*^9, 3.5757730387350397`*^9, 3.575773141473055*^9, 
   3.5757731727043095`*^9, 3.575773246882861*^9, 3.5757733796795216`*^9, 
   3.5757734385782375`*^9, {3.5757736078946376`*^9, 3.5757736325850925`*^9}, 
   3.5757739653067536`*^9, 3.575774258570875*^9, 3.5757743045955815`*^9, 
   3.5757743847221465`*^9, 3.5757744589059367`*^9, 3.575774533287566*^9, 
   3.575774596866782*^9, 3.5757746369846687`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{930, 639},
WindowMargins->{{29, Automatic}, {Automatic, 41}},
ShowSelection->True,
Magnification->1.2000000476837158`,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 36, 0, 79, "Title"],
Cell[CellGroupData[{
Cell[640, 26, 96, 1, 90, "Section"],
Cell[739, 29, 485, 13, 87, "Input"],
Cell[1227, 44, 146, 2, 46, "Input"],
Cell[1376, 48, 525, 11, 67, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1938, 64, 129, 2, 54, "Section"],
Cell[2070, 68, 1094, 26, 1146, "Input"],
Cell[3167, 96, 611, 13, 649, "Input"],
Cell[3781, 111, 518, 11, 523, "Input"],
Cell[4302, 124, 947, 25, 1167, "Input"],
Cell[CellGroupData[{
Cell[5274, 153, 63, 1, 276, "Input"],
Cell[5340, 156, 2656, 41, 120, "Message"],
Cell[7999, 199, 1372, 23, 120, "Message"],
Cell[9374, 224, 1521, 25, 120, "Message"],
Cell[10898, 251, 1374, 23, 120, "Message"],
Cell[12275, 276, 1521, 25, 120, "Message"],
Cell[13799, 303, 1374, 23, 120, "Message"],
Cell[15176, 328, 1446, 24, 120, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16659, 357, 96, 1, 276, "Input"],
Cell[16758, 360, 726, 10, 120, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[17533, 376, 182, 3, 54, "Section"],
Cell[17718, 381, 1140, 27, 1146, "Input"],
Cell[18861, 410, 612, 13, 649, "Input"],
Cell[19476, 425, 364, 9, 276, "Input"],
Cell[19843, 436, 947, 25, 1167, "Input"],
Cell[CellGroupData[{
Cell[20815, 465, 63, 1, 276, "Input"],
Cell[20881, 468, 2660, 41, 120, "Message"],
Cell[23544, 511, 1372, 23, 120, "Message"],
Cell[24919, 536, 1519, 25, 120, "Message"],
Cell[26441, 563, 1372, 23, 120, "Message"],
Cell[27816, 588, 1519, 25, 120, "Message"],
Cell[29338, 615, 1372, 23, 120, "Message"],
Cell[30713, 640, 1446, 24, 120, "Message"],
Cell[32162, 666, 1487, 24, 120, "Message"],
Cell[33652, 692, 1449, 24, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[35150, 722, 227, 4, 54, "Section"],
Cell[35380, 728, 1190, 27, 1146, "Input"],
Cell[36573, 757, 614, 13, 649, "Input"],
Cell[37190, 772, 507, 11, 523, "Input"],
Cell[37700, 785, 1019, 25, 1146, "Input"],
Cell[CellGroupData[{
Cell[38744, 814, 63, 1, 276, "Input"],
Cell[38810, 817, 2420, 38, 120, "Message"],
Cell[41233, 857, 1123, 20, 120, "Message"],
Cell[42359, 879, 1270, 22, 120, "Message"],
Cell[43632, 903, 1123, 20, 120, "Message"],
Cell[44758, 925, 1270, 22, 120, "Message"],
Cell[46031, 949, 1123, 20, 120, "Message"],
Cell[47157, 971, 1197, 21, 120, "Message"],
Cell[48357, 994, 1236, 21, 120, "Message"],
Cell[49596, 1017, 1198, 21, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[50843, 1044, 29, 0, 54, "Section"],
Cell[50875, 1046, 996, 24, 1146, "Input"],
Cell[51874, 1072, 642, 14, 649, "Input"],
Cell[52519, 1088, 402, 10, 523, "Input"],
Cell[52924, 1100, 437, 11, 523, "Input"],
Cell[53364, 1113, 698, 15, 649, "Input"],
Cell[54065, 1130, 223, 5, 276, "Input"],
Cell[54291, 1137, 265, 6, 523, "Input"],
Cell[CellGroupData[{
Cell[54581, 1147, 63, 1, 276, "Input"],
Cell[54647, 1150, 1227, 21, 120, "Message"],
Cell[55877, 1173, 1227, 21, 120, "Message"],
Cell[57107, 1196, 2437, 38, 120, "Message"],
Cell[59547, 1236, 1150, 20, 120, "Message"],
Cell[60700, 1258, 1297, 22, 120, "Message"],
Cell[62000, 1282, 1150, 20, 120, "Message"],
Cell[63153, 1304, 1297, 22, 120, "Message"],
Cell[64453, 1328, 1150, 20, 120, "Message"],
Cell[65606, 1350, 1224, 21, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[66879, 1377, 86, 1, 54, "Section"],
Cell[66968, 1380, 1551, 32, 1027, "Input"],
Cell[68522, 1414, 71, 1, 276, "Input"],
Cell[68596, 1417, 410, 9, 523, "Input"],
Cell[69009, 1428, 478, 11, 408, "Input"],
Cell[69490, 1441, 425, 10, 649, "Input"],
Cell[CellGroupData[{
Cell[69940, 1455, 63, 1, 276, "Input"],
Cell[70006, 1458, 3677, 55, 120, "Message"],
Cell[73686, 1515, 1355, 23, 120, "Message"],
Cell[75044, 1540, 1470, 24, 120, "Message"],
Cell[76517, 1566, 1355, 23, 120, "Message"],
Cell[77875, 1591, 1470, 24, 120, "Message"],
Cell[79348, 1617, 1355, 23, 120, "Message"],
Cell[80706, 1642, 1429, 24, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[82184, 1672, 113, 2, 54, "Section"],
Cell[82300, 1676, 1797, 35, 1146, "Input"],
Cell[84100, 1713, 479, 11, 408, "Input"],
Cell[84582, 1726, 460, 10, 408, "Input"],
Cell[85045, 1738, 543, 14, 649, "Input"],
Cell[CellGroupData[{
Cell[85613, 1756, 63, 1, 276, "Input"],
Cell[85679, 1759, 3691, 55, 120, "Message"],
Cell[89373, 1816, 1369, 23, 120, "Message"],
Cell[90745, 1841, 1484, 24, 120, "Message"],
Cell[92232, 1867, 1369, 23, 120, "Message"],
Cell[93604, 1892, 1484, 24, 120, "Message"],
Cell[95091, 1918, 1369, 23, 120, "Message"],
Cell[96463, 1943, 1441, 24, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[97953, 1973, 111, 2, 54, "Section"],
Cell[98067, 1977, 1649, 33, 1027, "Input"],
Cell[99719, 2012, 71, 1, 276, "Input"],
Cell[99793, 2015, 168, 4, 276, "Input"],
Cell[99964, 2021, 321, 7, 523, "Input"],
Cell[100288, 2030, 403, 10, 649, "Input"],
Cell[CellGroupData[{
Cell[100716, 2044, 63, 1, 276, "Input"],
Cell[100782, 2047, 2948, 44, 120, "Message"],
Cell[103733, 2093, 1093, 19, 120, "Message"],
Cell[104829, 2114, 1208, 20, 120, "Message"],
Cell[106040, 2136, 1095, 19, 120, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[107184, 2161, 255, 5, 54, "Section",
 Evaluatable->False],
Cell[107442, 2168, 21400, 267, 552, "Text"],
Cell[128845, 2437, 1847, 37, 554, "Input"],
Cell[130695, 2476, 67, 1, 134, "Input"],
Cell[130765, 2479, 2135, 52, 554, "Input"],
Cell[132903, 2533, 1011, 23, 375, "Input"],
Cell[133917, 2558, 1059, 21, 375, "Input"],
Cell[134979, 2581, 475, 14, 198, "Input"],
Cell[135457, 2597, 1650, 34, 375, "Input"],
Cell[137110, 2633, 1003, 21, 375, "Input"],
Cell[138116, 2656, 870, 20, 435, "Input"],
Cell[138989, 2678, 626, 12, 134, "Input"],
Cell[CellGroupData[{
Cell[139640, 2694, 63, 1, 134, "Input"],
Cell[139706, 2697, 1171, 20, 120, "Message"],
Cell[140880, 2719, 1171, 20, 120, "Message"],
Cell[142054, 2741, 2446, 38, 120, "Message"],
Cell[144503, 2781, 1097, 19, 120, "Message"],
Cell[145603, 2802, 1214, 20, 120, "Message"],
Cell[146820, 2824, 1097, 19, 120, "Message"],
Cell[147920, 2845, 1212, 20, 120, "Message"],
Cell[149135, 2867, 1097, 19, 120, "Message"],
Cell[150235, 2888, 1171, 20, 120, "Message"],
Cell[151409, 2910, 1214, 20, 120, "Message"],
Cell[152626, 2932, 1174, 20, 120, "Message"]
}, Open  ]],
Cell[153815, 2955, 112, 2, 134, "Input"],
Cell[153930, 2959, 113, 2, 134, "Input"],
Cell[154046, 2963, 108, 2, 134, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[154191, 2970, 314, 9, 79, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[154530, 2983, 108, 1, 66, "Input"],
Cell[154641, 2986, 495, 7, 67, "Output"]
}, Open  ]],
Cell[155151, 2996, 1882, 38, 297, "Input"],
Cell[157036, 3036, 1055, 21, 182, "Input"],
Cell[158094, 3059, 2711, 60, 355, "Input"],
Cell[160808, 3121, 512, 11, 124, "Input"],
Cell[161323, 3134, 1138, 26, 211, "Input"],
Cell[162464, 3162, 1014, 25, 153, "Input"],
Cell[163481, 3189, 777, 17, 66, "Input"],
Cell[164261, 3208, 2097, 43, 196, "Input"],
Cell[166361, 3253, 1000, 21, 182, "Input"],
Cell[167364, 3276, 696, 13, 66, "Input"],
Cell[168063, 3291, 199, 5, 96, "Input"],
Cell[168265, 3298, 1094, 23, 240, "Input"],
Cell[CellGroupData[{
Cell[169384, 3325, 63, 1, 66, "Input"],
Cell[169450, 3328, 1235, 21, 37, "Message"],
Cell[170688, 3351, 1233, 21, 37, "Message"],
Cell[171924, 3374, 3053, 47, 355, "Message"],
Cell[174980, 3423, 1161, 20, 37, "Message"],
Cell[176144, 3445, 1276, 21, 69, "Message"],
Cell[177423, 3468, 1159, 20, 37, "Message"],
Cell[178585, 3490, 1274, 21, 69, "Message"],
Cell[179862, 3513, 1159, 20, 37, "Message"],
Cell[181024, 3535, 1233, 21, 37, "Message"],
Cell[182260, 3558, 1276, 21, 69, "Message"],
Cell[183539, 3581, 1238, 21, 37, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[184826, 3608, 318, 6, 54, "Section",
 Evaluatable->False],
Cell[185147, 3616, 120, 1, 45, "Text"],
Cell[185270, 3619, 2153, 44, 268, "Input"],
Cell[187426, 3665, 1129, 22, 182, "Input"],
Cell[188558, 3689, 3649, 82, 499, "Input"],
Cell[192210, 3773, 374, 9, 96, "Input"],
Cell[192587, 3784, 1088, 25, 211, "Input"],
Cell[193678, 3811, 1014, 25, 153, "Input"],
Cell[194695, 3838, 771, 17, 66, "Input"],
Cell[195469, 3857, 464, 12, 66, "Input"],
Cell[195936, 3871, 460, 14, 162, "Input"],
Cell[196399, 3887, 2168, 45, 153, "Input"],
Cell[CellGroupData[{
Cell[198592, 3936, 152, 3, 66, "Input"],
Cell[198747, 3941, 1021, 17, 67, "Output"]
}, Open  ]],
Cell[199783, 3961, 517, 12, 181, "Input"],
Cell[200303, 3975, 164, 4, 66, "Input"],
Cell[200470, 3981, 2681, 56, 182, "Input"],
Cell[203154, 4039, 274, 7, 66, "Input"],
Cell[203431, 4048, 891, 17, 182, "Input"],
Cell[204325, 4067, 746, 14, 66, "Input"],
Cell[205074, 4083, 199, 5, 96, "Input"],
Cell[205276, 4090, 1168, 29, 211, "Input"],
Cell[CellGroupData[{
Cell[206469, 4123, 63, 1, 66, "Input"],
Cell[206535, 4126, 1436, 24, 37, "Message"],
Cell[207974, 4152, 1439, 24, 37, "Message"],
Cell[209416, 4178, 1439, 24, 37, "Message"],
Cell[210858, 4204, 1433, 24, 37, "Message"],
Cell[212294, 4230, 2695, 42, 165, "Message"],
Cell[214992, 4274, 1365, 23, 37, "Message"],
Cell[216360, 4299, 1480, 24, 37, "Message"],
Cell[217843, 4325, 1365, 23, 37, "Message"],
Cell[219211, 4350, 1480, 24, 37, "Message"],
Cell[220694, 4376, 1365, 23, 37, "Message"],
Cell[222062, 4401, 1437, 24, 37, "Message"],
Cell[223502, 4427, 1482, 24, 37, "Message"],
Cell[224987, 4453, 1442, 24, 37, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[226478, 4483, 51, 1, 54, "Section"],
Cell[226532, 4486, 5459, 306, 270, 4030, 279, "GraphicsData", "PostScript", \
"Text"],
Cell[231994, 4794, 109, 4, 45, "Text"],
Cell[232106, 4800, 1111, 26, 268, "Input"],
Cell[233220, 4828, 1344, 31, 240, "Input"],
Cell[234567, 4861, 512, 10, 124, "Input"],
Cell[235082, 4873, 556, 15, 153, "Input"],
Cell[235641, 4890, 394, 13, 118, "Input"],
Cell[236038, 4905, 160, 3, 45, "Text"],
Cell[236201, 4910, 905, 19, 68, "Input"],
Cell[CellGroupData[{
Cell[237131, 4933, 90, 2, 66, "Input"],
Cell[237224, 4937, 2153, 31, 67, "Output"]
}, Open  ]],
Cell[239392, 4971, 827, 20, 182, "Input"],
Cell[240222, 4993, 496, 10, 124, "Input"],
Cell[240721, 5005, 313, 7, 66, "Input"],
Cell[241037, 5014, 177, 6, 66, "Input"],
Cell[241217, 5022, 226, 5, 96, "Input"],
Cell[CellGroupData[{
Cell[241468, 5031, 63, 1, 66, "Input"],
Cell[241534, 5034, 534, 11, 37, "Message"],
Cell[242071, 5047, 2199, 34, 228, "Message"],
Cell[244273, 5083, 458, 10, 37, "Message"],
Cell[244734, 5095, 575, 11, 37, "Message"],
Cell[245312, 5108, 460, 10, 37, "Message"]
}, Open  ]],
Cell[245787, 5121, 117, 2, 66, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[245941, 5128, 31, 0, 54, "Section"],
Cell[245975, 5130, 1102, 25, 268, "Input"],
Cell[247080, 5157, 591, 13, 153, "Input"],
Cell[247674, 5172, 2095, 37, 153, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[249772, 5211, 208, 4, 45, "Text"],
Cell[249983, 5217, 999, 21, 211, "Input"],
Cell[250985, 5240, 1534, 34, 211, "Input"],
Cell[252522, 5276, 334, 10, 153, "Input"],
Cell[252859, 5288, 1480, 31, 306, "Input"],
Cell[CellGroupData[{
Cell[254364, 5323, 63, 1, 66, "Input"],
Cell[254430, 5326, 2866, 44, 196, "Message"],
Cell[257299, 5372, 1126, 20, 37, "Message"],
Cell[258428, 5394, 1271, 22, 69, "Message"],
Cell[259702, 5418, 1126, 20, 37, "Message"],
Cell[260831, 5440, 1271, 22, 102, "Message"],
Cell[262105, 5464, 1124, 20, 37, "Message"],
Cell[263232, 5486, 1198, 21, 37, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[264479, 5513, 55, 1, 54, "Section"],
Cell[CellGroupData[{
Cell[264559, 5518, 68, 1, 254, "Subsection"],
Cell[264630, 5521, 267, 5, 312, "Text"],
Cell[264900, 5528, 22797, 284, 988, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[287734, 5817, 66, 1, 254, "Subsection"],
Cell[287803, 5820, 1290, 31, 1146, "Input"],
Cell[289096, 5853, 24, 0, 276, "Input"],
Cell[289123, 5855, 136, 3, 276, "Input"],
Cell[289262, 5860, 1565, 36, 1146, "Input"],
Cell[290830, 5898, 48, 1, 276, "Input"],
Cell[290881, 5901, 613, 13, 649, "Input"],
Cell[291497, 5916, 464, 11, 649, "Input"],
Cell[291964, 5929, 172, 5, 276, "Input"],
Cell[CellGroupData[{
Cell[292161, 5938, 479, 13, 436, "Input"],
Cell[292643, 5953, 986, 20, 120, "Output"]
}, Open  ]],
Cell[293644, 5976, 949, 23, 649, "Input"],
Cell[294596, 6001, 519, 13, 649, "Input"],
Cell[295118, 6016, 243, 6, 276, "Input"],
Cell[CellGroupData[{
Cell[295386, 6026, 63, 1, 276, "Input"],
Cell[295452, 6029, 1168, 20, 120, "Message"],
Cell[296623, 6051, 2444, 37, 120, "Message"],
Cell[299070, 6090, 1096, 19, 120, "Message"],
Cell[300169, 6111, 1243, 21, 120, "Message"],
Cell[301415, 6134, 1096, 19, 120, "Message"],
Cell[302514, 6155, 1243, 21, 120, "Message"],
Cell[303760, 6178, 1096, 19, 120, "Message"],
Cell[304859, 6199, 1170, 20, 120, "Message"],
Cell[306032, 6221, 1211, 20, 120, "Message"],
Cell[307246, 6243, 1173, 20, 120, "Message"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[308480, 6270, 127, 2, 54, "Section"],
Cell[CellGroupData[{
Cell[308632, 6276, 68, 1, 43, "Subsection"],
Cell[308703, 6279, 267, 5, 52, "Text"],
Cell[308973, 6286, 22797, 284, 162, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[331807, 6575, 66, 1, 43, "Subsection"],
Cell[331876, 6578, 1323, 30, 207, "Input"],
Cell[333202, 6610, 24, 0, 46, "Input"],
Cell[333229, 6612, 1496, 31, 147, "Input"],
Cell[334728, 6645, 458, 11, 107, "Input"],
Cell[335189, 6658, 398, 10, 107, "Input"],
Cell[335590, 6670, 48, 1, 46, "Input"],
Cell[335641, 6673, 612, 13, 107, "Input"],
Cell[CellGroupData[{
Cell[336278, 6690, 411, 10, 46, "Input"],
Cell[336692, 6702, 1246, 21, 47, "Output"]
}, Open  ]],
Cell[337953, 6726, 224, 3, 46, "Input"],
Cell[338180, 6731, 1715, 35, 127, "Input"],
Cell[339898, 6768, 26, 0, 46, "Input"],
Cell[339927, 6770, 536, 13, 107, "Input"],
Cell[340466, 6785, 535, 10, 46, "Input"],
Cell[CellGroupData[{
Cell[341026, 6799, 63, 1, 46, "Input"],
Cell[341092, 6802, 2449, 38, 137, "Message"],
Cell[343544, 6842, 1146, 20, 26, "Message"],
Cell[344693, 6864, 1291, 22, 49, "Message"],
Cell[345987, 6888, 1144, 20, 26, "Message"],
Cell[347134, 6910, 1291, 22, 49, "Message"],
Cell[348428, 6934, 1144, 20, 26, "Message"],
Cell[349575, 6956, 1220, 21, 26, "Message"],
Cell[350798, 6979, 1261, 21, 49, "Message"],
Cell[352062, 7002, 1223, 21, 26, "Message"]
}, Open  ]],
Cell[353300, 7026, 94, 1, 46, "Input"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[353455, 7034, 154, 2, 79, "Title"],
Cell[CellGroupData[{
Cell[353634, 7040, 216, 4, 90, "Section"],
Cell[353853, 7046, 1905, 37, 187, "Input"],
Cell[355761, 7085, 506, 11, 67, "Input"],
Cell[356270, 7098, 487, 11, 67, "Input"],
Cell[356760, 7111, 448, 10, 87, "Input"],
Cell[CellGroupData[{
Cell[357233, 7125, 63, 1, 46, "Input"],
Cell[357299, 7128, 958, 18, 26, "Message"],
Cell[358260, 7148, 958, 18, 26, "Message"],
Cell[359221, 7168, 960, 18, 26, "Message"],
Cell[360184, 7188, 970, 18, 26, "Message"],
Cell[361157, 7208, 2842, 44, 203, "Message"],
Cell[364002, 7254, 900, 17, 26, "Message"],
Cell[364905, 7273, 1015, 18, 26, "Message"],
Cell[365923, 7293, 900, 17, 26, "Message"],
Cell[366826, 7312, 1015, 18, 26, "Message"],
Cell[367844, 7332, 900, 17, 26, "Message"],
Cell[368747, 7351, 974, 18, 26, "Message"],
Cell[369724, 7371, 545, 8, 47, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[370318, 7385, 217, 4, 54, "Section"],
Cell[370538, 7391, 1935, 37, 187, "Input"],
Cell[372476, 7430, 508, 11, 67, "Input"],
Cell[372987, 7443, 513, 11, 67, "Input"],
Cell[373503, 7456, 495, 10, 87, "Input"],
Cell[CellGroupData[{
Cell[374023, 7470, 63, 1, 46, "Input"],
Cell[374089, 7473, 991, 18, 26, "Message"],
Cell[375083, 7493, 991, 18, 26, "Message"],
Cell[376077, 7513, 991, 18, 26, "Message"],
Cell[377071, 7533, 1001, 18, 26, "Message"],
Cell[378075, 7553, 3301, 52, 203, "Message"],
Cell[381379, 7607, 931, 17, 26, "Message"],
Cell[382313, 7626, 1046, 18, 26, "Message"],
Cell[383362, 7646, 931, 17, 26, "Message"],
Cell[384296, 7665, 571, 8, 47, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
