(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    617975,      11607]
NotebookOptionsPosition[    600776,      11135]
NotebookOutlinePosition[    601479,      11159]
CellTagsIndexPosition[    601436,      11156]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Hopsan Components", "Title",
 CellChangeTimes->{{3.4779983420160294`*^9, 3.4779983526597185`*^9}, {
  3.57574170486287*^9, 3.575741706828474*^9}}],

Cell[CellGroupData[{

Cell["General", "Section",
 CellChangeTimes->{{3.5719269675877132`*^9, 3.5719269908317537`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}]}], "Input",
 CellChangeTimes->{3.522605694171875*^9, 3.571926984357743*^9}],

Cell[BoxData[
 RowBox[{"<<", "C:\\\\Hopsan\\Compgen\\CompgenNG06.mx"}]], "Input",
 CellChangeTimes->{{3.5772037650720577`*^9, 3.5772037650780582`*^9}}],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}]], "Input",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell["Definitions to deal with cavitation", "Subsection",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.51582117543931*^9, 3.5158211986111856`*^9}}],

Cell["\<\
c1e  = onPositive[p1]c1;\tZc1e = onPositive[p1]Zc1;
c2e  = onPositive[p2]c2;\tZc2e = onPositive[p2]Zc2;
c3e  = onPositive[p3]c3;\tZc3e = onPositive[p3]Zc3;\t
c4e  = onPositive[p4]c4;\tZc4e = onPositive[p4]Zc4;\t
c5e  = onPositive[p5]c5;\tZc5e = onPositive[p5]Zc5;\t
c6e  = onPositive[p6]c6;\tZc6e = onPositive[p6]Zc6;\t
c7e  = onPositive[p7]c7;\tZc7e = onPositive[p7]Zc7;\t
c8e  = onPositive[p8]c8;\tZc8e = onPositive[p8]Zc8;\t
c9e  = onPositive[p9]c9;\tZc9e = onPositive[p9]Zc9;

cpe  = onPositive[pp]cp;\tZcpe = onPositive[pp]Zcp;
cte  = onPositive[pt]ct;\tZcte = onPositive[pt]Zct;
cae  = onPositive[pa]ca;\tZcae = onPositive[pa]Zca;
cbe  = onPositive[pb]cb;\tZcbe = onPositive[pb]Zcb;
clse  = onPositive[pls]cls;\tZclse = onPositive[pls]Zcls;
cocpe  = onPositive[pocp]cocp;\tZcocpe = onPositive[pocp]Zcocp;
cocte  = onPositive[poct]coct;\tZcocte = onPositive[poct]Zcoct;
T=.;
p=.;\
\>", "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5058230242546153`*^9, 3.5058230333948307`*^9}, {
  3.515752936778079*^9, 3.515752984887762*^9}, {3.5159004613332157`*^9, 
  3.515900471411276*^9}, {3.528190529296875*^9, 3.528190549421875*^9}, {
  3.571993710119341*^9, 3.5719937938918777`*^9}, {3.577451517285952*^9, 
  3.577451517636917*^9}, {3.5774515638552947`*^9, 3.5774515764620337`*^9}}]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"HydraulicPath", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Hydraulic\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Valves\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.6057717446208067`*^9, 
   3.605771844088496*^9, 3.605776096426716*^9, {3.6057772909270377`*^9, 
   3.6057772959063225`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicValve416.nb\>\""}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Volumes&Lines\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.5814158414737244`*^9, 
   3.605771860351426*^9, 3.605777531594803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicPistonAckumulator.nb\>\""}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.6057775623305607`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicAckumulator.nb\>\""}], "]"}], "]"}]}],
   ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"docpath", ",", "\"\<Special\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.6057717446208067`*^9, 
   3.605771844088496*^9, 3.605776096426716*^9, {3.6057772909270377`*^9, 
   3.6057772959063225`*^9}, {3.6057781229836283`*^9, 3.605778124506716*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<PressureRelief2ValveG.nb\>\""}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicPressureReliefValveG.nb\>\""}], "]"}],
     "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, 3.6057783478434896`*^9, 
   3.605778461090967*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicPressureReducingValveG.nb\>\""}], 
     "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicPressureCompensatingValveG.nb\>\""}], 
     "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786155848036`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicPressureControlValveG.nb\>\""}], 
     "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicValve43.nb\>\""}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicValve33.nb\>\""}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, 3.605778830443093*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicValve43LS.nb\>\""}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"componentNotebook", "=", 
   RowBox[{"NotebookOpen", "[", 
    RowBox[{"ToFileName", "[", 
     RowBox[{"path", ",", "\"\<HydraulicValve63OC.nb\>\""}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5757394354090014`*^9, {3.5757398354561043`*^9, 3.5757398420393157`*^9}, {
   3.5757399002430177`*^9, 3.57573990163142*^9}, {3.5757400378508596`*^9, 
   3.5757400730421214`*^9}, 3.5757405474991665`*^9, {3.5757410464504433`*^9, 
   3.575741050100849*^9}, 3.5757412904064713`*^9, 3.5757416599035916`*^9, {
   3.605772555070162*^9, 3.6057725879040403`*^9}, {3.605776131236707*^9, 
   3.605776137491065*^9}, {3.6057773297562585`*^9, 3.605777343584049*^9}, {
   3.605777452618286*^9, 3.6057774723294134`*^9}, {3.6057775572852726`*^9, 
   3.605777575024287*^9}, 3.605778204378284*^9, {3.6057783557889442`*^9, 
   3.6057783576490507`*^9}, 3.6057784163194065`*^9, {3.6057786137446985`*^9, 
   3.6057786400292015`*^9}, 3.6057787233879695`*^9, {3.6057788951797953`*^9, 
   3.6057788952728004`*^9}, {3.605778943560563*^9, 3.6057789483948393`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "componentNotebook", "]"}]], "Input",
 CellChangeTimes->{3.6057774763966455`*^9}],

Cell[BoxData[
 RowBox[{"NotebookEvaluate", "[", "$Failed", "]"}]], "Output",
 CellChangeTimes->{3.6057789525520773`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonMload\n",
  FontFamily->"System"],
 StyleBox["Piston with an inertia load",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.5719259951024055`*^9, 3.571926013136037*^9}, {
  3.57192608862457*^9, 3.57192608876497*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonMload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.575772117551203*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "ML", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmin", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmax", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
  3.52488620107195*^9, 3.5248862016031866`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicQnode", "[", 
      RowBox[{"mp", ",", "0.", ",", "\"\<mechanical node\>\""}], "]"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell[BoxData[
 RowBox[{"\t", 
  RowBox[{
   RowBox[{
    RowBox[{"p1e", " ", "=", " ", 
     RowBox[{"c1", " ", "+", " ", 
      RowBox[{"Zc1", " ", "q1"}]}]}], ";"}], "\n", "\t", 
   RowBox[{
    RowBox[{"p2e", " ", "=", " ", 
     RowBox[{"c2", " ", "+", " ", 
      RowBox[{"Zc2", " ", "q2"}]}]}], ";"}], "\n", "\t", 
   RowBox[{
    RowBox[{"fmpe", "=", " ", 
     RowBox[{"cmp", " ", "+", " ", 
      RowBox[{"Zcmp", " ", "vmp"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.525533762265625*^9, 3.5255337993125*^9}}],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1e"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2e"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
  3.525533871796875*^9, 3.525533873453125*^9}}],

Cell["Differrential algebraic equations", "Text",
 CellChangeTimes->{{3.5719031558017125`*^9, 3.571903170964939*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "xmp", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmpe"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", "vmp", "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmpe"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vmp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vmp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
  3.5248862080873957`*^9, 3.5248862098842244`*^9}, {3.525533811359375*^9, 
  3.5255338209375*^9}, {3.525533863078125*^9, 3.52553386709375*^9}, {
  3.5719029473073463`*^9, 3.5719029663237796`*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.5719029765417976`*^9, 3.571902992984226*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "xmin", ",", "xmax"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772616825`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772756834`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277276684*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772776833`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"Hy\\\" \[Ellipsis] \
\\\"oad\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\
\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmp\\\
\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPistonMload\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicPistonMload\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPistonMload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third item \
in an XMLElement must be a list of contents, even if it is an empty list. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773306866`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773426876`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277343687*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773446875`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277345688*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773466873`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773476877`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773486876`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773496876`*^9}],

Cell[BoxData["\<\"HydraulicPistonMload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.53315392021875*^9, 3.5331540156875*^9, 3.533273393189354*^9, 
   3.53872295383825*^9, 3.538977595114786*^9, 3.5547156219675083`*^9, 
   3.571977223837353*^9, 3.571987618717287*^9, 3.5756491038404436`*^9, 
   3.5756518574526987`*^9, 3.575716167425572*^9, 3.575716221604719*^9, 
   3.575726612498109*^9, 3.5757721888585277`*^9, 3.5757724089799924`*^9, 
   3.575772541798626*^9, 3.575772640306445*^9, 3.5758602667769136`*^9, 
   3.576214805418736*^9, {3.576214845305736*^9, 3.5762148699617357`*^9}, 
   3.576215464185565*^9, 3.5762155795451*^9, 3.576215927074849*^9, 
   3.576216007581899*^9, 3.5762160636705074`*^9, 3.5762161632847385`*^9, 
   3.5762168805461965`*^9, 3.5762169660907497`*^9, 3.576217021615302*^9, 
   3.576217142220361*^9, {3.5762172035374928`*^9, 3.576217231376276*^9}, 
   3.576241233630579*^9, 3.5762413105609217`*^9, {3.5762413818492928`*^9, 
   3.5762414040325317`*^9}, 3.5762414796458645`*^9, 3.576241557256001*^9, 
   3.5769213170536413`*^9, 3.577611868598715*^9, 3.5781068529961867`*^9, 
   3.5781111840394473`*^9, 3.5785097118207455`*^9, 3.5788166194753666`*^9, 
   3.5814059916453466`*^9, 3.581406277350688*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonMkload\n",
  FontFamily->"System"],
 StyleBox["Piston with an inertia load and spring",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonMkload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, 
   3.5757721184092045`*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "ML", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "KL", ",", "0.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Stiffness coefficient of load\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmin", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmax", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicQnode", "[", 
      RowBox[{"mp", ",", "0.", ",", "\"\<mechanical node\>\""}], "]"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "xmp", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}], " ", "+", " ", 
      RowBox[{"KL", " ", "xmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmp"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", "vmp", "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}], " ", "+", " ", 
      RowBox[{"KL", " ", "xmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmp"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vmp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vmp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
  3.571903224566633*^9, 3.571903236734655*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.5719029765417976`*^9, 3.571902992984226*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "xmin", ",", "xmax"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062773986907`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774106913`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277412691*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774136915`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \
\\\"ad\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\
\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\
\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\
\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\
\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\
\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\
\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\(\\(\[LeftSkeleton] 5 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPistonMkload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774686947`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774806952`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774836955`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774866953`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774886956`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277491696*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774946957`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277495696*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774966965`*^9}],

Cell[BoxData["\<\"HydraulicPistonMkload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153921609375*^9, 3.533154017109375*^9, 3.533273393470584*^9, 
   3.5387229539945*^9, 3.538977595552286*^9, 3.5547156222174344`*^9, 
   3.5719772239777555`*^9, 3.571987620511299*^9, 3.5756491040354548`*^9, 
   3.5756518576257086`*^9, 3.575716167612773*^9, 3.5757162217763205`*^9, 
   3.5757266126853094`*^9, 3.575772189123728*^9, 3.575772409198393*^9, 
   3.575772542017026*^9, 3.5757726405560455`*^9, 3.5758602669796147`*^9, 
   3.576214805676736*^9, {3.576214845575736*^9, 3.576214870169736*^9}, 
   3.576215464386585*^9, 3.57621557974712*^9, 3.5762159273578777`*^9, 
   3.5762160078469257`*^9, 3.5762160639805384`*^9, 3.576216163575739*^9, 
   3.5762168808642282`*^9, 3.5762169664337845`*^9, 3.5762170219173317`*^9, 
   3.5762171426474037`*^9, {3.5762172038565245`*^9, 3.576217231678306*^9}, 
   3.5762412338177795`*^9, 3.576241310810522*^9, {3.576241382098893*^9, 
   3.5762414042197323`*^9}, 3.576241479833065*^9, 3.5762415575056014`*^9, 
   3.5769213175916414`*^9, 3.5776118687957344`*^9, 3.5781068531852245`*^9, 
   3.5781111842414675`*^9, 3.578509712005756*^9, 3.578816619807367*^9, 
   3.5814059919223623`*^9, 3.5814062774976964`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonJload\n",
  FontFamily->"System"],
 StyleBox["Piston with a rotational inertia load",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{
  3.52178424140625*^9, {3.5719260778449507`*^9, 3.5719260819477577`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonJload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with a linked inertia load\>\""}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, {3.521784250453125*^9, 
   3.521784262859375*^9}, 3.575772119236006*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an rotational inertia load through a link", "Text",
 CellChangeTimes->{{3.5719041449732885`*^9, 3.571904153163303*^9}}]
}, Open  ]],

Cell["Component equations", "Subsection"],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xp0", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke pos at zero angle\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Lever", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Lever\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "JL", ",", "1000.", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Nm s\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "KL", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Stiffness coefficient of load\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{"thetamin", ",", 
       RowBox[{"-", "0.5"}], ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "thetamax", ",", "0.5", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5236768668027444`*^9, 3.5236768668027444`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xp", ",", "0.0", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Piston position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "vp", ",", "0.0", ",", "double", ",", "\"\<m/s\>\"", ",", 
       "\"\<Piston velocity\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5217849808125*^9, 3.521785064578125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr", ",", "0.", ",", "\"\<mechanical rot. node\>\""}], "]"}]}],
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5236768831921105`*^9, 3.523676883207734*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The state vector ya  of the system is defined as", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vpe", "=", 
   RowBox[{"wmr", " ", "Lever"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"xpe", "=", 
  RowBox[{"xp0", "+", 
   RowBox[{"thetamr", " ", "Lever"}]}]}]}], "Input",
 CellChangeTimes->{{3.521784673859375*^9, 3.521784745265625*^9}, {
  3.521784866015625*^9, 3.521784867359375*^9}, {3.521785074453125*^9, 
  3.52178507525*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lever", " ", "thetamr"}], "+", "xp0"}]], "Output",
 CellChangeTimes->{
  3.522605229671875*^9, 3.522605923265625*^9, 3.52260622071875*^9, 
   3.522606300640625*^9, 3.524842633515625*^9, 3.533153922453125*^9, 
   3.53315401734375*^9, 3.5332733935330796`*^9, 3.538722954260125*^9, 
   3.538977595583536*^9, 3.55471562282663*^9, 3.5719772240557575`*^9, 
   3.575649104112459*^9, 3.5756518576867123`*^9, 3.5757161677063737`*^9, 
   3.5757162218543205`*^9, 3.5757266127633095`*^9, 3.575772189217328*^9, 
   3.575772409291993*^9, 3.5757725421262264`*^9, 3.5757726406340456`*^9, 
   3.575860267104354*^9, 3.576214805753736*^9, {3.576214845658736*^9, 
   3.5762148702437363`*^9}, 3.5762154644685936`*^9, 3.576215579827128*^9, 
   3.576215927529895*^9, 3.5762160079469357`*^9, 3.576216064107551*^9, 
   3.576216163681739*^9, 3.5762168810482464`*^9, 3.576216966632804*^9, 
   3.576217022016342*^9, 3.576217142775417*^9, {3.5762172040475435`*^9, 
   3.5762172317813168`*^9}, 3.576241233911379*^9, 3.576241310872923*^9, {
   3.5762413821924934`*^9, 3.576241404282132*^9}, 3.576241479911065*^9, 
   3.576241557583602*^9, 3.5769213176976414`*^9, 3.577611868866741*^9, 
   3.578106853256239*^9, 3.5781111842944727`*^9, 3.5785097120697594`*^9, 
   3.5788166198743668`*^9, 3.581405992025368*^9, 3.5814062775156975`*^9}]
}, Open  ]],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDa", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"JL", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "thetamr", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{"Bp", " ", "vpe"}], " ", "+", " ", 
      RowBox[{"BL", " ", "wmr"}], " ", "+", " ", 
      RowBox[{"KL", " ", "thetamr"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "tormr"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"JL", " ", 
       RowBox[{"der", "[", "wmr", "]"}]}], "  ", "+", " ", 
      RowBox[{"Bp", " ", "vpe"}], " ", "+", " ", 
      RowBox[{"BL", " ", "wmr"}], " ", "+", " ", 
      RowBox[{"KL", " ", "thetamr"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "tormr"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "==", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.571904099280408*^9, 3.571904099296008*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904107252022*^9, 3.571904107252022*^9}},
 FontWeight->"Plain"],

Cell["The  vector the system variables", "Text",
 CellChangeTimes->{{3.5719040252426777`*^9, 3.571904040405905*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5719041179696407`*^9, 3.5719041179696407`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"thetamr", ",", "wmr", ",", "thetamin", ",", "thetamax"}], "}"}],
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}, {
   3.52178477725*^9, 3.521784790515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xp", "==", "xpe"}], ",", "\[IndentingNewLine]", 
     RowBox[{"vp", "==", "vpe"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521784881984375*^9, 3.5217849346875*^9}, {
  3.5217850951875*^9, 3.5217850970625*^9}, {3.5719040456319137`*^9, 
  3.5719040637591457`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277609703*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277613703*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776227036`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Power :: \
infy\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776247034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277640704*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776427045`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776437044`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776457047`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicPistonJload\\\"\\)\\), \\(\
\\(\\\"displayname\\\" \[Rule] \\\"HydraulicPistonJload\\\"\\)\\)}\\)\\), \\(\
\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPistonJload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \\\
\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \\\"HydraulicPistonJload.svg\\\
\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPistonJload\\\"\\)\\), \\(\\(\\(\\(\\\"\\\" \[Ellipsis] \
\\\"\\\"\\)\\) \[Rule] \\(\\(\[LeftSkeleton] 22 \[RightSkeleton]\\)\\)\\)\\)}\
\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonJload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonJload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"vp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776697063`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776787066`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277680707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277681707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277682707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776837068`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776847067`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277685707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277711708*^9}],

Cell[BoxData["\<\"HydraulicPistonJload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153923171875*^9, 3.533154017890625*^9, 3.533273393767438*^9, 
   3.5387229544945*^9, 3.538977595833536*^9, 3.5547156231546583`*^9, 
   3.5719772242117605`*^9, 3.5756491042584677`*^9, 3.5756518578167195`*^9, 
   3.5757161678935747`*^9, 3.575716221963522*^9, 3.57572661290371*^9, 
   3.5757721894045286`*^9, 3.5757724094635935`*^9, 3.5757725423602266`*^9, 
   3.575772640774446*^9, 3.5758602672602777`*^9, 3.576214805943736*^9, {
   3.576214845799736*^9, 3.576214870412736*^9}, 3.576215464641611*^9, 
   3.5762155800001454`*^9, 3.5762159277669187`*^9, 3.576216008176959*^9, 
   3.576216064375578*^9, 3.576216163885739*^9, 3.576216881259268*^9, 
   3.5762169668758287`*^9, 3.576217022274368*^9, 3.576217143032442*^9, {
   3.5762172042765665`*^9, 3.576217232065345*^9}, 3.5762412340517797`*^9, 
   3.5762413109977226`*^9, {3.576241382301694*^9, 3.5762414044069324`*^9}, 
   3.5762414800358653`*^9, 3.5762415577084017`*^9, 3.5769213178836412`*^9, 
   3.5776118690397587`*^9, 3.578106853428273*^9, 3.5781111844294863`*^9, 
   3.5785097122437696`*^9, 3.578816620045367*^9, 3.5814059922883835`*^9, 
   3.5814062777127085`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["MotorJload",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}, {
  3.577956172776149*^9, 3.5779561799815607`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<MotorJload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is a motor with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, 
   3.5757721184092045`*^9, {3.577957012447175*^9, 3.5779570270120087`*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Dm", ",", 
       RowBox[{"50.", " ", 
        SuperscriptBox["10", 
         RowBox[{"-", "6"}]]}], ",", "double", ",", "\"\<m3\>\"", ",", 
       "\"\<Displacement\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cim", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bm", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Jm", ",", ".1", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Moment of inertia\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
   3.577956201851812*^9, 3.577956272255839*^9}, 3.5779573492194376`*^9, {
   3.5779654805065203`*^9, 3.5779655140924416`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{
      "m1", ",", "0.", ",", "0.", ",", "\"\<Mechanical rot.connection\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}, {
   3.57795627770615*^9, 3.5779562880827436`*^9}, {3.5779577305582485`*^9, 
   3.577957764802208*^9}, 3.5779578544903374`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"torg", " ", "=", 
   RowBox[{
    FractionBox[
     RowBox[{" ", "Dm"}], 
     RowBox[{"2", " ", "pi"}]], 
    RowBox[{"(", " ", 
     RowBox[{"p1", " ", "-", "  ", "p2"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
  3.577956496099642*^9, 3.5779565177508802`*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Jm", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "thetam1", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{"Bm", " ", 
       RowBox[{"der", "[", "thetam1", "]"}]}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "torm1"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"Jm", " ", 
       RowBox[{"der", "[", "wm1", "]"}]}], " ", "+", " ", 
      RowBox[{"Bm", " ", "wm1"}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "torm1"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "\[Equal]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["Dm", 
         RowBox[{"2", " ", "pi"}]], " ", "wm1"}], " ", "+", " ", 
       RowBox[{"Cim", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], 
   "\[IndentingNewLine]", "\t", "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
   3.571903224566633*^9, 3.571903236734655*^9}, {3.5779562974972825`*^9, 
   3.577956423703501*^9}, {3.57795648347992*^9, 3.5779564933454847`*^9}, {
   3.577956816134947*^9, 3.5779568302647552`*^9}, {3.577957767610368*^9, 
   3.5779577781419706`*^9}, 3.577957863609859*^9, {3.5781111461206555`*^9, 
   3.5781111554625897`*^9}, {3.5781273950757246`*^9, 3.5781274254949446`*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "-", " ", 
       RowBox[{"Zc1", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"torm1", " ", "==", " ", 
      RowBox[{"cm1", " ", "+", " ", 
       RowBox[{"Zcm1", " ", "wm1"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
   3.5719029765417976`*^9, 3.571902992984226*^9}, {3.5779564425205774`*^9, 
   3.577956443148613*^9}, {3.577956840335331*^9, 3.577956842188437*^9}, {
   3.577957783064252*^9, 3.5779577871134834`*^9}, 3.577957893385562*^9, {
   3.577963667558826*^9, 3.5779636729951367`*^9}, {3.578111159305974*^9, 
   3.5781111616112046`*^9}, {3.5785058494368296`*^9, 3.5785058525850096`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["systemBoundaryEquations"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"p1", "\[Equal]", 
    RowBox[{"c1", "-", 
     RowBox[{"q2", " ", "Zc1"}]}]}], ",", 
   RowBox[{"p2", "\[Equal]", 
    RowBox[{"c2", "+", 
     RowBox[{"q2", " ", "Zc2"}]}]}], ",", 
   RowBox[{"torm1", "\[Equal]", 
    RowBox[{"cm1", "+", 
     RowBox[{"wm1", " ", "Zcm1"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5779639625847006`*^9, 3.577964045752457*^9, 
  3.57796453830863*^9, 3.577964617549162*^9, 3.5779652415638537`*^9, 
  3.578106853536295*^9, 3.5781111845434976`*^9, 3.5781261170973096`*^9, 
  3.578505797409854*^9, 3.5785059048379984`*^9, 3.578509712321774*^9, 
  3.578816620134367*^9, 3.5814059925764*^9, 3.581406277861717*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "thetam1", ",", "wm1", ",", "q2", ",", "p1", ",", "p2", ",", "torm1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}, {
   3.577956431479946*^9, 3.5779564393723974`*^9}, {3.577956859515428*^9, 
   3.5779568640126853`*^9}, {3.5779577901476574`*^9, 3.577957792222776*^9}, 
   3.5779578730333977`*^9, 3.5781111509651403`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"q1", "\[Equal]", 
     RowBox[{"-", "q2"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.577956890459198*^9, 3.5779569714248285`*^9}, {
  3.578111147599804*^9, 3.578111149042948*^9}}],

Cell[CellGroupData[{

Cell[BoxData["jacob"], "Input",
 CellChangeTimes->{{3.5779640898639803`*^9, 3.5779640912510595`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "Zc1"}], " ", 
      RowBox[{"dxLowLimit", "[", 
       RowBox[{
        RowBox[{"c1", "+", 
         RowBox[{"q1", " ", "Zc1"}]}], ",", "0"}], "]"}]}], ",", "0", ",", 
     "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "Zc2"}], " ", 
      RowBox[{"dxLowLimit", "[", 
       RowBox[{
        RowBox[{"c2", "+", 
         RowBox[{"q2", " ", "Zc2"}]}], ",", "0"}], "]"}]}], ",", "0", ",", 
     "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "Zcmp"}], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.577964092063106*^9, 3.577964538397635*^9, 
  3.577964617651168*^9, 3.5779652416048565`*^9, 3.578106853577303*^9, 
  3.5781111845855017`*^9, 3.5781261171393137`*^9, 3.578505797452856*^9, 
  3.578505904920003*^9, 3.578509712370777*^9, 3.5788166201843667`*^9, 
  3.581405992660404*^9, 3.5814062778877187`*^9}]
}, Open  ]],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779057198`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779167204`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779177203`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779197206`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"Hyd\\\" \[Ellipsis] \
\\\"load\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\
\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pm1\\\
\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicMotorJload\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicMotorJload\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicMotorJload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779337215`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779587226`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779597225`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277961723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277962723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779637227`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277964723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277965723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779907246`*^9}],

Cell[BoxData["\<\"HydraulicMotorJload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153921609375*^9, 3.533154017109375*^9, 3.533273393470584*^9, 
   3.5387229539945*^9, 3.538977595552286*^9, 3.5547156222174344`*^9, 
   3.5719772239777555`*^9, 3.571987620511299*^9, 3.5756491040354548`*^9, 
   3.5756518576257086`*^9, 3.575716167612773*^9, 3.5757162217763205`*^9, 
   3.5757266126853094`*^9, 3.575772189123728*^9, 3.575772409198393*^9, 
   3.575772542017026*^9, 3.5757726405560455`*^9, 3.5758602669796147`*^9, 
   3.576214805676736*^9, {3.576214845575736*^9, 3.576214870169736*^9}, 
   3.576215464386585*^9, 3.57621557974712*^9, 3.5762159273578777`*^9, 
   3.5762160078469257`*^9, 3.5762160639805384`*^9, 3.576216163575739*^9, 
   3.5762168808642282`*^9, 3.5762169664337845`*^9, 3.5762170219173317`*^9, 
   3.5762171426474037`*^9, {3.5762172038565245`*^9, 3.576217231678306*^9}, 
   3.5762412338177795`*^9, 3.576241310810522*^9, {3.576241382098893*^9, 
   3.5762414042197323`*^9}, 3.576241479833065*^9, 3.5762415575056014`*^9, 
   3.5769213175916414`*^9, 3.5776118687957344`*^9, 3.5779570344494333`*^9, 
   3.577957251643856*^9, 3.5779573536606913`*^9, 3.5779578103258114`*^9, {
   3.577957875978566*^9, 3.5779578961737213`*^9}, 3.577963709744239*^9, 
   3.5779640464434967`*^9, 3.577964538498641*^9, 3.577964617756174*^9, 
   3.5779652416878605`*^9, 3.5781068536603193`*^9, 3.57811118466751*^9, 
   3.5781261172503247`*^9, 3.578505797535861*^9, 3.5785059050280094`*^9, 
   3.578509712455782*^9, 3.578816620254367*^9, 3.58140599275341*^9, 
   3.5814062779927244`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<componentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Special\>\"", ",", "\"\<AeroComponents\>\"", ",", 
      "\"\<FuelComponents\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215547684914*^9}, 3.5762159940865498`*^9, 3.5762161254666862`*^9, {
   3.576859672187849*^9, 3.5768597123241444`*^9}, 3.605771877353399*^9}],

Cell[CellGroupData[{

Cell["CentrifugalPump", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, {
   3.578629603375287*^9, 3.5786296058222866`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<CentrifugalPump\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Centrifugal pump\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5757721087371874`*^9, {
   3.5786249984334164`*^9, 3.5786250008302174`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.565467846321066*^9, 
   3.565467847680144*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.5654679343190994`*^9, 
   3.5654680194339676`*^9}, {3.5655883583080864`*^9, 
   3.5655884053889694`*^9}, {3.565594406736371*^9, 3.565594471273684*^9}, {
   3.5656242519924636`*^9, 3.5656243003681483`*^9}, {3.5656243395086174`*^9, 
   3.5656243687430687`*^9}, {3.5656254173679185`*^9, 3.565625464230401*^9}, 
   3.5656255083472786`*^9, {3.5689206642122784`*^9, 3.5689207150771875`*^9}, 
   3.5786299655772605`*^9, 3.578630595306227*^9, {3.5786320673860664`*^9, 
   3.5786320726080666`*^9}, {3.5786390185280547`*^9, 3.5786390205730543`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "omegap", ",", "157.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
      "\"\<Speed\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565538592595522*^9, 3.565538632146784*^9}, {
  3.565539098320447*^9, 3.565539104623808*^9}, {3.565588454856656*^9, 
  3.5655884559954576`*^9}, {3.5655895105892143`*^9, 3.5655895136780195`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "torp", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, {
   3.5689134004328136`*^9, 3.5689134318216095`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.5788166203683667`*^9, 3.5814059929504213`*^9, 
  3.581406278034727*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"U2", "=", 
  RowBox[{
   FractionBox["d", "2"], "omegap"}]}]], "Input",
 CellChangeTimes->{{3.5656237186587267`*^9, 3.5656237493127804`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"d", " ", "omegap"}], "2"]], "Output",
 CellChangeTimes->{
  3.5656255168336935`*^9, {3.56562566066577*^9, 3.565625663114974*^9}, 
   3.5656265131787124`*^9, 3.5683542968343267`*^9, 3.568354987392949*^9, 
   3.568367619766656*^9, 3.568367749009656*^9, 3.568367832409656*^9, 
   3.568376021241352*^9, 3.5689127897168827`*^9, 3.5689130284745393`*^9, 
   3.5689130666857243`*^9, 3.568913230624101*^9, 3.56891346418546*^9, {
   3.5689199310273423`*^9, 3.5689199540526595`*^9}, 3.5689200072006993`*^9, 
   3.5719772218717155`*^9, 3.5756490991791773`*^9, 3.5756518550895634`*^9, 
   3.5757161648827553`*^9, 3.5757162193115044`*^9, 3.5757266101113048`*^9, 
   3.5757721857385225`*^9, 3.575772405844387*^9, 3.5757725393338213`*^9, 
   3.57577263749844*^9, 3.5758602634245477`*^9, 3.576214801852736*^9, {
   3.576214841440736*^9, 3.5762148666787357`*^9}, 3.5762154610372505`*^9, {
   3.5762155675849037`*^9, 3.5762155763227777`*^9}, 3.5762159221843605`*^9, 
   3.5762160025313945`*^9, 3.576216058472988*^9, 3.576216158323739*^9, 
   3.5762168753566775`*^9, 3.576216960951236*^9, 3.5762170164117813`*^9, 
   3.576217136686808*^9, {3.5762171981989584`*^9, 3.576217226394778*^9}, 
   3.576241230526173*^9, 3.5762413074253163`*^9, {3.5762413788072877`*^9, 
   3.576241400834526*^9}, 3.576241476307459*^9, 3.576241554401196*^9, 
   3.577450732852334*^9, 3.577451128914936*^9, 3.5774512075568*^9, 
   3.5774515276109195`*^9, 3.577451584628217*^9, 3.577451790528363*^9, 
   3.577615533222164*^9, 3.577616632933124*^9, 3.5776166978656163`*^9, 
   3.57761676190702*^9, 3.578509712553787*^9, 3.578625045109067*^9, 
   3.578629622118287*^9, 3.578629715422287*^9, 3.578629765311236*^9, 
   3.578630172254926*^9, 3.57863025470117*^9, 3.578630612414938*^9, 
   3.5786390292920547`*^9, 3.5786390712070546`*^9, 3.578816620387367*^9, 
   3.581405992973422*^9, 3.581406278048728*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5656243127857704`*^9, 3.56562433542141*^9}, {
   3.5656257265113306`*^9, 3.5656257294129353`*^9}, 3.5656264933978777`*^9, {
   3.571907324505673*^9, 3.5719073253792744`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2", "]"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Ap", " ", 
          RowBox[{"signedSquareL", "[", 
           RowBox[{
            RowBox[{
             FractionBox["2", 
              RowBox[{"kl", " ", "rho"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["U2", "2"], "-", 
                  RowBox[{
                   FractionBox[
                    RowBox[{"rho", " ", "U2"}], 
                    RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2"}]}], ")"}], 
                "rho"}], "+", 
               RowBox[{"(", 
                RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0"}], 
           "]"}]}], "+", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"torp", "-", 
         RowBox[{"omegap", " ", "Bp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"omegap", "+", "0.001"}], ")"}]}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, {3.52260570715625*^9, 
   3.5226057146875*^9}, {3.5654339123617706`*^9, 3.565433912798571*^9}, {
   3.565433983730294*^9, 3.565434002657926*^9}, {3.565463052342574*^9, 
   3.5654631744643865`*^9}, {3.5654643771134405`*^9, 
   3.5654643778466415`*^9}, {3.565464479316415*^9, 3.5654644796440153`*^9}, {
   3.5654672566203375`*^9, 3.565467295121539*^9}, {3.5654674244699373`*^9, 
   3.56546743588459*^9}, {3.565467903263323*^9, 3.565467947553856*^9}, {
   3.56553863644903*^9, 3.5655386612494483`*^9}, {3.5655390904819984`*^9, 
   3.5655391202257004`*^9}, 3.5655884877415137`*^9, {3.56558852536878*^9, 
   3.5655885308599896`*^9}, {3.565588630590965*^9, 3.565588651198601*^9}, {
   3.5655887298732166`*^9, 3.5655887312304187`*^9}, {3.5655888931056056`*^9, 
   3.5655888949620085`*^9}, 3.565589691923932*^9, {3.565589894668601*^9, 
   3.565589932217867*^9}, 3.5655899678483295`*^9, {3.5655911420333395`*^9, 
   3.5655911537021604`*^9}, {3.565593830939359*^9, 3.5655938868654575`*^9}, 
   3.5655939446947594`*^9, {3.5655943125278053`*^9, 3.565594362369893*^9}, 
   3.5655948151601577`*^9, {3.565624122933437*^9, 3.5656242252384167`*^9}, {
   3.5656253830946584`*^9, 3.5656253831570587`*^9}, 3.5656265074067025`*^9, {
   3.568354154340954*^9, 3.5683541742078066`*^9}, {3.5683542490977817`*^9, 
   3.5683542635846786`*^9}, {3.568909576416093*^9, 3.568909617543445*^9}, 
   3.5689131987532787`*^9, {3.568919919721696*^9, 3.568919926709096*^9}, {
   3.5719072302971077`*^9, 3.571907237707121*^9}, {3.575772586860751*^9, 
   3.5757725889979553`*^9}, 3.578630125898291*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
  3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
  3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, {
  3.565467921865387*^9, 3.565467924215521*^9}, {3.565588437649826*^9, 
  3.5655884442798376`*^9}, {3.5719072410611267`*^9, 3.571907249906342*^9}, {
  3.571921228285489*^9, 3.571921230032692*^9}, {3.575772612756797*^9, 
  3.5757726159548025`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2", ",", "torp", ",", " ", "p1", ",", "p2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565467860174858*^9, 
   3.565467906122486*^9, {3.5655386672457914`*^9, 3.565538668064838*^9}, 
   3.565587947668005*^9, 3.568913224099728*^9, 3.5689200025634336`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, 
   3.578629542127287*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{"torp", " ", "omegap"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5654678805390234`*^9, 3.5654679004791636`*^9}, {
   3.5655391774229717`*^9, 3.565539255534439*^9}, 3.5655884346702204`*^9, {
   3.568913003432107*^9, 3.5689130200710583`*^9}, 3.568919923510913*^9, {
   3.571907252792347*^9, 3.5719072718243804`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicCentrifugalPump\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"p\\\"\\)\\)\
\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"mp\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278350745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278351745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278352745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783537455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783557453`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783567457`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783587456`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783597455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278361746*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPump.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725394898214`*^9, 3.5757726378260407`*^9, 3.575860263751988*^9, 
   3.5762148021667356`*^9, {3.576214841735736*^9, 3.576214866989736*^9}, 
   3.57621546133328*^9, {3.576215567895935*^9, 3.576215576615807*^9}, 
   3.576215922708413*^9, 3.5762160029734383`*^9, 3.5762160588820286`*^9, 
   3.5762161587037387`*^9, 3.5762168757897205`*^9, 3.576216961376279*^9, 
   3.5762170168718276`*^9, 3.5762171371218514`*^9, {3.576217198625001*^9, 
   3.576217226763815*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379088088*^9, 3.576241401115327*^9}, 3.576241476588259*^9, 
   3.576241554666396*^9, 3.5774507332263713`*^9, 3.5774511292409687`*^9, 
   3.5774512079418383`*^9, 3.5774515280018806`*^9, 3.5774515849471855`*^9, 
   3.577451790939363*^9, 3.577615533542196*^9, 3.5776166332291536`*^9, 
   3.577616698182648*^9, 3.577616762197049*^9, 3.578509712999813*^9, 
   3.5786250454109154`*^9, 3.5786296224092865`*^9, 3.5786297157422867`*^9, 
   3.578629765604265*^9, 3.578630172551956*^9, 3.5786302550152016`*^9, 
   3.5786306127149677`*^9, 3.5786390294890547`*^9, 3.5786390719750547`*^9, 
   3.578816620696367*^9, 3.5814059933514442`*^9, 3.5814062783627453`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5757724540328712`*^9, 3.5757724564820757`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["CentrifugalPumpJ", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, 
   3.5655879261087675`*^9, {3.5786296099262867`*^9, 3.5786296135572867`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<CentrifugalPumpJ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Centrifugal pump\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5654678323082647`*^9, 
   3.5757721098447895`*^9, {3.5786250144154215`*^9, 3.5786250166692934`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr1", ",", "0.", ",", "0.", ",", "\"\<Shaft port\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.5683640683011117`*^9, 
   3.5683640774230237`*^9}, 3.5683646347467504`*^9, {3.5683646859328685`*^9, 
   3.5683646978120565`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jp", ",", ".1", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "pcav", ",", "100.0", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<cavitaion pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.565538886801349*^9, 3.5655388883424373`*^9}, {
   3.568363000554338*^9, 3.5683630740736895`*^9}, {3.5683631058378654`*^9, 
   3.568363112533535*^9}, 3.5683636783464737`*^9, 3.568363849491474*^9, {
   3.5684457322293596`*^9, 3.568445776708807*^9}, {3.5786296885062866`*^9, 
   3.5786297018532867`*^9}, 3.5786299757772803`*^9, 3.578630602628959*^9, {
   3.5786320442360663`*^9, 3.5786320783460665`*^9}, {3.5786389281740546`*^9, 
   3.5786389670680547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, 
   3.568364933923665*^9, {3.568913450874699*^9, 3.5689134514977345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.578816620924367*^9, 3.5814059936364603`*^9, 
  3.5814062783937473`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5655388436738825`*^9, 3.56553885656762*^9}, 
   3.568362755155801*^9, 3.5685418599119596`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"U2", "=", 
   RowBox[{
    FractionBox["d", "2"], 
    RowBox[{"(", 
     RowBox[{"-", "wmr1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.568362767690054*^9, {3.568364038451127*^9, 3.5683640395862403`*^9}, {
   3.5683746684564342`*^9, 3.5683746753894343`*^9}, 3.5685418393459034`*^9},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2e", "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ap", " ", 
         RowBox[{"signedSquareL", "[", 
          RowBox[{
           RowBox[{
            FractionBox["2", 
             RowBox[{"kl", " ", "rho"}]], 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["U2", "2"], "-", 
                 RowBox[{
                  FractionBox[
                   RowBox[{"rho", " ", "U2"}], 
                   RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2e"}]}], ")"}], 
               "rho"}], "+", 
              RowBox[{"(", 
               RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0L"}], 
          "]"}]}], "+", 
        RowBox[{"Kcp", " ", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2e", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"tormr1", "+", 
         RowBox[{"wmr1", " ", "Bp"}], "+", 
         RowBox[{
          RowBox[{"der", "[", "wmr1", "]"}], " ", "Jp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"-", "wmr1"}], "]"}], "+", "0.001"}], ")"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5683771393111477`*^9, 3.5683771539216084`*^9}, 
   3.568433566094881*^9, {3.5684456398381214`*^9, 3.568445647907928*^9}, {
   3.568445689522089*^9, 3.5684456990550423`*^9}, 3.568446161989931*^9, {
   3.5685415439643683`*^9, 3.568541566641636*^9}, {3.568907061911271*^9, 
   3.568907069251691*^9}, {3.5689073802304783`*^9, 3.5689073955023518`*^9}, {
   3.568909468567924*^9, 3.5689094707070465`*^9}, {3.56890951780774*^9, 
   3.56890954543132*^9}, {3.5719070811944456`*^9, 3.5719070896652603`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", "==", 
      RowBox[{"(", 
       RowBox[{"cmr1", "+", 
        RowBox[{"Zcmr1", " ", "wmr1"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
   3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
   3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, 
   3.568364055973879*^9, {3.568541764766446*^9, 3.5685417795279226`*^9}, {
   3.5719071825454235`*^9, 3.5719071995338535`*^9}, {3.571922957959166*^9, 
   3.571922974339195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2e", ",", "wmr1", ",", "p1", ",", "p2", ",", "tormr1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565538678997463*^9, {
   3.5655387091661887`*^9, 3.5655387234580064`*^9}, 3.5683639106194735`*^9, 
   3.568364051212403*^9, 3.5684332193591576`*^9, 3.5685418784178104`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, {
  3.578629501345287*^9, 3.578629513639287*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{"q2e", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2e", "]"}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "\[Equal]", 
      RowBox[{
       RowBox[{"-", "tormr1"}], " ", "wmr1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568362810348319*^9, 3.5683628152808123`*^9}, 
   3.568363889078474*^9, 3.5683640526385455`*^9, {3.568541977846752*^9, 
   3.568541978904858*^9}, {3.5689199102551546`*^9, 3.568919912222267*^9}, {
   3.5719071101792965`*^9, 3.571907140035349*^9}, 3.578630561824879*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062786887646`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\
\"HydraulicCentrifugalPumpJ\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydraul\\\" \[Ellipsis] \\\"alPumpJ\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.75\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\
\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278710766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787117653`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278713766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278714766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787167664`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278717766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278719766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278720766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787217665`*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPumpJ.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725398642225`*^9, 3.575772638169241*^9, 3.57586026421976*^9, 
   3.576214802649736*^9, {3.576214842108736*^9, 3.5762148673877363`*^9}, 
   3.576215461697316*^9, {3.5762155683809834`*^9, 3.5762155770838537`*^9}, 
   3.5762159232444663`*^9, 3.576216003598501*^9, 3.5762160594710875`*^9, 
   3.576216159290739*^9, 3.5762168763737793`*^9, 3.576216961939335*^9, 
   3.5762170174758883`*^9, 3.576217137820921*^9, {3.5762171991880574`*^9, 
   3.576217227338872*^9}, 3.5762412311657743`*^9, 3.576241308127318*^9, {
   3.5762413794312887`*^9, 3.5762414014897275`*^9}, 3.57624147693146*^9, 
   3.576241555025197*^9, 3.57745073391644*^9, 3.5774511299260373`*^9, 
   3.5774512088699307`*^9, 3.577451528694811*^9, 3.5774515853361464`*^9, 
   3.5774517915663633`*^9, 3.577615533912233*^9, 3.577616633644195*^9, 
   3.5776166985686865`*^9, 3.577616762559085*^9, 3.578509713371834*^9, 
   3.578625045763739*^9, 3.578629622745287*^9, 3.578629716106287*^9, 
   3.5786297659523*^9, 3.578630172904991*^9, 3.578630255376238*^9, 
   3.5786306130610027`*^9, 3.5786320982610664`*^9, 3.5786390297430544`*^9, 
   3.5786390725950546`*^9, 3.5788166212513666`*^9, 3.5814059941854916`*^9, 
   3.5814062787237663`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.57577247587291*^9, 3.575772478758915*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TurboPump", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, {
   3.578629603375287*^9, 3.5786296058222866`*^9}, {3.5907416932235947`*^9, 
   3.5907416945496035`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<TurboPump\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Turbo pump\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5757721087371874`*^9, {
   3.5786249984334164`*^9, 3.5786250008302174`*^9}, {3.5907417133321238`*^9, 
   3.5907417198997655`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.565467846321066*^9, 
   3.565467847680144*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.5654679343190994`*^9, 
   3.5654680194339676`*^9}, {3.5655883583080864`*^9, 
   3.5655884053889694`*^9}, {3.565594406736371*^9, 3.565594471273684*^9}, {
   3.5656242519924636`*^9, 3.5656243003681483`*^9}, {3.5656243395086174`*^9, 
   3.5656243687430687`*^9}, {3.5656254173679185`*^9, 3.565625464230401*^9}, 
   3.5656255083472786`*^9, {3.5689206642122784`*^9, 3.5689207150771875`*^9}, 
   3.5786299655772605`*^9, 3.578630595306227*^9, {3.5786320673860664`*^9, 
   3.5786320726080666`*^9}, {3.5786390185280547`*^9, 3.5786390205730543`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "omegap", ",", "157.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
      "\"\<Speed\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565538592595522*^9, 3.565538632146784*^9}, {
  3.565539098320447*^9, 3.565539104623808*^9}, {3.565588454856656*^9, 
  3.5655884559954576`*^9}, {3.5655895105892143`*^9, 3.5655895136780195`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "torp", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, {
   3.5689134004328136`*^9, 3.5689134318216095`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.5788166203683667`*^9, 3.5814059929504213`*^9, 
  3.581406278034727*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"U2", "=", 
  RowBox[{
   FractionBox["d", "2"], "omegap"}]}]], "Input",
 CellChangeTimes->{{3.5656237186587267`*^9, 3.5656237493127804`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"d", " ", "omegap"}], "2"]], "Output",
 CellChangeTimes->{
  3.5656255168336935`*^9, {3.56562566066577*^9, 3.565625663114974*^9}, 
   3.5656265131787124`*^9, 3.5683542968343267`*^9, 3.568354987392949*^9, 
   3.568367619766656*^9, 3.568367749009656*^9, 3.568367832409656*^9, 
   3.568376021241352*^9, 3.5689127897168827`*^9, 3.5689130284745393`*^9, 
   3.5689130666857243`*^9, 3.568913230624101*^9, 3.56891346418546*^9, {
   3.5689199310273423`*^9, 3.5689199540526595`*^9}, 3.5689200072006993`*^9, 
   3.5719772218717155`*^9, 3.5756490991791773`*^9, 3.5756518550895634`*^9, 
   3.5757161648827553`*^9, 3.5757162193115044`*^9, 3.5757266101113048`*^9, 
   3.5757721857385225`*^9, 3.575772405844387*^9, 3.5757725393338213`*^9, 
   3.57577263749844*^9, 3.5758602634245477`*^9, 3.576214801852736*^9, {
   3.576214841440736*^9, 3.5762148666787357`*^9}, 3.5762154610372505`*^9, {
   3.5762155675849037`*^9, 3.5762155763227777`*^9}, 3.5762159221843605`*^9, 
   3.5762160025313945`*^9, 3.576216058472988*^9, 3.576216158323739*^9, 
   3.5762168753566775`*^9, 3.576216960951236*^9, 3.5762170164117813`*^9, 
   3.576217136686808*^9, {3.5762171981989584`*^9, 3.576217226394778*^9}, 
   3.576241230526173*^9, 3.5762413074253163`*^9, {3.5762413788072877`*^9, 
   3.576241400834526*^9}, 3.576241476307459*^9, 3.576241554401196*^9, 
   3.577450732852334*^9, 3.577451128914936*^9, 3.5774512075568*^9, 
   3.5774515276109195`*^9, 3.577451584628217*^9, 3.577451790528363*^9, 
   3.577615533222164*^9, 3.577616632933124*^9, 3.5776166978656163`*^9, 
   3.57761676190702*^9, 3.578509712553787*^9, 3.578625045109067*^9, 
   3.578629622118287*^9, 3.578629715422287*^9, 3.578629765311236*^9, 
   3.578630172254926*^9, 3.57863025470117*^9, 3.578630612414938*^9, 
   3.5786390292920547`*^9, 3.5786390712070546`*^9, 3.578816620387367*^9, 
   3.581405992973422*^9, 3.581406278048728*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5656243127857704`*^9, 3.56562433542141*^9}, {
   3.5656257265113306`*^9, 3.5656257294129353`*^9}, 3.5656264933978777`*^9, {
   3.571907324505673*^9, 3.5719073253792744`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2", "]"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Ap", " ", 
          RowBox[{"signedSquareL", "[", 
           RowBox[{
            RowBox[{
             FractionBox["2", 
              RowBox[{"kl", " ", "rho"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["U2", "2"], "-", 
                  RowBox[{
                   FractionBox[
                    RowBox[{"rho", " ", "U2"}], 
                    RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2"}]}], ")"}], 
                "rho"}], "+", 
               RowBox[{"(", 
                RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0"}], 
           "]"}]}], "+", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"torp", "-", 
         RowBox[{"omegap", " ", "Bp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"omegap", "+", "0.001"}], ")"}]}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, {3.52260570715625*^9, 
   3.5226057146875*^9}, {3.5654339123617706`*^9, 3.565433912798571*^9}, {
   3.565433983730294*^9, 3.565434002657926*^9}, {3.565463052342574*^9, 
   3.5654631744643865`*^9}, {3.5654643771134405`*^9, 
   3.5654643778466415`*^9}, {3.565464479316415*^9, 3.5654644796440153`*^9}, {
   3.5654672566203375`*^9, 3.565467295121539*^9}, {3.5654674244699373`*^9, 
   3.56546743588459*^9}, {3.565467903263323*^9, 3.565467947553856*^9}, {
   3.56553863644903*^9, 3.5655386612494483`*^9}, {3.5655390904819984`*^9, 
   3.5655391202257004`*^9}, 3.5655884877415137`*^9, {3.56558852536878*^9, 
   3.5655885308599896`*^9}, {3.565588630590965*^9, 3.565588651198601*^9}, {
   3.5655887298732166`*^9, 3.5655887312304187`*^9}, {3.5655888931056056`*^9, 
   3.5655888949620085`*^9}, 3.565589691923932*^9, {3.565589894668601*^9, 
   3.565589932217867*^9}, 3.5655899678483295`*^9, {3.5655911420333395`*^9, 
   3.5655911537021604`*^9}, {3.565593830939359*^9, 3.5655938868654575`*^9}, 
   3.5655939446947594`*^9, {3.5655943125278053`*^9, 3.565594362369893*^9}, 
   3.5655948151601577`*^9, {3.565624122933437*^9, 3.5656242252384167`*^9}, {
   3.5656253830946584`*^9, 3.5656253831570587`*^9}, 3.5656265074067025`*^9, {
   3.568354154340954*^9, 3.5683541742078066`*^9}, {3.5683542490977817`*^9, 
   3.5683542635846786`*^9}, {3.568909576416093*^9, 3.568909617543445*^9}, 
   3.5689131987532787`*^9, {3.568919919721696*^9, 3.568919926709096*^9}, {
   3.5719072302971077`*^9, 3.571907237707121*^9}, {3.575772586860751*^9, 
   3.5757725889979553`*^9}, 3.578630125898291*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
  3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
  3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, {
  3.565467921865387*^9, 3.565467924215521*^9}, {3.565588437649826*^9, 
  3.5655884442798376`*^9}, {3.5719072410611267`*^9, 3.571907249906342*^9}, {
  3.571921228285489*^9, 3.571921230032692*^9}, {3.575772612756797*^9, 
  3.5757726159548025`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2", ",", "torp", ",", " ", "p1", ",", "p2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565467860174858*^9, 
   3.565467906122486*^9, {3.5655386672457914`*^9, 3.565538668064838*^9}, 
   3.565587947668005*^9, 3.568913224099728*^9, 3.5689200025634336`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, 
   3.578629542127287*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{"torp", " ", "omegap"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5654678805390234`*^9, 3.5654679004791636`*^9}, {
   3.5655391774229717`*^9, 3.565539255534439*^9}, 3.5655884346702204`*^9, {
   3.568913003432107*^9, 3.5689130200710583`*^9}, 3.568919923510913*^9, {
   3.571907252792347*^9, 3.5719072718243804`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicCentrifugalPump\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"p\\\"\\)\\)\
\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"mp\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278350745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278351745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \[NoBreak]\\!\
\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278352745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783537455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \[NoBreak]\\!\
\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783557453`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783567457`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783587456`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\\\" \
\[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783597455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: \
attrhs\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278361746*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPump.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725394898214`*^9, 3.5757726378260407`*^9, 3.575860263751988*^9, 
   3.5762148021667356`*^9, {3.576214841735736*^9, 3.576214866989736*^9}, 
   3.57621546133328*^9, {3.576215567895935*^9, 3.576215576615807*^9}, 
   3.576215922708413*^9, 3.5762160029734383`*^9, 3.5762160588820286`*^9, 
   3.5762161587037387`*^9, 3.5762168757897205`*^9, 3.576216961376279*^9, 
   3.5762170168718276`*^9, 3.5762171371218514`*^9, {3.576217198625001*^9, 
   3.576217226763815*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379088088*^9, 3.576241401115327*^9}, 3.576241476588259*^9, 
   3.576241554666396*^9, 3.5774507332263713`*^9, 3.5774511292409687`*^9, 
   3.5774512079418383`*^9, 3.5774515280018806`*^9, 3.5774515849471855`*^9, 
   3.577451790939363*^9, 3.577615533542196*^9, 3.5776166332291536`*^9, 
   3.577616698182648*^9, 3.577616762197049*^9, 3.578509712999813*^9, 
   3.5786250454109154`*^9, 3.5786296224092865`*^9, 3.5786297157422867`*^9, 
   3.578629765604265*^9, 3.578630172551956*^9, 3.5786302550152016`*^9, 
   3.5786306127149677`*^9, 3.5786390294890547`*^9, 3.5786390719750547`*^9, 
   3.578816620696367*^9, 3.5814059933514442`*^9, 3.5814062783627453`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5757724540328712`*^9, 3.5757724564820757`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TurboPumpJ", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, 
   3.5655879261087675`*^9, {3.5786296099262867`*^9, 3.5786296135572867`*^9}, {
   3.590741698246827*^9, 3.590741700930044*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Turbo\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Turbo pump\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5654678323082647`*^9, 
   3.5757721098447895`*^9, {3.5786250144154215`*^9, 3.5786250166692934`*^9}, {
   3.5907417288074226`*^9, 3.5907417333470516`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr1", ",", "0.", ",", "0.", ",", "\"\<Shaft port\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.5683640683011117`*^9, 
   3.5683640774230237`*^9}, 3.5683646347467504`*^9, {3.5683646859328685`*^9, 
   3.5683646978120565`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jp", ",", ".1", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "pcav", ",", "100.0", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<cavitaion pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.565538886801349*^9, 3.5655388883424373`*^9}, {
   3.568363000554338*^9, 3.5683630740736895`*^9}, {3.5683631058378654`*^9, 
   3.568363112533535*^9}, 3.5683636783464737`*^9, 3.568363849491474*^9, {
   3.5684457322293596`*^9, 3.568445776708807*^9}, {3.5786296885062866`*^9, 
   3.5786297018532867`*^9}, 3.5786299757772803`*^9, 3.578630602628959*^9, {
   3.5786320442360663`*^9, 3.5786320783460665`*^9}, {3.5786389281740546`*^9, 
   3.5786389670680547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, 
   3.568364933923665*^9, {3.568913450874699*^9, 3.5689134514977345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.578816620924367*^9, 3.5814059936364603`*^9, 
  3.5814062783937473`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5655388436738825`*^9, 3.56553885656762*^9}, 
   3.568362755155801*^9, 3.5685418599119596`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"U2", "=", 
   RowBox[{
    FractionBox["d", "2"], 
    RowBox[{"(", 
     RowBox[{"-", "wmr1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.568362767690054*^9, {3.568364038451127*^9, 3.5683640395862403`*^9}, {
   3.5683746684564342`*^9, 3.5683746753894343`*^9}, 3.5685418393459034`*^9},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2e", "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ap", " ", 
         RowBox[{"signedSquareL", "[", 
          RowBox[{
           RowBox[{
            FractionBox["2", 
             RowBox[{"kl", " ", "rho"}]], 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["U2", "2"], "-", 
                 RowBox[{
                  FractionBox[
                   RowBox[{"rho", " ", "U2"}], 
                   RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2e"}]}], ")"}], 
               "rho"}], "+", 
              RowBox[{"(", 
               RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0L"}], 
          "]"}]}], "+", 
        RowBox[{"Kcp", " ", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2e", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"tormr1", "+", 
         RowBox[{"wmr1", " ", "Bp"}], "+", 
         RowBox[{
          RowBox[{"der", "[", "wmr1", "]"}], " ", "Jp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"-", "wmr1"}], "]"}], "+", "0.001"}], ")"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5683771393111477`*^9, 3.5683771539216084`*^9}, 
   3.568433566094881*^9, {3.5684456398381214`*^9, 3.568445647907928*^9}, {
   3.568445689522089*^9, 3.5684456990550423`*^9}, 3.568446161989931*^9, {
   3.5685415439643683`*^9, 3.568541566641636*^9}, {3.568907061911271*^9, 
   3.568907069251691*^9}, {3.5689073802304783`*^9, 3.5689073955023518`*^9}, {
   3.568909468567924*^9, 3.5689094707070465`*^9}, {3.56890951780774*^9, 
   3.56890954543132*^9}, {3.5719070811944456`*^9, 3.5719070896652603`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", "==", 
      RowBox[{"(", 
       RowBox[{"cmr1", "+", 
        RowBox[{"Zcmr1", " ", "wmr1"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
   3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
   3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, 
   3.568364055973879*^9, {3.568541764766446*^9, 3.5685417795279226`*^9}, {
   3.5719071825454235`*^9, 3.5719071995338535`*^9}, {3.571922957959166*^9, 
   3.571922974339195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2e", ",", "wmr1", ",", "p1", ",", "p2", ",", "tormr1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565538678997463*^9, {
   3.5655387091661887`*^9, 3.5655387234580064`*^9}, 3.5683639106194735`*^9, 
   3.568364051212403*^9, 3.5684332193591576`*^9, 3.5685418784178104`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, {
  3.578629501345287*^9, 3.578629513639287*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{"q2e", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2e", "]"}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "\[Equal]", 
      RowBox[{
       RowBox[{"-", "tormr1"}], " ", "wmr1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568362810348319*^9, 3.5683628152808123`*^9}, 
   3.568363889078474*^9, 3.5683640526385455`*^9, {3.568541977846752*^9, 
   3.568541978904858*^9}, {3.5689199102551546`*^9, 3.568919912222267*^9}, {
   3.5719071101792965`*^9, 3.571907140035349*^9}, 3.578630561824879*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], ":", 
  " ", "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062786887646`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\
\"HydraulicCentrifugalPumpJ\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydraul\\\" \[Ellipsis] \\\"alPumpJ\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.75\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\
\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278710766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787117653`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.25`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278713766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278714766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787167664`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278717766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278719766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.75`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278720766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: \
attrhs\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787217665`*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPumpJ.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725398642225`*^9, 3.575772638169241*^9, 3.57586026421976*^9, 
   3.576214802649736*^9, {3.576214842108736*^9, 3.5762148673877363`*^9}, 
   3.576215461697316*^9, {3.5762155683809834`*^9, 3.5762155770838537`*^9}, 
   3.5762159232444663`*^9, 3.576216003598501*^9, 3.5762160594710875`*^9, 
   3.576216159290739*^9, 3.5762168763737793`*^9, 3.576216961939335*^9, 
   3.5762170174758883`*^9, 3.576217137820921*^9, {3.5762171991880574`*^9, 
   3.576217227338872*^9}, 3.5762412311657743`*^9, 3.576241308127318*^9, {
   3.5762413794312887`*^9, 3.5762414014897275`*^9}, 3.57624147693146*^9, 
   3.576241555025197*^9, 3.57745073391644*^9, 3.5774511299260373`*^9, 
   3.5774512088699307`*^9, 3.577451528694811*^9, 3.5774515853361464`*^9, 
   3.5774517915663633`*^9, 3.577615533912233*^9, 3.577616633644195*^9, 
   3.5776166985686865`*^9, 3.577616762559085*^9, 3.578509713371834*^9, 
   3.578625045763739*^9, 3.578629622745287*^9, 3.578629716106287*^9, 
   3.5786297659523*^9, 3.578630172904991*^9, 3.578630255376238*^9, 
   3.5786306130610027`*^9, 3.5786320982610664`*^9, 3.5786390297430544`*^9, 
   3.5786390725950546`*^9, 3.5788166212513666`*^9, 3.5814059941854916`*^9, 
   3.5814062787237663`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.57577247587291*^9, 3.575772478758915*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Fuel Tank G", "Section",
 CellChangeTimes->{{3.568289149358963*^9, 3.5682891675710044`*^9}, {
   3.5682892846807027`*^9, 3.568289303122758*^9}, {3.568354108266954*^9, 
   3.568354108970954*^9}, 3.56846401697423*^9}],

Cell[BoxData[
 RowBox[{"p0", "=."}]], "Input",
 CellChangeTimes->{{3.568355078809949*^9, 3.568355082456949*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"displayName", "=", "\"\<FuelTankG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", "\"\<Calulates the mass of remaining fuel in tank\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522429929546875*^9, 3.522429972765625*^9}, {
   3.5224301489375*^9, 3.522430155421875*^9}, 3.53189964671875*^9, 
   3.5411602015417213`*^9, 3.5682878446963406`*^9, 3.5682879350195065`*^9, {
   3.5682885691497765`*^9, 3.5682885755821447`*^9}, {3.568289258601211*^9, 
   3.568289274044094*^9}, {3.5685259622875643`*^9, 3.568525962456581*^9}, 
   3.5757721208896084`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577451175729617*^9, 3.577451197140758*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rhofuel", ",", "700.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<Fuel density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<tank pressure\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "hf", ",", "5.", ",", "double", ",", "\"\<m/s2\>\"", ",", 
       "\"\<fuel in tank height\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "massfuel0", ",", "1000.", ",", "double", ",", "\"\<kg/s\>\"", ",", 
       "\"\<The intitial fuel mass\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "massfuelmax", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<fuelmass at full tank\>\""}], "}"}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522430004390625*^9, 3.522430004390625*^9}, 
   3.5224300528125*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.568288043176693*^9, 3.5682880662150106`*^9}, 3.5682892740450945`*^9, 
   3.568292752092027*^9, {3.5682930742664547`*^9, 3.5682930760485563`*^9}, {
   3.5682931161188483`*^9, 3.568293122857234*^9}, 3.5682932165005903`*^9, {
   3.568293382808102*^9, 3.568293392842676*^9}, {3.5682941132878833`*^9, 
   3.5682941831208773`*^9}, 3.578630221535854*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "gx", ",", "9.82", ",", "double", ",", "\"\<m/s2\>\"", ",", 
      "\"\<acceleration\>\""}], "}"}], "\n", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.52242999471875*^9, 3.52242999471875*^9}, 
   3.522430053078125*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.5682876302290735`*^9, 3.5682877946604786`*^9}, {3.5682882333545704`*^9, 
   3.5682882358947153`*^9}, {3.5682886272571*^9, 3.568288653534603*^9}, 
   3.5682892740450945`*^9, 3.568292725770522*^9, {3.5682930721653347`*^9, 
   3.568293092591503*^9}, {3.5682941454817247`*^9, 3.568294158898492*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "massfuel", ",", "0.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Fuel mass\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "consfuel", ",", "0.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Consumed fuel mass\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522429987234375*^9, 3.522429987234375*^9}, {
   3.522430053296875*^9, 3.522430053515625*^9}, 3.53189964671875*^9, 
   3.5411602015417213`*^9, {3.568288026761754*^9, 3.5682880387684402`*^9}, 
   3.5682892740450945`*^9, {3.5682927178650694`*^9, 3.568292720943246*^9}, {
   3.568294193220455*^9, 3.568294212625565*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"HydraulicCnode", "[", 
     RowBox[{"T", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "5"}]}], ",", "\"\<fluid port\>\""}], "]"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5682878998394947`*^9, 3.5682879233968415`*^9}, {
   3.568287993950877*^9, 3.568287997705092*^9}, 3.5682892740450945`*^9, 
   3.5682926047145977`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Der", "[", "consfuel", "]"}], "\[Equal]", 
     RowBox[{
      RowBox[{"-", "qT"}], " ", "rhofuel"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.52328838171875*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.554784526954604*^9, 3.5547845283608723`*^9}, {3.5682880956096916`*^9, 
   3.568288136340021*^9}, 3.5682892740450945`*^9, 3.5682941032823105`*^9, {
   3.571904238058652*^9, 3.5719042464826665`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"boudaryEquations", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522430069765625*^9, 3.522430069765625*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740450945`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", "consfuel", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.52243007746875*^9, 3.522430082921875*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740450945`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"eps", "=", "0.0001"}], ";"}]], "Input",
 CellChangeTimes->{{3.5683618419854927`*^9, 3.5683618458528795`*^9}, 
   3.568362544247712*^9, 3.5757161800928535`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"massfuel", "==", 
      RowBox[{"massfuel0", "-", "consfuel"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"hx", "==", 
      RowBox[{"hf", " ", 
       RowBox[{"massfuel", "/", "massfuelmax"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cT", "==", 
      RowBox[{
       RowBox[{"onPositive", "[", "massfuel", "]"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"gx", " ", "hx", " ", "rhofuel"}], "+", "p0"}], ")"}]}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"ZcT", "==", "0."}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.531857777953125*^9, 3.531857802140625*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, {3.5682878067211685`*^9, 
   3.568287840213084*^9}, {3.568287961346012*^9, 3.56828796532324*^9}, {
   3.5682881691398973`*^9, 3.5682882757739964`*^9}, {3.568288593104147*^9, 
   3.568288622826847*^9}, 3.5682892740460944`*^9, {3.568294321359784*^9, 
   3.5682943233889008`*^9}, 3.5682948834179325`*^9, {3.5683540392219543`*^9, 
   3.568354093826954*^9}, {3.568361833726667*^9, 3.5683618391222067`*^9}, 
   3.5683622303453245`*^9, {3.568362408783167*^9, 3.568362411892478*^9}, {
   3.5684640626592293`*^9, 3.5684640689062295`*^9}, {3.568526594043439*^9, 
   3.568526660113439*^9}, 3.5685267047884393`*^9, {3.5685270954124393`*^9, 
   3.5685270961704392`*^9}, 3.568528138195278*^9, {3.568528205104278*^9, 
   3.568528209485278*^9}, {3.571904189246166*^9, 3.5719042292602367`*^9}, {
   3.5719255395812054`*^9, 3.5719255402520065`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"consfuel", ",", "0.", ",", 
      RowBox[{"massfuel0", "+", "eps"}]}], "}"}], "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740460944`*^9, {
   3.568362236516942*^9, 3.568362266461936*^9}, {3.5683623093072205`*^9, 
   3.568362311379428*^9}, {3.568362428788167*^9, 3.5683624290691953`*^9}, {
   3.568362530576345*^9, 3.568362530871374*^9}, 3.571904272409912*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.53189964671875*^9, 3.5411602015417213`*^9, 
  3.5682892740460944`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789177775`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"t\\\" \[Ellipsis] \\\"me\\\"\\)\\) \[Rule] \
\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicFuelTankG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicFuelTankG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\\(\
\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"PT\\\"\\)\\)}\\)\\), \\(\\({}\
\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\
\"x\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\
\"a\\\" \[Rule] \\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"gx\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"consfuel\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.581406278934778*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789407787`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896178*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896278*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896478*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789667807`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789687805`*^9}],

Cell[BoxData["\<\"HydraulicFuelTankG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.568289392095846*^9, 3.568289491937557*^9, 3.5682895380141926`*^9, 
   3.568292619508444*^9, 3.568292762315612*^9, 3.5682931681698256`*^9, 
   3.568293226339153*^9, 3.5682937594886475`*^9, 3.56829422127606*^9, 
   3.5682946191238155`*^9, 3.5683543029085417`*^9, {3.5683549924949493`*^9, 
   3.568355015118949*^9}, {3.568355108194949*^9, 3.5683551320089493`*^9}, 
   3.568361853787673*^9, 3.5683622704723372`*^9, {3.5683624196012487`*^9, 
   3.5683624345967484`*^9}, 3.5684641016192293`*^9, {3.5685259268350196`*^9, 
   3.5685259316775036`*^9}, 3.5685259664849844`*^9, 3.568526079936328*^9, 
   3.5685261793134394`*^9, 3.568526268569439*^9, 3.5685267092164392`*^9, 
   3.568527110067439*^9, 3.568528213695278*^9, 3.5719772245237665`*^9, 
   3.5756491048305006`*^9, 3.5756518583117476`*^9, 3.575716168283578*^9, 
   3.575716222415924*^9, 3.5757266134965105`*^9, 3.5757721900597296`*^9, 
   3.5757724101187944`*^9, 3.575772542890628*^9, 3.5757726412268467`*^9, 
   3.5758602676656804`*^9, 3.576214806675736*^9, {3.576214846564736*^9, 
   3.576214871033736*^9}, 3.5762154648626328`*^9, 3.5762155801731625`*^9, 
   3.576215928007943*^9, 3.576216008549996*^9, 3.576216064635604*^9, 
   3.576216164198739*^9, 3.576216881524294*^9, 3.5762169671898603`*^9, 
   3.576217022549395*^9, 3.5762171433424735`*^9, {3.5762172045895977`*^9, 
   3.576217232336372*^9}, 3.57624123425458*^9, 3.5762413111537232`*^9, {
   3.576241382488894*^9, 3.5762414046097326`*^9}, 3.5762414802074656`*^9, 
   3.576241557880002*^9, 3.5774507341274614`*^9, 3.5774511302160664`*^9, 
   3.5774512093399777`*^9, 3.577451529012779*^9, 3.577451585888091*^9, 
   3.577451791814363*^9, 3.577615534206262*^9, 3.577616633927223*^9, 
   3.5776166988737173`*^9, 3.5776167628231115`*^9, 3.5785097135438437`*^9, 
   3.578625045972635*^9, 3.578629622917287*^9, 3.578629716290287*^9, 
   3.5786297661303177`*^9, 3.5786301730950103`*^9, 3.5786302555632563`*^9, 
   3.57863061323802*^9, 3.5786390299230547`*^9, 3.578816621424367*^9, 
   3.58140599468252*^9, 3.5814062789697804`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{925, 516},
WindowMargins->{{40, Automatic}, {54, Automatic}},
Magnification->1.100000023841858,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", CharacterEncoding -> 
       "WindowsANSI"]]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Microsoft Windows (64-bit) (October 6, 2011)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 152, 2, 71, "Title"],
Cell[CellGroupData[{
Cell[744, 28, 96, 1, 83, "Section"],
Cell[843, 31, 431, 11, 90, "Input"],
Cell[1277, 44, 151, 2, 45, "Input"],
Cell[1431, 48, 124, 3, 45, "Input"],
Cell[CellGroupData[{
Cell[1580, 55, 149, 2, 39, "Subsection"],
Cell[1732, 59, 1300, 26, 381, "Input"]
}, Open  ]]
}, Closed]],
Cell[3059, 89, 602, 12, 60, "Input"],
Cell[3664, 103, 875, 16, 43, "Input"],
Cell[4542, 121, 749, 14, 43, "Input"],
Cell[5294, 137, 129, 2, 43, "Input"],
Cell[5426, 141, 828, 15, 43, "Input"],
Cell[6257, 158, 814, 15, 43, "Input"],
Cell[7074, 175, 129, 2, 43, "Input"],
Cell[7206, 179, 804, 15, 43, "Input"],
Cell[8013, 196, 129, 2, 43, "Input"],
Cell[8145, 200, 924, 16, 43, "Input"],
Cell[9072, 218, 829, 15, 43, "Input"],
Cell[9904, 235, 129, 2, 43, "Input"],
Cell[10036, 239, 887, 16, 43, "Input"],
Cell[10926, 257, 129, 2, 43, "Input"],
Cell[11058, 261, 918, 16, 43, "Input"],
Cell[11979, 279, 129, 2, 43, "Input"],
Cell[12111, 283, 976, 17, 43, "Input"],
Cell[13090, 302, 129, 2, 43, "Input"],
Cell[13222, 306, 971, 17, 43, "Input"],
Cell[14196, 325, 129, 2, 43, "Input"],
Cell[14328, 329, 978, 17, 43, "Input"],
Cell[15309, 348, 129, 2, 43, "Input"],
Cell[15441, 352, 1000, 17, 43, "Input"],
Cell[16444, 371, 129, 2, 43, "Input"],
Cell[16576, 375, 1034, 18, 43, "Input"],
Cell[17613, 395, 129, 2, 43, "Input"],
Cell[17745, 399, 1082, 18, 43, "Input"],
Cell[CellGroupData[{
Cell[18852, 421, 129, 2, 43, "Input"],
Cell[18984, 425, 120, 2, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19141, 432, 275, 8, 107, "Section",
 Evaluatable->False],
Cell[19419, 442, 1486, 32, 200, "Input"],
Cell[CellGroupData[{
Cell[20930, 478, 43, 0, 39, "Subsection"],
Cell[20976, 480, 43, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21056, 485, 41, 0, 39, "Subsection"],
Cell[21100, 487, 70, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21207, 492, 46, 0, 39, "Subsection"],
Cell[21256, 494, 1714, 44, 266, "Input"],
Cell[22973, 540, 701, 18, 112, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23711, 563, 45, 0, 39, "Subsection"],
Cell[23759, 565, 524, 15, 90, "Input"],
Cell[24286, 582, 42, 0, 31, "Text"],
Cell[24331, 584, 281, 7, 45, "Input"],
Cell[24615, 593, 117, 1, 31, "Text"],
Cell[24735, 596, 1569, 42, 156, "Input"],
Cell[26307, 640, 29, 0, 31, "Text"],
Cell[26339, 642, 660, 16, 134, "Input"],
Cell[27002, 660, 132, 1, 31, "Text"],
Cell[27137, 663, 266, 7, 45, "Input"],
Cell[27406, 672, 92, 1, 31, "Text"],
Cell[27501, 675, 327, 8, 45, "Input"],
Cell[27831, 685, 334, 10, 45, "Input"],
Cell[CellGroupData[{
Cell[28190, 699, 63, 1, 45, "Input"],
Cell[28256, 702, 1992, 32, 77, "Message"],
Cell[30251, 736, 1992, 32, 77, "Message"],
Cell[32246, 770, 1990, 32, 77, "Message"],
Cell[34239, 804, 1988, 32, 77, "Message"],
Cell[36230, 838, 4068, 61, 77, "Message"],
Cell[40301, 901, 1918, 31, 77, "Message"],
Cell[42222, 934, 2033, 32, 77, "Message"],
Cell[44258, 968, 1918, 31, 77, "Message"],
Cell[46179, 1001, 2031, 32, 77, "Message"],
Cell[48213, 1035, 1918, 31, 77, "Message"],
Cell[50134, 1068, 1992, 32, 77, "Message"],
Cell[52129, 1102, 2035, 32, 77, "Message"],
Cell[54167, 1136, 1995, 32, 77, "Message"],
Cell[56165, 1170, 1220, 17, 77, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[57446, 1194, 239, 7, 74, "Section",
 Evaluatable->False],
Cell[57688, 1203, 1517, 33, 200, "Input"],
Cell[CellGroupData[{
Cell[59230, 1240, 43, 0, 39, "Subsection"],
Cell[59276, 1242, 43, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59356, 1247, 41, 0, 39, "Subsection"],
Cell[59400, 1249, 70, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59507, 1254, 46, 0, 39, "Subsection"],
Cell[59556, 1256, 1837, 47, 288, "Input"],
Cell[61396, 1305, 701, 18, 112, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62134, 1328, 45, 0, 39, "Subsection"],
Cell[62182, 1330, 42, 0, 31, "Text"],
Cell[62227, 1332, 230, 6, 45, "Input"],
Cell[62460, 1340, 132, 1, 31, "Text"],
Cell[62595, 1343, 1517, 42, 156, "Input"],
Cell[64115, 1387, 29, 0, 31, "Text"],
Cell[64147, 1389, 660, 16, 134, "Input"],
Cell[64810, 1407, 266, 7, 45, "Input"],
Cell[65079, 1416, 92, 1, 31, "Text"],
Cell[65174, 1419, 327, 8, 45, "Input"],
Cell[65504, 1429, 334, 10, 45, "Input"],
Cell[CellGroupData[{
Cell[65863, 1443, 63, 1, 45, "Input"],
Cell[65929, 1446, 1953, 32, 77, "Message"],
Cell[67885, 1480, 1953, 32, 77, "Message"],
Cell[69841, 1514, 1951, 32, 77, "Message"],
Cell[71795, 1548, 1949, 32, 77, "Message"],
Cell[73747, 1582, 4625, 68, 77, "Message"],
Cell[78375, 1652, 1879, 31, 77, "Message"],
Cell[80257, 1685, 1996, 32, 77, "Message"],
Cell[82256, 1719, 1879, 31, 77, "Message"],
Cell[84138, 1752, 1994, 32, 77, "Message"],
Cell[86135, 1786, 1877, 31, 77, "Message"],
Cell[88015, 1819, 1953, 32, 77, "Message"],
Cell[89971, 1853, 1994, 32, 77, "Message"],
Cell[91968, 1887, 1956, 32, 77, "Message"],
Cell[93927, 1921, 1230, 17, 77, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[95218, 1945, 264, 8, 74, "Section",
 Evaluatable->False],
Cell[95485, 1955, 1542, 33, 200, "Input"],
Cell[CellGroupData[{
Cell[97052, 1992, 43, 0, 39, "Subsection"],
Cell[97098, 1994, 137, 1, 31, "Text"]
}, Open  ]],
Cell[97250, 1998, 41, 0, 39, "Subsection"],
Cell[CellGroupData[{
Cell[97316, 2002, 46, 0, 30, "Subsection"],
Cell[97365, 2004, 2195, 55, 332, "Input"],
Cell[99563, 2061, 550, 14, 112, "Input"],
Cell[100116, 2077, 711, 18, 112, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100864, 2100, 45, 0, 39, "Subsection"],
Cell[100912, 2102, 64, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[101001, 2106, 372, 9, 68, "Input"],
Cell[101376, 2117, 1337, 20, 77, "Output"]
}, Open  ]],
Cell[102728, 2140, 42, 0, 31, "Text"],
Cell[102773, 2142, 230, 6, 45, "Input"],
Cell[103006, 2150, 1465, 39, 156, "Input"],
Cell[104474, 2191, 29, 0, 31, "Text"],
Cell[104506, 2193, 607, 15, 107, "Input"],
Cell[105116, 2210, 116, 1, 31, "Text"],
Cell[105235, 2213, 276, 7, 45, "Input"],
Cell[105514, 2222, 387, 9, 45, "Input"],
Cell[105904, 2233, 334, 10, 45, "Input"],
Cell[106241, 2245, 420, 10, 112, "Input"],
Cell[CellGroupData[{
Cell[106686, 2259, 63, 1, 45, "Input"],
Cell[106752, 2262, 1823, 30, 77, "Message"],
Cell[108578, 2294, 1823, 30, 77, "Message"],
Cell[110404, 2326, 1825, 30, 77, "Message"],
Cell[112232, 2358, 1908, 31, 77, "Message"],
Cell[114143, 2391, 1910, 31, 77, "Message"],
Cell[116056, 2424, 1912, 31, 77, "Message"],
Cell[117971, 2457, 1912, 31, 77, "Message"],
Cell[119886, 2490, 1908, 31, 77, "Message"],
Cell[121797, 2523, 3836, 57, 77, "Message"],
Cell[125636, 2582, 1838, 30, 77, "Message"],
Cell[127477, 2614, 1953, 31, 77, "Message"],
Cell[129433, 2647, 1836, 30, 77, "Message"],
Cell[131272, 2679, 1951, 31, 77, "Message"],
Cell[133226, 2712, 1838, 30, 77, "Message"],
Cell[135067, 2744, 1912, 31, 77, "Message"],
Cell[136982, 2777, 1953, 31, 77, "Message"],
Cell[138938, 2810, 1913, 31, 77, "Message"],
Cell[140854, 2843, 1205, 17, 77, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[142120, 2867, 211, 4, 50, "Section",
 Evaluatable->False],
Cell[142334, 2873, 1564, 33, 200, "Input"],
Cell[CellGroupData[{
Cell[143923, 2910, 43, 0, 39, "Subsection"],
Cell[143969, 2912, 43, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144049, 2917, 41, 0, 39, "Subsection"],
Cell[144093, 2919, 70, 0, 31, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144200, 2924, 46, 0, 39, "Subsection"],
Cell[144249, 2926, 1049, 26, 162, "Input"],
Cell[145301, 2954, 905, 21, 134, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146243, 2980, 45, 0, 39, "Subsection"],
Cell[146291, 2982, 42, 0, 31, "Text"],
Cell[146336, 2984, 350, 10, 64, "Input"],
Cell[146689, 2996, 132, 1, 31, "Text"],
Cell[146824, 2999, 1488, 35, 168, "Input"],
Cell[148315, 3036, 29, 0, 31, "Text"],
Cell[148347, 3038, 989, 20, 134, "Input"],
Cell[CellGroupData[{
Cell[149361, 3062, 49, 0, 45, "Input"],
Cell[149413, 3064, 697, 16, 77, "Output"]
}, Open  ]],
Cell[150125, 3083, 464, 10, 45, "Input"],
Cell[150592, 3095, 334, 10, 45, "Input"],
Cell[150929, 3107, 319, 7, 90, "Input"],
Cell[CellGroupData[{
Cell[151273, 3118, 101, 1, 45, "Input"],
Cell[151377, 3121, 1570, 41, 77, "Output"]
}, Open  ]],
Cell[152962, 3165, 92, 1, 31, "Text"],
Cell[CellGroupData[{
Cell[153079, 3170, 63, 1, 45, "Input"],
Cell[153145, 3173, 2287, 36, 77, "Message"],
Cell[155435, 3211, 2287, 36, 77, "Message"],
Cell[157725, 3249, 2287, 36, 77, "Message"],
Cell[160015, 3287, 2283, 36, 77, "Message"],
Cell[162301, 3325, 4335, 65, 77, "Message"],
Cell[166639, 3392, 2213, 35, 77, "Message"],
Cell[168855, 3429, 2330, 36, 77, "Message"],
Cell[171188, 3467, 2211, 35, 77, "Message"],
Cell[173402, 3504, 2326, 36, 77, "Message"],
Cell[175731, 3542, 2213, 35, 77, "Message"],
Cell[177947, 3579, 2285, 36, 77, "Message"],
Cell[180235, 3617, 2328, 36, 77, "Message"],
Cell[182566, 3655, 2290, 36, 77, "Message"],
Cell[184859, 3693, 1568, 22, 77, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[186466, 3720, 885, 16, 60, "Input"],
Cell[CellGroupData[{
Cell[187376, 3740, 220, 3, 83, "Section"],
Cell[CellGroupData[{
Cell[187621, 3747, 100, 1, 39, "Subsection"],
Cell[187724, 3750, 1620, 34, 200, "Input"],
Cell[189347, 3786, 1929, 34, 112, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[191279, 3822, 2304, 49, 244, "Input"],
Cell[193586, 3873, 500, 11, 90, "Input"],
Cell[194089, 3886, 1001, 24, 156, "Input"],
Cell[CellGroupData[{
Cell[195115, 3914, 30765, 509, 644, "Input"],
Cell[225883, 4425, 30880, 511, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256800, 4941, 165, 4, 62, "Input"],
Cell[256968, 4947, 1894, 28, 77, "Output"]
}, Open  ]],
Cell[258877, 4978, 267, 5, 45, "Input"],
Cell[259147, 4985, 3628, 81, 196, "Input"],
Cell[262778, 5068, 910, 20, 112, "Input"],
Cell[263691, 5090, 476, 10, 45, "Input"],
Cell[264170, 5102, 331, 10, 45, "Input"],
Cell[264504, 5114, 732, 17, 134, "Input"],
Cell[CellGroupData[{
Cell[265261, 5135, 107, 2, 45, "Input"],
Cell[265371, 5139, 4215, 65, 192, "Message"],
Cell[269589, 5206, 1602, 26, 23, "Message"],
Cell[271194, 5234, 1749, 28, 42, "Message"],
Cell[272946, 5264, 1604, 26, 23, "Message"],
Cell[274553, 5292, 1751, 28, 42, "Message"],
Cell[276307, 5322, 1604, 26, 23, "Message"],
Cell[277914, 5350, 1678, 27, 23, "Message"],
Cell[279595, 5379, 1719, 27, 23, "Message"],
Cell[281317, 5408, 1679, 27, 23, "Message"],
Cell[282999, 5437, 1259, 17, 44, "Output"]
}, Open  ]],
Cell[284273, 5457, 134, 3, 45, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[284456, 5466, 247, 3, 50, "Section"],
Cell[CellGroupData[{
Cell[284728, 5473, 100, 1, 39, "Subsection"],
Cell[284831, 5476, 1645, 34, 200, "Input"],
Cell[286479, 5512, 2172, 38, 134, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[288654, 5552, 2573, 56, 288, "Input"],
Cell[291230, 5610, 859, 20, 134, "Input"],
Cell[CellGroupData[{
Cell[292114, 5634, 30765, 509, 644, "Input"],
Cell[322882, 6145, 30880, 511, 644, "Output"]
}, Open  ]],
Cell[353777, 6659, 188, 4, 45, "Input"],
Cell[353968, 6665, 352, 10, 62, "Input"],
Cell[354323, 6677, 2437, 64, 174, "Input"],
Cell[356763, 6743, 1001, 23, 134, "Input"],
Cell[357767, 6768, 495, 10, 45, "Input"],
Cell[358265, 6780, 354, 10, 45, "Input"],
Cell[358622, 6792, 1023, 25, 156, "Input"],
Cell[CellGroupData[{
Cell[359670, 6821, 107, 2, 45, "Input"],
Cell[359780, 6825, 1716, 28, 23, "Message"],
Cell[361499, 6855, 3642, 56, 136, "Message"],
Cell[365144, 6913, 1642, 27, 23, "Message"],
Cell[366789, 6942, 1757, 28, 23, "Message"],
Cell[368549, 6972, 1640, 27, 23, "Message"],
Cell[370192, 7001, 1757, 28, 23, "Message"],
Cell[371952, 7031, 1640, 27, 23, "Message"],
Cell[373595, 7060, 1714, 28, 23, "Message"],
Cell[375312, 7090, 1757, 28, 23, "Message"],
Cell[377072, 7120, 1719, 28, 23, "Message"],
Cell[378794, 7150, 1280, 18, 44, "Output"]
}, Open  ]],
Cell[380089, 7171, 130, 3, 45, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[380268, 7180, 268, 4, 50, "Section"],
Cell[CellGroupData[{
Cell[380561, 7188, 100, 1, 39, "Subsection"],
Cell[380664, 7191, 1659, 34, 200, "Input"],
Cell[382326, 7227, 1929, 34, 112, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[384258, 7263, 2304, 49, 244, "Input"],
Cell[386565, 7314, 500, 11, 90, "Input"],
Cell[387068, 7327, 1001, 24, 156, "Input"],
Cell[CellGroupData[{
Cell[388094, 7355, 30765, 509, 644, "Input"],
Cell[418862, 7866, 30880, 511, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[449779, 8382, 165, 4, 62, "Input"],
Cell[449947, 8388, 1894, 28, 77, "Output"]
}, Open  ]],
Cell[451856, 8419, 267, 5, 45, "Input"],
Cell[452126, 8426, 3628, 81, 196, "Input"],
Cell[455757, 8509, 910, 20, 112, "Input"],
Cell[456670, 8531, 476, 10, 45, "Input"],
Cell[457149, 8543, 331, 10, 45, "Input"],
Cell[457483, 8555, 732, 17, 134, "Input"],
Cell[CellGroupData[{
Cell[458240, 8576, 107, 2, 45, "Input"],
Cell[458350, 8580, 4202, 64, 192, "Message"],
Cell[462555, 8646, 1589, 25, 23, "Message"],
Cell[464147, 8673, 1736, 27, 42, "Message"],
Cell[465886, 8702, 1591, 25, 23, "Message"],
Cell[467480, 8729, 1738, 27, 42, "Message"],
Cell[469221, 8758, 1591, 25, 23, "Message"],
Cell[470815, 8785, 1665, 26, 23, "Message"],
Cell[472483, 8813, 1706, 26, 23, "Message"],
Cell[474192, 8841, 1666, 26, 23, "Message"],
Cell[475861, 8869, 1259, 17, 44, "Output"]
}, Open  ]],
Cell[477135, 8889, 134, 3, 45, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[477318, 8898, 291, 4, 50, "Section"],
Cell[CellGroupData[{
Cell[477634, 8906, 100, 1, 39, "Subsection"],
Cell[477737, 8909, 1679, 34, 200, "Input"],
Cell[479419, 8945, 2172, 38, 134, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[481594, 8985, 2573, 56, 288, "Input"],
Cell[484170, 9043, 859, 20, 134, "Input"],
Cell[CellGroupData[{
Cell[485054, 9067, 30765, 509, 644, "Input"],
Cell[515822, 9578, 30880, 511, 644, "Output"]
}, Open  ]],
Cell[546717, 10092, 188, 4, 45, "Input"],
Cell[546908, 10098, 352, 10, 62, "Input"],
Cell[547263, 10110, 2437, 64, 174, "Input"],
Cell[549703, 10176, 1001, 23, 134, "Input"],
Cell[550707, 10201, 495, 10, 45, "Input"],
Cell[551205, 10213, 354, 10, 45, "Input"],
Cell[551562, 10225, 1023, 25, 156, "Input"],
Cell[CellGroupData[{
Cell[552610, 10254, 107, 2, 45, "Input"],
Cell[552720, 10258, 1703, 27, 23, "Message"],
Cell[554426, 10287, 3629, 55, 155, "Message"],
Cell[558058, 10344, 1629, 26, 23, "Message"],
Cell[559690, 10372, 1744, 27, 23, "Message"],
Cell[561437, 10401, 1627, 26, 23, "Message"],
Cell[563067, 10429, 1744, 27, 23, "Message"],
Cell[564814, 10458, 1627, 26, 23, "Message"],
Cell[566444, 10486, 1701, 27, 23, "Message"],
Cell[568148, 10515, 1744, 27, 23, "Message"],
Cell[569895, 10544, 1706, 27, 23, "Message"],
Cell[571604, 10573, 1280, 18, 44, "Output"]
}, Open  ]],
Cell[572899, 10594, 130, 3, 45, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[573078, 10603, 221, 3, 50, "Section"],
Cell[573302, 10608, 112, 2, 45, "Input"],
Cell[CellGroupData[{
Cell[573439, 10614, 1291, 30, 200, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[574733, 10646, 129, 3, 45, "Input"],
Cell[574865, 10651, 1570, 33, 178, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[576438, 10686, 767, 14, 90, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[577208, 10702, 888, 19, 112, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[578099, 10723, 540, 12, 90, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[578642, 10737, 639, 14, 90, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[579284, 10753, 303, 6, 45, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[579590, 10761, 313, 6, 45, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[579918, 10770, 194, 4, 45, "Input"],
Cell[CellGroupData[{
Cell[580137, 10778, 1692, 33, 156, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[581832, 10813, 577, 12, 45, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[CellGroupData[{
Cell[582434, 10829, 208, 4, 45, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[582645, 10835, 1821, 29, 77, "Message"],
Cell[584469, 10866, 3347, 49, 77, "Message"],
Cell[587819, 10917, 1747, 28, 77, "Message"],
Cell[589569, 10947, 1859, 29, 77, "Message"],
Cell[591431, 10978, 1744, 28, 77, "Message"],
Cell[593178, 11008, 1859, 29, 77, "Message"],
Cell[595040, 11039, 1747, 28, 77, "Message"],
Cell[596790, 11069, 1821, 29, 77, "Message"],
Cell[598614, 11100, 2110, 29, 77, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
