(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1123105,      21587]
NotebookOptionsPosition[   1087327,      20625]
NotebookOutlinePosition[   1088000,      20648]
CellTagsIndexPosition[   1087957,      20645]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Hopsan Components", "Title",
 CellChangeTimes->{{3.4779983420160294`*^9, 3.4779983526597185`*^9}, {
  3.57574170486287*^9, 3.575741706828474*^9}}],

Cell[CellGroupData[{

Cell["General", "Section",
 CellChangeTimes->{{3.5719269675877132`*^9, 3.5719269908317537`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}]}], "Input",
 CellChangeTimes->{3.522605694171875*^9, 3.571926984357743*^9}],

Cell[BoxData[
 RowBox[{"<<", "C:\\\\Hopsan\\Compgen\\CompgenNG06.mx"}]], "Input",
 CellChangeTimes->{{3.5772037650720577`*^9, 3.5772037650780582`*^9}}],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}]], "Input",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell["Definitions to deal with cavitation", "Subsection",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.51582117543931*^9, 3.5158211986111856`*^9}}],

Cell["\<\
c1e  = onPositive[p1]c1;\tZc1e = onPositive[p1]Zc1;
c2e  = onPositive[p2]c2;\tZc2e = onPositive[p2]Zc2;
c3e  = onPositive[p3]c3;\tZc3e = onPositive[p3]Zc3;\t
c4e  = onPositive[p4]c4;\tZc4e = onPositive[p4]Zc4;\t
c5e  = onPositive[p5]c5;\tZc5e = onPositive[p5]Zc5;\t
c6e  = onPositive[p6]c6;\tZc6e = onPositive[p6]Zc6;\t
c7e  = onPositive[p7]c7;\tZc7e = onPositive[p7]Zc7;\t
c8e  = onPositive[p8]c8;\tZc8e = onPositive[p8]Zc8;\t
c9e  = onPositive[p9]c9;\tZc9e = onPositive[p9]Zc9;

cpe  = onPositive[pp]cp;\tZcpe = onPositive[pp]Zcp;
cte  = onPositive[pt]ct;\tZcte = onPositive[pt]Zct;
cae  = onPositive[pa]ca;\tZcae = onPositive[pa]Zca;
cbe  = onPositive[pb]cb;\tZcbe = onPositive[pb]Zcb;
clse  = onPositive[pls]cls;\tZclse = onPositive[pls]Zcls;
cocpe  = onPositive[pocp]cocp;\tZcocpe = onPositive[pocp]Zcocp;
cocte  = onPositive[poct]coct;\tZcocte = onPositive[poct]Zcoct;
T=.;
p=.;\
\>", "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5058230242546153`*^9, 3.5058230333948307`*^9}, {
  3.515752936778079*^9, 3.515752984887762*^9}, {3.5159004613332157`*^9, 
  3.515900471411276*^9}, {3.528190529296875*^9, 3.528190549421875*^9}, {
  3.571993710119341*^9, 3.5719937938918777`*^9}, {3.577451517285952*^9, 
  3.577451517636917*^9}, {3.5774515638552947`*^9, 3.5774515764620337`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"HydraulicPath", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<ComponentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Hydraulic\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, 3.6031909973287797`*^9, 
   3.6057717887213297`*^9, {3.605771829393656*^9, 3.605771830929744*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"HydraulicPath", ",", "\"\<Valves\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.6057717446208067`*^9, 
   3.605771844088496*^9}],

Cell[CellGroupData[{

Cell["\<\
Valve416, 4-16 directional valve
Valve with independent orifices\
\>", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.522407302984375*^9, 3.5224073030625*^9}, {
  3.529405864693793*^9, 3.5294058650375648`*^9}, {3.571926092945777*^9, 
  3.571926143521066*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["This component represents a valve with independent orifices", "Text",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.571925968488759*^9, 3.5719259763043723`*^9}, {
  3.57192611717262*^9, 3.5719261481542745`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Valve416\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<A hydraulic valve with separate orifices\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
  3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039163616741247`*^9, 
  3.5039163829709997`*^9}, {3.5224076759375*^9, 3.522407684921875*^9}, {
  3.5290528646325717`*^9, 3.5290528810234065`*^9}, {3.5719262624820747`*^9, 
  3.5719262626692753`*^9}, {3.5762153638143263`*^9, 3.5762154300781546`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"p", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Pressure port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Tank port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"a", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port A\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"b", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port B\>\""}], "]"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503919051294972*^9, 3.503919119154347*^9}, {
   3.503923736440875*^9, 3.503923751003375*^9}, {3.5039293570625*^9, 
   3.503929406765625*^9}, 3.50394250446875*^9, {3.50399668911909*^9, 
   3.5039966973713074`*^9}, {3.507548807751546*^9, 3.5075488260955305`*^9}, {
   3.515612779640625*^9, 3.515612784234375*^9}, 3.5290571602703304`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xvpa", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xvta", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xvpb", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xvtb", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.51879550009375*^9, 3.51879554940625*^9}, 
   3.519063771984375*^9, 3.519064900515625*^9, {3.5224043838125*^9, 
   3.5224044046875*^9}, {3.522407325984375*^9, 3.522407368*^9}, {
   3.52240747128125*^9, 3.52240747734375*^9}, {3.5290559636475*^9, 
   3.529056040051857*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Sd", ",", ".001", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frpa", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-A)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frta", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(A-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frpb", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-B)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frtb", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(B-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xpa0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xta0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xpb0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xtb0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max opening\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "plam", ",", "10000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulence onset pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.503916073562605*^9, 3.50391608476573*^9}, {
   3.5039161716261826`*^9, 3.503916172813698*^9}, 3.503919167716847*^9, {
   3.505588895375*^9, 3.5055889695*^9}, {3.505589016640625*^9, 
   3.505589034984375*^9}, {3.505589276125*^9, 3.505589277078125*^9}, {
   3.505590362109375*^9, 3.50559036675*^9}, {3.505590803484375*^9, 
   3.50559082509375*^9}, {3.5075449148100324`*^9, 3.507544933372048*^9}, {
   3.5075449813674784`*^9, 3.507545001403344*^9}, {3.507562171421875*^9, 
   3.50756217203125*^9}, {3.5158237803828354`*^9, 3.5158238002578354`*^9}, {
   3.522407439671875*^9, 3.5224075113125*^9}, {3.52240789725*^9, 
   3.522407899609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "qp", ",", "qt", ",", "qa", ",", "qb", ",", "pp", ",", "pt", ",", "pa", 
     ",", "pb"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503916309424025*^9, 3.5039163118146653`*^9}, 
   3.504160933453125*^9, 3.504161512171875*^9, {3.50416161690625*^9, 
   3.504161620484375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"stateVaraiables", "=", "systemVariables"}]], "Input",
 CellChangeTimes->{{3.50416147734375*^9, 3.504161487875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "qp", ",", "qt", ",", "qa", ",", "qb", ",", "pp", ",", "pt", ",", "pa", ",",
    "pb"}], "}"}]], "Output",
 CellChangeTimes->{{3.50416149059375*^9, 3.504161518078125*^9}, 
   3.50416159009375*^9, 3.504161664859375*^9, 3.504161729515625*^9, 
   3.5041617701875*^9, 3.5041618370625*^9, 3.504162297265625*^9, {
   3.504162364703125*^9, 3.5041623686875*^9}, {3.504171014125*^9, 
   3.504171044*^9}, 3.504171122859375*^9, 3.504171162640625*^9, 
   3.504171536609375*^9, 3.5042447133228855`*^9, 3.504244808134878*^9, 
   3.5042449916337037`*^9, 3.5042450762737865`*^9, 3.505554970492375*^9, 
   3.505589055671875*^9, 3.50558931015625*^9, 3.50558941165625*^9, 
   3.505589862890625*^9, 3.50559019184375*^9, 3.505590461734375*^9, 
   3.505590660640625*^9, 3.505813707819889*^9, 3.505813826953993*^9, 
   3.5058141634577208`*^9, 3.5058194034297037`*^9, 3.505819599332139*^9, 
   3.505820096910803*^9, 3.5058204731800117`*^9, 3.5058206283469214`*^9, 
   3.5058212986379714`*^9, 3.505821380994711*^9, 3.5075506045718226`*^9, 
   3.507550666041978*^9, 3.507550873554947*^9, 3.507550977349361*^9, 
   3.5075514110918517`*^9, 3.507551553573367*^9, 3.507551681612176*^9, 
   3.50756133390625*^9, 3.50756142040625*^9, 3.507561700671875*^9, 
   3.507562519984375*^9, 3.5075626041875*^9, 3.507562890984375*^9, 
   3.50756299434375*^9, 3.5075630895*^9, {3.5140083470194654`*^9, 
   3.5140083559725904`*^9}, {3.515608932859375*^9, 3.515608935609375*^9}, {
   3.51561100403125*^9, 3.515611005703125*^9}, {3.515612228484375*^9, 
   3.515612230578125*^9}, {3.5156129380625*^9, 3.51561294084375*^9}, {
   3.515613407625*^9, 3.5156134090625*^9}, {3.515613493921875*^9, 
   3.515613495296875*^9}, {3.515613636859375*^9, 3.515613638140625*^9}, {
   3.5156137885625*^9, 3.515613815515625*^9}, 3.51561387946875*^9, 
   3.51561392259375*^9, 3.51567645646875*^9, 3.515677044578125*^9, 
   3.51567743296875*^9, 3.515677737046875*^9, 3.515677800625*^9, 
   3.51568202253125*^9, 3.515682066078125*^9, 3.515682465421875*^9, 
   3.515682588640625*^9, 3.5158238342265854`*^9, 3.5158239350390854`*^9, 
   3.522407779203125*^9, 3.522407908671875*^9, 3.522605226765625*^9, 
   3.52260592203125*^9, 3.522606220234375*^9, 3.522606299765625*^9, 
   3.524842630859375*^9, 3.529052911258*^9, {3.5290560636137533`*^9, 
   3.529056065051217*^9}, 3.5290566671391516`*^9, 3.5290572033638043`*^9, 
   3.5294034452645493`*^9, 3.529404231771738*^9, 3.529405788423287*^9, 
   3.529405869022195*^9, 3.529405906024563*^9, 3.529406252373511*^9, 
   3.5294067192910047`*^9, 3.529406828489685*^9, 3.5330392140963397`*^9, 
   3.53310218628125*^9, 3.53310252628125*^9, 3.533116403328125*^9, 
   3.533153918359375*^9, 3.53315401303125*^9, 3.5332733924862785`*^9, 
   3.53872295352575*^9, 3.538977594583536*^9, 3.554715621686341*^9, 
   3.571977223462946*^9, 3.571987467032507*^9, 3.5719883366839237`*^9, 
   3.575649102693378*^9, 3.575651857140681*^9, 3.5757161670667696`*^9, 
   3.5757162212459173`*^9, 3.5757266120925083`*^9, 3.5757721882657266`*^9, 
   3.5757724084495916`*^9, 3.575772541393025*^9, 3.5757726399632444`*^9, 
   3.575860266418288*^9, 3.576214805069736*^9, {3.576214844924736*^9, 
   3.576214869610736*^9}, 3.5762154597531223`*^9, {3.5762155668078265`*^9, 
   3.5762155750576515`*^9}, 3.576215920368179*^9, 3.5762160011732583`*^9, 
   3.576216057201861*^9, 3.5762161569827385`*^9, 3.576216873913533*^9, 
   3.576216959465088*^9, 3.576217014884629*^9, 3.576217135193659*^9, {
   3.576217196605799*^9, 3.576217224878626*^9}, 3.576241229231371*^9, 
   3.576241306567315*^9, {3.5762413778088856`*^9, 3.576241399882924*^9}, 
   3.576241475371457*^9, 3.576241553355994*^9, 3.576836869984907*^9, 
   3.576838271595539*^9, 3.576838423540732*^9, 3.5774507288019285`*^9, 
   3.5774511240484495`*^9, 3.577451203671411*^9, 3.577451523712309*^9, 
   3.577451580086671*^9, 3.577451785976363*^9, 3.5776056107833543`*^9, 
   3.5776155310609474`*^9, 3.5776166307379045`*^9, 3.577616695659396*^9, 
   3.5776167596707964`*^9, 3.5785097086225624`*^9, 3.578816615609367*^9, 
   3.581405986133031*^9, 3.5814062736434755`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDa", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"qp", " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qpa"}], "-", "qpb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qt", " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qta"}], "-", "qtb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qa", " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{"qpa", "+", "qta"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qb", " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{"qpb", "+", "qtb"}], ")"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.50754870493773*^9, 3.507548721672319*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qpa", " ", "=", " ", 
   RowBox[{"Kspa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qta", " ", "=", " ", 
   RowBox[{"Ksta", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qpb", " ", "=", " ", 
   RowBox[{"Kspb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qtb", " ", "=", " ", 
   RowBox[{"Kstb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.504198984265625*^9, 3.505589001421875*^9, {3.5075513871678333`*^9, 
   3.5075513902618604`*^9}, {3.5158238134609604`*^9, 3.5158238195390854`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xpa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xvpa", " ", "+", " ", "Xpa0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xpa0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xta", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xvta", " ", "+", " ", "Xta0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xta0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xpb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xvpb", " ", "+", " ", "Xpb0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xpb0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xtb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xvtb", " ", "+", " ", "Xtb0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xtb0"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.50558966315625*^9, 3.50558969203125*^9}, {
  3.5055897985*^9, 3.505589808*^9}, {3.507562582*^9, 3.507562588921875*^9}, {
  3.522407389390625*^9, 3.52240743359375*^9}, {3.522407538234375*^9, 
  3.52240758965625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wpa", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frpa"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wta", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frta"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wpb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frpb"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wtb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frtb"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5055896995*^9, 3.505589724359375*^9}, {
  3.522407617390625*^9, 3.52240765771875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", " ", "=", " ", 
   RowBox[{"{", "\n", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Ks", ",", 
       RowBox[{"Cq", "*", 
        FractionBox[
         RowBox[{"N", "[", 
          SqrtBox["2"], "]"}], 
         SqrtBox["rho"]]}], ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\n", 
     RowBox[{"{", 
      RowBox[{"Kspa", ",", 
       RowBox[{"Xpa", " ", "wpa", " ", "Ks"}], ",", "double", ",", "\"\<\>\"",
        ",", "\"\<Flow coefficient\>\""}], "}"}], ",", "\n", 
     RowBox[{"{", 
      RowBox[{"Ksta", ",", 
       RowBox[{"Xta", " ", "wta", " ", "Ks"}], ",", "double", ",", "\"\<\>\"",
        ",", "\"\<Flow coefficient\>\""}], "}"}], ",", "\n", 
     RowBox[{"{", 
      RowBox[{"Kspb", ",", 
       RowBox[{"Xpb", " ", "wpb", " ", "Ks"}], ",", "double", ",", "\"\<\>\"",
        ",", "\"\<Flow coefficient\>\""}], "}"}], ",", "\n", 
     RowBox[{"{", 
      RowBox[{"Kstb", ",", 
       RowBox[{"Xtb", " ", "wtb", " ", "Ks"}], ",", "double", ",", "\"\<\>\"",
        ",", "\"\<Flow coefficient\>\""}], "}"}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5055892220625*^9, 3.505589231265625*^9}, 
   3.505589573890625*^9, 3.505813673194783*^9, {3.5058212753418417`*^9, 
   3.5058212802010612`*^9}, {3.5058213722606153`*^9, 3.505821373432453*^9}, {
   3.5075515846230235`*^9, 3.507551585263706*^9}, 3.507551672580868*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"boundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pp", " ", "-", " ", "cp", " ", "-", " ", 
      RowBox[{"Zcpe", " ", "qp"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pt", " ", "-", " ", "ct", " ", "-", " ", 
      RowBox[{"Zcte", " ", "qt"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pa", " ", "-", " ", "ca", " ", "-", " ", 
      RowBox[{"Zcae", " ", "qa"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pb", " ", "-", " ", "cb", " ", "-", " ", 
      RowBox[{"Zcbe", " ", "qb"}]}]}], "\n", "      ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50559120440625*^9, 3.50559120803125*^9}, {
  3.505591469296875*^9, 3.505591475125*^9}, {3.5075486382337513`*^9, 
  3.5075486907344227`*^9}, {3.51582107740806*^9, 3.5158210786736856`*^9}, {
  3.515900481708085*^9, 3.5159004828643227`*^9}, {3.5785095804242296`*^9, 
  3.5785095836104116`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"VariableLimits", "=."}], ";"}]], "Input",
 CellChangeTimes->{3.50391626568937*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pt", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pa", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pb", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9, {3.5785095622901926`*^9, 3.57850957780508*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \
\\\"6\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve416.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve416.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.4`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pt\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] 0.8`\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"270\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"xvtb\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicValve416\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\(\\(\\\"Hy\\\" \[Ellipsis] \\\"16\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve416.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve416.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 6 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.8`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"xvtb\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062739684944`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062739944963`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.2`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.2`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.581406274015497*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.581406274017497*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.4`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.4`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062740184975`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.581406274031498*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062740394983`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6000000000000001`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6000000000000001`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062740414987`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522407779296875*^9, 3.522407908765625*^9, 3.52260522746875*^9, 
   3.522605922359375*^9, 3.52260622040625*^9, 3.522606299890625*^9, 
   3.52484263096875*^9, 3.529052911336125*^9, {3.5290560637075014`*^9, 
   3.529056065160589*^9}, 3.5290566672797794`*^9, 3.5290572035356784`*^9, 
   3.529403447452259*^9, 3.529404233037582*^9, 3.529405788860815*^9, 
   3.529405870178519*^9, 3.5294059070871305`*^9, 3.5294062528267374`*^9, 
   3.5294067204317465`*^9, 3.529406830677409*^9, 3.5330392163152742`*^9, 
   3.533102186765625*^9, 3.533102526796875*^9, 3.533116404421875*^9, 
   3.533153918734375*^9, 3.5331540140625*^9, 3.533273392658141*^9, 
   3.53872295365075*^9, 3.538977594911661*^9, 3.554715621780063*^9, 
   3.5719772235721483`*^9, 3.571987467157308*^9, 3.571988336824327*^9, 
   3.575649103487424*^9, 3.575651857249687*^9, 3.5757161671915703`*^9, 
   3.575716221370718*^9, 3.5757266122485085`*^9, 3.5757721884217267`*^9, 
   3.575772408699192*^9, 3.5757725415490255`*^9, 3.5757726400568447`*^9, 
   3.575860266543028*^9, 3.5762148051857357`*^9, {3.576214845042736*^9, 
   3.576214869719736*^9}, 3.5762154600921555`*^9, {3.576215566914837*^9, 
   3.5762155753816833`*^9}, 3.576215920838226*^9, 3.5762160013542767`*^9, 
   3.5762160573838787`*^9, 3.576216157113739*^9, 3.5762168740545473`*^9, 
   3.5762169596291037`*^9, 3.5762170150386443`*^9, 3.576217135332672*^9, {
   3.576217196775816*^9, 3.5762172250326414`*^9}, 3.576241229356171*^9, 
   3.576241306645315*^9, {3.5762413779336863`*^9, 3.576241399960925*^9}, 
   3.576241475449457*^9, 3.5762415534495945`*^9, 3.576836870138907*^9, 
   3.5768382716875486`*^9, 3.5768384236507435`*^9, 3.5774507294909973`*^9, 
   3.5774511246165066`*^9, 3.57745120416146*^9, 3.5774515242102594`*^9, 
   3.5774515805946207`*^9, 3.5774517863783627`*^9, 3.5776056109373703`*^9, 
   3.5776155311699586`*^9, 3.5776166308459153`*^9, 3.577616695768407*^9, 
   3.577616759785808*^9, 3.578509708723568*^9, 3.5788166160133667`*^9, 
   3.5814059863000407`*^9, 3.5814062740424986`*^9}],

Cell[BoxData["\<\"HydraulicValve416.xml\"\>"], "Output",
 CellChangeTimes->{
  3.53310252696875*^9, 3.533116404515625*^9, 3.533153918828125*^9, 
   3.53315401415625*^9, 3.533273392720637*^9, 3.53872295365075*^9, 
   3.538977594927286*^9, 3.554715621795684*^9, 3.5719772235877485`*^9, 
   3.5719874671729083`*^9, 3.5719883368399277`*^9, 3.5756491035004244`*^9, 
   3.5756518572626877`*^9, 3.5757161672071705`*^9, 3.575716221386318*^9, 
   3.5757266122641087`*^9, 3.575772188437327*^9, 3.5757724087147923`*^9, 
   3.5757725415490255`*^9, 3.575772640072445*^9, 3.575860266543028*^9, 
   3.576214805194736*^9, {3.576214845055736*^9, 3.576214869740736*^9}, 
   3.576215460195166*^9, {3.576215566924838*^9, 3.5762155755006957`*^9}, 
   3.5762159209882407`*^9, 3.5762160013892803`*^9, 3.576216057415882*^9, 
   3.5762161572967386`*^9, 3.576216874258568*^9, 3.576216959818123*^9, 
   3.576217015210662*^9, 3.5762171355216913`*^9, {3.576217196947833*^9, 
   3.576217225208659*^9}, 3.576241229714972*^9, 3.5762413068013153`*^9, {
   3.576241378074086*^9, 3.576241400101325*^9}, 3.5762414755586576`*^9, 
   3.576241553574394*^9, 3.5768368703979073`*^9, 3.5768382718105607`*^9, 
   3.5768384236837463`*^9, 3.5774507294959984`*^9, 3.577451124627507*^9, 
   3.577451204168461*^9, 3.5774515242192583`*^9, 3.5774515806046195`*^9, 
   3.577451786527363*^9, 3.5776056109423704`*^9, 3.57761553118196*^9, 
   3.577616630855916*^9, 3.5776166957814083`*^9, 3.577616759791808*^9, 
   3.5785097087525697`*^9, 3.5788166161473665`*^9, 3.5814059863120413`*^9, 
   3.581406274043499*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"HydraulicPath", ",", "\"\<Volumes&Lines\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.578048851709647*^9}, 3.5814158414737244`*^9, 
   3.605771860351426*^9}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["PistonAckumulator",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}, {
  3.549457210515625*^9, 3.54945721375*^9}, {3.54964439396875*^9, 
  3.54964439896875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonAckumulator\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, {
   3.549457222296875*^9, 3.54945722546875*^9}, 3.575772120031607*^9, {
   3.5762160742815685`*^9, 3.5762160813272734`*^9}, 3.5762161442987385`*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{"Bp", "=."}]], "Input",
 CellChangeTimes->{{3.54953147675*^9, 3.549531484296875*^9}}],

Cell[BoxData[
 RowBox[{"Ap", "=."}]], "Input",
 CellChangeTimes->{{3.549531954671875*^9, 3.549531956125*^9}}],

Cell[BoxData[
 RowBox[{"p0", "=."}]], "Input",
 CellChangeTimes->{{3.5757275961835957`*^9, 3.575727597525198*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "10.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ML", ",", "1.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "kappa", ",", "1.2", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<polytropic exp. of gas\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"p0", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", "7"]}], ",", "double", ",", "\"\<N/m^2\>\"", 
       ",", "\"\<Preload pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
   3.5494574883125*^9, 3.54945752521875*^9}, {3.549531806859375*^9, 
   3.54953194565625*^9}, {3.54953217975*^9, 3.549532183765625*^9}, {
   3.549544892890625*^9, 3.54954489334375*^9}, {3.549548144921875*^9, 
   3.54954814540625*^9}, 3.5495483063125*^9, {3.549644405828125*^9, 
   3.5496444085*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Va", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", 
         RowBox[{"-", "3"}]]}], ",", "double", ",", "\"\<m^3\>\"", ",", 
       "\"\<Oil volume\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"pa", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", "7"]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Ackumulator oil pressure\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xmp", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Piston position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "vmp", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Piston speed\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.54953165409375*^9, 3.549531724296875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{"HydraulicQnode", "[", 
     RowBox[{"1", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}, {
  3.54945737746875*^9, 3.54945738609375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"Ap", " ", "p1"}], " ", "-", " ", 
    RowBox[{"Ap", " ", "pa"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
   3.54945753215625*^9, 3.549457535234375*^9}, 3.549531626078125*^9}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "xmp", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{"Bp", " ", 
       RowBox[{"der", "[", "xmp", "]"}]}]}], " ", "==", " ", "fg"}], " ", ",",
     "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", "vmp", "]"}]}], " ", "+", " ", 
      RowBox[{"Bp", " ", "vmp"}]}], "  ", "==", " ", "fg"}], " ", ",", "\n", 
    "\t", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{
      RowBox[{"-", " ", "Ap"}], " ", "vmp"}]}], " ", ",", "\n", "\t", 
    RowBox[{
     RowBox[{"pa", "  ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"SL", "-", "xmp"}], ")"}], "Ap"}], ")"}], "kappa"]}], " ", "==", 
     RowBox[{"p0", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"SL", " ", "Ap"}], ")"}], " "}], "kappa"]}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, 
   3.549457307015625*^9, {3.549457351265625*^9, 3.54945736171875*^9}, {
   3.549457392*^9, 3.549457398203125*^9}, {3.54945742834375*^9, 
   3.549457482296875*^9}, {3.5494575509375*^9, 3.549457556703125*^9}, 
   3.549526952765625*^9, {3.549532039546875*^9, 3.549532058125*^9}, {
   3.54953211190625*^9, 3.5495321299375*^9}, {3.549532235765625*^9, 
   3.549532235828125*^9}, {3.549544864359375*^9, 3.549544883234375*^9}, {
   3.549548317125*^9, 3.549548322796875*^9}, {3.549548688859375*^9, 
   3.549548692421875*^9}, {3.5719033502092543`*^9, 3.571903383796113*^9}}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"Va", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"SL", "-", "xmp"}], ")"}], "Ap"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54952682025*^9, 3.54952686515625*^9}, {
  3.5719034223281803`*^9, 3.571903426477788*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "0.", ",", "SL"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}, {
   3.549457539921875*^9, 3.54945754465625*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"p1", "==", 
     RowBox[{"c1e", "+", 
      RowBox[{"Zc1e", " ", "q1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.549457268203125*^9, 3.549457269234375*^9}, {3.5494574144375*^9, 
  3.549457415609375*^9}, {3.5719034112833614`*^9, 3.5719034182409735`*^9}, {
  3.594115760384305*^9, 3.5941157734826145`*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{"xmp", ",", "vmp", ",", "q1", ",", "pa", ",", "p1"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}, {
  3.54952696459375*^9, 3.54952699509375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.5941157891971855`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.5941157891991863`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.594115789201186*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.594115789248191*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.2\\\"\\)\\), \
\\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Va\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0.4\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"pa\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0.6\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"vmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\(\\(\\\"\\\" \
\[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\
\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonAckumulator.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.2\\\"\\)\\), \
\\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Va\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.6\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"vmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third \
item in an XMLElement must be a list of contents, even if it is an empty \
list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.594115789496216*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.5941157895562215`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.594115789622228*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.571977224336563*^9, 3.575649104457479*^9, 3.575651858053733*^9, 
   3.575716168080776*^9, 3.5757162221195226`*^9, 3.57572661318451*^9, 
   3.5757721897633295`*^9, 3.575772409791194*^9, 3.575772542578627*^9, 
   3.575772640961646*^9, 3.5758602674473867`*^9, 3.576214806115736*^9, {
   3.576214845963736*^9, 3.5762148706127357`*^9}, 3.5762154604811945`*^9, {
   3.576215567117857*^9, 3.576215575724718*^9}, 3.5762159213782797`*^9, 
   3.57621600168631*^9, 3.5762160576939096`*^9, 3.5762161574947386`*^9, 
   3.576216874490591*^9, 3.5762169600361443`*^9, 3.5762170154626865`*^9, 
   3.576217135787718*^9, {3.5762171972548637`*^9, 3.5762172255056887`*^9}, 
   3.5762412299489727`*^9, 3.5762413069573154`*^9, {3.5762413782456865`*^9, 
   3.5762414002729254`*^9}, 3.5762414757458577`*^9, 3.5762415537459946`*^9, 
   3.5774507318892374`*^9, 3.577451128041849*^9, 3.5774512065667005`*^9, 
   3.57745152660302*^9, 3.5774515837143087`*^9, 3.577451789651363*^9, 
   3.5776155326931105`*^9, 3.5776166323510656`*^9, 3.577616697324562*^9, 
   3.577616761325962*^9, 3.57850970893758*^9, 3.578816616384367*^9, 
   3.581405986582057*^9, 3.58140627424151*^9, 3.5941157896242285`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Ackumulator",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}, {
   3.549457210515625*^9, 3.54945721375*^9}, {3.54964439396875*^9, 
   3.54964439896875*^9}, 3.576214739734736*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Ackumulator\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, {
   3.549457222296875*^9, 3.54945722546875*^9}, 3.575772120031607*^9, 
   3.576214746669736*^9, {3.576216089867127*^9, 3.5762161017623167`*^9}, 
   3.576216150378739*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{"Bp", "=."}]], "Input",
 CellChangeTimes->{{3.54953147675*^9, 3.549531484296875*^9}}],

Cell[BoxData[
 RowBox[{"Ap", "=."}]], "Input",
 CellChangeTimes->{{3.549531954671875*^9, 3.549531956125*^9}}],

Cell[BoxData[
 RowBox[{"p0", "=."}]], "Input",
 CellChangeTimes->{{3.5757275961835957`*^9, 3.575727597525198*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "10.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "kappa", ",", "1.2", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<polytropic exp. of gas\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"p0", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", "7"]}], ",", "double", ",", "\"\<N/m^2\>\"", 
       ",", "\"\<Preload pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
   3.5494574883125*^9, 3.54945752521875*^9}, {3.549531806859375*^9, 
   3.54953194565625*^9}, {3.54953217975*^9, 3.549532183765625*^9}, {
   3.549544892890625*^9, 3.54954489334375*^9}, {3.549548144921875*^9, 
   3.54954814540625*^9}, 3.5495483063125*^9, {3.549644405828125*^9, 
   3.5496444085*^9}, 3.576214751415736*^9, {3.576216760103153*^9, 
   3.576216762851428*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "V0", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Ackumulator Volume\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kca", ",", 
       RowBox[{"1.", " ", 
        SuperscriptBox["10", 
         RowBox[{"-", "7"}]]}], ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Ack. inlet coeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "kappa", ",", "1.2", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<polytropic exp. of gas\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"p0", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", "7"]}], ",", "double", ",", "\"\<N/m^2\>\"", 
       ",", "\"\<Preload pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
   3.5494574883125*^9, 3.54945752521875*^9}, {3.549531806859375*^9, 
   3.54953194565625*^9}, {3.54953217975*^9, 3.549532183765625*^9}, {
   3.549544892890625*^9, 3.54954489334375*^9}, {3.549548144921875*^9, 
   3.54954814540625*^9}, 3.5495483063125*^9, {3.549644405828125*^9, 
   3.5496444085*^9}, 3.576214751415736*^9, {3.576216439434739*^9, 
   3.576216449688739*^9}, {3.576216712838739*^9, 3.576216716478739*^9}, {
   3.576216769119055*^9, 3.576216864499592*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Va", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", 
         RowBox[{"-", "3"}]]}], ",", "double", ",", "\"\<m^3\>\"", ",", 
       "\"\<Oil volume\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"pa", ",", 
       RowBox[{"1.", "*", 
        SuperscriptBox["10", "7"]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Ackumulator oil pressure\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xmp", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<State of charge\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "vmp", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<State of charge speed\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54953165409375*^9, 3.549531724296875*^9}, {
  3.576217056639804*^9, 3.5762170731454544`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{"HydraulicQnode", "[", 
     RowBox[{"1", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}, {
  3.54945737746875*^9, 3.54945738609375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SuperscriptBox["0.001", "2"], "/", "10."}]], "Input",
 CellChangeTimes->{{3.576216726349739*^9, 3.576216747875931*^9}}],

Cell[BoxData["1.`*^-7"], "Output",
 CellChangeTimes->{
  3.5762167489960427`*^9, 3.5762168748776293`*^9, 3.576216960399181*^9, 
   3.5762170158127213`*^9, 3.5762171361587553`*^9, {3.5762171975688953`*^9, 
   3.576217225858724*^9}, 3.5762412301517725`*^9, 3.576241307113316*^9, {
   3.576241378417287*^9, 3.5762414004289255`*^9}, 3.576241475917458*^9, 
   3.576241553917595*^9, 3.577450732436292*^9, 3.5774511285318975`*^9, 
   3.5774512071767616`*^9, 3.577451527223958*^9, 3.577451583950285*^9, 
   3.577451790135363*^9, 3.577615532873129*^9, 3.577616632548085*^9, 
   3.5776166974945793`*^9, 3.5776167615039797`*^9, 3.578509709086589*^9, 
   3.578816616760367*^9, 3.5814059867950687`*^9, 3.581406274450522*^9, 
   3.594115789790245*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SL", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.576216992841425*^9, 3.576216997868928*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ap", "=", "V0"}], ";"}]], "Input",
 CellChangeTimes->{{3.5762169483479757`*^9, 3.57621695318746*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bp", "=", 
   FractionBox[
    SuperscriptBox["Ap", "2"], "Kca"]}], ";"}]], "Input",
 CellChangeTimes->{{3.576216660493739*^9, 3.576216693191739*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"Ap", " ", "p1"}], " ", "-", " ", 
    RowBox[{"Ap", " ", "pa"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
   3.54945753215625*^9, 3.549457535234375*^9}, 3.549531626078125*^9}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", ":=", " ", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Bp", " ", 
      RowBox[{"der", "[", "xmp", "]"}]}], " ", "==", " ", "fg"}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Bp", " ", "vmp"}], "  ", "==", " ", "fg"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{
      RowBox[{"-", " ", "Ap"}], " ", "vmp"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pa", "  ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"SL", "-", "xmp"}], ")"}], "Ap"}], ")"}], "kappa"]}], " ", "==", 
     RowBox[{"p0", " ", 
      SuperscriptBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"SL", " ", "Ap"}], ")"}], " "}], "kappa"]}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, 
   3.549457307015625*^9, {3.549457351265625*^9, 3.54945736171875*^9}, {
   3.549457392*^9, 3.549457398203125*^9}, {3.54945742834375*^9, 
   3.549457482296875*^9}, {3.5494575509375*^9, 3.549457556703125*^9}, 
   3.549526952765625*^9, {3.549532039546875*^9, 3.549532058125*^9}, {
   3.54953211190625*^9, 3.5495321299375*^9}, {3.549532235765625*^9, 
   3.549532235828125*^9}, {3.549544864359375*^9, 3.549544883234375*^9}, {
   3.549548317125*^9, 3.549548322796875*^9}, {3.549548688859375*^9, 
   3.549548692421875*^9}, {3.5719033502092543`*^9, 3.571903383796113*^9}, {
   3.5762147596047363`*^9, 3.576214789346736*^9}, 3.576214838815736*^9, 
   3.5762149233297358`*^9}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"Va", "==", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"SL", "-", "xmp"}], ")"}], "Ap"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.54952682025*^9, 3.54952686515625*^9}, {
  3.5719034223281803`*^9, 3.571903426477788*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "0.", ",", "SL"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}, {
   3.549457539921875*^9, 3.54945754465625*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"p1", "==", 
     RowBox[{"c1e", "+", 
      RowBox[{"Zc1e", " ", "q1"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.549457268203125*^9, 3.549457269234375*^9}, {3.5494574144375*^9, 
  3.549457415609375*^9}, {3.5719034112833614`*^9, 3.5719034182409735`*^9}, {
  3.594115692243491*^9, 3.5941157083961067`*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{"xmp", ",", "vmp", ",", "q1", ",", "pa", ",", "p1"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}, {
  3.54952696459375*^9, 3.54952699509375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5762171977479134`*^9, 3.576217226034742*^9}, 
   3.576241230260973*^9, 3.5762413071913157`*^9, {3.576241378510887*^9, 
   3.5762414005381255`*^9}, 3.5762414760110583`*^9, 3.5762415541047955`*^9, 
   3.5774507326213107`*^9, 3.5774511287229166`*^9, 3.577451207332777*^9, 
   3.5774515273909416`*^9, 3.577451584078272*^9, 3.577451790303363*^9, 
   3.5776155330751495`*^9, 3.577616632746105*^9, 3.5776166976925993`*^9, 
   3.5776167617440033`*^9, 3.578509709207596*^9, 3.5788166168693666`*^9, 
   3.5814059869340773`*^9, 3.581406274701536*^9, 3.5941157899172573`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"\\\" \[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \
\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicAckumulator.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicAckumulator.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.2\\\"\\)\\), \
\\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Va\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0.4\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"pa\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.6\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"xmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"vmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\[NoBreak] is not a list of contents. The third \
item in an XMLElement must be a list of contents, even if it is an empty \
list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5762171977479134`*^9, 3.576217226034742*^9}, 
   3.576241230260973*^9, 3.5762413071913157`*^9, {3.576241378510887*^9, 
   3.5762414005381255`*^9}, 3.5762414760110583`*^9, 3.5762415541047955`*^9, 
   3.5774507326213107`*^9, 3.5774511287229166`*^9, 3.577451207332777*^9, 
   3.5774515273909416`*^9, 3.577451584078272*^9, 3.577451790303363*^9, 
   3.5776155330751495`*^9, 3.577616632746105*^9, 3.5776166976925993`*^9, 
   3.5776167617440033`*^9, 3.578509709207596*^9, 3.5788166168693666`*^9, 
   3.5814059869340773`*^9, 3.581406274701536*^9, 3.594115789947261*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5762171977479134`*^9, 3.576217226034742*^9}, 
   3.576241230260973*^9, 3.5762413071913157`*^9, {3.576241378510887*^9, 
   3.5762414005381255`*^9}, 3.5762414760110583`*^9, 3.5762415541047955`*^9, 
   3.5774507326213107`*^9, 3.5774511287229166`*^9, 3.577451207332777*^9, 
   3.5774515273909416`*^9, 3.577451584078272*^9, 3.577451790303363*^9, 
   3.5776155330751495`*^9, 3.577616632746105*^9, 3.5776166976925993`*^9, 
   3.5776167617440033`*^9, 3.578509709207596*^9, 3.5788166168693666`*^9, 
   3.5814059869340773`*^9, 3.581406274701536*^9, 3.594115789948261*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5762171977479134`*^9, 3.576217226034742*^9}, 
   3.576241230260973*^9, 3.5762413071913157`*^9, {3.576241378510887*^9, 
   3.5762414005381255`*^9}, 3.5762414760110583`*^9, 3.5762415541047955`*^9, 
   3.5774507326213107`*^9, 3.5774511287229166`*^9, 3.577451207332777*^9, 
   3.5774515273909416`*^9, 3.577451584078272*^9, 3.577451790303363*^9, 
   3.5776155330751495`*^9, 3.577616632746105*^9, 3.5776166976925993`*^9, 
   3.5776167617440033`*^9, 3.578509709207596*^9, 3.5788166168693666`*^9, 
   3.5814059869340773`*^9, 3.581406274701536*^9, 3.594115789950261*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.5762171977479134`*^9, 3.576217226034742*^9}, 
   3.576241230260973*^9, 3.5762413071913157`*^9, {3.576241378510887*^9, 
   3.5762414005381255`*^9}, 3.5762414760110583`*^9, 3.5762415541047955`*^9, 
   3.5774507326213107`*^9, 3.5774511287229166`*^9, 3.577451207332777*^9, 
   3.5774515273909416`*^9, 3.577451584078272*^9, 3.577451790303363*^9, 
   3.5776155330751495`*^9, 3.577616632746105*^9, 3.5776166976925993`*^9, 
   3.5776167617440033`*^9, 3.578509709207596*^9, 3.5788166168693666`*^9, 
   3.5814059869340773`*^9, 3.581406274701536*^9, 3.5941157899512615`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bp", "=."}], ";", 
  RowBox[{"Ap", "=."}], ";", 
  RowBox[{"SL", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5762171779989386`*^9, 3.5762171919883375`*^9}}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"HydraulicPath", ",", "\"\<Special\>\""}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215556321778*^9}, 3.576215992335375*^9, 3.5762161295070906`*^9, 
   3.576838408801258*^9, {3.5774515009935813`*^9, 3.577451510926588*^9}, {
   3.578048836967553*^9, 3.5780488626765175`*^9}, 3.6057718662717648`*^9}],

Cell[CellGroupData[{

Cell["PressureRelief2ValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015984008*^9}, {
   3.571980272122896*^9, 3.57198027376266*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PressureRelief2ValveG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.5158209060653677`*^9, 
   3.5158209366274767`*^9}, {3.522605643625*^9, 3.522605643875*^9}, 
   3.571980270467515*^9, 3.5757721137915964`*^9, 3.576838311357515*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "7"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
        "\"\<Spool position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "dxv", ",", "0.", ",", "double", ",", "\"\<m/s\>\"", ",", 
        "\"\<Spool velocity\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}, {
  3.57772189105064*^9, 3.577721891954692*^9}, {3.5777293219406624`*^9, 
  3.5777293343173704`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "0.03", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Mv", ",", "0.03", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Spool mass\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kf", "=."}], ";", 
  RowBox[{"ke", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577616272848119*^9, 3.5776162781606503`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"kf", "==", 
      RowBox[{"2", " ", "Cq", " ", "w", " ", 
       RowBox[{"Cos", "[", "phi", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{"p1", "-", "p2"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ke", "==", 
      RowBox[{"ks", "+", "kf"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.571904349616847*^9, 3.5719044026725407`*^9}, {
   3.576241468772646*^9, 3.5762414692562466`*^9}, {3.576241502031904*^9, 
   3.5762415161811285`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.573149714210846*^9, 3.5731497291246986`*^9}, {
   3.573149782505752*^9, 3.573149788960121*^9}, 3.576241498007097*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Mv", " ", 
        RowBox[{"der", "[", 
         RowBox[{"der", "[", "xv", "]"}], "]"}]}], " ", "+", " ", 
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p1", "-", "p2", "-", "pref"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Mv", " ", 
        RowBox[{"der", "[", "dxv", "]"}]}], " ", "+", " ", 
       RowBox[{"Bv", "  ", "dxv"}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p1", "-", "p2", "-", "pref"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.571904411642556*^9, 3.571904426244182*^9}, {3.5719045423707857`*^9, 
   3.5719045433223877`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.51582106834556*^9, 
   3.5158210687986856`*^9}, {3.5159004801768446`*^9, 
   3.5159004806455917`*^9}, {3.5719044730910645`*^9, 3.571904505617121*^9}, {
   3.571921169738586*^9, 3.571921172484191*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "dxv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.5719045376751776`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{"q1", "\[Equal]", 
     RowBox[{"-", "q2"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "dxv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.5078869449067926`*^9, {3.52577632090125*^9, 3.52577633262*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062750525565`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062750585566`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.581406275098559*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751055593`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\
\[LeftSkeleton] 3 \[RightSkeleton]\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"dxv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG\\\"\\)\\), \\(\\(\\\"displayname\\\
\" \[Rule] \\\"HydraulicPressureRelief2ValveG\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureRelief2ValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751435614`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751455617`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751465616`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.581406275148562*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751505623`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751515617`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751535625`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751655626`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5140083557694654`*^9, 3.52260522525*^9, 3.522605921015625*^9, 
   3.522606219453125*^9, 3.522606299453125*^9, 3.524842629796875*^9, 
   3.533153911921875*^9, 3.53315400846875*^9, 3.533273391580092*^9, 
   3.538722952385125*^9, 3.538977591771036*^9, 3.5547156209834228`*^9, 
   3.5719772229013352`*^9, 3.571980278041663*^9, 3.5756491005122533`*^9, 
   3.5756518562956324`*^9, 3.5757161661463637`*^9, 3.5757162204503117`*^9, 
   3.575726611218907*^9, 3.575772187189325*^9, 3.5757724073419895`*^9, 
   3.5757725405974236`*^9, 3.5757726390116425`*^9, 3.5758602649058256`*^9, 
   3.576214803498736*^9, {3.576214842958736*^9, 3.576214868065736*^9}, 
   3.5762154624233885`*^9, {3.576215571176263*^9, 3.5762155778109264`*^9}, 
   3.576215924410583*^9, 3.576216004896631*^9, 3.576216060742215*^9, 
   3.5762161605057387`*^9, 3.5762168775678988`*^9, 3.5762169632084618`*^9, 
   3.5762170187800183`*^9, 3.5762171391210513`*^9, {3.5762172006182003`*^9, 
   3.576217228615*^9}, 3.5762412318833756`*^9, 3.576241308876119*^9, {
   3.57624138018009*^9, 3.5762414022385287`*^9}, 3.5762414777426615`*^9, 
   3.576241555695998*^9, 3.576836870543907*^9, 3.576838271954575*^9, 
   3.5768384238677645`*^9, 3.577450729704019*^9, 3.577451124924537*^9, 
   3.577451204390483*^9, 3.5774515244462357`*^9, 3.577451580818598*^9, 
   3.577451787004363*^9, 3.577605611179394*^9, 3.5776155313799796`*^9, 
   3.577616630972928*^9, 3.577616695912421*^9, 3.577616759938823*^9, 
   3.57776582580719*^9, 3.57776589361019*^9, 3.5781068506887255`*^9, 
   3.5781111822222652`*^9, 3.5785097094126077`*^9, 3.5788166171313667`*^9, 
   3.5814059873821025`*^9, 3.5814062751725636`*^9}],

Cell[BoxData["\<\"HydraulicPressureRelief2ValveG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.53315391221875*^9, 3.53315400875*^9, 3.5332733916738358`*^9, 
   3.538722952432*^9, 3.538977591849161*^9, 3.554715621045904*^9, 
   3.5719772229325356`*^9, 3.571980278119747*^9, 3.575649100550256*^9, 
   3.575651856370637*^9, 3.5757161661775637`*^9, 3.5757162205283127`*^9, 
   3.575726611296907*^9, 3.5757721872829247`*^9, 3.5757724074511895`*^9, 
   3.5757725406598234`*^9, 3.575772639120843*^9, 3.5758602649837875`*^9, 
   3.576214803576736*^9, {3.576214843352736*^9, 3.5762148681527357`*^9}, 
   3.576215462492396*^9, {3.5762155713332787`*^9, 3.576215577880934*^9}, 
   3.5762159245055923`*^9, 3.576216005072648*^9, 3.5762160609522357`*^9, 
   3.5762161607227387`*^9, 3.5762168777719193`*^9, 3.576216963410482*^9, 
   3.576217018966037*^9, 3.5762171393300724`*^9, {3.5762172008382225`*^9, 
   3.576217228830021*^9}, 3.5762412319145756`*^9, 3.5762413090321193`*^9, {
   3.57624138024249*^9, 3.576241402300929*^9}, 3.5762414778986616`*^9, 
   3.576241555758398*^9, 3.5768368707189074`*^9, 3.576838272244604*^9, 
   3.57683842402078*^9, 3.577450729731022*^9, 3.57745112505155*^9, 
   3.5774512045464983`*^9, 3.5774515246132193`*^9, 3.577451580979582*^9, 
   3.5774517870743628`*^9, 3.577605611318408*^9, 3.5776155315269947`*^9, 
   3.577616631027933*^9, 3.577616695981428*^9, 3.5776167600018296`*^9, 
   3.57776582586719*^9, 3.5777658936711903`*^9, 3.578106851088805*^9, 
   3.578111182283272*^9, 3.578509709487612*^9, 3.5788166171973667`*^9, 
   3.5814059874371057`*^9, 3.5814062751745634`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PressureReliefValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015359016*^9}, 
   3.507887177638189*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.575738469345369*^9, 3.5757384725589743`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PressureReliefValveG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, 3.52267078596875*^9, 
   3.577729026743778*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "7"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}, {
  3.57772189105064*^9, 3.577721891954692*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "frac", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Fraction of spool opening\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "10", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}, {3.51568580440625*^9, 3.51568581115625*^9}, 
   3.5159285657593565`*^9, {3.5777285575019393`*^9, 3.577728570179664*^9}, {
   3.577728621645608*^9, 3.577728621882622*^9}, {3.5777286760287185`*^9, 
   3.5777286844211984`*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.5757131721235323`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "frac", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"kf", "==", 
      RowBox[{"2", " ", "Cq", " ", "w", " ", 
       RowBox[{"Cos", "[", "phi", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{"p1", "-", "p2"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ke", "==", 
      RowBox[{"ks", "+", "kf"}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.525772523916875*^9, 3.525772528510625*^9}, {
   3.534756520505298*^9, 3.534756559181628*^9}, {3.534756692025055*^9, 
   3.534756695744233*^9}, {3.57190456751803*^9, 3.571904619278921*^9}, {
   3.5777286317421856`*^9, 3.57772863269624*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p1", "-", "p2", "-", "pref"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.507887076139488*^9, 3.5078870785613317`*^9}, {3.5719046338649464`*^9, 
   3.571904651898578*^9}, 3.571904682880233*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.51582106834556*^9, 
   3.5158210687986856`*^9}, {3.5159004801768446`*^9, 
   3.5159004806455917`*^9}, {3.5719044730910645`*^9, 3.571904505617121*^9}, {
   3.571921169738586*^9, 3.571921172484191*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.507887067686471*^9, 3.571904675095819*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{"q1", "\[Equal]", 
     RowBox[{"-", "q2"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5078869449067926`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275368574*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"t\\\" \[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \\(\\(\\\"\\\
\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\
\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\
\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\({}\\)\
\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicPressureReliefValveG\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureReliefValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275396576*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.5814062753975763`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275399576*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.5814062754035764`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.5814062754045763`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275406577*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.5814062754075766`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275408577*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.538722952182*^9, 3.538977591349161*^9, 3.5547156208584595`*^9, 
   3.5719772226049294`*^9, 3.575649100349244*^9, 3.5756518561346235`*^9, 
   3.5757161659435625`*^9, 3.575716220278711*^9, 3.5757266110473065`*^9, 
   3.575727614732028*^9, 3.57572783452466*^9, 3.5757278688811274`*^9, 
   3.5757279885168805`*^9, 3.575737879724828*^9, 3.575738179590028*^9, 
   3.5757383691136837`*^9, 3.5757384817473907`*^9, 3.5757386855018015`*^9, 
   3.577722363612669*^9, 3.5777253904797955`*^9, 3.577728694846795*^9, 
   3.577728931242316*^9, {3.5777290009103003`*^9, 3.577729052180233*^9}, {
   3.57772913412192*^9, 3.577729148484741*^9}, 3.57776582602619*^9, 
   3.57776589381219*^9, 3.5781068512778435`*^9, 3.578111182436287*^9, 
   3.5785097098846345`*^9, 3.578816617373367*^9, 3.5814059877181215`*^9, 
   3.581406275410577*^9}],

Cell[BoxData["\<\"HydraulicPressureReliefValveG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153910703125*^9, 3.533154006515625*^9, 3.533273391423853*^9, 
   3.5347564611703386`*^9, 3.5347566009833183`*^9, 3.5347567087301044`*^9, 
   3.5381370220280676`*^9, 3.538722952228875*^9, 3.538977591599161*^9, 
   3.554715620905321*^9, 3.5719772226517305`*^9, 3.5756491003582444`*^9, 
   3.5756518561746254`*^9, 3.5757161659591627`*^9, 3.575716220325511*^9, 
   3.5757266110785065`*^9, 3.575727614778828*^9, 3.57572783455586*^9, 
   3.5757278689279275`*^9, 3.5757279885636806`*^9, 3.5757378797598295`*^9, 
   3.575738179636828*^9, 3.5757383691604834`*^9, 3.5757384817941904`*^9, 
   3.575738685533001*^9, 3.5777223636426706`*^9, 3.5777253905127974`*^9, 
   3.577728694881797*^9, 3.577728931268317*^9, {3.577729000936302*^9, 
   3.5777290522092347`*^9}, {3.577729134155922*^9, 3.5777291485257435`*^9}, 
   3.57776582605319*^9, 3.5777658938481903`*^9, 3.578106851305849*^9, 
   3.57811118246629*^9, 3.578509709910636*^9, 3.578816617400367*^9, 
   3.5814059877391233`*^9, 3.5814062754115767`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PressureReducingValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015359016*^9}, 
   3.507887177638189*^9, {3.572724409593012*^9, 3.572724410652072*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PressureReducingValveG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, 3.52267078596875*^9, {
   3.5727244220517244`*^9, 3.5727244258479414`*^9}, 3.5758601094265933`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "7"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}, {
  3.57772189105064*^9, 3.577721891954692*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "frac", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Fraction of spool opening\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "1000.", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}, {3.51568580440625*^9, 3.51568581115625*^9}, 
   3.5159285657593565`*^9, {3.573147641136273*^9, 3.5731476559331193`*^9}, {
   3.5731482493080587`*^9, 3.5731482508341455`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ke", "=."}], ";", 
  RowBox[{"kf", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577729430347863*^9, 3.5777294365572186`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "frac", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.525772523916875*^9, 3.525772528510625*^9}, {
   3.534756520505298*^9, 3.534756559181628*^9}, {3.534756692025055*^9, 
   3.534756695744233*^9}, {3.57190456751803*^9, 3.571904619278921*^9}, {
   3.573148310137538*^9, 3.5731483108905807`*^9}, 3.573149708071495*^9, {
   3.5731497755273533`*^9, 3.5731497796395884`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kf", "=", 
   RowBox[{"2", " ", "Cq", " ", "w", " ", 
    RowBox[{"Cos", "[", "phi", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"p1", "-", "p2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ke", "=", 
   RowBox[{"ks", "+", "kf"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.573149714210846*^9, 3.5731497291246986`*^9}, {
  3.573149782505752*^9, 3.573149788960121*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"pref", "-", "p2"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.507887076139488*^9, 3.5078870785613317`*^9}, {3.5719046338649464`*^9, 
   3.571904651898578*^9}, 3.571904682880233*^9, {3.572724506299543*^9, 
   3.5727245105057836`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"c1e", "-", 
       RowBox[{"Zc1e", " ", "q2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"c2e", "+", 
       RowBox[{"Zc2e", " ", "q2"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.5158210639861856`*^9, 
   3.51582106472056*^9}, {3.515900478739354*^9, 3.5159004792862253`*^9}, {
   3.515928580869215*^9, 3.515928582853654*^9}, 3.52577253333875*^9, {
   3.5719211535301576`*^9, 3.5719211557453613`*^9}, {3.573144594916039*^9, 
   3.57314462640184*^9}, 3.5731446879953628`*^9, {3.5731447690099964`*^9, 
   3.573144801970882*^9}, {3.5731515555661654`*^9, 3.5731515567032304`*^9}, {
   3.575862407130492*^9, 3.5758624079889097`*^9}, {3.5758624654873085`*^9, 
   3.5758624670012455`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.507887067686471*^9, 3.571904675095819*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{"q1", "\[Equal]", 
     RowBox[{"-", "q2"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5078869449067926`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759156055`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicPressureReducingValveG\\\"\
\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\"HydraulicPressureReducingValveG\
\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPressureReducingValveG\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicPressureReducingValveG\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureReducingValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureReducingValveG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\
\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759456077`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759516077`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.581406275953608*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.581406275955608*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759656086`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.581406275973609*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.581406275976609*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759796095`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.576241555961199*^9, 3.576836871205907*^9, 
  3.576838272757655*^9, 3.5768384243938174`*^9, 3.577450730502099*^9, 
  3.577451125926637*^9, 3.5774512052655706`*^9, 3.5774515252961507`*^9, 
  3.577451581735506*^9, 3.577451788181363*^9, 3.5776056117604523`*^9, 
  3.5776155319190335`*^9, 3.577616631512982*^9, 3.5776166964544754`*^9, 
  3.577616760465876*^9, 3.57776582626719*^9, 3.57776589405319*^9, 
  3.5781068515398955`*^9, 3.5781111826783113`*^9, 3.57850971015565*^9, 
  3.578816617814367*^9, 3.5814059880991435`*^9, 3.5814062759816093`*^9}],

Cell[BoxData["\<\"HydraulicPressureReducingValveG.xml\"\>"], "Output",
 CellChangeTimes->{3.5762415560079985`*^9, 3.576836871382907*^9, 
  3.5768382729396734`*^9, 3.57683842441982*^9, 3.5774507305090995`*^9, 
  3.5774511259386387`*^9, 3.577451205299574*^9, 3.577451525325148*^9, 
  3.5774515817735023`*^9, 3.577451788218363*^9, 3.5776056117854548`*^9, 
  3.5776155319510365`*^9, 3.5776166315489855`*^9, 3.5776166964834785`*^9, 
  3.5776167605038795`*^9, 3.57776582630619*^9, 3.5777658940791903`*^9, 
  3.5781068515699015`*^9, 3.5781111827043133`*^9, 3.5785097101916523`*^9, 
  3.5788166178453665`*^9, 3.581405988124145*^9, 3.5814062759846096`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kf", "=."}], ";", 
  RowBox[{"ke", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5762415310479546`*^9, 3.5762415455559807`*^9}}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PressureCompensatingValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015359016*^9}, 
   3.507887177638189*^9, {3.572724409593012*^9, 3.572724410652072*^9}, {
   3.5731444722970257`*^9, 3.5731444763132553`*^9}, {3.573144509032127*^9, 
   3.5731445114602656`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PressureCompensatingValveG\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, 3.52267078596875*^9, {
   3.5727244220517244`*^9, 3.5727244258479414`*^9}, {3.5731445197087374`*^9, 
   3.5731445222458825`*^9}, 3.5758601161469173`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"3", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}, {3.5731449671873317`*^9, 
   3.5731449722026186`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}, 
   3.5731449806651025`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
        "\"\<Spool position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "dxv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
        "\"\<Spool position\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "frac", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Fraction of spool opening\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "1000.", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}, {3.51568580440625*^9, 3.51568581115625*^9}, 
   3.5159285657593565`*^9, {3.5731473886508317`*^9, 3.57314740313966*^9}, 
   3.573147686398862*^9, {3.573148170711563*^9, 3.5731482286948795`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "frac", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p3", "\[Equal]", "c3"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.525772523916875*^9, 3.525772528510625*^9}, {
   3.534756520505298*^9, 3.534756559181628*^9}, {3.534756692025055*^9, 
   3.534756695744233*^9}, {3.57190456751803*^9, 3.571904619278921*^9}, {
   3.573144677962789*^9, 3.5731446825110493`*^9}, {3.5731482912764587`*^9, 
   3.573148292495528*^9}, 3.5731497546971617`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kf", "=", 
   RowBox[{"2", " ", "Cq", " ", "w", " ", 
    RowBox[{"Cos", "[", "phi", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"p1", "-", "p2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ke", "=", 
   RowBox[{"ks", "+", "kf"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.573149759175418*^9, 3.573149768059926*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"pref", "-", "p2", "+", "p3"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.507887076139488*^9, 3.5078870785613317`*^9}, {3.5719046338649464`*^9, 
   3.571904651898578*^9}, 3.571904682880233*^9, {3.572724506299543*^9, 
   3.5727245105057836`*^9}, {3.5731445594490104`*^9, 3.573144562194167*^9}, 
   3.5731447183681*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"c1e", "-", 
       RowBox[{"Zc1e", " ", "q2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"c2e", "+", 
       RowBox[{"Zc2e", " ", "q2"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.5158210639861856`*^9, 
   3.51582106472056*^9}, {3.515900478739354*^9, 3.5159004792862253`*^9}, {
   3.515928580869215*^9, 3.515928582853654*^9}, 3.52577253333875*^9, {
   3.5719211535301576`*^9, 3.5719211557453613`*^9}, {3.573144594916039*^9, 
   3.57314462640184*^9}, 3.5731446879953628`*^9, {3.5731447690099964`*^9, 
   3.573144801970882*^9}, {3.5731515430534496`*^9, 3.57315154462954*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.507887067686471*^9, 3.571904675095819*^9, {
   3.5731446574486156`*^9, 3.5731446730035057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q1", "\[Equal]", 
      RowBox[{"-", "q2"}]}], ",", 
     RowBox[{"q3", "\[Equal]", "0."}], ",", 
     RowBox[{"q4", "\[Equal]", "0."}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}, {
  3.573144637230459*^9, 3.5731446529073563`*^9}, {3.5731450037174215`*^9, 
  3.5731450263717165`*^9}, {3.577606967026896*^9, 3.577606969897896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5078869449067926`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062761746206`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"HydraulicPressu\\\" \
\[Ellipsis] \\\"pensatingValveG\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPressureCompensatingValveG.svg\\\"\\)\\), \\(\\(\\\"iconrotation\
\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPressureCompensatingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"dxv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\(\\(\\\"\\\" \
\[Ellipsis] \\\"e\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\
\\)\\), \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureCompensatingValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureCompensatingValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"dxv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062762026224`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.581406276206622*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062762096224`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.581406276210623*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062762126226`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.581406276213623*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062762146225`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.581406276215623*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903064041*^9, 3.5731520040018144`*^9, 
   3.575860265420375*^9, 3.576214804047736*^9, {3.576214843905736*^9, 
   3.576214868679736*^9}, 3.57621546303045*^9, {3.576215571615307*^9, 
   3.576215578406986*^9}, 3.5762159252566676`*^9, 3.5762160058517265`*^9, 
   3.5762160617593164`*^9, 3.576216161484739*^9, 3.5762168784779897`*^9, 
   3.576216964165558*^9, 3.5762170197791185`*^9, 3.576217140158155*^9, {
   3.5762172016283016`*^9, 3.5762172295740957`*^9}, 3.5762412324761767`*^9, 
   3.57624130948452*^9, {3.576241380694891*^9, 3.5762414027689295`*^9}, 
   3.5762414784290624`*^9, 3.576241556210799*^9, 3.576836871529907*^9, 
   3.576838273098689*^9, 3.576838424766855*^9, 3.577450730886137*^9, 
   3.5774511266797123`*^9, 3.5774512056226063`*^9, 3.577451525637117*^9, 
   3.5774515827944*^9, 3.577451788678363*^9, 3.5776056121154876`*^9, 
   3.577611870861941*^9, 3.5813279329326677`*^9, 3.581329506955697*^9, 
   3.581405988576171*^9, 3.5814062762176228`*^9}],

Cell[BoxData["\<\"HydraulicPressureCompensatingValveG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153910703125*^9, 3.533154006515625*^9, 3.533273391423853*^9, 
   3.5347564611703386`*^9, 3.5347566009833183`*^9, 3.5347567087301044`*^9, 
   3.5381370220280676`*^9, 3.538722952228875*^9, 3.538977591599161*^9, 
   3.554715620905321*^9, 3.5719772226517305`*^9, 3.5731451212541437`*^9, 
   3.5731452366577444`*^9, 3.573151903099043*^9, 3.5731520040368166`*^9, 
   3.5758602654515595`*^9, 3.576214804081736*^9, {3.576214843938736*^9, 
   3.576214868716736*^9}, 3.5762154630604525`*^9, {3.5762155716413097`*^9, 
   3.5762155784339886`*^9}, 3.576215925325674*^9, 3.576216005896731*^9, 
   3.5762160618353243`*^9, 3.5762161615487385`*^9, 3.576216878550997*^9, 
   3.5762169642265635`*^9, 3.576217019854126*^9, 3.5762171402321625`*^9, {
   3.5762172016943083`*^9, 3.5762172296361017`*^9}, 3.5762412324917765`*^9, 
   3.5762413095157204`*^9, {3.576241380726091*^9, 3.57624140280013*^9}, 
   3.5762414784602623`*^9, 3.576241556241999*^9, 3.576836871715907*^9, 
   3.576838273284708*^9, 3.576838424801858*^9, 3.577450730895138*^9, 
   3.577451126690714*^9, 3.5774512056636105`*^9, 3.5774515256771126`*^9, 
   3.577451582831397*^9, 3.577451788719363*^9, 3.577605612150491*^9, 
   3.577611870893944*^9, 3.5813279329676695`*^9, 3.5813295070026994`*^9, 
   3.581405988643175*^9, 3.581406276218623*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PressureControlValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015359016*^9}, 
   3.507887177638189*^9, {3.572724409593012*^9, 3.572724410652072*^9}, {
   3.5731444722970257`*^9, 3.5731444763132553`*^9}, {3.573144509032127*^9, 
   3.5731445114602656`*^9}, {3.5731516615712285`*^9, 3.573151663333329*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PressureControlValveG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, 3.52267078596875*^9, {
   3.5727244220517244`*^9, 3.5727244258479414`*^9}, {3.5731445197087374`*^9, 
   3.5731445222458825`*^9}, {3.5731519828286037`*^9, 3.573151986646822*^9}, 
   3.5758601223526926`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"3", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Opening port\>\""}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"4", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Closing port\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}, {3.5731449671873317`*^9, 
   3.5731449722026186`*^9}, {3.5731516922089806`*^9, 3.573151698003312*^9}, {
   3.577606187835734*^9, 3.5776061941131063`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}, 
   3.5731449806651025`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}, 
   3.5777295233351817`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "frac", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Fraction of spool opening\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "100.", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}, {3.51568580440625*^9, 3.51568581115625*^9}, 
   3.5159285657593565`*^9, {3.5731473886508317`*^9, 3.57314740313966*^9}, 
   3.573147686398862*^9, {3.573148170711563*^9, 3.5731482286948795`*^9}, 
   3.577606706438896*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kf", "=."}], ";", 
  RowBox[{"ke", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577616272848119*^9, 3.5776162781606503`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "frac", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p3", "\[Equal]", "c3"}], ",", "\[IndentingNewLine]", 
     RowBox[{"p4", "\[Equal]", "c4"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.525772523916875*^9, 3.525772528510625*^9}, {
   3.534756520505298*^9, 3.534756559181628*^9}, {3.534756692025055*^9, 
   3.534756695744233*^9}, {3.57190456751803*^9, 3.571904619278921*^9}, {
   3.573144677962789*^9, 3.5731446825110493`*^9}, {3.5731482912764587`*^9, 
   3.573148292495528*^9}, 3.5731497546971617`*^9, {3.577606212840233*^9, 
   3.5776062364068766`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kf", "=", 
   RowBox[{"2", " ", "Cq", " ", "w", " ", 
    RowBox[{"Cos", "[", "phi", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"p1", "-", "p2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ke", "=", 
   RowBox[{"ks", "+", "kf"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.573149759175418*^9, 3.573149768059926*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p3", "-", "p4", "-", "pref"}], ")"}], "Av"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.507887076139488*^9, 3.5078870785613317`*^9}, {3.5719046338649464`*^9, 
   3.571904651898578*^9}, 3.571904682880233*^9, {3.572724506299543*^9, 
   3.5727245105057836`*^9}, {3.5731445594490104`*^9, 3.573144562194167*^9}, 
   3.5731447183681*^9, 3.5731517185544877`*^9, {3.57776577761719*^9, 
   3.57776579038319*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"c1", "-", 
       RowBox[{"Zc1e", " ", "q2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"c2", "+", 
       RowBox[{"Zc2e", " ", "q2"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.5158210639861856`*^9, 
   3.51582106472056*^9}, {3.515900478739354*^9, 3.5159004792862253`*^9}, {
   3.515928580869215*^9, 3.515928582853654*^9}, 3.52577253333875*^9, {
   3.5719211535301576`*^9, 3.5719211557453613`*^9}, {3.573144594916039*^9, 
   3.57314462640184*^9}, 3.5731446879953628`*^9, {3.5731447690099964`*^9, 
   3.573144801970882*^9}, {3.5731515430534496`*^9, 3.57315154462954*^9}, {
   3.5785094683648205`*^9, 3.578509470091919*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.507887067686471*^9, 3.571904675095819*^9, {
   3.5731446574486156`*^9, 3.5731446730035057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q1", "\[Equal]", 
      RowBox[{"-", "q2"}]}], ",", 
     RowBox[{"q3", "\[Equal]", "0."}], ",", 
     RowBox[{"q4", "\[Equal]", "0."}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}, {
  3.573144637230459*^9, 3.5731446529073563`*^9}, {3.5731450037174215`*^9, 
  3.5731450263717165`*^9}, {3.5731516830154552`*^9, 3.5731516861856365`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5078869449067926`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763646317`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicPressureControlValveG\\\"\\)\\), \\(\\(\\\"displayname\\\" \
\[Rule] \\(\\(\\\"\\\" \[Ellipsis] \\\"G\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydr\\\" \[Ellipsis] \\\"lveG\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPressureControlValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\
\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The \
third item in an XMLElement must be a list of contents, even if it is an \
empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763906326`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.581406276391633*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.2`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.2`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763926334`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763946333`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.4`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.4`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.581406276395633*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.581406276396633*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763976336`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6000000000000001`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6000000000000001`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062763996334`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.578106852061*^9, 
   3.5781111832023635`*^9, 3.5785097107636847`*^9, 3.5788166183423667`*^9, 
   3.5814059889891944`*^9, 3.5814062764016333`*^9}],

Cell[BoxData["\<\"HydraulicPressureControlValveG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153910703125*^9, 3.533154006515625*^9, 3.533273391423853*^9, 
   3.5347564611703386`*^9, 3.5347566009833183`*^9, 3.5347567087301044`*^9, 
   3.5381370220280676`*^9, 3.538722952228875*^9, 3.538977591599161*^9, 
   3.554715620905321*^9, 3.5719772226517305`*^9, 3.5731451212541437`*^9, 
   3.5731452366577444`*^9, 3.5731519032830534`*^9, 3.5731520042318277`*^9, 
   3.575860265685446*^9, 3.575866569689724*^9, 3.576214804325736*^9, {
   3.576214844165736*^9, 3.576214868949736*^9}, 3.576215463298476*^9, {
   3.576215571782324*^9, 3.5762155786730127`*^9}, 3.576215925751717*^9, 
   3.576216006282769*^9, 3.5762160622773685`*^9, 3.5762161619337387`*^9, 
   3.5762168789230337`*^9, 3.576216964633604*^9, 3.576217020276168*^9, 
   3.5762171407042093`*^9, {3.5762172021343517`*^9, 3.576217230059144*^9}, 
   3.576241232725777*^9, 3.576241309812121*^9, {3.5762413810224915`*^9, 
   3.5762414031433306`*^9}, 3.576241478741063*^9, 3.5762415565071993`*^9, 
   3.576836872151907*^9, 3.576838425086887*^9, 3.577450731575206*^9, 
   3.5774511277058153`*^9, 3.577451206303674*^9, 3.577451526325048*^9, 
   3.577451583130367*^9, 3.577451789360363*^9, {3.577605599276204*^9, 
   3.5776056124005165`*^9}, 3.5776067513118963`*^9, 3.5776155324670887`*^9, 
   3.5776166321480455`*^9, 3.5776166971555457`*^9, 3.577616761151944*^9, 
   3.57776582688419*^9, 3.57776589469519*^9, 3.578106852107009*^9, 
   3.5781111832333665`*^9, 3.5785097107926865`*^9, 3.578816618372367*^9, 
   3.5814059890121956`*^9, 3.5814062764046335`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["CounterBalanceValveG", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.483026885*^9, 3.483026890359375*^9}, 
   3.4988885288318987`*^9, {3.507886987593746*^9, 3.507887015359016*^9}, 
   3.507887177638189*^9, {3.572724409593012*^9, 3.572724410652072*^9}, {
   3.5731444722970257`*^9, 3.5731444763132553`*^9}, {3.573144509032127*^9, 
   3.5731445114602656`*^9}, {3.5731516615712285`*^9, 3.573151663333329*^9}, {
   3.5778931623121567`*^9, 3.5778931743368444`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<CounterBalanceValveG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", 
   "\"\<A hydraulic pressure relief valve based on geometry\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, 3.52267078596875*^9, {
   3.5727244220517244`*^9, 3.5727244258479414`*^9}, {3.5731445197087374`*^9, 
   3.5731445222458825`*^9}, {3.5731519828286037`*^9, 3.573151986646822*^9}, 
   3.5758601223526926`*^9, {3.577893185371475*^9, 3.5778931897637267`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"3", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Opening port\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4752292939381866`*^9, 3.4752293318441935`*^9}, {
   3.47808399728125*^9, 3.478083998921875*^9}, 3.4988885288475237`*^9, {
   3.50394176215625*^9, 3.503941811890625*^9}, {3.507576389140625*^9, 
   3.507576508765625*^9}, {3.50757655321875*^9, 3.507576570375*^9}, {
   3.507796238859375*^9, 3.50779624034375*^9}, {3.5156830475625*^9, 
   3.515683050984375*^9}, {3.538136856098759*^9, 3.5381369597752786`*^9}, {
   3.5719055396181374`*^9, 3.5719055424261427`*^9}, {3.5731449671873317`*^9, 
   3.5731449722026186`*^9}, {3.5731516922089806`*^9, 3.573151698003312*^9}, {
   3.577606187835734*^9, 3.5776061941131063`*^9}, 3.5778959481684985`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"pref", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "6"}]}], ",", "double", ",", "\"\<Pa\>\"", ",", 
      "\"\<Reference pressure\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5381369657755475`*^9, 3.5381370104181724`*^9}, 
   3.5731449806651025`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"outputVariables", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
   ";"}], " "}]], "Input",
 CellChangeTimes->{{3.5381369720414534`*^9, 3.5381369916673326`*^9}, 
   3.5777295233351817`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "visc", ",", "0.03", ",", "double", ",", "\"\<Ns/m2\>\"", ",", 
       "\"\<viscosity \>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Dv", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "frac", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Fraction of spool opening\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "kappa", ",", "0.1", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Area fraction for P3\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bv", ",", "100.", ",", "double", ",", "\"\<N/(m s)\>\"", ",", 
       "\"\<Damping\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.03", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max spool displacement\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\< \>\"", ",", 
       "\"\<Flow coefficient\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "phi", ",", "0.03", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Stream angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "ks", ",", "100.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Spring constant\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulent pressure trans.\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, 3.483026964640625*^9, {3.483027180765625*^9, 
   3.483027244046875*^9}, {3.4873878032782784`*^9, 3.4873878199976707`*^9}, 
   3.4988223817958884`*^9, 3.4988885288318987`*^9, {3.5023520516875*^9, 
   3.50235222190625*^9}, {3.50235391759375*^9, 3.50235391940625*^9}, 
   3.503905029342648*^9, 3.5039111089927917`*^9, {3.503914664843855*^9, 
   3.503914668218855*^9}, {3.50391516520323*^9, 3.503915204718855*^9}, {
   3.5039967133130913`*^9, 3.5039967163764143`*^9}, {3.5039969681607733`*^9, 
   3.503996993616342*^9}, {3.507574582234375*^9, 3.507574588828125*^9}, {
   3.507576286109375*^9, 3.507576354453125*^9}, {3.5077959019375*^9, 
   3.507795944828125*^9}, {3.51568580440625*^9, 3.51568581115625*^9}, 
   3.5159285657593565`*^9, {3.5731473886508317`*^9, 3.57314740313966*^9}, 
   3.573147686398862*^9, {3.573148170711563*^9, 3.5731482286948795`*^9}, 
   3.577606706438896*^9, {3.5778932758946533`*^9, 3.5778932977819047`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kf", "=."}], ";", 
  RowBox[{"ke", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577616272848119*^9, 3.5776162781606503`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Av", "==", 
      FractionBox[
       RowBox[{"pi", " ", 
        SuperscriptBox["Dv", "2"]}], "4"]}], ",", "\[IndentingNewLine]", 
     RowBox[{"w", "==", 
      RowBox[{"pi", " ", "frac", " ", "Dv", " ", 
       RowBox[{"Sin", "[", "phi", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p3", "\[Equal]", "c3"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.483027001578125*^9, 3.483027021109375*^9}, {
   3.4873877137123394`*^9, 3.487387727322237*^9}, 3.4988885288318987`*^9, {
   3.503914893406355*^9, 3.50391490070323*^9}, {3.50391509367198*^9, 
   3.503915095406355*^9}, {3.525772523916875*^9, 3.525772528510625*^9}, {
   3.534756520505298*^9, 3.534756559181628*^9}, {3.534756692025055*^9, 
   3.534756695744233*^9}, {3.57190456751803*^9, 3.571904619278921*^9}, {
   3.573144677962789*^9, 3.5731446825110493`*^9}, {3.5731482912764587`*^9, 
   3.573148292495528*^9}, 3.5731497546971617`*^9, {3.577606212840233*^9, 
   3.5776062364068766`*^9}, {3.577895956399969*^9, 3.577895957480031*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kf", "=", 
   RowBox[{"2", " ", "Cq", " ", "w", " ", 
    RowBox[{"Cos", "[", "phi", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"p1", "-", "p2"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ke", "=", 
   RowBox[{"ks", "+", "kf"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.573149759175418*^9, 3.573149768059926*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Bv", " ", 
        RowBox[{"der", "[", " ", "xv", "]"}]}], " ", "+", 
       RowBox[{"ke", " ", "xv"}]}], " ", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"kappa", " ", "p3"}], "+", "p1", "-", "p2", "-", "pref"}], 
        ")"}], "Av"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"q2", "==", 
      RowBox[{"xv", "*", "Cq", " ", "w", " ", 
       SqrtBox[
        FractionBox["2.", "rho"]], 
       RowBox[{"signedSquareL", "[", 
        RowBox[{
         RowBox[{"p1", "-", "p2"}], ",", "p0"}], "]"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, 3.483026918*^9, 
   3.4873877224157987`*^9, 3.4988885288318987`*^9, {3.5039967325838947`*^9, 
   3.5039967690624475`*^9}, {3.504104403484375*^9, 3.50410440521875*^9}, {
   3.5075701360625*^9, 3.507570153265625*^9}, {3.507570213453125*^9, 
   3.507570214015625*^9}, {3.5075703420625*^9, 3.507570342109375*^9}, 
   3.5076079715712585`*^9, {3.507796204234375*^9, 3.50779621396875*^9}, {
   3.507887076139488*^9, 3.5078870785613317`*^9}, {3.5719046338649464`*^9, 
   3.571904651898578*^9}, 3.571904682880233*^9, {3.572724506299543*^9, 
   3.5727245105057836`*^9}, {3.5731445594490104`*^9, 3.573144562194167*^9}, 
   3.5731447183681*^9, 3.5731517185544877`*^9, {3.57776577761719*^9, 
   3.57776579038319*^9}, {3.577893207165722*^9, 3.577893239711583*^9}, 
   3.5778959641384115`*^9, {3.577981026901724*^9, 3.577981027455755*^9}, 
   3.578113134492482*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"c1", "-", 
       RowBox[{"Zc1e", " ", "q2"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"c2", "+", 
       RowBox[{"Zc2e", " ", "q2"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, 
   3.4873877346662693`*^9, 3.4988885288318987`*^9, {3.5158210639861856`*^9, 
   3.51582106472056*^9}, {3.515900478739354*^9, 3.5159004792862253`*^9}, {
   3.515928580869215*^9, 3.515928582853654*^9}, 3.52577253333875*^9, {
   3.5719211535301576`*^9, 3.5719211557453613`*^9}, {3.573144594916039*^9, 
   3.57314462640184*^9}, 3.5731446879953628`*^9, {3.5731447690099964`*^9, 
   3.573144801970882*^9}, {3.5731515430534496`*^9, 3.57315154462954*^9}, {
   3.5785094383161016`*^9, 3.578509439458167*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"xv", ",", "q2", ",", "p1", ",", "p2"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.504160940796875*^9, {3.504171522859375*^9, 3.504171524921875*^9}, {
   3.507570128828125*^9, 3.507570132078125*^9}, 3.50757021896875*^9, 
   3.507796195640625*^9, 3.507887067686471*^9, 3.571904675095819*^9, {
   3.5731446574486156`*^9, 3.5731446730035057`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q1", "\[Equal]", 
      RowBox[{"-", "q2"}]}], ",", 
     RowBox[{"q3", "\[Equal]", "0."}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904437694602*^9, 3.5719044499406233`*^9}, {
  3.573144637230459*^9, 3.5731446529073563`*^9}, {3.5731450037174215`*^9, 
  3.5731450263717165`*^9}, {3.5731516830154552`*^9, 3.5731516861856365`*^9}, {
  3.5778959758260803`*^9, 3.57789597669913*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xv", ",", "0.", ",", "Xvmax"}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5078869449067926`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276533641*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicCounterBalanceValveG\\\"\\)\\), \\(\\(\\\"displayname\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydr\\\" \[Ellipsis] \\\"alveG\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCounterBalanceValveG.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.5\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"xv\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\
\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The \
third item in an XMLElement must be a list of contents, even if it is an \
empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276555642*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.5814062765576425`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.5814062765586424`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276559643*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.5814062765616426`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276562643*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.5814062765636425`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276565643*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.573145236286723*^9, 3.573151903251052*^9, 3.573152004191825*^9, 
   3.575860265638668*^9, 3.5758665692841244`*^9, 3.5762148042917356`*^9, {
   3.576214844128736*^9, 3.576214868910736*^9}, 3.5762154632604723`*^9, {
   3.576215571751321*^9, 3.576215578638009*^9}, 3.5762159257037125`*^9, 
   3.5762160062347646`*^9, 3.5762160622193623`*^9, 3.576216161856739*^9, 
   3.576216878860028*^9, 3.5762169645926*^9, 3.5762170202151623`*^9, 
   3.5762171406692057`*^9, {3.5762172020583444`*^9, 3.5762172300001383`*^9}, 
   3.576241232694577*^9, 3.576241309765321*^9, {3.5762413809756913`*^9, 
   3.57624140311213*^9}, 3.5762414787098627`*^9, 3.576241556476*^9, 
   3.576836871993907*^9, 3.5768384250448823`*^9, 3.577450731564205*^9, 
   3.5774511276948137`*^9, 3.57745120626367*^9, 3.5774515262830524`*^9, 
   3.577451583090371*^9, 3.5774517893053627`*^9, {3.577605599216198*^9, 
   3.577605612365513*^9}, 3.577606751279896*^9, 3.577615532437085*^9, 
   3.5776166321100416`*^9, 3.577616697113541*^9, 3.577616761119941*^9, 
   3.57776582685119*^9, 3.57776589466619*^9, 3.577893679516739*^9, 
   3.5778959870747232`*^9, 3.5778960448940306`*^9, 3.5778961780646477`*^9, 
   3.5778968239205885`*^9, 3.577897919493252*^9, 3.5778991084202547`*^9, 
   3.5779810361292515`*^9, {3.5779811664717064`*^9, 3.5779811911781197`*^9}, 
   3.5781068523100495`*^9, 3.5781111834393873`*^9, 3.5781131600550385`*^9, 
   3.5785097109926977`*^9, 3.578816618752367*^9, 3.5814059895472264`*^9, 
   3.581406276565643*^9}],

Cell[BoxData["\<\"HydraulicCounterBalanceValveG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153910703125*^9, 3.533154006515625*^9, 3.533273391423853*^9, 
   3.5347564611703386`*^9, 3.5347566009833183`*^9, 3.5347567087301044`*^9, 
   3.5381370220280676`*^9, 3.538722952228875*^9, 3.538977591599161*^9, 
   3.554715620905321*^9, 3.5719772226517305`*^9, 3.5731451212541437`*^9, 
   3.5731452366577444`*^9, 3.5731519032830534`*^9, 3.5731520042318277`*^9, 
   3.575860265685446*^9, 3.575866569689724*^9, 3.576214804325736*^9, {
   3.576214844165736*^9, 3.576214868949736*^9}, 3.576215463298476*^9, {
   3.576215571782324*^9, 3.5762155786730127`*^9}, 3.576215925751717*^9, 
   3.576216006282769*^9, 3.5762160622773685`*^9, 3.5762161619337387`*^9, 
   3.5762168789230337`*^9, 3.576216964633604*^9, 3.576217020276168*^9, 
   3.5762171407042093`*^9, {3.5762172021343517`*^9, 3.576217230059144*^9}, 
   3.576241232725777*^9, 3.576241309812121*^9, {3.5762413810224915`*^9, 
   3.5762414031433306`*^9}, 3.576241478741063*^9, 3.5762415565071993`*^9, 
   3.576836872151907*^9, 3.576838425086887*^9, 3.577450731575206*^9, 
   3.5774511277058153`*^9, 3.577451206303674*^9, 3.577451526325048*^9, 
   3.577451583130367*^9, 3.577451789360363*^9, {3.577605599276204*^9, 
   3.5776056124005165`*^9}, 3.5776067513118963`*^9, 3.5776155324670887`*^9, 
   3.5776166321480455`*^9, 3.5776166971555457`*^9, 3.577616761151944*^9, 
   3.57776582688419*^9, 3.57776589469519*^9, 3.577893679553741*^9, 
   3.5778959871067257`*^9, 3.577896044938033*^9, 3.5778961780966496`*^9, 
   3.577896823959591*^9, 3.577897919532254*^9, 3.5778991084552565`*^9, 
   3.5779810362002554`*^9, {3.5779811665047083`*^9, 3.577981191217122*^9}, 
   3.5781068523420563`*^9, 3.578111183474391*^9, 3.578113160099043*^9, 
   3.5785097110377007`*^9, 3.578816618780367*^9, 3.5814059895652275`*^9, 
   3.581406276567643*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valve43, 4-3 directional valve", "Section",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This subroutine simulates the flow trough a 4-3 directional valve.\
\>", "Text",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0001EL0@0006@000030000000007d0001L0000
00000000002f4`00V`h00215CDH00040G1D007l000080000000000000000000080<005P200100@00
l000000000000000000004H000081`00nPH004M4BD<1002000<004CA^:l00000hPH000402@000g43
000901`0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2S@2o01`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PB=0;l000000100
000V1Pl05P3ooooo003ooooooooool40002>00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B18d0S@2o0<001@0000/2?02400D0000<0VX0T0050000309Z09001@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P040000;@4200P0
003j0PH00@00000000040000;@4400D0000;0S`0Q00700006`B30<h0G`2Z00L0000K18<0l@1O0<d0
1`0001/4P`0D0El0l0050000509O0;@01@0001<2PP2d00D0000D0Ul0``0500004`:20<<01@0001@2
G`3F00D0000C0Ul0eP050000509P0=L01@0001<2I03G00D0000D0Ul0iP0500004`9T0>H01@0001@2
O@3G00D0000C0X80e`050000509m0>H01@0001<2PP3V00D0000D0Ul0nP0500004`:200T11@0001@2
PP3j00D0000C0Ul02@450000509m0=@01@0001<2O@3J00D0000D0Wd0h`0500004`9m0>T01@0001@2
I03E00D0000C0V@0f@050000509T0>@01@0001<2I03Y00L0003l0P0000000000100002d11@0<0000
90<40;@0P@2a07X0]`1j0;@0P@0<000090<40<<0H03006L0aP1W0<<0H00>000090<500T1PP030G/0
2@5i00X1PP090H803P0002@31@090El00`5V00T1J00:0El02@5O00D0000D0W40Q`0500004`9a0:X0
300002@3102Y0740XP1d0:80KP2Y074070000?/2m?l00000002@0@000004000@E6U]IG<0001>2PYU
YHO]Mjj7kGO@InmgCPX:I@002P040000;@4600L0000Q1@80F5I^08X01`0002450P1>D4`0_P0;0000
9PH?00`0ooooo`00000000001@0001@2PP3H00D0000C0Z<0f00<000090<40=P0P`3K08h0f02>0=P0
P`070000o0800?ooo`0000@0000]0@L0300002@3103H0:@0e02H0=P0V03H0:@02`0002H63`0<0?oo
ool10000000000/0000V1Pl0303ooooo000000000005000050:30>L01@0001<2Y03W00@0000]0@D0
300002@3103W08@0jP2?0>L0S`3W08@0100002d11`0<000090<40>L0Y@3S09T0i`2I0>L0Y@0;0000
9PH?00`0ooooo`40000000002`0002H63`0<0?ooool00000000000D0000D0Sd0eP0500004`9N0=H0
100002d11@0<000090<40=H0G@3C0580eP1B0=H0G@040000;@4700`0000T0`@0eP0l0=X0B03F04P0
eP0l00/0000V1Pl0303ooooo0@000000000;00009PH?00`0ooooo`00000000001@0001@2?@3V00D0
000C0Uh0iP040000;@4500`0000T0`@0iP1M0><0DP3V0580iP1M00@0000]0@L0300002@3103V03`0
jP180>H0B03V03`02`0002H63`0<0?ooool10000000000L0000Q1@80CUA<0?801`0002450P1>@IL0
_P0700008@D204i2U`3b00@0000W0Ooo10000?011@070000o0800?ooo`0000@0000]0@D020000?X2
00000000000000@0000]0@P0100002L1ool800009PH?00H0ooooo`40100002L1ool500000P410000
100002d10003000000000140000<0000200000/0000@0000OP0005d000090000400007h0001M0000
2P00010000000000000000T0000@0000_`0008d0001B0000C0400040000@00001`00000000000000
_080000000000002D`1i07<0M01U06d0000000000000000000000000000000000000000000000000
000000000000000000000000002PmA80_iE:00X60@0<000000000=Si3P@<0000:>Um00X60@0<d?Mg
ooooodSd4P000000F?@B00004`0Il_Qg1P000>064`0001<0R2TE033d4P0009H1F?DB0=@/nGMPf?Ug
oooooace4P1DAoIgh0HC05P:8BJ<m180000Q9/1J6`090000]mC]Ma0000000000F0XQ9P008@30m180
fLO]MeP:8BIH2R4V0@0003h=5P2dINeg6_DB0000000000000000000000000000000000410@410@41
0@7]MbD0000<00000@000180000<00000@000580001<0@000P000??oool0000000000000002@0@00
000000A0019D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
0000000000000000000:0:3e4P2oUDX02PH100`000000000f?T>10`0000XjGd02PH100c@mgOooooo
B?@B0000001Hm180000C01Wbn7L60000h0HC00004`28:AD0<?@B0000UP5HmA80e2ciMf3HnGOooooo
7?DB05A7mWOP1Q<0F0XQ9Xcd4P00024VY?@B02D00030FQ/0F0XQ9[;4kGL<0000b?@B01800030FQ/0
F0XQ9UP:8BH10000R0dF0000000SmA80000000000000000000000000000000000@410@410@410Neg
9@0000`000020000600000`0000000008@0000P0000N00006000000000000000_`0008d0000Q0000
200001H0000<0000000001P0000<0000000001T0000<0000oooo02D0000<00001@00P2D0000<0000
2000P1l0000H0000`0000;l0002=0000S@0000X0000@0000Q00003`00009000040000900001Z0000
2@000100002@0000JP0001@0000<00003@0001H0000<000060000180000<00000@0001P0000<0000
000001T0000<0000oooo0240000800009@0000`0000500209P0001`0000300001P00004000000000
000002D0000<00000`0000X0000@0000Q00003`0000[000060000:X0001O0000c@000880000[0000
60000<d0001O0000l0000880000[000060000?00001O00004`400880000K000040000;@0001O0000
=P000100002d0000PP0001/0000@0000``0005l0000f000040000<<0002200006`000100003F0000
G`0003H0000@0000eP0005l0000K000040000=L0001P0000=P000100003G0000I00001/0000@0000
iP0005l0000f000040000>H0001T00006`000100003G0000O@0003H0000@0000e`000880000K0000
40000>H0001m0000=P000100003V0000PP0001/0000@0000nP0005l0000f0000400000T100220000
6`000100003j0000PP0003H0000@00002@4005l0000K000040000=@0001m0000=P000100003J0000
O@0001/0000@0000h`0007d0000f000040000>T0001m00006`000100003E0000I00003H0000@0000
f@0006@0000K000040000>@0001T0000=P000100003Y0000I00002L0000H00001000000000000000
000002D0000<0000100005H0000/00009`0003H0000]0000?@0000@0002d0840/@1j0;L0NP2d0840
EP0002`0000e0000800003X0000V000010000<<0H03006L0aP1W0<<0H01F0000<00006l0000f0000
M@0003d0000500002@6200<1N`090GT02P6200T1PP1F0000<00006l0000O0000M@0002L000050000
2@5O00<1IP090FP02P5O00T1G`0K0000400008L0001a0000=P000100002Z0000L@0005H0000/0000
6P0002`0000P0000<@0000@0002Y0740XP1d0:80KP2Y0740DP0004`100050000m?ooo`0000000000
0000090100000000100045@0J@1]06D0L`0000000000000000000000000000000000000000000000
00000000000000000000000000000?eo0>3mO`00000000000000000000000000300013<7000c1`C?
000400C?0004c`00IQ[]Mc<71<m<m180`5XK063d4P000000[O;hM`004`3Pc1@0000003cd4P30FQ/0
_?@B0=@/nGM`f?UgooooohSd4P3LCOIg/0HC00005004000000000;P@5P2Pm180Rkk]M`D0003<m180
<B[`M`004`000000F0XQ9P40003@41H0^10F01We4P00000000000000000000000000000000010@41
0@410@41kGLU0000300000D0001D0000F00000D0000Q00004`0002h000010000000<@Y]P34::0000
KP000080001<00000000000000000000oooooooooom@0000F01F00T000080000E00005P0000c0000
0`000440000@00000@00000034:KH0a2_P0004`000020000C00000000000000000000?oooooooooo
D00004h0D0090000200001/0000@0000f0000880000f000040000=P0002S0000EP0002`0001:0000
?P0004`00018000010000=P0P`3K08h0f02>0=P0P`0W0000600000H000000000oooo0000000U0000
300000H0001F0000;00004H0001A0000BP0005/000040000f02T0=@0V03H09P0f02T01/0000@0000
i`0008<0000f000040000>L0002T00009@0000`000040000EP0002`0001G0000?`0005T000190000
10000>L0Q03Z08l0i`2?0>L0Q00U0000300000H0001F0000;00005<0001B0000E`0005`000040000
i`2U0><0V@3W09T0i`2U01/0000@0000eP0003d0000f000040000=H0001N00009@0000`000040000
EP0002`0001500004`0004P0000M000010000=H0G@3C0580eP1B0=H0G@0U0000300000H0001F0000
;00004P000000000B`0000/000040000eP0l0=X0B03F04P0eP0l01/0000@0000iP0003d0000f0000
40000>H0001N00009@0000`000040000EP0002`0001C00004`0005H0000M000010000>H0G@3S0580
iP1B0>H0G@0U0000300000H0001F0000;00005H000000000F@0000/000040000iP0l0>X0B03V04P0
iP0l05@0001H0000H00000<0001_000040000040000000a2Vf0<@_80001<00000P0004`000000000
00000000003ooooooooooe00001>05@02@0000T0001D0000F00003<000150000@P00058000010000
000<@Y]P34:n0000U`000080001<00000000000000000000oooooooooom@0000CP1100T000090000
E00005P0001P0000A@0006h0001B00000@00000034:KH0a2lP0009L000020000C000000000000000
00000?ooooooooooD00004h0@P09000020000280000<0000ooooobP0000<0000100002L0000H0000
10000000003oool0000002D0000<0000100002H0000L00001`0000000000000000000000000U0000
300000L0000R000030000?oooolR000030000?oooolB000030000040000U000030000040000U0000
300000L0080U000030000000080`0000300000l0080U0000300000d0081;00004000000000050000
:00000`000010000:00000`000020000:00000`000030000:00000`000040000:00000`000050000
:00000`000060000:00000`0000700003P0001@000000000400001@0
\>"], "Graphics",
 ImageSize->{122, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0002;40@0006@0000000000@0003D1002S0000
000000000024<000;aX00215CDH00040a2800<X000080000000000000000000080<005P200100@00
l000000000000000000004H000083000o0/004M4BD<1002000<006_mKDD00000i0/000402@000o85
000902d0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2o@3E0A`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PCm0=D100000100
000V1Pl05P3ooooo003oooooooooomP1003n00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B1?d0o@3E0ML11@0000/2`P1@00D0000<0[h0H@45000030:n06411@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P0;00009PH?00`0
ooooo`000000000020000?X21P010000000000@0000]0@@01@0000/2`P1@00D0000D0SH1b0050000
4`8f0@P11@0001@2=P490@D0000C0TD12@45000050950@T11@0001<2A@5:0@D0000D0TD1BP450000
4`8f0DX11@0001@2=P5:0@D0000C0SH1H`450000508C0F<11@0001<2=@5S0@D0000D0Q<1BP450000
4`8C0F<11@0001@24`5:0@D0000C0P@1BP45000050840@T11@0001<2105:0@D0000D0P@12@450000
4`8C0@T11@0001@24`7800D0000C0Q<12@450000508C0LP01@0001<2107800D0000D0P@1Q`050000
4`840LP01@0001@2106700D0000C0Q<1Q`050000508C0G<01@0001<24`6700D0000D0Q<1L`050000
4`8f0G<01@0001@2=P5c00D0000C0SH1Q`05000050950HL01@0001<2=P6700D0000D0TD1Q`050000
4`950LP01@0001@2=P7800D0000C0TD1b00;00009PH?00`0ooooo`40000000002`0002H63`0<0?oo
ool00000000000L0003l0P00oooo0000100002d11@0700006`@]0H`17@5@02d000120@D0000X0000
200000P0000100400000020000000000000000000000000000000?ooo`2Z0000E@000:X0001E0000
ZP0005D0002Z0000E@0000@0000]0@H0100002d10`0>000090<505409`6;0BL1R`4Z0E40:P5A02L1
;@0004811@0002P000080000200000400@00000080000000000000000000000000000000oooo0?l0
003M0000o`0007L0003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D0D@0P0H/1
806;0B@1D@0T0E4080440000;@4500@0003`0@L0100002d1100700006`@g0L@04`6<00L0000K13L1
AP4C0@h1;@0004811@0002P000080000200000400@00000080000000000000000000000000000000
oooo0:X0001E0000ZP0005D0002Z0000E@000:X0001E0000100002d11P040000;@4300h0000T0`D0
S@0[0L<0:`730341S@0a0Hd0:`4]0000@P450000:00000P0000800000@010000000P000000000000
0000000000000000003oool0ZP0005D0002Z0000E@000:X0001E0000ZP0005D000040000;@4700@0
003`0@H03P0002@31@0?0B/1A@4[0DD1<@4?0C413`4[0Bd000120@D0000X0000200000P000010040
0000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000o`000=d0003o0000
M`0000@0000]0@H010000?011`0>000090<508d0607301P1``0R0Hd08P6=01P1;@0004811@0002P0
00080000200000400@00000080000000000000000000000000000000oooo0?l0003M0000o`0007L0
003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D03`4H0DD160550B813`4R0@l1
60440000;@4400D0000D0S@1S@0500004`8d0L<01@0001@2=04>0@D0000C0S@1A@4;00009PH?00`0
ooooo`40000000001@0001@2<P7300D0000C0Uh1``050000508h0LP01@0001<2GP7800P0003j0PH0
0P00000000040000;@4600D0000D0^`0N@0500004`8B0GT01@0001@2k01U00D0000C0^`0i@050000
50;/05l11@0001<24`5O0@D0000D0/T0j@0500004`8C0NT01@0001@2k03]00D0000C0^`0GP450000
50960JP01@0001<2N06X00D0000D0TH1:P4500004`9h0BX1100002d110040000l04600D0000D0UT1
]@0500004`9I0N801`000?`20000000000040000;@4600@0003`0@L0300002@3103105T1^P1L0KX0
EP7105T1300002@3103905T1d01L0M00EP7905T11@0001@2<P550@D0000C0Uh1A@450000508h0DX1
1@0001<2GP5:0@D0000D0UT1=`4500004`9I0F@1300002@310130ET1?05L0C`1EP530ET1300002@3
101;0ET1DP5L0E81EP5;0ET12`0002H63`0<0?ooool00000000000D0000D0Uh13P4500004`8b0@h1
1@0001@2GP490@D0000C0SP12@450000509I0Nl01@0001<2F@4L0@`0000T0`@0405I0AL1G04G0EH1
405I0@`0000T0`@0205I0@41G0410EH1205I0@/0000V1Pl0303ooooo0@000000000;00009PH?00`0
ooooo`00000000001@0001@2GP6<00D0000C0S81S0050000509N0HL01@0001<2>06700D0000D0UT1
K@0500004`9I0IX0300002@3102>05T1U@1L0ID0EP6>05T1300002@3102605T1O`1L0Gl0EP6605T1
2`0002H63`0<0?ooool10000000001`0003k0_Co00000000T0400000100045AYKFEc0000H@X::ZF7
kGN^Qnegd6O_Mf4:2RX000X0100002d11`0700008@D204i1N06/00L0000Q1@80CT9h0AD11`000245
0P1>D=00l00700008@D204iDi`1J00L0000H1>l0O03Y07H020000245101H@E@`E@5N00P0000Q1@@0
F45@<5D1dP0800008@D405Q2E31E0EL120000245101H@U0`IP7R00D0000D0RD1R`4500004`8U0Jh1
300002@3102;0BD1TP4X0I818P6;0BD11`0002450P1HER41V`4400009`7oo`@0003`0@D01`000?`2
003oool000040000;@4500P0003j0P000000000000040000;@4800@0000W0Ooo200002H63`060?oo
ool100@0000W0Ooo1@0000810@0000@0000]0@000`0000004@0000`0000800002`000100000g0@00
Z00000T0000@0000=`400:P0000:000040000000000000002@000100003E0@00o@000580001<0@00
0@0001000007000000000000002l0P0000000000009C07T0L`1d06D0K@0000000000000000000000
00000000000000000000000000000000000000000000000000000:3e4P2oUDX02PH100`000000000
f42O0``0000XjGd02PH100c@mgOoooooB?@B0000001Hm180000C01Wbn7L60000h0HC00004`28:AD0
<?@B0000UP5HmA80e2ciMf3HnGOooooo7?DB05A7mWOP1Q<0HPXQ78cd4P00024L`5XK00T0002ge>eg
40000000001R2R4L000Q0<3d4P3IanegHPXQ768:8A`10000gY/F0;AUkGLJmA800000000000000000
00000000000000000@410@410@410Neg9@0000`0000100004P0000`000010000DP0004`100020000
loooo`0000000000000009010000000014004U@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
0000000000000000000000000000000000000000000000X0X?DB0;nEBP0:1P4030000000003H@9l3
300002SYO@0:1P403=3gMooooom8m180000005Sd4P0001<06O;hM`H0003P1Q<0000C08PY5@0`m180
002F0ESe4P3D;?UgH=SiMooooolLmA80E4OfMn064`1R2R4LS?@B00008AbTm1809@000<1J6`1R2R4L
//C]M``00038m1804P000<1J6`1R2R4LHPXQ7040000XW1H0000002?e4P0000000000000000000000
0000000000010@410@410@41kGLU000030000080000H000030000000000Q0000200001h0000H0000
00000000003E0@00o@000240000800005P0000`000000000600000`0000000006@0000`0003oool0
9@0000`0000500209@0000`0000800207`0001P0003G0@00e@400?d0003m00002P000100001@0000
`P0000T0000@0000H@400;h00009000040000641002n0000500000`0000=00005P0000`0000H0000
4P0000`000010000600000`0000000006@0000`0003oool08@0000P0000V0000700000<000060000
0@000000000000009@0000`0000300002P000100001@0000`P0001/0000@0000b00003H1000f0000
400000P1000f0@006`00010000090@00=P4003H0000@00002@4004D1000K0000400000T100150@00
=P000100001:0@00A@4001/0000@0000BP4004D1000f0000400004X1000f0@006`000100001:0@00
=P4003H0000@0000H`4003H1000K0000400006<1000C0@00=P000100001S0@00=@4001/0000@0000
BP4001<1000f0000400006<1000C0@006`000100001:0@004`4003H0000@0000BP4000@1000K0000
400000T100040@00=P000100001:0@00104001/0000@00002@4000@1000f0000400000T1000C0@00
6`000100003800004`4003H0000@00002@4001<1000K000040000<P0000C0@00=P00010000380000
104001/0000@0000Q`0000@1000f000040000<P000040@006`00010000270000104003H0000@0000
Q`0001<1000K0000400007<0000C0@00=P000100002700004`4001/0000@0000L`0001<1000f0000
400007<0000f0@006`000100001c0000=P4003H0000@0000Q`0003H1000K0000400008L000150@00
=P00010000270000=P4001/0000@0000Q`0004D1000f000040000<P000150@006`00010000380000
=P4003H0000@0000b00004D1000W0000600000@000000000oooo0000000U0000300000@0000[0000
60000500000M0@00R`4002`1001N0000L00000D00000000080000300001@0000800002P000080000
200000400@00000080000000000000000000000000000000oooo0:X0001E0000ZP0005D0002Z0000
E@000:X0001E00009@0000`0000500009@0000`000080020EP00030000010000F@0001H1001L0000
1@0005409`6;0BL1R`4Z0E40:P5A02L1GP0007000006000000000200000`0000D0000200000X0000
200000P0000100400000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000
o`000=d0003o0000M`0002D0000<00001P0002P0000<00001@0005H0000`00000@0005<0000F0@00
E`0000D0001A0201R`4P0H/1905A02@1D@0P0BD0000<0000100002P0000<00001P0002D0000<0000
0`0002/0000H0000S00001<100330000=P4002/0000H00003P4001<100150@00=P4005h0001`0000
1P000000000P0000<0000500000P0000:00000P0000800000@010000000P00000000000000000000
00000000003oool0ZP0005D0002Z0000E@000:X0001E0000ZP0005D0000U0000300000H0000U0000
300000P0081F0000<00003H0001M0000IP00068000050000S@0[0L<0:`730341S@0a0Hd0:`5N0000
L00000D00000000080000300001@0000800002P000080000200000400@0000008000000000000000
0000000000000000oooo0:X0001E0000ZP0005D0002Z0000E@000:X0001E00009@0000`000050000
:00000`000060000EP000300002Y0000G@000=T0001R00001@0000l1:`550B/1A@4a0@l1<@4?0B/1
GP0007000006000000000200000`0000D0000200000X0000200000P0000100400000020000000000
000000000000000000000?ooo`3o0000g@000?l0001g0000o`000=d0003o0000M`0002D0000<0000
1P0002P0000<00001@0005H0000`0000=P0004`0001V0000E@0000D0002=01P1``0H0L<08P6=0281
S@0H0Eh0001`00001@000000000P0000<0000500000P0000:00000P0000800000@010000000P0000
000000000000000000000000003oool0o`000=d0003o0000M`000?l0003M0000o`0007L0000U0000
300000D0000X0000300000H0001F0000<0000:T0001<0000f@0005D0000500003`4H0DD160550B81
3`4R0@l1604U0000300000<0000K0000400008d0000d0@00=P00010000330000=04001/0000@0000
3P4003@1000f0000400004D1000d0@006`00010000330000<P4003H0000@0000``0005h1000K0000
40000<P0000h0@00=P00010000380000GP4002H0000L00001P0000H00002000000000000000U0000
300000H0000K0000400007T0003/0000=P000100001i00004P4001/0000@0000I@000>`0000f0000
40000>D0003/00006`000100001O0@00k00003H0000@0000G`4001<1000K000040000>T000390000
=P000100003Y00004`4001/0000@0000k@000>`0000f0000400005h1003/00006`000100002X0000
AP4003H0000@0000Z00007P1000K0000400002X100160@00=P000100000Z0@00N04002D0000<0000
0`0002P0000<00001P0001/0000@0000]@0005T1000f000040000>80001I0@009`0001P000060000
00000000000000009@0000`000060000:00000`000050000EP0002`0001N0000P`0006@000280000
10000<40F@6j05`1^P1F0L40F@5F0000;00006/000230000L@0008P000040000b@1I0M00G07@05H1
b@1I0A/0000@0000A@400381000f0000400004D1001N0@006`000100001:0@00>04003H0000@0000
BP4005h1000K0000400003L1001I0@00=P000100001T0@00F@4005H0000/0000d@0008<0003G0000
R00000@000130ET1?05L0C`1EP530ET1EP0002`0003N0000P`000>@000280000100004/1F@5B0E`1
DP5F0D/1F@4K0000400000h1001N0@00=P000100000>0@00<P4001/0000@00002@4005h1000f0000
400000T1000h0@006`000100003_0000F@4003H0000@0000704005T1001F0000;0000:X000230000
/00008P000040000405I0AL1G04G0EH1405I0EH0000/0000W00008<0002S0000R00000@000080ET1
0@5L0@41EP480ET16`000100002<0000GP4003H0000@0000S0000381000K0000400008L0001N0@00
=P00010000270000>04001/0000@0000K@0005T1000f0000400009X0001I0@00EP0002`0000g0000
P`0003d000280000100008h0F@6E05`1U@1F0Hh0F@5F0000;00002X000230000<00008P000040000
QP1I0Gl0G05o05H1QP1I0E80001<0@001@000?Coool0000000000000002@0@00000000@0011D06T0
K@1U07<0000000000000000000000000000000000000000000000000000000000000000000000000
003iMooooolLm180g4gfMh064`0PCaD084lE0000001[2Q03<`L42`0010040000H?@B034Zl7L001<0
0000021?5@1Pm18000000:gbn7L001<0h<`D0000000lm1800H000;cd4P3D;?UgL=SiMooooon8m180
g4gfMk064`0001@010000000003@YAH0X?@B08^nkGL50000c?@B034Zl7L001<00000068:8A`10000
oZDF0=2U5P0ImA80000000000000000000000000000000000@410@410@410Neg9@0000`000050000
E00005P0001A0000UP000600002S00000@0009aZ3D93N@e2[00007P100020000C000000000000000
00000?ooooooooooD00004h0@@0900002@0005@0001H0000[P0009H0002l0000X`000040002LJPe2
@gT=@QD1001h0@000P0004`00000000000000000003ooooooooooe00001>04802@0000P0001D0000
F00008d000010000V`0000h000010000W6X=@T=i3D;`0000d0000080001<00000000000000000000
oooooooooom@0000CP1@00T000080000E00005P0000900005P0001P0000S00000@0009aZ3D93N@e2
FP000>L000020000C00000000000000000000?ooooooooooD00004h0E00900002@0002X0000H0000
MP000>T0001k0000kP0005@0001T0000300007L0000Y0000Q0000040002LJPe2@gT=@Uh0001E0@00
100004`00000000000000000003ooooooooooe@0001H0440E00`00T0000900002@0000L0001D0000
I00007<0001g0000S`0008@000010000W6X=@T=i3D;B0000E@4000@0001<00000000000000000000
oooooooooomD0000F0110500<00900002@0000P000070000E00006@0003Y0000M`0000D100240000
0@0009aZ3D93N@e2E`4005D100040000C00000000000000000000?ooooooooooE00005P0@P1D0300
2@0000P0000900001`0005@0001T0000P@0008H0002L0000T`000040002LJPe2@gT=@^80001V0@00
100004`00000000000000000003ooooooooooe@0001H0480D00`00T000080000200000L0000K0000
400008/1000U0@00=P000100002^0@009@4005H0000/00005P4005D0000M0@00FP0000@0002;0BD1
TP4X0I818P6;0BD1E00005P0000U0@00B@0003<1001F00000@0009aZ3D93N@e2V`40024100020000
C00000000000000000000?ooooooooooD00005P0EP09000020000280000<0000ooooobP0000<0000
100002L0000H000010000000003oool0000002D0000<0000100002H0000L00001`00000000000000
00000000000U0000300000L0000R000030000?oooolR000030000?oooolB000030000040000U0000
30000040000U0000300000L0080U000030000000080`0000300000l0080U0000300000d0081;0000
4000000000050000:00000`000010000:00000`000020000:00000`000030000:00000`000040000
:00000`000060000:00000`000050000:00000`0000700003P0001@000000000400001@0
\>"], "Graphics",
 ImageSize->{309, 162},
 ImageMargins->{{0, 0}, {0, 1}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Valve43\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<A hydraulic directional valve\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, {3.5695965311236906`*^9, 
   3.569596540324217*^9}, 3.5757721159132*^9, {3.5792775100129037`*^9, 
   3.5792775101679125`*^9}, {3.5792780663387237`*^9, 3.5792780740271635`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"p", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Pressure port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Tank port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"a", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port A\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"b", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port B\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503919051294972*^9, 3.503919119154347*^9}, {
   3.503923736440875*^9, 3.503923751003375*^9}, {3.5039293570625*^9, 
   3.503929406765625*^9}, 3.50394250446875*^9, {3.50399668911909*^9, 
   3.5039966973713074`*^9}, {3.507548807751546*^9, 3.5075488260955305`*^9}, {
   3.515612779640625*^9, 3.515612784234375*^9}, {3.575649090069656*^9, 
   3.575649091319728*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
      "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571994842405704*^9, 3.571994911670148*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Sd", ",", ".01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frap", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-A)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frat", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(A-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbp", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-B)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbt", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(B-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xap0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xat0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbp0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbt0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max opening\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "plam", ",", "10000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulence onset pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.503916073562605*^9, 3.50391608476573*^9}, {
   3.5039161716261826`*^9, 3.503916172813698*^9}, 3.503919167716847*^9, {
   3.505588895375*^9, 3.5055889695*^9}, {3.505589016640625*^9, 
   3.505589034984375*^9}, {3.505589276125*^9, 3.505589277078125*^9}, {
   3.505590362109375*^9, 3.50559036675*^9}, {3.505590803484375*^9, 
   3.50559082509375*^9}, {3.5075449148100324`*^9, 3.507544933372048*^9}, {
   3.5075449813674784`*^9, 3.507545001403344*^9}, {3.507562171421875*^9, 
   3.50756217203125*^9}, {3.5158237803828354`*^9, 3.5158238002578354`*^9}, 
   3.5792851337529564`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qpa", " ", "=", " ", 
   RowBox[{"Kspa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qta", " ", "=", " ", 
   RowBox[{"Ksta", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qpb", " ", "=", " ", 
   RowBox[{"Kspb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qtb", " ", "=", " ", 
   RowBox[{"Kstb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.504198984265625*^9, 3.505589001421875*^9, {3.5075513871678333`*^9, 
   3.5075513902618604`*^9}, {3.5158238134609604`*^9, 3.5158238195390854`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xpa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xap0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xta", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xat0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xpb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xbp0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xtb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xbt0"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.50558966315625*^9, 3.50558969203125*^9}, {
  3.5055897985*^9, 3.505589808*^9}, {3.507562582*^9, 3.507562588921875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wpa", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frap"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wta", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frat"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wpb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbp"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wtb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbt"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5055896995*^9, 3.505589724359375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", " ", "=", " ", 
   RowBox[{"{", "\n", 
    RowBox[{
     RowBox[{"Ks", "==", 
      RowBox[{"Cq", "*", 
       FractionBox[
        RowBox[{"N", "[", 
         SqrtBox["2"], "]"}], 
        SqrtBox["rho"]]}]}], ",", "\n", 
     RowBox[{"Kspa", "==", 
      RowBox[{"Xpa", " ", "wpa", " ", "Ks"}]}], ",", "\n", 
     RowBox[{"Ksta", "==", 
      RowBox[{"Xta", " ", "wta", " ", "Ks"}]}], ",", "\n", 
     RowBox[{"Kspb", "==", 
      RowBox[{"Xpb", " ", "wpb", " ", "Ks"}]}], ",", "\n", 
     RowBox[{"Kstb", "==", 
      RowBox[{"Xtb", " ", "wtb", " ", "Ks"}]}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5055892220625*^9, 3.505589231265625*^9}, 
   3.505589573890625*^9, 3.505813673194783*^9, {3.5058212753418417`*^9, 
   3.5058212802010612`*^9}, {3.5058213722606153`*^9, 3.505821373432453*^9}, {
   3.5075515846230235`*^9, 3.507551585263706*^9}, 3.507551672580868*^9, {
   3.5719028277643366`*^9, 3.571902864408801*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"qp", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qpa"}], "-", "qpb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qt", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qta"}], "-", "qtb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qa", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpa", "+", "qta"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qb", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpb", "+", "qtb"}], ")"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.50754870493773*^9, 3.507548721672319*^9}, {
  3.5719027806054535`*^9, 3.5719028099647055`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pp", " ", "==", " ", 
      RowBox[{"cp", " ", "+", " ", 
       RowBox[{"Zcpe", " ", "qp"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pt", " ", "==", " ", 
      RowBox[{"ct", " ", "+", " ", 
       RowBox[{"Zcte", " ", "qt"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pa", " ", "==", " ", 
      RowBox[{"ca", " ", "+", " ", 
       RowBox[{"Zcae", " ", "qa"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pb", " ", "==", " ", 
      RowBox[{"cb", " ", "+", " ", 
       RowBox[{"Zcbe", " ", "qb"}]}]}]}], "\n", "      ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50559120440625*^9, 3.50559120803125*^9}, {
  3.505591469296875*^9, 3.505591475125*^9}, {3.5075486382337513`*^9, 
  3.5075486907344227`*^9}, {3.51582107740806*^9, 3.5158210786736856`*^9}, {
  3.515900481708085*^9, 3.5159004828643227`*^9}, {3.5719027853790617`*^9, 
  3.571902819511922*^9}, {3.5792858431285305`*^9, 3.579285846193706*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "qp", ",", "qt", ",", "qa", ",", "qb", ",", "pp", ",", "pt", ",", "pa", 
     ",", "pb"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503916309424025*^9, 3.5039163118146653`*^9}, 
   3.504160933453125*^9, 3.504161512171875*^9, {3.50416161690625*^9, 
   3.504161620484375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pt", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pa", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pb", ",", " ", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578503687973201*^9, 3.5785037499217443`*^9}, {
   3.5785038484203777`*^9, 3.5785038577239103`*^9}, 3.578506383342367*^9, {
   3.578506485618217*^9, 3.5785064856202173`*^9}, {3.578509817259776*^9, 
   3.578509821862039*^9}, 3.5792859085372715`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicValve43\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"HydraulicValve43\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve43.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve43.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"xv\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\) \[Rule] \\(\\(\\\"\\\" \
\[Ellipsis] \\\"\\\"\\)\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicValve43\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\(\
\\(\\\"Hy\\\" \[Ellipsis] \\\"43\\\"\\)\\)\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve43.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve43.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.2`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"xv\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768486595`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.581406276849659*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.2`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.2`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768506594`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768516593`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.4`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.4`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.581406276852659*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768536596`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768546596`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6000000000000001`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6000000000000001`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768546596`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.522605225734375*^9, 3.522605921921875*^9, 
  3.522606219859375*^9, 3.5226062996875*^9, 3.52484263065625*^9, 
  3.533153914140625*^9, 3.53315400978125*^9, 3.533273392064433*^9, 
  3.53872295277575*^9, 3.538977592521036*^9, 3.5547156212021084`*^9, 
  3.5719772230417376`*^9, 3.575649101170291*^9, 3.5756518565216455`*^9, 
  3.5757161663959656`*^9, 3.5757162206843133`*^9, 3.575726611452907*^9, 
  3.5757276151532288`*^9, 3.5757278348990607`*^9, 3.5757278693179283`*^9, 
  3.575727988891281*^9, 3.57573788011385*^9, 3.5757381800112286`*^9, 
  3.5757383695348845`*^9, 3.575738482199791*^9, 3.5757386859230022`*^9, 
  3.5792780781644*^9, 3.5792832216685915`*^9, 3.579283394498477*^9, 
  3.579285918436838*^9, 3.581405989820242*^9, 3.5814062768556595`*^9}],

Cell[BoxData["\<\"HydraulicValve43.xml\"\>"], "Output",
 CellChangeTimes->{3.533153914171875*^9, 3.5331540098125*^9, 
  3.533273392080057*^9, 3.538722952791375*^9, 3.538977592552286*^9, 
  3.5547156212177286`*^9, 3.571977223088539*^9, 3.575649101187292*^9, 
  3.5756518565456467`*^9, 3.5757161663959656`*^9, 3.5757162206999135`*^9, 
  3.5757266114685073`*^9, 3.575727615168829*^9, 3.5757278349146605`*^9, 
  3.5757278693335285`*^9, 3.575727988891281*^9, 3.575737880123851*^9, 
  3.575738180026829*^9, 3.5757383695504847`*^9, 3.575738482215391*^9, 
  3.575738685938602*^9, 3.579278078178401*^9, 3.5792832218366013`*^9, 
  3.579283394512478*^9, 3.5792859184498386`*^9, 3.5814059898292427`*^9, 
  3.58140627685666*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valve33, 3-3 directional valve", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.5792771018555584`*^9, 3.579277104368702*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This subroutine simulates the flow trough a 3-3 directional valve.\
\>", "Text",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0001>80@0006@000030000000007d0001L0000
00000000002f4`00N0h00215CDH00040R1<007P000080000000000000000000080<005P200100@00
l000000000000000000004H0001H1P00C0H004M4BD<1002000<0008o5n/00000=0H000402@000aX3
000901`0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2S02o01`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PB<0;l000000100
000V1Pl05P3ooooo003ooooooooool40002=00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B18`0S02o0<001@0000/24`4Z00D0000<0VT0T0050000309Y09001@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P040000;@4200P0
003j0PH00@00000000040000;@4400D0000;0Q<1:P0700006`AJ0G@0=P5@00L0000K15X1U`0f0G<0
1`0001/4FP6j03H1UP050000508f0EX01@0001<2F@5J00D0000D0SH1O00500004`8f0G`01@0001@2
=`5m00D0000C0S/1O@050000508f0H`01@0001<2>`6<00D0000D0U@1O@0500004`9I0Gd01@0001@2
F@6P00D0000C0SH1[`050000509D0GX01@0001<2E06000D0000D0S/1N`0500004`8k0Gl01@0001@2
>`6:00D0000C0S/1S`070000o0800000000000@0000]0@D0300002@3101J05P1E`1A0Ed0D@5J05P1
3P0002@31@2_03H1Z@0m0Jl0?`6`03H1[`0f0@D0000D0TP1;@0500004`980E00300002@3101?04P1
B01;0DP0A@5?04P170000?/2m?l00000002@0@000004000@E6U]IG<0001/2`Z?YHO]Mjj7kGO@Inmg
K0/:S`002P040000;@4600L0000Q1@80F5I50C001`0002450P1>D2<1I00;00009PH?00`0ooooo`00
000000001@0001@2F@5m00D0000C0WX1O@0<000090<407d0FP6006D1O@1U0Gd0FP470000o0800?oo
o`0000@0000]0@L0300002@3101m07/1N@1_0Gd0K`5m07/12`0002H63`0<0?ooool10000000000/0
000V1Pl0303ooooo0000000000050000508D0G`01@0001<2=@5l00@0000]0@D0300002@3101l03@1
N@0Y0G`0:@5l03@1100002d11`0<000090<407`04`6001l1O00O0G`04`4;00009PH?00`0ooooo`40
000000002`0002H63`0<0?ooool00000000000D0000D0Q@1S00500004`8e0H`0100002d11@0<0000
90<408`0=06902T1S00Y0H`0=0440000;@4700`0000T0`@0S00C0I007`6<01l1S00C0@/0000V1Pl0
303ooooo0@000000000700008@D204iD8`6H00L0000Q1@80CT5^0F<01@0001@2=P5Y00D0000C0S/1
J@050000508k0FL01@0001<2>`5/00D0000D0SH1W`0500004`8f0Il01@0001@2=`6P00D0000C0S/1
X0050000508k0Ih01@0001<2>`6R00@0000W0Ooo10000?011@070000o0800?ooo`0000@0000]0@D0
20000?X200000000000000@0000]0@P0100002L1ool800009PH?00H0ooooo`40100002L1ool50000
0P410000100002d100030000000A0000300000P0000;0000400007h0001M00002@000100001n0000
G@0000X0000@0000000000000009000040000;l0002<0000DP0004`100010000400000L000000000
00000;`20000000000000U<0N@1c07@0I@1]00000000000000000000000000000000000000000000
00000000000000000000000000000000X?DB0;nEBP0<d?Mgooooobcd4P000000J?@B000@00040000
000C00PP000001<0000C05Sd4P0001<06O;hM`H0003P1Q<0000C08PY5@0`m180Hd7fMeSe4P3D;?Ug
H=SiMooooolLmA80E4OfMn064`1f2b66S?@B00008HK0FQ/02@000;ODkGL@0000000007H;8HH00240
`?@B0=W7kGMf2b66MP/QQP40003NVaH0]6G]Ma[e4P00000000000000000000000000000000010@41
0@410@41kGLU000030000040000B000030000040001B0000C0400080003coooo0000000000000000
T04000000004@00BE01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
0000000000000000000000002P2PmA80_iE:00c@mgOooooo;?@B0000001Xm180010000@0000001<0
220000004`0001<0F?@B00004`0Il_Qg1P000>064`0001<0R2TE033d4P1S@OIgF?DB0=@/nGMPf?Ug
oooooace4P1DAoIgh0HC07H;8HJ<m180000QQZCd4P0U0000`5XK07H;8HJba>eg30000<Sd4P0B0000
`5XK07H;8HIf2b660@0002RL5P0000008oDB0000000000000000000000000000000000410@410@41
0@7]MbD0000<00000P0001P0000<000000000240000800007P0001P00000000000000;l0002<0000
8@0000P0000F000030000000000H000030000000000I000030000?ooo`0U0000300000D0080U0000
300000P0080O000060000<00002o0000S00008`0000:0000400002X0000C0@002@000100002@0000
J@0000T0000@0000T00006T0000D0000300000d0000F0000300001P0000B000030000040000H0000
30000000000I000030000?ooo`0Q0000200002D0000<00001@00P2H0000L00000`0000H000010000
00000000000U0000300000<0000:0000400002X0000C0@00:`0001P0001@0000=P4007<0001I0@00
:`0001P0001c0000=P4009H0001I0@00:`0001P0002F0000=P400;T0001I0@006`000100001J0000
=P4003H0000@0000FP0005T1000K0000400007`0000f0@00=P000100001l0000=P4001/0000@0000
O@0003L1000f0000400007d0000k0@006`000100002<0000=P4003H0000@0000S00003/1000K0000
400007d0001D0@00=P000100001m0000F@4001/0000@0000X00005T1000f000040000:l0000f0@00
6`000100001j0000E04003H0000@0000P00005@1000K0000400007/0000k0@00=P000100001o0000
>`4001/0000@0000RP0003/1000f0000400008l0000k0@009`0001P0000400000000000000000000
9@0000`000040000EP0002`0000W0000=`0002d0000m0000100005X0F05G0541G@1A0EX0F05F0000
<00006l0000O0000M@0002L000050000[`0f0JT0?@6_03l1/00f0Jl0=P4K0000400002d000180@00
=P000100001@0000B04005H0000/00006P0002`0000P0000<P0000@0001?04P1B01;0DP0A@5?04P1
DP0004`100050000m?ooo`00000000000000090100000000100045@0J@1]06D0L`00000000000000
0000000000000000000000000000000000000000000000000000000000000?eo0>3mO`0000000000
0000000000000000J?@B13<7000c1`AI000400AI0004F@00IQ[]Mc<715U<m180`5XK063d4P000000
[O;hM`004`1`cQ@0000003cd4P30FQ/0_?@B0=@/nGM`f?UgooooohSd4P3LCOIg/0HC000050040000
00000=BN5P2Pm180Rkk]M`D0003<m180<B[`M`004`000000MP/QQP40003/WQH0e9hF01We4P000000
00000000000000000000000000010@410@410@41kGLU0000300000D0001D0000F00000D0000Q0000
4`0002h000010000000<@]bf3D8`0000A@400080001<00000000000000000000oooooooooom@0000
F01F00T000080000E00005P0000c00000`000440000@00000@00000034;L]Pe2I00002<100020000
C00000000000000000000?ooooooooooD00004h0D0090000200001/0000@0000O@0005T1000f0000
400007d0001j0@00EP0002`000190000?`0004/000190000100007d0FP6006D1O@1U0Gd0FP4W0000
600000H000000000oooo0000000U0000300000H0001F0000;00004D0001B0000B@0005`000040000
O@1k0GT0K`5m06l1O@1k0A/0000@0000O00001@1000f0000400007`0000e0@009@0000`000040000
EP0002`000150000500004P0000M0000100007`0=05i02T1O00Y0G`0=04U0000300000H0001F0000
;00004P000000000B`0000/000040000O00C0H007`5l01l1O00C0A/0000@0000S00001@1000f0000
400008`0000e0@009@0000`000040000EP0002`0001C0000500005H0000M0000100008`0=06902T1
S00Y0H`0=04U0000300000H0001F0000;00005H000000000F@0000/000040000S00C0I007`6<01l1
S00C0E@0001H0000H00000<0001_000040000040000000a2g;H=@YP0000S0@000P0004`000000000
00000000003ooooooooooe00001>05@02@0000T0001D0000F000038000160000@@0005<000010000
000<@]bf3D9S0000KP400080001<00000000000000000000oooooooooom@0000CP1100T000090000
6`000100001Y0000=P4003H0000@0000J@0003/1000K0000400006L0000k0@00=P000100001/0000
>`4001/0000@0000W`0003H1000f0000400009l0000f0@006`000100002P0000=`4003H0000@0000
X00003/1000K0000400009h0000k0@00=P000100002R0000>`400280000<0000ooooobP0000<0000
100002L0000H000010000000003oool0000002D0000<0000100002H0000L00001`00000000000000
00000000000U0000300000L0000R000030000?oooolR000030000?oooolB000030000040000U0000
30000040000U0000300000L0080U000030000000080`0000300000l0080U0000300000d0081;0000
4000000000050000:00000`000010000:00000`000020000:00000`000030000:00000`000040000
:00000`000050000:00000`000060000:00000`0000700003P0001@000000000400001@0
\>"], "Graphics",
 ImageSize->{122, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0001h<0@0006@0000000000@0003D1002H0000
000000000024<000I1P00215CDH0004031h00:h000080000000000000000000080<005P200100@00
l000000000000000000004H0001h2P00K0X004M4BD<1002000<006ZI]P/00000E0X000402@000bX5
000902d0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2k03E0A`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PC/0=D100000100
000V1Pl05P3ooooo003oooooooooomP1003]00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B1>`0k03E0ML11@0000/2B01J00D0000<0[40H@45000030:a06411@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P0;00009PH?00`0
ooooo`000000000020000?X21P010000000000@0000]0@@01@0000/2B01J00D0000D0Y40dP050000
4`:A01811@0001@2PP0C0@D0000C0Y404`45000050:201<11@0001<2PP1D0@D0000D0Y40E0450000
4`:205@11@0001@2T@1D0@D0000C0Y40K@45000050:B06d11@0001<2]01]0@D0000D0[@0E0450000
4`:d06d11@0001@2``1D0@D0000C0[@0E045000050;301<11@0001<2``1D0@D0000D0[@04`450000
4`;301<11@0001@2]03B00D0000C0[@04`45000050;30=801@0001<2]03B00D0000D0/<0T@050000
4`;30=801@0001@2]02A00D0000C0/<0T@05000050:d07d01@0001<2]02A00D0000D0Y40O@050000
4`:d07d01@0001@2T@1m00D0000C0Y40T@05000050:A09401@0001<2PP2A00D0000D0X80T@050000
4`:20=801@0001@2PP3B00D0000C0Y40dP0;00009PH?00`0ooooo`40000000002`0002H63`0<0?oo
ool00000000000L0003l0P00oooo0000100002d11@0700006`B[09H1V`1J02d000120@D0000X0000
200000P0000100400000020000000000000000000000000000000?ooo`2Z0000E@000:X0001E0000
ZP0005D0002Z0000E@0000@0000]0@H0100002d10`0>000090<505/0Y@2E0JD0U@6X05/0Z01K0:D0
;@0004811@0002P000080000200000400@00000080000000000000000000000000000000oooo0?l0
003M0000o`0007L0003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D0F`2N09D1
WP2E0J80F`2R05/0WP040000;@4500@0003`0@L0100002d1100700006`Be0<h0T@2F00L0000K1;D0
D06A01P1;@0004811@0002P000080000200000400@00000080000000000000000000000000000000
oooo0:X0001E0000ZP0005D0002Z0000E@000:X0001E0000100002d11P040000;@4300h0000T0`D0
U`2Y0<d0Z@3=0:l0U`2_09L0Z@0]0000@P450000:00000P0000800000@010000000P000000000000
0000000000000000003oool0ZP0005D0002Z0000E@000:X0001E0000ZP0005D000040000;@4700@0
003`0@H03P0002@31@0I0JT0C`6Y04l1[`0I0Jl06@6Y02d000120@D0000X0000200000P000010040
0000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000o`000=d0003o0000
M`0000@0000]0@H010000?011`0>000090<509L0UP3=09H0c@2P09L0X02G09H0;@0004811@0002P0
00080000200000400@00000080000000000000000000000000000000oooo0?l0003M0000o`0007L0
003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D06@6F04l1UP1?0J006@6P01T1
UP040000;@4400D0000D0[80U`0500004`:b0<d01@0001@2/P0H0@D0000C0[80C`4;00009PH?00`0
ooooo`40000000001@0001@2J@3=00D0000C0YD0c@050000509Y0=801@0001<2S`3B00P0003j0PH0
0P00000000040000;@4600D0000D0[D0l`0500004`;b0?<01@0001@2D02b00D0000C0X80/P050000
509@03@11@0001<2PP0d0@@0000]0@@010000?011P050000509^0;l01@0001<2KP3/00L0003l0P00
00000000100002d11P040000l04700`0000T0`@0b`1^0<@0J`340740b`1^00`0000T0`@0d`1^0=X0
J`3J0740d`1^00/0000V1Pl0303ooooo000000000005000050:E01P11@0001<2J@0H0@D0000D0Xl0
4`4500004`9Y01<11@0001@2KP3i00D0000C0Vh09P4<000090<401X1KP0Q0F/08@5a01X1KP0<0000
90<40181KP0;0F/02`5a0181KP0;00009PH?00`0ooooo`400000000070000?/2m?l00000002@0@00
0004000@E6U]IG<0001f2`Z2YHO]Mjj7kGO@InmgMP/:PP002P040000;@4700L0000Q1@80CU1F0;H0
1`0002450P1>E5H0>@4700008@D204i1l@3k00P0000Q1@@0F45@<7T0g00800008@D405Q1E31X0>`0
1@0001@2XP2E0@D0000C0Z80^04<000090<409D1XP2L0Il0W06U09D1XP0700008@D205QFW`2T0@@0
000W0Ooo10000?011@070000o0800?ooo`0000@0000]0@D020000?X200000000000000@0000]0@P0
100002L1ool800009PH?00H0ooooo`40100002L1ool500000P410000100002d100030000000A0000
300000P0000;0000400003L1002L00002@000100000g0@00W00000X0000@00000000000000090000
40000=D1003/0000DP0004`100010000400000L00000000000000;`20000000000000U<0N@1c07@0
I@1]0000000000000000000000000000000000000000000000000000000000000000000000000000
X?DB0;nEBP0:1P40300000000038^bD4300002SYO@0:1P403=3gMooooom8m180000005Sd4P0001<0
6O;hM`H0003P1Q<0000C08PY5@0`m180002F0ESe4P3D;?UgH=SiMooooolLmA80E4OfMn064`1J2B6B
S?@B00008I;0FQ/02@000;ODkGL@0000000005X98I800240`?@B0=W7kGMJ2B6BFPTQTP40003NVaH0
]6G]Ma[e4P00000000000000000000000000000000010@410@410@41kGLU000030000040000B0000
30000040001B0000C0400080003coooo0000000000000000T04000000004@00BE01Y06d0I@1c0200
CP1U07L0801B06l0K@1Q06h00000000000000000000000000000000000000000000000002P2PmA80
_iE:00X60@0<000000000<Rk9@@<0000:>Um00X60@0<d?MgooooodSd4P000000F?@B00004`0Il_Qg
1P000>064`0001<0R2TE033d4P0009H1F?DB0=@/nGMPf?Ugoooooace4P1DAoIgh0HC05X98I:<m180
000QTZCd4P0U0000`5XK05X98I:ba>eg30000<Sd4P0B0000`5XK05X98I9J2B6B0@0002RL5P000000
8oDB0000000000000000000000000000000000410@410@410@7]MbD0000<00000P0001P0000<0000
00000240000800007P0001P00000000000000=D1003/00008@0000P0000F000030000000000H0000
30000000000I000030000?ooo`0U0000300000D0080U0000300000P0080O000060000=L1003E0@00
k0000>`0000:0000400005X0001800002@000100001Q0@00/@0000T0000@0000H@400;40000D0000
300000d0000F0000300001P0000B000030000040000H000030000000000I000030000?ooo`0Q0000
200002H0000L00000`0000H00001000000000000000U0000300000<0000:0000400005X000180000
6`000100003B0000T@0003H0000@00004P400940000K0000400001<100220000=P000100000C0@00
T@0001/0000@00004`400880000f0000400005@1002200006`000100001D0@00T@0003H0000@0000
E0400880000K0000400005@1002A0000=P000100001]0@00T@0001/0000@0000K@400980000f0000
400006d1002d00006`000100001D0@00]00003H0000@0000K@400;@0000K0000400005@100330000
=P000100001D0@00]00001/0000@00004`400<<0000f0000400005@1003300006`000100000C0@00
]00003H0000@00004`400<<0000K000040000=80002d0000=P000100000C0@00]00001/0000@0000
dP000<<0000f000040000=80002d00006`000100002A0000``0003H0000@0000dP000<<0000K0000
40000940002d0000=P000100002A0000``0001/0000@0000O@000;@0000f000040000940002d0000
6`000100001m0000T@0003H0000@0000O@000;@0000K0000400007d0002A0000=P000100002A0000
T@0001/0000@0000T@000940000f000040000940002200006`000100002A0000PP0003H0000@0000
dP000880000K000040000=8000220000=P000100003B0000T@0002L0000H000010000000003oool0
000002D0000<0000100002/0000H0000FP0009/0002E0@00ZP0005h0001`00001@000000000P0000
<0000500000P0000:00000P0000800000@010000000P0000000000000000000000000000003oool0
ZP0005D0002Z0000E@000:X0001E0000ZP0005D0000U0000300000D0000U0000300000P0081F0000
<0000040001B00005P4005D000050000F`2U09D1Y@2E0JP0F`2X05/0Y@1N0000L00000H000000000
80000300001@0000800002P000080000200000400@00000080000000000000000000000000000000
oooo0?l0003M0000o`0007L0003o0000g@000?l0001g00009@0000`000060000:00000`000050000
EP00030000010000C00001H1001?00001@0005/0WP2E0Ih0U@6R05/0XP1K09h09@0000`000040000
:00000`0000600009@0000`000030000:`0001P0002F0000T@000<d0002d0000:`0001P0000H0@00
T@0004l1002d0000GP0007000006000000000200000`0000D0000200000X0000200000P000010040
0000020000000000000000000000000000000?ooo`2Z0000E@000:X0001E0000ZP0005D0002Z0000
E@0002D0000<00001P0002D0000<00002000P5H0000`0000=P0005H0001V0000F`0000D0002G0:T0
c@2Y0<d0[`2G0:l0U`2Y05h0001`00001@000000000P0000<0000500000P0000:00000P000080000
0@010000000P0000000000000000000000000000003oool0ZP0005D0002Z0000E@000:X0001E0000
ZP0005D0000U0000300000D0000X0000300000H0001F0000<0000:T0001F0000f@0005/000050000
6@6Y04l1Z@1?0Jl06@6_01T1Z@1N0000L00000H00000000080000300001@0000800002P000080000
200000400@00000080000000000000000000000000000000oooo0?l0003M0000o`0007L0003o0000
g@000?l0001g00009@0000`000060000:00000`000050000EP000300000f0000A@0006H0001>0000
1@0009L0UP3=09H0c@2P09L0X02G09H0GP0007000005000000000200000`0000D0000200000X0000
200000P0000100400000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000
o`000=d0003o0000M`0002D0000<00001@0002P0000<00001P0005H0000`0000Z@0004D0003I0000
CP0000D0000I0IH0C`6F04l1X00I0J006@6F02D0000<00000`0001/0000@0000U`000;80000f0000
40000<d0002b00006`000100000H0@00/P0003H0000@0000C`400;80000K000040000<d0001Y0000
=P000100003=0000U@0001/0000@0000dP0006T0000f000040000=80002?00009P0001`000060000
1P00008000000000000002D0000<00001P0001/0000@0000l`000;D0000f000040000?<0003b0000
6`000100002b0000D00003H0000@0000/P000880000K0000400003@1001@0000=P000100000d0@00
PP0002D0000<00000`0002P0000<00001P0001/0000@0000_`0006h0000f000040000>`0001^0000
9`0001P00006000000000000000000009@0000`000060000:00000`000050000EP0002`0001N0000
7`0006@0000T000010000</0KP3406/0a01a0</0KP1F0000;00006/0000O0000L@0002@000040000
d`1^0=X0J`3J0740d`1^01/0000@0000604009D0000f0000400001P1001Y00006`000100000C0@00
S`0003H0000@00004`4006T0000K000040000?T0001^0000=P000100000V0@00KP0005H0000/0000
ZP0001l0002`0000900000@0000J0Fh08@5[0241L@0J0Fh0EP0002`0002L00007`000:<0000T0000
10000181KP0;0F/02`5a0181KP1B0000C04000D0003doooo0000000000000000T04000000004000@
E01Y06d0I@1c00000000000000000000000000000000000000000000000000000000000000000000
00000000nGOooooo7?@B0=a=mWN01Q<0l58C0?1B4`0000004`X@>3<719T000@01000063d4P0a:_1g
000C0000003`DQ<0H?@B0000002]l_Qg000C073>50000000??@B0060002lm180e2ciMg3HnGOooooo
R?@B0=a=mWN`1Q<0000D00@000000000O:@F0:3d4P2;_^eg1@000<cd4P0a:_1g000C0000001J2B6B
0@000:ZT5P1lY1H06ODB0000000000000000000000000000000000410@410@410@7]MbD0000<0000
1@0005@0001H0000D@000040001O00003P000040002LJPe2E`@=@[H0001F00000P0004`000000000
00000000003ooooooooooe00001>05002@0000P0001D0000F0000<D000010000e00000h000010000
W6X=@UL43D8i0@00EP000080001<00000000000000000000oooooooooom@0000CP1D00T000090000
E00005P0002>0000RP0009d0002G00000@0009aZ3D9G10e2n`000?4000020000C000000000000000
00000?ooooooooooD00004h0@@0900002@0005@0001T0000L`000200002?0000;@000040002LJPe2
E`@=@]`0001i0000100004`00000000000000000003ooooooooooe@0001H0440D00`00T000090000
200000L0001D0000I0000840000A0000WP0001h000010000W6X=@UL43D;/0000J00000@0001<0000
0000000000000000oooooooooomD0000F01105@0<00900002@0000T0000700006`000100002E0@00
XP0003H0000@0000^0400:80001F0000;00001H1001=00007@40058000040000U@6R09`1W`2L0JD0
U@6R05@0001H000090400480000b0@00C`000040002LJPe2E`@=@Z@1002O00000P0004`000000000
00000000003ooooooooooe00001H05H02@0000P0000R000030000?oooolX0000300000@0000W0000
600000@000000000oooo0000000U0000300000@0000V0000700000L0000000000000000000000000
9@0000`0000700008P0000`0003ooooo8P0000`0003ooooo4P0000`0000100009@0000`000010000
9@0000`0000700209@0000`000000020<00000`0000?00209@0000`0000=0020B`00010000000000
1@0002P0000<00000@0002P0000<00000P0002P0000<00000`0002P0000<0000100002P0000<0000
1P0002P0000<00001@0002P0000<00001`0000h0000D000000000100000D0000
\>"], "Graphics",
 ImageSize->{309, 151},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Valve33\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", "\"\<A load sensing hydraulic directional valve\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, {3.5695965311236906`*^9, 
   3.569596540324217*^9}, 3.5757721159132*^9, {3.5792775100129037`*^9, 
   3.5792775101679125`*^9}, {3.57927754456888*^9, 3.57927754561794*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"p", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Pressure port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Tank port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"a", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port A\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503919051294972*^9, 3.503919119154347*^9}, {
   3.503923736440875*^9, 3.503923751003375*^9}, {3.5039293570625*^9, 
   3.503929406765625*^9}, 3.50394250446875*^9, {3.50399668911909*^9, 
   3.5039966973713074`*^9}, {3.507548807751546*^9, 3.5075488260955305`*^9}, {
   3.515612779640625*^9, 3.515612784234375*^9}, {3.575649090069656*^9, 
   3.575649091319728*^9}, 3.579277137972624*^9, 3.5792834273963585`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
      "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571994842405704*^9, 3.571994911670148*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Sd", ",", ".01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frap", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-A)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frat", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(A-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xap0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xat0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max opening\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "plam", ",", "10000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulence onset pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.503916073562605*^9, 3.50391608476573*^9}, {
   3.5039161716261826`*^9, 3.503916172813698*^9}, 3.503919167716847*^9, {
   3.505588895375*^9, 3.5055889695*^9}, {3.505589016640625*^9, 
   3.505589034984375*^9}, {3.505589276125*^9, 3.505589277078125*^9}, {
   3.505590362109375*^9, 3.50559036675*^9}, {3.505590803484375*^9, 
   3.50559082509375*^9}, {3.5075449148100324`*^9, 3.507544933372048*^9}, {
   3.5075449813674784`*^9, 3.507545001403344*^9}, {3.507562171421875*^9, 
   3.50756217203125*^9}, {3.5158237803828354`*^9, 3.5158238002578354`*^9}, 
   3.57927714786719*^9, 3.579277240431484*^9, 3.5792851123017297`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qpa", " ", "=", " ", 
   RowBox[{"Kspa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qta", " ", "=", " ", 
   RowBox[{"Ksta", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.504198984265625*^9, 3.505589001421875*^9, {3.5075513871678333`*^9, 
   3.5075513902618604`*^9}, {3.5158238134609604`*^9, 
   3.5158238195390854`*^9}, {3.579277152493455*^9, 3.5792771537245255`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xpa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xap0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xta", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "+", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "+", " ", "Xat0"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.50558966315625*^9, 3.50558969203125*^9}, {
  3.5055897985*^9, 3.505589808*^9}, {3.507562582*^9, 3.507562588921875*^9}, {
  3.5792771584257936`*^9, 3.579277158981826*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wpa", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frap"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wta", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frat"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5055896995*^9, 3.505589724359375*^9}, {
  3.5792771639981127`*^9, 3.5792771645531445`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ks", "==", 
      RowBox[{"Cq", "*", 
       FractionBox[
        RowBox[{"N", "[", 
         SqrtBox["2"], "]"}], 
        SqrtBox["rho"]]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kspa", "==", 
      RowBox[{"Xpa", " ", "wpa", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Ksta", "==", 
      RowBox[{"Xta", " ", "wta", " ", "Ks"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5055892220625*^9, 3.505589231265625*^9}, 
   3.505589573890625*^9, 3.505813673194783*^9, {3.5058212753418417`*^9, 
   3.5058212802010612`*^9}, {3.5058213722606153`*^9, 3.505821373432453*^9}, {
   3.5075515846230235`*^9, 3.507551585263706*^9}, 3.507551672580868*^9, {
   3.5719028277643366`*^9, 3.571902864408801*^9}, {3.5792771689593964`*^9, 
   3.5792771869604263`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"qp", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"-", "qpa"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qt", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"-", "qta"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qa", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpa", "+", "qta"}], ")"}]}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.50754870493773*^9, 3.507548721672319*^9}, {
  3.5719027806054535`*^9, 3.5719028099647055`*^9}, {3.5792771950828905`*^9, 
  3.5792771972320137`*^9}, {3.579283492398076*^9, 3.579283496610317*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pp", " ", "==", " ", 
      RowBox[{"cp", " ", "+", " ", 
       RowBox[{"Zcpe", " ", "qp"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pt", " ", "==", " ", 
      RowBox[{"ct", " ", "+", " ", 
       RowBox[{"Zcte", " ", "qt"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pa", " ", "==", " ", 
      RowBox[{"ca", " ", "+", " ", 
       RowBox[{"Zcae", " ", "qa"}]}]}]}], "\n", "      ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50559120440625*^9, 3.50559120803125*^9}, {
   3.505591469296875*^9, 3.505591475125*^9}, {3.5075486382337513`*^9, 
   3.5075486907344227`*^9}, {3.51582107740806*^9, 3.5158210786736856`*^9}, {
   3.515900481708085*^9, 3.5159004828643227`*^9}, {3.5719027853790617`*^9, 
   3.571902819511922*^9}, 3.579277205856507*^9, {3.5792858268996024`*^9, 
   3.579285829321741*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"qp", ",", "qt", ",", "qa", ",", "pp", ",", "pt", ",", "pa"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503916309424025*^9, 3.5039163118146653`*^9}, 
   3.504160933453125*^9, 3.504161512171875*^9, {3.50416161690625*^9, 
   3.504161620484375*^9}, {3.579277211669839*^9, 3.5792772150070305`*^9}, 
   3.57928544833595*^9, {3.5792860101790853`*^9, 3.5792860165154476`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pt", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pa", ",", " ", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578503687973201*^9, 3.5785037499217443`*^9}, {
   3.5785038484203777`*^9, 3.5785038577239103`*^9}, 3.578506383342367*^9, {
   3.578506485618217*^9, 3.5785064856202173`*^9}, {3.578509817259776*^9, 
   3.578509821862039*^9}, 3.5792858912132807`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve33.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve33.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pt\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \\(\\({}\\)\
\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\
\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"a\
\\\" \[Rule] \\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"xv\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicValve33\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicValve33\\\"\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\
\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicValve33.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\
\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve33.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\(\
\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] \
is not a list of contents. The third item in an XMLElement must be a list of \
contents, even if it is an empty list. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bsO6O8TcztANAACPJ2A
  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvuleORF3M7QDQACTyeZA==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvuleO3D3M7QDQACwSeng==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvulePN7HkdIBoABn+d/Q==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvulSNXybwOEA0AAEadNw==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvulWNuy7wOEA0AA86dqg==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvuleO8nnkdIBoABY6d4w==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bvuleP5KfM6QDQAB06eHA==

  "]],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA2KGBnPRa3avHBkabHMgdPVEMM1QNhtCX50g5QwSdzn/
JQjEt7wNoq/xM6npB79y/HRJQnBK7CvHkDUC6QJxrxzXlC/7I1LzyvFV6MMG
xrmvHNmKl2YyLXnlGLRR4BAzkD6w+oyGMpB++nSqPog2r8tz0gDSDs+f7AfR
0kdjboPoCp1V90F0QuucdyB65RLmw7pA+k90wwsQfUzWkEEPSG9IceMD0Tad
e9VBtMnhN/bvVr1y3LRo/6MPQLoiL+QHiH438f4fEF16IoP1I5C+Ut2kBqK7
1Nq1QLSK1WXjT0Bad72kDYhubb/oAKK5Vx1K+bsO6O+58zpANAABFZ1W
  "]],

Cell[BoxData["\<\"HydraulicValve33.xml\"\>"], "Output",
 CellChangeTimes->{3.533153914171875*^9, 3.5331540098125*^9, 
  3.533273392080057*^9, 3.538722952791375*^9, 3.538977592552286*^9, 
  3.5547156212177286`*^9, 3.571977223088539*^9, 3.575649101187292*^9, 
  3.5756518565456467`*^9, 3.5757161663959656`*^9, 3.5757162206999135`*^9, 
  3.5757266114685073`*^9, 3.575727615168829*^9, 3.5757278349146605`*^9, 
  3.5757278693335285`*^9, 3.575727988891281*^9, 3.575737880123851*^9, 
  3.575738180026829*^9, 3.5757383695504847`*^9, 3.575738482215391*^9, 
  3.575738685938602*^9, 3.5792778239288588`*^9, 3.579283222051614*^9, 
  3.5792833946964884`*^9, 3.5792834310055647`*^9, 3.579283499294471*^9, 
  3.579283764090616*^9, 3.579283796239455*^9, 3.5792859186558504`*^9, 
  3.5792859848506365`*^9, 3.5792860225697937`*^9, 3.581405990150261*^9, 
  3.5814062769576654`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Valve43LS, load sensing 4-3 directional valve\
\>", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.52818909584375*^9, 3.528189095984375*^9}, {
  3.579278426568328*^9, 3.57927842906647*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This subroutine simulates the flow trough a 4-3 directional valve.\
\>", "Text",
 PageWidth->WindowWidth],

Cell[CellGroupData[{

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0001EL0@0006@000030000000007d0001L0000
00000000002f4`00V`h00215CDH00040G1D007l000080000000000000000000080<005P200100@00
l000000000000000000004H000081`00nPH004M4BD<1002000<004CA^:l00000hPH000402@000g43
000901`0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2S@2o01`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PB=0;l000000100
000V1Pl05P3ooooo003ooooooooool40002>00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B18d0S@2o0<001@0000/2?02400D0000<0VX0T0050000309Z09001@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P040000;@4200P0
003j0PH00@00000000040000;@4400D0000;0S`0Q00700006`B30<h0G`2Z00L0000K18<0l@1O0<d0
1`0001/4P`0D0El0l0050000509O0;@01@0001<2PP2d00D0000D0Ul0``0500004`:20<<01@0001@2
G`3F00D0000C0Ul0eP050000509P0=L01@0001<2I03G00D0000D0Ul0iP0500004`9T0>H01@0001@2
O@3G00D0000C0X80e`050000509m0>H01@0001<2PP3V00D0000D0Ul0nP0500004`:200T11@0001@2
PP3j00D0000C0Ul02@450000509m0=@01@0001<2O@3J00D0000D0Wd0h`0500004`9m0>T01@0001@2
I03E00D0000C0V@0f@050000509T0>@01@0001<2I03Y00L0003l0P0000000000100002d11@0<0000
90<40;@0P@2a07X0]`1j0;@0P@0<000090<40<<0H03006L0aP1W0<<0H00>000090<500T1PP030G/0
2@5i00X1PP090H803P0002@31@090El00`5V00T1J00:0El02@5O00D0000D0W40Q`0500004`9a0:X0
300002@3102Y0740XP1d0:80KP2Y074070000?/2m?l00000002@0@000004000@E6U]IG<0001>2PYU
YHO]Mjj7kGO@InmgCPX:I@002P040000;@4600L0000Q1@80F5I^08X01`0002450P1>D4`0_P0;0000
9PH?00`0ooooo`00000000001@0001@2PP3H00D0000C0Z<0f00<000090<40=P0P`3K08h0f02>0=P0
P`070000o0800?ooo`0000@0000]0@L0300002@3103H0:@0e02H0=P0V03H0:@02`0002H63`0<0?oo
ool10000000000/0000V1Pl0303ooooo000000000005000050:30>L01@0001<2Y03W00@0000]0@D0
300002@3103W08@0jP2?0>L0S`3W08@0100002d11`0<000090<40>L0Y@3S09T0i`2I0>L0Y@0;0000
9PH?00`0ooooo`40000000002`0002H63`0<0?ooool00000000000D0000D0Sd0eP0500004`9N0=H0
100002d11@0<000090<40=H0G@3C0580eP1B0=H0G@040000;@4700`0000T0`@0eP0l0=X0B03F04P0
eP0l00/0000V1Pl0303ooooo0@000000000;00009PH?00`0ooooo`00000000001@0001@2?@3V00D0
000C0Uh0iP040000;@4500`0000T0`@0iP1M0><0DP3V0580iP1M00@0000]0@L0300002@3103V03`0
jP180>H0B03V03`02`0002H63`0<0?ooool10000000000L0000Q1@80CUA<0?801`0002450P1>@IL0
_P0700008@D204i2U`3b00@0000W0Ooo10000?011@070000o0800?ooo`0000@0000]0@D020000?X2
00000000000000@0000]0@P0100002L1ool800009PH?00H0ooooo`40100002L1ool500000P410000
100002d10003000000000140000<0000200000/0000@0000OP0005d000090000400007h0001M0000
2P00010000000000000000T0000@0000_`0008d0001B0000C0400040000@00001`00000000000000
_080000000000002D`1i07<0M01U06d0000000000000000000000000000000000000000000000000
000000000000000000000000002PmA80_iE:00X60@0<000000000=Si3P@<0000:>Um00X60@0<d?Mg
ooooodSd4P000000F?@B00004`0Il_Qg1P000>064`0001<0R2TE033d4P0009H1F?DB0=@/nGMPf?Ug
oooooace4P1DAoIgh0HC05P:8BJ<m180000Q9/1J6`090000]mC]Ma0000000000F0XQ9P008@30m180
fLO]MeP:8BIH2R4V0@0003h=5P2dINeg6_DB0000000000000000000000000000000000410@410@41
0@7]MbD0000<00000@000180000<00000@000580001<0@000P000??oool0000000000000002@0@00
000000A0019D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
0000000000000000000:0:3e4P2oUDX02PH100`000000000f?T>10`0000XjGd02PH100c@mgOooooo
B?@B0000001Hm180000C01Wbn7L60000h0HC00004`28:AD0<?@B0000UP5HmA80e2ciMf3HnGOooooo
7?DB05A7mWOP1Q<0F0XQ9Xcd4P00024VY?@B02D00030FQ/0F0XQ9[;4kGL<0000b?@B01800030FQ/0
F0XQ9UP:8BH10000R0dF0000000SmA80000000000000000000000000000000000@410@410@410Neg
9@0000`000020000600000`0000000008@0000P0000N00006000000000000000_`0008d0000Q0000
200001H0000<0000000001P0000<0000000001T0000<0000oooo02D0000<00001@00P2D0000<0000
2000P1l0000H0000`0000;l0002=0000S@0000X0000@0000Q00003`00009000040000900001Z0000
2@000100002@0000JP0001@0000<00003@0001H0000<000060000180000<00000@0001P0000<0000
000001T0000<0000oooo0240000800009@0000`0000500209P0001`0000300001P00004000000000
000002D0000<00000`0000X0000@0000Q00003`0000[000060000:X0001O0000c@000880000[0000
60000<d0001O0000l0000880000[000060000?00001O00004`400880000K000040000;@0001O0000
=P000100002d0000PP0001/0000@0000``0005l0000f000040000<<0002200006`000100003F0000
G`0003H0000@0000eP0005l0000K000040000=L0001P0000=P000100003G0000I00001/0000@0000
iP0005l0000f000040000>H0001T00006`000100003G0000O@0003H0000@0000e`000880000K0000
40000>H0001m0000=P000100003V0000PP0001/0000@0000nP0005l0000f0000400000T100220000
6`000100003j0000PP0003H0000@00002@4005l0000K000040000=@0001m0000=P000100003J0000
O@0001/0000@0000h`0007d0000f000040000>T0001m00006`000100003E0000I00003H0000@0000
f@0006@0000K000040000>@0001T0000=P000100003Y0000I00002L0000H00001000000000000000
000002D0000<0000100005H0000/00009`0003H0000]0000?@0000@0002d0840/@1j0;L0NP2d0840
EP0002`0000e0000800003X0000V000010000<<0H03006L0aP1W0<<0H01F0000<00006l0000f0000
M@0003d0000500002@6200<1N`090GT02P6200T1PP1F0000<00006l0000O0000M@0002L000050000
2@5O00<1IP090FP02P5O00T1G`0K0000400008L0001a0000=P000100002Z0000L@0005H0000/0000
6P0002`0000P0000<@0000@0002Y0740XP1d0:80KP2Y0740DP0004`100050000m?ooo`0000000000
0000090100000000100045@0J@1]06D0L`0000000000000000000000000000000000000000000000
00000000000000000000000000000?eo0>3mO`00000000000000000000000000300013<7000c1`C?
000400C?0004c`00IQ[]Mc<71<m<m180`5XK063d4P000000[O;hM`004`3Pc1@0000003cd4P30FQ/0
_?@B0=@/nGM`f?UgooooohSd4P3LCOIg/0HC00005004000000000;P@5P2Pm180Rkk]M`D0003<m180
<B[`M`004`000000F0XQ9P40003@41H0^10F01We4P00000000000000000000000000000000010@41
0@410@41kGLU0000300000D0001D0000F00000D0000Q00004`0002h000010000000<@Y]P34::0000
KP000080001<00000000000000000000oooooooooom@0000F01F00T000080000E00005P0000c0000
0`000440000@00000@00000034:KH0a2_P0004`000020000C00000000000000000000?oooooooooo
D00004h0D0090000200001/0000@0000f0000880000f000040000=P0002S0000EP0002`0001:0000
?P0004`00018000010000=P0P`3K08h0f02>0=P0P`0W0000600000H000000000oooo0000000U0000
300000H0001F0000;00004H0001A0000BP0005/000040000f02T0=@0V03H09P0f02T01/0000@0000
i`0008<0000f000040000>L0002T00009@0000`000040000EP0002`0001G0000?`0005T000190000
10000>L0Q03Z08l0i`2?0>L0Q00U0000300000H0001F0000;00005<0001B0000E`0005`000040000
i`2U0><0V@3W09T0i`2U01/0000@0000eP0003d0000f000040000=H0001N00009@0000`000040000
EP0002`0001500004`0004P0000M000010000=H0G@3C0580eP1B0=H0G@0U0000300000H0001F0000
;00004P000000000B`0000/000040000eP0l0=X0B03F04P0eP0l01/0000@0000iP0003d0000f0000
40000>H0001N00009@0000`000040000EP0002`0001C00004`0005H0000M000010000>H0G@3S0580
iP1B0>H0G@0U0000300000H0001F0000;00005H000000000F@0000/000040000iP0l0>X0B03V04P0
iP0l05@0001H0000H00000<0001_000040000040000000a2Vf0<@_80001<00000P0004`000000000
00000000003ooooooooooe00001>05@02@0000T0001D0000F00003<000150000@P00058000010000
000<@Y]P34:n0000U`000080001<00000000000000000000oooooooooom@0000CP1100T000090000
E00005P0001P0000A@0006h0001B00000@00000034:KH0a2lP0009L000020000C000000000000000
00000?ooooooooooD00004h0@P09000020000280000<0000ooooobP0000<0000100002L0000H0000
10000000003oool0000002D0000<0000100002H0000L00001`0000000000000000000000000U0000
300000L0000R000030000?oooolR000030000?oooolB000030000040000U000030000040000U0000
300000L0080U000030000000080`0000300000l0080U0000300000d0081;00004000000000050000
:00000`000010000:00000`000020000:00000`000030000:00000`000040000:00000`000050000
:00000`000060000:00000`0000700003P0001@000000000400001@0
\>"], "Graphics",
 ImageSize->{122, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@0002;40@0006@0000000000@0003D1002S0000
000000000024<000;aX00215CDH00040a2800<X000080000000000000000000080<005P200100@00
l000000000000000000004H000083000o0/004M4BD<1002000<006_mKDD00000i0/000402@000o85
000902d0000001@0000V1Pl07P3ooooo100D0000EfmbI0h0CFUSLVmcKfId85M_LV@500002`800000
1@0000`2o@3E0A`0003k0Q001`000000_080000000000U=iLgAUK@00200000`0RP4000X0302:0@`0
RP4000X0100002d1000500000P41000070000?/2lol00000002@0@000004@00BE6U]IG<PCVEg859_
KF5^0:j7kGO@Inmg7@X:30002P040000;@4100D000090P00000300007P0700005PCm0=D100000100
000V1Pl05P3ooooo003oooooooooomP1003n00000`0001h01@0002h1000000D0000:0P0000050000
2@8000001@000042oooo00L0003l0P4000000000100002d10P080000nP85004000000000100002d1
0`0400000`4800L0000B1?d0o@3E0ML11@0000/2`P1@00D0000<0[h0H@45000030:n06411@0000@1
3@0000D0000^0AP0000500000P4100001@0000T2000000D000010_ooo`0300007P0;00009PH?00`0
ooooo`000000000020000?X21P010000000000@0000]0@@01@0000/2`P1@00D0000D0SH1b0050000
4`8f0@P11@0001@2=P490@D0000C0TD12@45000050950@T11@0001<2A@5:0@D0000D0TD1BP450000
4`8f0DX11@0001@2=P5:0@D0000C0SH1H`450000508C0F<11@0001<2=@5S0@D0000D0Q<1BP450000
4`8C0F<11@0001@24`5:0@D0000C0P@1BP45000050840@T11@0001<2105:0@D0000D0P@12@450000
4`8C0@T11@0001@24`7800D0000C0Q<12@450000508C0LP01@0001<2107800D0000D0P@1Q`050000
4`840LP01@0001@2106700D0000C0Q<1Q`050000508C0G<01@0001<24`6700D0000D0Q<1L`050000
4`8f0G<01@0001@2=P5c00D0000C0SH1Q`05000050950HL01@0001<2=P6700D0000D0TD1Q`050000
4`950LP01@0001@2=P7800D0000C0TD1b00;00009PH?00`0ooooo`40000000002`0002H63`0<0?oo
ool00000000000L0003l0P00oooo0000100002d11@0700006`@]0H`17@5@02d000120@D0000X0000
200000P0000100400000020000000000000000000000000000000?ooo`2Z0000E@000:X0001E0000
ZP0005D0002Z0000E@0000@0000]0@H0100002d10`0>000090<505409`6;0BL1R`4Z0E40:P5A02L1
;@0004811@0002P000080000200000400@00000080000000000000000000000000000000oooo0?l0
003M0000o`0007L0003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D0D@0P0H/1
806;0B@1D@0T0E4080440000;@4500@0003`0@L0100002d1100700006`@g0L@04`6<00L0000K13L1
AP4C0@h1;@0004811@0002P000080000200000400@00000080000000000000000000000000000000
oooo0:X0001E0000ZP0005D0002Z0000E@000:X0001E0000100002d11P040000;@4300h0000T0`D0
S@0[0L<0:`730341S@0a0Hd0:`4]0000@P450000:00000P0000800000@010000000P000000000000
0000000000000000003oool0ZP0005D0002Z0000E@000:X0001E0000ZP0005D000040000;@4700@0
003`0@H03P0002@31@0?0B/1A@4[0DD1<@4?0C413`4[0Bd000120@D0000X0000200000P000010040
0000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000o`000=d0003o0000
M`0000@0000]0@H010000?011`0>000090<508d0607301P1``0R0Hd08P6=01P1;@0004811@0002P0
00080000200000400@00000080000000000000000000000000000000oooo0?l0003M0000o`0007L0
003o0000g@000?l0001g0000100002d11`040000l04600h0000T0`D03`4H0DD160550B813`4R0@l1
60440000;@4400D0000D0S@1S@0500004`8d0L<01@0001@2=04>0@D0000C0S@1A@4;00009PH?00`0
ooooo`40000000001@0001@2<P7300D0000C0Uh1``050000508h0LP01@0001<2GP7800P0003j0PH0
0P00000000040000;@4600D0000D0^`0N@0500004`8B0GT01@0001@2k01U00D0000C0^`0i@050000
50;/05l11@0001<24`5O0@D0000D0/T0j@0500004`8C0NT01@0001@2k03]00D0000C0^`0GP450000
50960JP01@0001<2N06X00D0000D0TH1:P4500004`9h0BX1100002d110040000l04600D0000D0UT1
]@0500004`9I0N801`000?`20000000000040000;@4600@0003`0@L0300002@3103105T1^P1L0KX0
EP7105T1300002@3103905T1d01L0M00EP7905T11@0001@2<P550@D0000C0Uh1A@450000508h0DX1
1@0001<2GP5:0@D0000D0UT1=`4500004`9I0F@1300002@310130ET1?05L0C`1EP530ET1300002@3
101;0ET1DP5L0E81EP5;0ET12`0002H63`0<0?ooool00000000000D0000D0Uh13P4500004`8b0@h1
1@0001@2GP490@D0000C0SP12@450000509I0Nl01@0001<2F@4L0@`0000T0`@0405I0AL1G04G0EH1
405I0@`0000T0`@0205I0@41G0410EH1205I0@/0000V1Pl0303ooooo0@000000000;00009PH?00`0
ooooo`00000000001@0001@2GP6<00D0000C0S81S0050000509N0HL01@0001<2>06700D0000D0UT1
K@0500004`9I0IX0300002@3102>05T1U@1L0ID0EP6>05T1300002@3102605T1O`1L0Gl0EP6605T1
2`0002H63`0<0?ooool10000000001`0003k0_Co00000000T0400000100045AYKFEc0000H@X::ZF7
kGN^Qnegd6O_Mf4:2RX000X0100002d11`0700008@D204i1N06/00L0000Q1@80CT9h0AD11`000245
0P1>D=00l00700008@D204iDi`1J00L0000H1>l0O03Y07H020000245101H@E@`E@5N00P0000Q1@@0
F45@<5D1dP0800008@D405Q2E31E0EL120000245101H@U0`IP7R00D0000D0RD1R`4500004`8U0Jh1
300002@3102;0BD1TP4X0I818P6;0BD11`0002450P1HER41V`4400009`7oo`@0003`0@D01`000?`2
003oool000040000;@4500P0003j0P000000000000040000;@4800@0000W0Ooo200002H63`060?oo
ool100@0000W0Ooo1@0000810@0000@0000]0@000`0000004@0000`0000800002`000100000g0@00
Z00000T0000@0000=`400:P0000:000040000000000000002@000100003E0@00o@000580001<0@00
0@0001000007000000000000002l0P0000000000009C07T0L`1d06D0K@0000000000000000000000
00000000000000000000000000000000000000000000000000000:3e4P2oUDX02PH100`000000000
f42O0``0000XjGd02PH100c@mgOoooooB?@B0000001Hm180000C01Wbn7L60000h0HC00004`28:AD0
<?@B0000UP5HmA80e2ciMf3HnGOooooo7?DB05A7mWOP1Q<0HPXQ78cd4P00024L`5XK00T0002ge>eg
40000000001R2R4L000Q0<3d4P3IanegHPXQ768:8A`10000gY/F0;AUkGLJmA800000000000000000
00000000000000000@410@410@410Neg9@0000`0000100004P0000`000010000DP0004`100020000
loooo`0000000000000009010000000014004U@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
0000000000000000000000000000000000000000000000X0X?DB0;nEBP0:1P4030000000003H@9l3
300002SYO@0:1P403=3gMooooom8m180000005Sd4P0001<06O;hM`H0003P1Q<0000C08PY5@0`m180
002F0ESe4P3D;?UgH=SiMooooolLmA80E4OfMn064`1R2R4LS?@B00008AbTm1809@000<1J6`1R2R4L
//C]M``00038m1804P000<1J6`1R2R4LHPXQ7040000XW1H0000002?e4P0000000000000000000000
0000000000010@410@410@41kGLU000030000080000H000030000000000Q0000200001h0000H0000
00000000003E0@00o@000240000800005P0000`000000000600000`0000000006@0000`0003oool0
9@0000`0000500209@0000`0000800207`0001P0003G0@00e@400?d0003m00002P000100001@0000
`P0000T0000@0000H@400;h00009000040000641002n0000500000`0000=00005P0000`0000H0000
4P0000`000010000600000`0000000006@0000`0003oool08@0000P0000V0000700000<000060000
0@000000000000009@0000`0000300002P000100001@0000`P0001/0000@0000b00003H1000f0000
400000P1000f0@006`00010000090@00=P4003H0000@00002@4004D1000K0000400000T100150@00
=P000100001:0@00A@4001/0000@0000BP4004D1000f0000400004X1000f0@006`000100001:0@00
=P4003H0000@0000H`4003H1000K0000400006<1000C0@00=P000100001S0@00=@4001/0000@0000
BP4001<1000f0000400006<1000C0@006`000100001:0@004`4003H0000@0000BP4000@1000K0000
400000T100040@00=P000100001:0@00104001/0000@00002@4000@1000f0000400000T1000C0@00
6`000100003800004`4003H0000@00002@4001<1000K000040000<P0000C0@00=P00010000380000
104001/0000@0000Q`0000@1000f000040000<P000040@006`00010000270000104003H0000@0000
Q`0001<1000K0000400007<0000C0@00=P000100002700004`4001/0000@0000L`0001<1000f0000
400007<0000f0@006`000100001c0000=P4003H0000@0000Q`0003H1000K0000400008L000150@00
=P00010000270000=P4001/0000@0000Q`0004D1000f000040000<P000150@006`00010000380000
=P4003H0000@0000b00004D1000W0000600000@000000000oooo0000000U0000300000@0000[0000
60000500000M0@00R`4002`1001N0000L00000D00000000080000300001@0000800002P000080000
200000400@00000080000000000000000000000000000000oooo0:X0001E0000ZP0005D0002Z0000
E@000:X0001E00009@0000`0000500009@0000`000080020EP00030000010000F@0001H1001L0000
1@0005409`6;0BL1R`4Z0E40:P5A02L1GP0007000006000000000200000`0000D0000200000X0000
200000P0000100400000020000000000000000000000000000000?ooo`3o0000g@000?l0001g0000
o`000=d0003o0000M`0002D0000<00001P0002P0000<00001@0005H0000`00000@0005<0000F0@00
E`0000D0001A0201R`4P0H/1905A02@1D@0P0BD0000<0000100002P0000<00001P0002D0000<0000
0`0002/0000H0000S00001<100330000=P4002/0000H00003P4001<100150@00=P4005h0001`0000
1P000000000P0000<0000500000P0000:00000P0000800000@010000000P00000000000000000000
00000000003oool0ZP0005D0002Z0000E@000:X0001E0000ZP0005D0000U0000300000H0000U0000
300000P0081F0000<00003H0001M0000IP00068000050000S@0[0L<0:`730341S@0a0Hd0:`5N0000
L00000D00000000080000300001@0000800002P000080000200000400@0000008000000000000000
0000000000000000oooo0:X0001E0000ZP0005D0002Z0000E@000:X0001E00009@0000`000050000
:00000`000060000EP000300002Y0000G@000=T0001R00001@0000l1:`550B/1A@4a0@l1<@4?0B/1
GP0007000006000000000200000`0000D0000200000X0000200000P0000100400000020000000000
000000000000000000000?ooo`3o0000g@000?l0001g0000o`000=d0003o0000M`0002D0000<0000
1P0002P0000<00001@0005H0000`0000=P0004`0001V0000E@0000D0002=01P1``0H0L<08P6=0281
S@0H0Eh0001`00001@000000000P0000<0000500000P0000:00000P0000800000@010000000P0000
000000000000000000000000003oool0o`000=d0003o0000M`000?l0003M0000o`0007L0000U0000
300000D0000X0000300000H0001F0000<0000:T0001<0000f@0005D0000500003`4H0DD160550B81
3`4R0@l1604U0000300000<0000K0000400008d0000d0@00=P00010000330000=04001/0000@0000
3P4003@1000f0000400004D1000d0@006`00010000330000<P4003H0000@0000``0005h1000K0000
40000<P0000h0@00=P00010000380000GP4002H0000L00001P0000H00002000000000000000U0000
300000H0000K0000400007T0003/0000=P000100001i00004P4001/0000@0000I@000>`0000f0000
40000>D0003/00006`000100001O0@00k00003H0000@0000G`4001<1000K000040000>T000390000
=P000100003Y00004`4001/0000@0000k@000>`0000f0000400005h1003/00006`000100002X0000
AP4003H0000@0000Z00007P1000K0000400002X100160@00=P000100000Z0@00N04002D0000<0000
0`0002P0000<00001P0001/0000@0000]@0005T1000f000040000>80001I0@009`0001P000060000
00000000000000009@0000`000060000:00000`000050000EP0002`0001N0000P`0006@000280000
10000<40F@6j05`1^P1F0L40F@5F0000;00006/000230000L@0008P000040000b@1I0M00G07@05H1
b@1I0A/0000@0000A@400381000f0000400004D1001N0@006`000100001:0@00>04003H0000@0000
BP4005h1000K0000400003L1001I0@00=P000100001T0@00F@4005H0000/0000d@0008<0003G0000
R00000@000130ET1?05L0C`1EP530ET1EP0002`0003N0000P`000>@000280000100004/1F@5B0E`1
DP5F0D/1F@4K0000400000h1001N0@00=P000100000>0@00<P4001/0000@00002@4005h1000f0000
400000T1000h0@006`000100003_0000F@4003H0000@0000704005T1001F0000;0000:X000230000
/00008P000040000405I0AL1G04G0EH1405I0EH0000/0000W00008<0002S0000R00000@000080ET1
0@5L0@41EP480ET16`000100002<0000GP4003H0000@0000S0000381000K0000400008L0001N0@00
=P00010000270000>04001/0000@0000K@0005T1000f0000400009X0001I0@00EP0002`0000g0000
P`0003d000280000100008h0F@6E05`1U@1F0Hh0F@5F0000;00002X000230000<00008P000040000
QP1I0Gl0G05o05H1QP1I0E80001<0@001@000?Coool0000000000000002@0@00000000@0011D06T0
K@1U07<0000000000000000000000000000000000000000000000000000000000000000000000000
003iMooooolLm180g4gfMh064`0PCaD084lE0000001[2Q03<`L42`0010040000H?@B034Zl7L001<0
0000021?5@1Pm18000000:gbn7L001<0h<`D0000000lm1800H000;cd4P3D;?UgL=SiMooooon8m180
g4gfMk064`0001@010000000003@YAH0X?@B08^nkGL50000c?@B034Zl7L001<00000068:8A`10000
oZDF0=2U5P0ImA80000000000000000000000000000000000@410@410@410Neg9@0000`000050000
E00005P0001A0000UP000600002S00000@0009aZ3D93N@e2[00007P100020000C000000000000000
00000?ooooooooooD00004h0@@0900002@0005@0001H0000[P0009H0002l0000X`000040002LJPe2
@gT=@QD1001h0@000P0004`00000000000000000003ooooooooooe00001>04802@0000P0001D0000
F00008d000010000V`0000h000010000W6X=@T=i3D;`0000d0000080001<00000000000000000000
oooooooooom@0000CP1@00T000080000E00005P0000900005P0001P0000S00000@0009aZ3D93N@e2
FP000>L000020000C00000000000000000000?ooooooooooD00004h0E00900002@0002X0000H0000
MP000>T0001k0000kP0005@0001T0000300007L0000Y0000Q0000040002LJPe2@gT=@Uh0001E0@00
100004`00000000000000000003ooooooooooe@0001H0440E00`00T0000900002@0000L0001D0000
I00007<0001g0000S`0008@000010000W6X=@T=i3D;B0000E@4000@0001<00000000000000000000
oooooooooomD0000F0110500<00900002@0000P000070000E00006@0003Y0000M`0000D100240000
0@0009aZ3D93N@e2E`4005D100040000C00000000000000000000?ooooooooooE00005P0@P1D0300
2@0000P0000900001`0005@0001T0000P@0008H0002L0000T`000040002LJPe2@gT=@^80001V0@00
100004`00000000000000000003ooooooooooe@0001H0480D00`00T000080000200000L0000K0000
400008/1000U0@00=P000100002^0@009@4005H0000/00005P4005D0000M0@00FP0000@0002;0BD1
TP4X0I818P6;0BD1E00005P0000U0@00B@0003<1001F00000@0009aZ3D93N@e2V`40024100020000
C00000000000000000000?ooooooooooD00005P0EP09000020000280000<0000ooooobP0000<0000
100002L0000H000010000000003oool0000002D0000<0000100002H0000L00001`00000000000000
00000000000U0000300000L0000R000030000?oooolR000030000?oooolB000030000040000U0000
30000040000U0000300000L0080U000030000000080`0000300000l0080U0000300000d0081;0000
4000000000050000:00000`000010000:00000`000020000:00000`000030000:00000`000040000
:00000`000060000:00000`000050000:00000`0000700003P0001@000000000400001@0
\>"], "Graphics",
 ImageSize->{309, 162},
 ImageMargins->{{0, 0}, {0, 1}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Valve43LS\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", "\"\<A load sensing hydraulic directional valve\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, {3.5695965311236906`*^9, 
   3.569596540324217*^9}, 3.5757721159132*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"p", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Pressure port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Tank port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"a", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port A\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"b", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port B\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"ls", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<LS port\>\""}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503919051294972*^9, 3.503919119154347*^9}, {
   3.503923736440875*^9, 3.503923751003375*^9}, {3.5039293570625*^9, 
   3.503929406765625*^9}, 3.50394250446875*^9, {3.50399668911909*^9, 
   3.5039966973713074`*^9}, {3.507548807751546*^9, 3.5075488260955305`*^9}, {
   3.515612779640625*^9, 3.515612784234375*^9}, {3.5281892315*^9, 
   3.52818925309375*^9}, 3.5756490609509907`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
      "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571994842405704*^9, 3.571994911670148*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Sd", ",", ".01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frap", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-A)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frat", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(A-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbp", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-B)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbt", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(B-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "wls", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Area gradient LS-port\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xap0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xat0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbp0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbt0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xlsa0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xlsb0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xls0", ",", "0.0003", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Zero opening LS port\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max valve opening\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvlsmax", ",", "0.001", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max opening LS port\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "plam", ",", "10000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulence onset pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.503916073562605*^9, 3.50391608476573*^9}, {
   3.5039161716261826`*^9, 3.503916172813698*^9}, 3.503919167716847*^9, {
   3.505588895375*^9, 3.5055889695*^9}, {3.505589016640625*^9, 
   3.505589034984375*^9}, {3.505589276125*^9, 3.505589277078125*^9}, {
   3.505590362109375*^9, 3.50559036675*^9}, {3.505590803484375*^9, 
   3.50559082509375*^9}, {3.5075449148100324`*^9, 3.507544933372048*^9}, {
   3.5075449813674784`*^9, 3.507545001403344*^9}, {3.507562171421875*^9, 
   3.50756217203125*^9}, {3.5158237803828354`*^9, 3.5158238002578354`*^9}, {
   3.52819029396875*^9, 3.5281904303125*^9}, {3.569596832671938*^9, 
   3.5695968327619433`*^9}, {3.571978306807603*^9, 3.5719783134688883`*^9}, {
   3.5719864066873174`*^9, 3.571986423113763*^9}, {3.571986461692563*^9, 
   3.571986546228963*^9}, {3.571986988412763*^9, 3.571986993155163*^9}, {
   3.571987095936763*^9, 3.571987118151163*^9}, 3.579285124356419*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qpa", " ", "=", " ", 
   RowBox[{"Kspa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qta", " ", "=", " ", 
   RowBox[{"Ksta", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qpb", " ", "=", " ", 
   RowBox[{"Kspb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qtb", " ", "=", " ", 
   RowBox[{"Kstb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pb"}], ",", "plam"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qlsa", " ", "=", " ", 
   RowBox[{"Kslsa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pls", "-", "pa"}], ",", "plam"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qlsb", " ", "=", " ", 
   RowBox[{"Kslsb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pls", "-", "pb"}], ",", "plam"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qlst", " ", "=", " ", 
   RowBox[{"Kslst", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pls", "-", "pt"}], ",", "plam"}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.504198984265625*^9, 3.505589001421875*^9, {3.5075513871678333`*^9, 
   3.5075513902618604`*^9}, {3.5158238134609604`*^9, 
   3.5158238195390854`*^9}, {3.528189406765625*^9, 3.5281894573125*^9}, {
   3.528189492765625*^9, 3.52818949975*^9}, {3.5696056737376184`*^9, 
   3.569605691443631*^9}, 3.5696059485853386`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xpa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xap0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xta", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xat0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xpb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xbp0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xtb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xbt0"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xlsa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "-", " ", "Xlsa0"}], ",", "0.", ",", 
     RowBox[{"Xvlsmax", " ", "-", " ", "Xlsa0"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xlsb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "-", " ", "Xlsb0"}], ",", "0.", ",", 
     RowBox[{"Xvlsmax", " ", "-", " ", "Xlsb0"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xlst", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"Xls0", "-", 
      RowBox[{"Abs", "[", "xv", "]"}]}], ",", "0.", ",", "Xls0"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.50558966315625*^9, 3.50558969203125*^9}, {
  3.5055897985*^9, 3.505589808*^9}, {3.507562582*^9, 3.507562588921875*^9}, {
  3.52818973471875*^9, 3.528189747125*^9}, {3.528190104078125*^9, 
  3.52819013678125*^9}, {3.528190218359375*^9, 3.528190242265625*^9}, {
  3.569605518216723*^9, 3.569605551874648*^9}, {3.569605598299303*^9, 
  3.569605611865079*^9}, {3.5719864342365627`*^9, 3.571986436685763*^9}, {
  3.571986566664963*^9, 3.571986594432963*^9}, {3.571987124391163*^9, 
  3.571987145872363*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wpa", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frap"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wta", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frat"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wpb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbp"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wtb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbt"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5055896995*^9, 3.505589724359375*^9}, {
   3.52818961478125*^9, 3.52818962775*^9}, {3.5695962884628115`*^9, 
   3.569596322162739*^9}, 3.571985056331151*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ks", "==", 
      RowBox[{"Cq", "*", 
       FractionBox[
        RowBox[{"N", "[", 
         SqrtBox["2"], "]"}], 
        SqrtBox["rho"]]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kspa", "==", 
      RowBox[{"Xpa", " ", "wpa", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Ksta", "==", 
      RowBox[{"Xta", " ", "wta", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kspb", "==", 
      RowBox[{"Xpb", " ", "wpb", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kstb", "==", 
      RowBox[{"Xtb", " ", "wtb", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kslsa", "==", 
      RowBox[{"Xlsa", " ", "wls", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kslsb", "==", 
      RowBox[{"Xlsb", " ", "wls", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kslst", "==", 
      RowBox[{"Xlst", " ", "wls", " ", "Ks"}]}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5055892220625*^9, 3.505589231265625*^9}, 
   3.505589573890625*^9, 3.505813673194783*^9, {3.5058212753418417`*^9, 
   3.5058212802010612`*^9}, {3.5058213722606153`*^9, 3.505821373432453*^9}, {
   3.5075515846230235`*^9, 3.507551585263706*^9}, 3.507551672580868*^9, {
   3.528189655421875*^9, 3.528189725703125*^9}, {3.528189882046875*^9, 
   3.528189914390625*^9}, {3.5696056995500946`*^9, 3.569605729399802*^9}, {
   3.5719026190359697`*^9, 3.5719026838072834`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"qp", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qpa"}], "-", "qpb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qt", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qta"}], "-", "qtb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qa", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpa", "+", "qta"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qb", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpb", "+", "qtb"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qls", "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qlsa"}], "-", "qlsb", "-", "qlst"}], ")"}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.50754870493773*^9, 3.507548721672319*^9}, {
   3.528189282484375*^9, 3.528189346515625*^9}, {3.52819026384375*^9, 
   3.52819026821875*^9}, {3.56960565208738*^9, 3.569605654861539*^9}, {
   3.5719026944153023`*^9, 3.5719027013105145`*^9}, 3.571977660680024*^9}],

Cell[CellGroupData[{

Cell[BoxData["systemEquationsDA"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"qp", "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "Kspa"}], " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pa"}], "+", "pp"}], ",", "plam"}], "]"}]}], "-", 
     RowBox[{"Kspb", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pb"}], "+", "pp"}], ",", "plam"}], "]"}]}]}]}], ",", 
   RowBox[{"qt", "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "Ksta"}], " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pa"}], "+", "pt"}], ",", "plam"}], "]"}]}], "-", 
     RowBox[{"Kstb", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pb"}], "+", "pt"}], ",", "plam"}], "]"}]}]}]}], ",", 
   RowBox[{"qa", "\[Equal]", 
    RowBox[{
     RowBox[{"Kspa", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pa"}], "+", "pp"}], ",", "plam"}], "]"}]}], "+", 
     RowBox[{"Ksta", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pa"}], "+", "pt"}], ",", "plam"}], "]"}]}]}]}], ",", 
   RowBox[{"qb", "\[Equal]", 
    RowBox[{
     RowBox[{"Kspb", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pb"}], "+", "pp"}], ",", "plam"}], "]"}]}], "+", 
     RowBox[{"Kstb", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pb"}], "+", "pt"}], ",", "plam"}], "]"}]}]}]}], ",", 
   RowBox[{"qls", "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "Kslsa"}], " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pa"}], "+", "pls"}], ",", "plam"}], "]"}]}], "-", 
     RowBox[{"Kslsb", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "pb"}], "+", "pls"}], ",", "plam"}], "]"}]}], "-", 
     RowBox[{"Kslst", " ", 
      RowBox[{"signedSquareL", "[", 
       RowBox[{
        RowBox[{"pls", "-", "pt"}], ",", "plam"}], "]"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5792826982236524`*^9, 3.5792827160176697`*^9}, 
   3.5792827783062325`*^9, 3.579283222186621*^9, 3.5792833307998333`*^9, 
   3.5792833948274956`*^9, 3.5792859187658567`*^9, 3.5814059904452777`*^9, 
   3.5814062770196686`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pp", " ", "==", " ", 
      RowBox[{"cp", " ", "+", " ", 
       RowBox[{"Zcpe", " ", "qp"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pt", " ", "==", " ", 
      RowBox[{"ct", " ", "+", " ", 
       RowBox[{"Zcte", " ", "qt"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pa", " ", "==", " ", 
      RowBox[{"ca", "+", " ", 
       RowBox[{"Zcae", " ", "qa"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pb", " ", "==", " ", 
      RowBox[{"cb", " ", "+", " ", 
       RowBox[{"Zcbe", " ", "qb"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pls", " ", "==", " ", 
      RowBox[{"cls", " ", "+", " ", 
       RowBox[{"Zclse", " ", "qls"}]}]}]}], "\n", "      ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50559120440625*^9, 3.50559120803125*^9}, {
  3.505591469296875*^9, 3.505591475125*^9}, {3.5075486382337513`*^9, 
  3.5075486907344227`*^9}, {3.51582107740806*^9, 3.5158210786736856`*^9}, {
  3.515900481708085*^9, 3.5159004828643227`*^9}, {3.528190463921875*^9, 
  3.52819050078125*^9}, {3.571900600684826*^9, 3.5719006286244745`*^9}, {
  3.571902595323928*^9, 3.571902603014742*^9}, {3.579283290947554*^9, 
  3.579283299277031*^9}}],

Cell[CellGroupData[{

Cell[BoxData["systemBoundaryEquations"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"pp", "\[Equal]", 
    RowBox[{"cp", "+", 
     RowBox[{"qp", " ", "Zcp", " ", 
      RowBox[{"onPositive", "[", "pp", "]"}]}]}]}], ",", 
   RowBox[{"pt", "\[Equal]", 
    RowBox[{"ct", "+", 
     RowBox[{"qt", " ", "Zct", " ", 
      RowBox[{"onPositive", "[", "pt", "]"}]}]}]}], ",", 
   RowBox[{"pa", "\[Equal]", 
    RowBox[{"ca", "+", 
     RowBox[{"qa", " ", "Zca", " ", 
      RowBox[{"onPositive", "[", "pa", "]"}]}]}]}], ",", 
   RowBox[{"pb", "\[Equal]", 
    RowBox[{"cb", "+", 
     RowBox[{"qb", " ", "Zcb", " ", 
      RowBox[{"onPositive", "[", "pb", "]"}]}]}]}], ",", 
   RowBox[{"pls", "\[Equal]", 
    RowBox[{"cls", "+", 
     RowBox[{"qls", " ", "Zcls", " ", 
      RowBox[{"onPositive", "[", "pls", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5792826630666413`*^9, 3.5792827160546722`*^9, 
  3.579282778345235*^9, 3.579283222227624*^9, 3.579283330842836*^9, 
  3.579283394861498*^9, 3.5792859187978587`*^9, 3.58140599049028*^9, 
  3.5814062770286694`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "qp", ",", "qt", ",", "qa", ",", "qb", ",", "qls", ",", "pp", ",", "pt", 
     ",", "pa", ",", "pb", ",", "pls"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503916309424025*^9, 3.5039163118146653`*^9}, 
   3.504160933453125*^9, 3.504161512171875*^9, {3.50416161690625*^9, 
   3.504161620484375*^9}, {3.52819027446875*^9, 3.528190282078125*^9}, {
   3.5696059276041384`*^9, 3.5696059362826347`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"VariableLimits", "=."}], ";"}]], "Input",
 CellChangeTimes->{3.50391626568937*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pt", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pa", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pb", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pls", ",", " ", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578503687973201*^9, 3.5785037499217443`*^9}, {
   3.5785038484203777`*^9, 3.5785038577239103`*^9}, 3.578506383342367*^9, {
   3.578506485618217*^9, 3.5785064856202173`*^9}, {3.578509817259776*^9, 
   3.578509821862039*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicValve43LS\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"HydraulicValve43LS\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve43LS.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve43LS.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\
\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.16666666666666666`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"270\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"xv\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.5814062770816727`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277082672*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.16666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.16666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277084673*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277085673*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277086673*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.5814062770886726`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277090673*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.581406277091673*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, 3.533153915484375*^9, 
   3.533154010921875*^9, 3.5332733922362957`*^9, 3.538722953260125*^9, 
   3.538977592771036*^9, 3.5547156213583126`*^9, 3.5695963800650506`*^9, {
   3.569596435213205*^9, 3.5695964421306005`*^9}, 3.5695964780156527`*^9, 
   3.569596564807617*^9, 3.5695968418204613`*^9, {3.5696057476718473`*^9, 
   3.5696057579264336`*^9}, 3.5696059591979456`*^9, 3.5719772231977406`*^9, 
   3.5719776841115246`*^9, 3.5719778191624336`*^9, {3.5719865786613626`*^9, 
   3.5719865977713633`*^9}, 3.571987157619163*^9, 3.575649101840329*^9, 
   3.575651856738658*^9, 3.575716166598767*^9, 3.5757162208715143`*^9, 
   3.5757266116401076`*^9, 3.5757721877977257`*^9, 3.575772407950391*^9, 
   3.575772541003024*^9, 3.575772639588844*^9, 3.5758602661064405`*^9, 
   3.5762148047517357`*^9, {3.576214844596736*^9, 3.576214869280736*^9}, 
   3.576215463644511*^9, 3.5762155790180473`*^9, 3.576215926258768*^9, 
   3.576216006828824*^9, 3.5762160628494253`*^9, 3.5762161625487385`*^9, 
   3.5762168795480967`*^9, 3.576216965241665*^9, 3.576217020832224*^9, 
   3.576217141315271*^9, {3.5762172026904078`*^9, 3.576217230672206*^9}, 
   3.576241233100178*^9, 3.576241310139721*^9, {3.576241381396892*^9, 
   3.576241403486531*^9}, 3.5762414790998635`*^9, 3.5762415568192005`*^9, 
   3.576921316283641*^9, 3.5776118680056553`*^9, 3.578106852516091*^9, 
   3.5781111836234055`*^9, 3.578509711240712*^9, 3.5785098300355067`*^9, 
   3.5788166189993668`*^9, 3.579277824686902*^9, 3.5792783667189045`*^9, 
   3.5792784642904854`*^9, 3.5792827161596785`*^9, 3.5792827787102556`*^9, 
   3.579283222457637*^9, 3.5792833309748435`*^9, 3.579283394956503*^9, 
   3.579285918890864*^9, 3.5814059906362886`*^9, 3.5814062770926733`*^9}],

Cell[BoxData["\<\"HydraulicValve43LS.xml\"\>"], "Output",
 CellChangeTimes->{
  3.569596442156602*^9, 3.5695964780176535`*^9, 3.5695965648956223`*^9, 
   3.5695968418424625`*^9, {3.569605747694848*^9, 3.5696057579434347`*^9}, 
   3.5696059592139463`*^9, 3.5719772232289414`*^9, 3.571977684158325*^9, 
   3.571977819178034*^9, {3.5719865787081633`*^9, 3.571986597786963*^9}, 
   3.571987157650363*^9, 3.5756491018473296`*^9, 3.575651856752659*^9, 
   3.5757161666143665`*^9, 3.5757162208871145`*^9, 3.5757266116557074`*^9, 
   3.575772187828926*^9, 3.5757724079659905`*^9, 3.5757725410186243`*^9, 
   3.575772639588844*^9, 3.5758602661064405`*^9, 3.576214804765736*^9, {
   3.576214844610736*^9, 3.5762148692887363`*^9}, 3.5762154636575127`*^9, 
   3.5762155790300484`*^9, 3.5762159263047724`*^9, 3.5762160068418255`*^9, 
   3.5762160628934298`*^9, 3.576216162559739*^9, 3.576216879589101*^9, 
   3.5762169652866697`*^9, 3.5762170208432245`*^9, 3.576217141359275*^9, {
   3.576217202726411*^9, 3.5762172306902075`*^9}, 3.576241233115778*^9, 
   3.576241310139721*^9, {3.576241381396892*^9, 3.576241403486531*^9}, 
   3.5762414791154633`*^9, 3.5762415568348002`*^9, 3.5769213162966413`*^9, 
   3.577611868014656*^9, 3.5781068525290933`*^9, 3.5781111836374073`*^9, 
   3.5785097112487125`*^9, 3.578509830043507*^9, 3.578816619010367*^9, 
   3.5792778246959023`*^9, 3.579278366869913*^9, 3.5792784643114862`*^9, 
   3.5792827161806793`*^9, 3.579282778856264*^9, 3.579283222466637*^9, 
   3.579283330998845*^9, 3.5792833949655037`*^9, 3.5792859189008646`*^9, 
   3.5814059906452894`*^9, 3.5814062770926733`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["file"], "Input",
 CellChangeTimes->{{3.5695964249786196`*^9, 3.569596425479648*^9}}],

Cell[BoxData["\<\"C:\\\\HopsanTrunk\\\\HOPSAN++\\\\componentLibraries\\\\\
defaultLibrary\\\\Hydraulic\\\\Special\\\\HydraulicValve43LS.hpp\"\>"], \
"Output",
 CellChangeTimes->{{3.5695964261716876`*^9, 3.5695964421856036`*^9}, 
   3.5695964780416546`*^9, 3.5695965649326243`*^9, 3.5695968418684645`*^9, {
   3.56960574772085*^9, 3.569605757965436*^9}, 3.569605959238948*^9, 
   3.5719772232601423`*^9, 3.5719776841895256`*^9, 3.5719778192092338`*^9, {
   3.5719865787393627`*^9, 3.571986597818163*^9}, 3.571987157681563*^9, 
   3.575649101871331*^9, 3.57565185677466*^9, 3.5757161666299667`*^9, 
   3.575716220918315*^9, 3.575726611686908*^9, 3.575772187860126*^9, 
   3.5757724080127907`*^9, 3.5757725410342245`*^9, 3.5757726396200438`*^9, 
   3.575860266137625*^9, 3.576214804797736*^9, {3.5762148446377363`*^9, 
   3.576214869311736*^9}, 3.5762154636835146`*^9, 3.576215579057051*^9, 
   3.576215926341776*^9, 3.5762160068738284`*^9, 3.5762160629354343`*^9, 
   3.5762161625987387`*^9, 3.576216879623104*^9, 3.5762169653266735`*^9, 
   3.5762170208762283`*^9, 3.576217141488288*^9, {3.576217202765415*^9, 
   3.576217230725211*^9}, 3.576241233131378*^9, 3.5762413101709213`*^9, {
   3.576241381428092*^9, 3.5762414035177307`*^9}, 3.5762414791466637`*^9, 
   3.5762415568504*^9, 3.576921316342641*^9, 3.577611868040659*^9, 
   3.5781068525520983`*^9, 3.5781111836614094`*^9, 3.578509711270714*^9, 
   3.5785098300685086`*^9, 3.578816619037367*^9, 3.579277824849911*^9, 
   3.5792783668929143`*^9, 3.579278464339488*^9, 3.579282716206681*^9, 
   3.579282778891266*^9, 3.579283222503639*^9, 3.579283331035847*^9, 
   3.579283394987505*^9, 3.5792859189248657`*^9, 3.581405990672291*^9, 
   3.5814062771006737`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Valve63OC, 6-3 directional valve", "Section",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.52818909584375*^9, 3.528189095984375*^9}, {
  3.528190641546875*^9, 3.52819066121875*^9}, {3.571987422806363*^9, 
  3.5719874268467627`*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection",
 PageWidth->WindowWidth],

Cell["\<\
This subroutine simulates the flow trough a 4-3 directional valve.\
\>", "Text",
 PageWidth->WindowWidth]
}, Open  ]],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Valve63OC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", "\"\<A load sensing hydraulic directional valve\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, {3.5695965311236906`*^9, 
   3.569596540324217*^9}, 3.571988803470143*^9, 3.5757721167556014`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"p", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Pressure port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Tank port\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"a", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port A\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"b", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Load port B\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"ocp", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<open centre port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"oct", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<open centre port\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.503919051294972*^9, 3.503919119154347*^9}, {
   3.503923736440875*^9, 3.503923751003375*^9}, {3.5039293570625*^9, 
   3.503929406765625*^9}, 3.50394250446875*^9, {3.50399668911909*^9, 
   3.5039966973713074`*^9}, {3.507548807751546*^9, 3.5075488260955305`*^9}, {
   3.515612779640625*^9, 3.515612784234375*^9}, {3.5281892315*^9, 
   3.52818925309375*^9}, {3.528190809390625*^9, 3.5281908101875*^9}, {
   3.52819086009375*^9, 3.528190875796875*^9}, {3.529051523831678*^9, 
   3.529051534581953*^9}, {3.5719948680522685`*^9, 3.5719948780519323`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "xv", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
      "\"\<Spool position\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571994842405704*^9, 3.571994911670148*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<oil density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Cq", ",", "0.67", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow coefficient.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Sd", ",", ".015", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<spool diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frap", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-A)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frat", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(A-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbp", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(P-B)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Frbt", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(B-T)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Froc", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Spool cricle fraction(OC)\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xap0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xat0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbp0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xbt0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Overlap\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xoc0", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Underlap oc port\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Xvmax", ",", "0.01", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Max valve opening\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "plam", ",", "10000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<Turbulence onset pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 PageWidth->WindowWidth,
 CellChangeTimes->{{3.503916073562605*^9, 3.50391608476573*^9}, {
   3.5039161716261826`*^9, 3.503916172813698*^9}, 3.503919167716847*^9, {
   3.505588895375*^9, 3.5055889695*^9}, {3.505589016640625*^9, 
   3.505589034984375*^9}, {3.505589276125*^9, 3.505589277078125*^9}, {
   3.505590362109375*^9, 3.50559036675*^9}, {3.505590803484375*^9, 
   3.50559082509375*^9}, {3.5075449148100324`*^9, 3.507544933372048*^9}, {
   3.5075449813674784`*^9, 3.507545001403344*^9}, {3.507562171421875*^9, 
   3.50756217203125*^9}, {3.5158237803828354`*^9, 3.5158238002578354`*^9}, {
   3.52819029396875*^9, 3.5281904303125*^9}, {3.52819089640625*^9, 
   3.52819089659375*^9}, {3.528190956609375*^9, 3.52819095703125*^9}, {
   3.529050478554863*^9, 3.52905051410242*^9}, {3.5719889027695446`*^9, 
   3.5719889145476956`*^9}, {3.5719947240789456`*^9, 3.57199473415661*^9}, 
   3.5719962110997653`*^9, {3.5761597431625776`*^9, 3.576159745191694*^9}, {
   3.5761598067472143`*^9, 3.5761598072342424`*^9}, {3.578504037672202*^9, 
   3.5785040406083703`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.52819030840625*^9, 3.528190310328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"qpa", " ", "=", " ", 
   RowBox[{"Kspa", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qta", " ", "=", " ", 
   RowBox[{"Ksta", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pa"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qpb", " ", "=", " ", 
   RowBox[{"Kspb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pp", "-", "pb"}], ",", "plam"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"qtb", " ", "=", " ", 
   RowBox[{"Kstb", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pt", "-", "pb"}], ",", "plam"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qoc", "=", " ", 
   RowBox[{"Ksoc", " ", 
    RowBox[{"signedSquareL", "[", 
     RowBox[{
      RowBox[{"pocp", "-", "poct"}], ",", "plam"}], "]"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.504198984265625*^9, 3.505589001421875*^9, {3.5075513871678333`*^9, 
   3.5075513902618604`*^9}, {3.5158238134609604`*^9, 
   3.5158238195390854`*^9}, {3.528189406765625*^9, 3.5281894573125*^9}, {
   3.528189492765625*^9, 3.52818949975*^9}, {3.52819110228125*^9, 
   3.528191133625*^9}, {3.5719926624660387`*^9, 3.571992663261644*^9}, 
   3.571992699188674*^9, {3.571993510590267*^9, 3.57199351101147*^9}, {
   3.5719972657623267`*^9, 3.571997274841876*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xpa", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xap0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xta", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xat0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xpb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "xv"}], " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xbp0"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Xtb", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"xv", " ", "-", " ", "Xap0"}], ",", "0.", ",", 
     RowBox[{"Xvmax", " ", "-", " ", "Xbt0"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Xsoc", " ", "=", " ", 
   RowBox[{"limit", "[", 
    RowBox[{
     RowBox[{"Xoc0", "-", 
      RowBox[{"Abs", "[", "xv", "]"}]}], ",", "0.", ",", "Xoc0"}], " ", 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.50558966315625*^9, 3.50558969203125*^9}, {
   3.5055897985*^9, 3.505589808*^9}, {3.507562582*^9, 3.507562588921875*^9}, {
   3.52818973471875*^9, 3.528189747125*^9}, {3.528190104078125*^9, 
   3.52819013678125*^9}, {3.528190218359375*^9, 3.528190242265625*^9}, {
   3.528191192140625*^9, 3.528191282484375*^9}, {3.528191336171875*^9, 
   3.52819139153125*^9}, {3.528191573453125*^9, 3.5281915794375*^9}, {
   3.528191769671875*^9, 3.52819179496875*^9}, {3.528191827140625*^9, 
   3.528191848625*^9}, {3.5719890179926214`*^9, 3.571989041595724*^9}, 
   3.571991095631262*^9, {3.5719947396478453`*^9, 3.5719947464182887`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wpa", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frap"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wta", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frat"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wpb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbp"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"wtb", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Frbt"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"woc", " ", "=", " ", 
   RowBox[{"pi", " ", "Sd", " ", "Froc"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5055896995*^9, 3.505589724359375*^9}, {
   3.52818961478125*^9, 3.52818962775*^9}, {3.52819141465625*^9, 
   3.528191420546875*^9}, 3.5719947873997517`*^9, {3.571994931638276*^9, 
   3.571994939609927*^9}, {3.571997607129902*^9, 3.5719976071923027`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"localExpressions", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Ks", "==", 
      RowBox[{"Cq", "*", 
       FractionBox[
        RowBox[{"N", "[", 
         SqrtBox["2"], "]"}], 
        SqrtBox["rho"]]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kspa", "==", 
      RowBox[{"Xpa", " ", "wpa", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Ksta", "==", 
      RowBox[{"Xta", " ", "wta", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kspb", "==", 
      RowBox[{"Xpb", " ", "wpb", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Kstb", "==", 
      RowBox[{"Xtb", " ", "wtb", " ", "Ks"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Ksoc", "==", 
      RowBox[{"Xsoc", " ", "woc", " ", "Ks"}]}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571902363819522*^9, 3.571902434097645*^9}, {
   3.571992639565092*^9, 3.5719926473495417`*^9}, 3.5719933765975847`*^9, {
   3.5719934722608213`*^9, 3.5719934834304934`*^9}, 3.5719947894121647`*^9}],

Cell[BoxData[
 RowBox[{"qocp", "=."}]], "Input",
 CellChangeTimes->{{3.5719935277943873`*^9, 3.571993528543192*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"qp", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qpa"}], "-", "qpb"}], " ", ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qt", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "qta"}], "-", "qtb"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"qa", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpa", "+", "qta"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qb", " ", "==", " ", 
      RowBox[{"(", 
       RowBox[{"qpb", "+", "qtb"}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"qoct", "\[Equal]", "qoc"}]}], " ", "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.50754870493773*^9, 3.507548721672319*^9}, {
   3.528189282484375*^9, 3.528189346515625*^9}, {3.52819026384375*^9, 
   3.52819026821875*^9}, {3.52819098409375*^9, 3.528191014640625*^9}, {
   3.52819107765625*^9, 3.52819108903125*^9}, {3.528192039796875*^9, 
   3.528192043421875*^9}, 3.528192129359375*^9, 3.5290515551293545`*^9, {
   3.5719021634059696`*^9, 3.571902207569647*^9}, 3.5719887356872735`*^9, {
   3.5719890888486*^9, 3.571989095229041*^9}, {3.5719910143547406`*^9, 
   3.5719910239800024`*^9}, {3.5719926289258237`*^9, 
   3.5719926341518574`*^9}, {3.571992704180706*^9, 3.5719927063647203`*^9}, 
   3.571993580382324*^9, 3.5719936227521963`*^9, {3.571993673115904*^9, 
   3.5719936768131275`*^9}, {3.571997262049384*^9, 3.5719972897248487`*^9}, {
   3.5719973716591997`*^9, 3.5719973942800694`*^9}, 3.5719974949990005`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pp", " ", "==", " ", 
      RowBox[{"cp", " ", "+", " ", 
       RowBox[{"Zcpe", " ", "qp"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pt", " ", "==", " ", 
      RowBox[{"ct", " ", "+", " ", 
       RowBox[{"Zcte", " ", "qt"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pa", " ", "==", " ", 
      RowBox[{"ca", " ", "+", " ", 
       RowBox[{"Zcae", " ", "qa"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pb", " ", "==", " ", 
      RowBox[{"cb", " ", "+", " ", 
       RowBox[{"Zcbe", " ", "qb"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"pocp", " ", "==", " ", 
      RowBox[{"cocp", " ", "+", " ", 
       RowBox[{"Zcocpe", " ", "qocp"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"poct", "==", " ", 
      RowBox[{"coct", " ", "+", " ", 
       RowBox[{"Zcocte", " ", "qoct"}]}]}]}], "\n", "      ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.50559120440625*^9, 3.50559120803125*^9}, {
   3.505591469296875*^9, 3.505591475125*^9}, {3.5075486382337513`*^9, 
   3.5075486907344227`*^9}, {3.51582107740806*^9, 3.5158210786736856`*^9}, {
   3.515900481708085*^9, 3.5159004828643227`*^9}, {3.528190463921875*^9, 
   3.52819050078125*^9}, {3.528191938203125*^9, 3.528191948921875*^9}, {
   3.5719022220620728`*^9, 3.571902281248576*^9}, 3.571988684924223*^9, {
   3.5719911230874376`*^9, 3.571991160714879*^9}, {3.57199259248399*^9, 
   3.571992622529783*^9}, {3.5719939466884403`*^9, 3.571993975096223*^9}, {
   3.5785036328920507`*^9, 3.5785036395904336`*^9}, {3.5785037564321165`*^9, 
   3.57850376628868*^9}, {3.5785063617571325`*^9, 3.5785063725267487`*^9}, {
   3.578506489805456*^9, 3.5785065017981424`*^9}, {3.578506659750177*^9, 
   3.5785066657755213`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", 
    RowBox[{"qocp", "\[Equal]", 
     RowBox[{"-", "qoct"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571997313734172*^9, 3.5719973600991554`*^9}, {
  3.5719974005203094`*^9, 3.571997403172412*^9}, {3.5719974798301735`*^9, 
  3.5719974812498283`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "qp", ",", "qt", ",", "qa", ",", "qb", ",", "qoct", ",", "pp", ",", "pt", 
     ",", "pa", ",", "pb", ",", "pocp", ",", "poct"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.503916309424025*^9, 3.5039163118146653`*^9}, 
   3.504160933453125*^9, 3.504161512171875*^9, {3.50416161690625*^9, 
   3.504161620484375*^9}, {3.52819027446875*^9, 3.528190282078125*^9}, {
   3.5281909710625*^9, 3.5281909784375*^9}, {3.571992562500598*^9, 
   3.571992588552765*^9}, {3.5719927163331842`*^9, 3.5719927282516603`*^9}, {
   3.5719973686794853`*^9, 3.5719973969477725`*^9}, {3.578503838594816*^9, 
   3.5785038443951473`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pp", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pt", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pa", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pb", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"pocp", ",", " ", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"poct", ",", " ", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578503687973201*^9, 3.5785037499217443`*^9}, {
   3.5785038484203777`*^9, 3.5785038577239103`*^9}, 3.578506383342367*^9, {
   3.578506485618217*^9, 3.5785064856202173`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicValve63OC\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\\"HydraulicValve63OC\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicValve63OC.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicValve63OC.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\
\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.14285714285714285`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"270\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"xv\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\[NoBreak] is not a list \
of contents. The third item in an XMLElement must be a list of contents, even \
if it is an empty list. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.5814062772096796`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.58140627721068*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.14285714285714285`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.14285714285714285`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.58140627721168*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.58140627721268*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.2857142857142857`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.2857142857142857`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.58140627721268*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.5814062772146797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.5814062772146797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.42857142857142855`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.42857142857142855`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.58140627721568*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.522605225734375*^9, 3.522605921921875*^9, 3.522606219859375*^9, 
   3.5226062996875*^9, 3.52484263065625*^9, {3.529051428719868*^9, 
   3.5290514523923492`*^9}, 3.5331539174375*^9, 3.533154012046875*^9, 
   3.533273392361287*^9, 3.53872295346325*^9, 3.538977593286661*^9, 
   3.5547156214988956`*^9, 3.5719772233693438`*^9, 3.571987297905963*^9, 
   3.57198746115127*^9, {3.571988627375085*^9, 3.5719886476241446`*^9}, 
   3.571988712474176*^9, 3.5719887665756693`*^9, 3.57198881420308*^9, 
   3.5719933996450787`*^9, {3.5719935592597895`*^9, 3.5719935843135495`*^9}, 
   3.571993626355819*^9, 3.5719938710967727`*^9, 3.5719940148140774`*^9, 
   3.5719942607340536`*^9, 3.571994969234517*^9, 3.571995066609432*^9, 
   3.5719964376756177`*^9, 3.571996496439829*^9, 3.571997416994543*^9, {
   3.5719974868192425`*^9, 3.5719974985247364`*^9}, 3.5719976173012323`*^9, 
   3.575649102492367*^9, 3.5756518570616765`*^9, 3.5757161669887695`*^9, 
   3.575716221074316*^9, 3.575726611905308*^9, 3.575772188125326*^9, 
   3.575772408324791*^9, 3.575772541299425*^9, 3.575772639869644*^9, 
   3.5758602663247337`*^9, 3.5762148049797363`*^9, {3.576214844825736*^9, 
   3.5762148695347357`*^9}, 3.5762154639305396`*^9, 3.5762155792930746`*^9, 
   3.576215926702812*^9, 3.5762160071448555`*^9, 3.5762160632844687`*^9, 
   3.576216162885739*^9, 3.576216880089151*^9, 3.5762169656797085`*^9, 
   3.5762170212482653`*^9, 3.5762171417683163`*^9, {3.576217203121451*^9, 
   3.576217231085247*^9}, 3.5762412333965783`*^9, 3.5762413103425217`*^9, {
   3.5762413816152925`*^9, 3.576241403689331*^9}, 3.576241479396264*^9, 
   3.5762415570220003`*^9, 3.576921316654641*^9, 3.5776118683686914`*^9, 
   3.5781068527551384`*^9, 3.5781111838314266`*^9, 3.5785037899510336`*^9, 
   3.5785038615851307`*^9, 3.5785050154021254`*^9, {3.578505159754382*^9, 
   3.578505166615774*^9}, 3.5785054461097603`*^9, 3.578505493323461*^9, 
   3.5785056028017225`*^9, 3.5785056680094523`*^9, 3.578506396713132*^9, {
   3.5785065067954283`*^9, 3.578506512842774*^9}, 3.5785066710708246`*^9, 
   3.5785097114647245`*^9, 3.578816619255367*^9, 3.581405991062313*^9, 
   3.5814062772166805`*^9}],

Cell[BoxData["\<\"HydraulicValve63OC.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153917484375*^9, 3.53315401209375*^9, 3.533273392361287*^9, 
   3.53872295346325*^9, 3.538977593302286*^9, 3.5547156214988956`*^9, 
   3.571977223400545*^9, 3.571987297983963*^9, 3.57198746122927*^9, {
   3.571988627468686*^9, 3.5719886477021456`*^9}, 3.571988712988983*^9, 
   3.5719887666068697`*^9, 3.5719888142342806`*^9, 3.5719933997542796`*^9, {
   3.5719935593221893`*^9, 3.57199358439155*^9}, 3.571993626371419*^9, 
   3.571993871112373*^9, 3.571994014829677*^9, 3.571994260749654*^9, 
   3.5719949692501173`*^9, 3.571995066609432*^9, 3.571996437691218*^9, 
   3.5719964964710293`*^9, 3.571997417056946*^9, {3.571997486881645*^9, 
   3.5719974985403366`*^9}, 3.5719976173324327`*^9, 3.5756491024993668`*^9, 
   3.5756518570716767`*^9, 3.5757161669887695`*^9, 3.575716221089916*^9, 
   3.575726611920908*^9, 3.5757721881565266`*^9, 3.5757724083559914`*^9, 
   3.575772541315025*^9, 3.5757726399008446`*^9, 3.5758602663403263`*^9, 
   3.5762148049937363`*^9, {3.5762148448507357`*^9, 3.576214869547736*^9}, 
   3.576215463944541*^9, 3.576215579315077*^9, 3.5762159267168136`*^9, 
   3.5762160071708584`*^9, 3.576216063304471*^9, 3.5762161628977385`*^9, 
   3.576216880138156*^9, 3.5762169656967106`*^9, 3.576217021268267*^9, 
   3.576217141800319*^9, {3.576217203163455*^9, 3.5762172310932474`*^9}, 
   3.5762412334121785`*^9, 3.5762413103425217`*^9, {3.5762413816152925`*^9, 
   3.576241403751731*^9}, 3.5762414794118643`*^9, 3.5762415570376005`*^9, 
   3.576921316667641*^9, 3.5776118683766923`*^9, 3.5781068527651405`*^9, 
   3.5781111838444276`*^9, 3.578503790378058*^9, 3.578503861606132*^9, 
   3.5785050154171267`*^9, {3.5785051597763834`*^9, 3.5785051666307755`*^9}, 
   3.578505446123761*^9, 3.578505493341462*^9, 3.578505602816724*^9, 
   3.5785056680264535`*^9, 3.5785063967381334`*^9, {3.578506506811429*^9, 
   3.5785065128597755`*^9}, 3.5785066710898256`*^9, 3.5785097114717255`*^9, 
   3.578816619264367*^9, 3.5814059910703135`*^9, 3.58140627721768*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonMload\n",
  FontFamily->"System"],
 StyleBox["Piston with an inertia load",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.5719259951024055`*^9, 3.571926013136037*^9}, {
  3.57192608862457*^9, 3.57192608876497*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonMload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.575772117551203*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "ML", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmin", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmax", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
  3.52488620107195*^9, 3.5248862016031866`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicQnode", "[", 
      RowBox[{"mp", ",", "0.", ",", "\"\<mechanical node\>\""}], "]"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell[BoxData[
 RowBox[{"\t", 
  RowBox[{
   RowBox[{
    RowBox[{"p1e", " ", "=", " ", 
     RowBox[{"c1", " ", "+", " ", 
      RowBox[{"Zc1", " ", "q1"}]}]}], ";"}], "\n", "\t", 
   RowBox[{
    RowBox[{"p2e", " ", "=", " ", 
     RowBox[{"c2", " ", "+", " ", 
      RowBox[{"Zc2", " ", "q2"}]}]}], ";"}], "\n", "\t", 
   RowBox[{
    RowBox[{"fmpe", "=", " ", 
     RowBox[{"cmp", " ", "+", " ", 
      RowBox[{"Zcmp", " ", "vmp"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.525533762265625*^9, 3.5255337993125*^9}}],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1e"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2e"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
  3.525533871796875*^9, 3.525533873453125*^9}}],

Cell["Differrential algebraic equations", "Text",
 CellChangeTimes->{{3.5719031558017125`*^9, 3.571903170964939*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "xmp", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmpe"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", "vmp", "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmpe"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vmp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vmp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
  3.5248862080873957`*^9, 3.5248862098842244`*^9}, {3.525533811359375*^9, 
  3.5255338209375*^9}, {3.525533863078125*^9, 3.52553386709375*^9}, {
  3.5719029473073463`*^9, 3.5719029663237796`*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.5719029765417976`*^9, 3.571902992984226*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "xmin", ",", "xmax"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772616825`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772756834`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277276684*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062772776833`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"Hy\\\" \[Ellipsis] \
\\\"oad\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\
\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmp\\\
\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPistonMload\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicPistonMload\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonMload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPistonMload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\
\\)\\)]\\)\\)\\)\\)]\\)\[NoBreak] is not a list of contents. The third item \
in an XMLElement must be a list of contents, even if it is an empty list. \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773306866`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773426876`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277343687*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773446875`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.581406277345688*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773466873`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773476877`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773486876`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.525533933765625*^9, 
   3.533153919890625*^9, 3.533154015640625*^9, 3.5332733930956106`*^9, 
   3.53872295377575*^9, 3.538977595036661*^9, 3.5547156219050264`*^9, 
   3.5719772238217525`*^9, 3.571987618639287*^9, 3.57564910378244*^9, 
   3.5756518573746943`*^9, 3.575716167378772*^9, 3.575716221526719*^9, 
   3.575726612404509*^9, 3.5757721887181273`*^9, 3.5757724088863926`*^9, 
   3.575772541720626*^9, 3.575772640212845*^9, 3.5758602666989517`*^9, 
   3.576214805334736*^9, {3.576214845199736*^9, 3.576214869873736*^9}, 
   3.5762154640895557`*^9, 3.5762155794600916`*^9, 3.576215926948837*^9, 
   3.5762160074728885`*^9, 3.576216063540495*^9, 3.5762161631647387`*^9, 
   3.576216880413183*^9, 3.576216965928734*^9, 3.576217021479288*^9, 
   3.576217142049344*^9, {3.5762172034024787`*^9, 3.5762172312742653`*^9}, 
   3.576241233568179*^9, 3.576241310482922*^9, {3.5762413817556925`*^9, 
   3.5762414039389315`*^9}, 3.576241479552264*^9, 3.5762415571624007`*^9, 
   3.576921316923641*^9, 3.5776118685387087`*^9, 3.5781068529141703`*^9, 
   3.578111183957439*^9, 3.5785097117227397`*^9, 3.5788166194013667`*^9, 
   3.5814059915403404`*^9, 3.5814062773496876`*^9}],

Cell[BoxData["\<\"HydraulicPistonMload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.53315392021875*^9, 3.5331540156875*^9, 3.533273393189354*^9, 
   3.53872295383825*^9, 3.538977595114786*^9, 3.5547156219675083`*^9, 
   3.571977223837353*^9, 3.571987618717287*^9, 3.5756491038404436`*^9, 
   3.5756518574526987`*^9, 3.575716167425572*^9, 3.575716221604719*^9, 
   3.575726612498109*^9, 3.5757721888585277`*^9, 3.5757724089799924`*^9, 
   3.575772541798626*^9, 3.575772640306445*^9, 3.5758602667769136`*^9, 
   3.576214805418736*^9, {3.576214845305736*^9, 3.5762148699617357`*^9}, 
   3.576215464185565*^9, 3.5762155795451*^9, 3.576215927074849*^9, 
   3.576216007581899*^9, 3.5762160636705074`*^9, 3.5762161632847385`*^9, 
   3.5762168805461965`*^9, 3.5762169660907497`*^9, 3.576217021615302*^9, 
   3.576217142220361*^9, {3.5762172035374928`*^9, 3.576217231376276*^9}, 
   3.576241233630579*^9, 3.5762413105609217`*^9, {3.5762413818492928`*^9, 
   3.5762414040325317`*^9}, 3.5762414796458645`*^9, 3.576241557256001*^9, 
   3.5769213170536413`*^9, 3.577611868598715*^9, 3.5781068529961867`*^9, 
   3.5781111840394473`*^9, 3.5785097118207455`*^9, 3.5788166194753666`*^9, 
   3.5814059916453466`*^9, 3.581406277350688*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonMkload\n",
  FontFamily->"System"],
 StyleBox["Piston with an inertia load and spring",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonMkload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, 
   3.5757721184092045`*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "ML", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Ns/m\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "KL", ",", "0.", ",", "double", ",", "\"\<N/m\>\"", ",", 
       "\"\<Stiffness coefficient of load\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmin", ",", "0.", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xmax", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicQnode", "[", 
      RowBox[{"mp", ",", "0.", ",", "\"\<mechanical node\>\""}], "]"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "xmp", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}], " ", "+", " ", 
      RowBox[{"KL", " ", "xmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmp"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"ML", " ", 
       RowBox[{"der", "[", "vmp", "]"}]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Bp", "+", "BL"}], ")"}], " ", "vmp"}], " ", "+", " ", 
      RowBox[{"KL", " ", "xmp"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"fg", " ", "-", " ", "fmp"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "\[Equal]", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vmp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vmp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
  3.571903224566633*^9, 3.571903236734655*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
  3.5719029765417976`*^9, 3.571902992984226*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}}],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"xmp", ",", "vmp", ",", "xmin", ",", "xmax"}], "}"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062773986907`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774106913`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277412691*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774136915`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \
\\\"ad\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\
\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\
\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\
\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\
\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\
\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\
\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pmp\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\
\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\(\\(\[LeftSkeleton] 5 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicPistonMkload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicPistonMkload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\
\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pmp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774686947`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774806952`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774836955`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774866953`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774886956`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277491696*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774946957`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.581406277495696*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5781068531122103`*^9, 3.5781111841834617`*^9, 
   3.5785097119477525`*^9, 3.578816619745367*^9, 3.5814059918603587`*^9, 
   3.5814062774966965`*^9}],

Cell[BoxData["\<\"HydraulicPistonMkload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153921609375*^9, 3.533154017109375*^9, 3.533273393470584*^9, 
   3.5387229539945*^9, 3.538977595552286*^9, 3.5547156222174344`*^9, 
   3.5719772239777555`*^9, 3.571987620511299*^9, 3.5756491040354548`*^9, 
   3.5756518576257086`*^9, 3.575716167612773*^9, 3.5757162217763205`*^9, 
   3.5757266126853094`*^9, 3.575772189123728*^9, 3.575772409198393*^9, 
   3.575772542017026*^9, 3.5757726405560455`*^9, 3.5758602669796147`*^9, 
   3.576214805676736*^9, {3.576214845575736*^9, 3.576214870169736*^9}, 
   3.576215464386585*^9, 3.57621557974712*^9, 3.5762159273578777`*^9, 
   3.5762160078469257`*^9, 3.5762160639805384`*^9, 3.576216163575739*^9, 
   3.5762168808642282`*^9, 3.5762169664337845`*^9, 3.5762170219173317`*^9, 
   3.5762171426474037`*^9, {3.5762172038565245`*^9, 3.576217231678306*^9}, 
   3.5762412338177795`*^9, 3.576241310810522*^9, {3.576241382098893*^9, 
   3.5762414042197323`*^9}, 3.576241479833065*^9, 3.5762415575056014`*^9, 
   3.5769213175916414`*^9, 3.5776118687957344`*^9, 3.5781068531852245`*^9, 
   3.5781111842414675`*^9, 3.578509712005756*^9, 3.578816619807367*^9, 
   3.5814059919223623`*^9, 3.5814062774976964`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["PistonJload\n",
  FontFamily->"System"],
 StyleBox["Piston with a rotational inertia load",
  FontSize->16]
}], "Section",
 Evaluatable->False,
 CellChangeTimes->{
  3.52178424140625*^9, {3.5719260778449507`*^9, 3.5719260819477577`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<PistonJload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is piston with a linked inertia load\>\""}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, {3.521784250453125*^9, 
   3.521784262859375*^9}, 3.575772119236006*^9}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an rotational inertia load through a link", "Text",
 CellChangeTimes->{{3.5719041449732885`*^9, 3.571904153163303*^9}}]
}, Open  ]],

Cell["Component equations", "Subsection"],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 1\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "A2", ",", "0.001", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<Piston area 2\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "SL", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "xp0", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Stroke pos at zero angle\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Lever", ",", "0.5", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Lever\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cip", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "JL", ",", "1000.", ",", "double", ",", "\"\<kg m^2\>\"", ",", 
       "\"\<Inertia\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "BL", ",", "0.", ",", "double", ",", "\"\<Nm s\>\"", ",", 
       "\"\<Viscous friction coefficient of load\>\""}], "}"}], ",", "\n", 
     "\t", 
     RowBox[{"{", 
      RowBox[{
      "KL", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<Stiffness coefficient of load\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{"thetamin", ",", 
       RowBox[{"-", "0.5"}], ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "thetamax", ",", "0.5", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Limitation on stroke\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5236768668027444`*^9, 3.5236768668027444`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "xp", ",", "0.0", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Piston position\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "vp", ",", "0.0", ",", "double", ",", "\"\<m/s\>\"", ",", 
       "\"\<Piston velocity\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5217849808125*^9, 3.521785064578125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\n", "    \t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\n", "    \t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr", ",", "0.", ",", "\"\<mechanical rot. node\>\""}], "]"}]}],
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5236768831921105`*^9, 3.523676883207734*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The state vector ya  of the system is defined as", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vpe", "=", 
   RowBox[{"wmr", " ", "Lever"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"xpe", "=", 
  RowBox[{"xp0", "+", 
   RowBox[{"thetamr", " ", "Lever"}]}]}]}], "Input",
 CellChangeTimes->{{3.521784673859375*^9, 3.521784745265625*^9}, {
  3.521784866015625*^9, 3.521784867359375*^9}, {3.521785074453125*^9, 
  3.52178507525*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lever", " ", "thetamr"}], "+", "xp0"}]], "Output",
 CellChangeTimes->{
  3.522605229671875*^9, 3.522605923265625*^9, 3.52260622071875*^9, 
   3.522606300640625*^9, 3.524842633515625*^9, 3.533153922453125*^9, 
   3.53315401734375*^9, 3.5332733935330796`*^9, 3.538722954260125*^9, 
   3.538977595583536*^9, 3.55471562282663*^9, 3.5719772240557575`*^9, 
   3.575649104112459*^9, 3.5756518576867123`*^9, 3.5757161677063737`*^9, 
   3.5757162218543205`*^9, 3.5757266127633095`*^9, 3.575772189217328*^9, 
   3.575772409291993*^9, 3.5757725421262264`*^9, 3.5757726406340456`*^9, 
   3.575860267104354*^9, 3.576214805753736*^9, {3.576214845658736*^9, 
   3.5762148702437363`*^9}, 3.5762154644685936`*^9, 3.576215579827128*^9, 
   3.576215927529895*^9, 3.5762160079469357`*^9, 3.576216064107551*^9, 
   3.576216163681739*^9, 3.5762168810482464`*^9, 3.576216966632804*^9, 
   3.576217022016342*^9, 3.576217142775417*^9, {3.5762172040475435`*^9, 
   3.5762172317813168`*^9}, 3.576241233911379*^9, 3.576241310872923*^9, {
   3.5762413821924934`*^9, 3.576241404282132*^9}, 3.576241479911065*^9, 
   3.576241557583602*^9, 3.5769213176976414`*^9, 3.577611868866741*^9, 
   3.578106853256239*^9, 3.5781111842944727`*^9, 3.5785097120697594`*^9, 
   3.5788166198743668`*^9, 3.581405992025368*^9, 3.5814062775156975`*^9}]
}, Open  ]],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fg", " ", "=", " ", 
   RowBox[{
    RowBox[{"A1", " ", "p1"}], " ", "-", " ", 
    RowBox[{"A2", " ", "p2"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDa", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"JL", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "thetamr", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{"Bp", " ", "vpe"}], " ", "+", " ", 
      RowBox[{"BL", " ", "wmr"}], " ", "+", " ", 
      RowBox[{"KL", " ", "thetamr"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "tormr"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"JL", " ", 
       RowBox[{"der", "[", "wmr", "]"}]}], "  ", "+", " ", 
      RowBox[{"Bp", " ", "vpe"}], " ", "+", " ", 
      RowBox[{"BL", " ", "wmr"}], " ", "+", " ", 
      RowBox[{"KL", " ", "thetamr"}]}], " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "tormr"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q1", " ", "==", 
     RowBox[{"-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", " ", "vp"}], " ", "+", " ", 
        RowBox[{"Cip", "*", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "==", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"A2", " ", "vp"}], " ", "+", " ", 
       RowBox[{"Cip", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], "\n", "\t", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.571904099280408*^9, 3.571904099296008*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "+", " ", 
       RowBox[{"Zc1", " ", "q1"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"fmp", " ", "==", " ", 
      RowBox[{"cmp", " ", "+", " ", 
       RowBox[{"Zcmp", " ", "vmp"}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.571904107252022*^9, 3.571904107252022*^9}},
 FontWeight->"Plain"],

Cell["The  vector the system variables", "Text",
 CellChangeTimes->{{3.5719040252426777`*^9, 3.571904040405905*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "xmp", ",", "vmp", ",", "q1", ",", "q2", ",", "p1", ",", "p2", ",", 
     "fmp"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5719041179696407`*^9, 3.5719041179696407`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variable2Limits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"thetamr", ",", "wmr", ",", "thetamin", ",", "thetamax"}], "}"}],
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.521781710359375*^9, 3.521781715921875*^9}, 
   3.521781911703125*^9, {3.521782089203125*^9, 3.521782090109375*^9}, {
   3.52178477725*^9, 3.521784790515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xp", "==", "xpe"}], ",", "\[IndentingNewLine]", 
     RowBox[{"vp", "==", "vpe"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.521784881984375*^9, 3.5217849346875*^9}, {
  3.5217850951875*^9, 3.5217850970625*^9}, {3.5719040456319137`*^9, 
  3.5719040637591457`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277609703*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277613703*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776227036`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Power :: \
infy\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776247034`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277640704*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776427045`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partw"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part \[NoBreak]\\!\\(6\\)\[NoBreak] of \
\[NoBreak]\\!\\(MechanicRotQnode[\\(\\(mr, 0.`, \\\"mechanical rot. \
node\\\"\\)\\)]\\)\[NoBreak] does not exist. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partw\\\", ButtonNote -> \
\\\"Part::partw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776437044`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partw\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776457047`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicPistonJload\\\"\\)\\), \\(\
\\(\\\"displayname\\\" \[Rule] \\\"HydraulicPistonJload\\\"\\)\\)}\\)\\), \\(\
\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicPistonJload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \[Rule] \\\
\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \\\"HydraulicPistonJload.svg\\\
\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicPistonJload\\\"\\)\\), \\(\\(\\(\\(\\\"\\\" \[Ellipsis] \
\\\"\\\"\\)\\) \[Rule] \\(\\(\[LeftSkeleton] 22 \[RightSkeleton]\\)\\)\\)\\)}\
\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicPistonJload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicPistonJload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 3 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"vp\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776697063`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776787066`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277680707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277681707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277682707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776837068`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.5814062776847067`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277685707*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.522605229796875*^9, 3.522605923453125*^9, 
   3.522606220796875*^9, 3.522606300734375*^9, 3.524842633609375*^9, 
   3.5331539229375*^9, 3.533154017703125*^9, 3.5332733936893187`*^9, 
   3.538722954447625*^9, 3.538977595771036*^9, 3.554715623123418*^9, 
   3.5719772241649594`*^9, 3.575649104242467*^9, 3.5756518577617164`*^9, 
   3.5757161678779745`*^9, 3.5757162219323215`*^9, 3.5757266128569098`*^9, 
   3.5757721893265285`*^9, 3.5757724093855934`*^9, 3.5757725423134265`*^9, 
   3.575772640727646*^9, 3.5758602672290936`*^9, 3.576214805859736*^9, {
   3.576214845742736*^9, 3.5762148703357363`*^9}, 3.576215464569604*^9, 
   3.576215579925138*^9, 3.5762159276759095`*^9, 3.576216008095951*^9, 
   3.576216064301571*^9, 3.576216163809739*^9, 3.5762168811892605`*^9, 
   3.5762169667828193`*^9, 3.57621702219536*^9, 3.5762171429184313`*^9, {
   3.576217204192558*^9, 3.5762172319883375`*^9}, 3.5762412340205793`*^9, 
   3.576241310950923*^9, {3.5762413822704935`*^9, 3.5762414043757324`*^9}, 
   3.576241479989065*^9, 3.5762415576616015`*^9, 3.576921317811641*^9, 
   3.577611869000755*^9, 3.578106853343256*^9, 3.5781111843834815`*^9, 
   3.5785097121947665`*^9, 3.5788166199893665`*^9, 3.5814059922283797`*^9, 
   3.581406277711708*^9}],

Cell[BoxData["\<\"HydraulicPistonJload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153923171875*^9, 3.533154017890625*^9, 3.533273393767438*^9, 
   3.5387229544945*^9, 3.538977595833536*^9, 3.5547156231546583`*^9, 
   3.5719772242117605`*^9, 3.5756491042584677`*^9, 3.5756518578167195`*^9, 
   3.5757161678935747`*^9, 3.575716221963522*^9, 3.57572661290371*^9, 
   3.5757721894045286`*^9, 3.5757724094635935`*^9, 3.5757725423602266`*^9, 
   3.575772640774446*^9, 3.5758602672602777`*^9, 3.576214805943736*^9, {
   3.576214845799736*^9, 3.576214870412736*^9}, 3.576215464641611*^9, 
   3.5762155800001454`*^9, 3.5762159277669187`*^9, 3.576216008176959*^9, 
   3.576216064375578*^9, 3.576216163885739*^9, 3.576216881259268*^9, 
   3.5762169668758287`*^9, 3.576217022274368*^9, 3.576217143032442*^9, {
   3.5762172042765665`*^9, 3.576217232065345*^9}, 3.5762412340517797`*^9, 
   3.5762413109977226`*^9, {3.576241382301694*^9, 3.5762414044069324`*^9}, 
   3.5762414800358653`*^9, 3.5762415577084017`*^9, 3.5769213178836412`*^9, 
   3.5776118690397587`*^9, 3.578106853428273*^9, 3.5781111844294863`*^9, 
   3.5785097122437696`*^9, 3.578816620045367*^9, 3.5814059922883835`*^9, 
   3.5814062777127085`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["MotorJload",
 FontFamily->"System"]], "Section",
 Evaluatable->False,
 CellChangeTimes->{{3.52488616965088*^9, 3.5248861799318666`*^9}, {
  3.577956172776149*^9, 3.5779561799815607`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<MotorJload\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<This is a motor with an inertia load\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5137112151875*^9, 3.513711217109375*^9}, {
   3.51378596903125*^9, 3.513785980671875*^9}, 3.515394539753217*^9, {
   3.515775693875*^9, 3.5157757050625*^9}, {3.517048046727305*^9, 
   3.51704806093043*^9}, 3.51707206725*^9, {3.5176530686834764`*^9, 
   3.51765311057437*^9}, {3.517673126703125*^9, 3.517673126796875*^9}, {
   3.5177214423487377`*^9, 3.517721453114225*^9}, {3.5177222281793466`*^9, 
   3.517722236008023*^9}, {3.5209603293125*^9, 3.520960329578125*^9}, 
   3.521782180515625*^9, {3.52178222675*^9, 3.521782271609375*^9}, {
   3.521782314984375*^9, 3.52178231528125*^9}, 3.5248861854161005`*^9, 
   3.5757721184092045`*^9, {3.577957012447175*^9, 3.5779570270120087`*^9}}],

Cell[CellGroupData[{

Cell["Component description", "Subsection"],

Cell["Piston with an inertia load", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Component equations", "Subsection"],

Cell["The name of the component  is stored in ComponentName.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables and parameters", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Dm", ",", 
       RowBox[{"50.", " ", 
        SuperscriptBox["10", 
         RowBox[{"-", "6"}]]}], ",", "double", ",", "\"\<m3\>\"", ",", 
       "\"\<Displacement\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Cim", ",", "0.", ",", "double", ",", "\"\<m3/(s Pa)\>\"", ",", 
       "\"\<Leak coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Bm", ",", "0.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc. friction coeff.\>\""}], "}"}], ",", "\n", "\t", 
     RowBox[{"{", 
      RowBox[{
      "Jm", ",", ".1", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Moment of inertia\>\""}], "}"}]}], "\n", "\t", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.524850755625*^9, 3.524850755640625*^9}, {
   3.577956201851812*^9, 3.577956272255839*^9}, 3.5779573492194376`*^9, {
   3.5779654805065203`*^9, 3.5779655140924416`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 1\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<hydraulic node 2\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{
      "m1", ",", "0.", ",", "0.", ",", "\"\<Mechanical rot.connection\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850747078125*^9, 3.524850747078125*^9}, {
   3.57795627770615*^9, 3.5779562880827436`*^9}, {3.5779577305582485`*^9, 
   3.577957764802208*^9}, 3.5779578544903374`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The system of equations", "Subsection"],

Cell["The generated piston force", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"torg", " ", "=", 
   RowBox[{
    FractionBox[
     RowBox[{" ", "Dm"}], 
     RowBox[{"2", " ", "pi"}]], 
    RowBox[{"(", " ", 
     RowBox[{"p1", " ", "-", "  ", "p2"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.52178209578125*^9, 3.52178209959375*^9}, {
  3.577956496099642*^9, 3.5779565177508802`*^9}}],

Cell["The  vector of independent variables of the system are", "Text",
 CellChangeTimes->{{3.524850810625*^9, 3.52485083609375*^9}}],

Cell[BoxData[
 RowBox[{"systemEquationsDA", " ", ":=", " ", 
  RowBox[{"{", "\n", "\t", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Jm", " ", 
       RowBox[{"der", "[", 
        RowBox[{"der", "[", "thetam1", "]"}], "]"}]}], " ", "+", " ", 
      RowBox[{"Bm", " ", 
       RowBox[{"der", "[", "thetam1", "]"}]}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "torm1"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{
     RowBox[{
      RowBox[{"Jm", " ", 
       RowBox[{"der", "[", "wm1", "]"}]}], " ", "+", " ", 
      RowBox[{"Bm", " ", "wm1"}]}], "  ", "==", " ", 
     RowBox[{"(", 
      RowBox[{"torg", " ", "-", " ", "torm1"}], ")"}]}], ",", "\n", "\t", 
    RowBox[{"q2", " ", "\[Equal]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["Dm", 
         RowBox[{"2", " ", "pi"}]], " ", "wm1"}], " ", "+", " ", 
       RowBox[{"Cim", "*", 
        RowBox[{"(", 
         RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], 
   "\[IndentingNewLine]", "\t", "}"}]}]], "Input",
 CellChangeTimes->{{3.524850724265625*^9, 3.524850724265625*^9}, {
   3.571903224566633*^9, 3.571903236734655*^9}, {3.5779562974972825`*^9, 
   3.577956423703501*^9}, {3.57795648347992*^9, 3.5779564933454847`*^9}, {
   3.577956816134947*^9, 3.5779568302647552`*^9}, {3.577957767610368*^9, 
   3.5779577781419706`*^9}, 3.577957863609859*^9, {3.5781111461206555`*^9, 
   3.5781111554625897`*^9}, {3.5781273950757246`*^9, 3.5781274254949446`*^9}}],

Cell["The boundarys", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", " ", "=", " ", 
   RowBox[{"{", "\n", "\t", 
    RowBox[{
     RowBox[{"p1", " ", "==", " ", 
      RowBox[{"c1", " ", "-", " ", 
       RowBox[{"Zc1", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"p2", " ", "==", " ", 
      RowBox[{"c2", " ", "+", " ", 
       RowBox[{"Zc2", " ", "q2"}]}]}], ",", "\n", "\t", 
     RowBox[{"torm1", " ", "==", " ", 
      RowBox[{"cm1", " ", "+", " ", 
       RowBox[{"Zcm1", " ", "wm1"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.52485078196875*^9, 3.52485078196875*^9}, {
   3.5719029765417976`*^9, 3.571902992984226*^9}, {3.5779564425205774`*^9, 
   3.577956443148613*^9}, {3.577956840335331*^9, 3.577956842188437*^9}, {
   3.577957783064252*^9, 3.5779577871134834`*^9}, 3.577957893385562*^9, {
   3.577963667558826*^9, 3.5779636729951367`*^9}, {3.578111159305974*^9, 
   3.5781111616112046`*^9}, {3.5785058494368296`*^9, 3.5785058525850096`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["systemBoundaryEquations"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"p1", "\[Equal]", 
    RowBox[{"c1", "-", 
     RowBox[{"q2", " ", "Zc1"}]}]}], ",", 
   RowBox[{"p2", "\[Equal]", 
    RowBox[{"c2", "+", 
     RowBox[{"q2", " ", "Zc2"}]}]}], ",", 
   RowBox[{"torm1", "\[Equal]", 
    RowBox[{"cm1", "+", 
     RowBox[{"wm1", " ", "Zcm1"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5779639625847006`*^9, 3.577964045752457*^9, 
  3.57796453830863*^9, 3.577964617549162*^9, 3.5779652415638537`*^9, 
  3.578106853536295*^9, 3.5781111845434976`*^9, 3.5781261170973096`*^9, 
  3.578505797409854*^9, 3.5785059048379984`*^9, 3.578509712321774*^9, 
  3.578816620134367*^9, 3.5814059925764*^9, 3.581406277861717*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "thetam1", ",", "wm1", ",", "q2", ",", "p1", ",", "p2", ",", "torm1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.524850716875*^9, 3.524850716875*^9}, {
   3.577956431479946*^9, 3.5779564393723974`*^9}, {3.577956859515428*^9, 
   3.5779568640126853`*^9}, {3.5779577901476574`*^9, 3.577957792222776*^9}, 
   3.5779578730333977`*^9, 3.5781111509651403`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578505814681842*^9, 3.5785058445435495`*^9}, 
   3.578509359037567*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"q1", "\[Equal]", 
     RowBox[{"-", "q2"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.577956890459198*^9, 3.5779569714248285`*^9}, {
  3.578111147599804*^9, 3.578111149042948*^9}}],

Cell[CellGroupData[{

Cell[BoxData["jacob"], "Input",
 CellChangeTimes->{{3.5779640898639803`*^9, 3.5779640912510595`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "Zc1"}], " ", 
      RowBox[{"dxLowLimit", "[", 
       RowBox[{
        RowBox[{"c1", "+", 
         RowBox[{"q1", " ", "Zc1"}]}], ",", "0"}], "]"}]}], ",", "0", ",", 
     "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "Zc2"}], " ", 
      RowBox[{"dxLowLimit", "[", 
       RowBox[{
        RowBox[{"c2", "+", 
         RowBox[{"q2", " ", "Zc2"}]}], ",", "0"}], "]"}]}], ",", "0", ",", 
     "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "Zcmp"}], ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.577964092063106*^9, 3.577964538397635*^9, 
  3.577964617651168*^9, 3.5779652416048565`*^9, 3.578106853577303*^9, 
  3.5781111845855017`*^9, 3.5781261171393137`*^9, 3.578505797452856*^9, 
  3.578505904920003*^9, 3.578509712370777*^9, 3.5788166201843667`*^9, 
  3.581405992660404*^9, 3.5814062778877187`*^9}]
}, Open  ]],

Cell["Limitatons", "Text",
 CellChangeTimes->{{3.524850848515625*^9, 3.524850857984375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779057198`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 2\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779167204`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779177203`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779197206`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\(\\(\\\"Hyd\\\" \[Ellipsis] \
\\\"load\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\
\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\
\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P2\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\
\\(\\(\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.75`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"Pm1\\\
\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \
\\(\\({\\\"version\\\" \[Rule] \\\"0.1\\\"}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\\"HydraulicMotorJload\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \
\\\"HydraulicMotorJload\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicMotorJload.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicMotorJload.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \
\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779337215`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779587226`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779597225`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277961723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277962723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779637227`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277964723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.581406277965723*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.52178239371875*^9, {3.521782517234375*^9, 3.52178255590625*^9}, 
   3.521782620046875*^9, 3.5217826584375*^9, 3.521783081359375*^9, 
   3.52178326625*^9, 3.52241095696875*^9, 3.52260522925*^9, 
   3.52260592309375*^9, 3.522606220546875*^9, 3.52260630040625*^9, 
   3.524842633234375*^9, 3.524884318912717*^9, 3.53315392134375*^9, 
   3.533154016828125*^9, 3.533273393314345*^9, 3.538722953947625*^9, 
   3.538977595474161*^9, 3.5547156221393323`*^9, 3.5719772239621553`*^9, 
   3.571987620433298*^9, 3.575649103982452*^9, 3.575651857559705*^9, 
   3.575716167581573*^9, 3.57571622171392*^9, 3.5757266126229095`*^9, 
   3.575772189030128*^9, 3.575772409120393*^9, 3.575772541939026*^9, 
   3.5757726405092454`*^9, 3.575860266917245*^9, 3.576214805603736*^9, {
   3.576214845496736*^9, 3.576214870088736*^9}, 3.576215464314578*^9, 
   3.576215579678113*^9, 3.576215927257868*^9, 3.576216007760917*^9, 
   3.576216063886529*^9, 3.576216163484739*^9, 3.5762168807562175`*^9, 
   3.576216966299771*^9, 3.576217021806321*^9, 3.57621714250739*^9, {
   3.5762172037475133`*^9, 3.576217231576296*^9}, 3.576241233770979*^9, 
   3.5762413107325225`*^9, {3.5762413820364933`*^9, 3.576241404141732*^9}, 
   3.5762414797706647`*^9, 3.576241557427601*^9, 3.576921317502641*^9, 
   3.577611868744729*^9, 3.5779570339204035`*^9, 3.577957251512849*^9, 
   3.577957353579687*^9, 3.577957810251807*^9, {3.577957875913563*^9, 
   3.5779578961017175`*^9}, 3.5779637096862354`*^9, 3.577964045924467*^9, 
   3.577964538432637*^9, 3.5779646176941705`*^9, 3.577965241634858*^9, 
   3.578106853609309*^9, 3.5781111846185055`*^9, 3.5781261171743174`*^9, 
   3.578505797486858*^9, 3.5785059049600053`*^9, 3.5785097124077787`*^9, 
   3.578816620219367*^9, 3.581405992739409*^9, 3.5814062779907246`*^9}],

Cell[BoxData["\<\"HydraulicMotorJload.xml\"\>"], "Output",
 CellChangeTimes->{
  3.533153921609375*^9, 3.533154017109375*^9, 3.533273393470584*^9, 
   3.5387229539945*^9, 3.538977595552286*^9, 3.5547156222174344`*^9, 
   3.5719772239777555`*^9, 3.571987620511299*^9, 3.5756491040354548`*^9, 
   3.5756518576257086`*^9, 3.575716167612773*^9, 3.5757162217763205`*^9, 
   3.5757266126853094`*^9, 3.575772189123728*^9, 3.575772409198393*^9, 
   3.575772542017026*^9, 3.5757726405560455`*^9, 3.5758602669796147`*^9, 
   3.576214805676736*^9, {3.576214845575736*^9, 3.576214870169736*^9}, 
   3.576215464386585*^9, 3.57621557974712*^9, 3.5762159273578777`*^9, 
   3.5762160078469257`*^9, 3.5762160639805384`*^9, 3.576216163575739*^9, 
   3.5762168808642282`*^9, 3.5762169664337845`*^9, 3.5762170219173317`*^9, 
   3.5762171426474037`*^9, {3.5762172038565245`*^9, 3.576217231678306*^9}, 
   3.5762412338177795`*^9, 3.576241310810522*^9, {3.576241382098893*^9, 
   3.5762414042197323`*^9}, 3.576241479833065*^9, 3.5762415575056014`*^9, 
   3.5769213175916414`*^9, 3.5776118687957344`*^9, 3.5779570344494333`*^9, 
   3.577957251643856*^9, 3.5779573536606913`*^9, 3.5779578103258114`*^9, {
   3.577957875978566*^9, 3.5779578961737213`*^9}, 3.577963709744239*^9, 
   3.5779640464434967`*^9, 3.577964538498641*^9, 3.577964617756174*^9, 
   3.5779652416878605`*^9, 3.5781068536603193`*^9, 3.57811118466751*^9, 
   3.5781261172503247`*^9, 3.578505797535861*^9, 3.5785059050280094`*^9, 
   3.578509712455782*^9, 3.578816620254367*^9, 3.58140599275341*^9, 
   3.5814062779927244`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"path", "=", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<C:\>\"", ",", "\"\<HopsanTrunk\>\"", ",", 
      "\"\<componentLibraries\>\"", ",", "\"\<defaultLibrary\>\"", ",", 
      "\"\<Special\>\"", ",", "\"\<AeroComponents\>\"", ",", 
      "\"\<FuelComponents\>\""}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5757727777685804`*^9, 3.575772792541806*^9}, {
   3.5757728423954945`*^9, 3.5757728498367076`*^9}, {3.57577333888545*^9, 
   3.5757733706315055`*^9}, 3.5757734316206255`*^9, {3.575776746610216*^9, 
   3.57577674854722*^9}, {3.5758034373456383`*^9, 3.5758034687537785`*^9}, {
   3.576215299790524*^9, 3.576215340163597*^9}, {3.5762155444425898`*^9, 
   3.576215547684914*^9}, 3.5762159940865498`*^9, 3.5762161254666862`*^9, {
   3.576859672187849*^9, 3.5768597123241444`*^9}, 3.605771877353399*^9}],

Cell[CellGroupData[{

Cell["CentrifugalPump", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, {
   3.578629603375287*^9, 3.5786296058222866`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<CentrifugalPump\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Centrifugal pump\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5757721087371874`*^9, {
   3.5786249984334164`*^9, 3.5786250008302174`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.565467846321066*^9, 
   3.565467847680144*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.5654679343190994`*^9, 
   3.5654680194339676`*^9}, {3.5655883583080864`*^9, 
   3.5655884053889694`*^9}, {3.565594406736371*^9, 3.565594471273684*^9}, {
   3.5656242519924636`*^9, 3.5656243003681483`*^9}, {3.5656243395086174`*^9, 
   3.5656243687430687`*^9}, {3.5656254173679185`*^9, 3.565625464230401*^9}, 
   3.5656255083472786`*^9, {3.5689206642122784`*^9, 3.5689207150771875`*^9}, 
   3.5786299655772605`*^9, 3.578630595306227*^9, {3.5786320673860664`*^9, 
   3.5786320726080666`*^9}, {3.5786390185280547`*^9, 3.5786390205730543`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "omegap", ",", "157.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
      "\"\<Speed\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565538592595522*^9, 3.565538632146784*^9}, {
  3.565539098320447*^9, 3.565539104623808*^9}, {3.565588454856656*^9, 
  3.5655884559954576`*^9}, {3.5655895105892143`*^9, 3.5655895136780195`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "torp", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, {
   3.5689134004328136`*^9, 3.5689134318216095`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.5788166203683667`*^9, 3.5814059929504213`*^9, 
  3.581406278034727*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"U2", "=", 
  RowBox[{
   FractionBox["d", "2"], "omegap"}]}]], "Input",
 CellChangeTimes->{{3.5656237186587267`*^9, 3.5656237493127804`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"d", " ", "omegap"}], "2"]], "Output",
 CellChangeTimes->{
  3.5656255168336935`*^9, {3.56562566066577*^9, 3.565625663114974*^9}, 
   3.5656265131787124`*^9, 3.5683542968343267`*^9, 3.568354987392949*^9, 
   3.568367619766656*^9, 3.568367749009656*^9, 3.568367832409656*^9, 
   3.568376021241352*^9, 3.5689127897168827`*^9, 3.5689130284745393`*^9, 
   3.5689130666857243`*^9, 3.568913230624101*^9, 3.56891346418546*^9, {
   3.5689199310273423`*^9, 3.5689199540526595`*^9}, 3.5689200072006993`*^9, 
   3.5719772218717155`*^9, 3.5756490991791773`*^9, 3.5756518550895634`*^9, 
   3.5757161648827553`*^9, 3.5757162193115044`*^9, 3.5757266101113048`*^9, 
   3.5757721857385225`*^9, 3.575772405844387*^9, 3.5757725393338213`*^9, 
   3.57577263749844*^9, 3.5758602634245477`*^9, 3.576214801852736*^9, {
   3.576214841440736*^9, 3.5762148666787357`*^9}, 3.5762154610372505`*^9, {
   3.5762155675849037`*^9, 3.5762155763227777`*^9}, 3.5762159221843605`*^9, 
   3.5762160025313945`*^9, 3.576216058472988*^9, 3.576216158323739*^9, 
   3.5762168753566775`*^9, 3.576216960951236*^9, 3.5762170164117813`*^9, 
   3.576217136686808*^9, {3.5762171981989584`*^9, 3.576217226394778*^9}, 
   3.576241230526173*^9, 3.5762413074253163`*^9, {3.5762413788072877`*^9, 
   3.576241400834526*^9}, 3.576241476307459*^9, 3.576241554401196*^9, 
   3.577450732852334*^9, 3.577451128914936*^9, 3.5774512075568*^9, 
   3.5774515276109195`*^9, 3.577451584628217*^9, 3.577451790528363*^9, 
   3.577615533222164*^9, 3.577616632933124*^9, 3.5776166978656163`*^9, 
   3.57761676190702*^9, 3.578509712553787*^9, 3.578625045109067*^9, 
   3.578629622118287*^9, 3.578629715422287*^9, 3.578629765311236*^9, 
   3.578630172254926*^9, 3.57863025470117*^9, 3.578630612414938*^9, 
   3.5786390292920547`*^9, 3.5786390712070546`*^9, 3.578816620387367*^9, 
   3.581405992973422*^9, 3.581406278048728*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5656243127857704`*^9, 3.56562433542141*^9}, {
   3.5656257265113306`*^9, 3.5656257294129353`*^9}, 3.5656264933978777`*^9, {
   3.571907324505673*^9, 3.5719073253792744`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2", "]"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Ap", " ", 
          RowBox[{"signedSquareL", "[", 
           RowBox[{
            RowBox[{
             FractionBox["2", 
              RowBox[{"kl", " ", "rho"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["U2", "2"], "-", 
                  RowBox[{
                   FractionBox[
                    RowBox[{"rho", " ", "U2"}], 
                    RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2"}]}], ")"}], 
                "rho"}], "+", 
               RowBox[{"(", 
                RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0"}], 
           "]"}]}], "+", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"torp", "-", 
         RowBox[{"omegap", " ", "Bp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"omegap", "+", "0.001"}], ")"}]}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, {3.52260570715625*^9, 
   3.5226057146875*^9}, {3.5654339123617706`*^9, 3.565433912798571*^9}, {
   3.565433983730294*^9, 3.565434002657926*^9}, {3.565463052342574*^9, 
   3.5654631744643865`*^9}, {3.5654643771134405`*^9, 
   3.5654643778466415`*^9}, {3.565464479316415*^9, 3.5654644796440153`*^9}, {
   3.5654672566203375`*^9, 3.565467295121539*^9}, {3.5654674244699373`*^9, 
   3.56546743588459*^9}, {3.565467903263323*^9, 3.565467947553856*^9}, {
   3.56553863644903*^9, 3.5655386612494483`*^9}, {3.5655390904819984`*^9, 
   3.5655391202257004`*^9}, 3.5655884877415137`*^9, {3.56558852536878*^9, 
   3.5655885308599896`*^9}, {3.565588630590965*^9, 3.565588651198601*^9}, {
   3.5655887298732166`*^9, 3.5655887312304187`*^9}, {3.5655888931056056`*^9, 
   3.5655888949620085`*^9}, 3.565589691923932*^9, {3.565589894668601*^9, 
   3.565589932217867*^9}, 3.5655899678483295`*^9, {3.5655911420333395`*^9, 
   3.5655911537021604`*^9}, {3.565593830939359*^9, 3.5655938868654575`*^9}, 
   3.5655939446947594`*^9, {3.5655943125278053`*^9, 3.565594362369893*^9}, 
   3.5655948151601577`*^9, {3.565624122933437*^9, 3.5656242252384167`*^9}, {
   3.5656253830946584`*^9, 3.5656253831570587`*^9}, 3.5656265074067025`*^9, {
   3.568354154340954*^9, 3.5683541742078066`*^9}, {3.5683542490977817`*^9, 
   3.5683542635846786`*^9}, {3.568909576416093*^9, 3.568909617543445*^9}, 
   3.5689131987532787`*^9, {3.568919919721696*^9, 3.568919926709096*^9}, {
   3.5719072302971077`*^9, 3.571907237707121*^9}, {3.575772586860751*^9, 
   3.5757725889979553`*^9}, 3.578630125898291*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
  3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
  3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, {
  3.565467921865387*^9, 3.565467924215521*^9}, {3.565588437649826*^9, 
  3.5655884442798376`*^9}, {3.5719072410611267`*^9, 3.571907249906342*^9}, {
  3.571921228285489*^9, 3.571921230032692*^9}, {3.575772612756797*^9, 
  3.5757726159548025`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2", ",", "torp", ",", " ", "p1", ",", "p2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565467860174858*^9, 
   3.565467906122486*^9, {3.5655386672457914`*^9, 3.565538668064838*^9}, 
   3.565587947668005*^9, 3.568913224099728*^9, 3.5689200025634336`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, 
   3.578629542127287*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{"torp", " ", "omegap"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5654678805390234`*^9, 3.5654679004791636`*^9}, {
   3.5655391774229717`*^9, 3.565539255534439*^9}, 3.5655884346702204`*^9, {
   3.568913003432107*^9, 3.5689130200710583`*^9}, 3.568919923510913*^9, {
   3.571907252792347*^9, 3.5719072718243804`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicCentrifugalPump\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"p\\\"\\)\\)\
\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"mp\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278350745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278351745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278352745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783537455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a \
valid value for an attribute in an XMLElement. The value of the attribute \
must be a string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783557453`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783567457`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783587456`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783597455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278361746*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPump.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725394898214`*^9, 3.5757726378260407`*^9, 3.575860263751988*^9, 
   3.5762148021667356`*^9, {3.576214841735736*^9, 3.576214866989736*^9}, 
   3.57621546133328*^9, {3.576215567895935*^9, 3.576215576615807*^9}, 
   3.576215922708413*^9, 3.5762160029734383`*^9, 3.5762160588820286`*^9, 
   3.5762161587037387`*^9, 3.5762168757897205`*^9, 3.576216961376279*^9, 
   3.5762170168718276`*^9, 3.5762171371218514`*^9, {3.576217198625001*^9, 
   3.576217226763815*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379088088*^9, 3.576241401115327*^9}, 3.576241476588259*^9, 
   3.576241554666396*^9, 3.5774507332263713`*^9, 3.5774511292409687`*^9, 
   3.5774512079418383`*^9, 3.5774515280018806`*^9, 3.5774515849471855`*^9, 
   3.577451790939363*^9, 3.577615533542196*^9, 3.5776166332291536`*^9, 
   3.577616698182648*^9, 3.577616762197049*^9, 3.578509712999813*^9, 
   3.5786250454109154`*^9, 3.5786296224092865`*^9, 3.5786297157422867`*^9, 
   3.578629765604265*^9, 3.578630172551956*^9, 3.5786302550152016`*^9, 
   3.5786306127149677`*^9, 3.5786390294890547`*^9, 3.5786390719750547`*^9, 
   3.578816620696367*^9, 3.5814059933514442`*^9, 3.5814062783627453`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5757724540328712`*^9, 3.5757724564820757`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["CentrifugalPumpJ", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, 
   3.5655879261087675`*^9, {3.5786296099262867`*^9, 3.5786296135572867`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<CentrifugalPumpJ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Centrifugal pump\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5654678323082647`*^9, 
   3.5757721098447895`*^9, {3.5786250144154215`*^9, 3.5786250166692934`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr1", ",", "0.", ",", "0.", ",", "\"\<Shaft port\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.5683640683011117`*^9, 
   3.5683640774230237`*^9}, 3.5683646347467504`*^9, {3.5683646859328685`*^9, 
   3.5683646978120565`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jp", ",", ".1", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "pcav", ",", "100.0", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<cavitaion pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.565538886801349*^9, 3.5655388883424373`*^9}, {
   3.568363000554338*^9, 3.5683630740736895`*^9}, {3.5683631058378654`*^9, 
   3.568363112533535*^9}, 3.5683636783464737`*^9, 3.568363849491474*^9, {
   3.5684457322293596`*^9, 3.568445776708807*^9}, {3.5786296885062866`*^9, 
   3.5786297018532867`*^9}, 3.5786299757772803`*^9, 3.578630602628959*^9, {
   3.5786320442360663`*^9, 3.5786320783460665`*^9}, {3.5786389281740546`*^9, 
   3.5786389670680547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, 
   3.568364933923665*^9, {3.568913450874699*^9, 3.5689134514977345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z
xMmitTzLv2lqSe86aIGERGgpEdSQXBLAiKJGACiQxEggCIBDAbMgAAJDQRzs
QBgMgBlKHAxoAEM0iNnxAA0EY+6ZSSKZrKyqzqp6svrJzO8nWopGT/enny7O
PN/Oqqys/+Gf/9t/8LW/0ul0Hvjv6f/+wVf+6P/4D//hKw//w79K//jSw//x
X/zz/47u/K/08+/T/9burwIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AwLT2gEAAIBQYExt3i8AKRTGa4texWtj/76KL8AAgBYQ2wZTKIzXFr2K14bU
BgCEiNg2mEJhvLboVbw2pDYAYFB01nF8WuaZYttgCoXx2qJX8dpiTe2+3SC3
DwAAeCmP2kp/gEjtWG3Rq3htIaa2fouS2HUsA6kNgFeQ2kJUkm3Rq3htwaW2
8pt5nfuO5oOZYXXmRx5rBSB53FNb/2nrfzImfqUi5djEFsZri17FawsutXPf
xX5TO6MzPaHohQAARiqldvl3cqR2rLboVby2CFI7dz95UTcoeRoAgJ2ORean
9v2ipEZqx2qLXsVriyC1c9+0727zkqcBALiouoe86MG+KsYi5djEFsZri17F
a0sntc2db7n9AQDADlJbiEqyLXoVry2R1M40BKQ2AO2A1BaikmyLXsVrSyG1
c49xF70QANAalf4Akdqx2qJX8doCTe2+b+pYBlIbgAFiz08reRpSO1Zb9Cpe
W8SpXV5Jbh8AAISC2DaYQmG8tuhVvLZYUxsAEDdi22AKhfHaolfx2uJIbQBA
aohtgykUxmuLXsVrQ2oDAEJEbBtMoTBeW/QqXhtSGwAQImLbYAqF8dqiV/Ha
kNoAgBAR2wZTKIzXFr2K14bUBgCEiNg2mEJhvLboVbw2pDYAIETEtsEUCuO1
Ra/itSG1AQAhIrYNplAYry16Fa8NqQ0ACBGxbTCFwnht0at4bUhtAECIdAAA
8hh0YwAACIWxP/C2mhQK47VFr+K1sScjohYA0AJi22AKhfHaolfx2pDaAIAQ
EdsGUyiM1xa9iteG1AYAhEiNVpP7kszBuObH5sT2Z7G26FW8NqQ2ACBEHFuN
fpq6k3lV5kH7jr/CWlZJtkWv4rUhtQEAIdK31RSNmksyOjPo9lTYQFSSbdGr
eG1IbQBAiJS3mpJRsz36dklte1RuP9kUsnRCscHBa4texWtDagMAQsQlte29
4rmHsM07RX77yat5IV70HaAeYoOD1xa9iteG1AYAhEhJq3E8Wp2buUX+8vF4
7hgcqQ2VDxtSGwAQIn3H2kXZbRuqPrnkQaQ2VL5tSG0AQIj0bTX2oWf7iHPR
IyVvh9Rmt0Wv4rUhtQEAIdJ3rM2lyjwHqc1ui17Fa0NqAwBCRGwbTKEwXlv0
Kl4bUhsAECJi22AKhfHaolfx2pDaAIAQcWw1k1PnH9ywpejW+cLX126EusNy
q2K756uPlZXX6by697B9Ozc7n7kxbjFHZMaQTBWvDakNAAgRx1ZDGVcSmvc9
8KQKx5LorHqrZPv8PQ9xfQGwP5e+qaxX3wHoa4zO+pWbt3xvf6jYbUhtAECI
OLaaa90bXCpHePuzPaym2M0MvV986UD+PgTn7wD05UG/lmxKe3RiSr1j7jaU
GUMyVbw2pDYAIETEtkFphdGAWoWv+g5gxr1O6nu++lilIbwauetYl/AxJat4
bUhtAECIiG2DoRemB/V2uJeP3FWmD23bTS9549AEGS5eusJYWLgqXhtSGwAQ
ImLbYPSFXeveUCN3imZz/3zJIJ1+unHzdp3mmV3uMreYzI3Pq/IkBAAAG7Ft
MIXCSmw0vqZcPjoxRRlN4+6S3e9qbK52tjecGte3qsGqeG1IbQBAiIhtgykU
VsOmRugqzWnc/ZmxubGzXe9jL5oFx1tVOypeG1IbABAiYttgCoVx2dRMOXVK
Wu6oXE1uf/GlAxT3LkfJU9j4SG0AQIiIbYMpFMZry6j0kDw3x+974EkajL9x
aCI3xFPY+EhtAECIiG2DKRTGaytXqfE4xTSFNUW2Pc+NRuKTU+fVYfEUNj5S
GwAQIh0AgDwG3RgAAEJh7A+8rSaFwnhtTVQ0xFaLxX0yva3zycS2jZu3H52Y
ErJkK6+NPRkRtQCAFhDbBlMojNfGq3rxpQPm0fDa8Z3C5vIkBAAAG7FtMIXC
eG0+VBcvXbHjm0blA6mK14bUBgCESI1WU/SSRPqzWJtXVSa+P3/PQ/TP0K8p
w6XyJAQAABvHVqOfpu7kvkr/iGVSjdj+LNbWjurc7PzQtt360qj3PfDk0Ymp
dqritSG1AQAh0rfVFIVv5sHcpyG127S1qVq5eYvCWp9BVjL0TmFzeRICAIBN
eavJDLGLXpg7AM/9pyksMfCe/CI2OHhtA1FdvHTFHHpv3Lw9c8nRFDaXJyEA
ANi4pLYdyrn3+6a2uQvdfm3mp4zBLTY4eG0DVKmhtz7qTXf0bvMUNpcnIQAA
2JS0Gnv8m/sS99S2Hy+RI7VDVNFAW1/QhAbg6kpkXFU1KcyrypMQAABs+o61
i7LbfIJJkRap7dsmR3Wte2No2259JTLK7hrXHfNRmCeVJyEAANj0bTX2AehM
QOeqkNrt26SpKKnVWFvFN+V48+yW9hm9CgEAwKbvWLuGqjzTkdqebGJVlN16
ulrD7Jb5GT0JAQDARmwbTKEwXptk1crNWyzZLfMzehICAICN2DaYQmG8Nvkq
yu43Dk2Y2V11YXOZn9GTEAAAbBxbzfGp2Ue2vV5y2zQyRqodByYyt9Hxd+m1
mdv0e5cWrnTN29LyzXqFMX7G0G2hqMxxt5pn7p7dMj+jJyEAANg4thrKWTuR
zZtK7fJkr3TLfAcwQ39y5n0z8Xu377B8RkfE2sJS2dktpDA5QgAAsPHdBhev
L2WG1XSj2M2MvmlIbmb08J6j9b4DDO0a15LxkzNKTqq5havqrakeHx9Tgi1E
lcpue22WgRcmQQgAADZi26Bpo9G0Gfo08NdxT9Fsxn3RsD33cfpuYO/G1+/S
/sdMVmWe3/3ghi2ZNVEHWNhghQAAYCO2DTa36fwllQ7l/W+fLo94+5bZS0+2
omPxA/mY0aguXrqi11XbuHm772uRILUBAKLI9JCi05/FtsE2C6P8zYzi9RCe
xuN9R+5qzK4H7GpvvOOueJnbf4Cqyanzaj3z3IlqMj+jJyEAIB1UAylZwyTz
TMY3FWhjUem99Hrkro7F27GeO1SnMb45j463tvhUeqIaJTjluJzC2hQCABIk
E9+reWNw3vcSaGunMD1gN3fFl2c6PYFsatacGqH3nQ9fo7BAVTTKNg92qx3m
EgprTQgASBCkNq+qts3cA28Geu5MObXLXaV5+dS45oUJV52bnb/vgSdVdvNe
QQypDQCQRu6OcaS2NJs5Qi+ZJrdpZEzvaVcDc3+FSVN9uqJap1Myw7wSSG0A
gCiKkhqpHYRNHUandNZjc0rtovPTaVQ+OfO+zC3GpVq5eWvj5u1rUyrXZ5hX
XQrVX2H+hACAdCiK5tzZaAAAabTUKQAAMrD//ItaAWN/4G01KRTGYlOj8un3
LpEqM/mNhuE0Bq9xXrnkjU+j7BdfOpCZpTbwwnwIAQDARnJ/FqiSbFMqCvG5
havjJ2eGdo2bO9LpEffVXOVv/IuXrqhZap+/56E3Dk0MvDAfQgAAsJHfn0Wp
JNtsFY2yaaxtTm9zjO9QNr5ew7zGoBupDQAIkVD6sxCVZFuJigbg0+9dGh1/
1zy5jAK96PTwgDa+Oejue/ERf4X5EAIAgE1A/VmCSrLNRaXi2zz8TVE+t3B1
sFU1t+lBt/v0cqQ2ACBEguvPg1VJtlVSLS3fPD41q4990x36p563FuLGNwfd
5iKo7RTmQwgAADY1Wk3mJXp2uv14y4W1oJJsq6eigfb+t0/roTfdV2utD7aq
2jY9vZzulA+6kdoAgBBxbDXmGWT2P1etM8uan3MabnAMytZElRl6k2r6vUsD
r6qe7dzsvFpIjYbeNABvpzAfQgAAsOnbahxP9M6cG55rthM/E/QlP22C2Jzl
tbGoKKzVNU3UbnP6Z5MLmnBVVdX2yUJq64PuovPCkNoAgBApbzX2mLrohfZ+
8tyX6OeUjNY7d+lbniNic5bXxqvSu803jYzRMLx2dg9wc+nVy3OnqCG1AQAh
4pLadoDaO8MdUzv35bl3kNoDVy0t32ye3YPdXHqK2j1ffSyztxypDQAIkZJW
U3IIu+j5NrnvhdT2YfOkouwePzmjrl1SI7sHvrnM63Sbc8uR2gCAEOk71u47
gs48s8SM1PZq86qipKa8NrO7/aqa2I5OTNFw21w/DakNAAiRvq0mE8f2ONpO
9iIzUturrQWVuc9czVVrsypeG1IbABAifcfaXKqqiO3PYm2tqczsHt5zdOFK
t52qeG1IbQBAiIhtgykUxmtrWbV4fUlfl4TuFF0PNIXN5UkIAAA2jq3mwuzc
a3v3ld9INfbmwcnJUyW3y5evZG7dbv5ITWx/FmsbiIoG2nptltyJailsLk9C
AACwcWw1FLhDzzxXfiNV3+e43F5+ZVR9B1BfBk5MvKNDn7486LhfXl7m/Yyh
2waompx5X09UyxzsTmFzeRICAIANbxukJLVH0/o2P3/RHn0ffutIZsxe4zuA
Cnq6kc0e14sNDl7bYFU0yh4/OWPvME9hc3kSAgCAjdg2qG1m7p+ZPqtDeezN
gyqpKbIddwKo5+vd+HrkLuFjxqFavL6kLwOqzg5LYXN5EgIAgI3YNljP1u12
VRBTIqtoPjHxjtrZPrJ9Z3m40xNUrKsXzs9fzD3sLuFjClfpHeZDu8ZT2Fye
hAAAYCO2DforTO/G17Guwnrr8AtFgU4/0oFONhXovd5t9tqiUfVu3xkdf1dd
Pmz85EzDS5AwFuZD5UkIAAA2YtvgoAqjLDYzXe2HN8fpmQPu6pC6mjI32P3t
AlVzC1c7dy8fVn5atyMCP6M/IQAA2IhtgwILU4FONhXo5ty53LG5OoCujp4X
DcwFfkx2lRp00635oFvmZ/QkBAAAG7FtMKDCVJqrGfJqf3vuMXQV5WqWOz1Z
HTGX+THZVTToVke6h/ccXby+JKcwRpDaAIAW6AAA5DHoxgAAEApjf+BtNbEW
RkNsNSpXJ6p3PnuUXE14q3pwnKWwdlTT711Sg+4dByYGe7Vu9mRE1AIAWkBs
G0yhMGWjHL8wO0chntmvTgl+Zvps0YqvXgvzqlpavqnO6ab4rjpFTeZn9CQE
AAAbsW0whcJsW693m0bimQSn+/QIPd5aYS2o9EJqdKe5rQZIbQBAiIhtgykU
Vm5bXl6msfbYmwfNE8npnzQwz52RLnOLlahooF11b7nMz+hJCAAANmLbYAqF
udtooH1i4h1zAG7Ht8wtVq6isK60t1zmZ/QkBAAAG7FtMIXCati63W5RfMvc
Yi4qvbd8cub95jZHkNoAgBCp0Wrsl6hH9OMs7UtsfxZiy8T31uEXSFVv8jlj
VbVVem75/rdPl+wtF/tb4UMIAAA2jq0mk8jmq/QjmTvtFNaySqBNxbdKbTV1
bXLylPvFxz1VVUO1eH1paNe4WomlKLjF/lb4EAIAgE3fVlOUwkUj7iKnPR4v
+ibQuYvjR+iLtJz1ZCPV2JsHzT3nfaedt1OV+5MprHccmFCHuXOXUBP7W+FD
CAAANuWtpiSIa6S2PRgvGaeL7c9ibUrV690+M31W7zmvN/Qe7Mbf//ZpFdzT
711qbisCqQ0ACBGX1C7aK555pstYO9dT8iMWxOYsry2junz5yuG3juihN913
P+o98I1PeZ07P23ghbUpBAAAm5JWUxSpRaNspPZgbbkqGnrTWFsPvV/bu+/C
7NzAq3JBn81NQ+/mNhukNgAgRPqOtfsmskusF/0Uqd3ax6Sw1tcVpRAvWqql
5arKWby+lJlYLqSwdoQAAGDTt9VkJoZ1DHIfsZ+QeSOktiebi8rcbb51+AUa
hgtfZk0vw6ImlssprAUhAADYuBzXZlFVRWx/FmtzVy0vL5dnt6iNbwa3qMJ8
CwEAwEZsG0yhMF5bVRVltzrR285ugRtfTSwnW+4ZYTVAagMAQsSx1dxZunZr
4Xz5jVTqTpuFtaySbKunUtPVMtk98KpyoeAmW9Gp3FVBagMAQsSx1Xx0fPQ3
j3yu/Eaqvs+Z3/TFyzsezty64yPk17elyTHzOwB9YWjnM4Zua6JS2W0ujiqh
qlxbyRosVVUsJfkTAgCAjWOrofQ0gzX3Rir6f4pgO5f1jVK7b7KXfAcwQ//q
6OP6rZenj+khf+3PyLvF2rc1V+nj3aQa2b6z9tJqvFVlbMenZlmCG6kNAAgR
CamR2dNOEay/A9CN0lkn9cLQvY6hT7cPhu9Xr9KqlblTzffhR5zaCsruzvqS
5ur87oZXJPGxudQaLA2DG6kNABCF3UPss7Fyn8b4jl5t5qH2pckxlcsf7n9W
JTVFdt9d93rkrnbRqz3zdPu4tyLnYw5KRWGtz++mAXjJyd2tVWXamgd3QKmd
ex4lviQAEBMlp0vbz2R8Uy4Vr00dIqeBtkp2vQ+/fHc9jevN/fA60CV/THbV
hdk5ta7a1uEXzkyfHWxVGVvD4A4lte3VDOw7AIAIMP+iS/66ZaYGr62vytwz
T7fyTCeb2vdO43p9SL18eN6ktoGrzIlqL78yWnWHudffiibBHUFq+3tTAED7
2H/ake0hb0el9sPrcbo6Sl5+JF3tb6dX9RYXvNbWpmp5eVnvMD8x8Y77DnPf
vxW1gzuU1F61/nKR2gBESeZPu2ivmszU4LV5KkyN0M3hecme9qIol/kxi1Tz
8xf1DnPHGeYt/FbUC26kNgBAFI5/5h0AgDzsP1j7jv3nDAAIl6I/7Q7G2oOw
6d3s6kS2zPz2+U1fpMeXJsdcdqrzFlZPdfnylZdfGXUZdLe28dWSp+oiIw1V
9fAUoGZYd+4e6vL6jgCA9rG/tNvf4fXjjG/KpeK1ySxMHTEnG+W1OfNtYeje
7vgIRfygCnNX6VlqY28eLDrS3ebGrxTcAaV27gAckQ1AmkQfjrwqfzYaZdNY
mxLcPJ38w/3Puo++B7LFut2uPtKdO7285Y0/Ov4uBfeOAxPNVVVBjAIAWiCF
cBRbWK7t494KDbQpr/UAnEbfHx0f7bse+6C2GI2yT0y8o6eX+6vKxaYv60nj
7oaqqiC1AQAtkEI4ii2sr215+pg5+qb7JXvOB7vFaKCtLhz28iujy8vLPqpy
tOngHj8501BVCaQ2AKAFUghHsYU52mj0vTQ5ptdgpzv0T3tdl4FvMRp0q3O6
zSlqA9n4i9eXNo2MUXBPv3epocodpDYAoAUG3upbsIktrKrt1sL5D/c/q496
d8dHzN3mQraYnqKm9pYPanPp4F640m2ocgSpDQBoASGt3qtNbGH1bJTUlNf6
qDfluMpuOVvM3Fs+wM1VvvoKUhsAECJyWr0/m9jCmtg+7q18dHxU7zan7Ba1
xXq92+qEblJ1u/mj3RpULUxdjDv3XDCkNgAgRES1ek82sYWx2Janj6nsJpUe
dw+8KsXht4501i/VfWF2jkVYozB1Erd9LhhSGwAQIimEo9jCGG2U3Z27y6zR
GLz2Nch4q1KqopPC6tmqvqRoSjlSGwAQIimEo9jCeG2korxWx7vp/ynHhVTV
7XbVYW4aertfLIyxMApue0o5UhsAECIphKPYwnhtSkWj7O74iL5y6K2F8xKq
Wl5eVoe56f+bBHftwhavL2VmpiG1AQAhkkI4ii2M12aq7ixd09cooRCvusPc
R1V6flpmGZbWCpuceZ+Ce2jXuJqZhtQGAIRICuEotjBem61amTulJqrNb/pi
pcuR+Kvq8FtH1DIs9SaWNyxMzUwbHX+3ucoGqQ0AaIEUwlFsYby2XJW5w/zq
6OOOM8y9VtUkuBsWpmem0bgbqQ0ACJEUwlFsYby2ElVvceGD4fvdB92+qzoz
fbZecDcvTK+ZhtQGAIRICuEotjBeW1/VR8dH9aC7/Eh3C1VdmJ2rEdwshak1
00jlchlud5DaAIAWSCEcxRbGa3NRmYPukunl7VSlgrvSGixche1/+zSp1AFu
LpDaAIAWSCEcxRbGa3NUmUe6afQ92Kp0cDuOuLkKo1E2qdQBbhbhqp/U7nwW
80H29wIABEEK4Si2MF5bJdXK3Cm1HsvlHQ8P9qKflXaV8xa2aWSs6Noi9YQs
nnK/md1e3w4AIJMUwlFsYby2qqo7S9eK9pa3XJV7cPMWps7gHt5zlEvI4imX
m++C4AYgQVIIR7GF8drqqfTe8qXJsQFW5Rjc7IWNjr/LtZ8cqQ0AaIGBp0YL
NrGF8dpqq5anj6m95R/uf3aAVU1OnlLBXbLkKXthvdt3uA5tI7UBAC3QAQDI
I/NH2vc+ACARGP/weXtICoXx2hqqPu6tqMPcC0P3DrAqtXLay68MeHK7BGGu
uZM36AYApIPYNphCYbw2FtWH+5+l4CZVb3GhuW21elX6IiMU381tJYSS2rlD
b0Q2AMkitg2mUBivjUv10fFRUjW8QremRlU6uM9Mn21uKyKU1AYAABOxbTCF
wnhtvCo1sbx5cNerqtvtbh1+gYJ7fv5ic1suSG0AQIiIbYMpFMZr41XpieUN
g7t2VZcvX7HPBZO5uTwJAQDARmwbTKEwXhu7qre4oILbPJW7zarUpcFefmVU
nwsmc3N5EgIAgI3YNphCYbw2Hyod3PpU7parGnvzIAU3/T+LzQSpDQAIEbFt
MIXCeG2eVPWC+1r3xrnZebqR6tW9h9Vt4+btD27YUnKjJ+gnv3Fogl7+q7Nz
23e+rGemydxcnoQAAGAjtg2mUBivzZ+qaFf5wpXu3MUrb//y7Ovjv/jR7kOP
Df3koU0v/t0/3PQ3/+k31e1/+4d/snaS0he+3vz2hb//H//1Hz9NMpXmKzdv
8X7G5iC1AQAtIDM1eG1iC+O1sauWlm9SLk+/d+n41Ozegye2/dkLW5/Z9q0f
vP7Itgq3zvoFMen2xPY3f/jasR0HJsZPzpBwbuEqyTPvq0fodKN0VoNuGoP/
iwe+90l8G98B7vnqY2psTk+u/RkZQWoDAFpAZmrw2sQWxmtrqFq8vkRJSnk6
Ov6ujlr79o2hV//Vpu3qdt8jw/9p80tP/WjfD3aP//TQyZ+fOEMvN2/73z5N
Kkpqum0aGcsV0uMqyunrgZ3jmrE3D37vqWfJdnRi6sWXDlCUf/6eh8zBOD1C
CX7x0pV2NlcLQgAAsJGTGv5sYgvjtVVSdbvduV/Pn5yaefX1Q8M792x6fqd5
I9VTw7ueeH7HI09s/cajT//bP/7uH3z927/7Bw/9s//vsUf/2f/z3Ff+zqk3
9jjuo87ubL99h6KZbpTplNSU10O7xjM5rkKcvkLQkz99Ye/2yPadGRtlNIX4
0LbdNO7W8U1pTo9MTn3m2qN9C2sOUhsA0AIphKPYwrhsH/dWbi2cJ9VHx0ft
2389OPLenudmXn5yYsfQz7c//+OnHh965rnyG6nKn/CTzY/uf23P5OSp+fmL
y8vLDT+givLJmfdpbD6856iZ4PRPleD0NHqjEtu17g2V4HoMruK7aP85UhsA
ECIphKPYwmrbKKOXJsc+3P/s5R0Pq0XM1OLh+n7f2+nH/q9fPvGVYy9858Tr
r+x+7eCmp35EQ2l9I9XOV/dPnPyLy5ev0I2imQKaboffOvLa3n0v/uAHmRDf
OvwCPU5PoCdnrrNZ4wOqEKfBOA26zQRXu+6Xlm/2NdBA24xvGom/cWgis3MA
qQ0ACJEUwlFsYZVslNQ0cDZjWt0+GL6fHqQBNane2v7M7mcfp4Gwvr3yzJ/+
+PtP/GjoyReefuanTz56bPhPL7zw8MUfPmAazv3J/7jvX3/x6X/zhzt27FE7
lvtWRZWcfvRLv3z63/zy5C/G3jw4sn2nGeIqwdWaZg03FyU4DbRpuK12pKsD
7jQAp4G5uf+8CPo4Gzdv10Nvc7c5UhsAECIphKPYwvraPu6tLE8fuzr6eCam
aZRNjy9/8OsLs3M0/lVLdqvd2i+O7Hj5p/ue37HnsS271RCV8k7vZL7WvfHq
3sPqKPA/+dv/74Z/cu/YH//j2cf/Ty2n9yKzy2dUVwejYtQ/l5eXaUh+YuId
deEPdVNHojNriddm8foS2cxd6DT6nn7vUt8X0qd+8aUD9KnN4TZSGwAQIimE
o9jCimx2WC8M3UspuTJ3au1Hy8tnps/SeNbcQf36/jFSbRsdN48I04BU7U+m
tHrj0MR9Dzypp2zRCPToxBTFmXrH3uICDZ/pXfTO9u74yJ2la+XFq+tx26uv
UIX0dYLG4FSY+i5B8U2Bbq4o3mRz0Yc6PjWrp7FtGhmjryUue85tFSNIbQBA
C6QQjmILs223Fs6rMawOa0pPdanrXu82RaE5kqX7x94+8YupGRpyZvYe6wgz
dxHTjYLbPsJrQu9FBehD5HS/JLvpK4QK+pKFykl1+K0jZs30KSpvJsNm/pNG
3/vfPq3PKdtxYKLk3LFyVXOQ2gCAJmR6SFFLSSEcxRambWpwrYe685u+qMOa
mJ+/qJbj1sFHY+35S5fNwKKBpzlTS+0TNqdjvbr3sB5Zu1RFQazroeymCnOf
qZdNo+8bJR8w85WDxuCTk6fKJ5+X2LI13L4z/d4lPfSmOy67zcNK7c465Y8A
AMIl8xet7uf+jacQjmILUzYKaBV86rDyytwp9SMKNYo2PdHrk53M1z+iSNLH
dim1KbtpyKkLOzox9eCGLS6nPrl8Rv1dgir86Pho7pOpYPWE3FF5ZnN1u119
IJ5udL9SdpdvfBpo62nnfbM7oNS2zfoRBDcA0eCY0SmEo8zCKOP0vmg1uNap
d/nyFXNwTdFGj9A4evzkjLk32EyllZu3SKUXG7nvgScpvmsv1m1+RhplU16r
7xUfDN+v9wCY0BPMmWlFKg0NvekLSY3sdtn4tKHom0zf7A4ltfv+ISO4AYgD
pLYPFYtN5bWe90WRp/c/X5idMwfXZ6bPUsDREFLHkDm4Vlzr3qABtV6ju97g
OoP9GalmfdJZ7qBb/ZS+e/RVaTLZTfcz53q7FFZEJrvt491hpXbu3jOv7wsA
aBnHgI44HH2oGtrMvF4YulefY5XJr9f27lNnS2V2+WZOUqZ0NneGk8r9yHU5
RZ9xZe6UGnRTRmeOdNM/1Y/0Hv5ylcb87PT/6oqcVQsrgrJbb0C6Y84zDyi1
7f3hSG0A4gOz0XyoatvUfmYzr7Utd1+xOb1qeM/RzG5e8+D1PV99jP5Zu7Bc
SlR60E0ZnZmBRv+0D3A7VkXZfWLiHT3d7vLl/IuA1PuM9OVHzwQ4PjWrvvkE
lNr2faQ2APHh+HcdWTj6VtWzLU2OqXGoOadLjTE766czU2pTZtl5bZ/KRAGt
D15TcJs7w9vcYt3xEfUNRH/9UKhvJhTr9aqiLaDPQ6cNYu8wb/IZacOqWQFq
h3kcqY3IBiAOOgb2P4ueCQAQQu4fqf2g704CAJAG4x8+bw8JvbCPeyt6cTMa
e+qdxmemz+pjuGqsvbq+C9dxfD20bXfRwev2t5g+WdtcHo0+qXpQzTavVxWN
svUsehp0Vy2sHLW1SZU7S602yFAAQAuEHo4tqxxtepf4wtC9enbW/PxFPT/8
8FtH1O5fspnTperltXthjrircoObPr4+EaxJVbTF1Decl18ZVYcPuD5j7/ad
zvpScupIN4sTqQ0AaIGgw7F9VV9b5gwpNdG62+3qw7V6vtnS8k116cncvD43
O6+XDX9wwxaXyeGD2mK5wa02Am2BhlXRdxu16Si+KcR5P+PcwlV1pJv+Q7hc
QayvkKUwAAAoIdBwHJSq3KZXI6HM0ouH61W4KX3U1GgKiPGTM2qgp7LDlFy8
dEXPD8/MN6tdWFWqqnRw6/O19X5ylqomJ0+pbcj+Gem7k5penvmvUFsIAABe
CTEcB6gqspnnQ+lLaehD2CPbd+pLZkzOvK/Gd/T/dN+0fbpeyvriZlUXSxns
FtPBrWeVq/3kXFXRFx51BTF9cKEhujD6EsVydBupDQBogbDCceCqXJs+iq1n
nXW7XX2lDL3kl3nWMI21zbOGV27eenXvYXWxD33+dfPCalNzCpl1JRHaIJ31
C5GwVEVbtbN+ohxt2+bBzR6ySG0AQAsMvNW3YPNXmDlRXGWTuVrIa3v3qUPY
FNB6dU17hS495YxSm7KbpbCG1FbRQNtcaIX+n1RFlwOrV5j6OtQ8uJHaAIAQ
kdDqfds8FUZhlLmmxuXLV9Qs8a3DL9i7xId2jduHsNfOub07Rbz2xT4yhTWn
iSpzJREfG19NFWgY3EhtAECICGn1Xm0+CtPLk6r5V+YQWx94Xby+pM/q0gtp
KiigX3zpgLrkx4MbtlB8cxXGQkOVnkDeXJVB25oHN1IbABAiclq9Pxt7YXri
mToXWw+x6f/1AtoU07m7xFfXz8JWh7DVJT8YCxOi0lcS6S0u+PutUME9OXmq
5PmOKhaQ2gCAFpDT6v3ZGFW3Fs531q+I/cHw/XeWrplDbL1utl7oTM0SN19u
ntVFY211UWyu2kSp6PuM2kpefyv0YYjmquYgtQEALSCq1XuycanUXnGyqb3i
9hDbPBHbXrjj1b2H9VnYepe4wI/Jpbo6+jiNuKP/rfAnBAAAG7FtUFRheq64
jiG97sfYmwftIXZm1tm52Xk9S/yNQxO8tYlV0UZTc8ibqzTSPqNXIQAA2Iht
g3IK6y0ufDB8v54rrk8+Umtsqufoo9iZIfans86+8PWNm7fbs8TlfEz5Kl4b
UhsAECJi26CQwvTpXTTWXptktb4Utnku9uL1JbV2SskQm/5/cir/nGUhHzMI
Fa8NqQ0ACBGxbVBCYWrNEHUSk554RjY9b3ly5v2iITaNrM1ZZ+y1JajitSG1
AQAhIrYNDrywD/c/qw5kU3bTsFrvFVc2ymh1LrY9UdwcYvddS3zgHzMgFa8N
qQ0ACBGxbXCAhX3cW9FnZK+trX33Ks+v7d1HI+6OcYXH4T1HF68v6ReaR7HL
h9i1a0tZxWsLJbU7d8k84uO9AADyEdsGB1UYRbaee0b39enYeq94Z/2K2OoK
IOYLKw2x69WWuIrXFlBq5/4TwQ1AmohtgwMpTF+16uro4zf/8gYNrtVecXU6
troWM9looJ25tqM+Fzt3ojhLbVDx2kJPbX/vCACQjNg22H5herr4h/uf7Xa7
agWVl18ZVXPF9V5xspkTz651b9z3wJPqXOyiieLNa4OK3RZQahclNVIbgAQR
2wZbLkxPF1+aHLswO6cOZB9+64j6qV7x7PjUrGnTK4o/uGELxben2qDyYQsl
tTNypDYAiSO2DbZZmI5suqMPZKs1rs254mqvuLKt3Lw1tG232ise+kWxQ1Hx
2sJKbe1HagOQOGLbYGuFdcdH1HTxv/zN9NibB9WB7G53LaAXry/pueJ6rzjZ
Ll66oieeNbzIpsztL1PFawsrte2xNiIbgDQR2wbbKUyflP3R/Hl1RrY+kD39
3qXcueJrRxnXh9g01q408axqbVB5tYWS2vZ5XjjzC4CU6QAA5DHoxgAAEApj
f+BtNb4LU6PsD4bvn51615x71rt9R60rPrRr3FxBRe8V76zvIfdaG1Qt2NiT
EVELAGgBsW3QX2F66TOK7Atnz5hzz/SB7B0HJszTu45OTOm94qF8zPhUvDak
NgAgRMS2QU+FmUufHTn0c/OCm9PvXVKRvf/t0/r55lxxym7ewnht0at4bUht
AECIiG2DPgrLjWw1XVxfIJuyW79Qr6BizhWX/zFjVfHakNoAgBAR2wbZC9OR
fWnr10Z/8hNzujgNrs0zshXnZuf1CirmXHHhHzNiFa8NqQ0ACBGxbZC3sNzI
7vVu67lnmat3vXFoomgFFckfM24Vrw2pDQAIEbFtkLcwFdkXn/vKzpEXKbLH
3jxIkU0xrSNbzz3TB7KL1hWX/DHjVvHakNoAgBAR2wa5bDTKJpWK7B9u3aLP
8NLTxc25Z/pANv1/0eldMj9mCipeG1IbABAiYtsgi03tGF87w/qzka2ni5vr
nlFM5x7I9lGYD1v0Kl4bUhsAECJi22Bzmz6WTSoV2Wemz64aS5Wa08X1Gdkv
vnTAd2GebNGreG1IbQBAiIhtg81tV0cfp8j+9dNfJpVeR0Vdc5MG2nMLV/Uz
KanNM7J9F+bJFr2K14bUBgCEiNg22NCmFiylyH7+6SFSqcjWZ3jp6eIrN29t
3LxdzT1zXKdU1MdMSsVrQ2oDAEJEbBtsYjMjm0bZpOrdvqMi21xdnCJbzz27
1r3RQmFebdGreG1IbQBAiIhtg7VtmcimUTap7DO89NwzGmtXuuCmkI+ZoIrX
htQGAISI2DZYz9YdH6HI/s23/sYPvv89FdkU06TKRPbk1HkV2UPbdrdTWAu2
6FW8NqQ2ACBExLbBGrbl6WMqsn/81ONqgXG19BmpRsff1ZGtp4u7zD1jKawd
W/QqXhtSGwAQImLbYFWbHdmL15eGdo3TKNtUqeniNNCuF9k1CmvNFr2K14bU
BgCIorOOy9MY35FLVdW2MndqLbIf+ZwZ2XrpM63SS5U6ThdvXlibtuhVvLbg
Utv0O/51AwBCQf9F9/3TFtsG3W29xYX5TV+kyH7tu39kR7ZSrdy89eCGLeVL
lbIX1rItehWvLazUNmPa/a8bABAK6aS2GdlDzzw3P3/RXmCcVPoMr0rTxZsU
1r4tehWvLaDUVubcP2oENwDRkMIe8o97KwtD91JkH/zOv1QzxnVkT868r55D
I+u1DVH9DK8mhQ3EFr2K1xZKapcPsZHaAERD9Kmtlxl/+/EvZyJbLzD+yUnZ
nU6NM7xqFzYoW/QqXhtSGwAghxT2kF/e8TBF9i83/X6fyP7C18UGB68tehWv
LYjU7lisIrUBiBEztcv/rsW2wXKbWgDtzMbfff7podzIPjoxpSJ77exsqcHB
a4texWsLIrVz/ZiNBkB8ZL6clz+T8U25VOW2j46PUmSfe/QLJZFtrqMiNjh4
bdGreG3hpvYqzvwCIGHsXXAAgIEz6MYAABAKY3/gbTW5tt7igl5N5fBbR+xR
9huHJux1VFooTIItehWvjT0ZEbUAgBYQ2wZt2/qp2X9LnZqdG9lFS5+JDQ5e
W/QqXhtSGwAQImLbYMb2cW/l0tavqVOzK0W278Lk2KJX8dqQ2gCAEBHbBjM2
fWr2y6+MfnD1mors8ZMz6qflC4yLDQ5eW/QqXhtSGwAQImLboGlT53n96tEv
mZGtFyzte00QscHBa4texWtDagMAQkRsG9S2pckxiuyZDb/9w61blv/byvCe
o3Zkly8wLjY4eG3Rq3htSG0AQIiIbYPKpi7BOftf/vqu57535epijcj2VJhA
W/QqXhtSGwAQImLbINnWzvP61m+vTRp/ekPtyPZRmExb9CpeG1IbABAiYtsg
2eY3/32K7ANP/LsLs3Mqsun/1U/dI9tHYTJt0at4bUhtAECIiG2DZFOTximy
aXytIrt3+85qxcj2UZhMW/QqXhtSGwAQIjLb4NW9Q2T71aNfOvzWkYaRzVuY
ZFv0Kl4bUhsAECIC2+Dy9DEaZZPtyKGfj5+cocge2jVeO7IZCxNui17Fa0Nq
AwBCRFob1CuNk23q/PsU2ZtGxhavL63WjWyuwuTbolfx2pDaAIAQEdUGP+6t
/Hrj5ymyf/7cBrKxRDZLYUHYolfx2pDaAIAQEdUGf/30lymyj373D+d+c1Gl
9tzC1dVmkc1SWBC26FW8NqQ2ACBE5LTBS6NPUGRPbvy9mQvv0RCbbOrKIA0j
u3lhodiiV/HakNoAgBAR0gY/mjqs1kCbOT2llhlXNr3G+LXujYEUFpAtehWv
DakNAAgRCW1w+YNfz234LUrtY6+/qhdAI1vfy4L4LiwsW/QqXhtSGwAQIgNv
gx/3VmY3/c5aZP/ouzsOTFBkj46/q2wskV27sOBs0at4baGkdmcdH2YAQIgM
vA3OPnsfRfa7T93/+pFTejWVoxNTZGOJ7NqFBWeLXsVrCyK1tTMjR5QDkCyD
bYPv79tGkX1m4+8eOvEXejWVtcj+wtfJxhLZ9QoL0Ra9itcWRGqbcjvBEdwA
JMgA2+DVU2+pGWjvvH1Mn5r9SWSvp/agCgvUFr2K1xZcave9DwBIgUG1wZVr
l+e++T9Tap/a9xJFNt0WrnRpcK0iW+0hH0hh4dqiV/HaQkntzl1y3wipDUBq
DKoNznzn71Jk//KFR9V5XtPvXaLI/vw9D6nIHmBh4dqiV/HaQklt24/UBiBl
BtIGp0c2UGSf/tN7t/30MEX2+MmZTGQPqrCgbdGreG1hpTbG2gAARQcAII/M
X2jmbzZzBwCQDox/+C6qxbkzs9/8n9auD7L7J+o8r4+Wlu974EkaZQ9t2z3A
wiKwRa/itbFHXpsZakc5ACAR2myDN//yxvS3/2+K7JM7n1KTxosiu+XC4rBF
r+K1BZ3aAIBkabMNnnrmX60dzh76mj7Pq+TKIGL7s1hb9CpeG1IbABAirbXB
X72xiyL7/Ma/9dQP96hJ4+UX8xLbn8Xaolfx2pDaAIAQaacNzs+cnv0vf51S
e9fOlymyj0/Nvrr3sFpmvOj6m2L7s1hb9CpeG1IbABAiLbTB5eXlMxt/d+36
IFsfVdfzUguglS8zLrY/i7VFr+K1IbUBACHiuw32erffefrfU2T/6rv/VE0a
/8XkjMvFvMT2Z7G26FW8NqQ2ACBEfLfBX4y+QJE9t+G3vr1ldNPI2Lm5i5nV
VAZVWHy26FW8NqQ2ACBEvLbBC2fPqMPZI1t+sDYDbdY1sn0XFqUtehWvDakN
AAgRf22w2+3+xbf/HkX2waFHKLInTs8VnZrdcmGx2qJX8dqQ2gCAEPHUBnu9
28f/7OG1a2c//nfUDLRKke2vsIht0at4bUhtAECIeGqDE6/tVIezv/f8S8N7
jn6/9NTsNguL2Ba9iteG1AYAhIiPNnjh7JmZDb+9djh76PubRsZe+tmfV41s
T4XFbYtexWtDagMAQoS9DXa73V9u+n2K7KNPfP2Rba+/Pv4Ll/O8Wigselv0
Kl4bUhsAECK8bbDXu/3n2x6nyJ557H//9pbRn584TZFNt6qRzV4Yl0qyLXoV
rw2pDQAIEd42eOzN19WpXs/82Y9GXn/b/Twv34VxqSTbolfx2pDaAIAQ4W2D
v3r0SxTZr3/vT7b89MjXvvF9iuxX9x6WUBiXSrItehWvDakNAAgRrlbT7XZJ
tXbt7G/9400jY3/07RcqneflrzBelWRb9CpeG1IbACCQvp2Eq9Xs+/EwqWa/
uXaq1xPbflZj0rinwnhVkm3Rq3htAaW2be6s4+ntAACDwuVPm+Vv/51jR2Y2
/DapfjT09A9/9lb5JTgdEdufxdqiV/HaQkltpTXl+j6CG4CYsP/YS57WhPn5
i28//uXfPPI5Ug395FC987x8FOZDJdkWvYrXFkpq2/7cBAcABI37t/GGf/W9
3u3Xnt5AkX320S+S6ktf/mbtSeO8hXlSSbZFr+K1IbUBAHJoLbX3/eyn6lSv
bc9sXdsd32DSOG9hnlSSbdGreG1hpXZRUiO1AYiAjkX5k2u/0eTkqV986x9R
ZL/5xIN//NSutT3kDSaNMxbmTyXZFr2K1xZQamfMSG0AIsZlrA0AkEbJn7B+
xP4RACB0+v5d1/vD7/Vu79k5ovaNP//8j//a731jbRm0NEZVYm3Rq3ht7JHn
KUOLohyRDUCa1PvbPzHxzuTG31tfBu0//85XvqVWGk+kP4u1Ra/itYWS2gAA
YFKj1czPXzzwxL9bWwbt279/3yPDetJ4Iv1ZrC16Fa8NqQ0ACJGqrabXu73r
ue9RZF/45m995/s/MpctTaQ/i7VFr+K1IbUBACFStdW8tnefukTI6OaNf+33
vnHfA0/WVvEW1o5Ksi16Fa8NqQ0ACJFKrebM9NmD3/mX6/vG/+B3vvKte776
mLlsaSL9WawtehWvDakNAAgR91azvLys940/9Mj37WVLE+nPYm3Rq3htSG0A
QIi4t5rLl6/sfvbx2Q3/y7Y/feJzv/Pv7WVLE+nPYm3Rq3htSG0AQIhUajW9
3u2Peysv/ezPc9dAS6Q/i7VFr+K1IbUBACEitg2mUBivLXoVrw2pDQAIEbFt
MIXCeG3Rq3htSG0AQIiIbYMpFMZri17Fa0NqAwBCRGwbTKEwXlv0Kl4bUhsA
ECJi22AKhfHaolfx2pDaAIAQEdsGUyiM1xa9iteG1AYAhIjYNphCYby26FW8
NqQ2ACBExLbBFArjtUWv4rUhtQEAISK2DaZQGK8tehWvDakNAAgRsW0whcJ4
bdGreG1IbQBAiIhtgykUxmuLXsVrQ2oDAEJEbBtMoTBeW/QqXltAqZ0xd9bx
9F4AAOGIbYMpFMZri17FawsltTMZre8juAFIE7FtMIXCeG3Rq3htoaR2xlx0
HwCQCGLbYAqF8dqiV/HakNoAgBAR2wZTKIzXFr2K14bUBgCESAcAII/MH2nf
+wCARGD8w+ftISkUxmuLXsVrY488fxmam9SIbADSRGwbTKEwXlv0Kl5bKKlt
D8DtwTgAIB3EtsEUCuO1Ra/itYWS2gAAYCK2DaZQGK8tehWvDakNAAgRsW0w
hcJ4bdGreG1IbQBAiIhtgykUxmuLXsVrQ2oDAEJEbBtMoTBeW/QqXhtSGwAQ
ImLbYAqF8dqiV/HakNoAgBAR2wZTKIzXFr2K14bUBgCEiNg2mEJhvLboVbw2
pDYAIETEtsEUCuO1Ra/itSG1AQAhIrYNplAYry16Fa8NqQ0ACBGxbTCFwnht
0at4bUhtAECIiG2DKRTGa4texWtDagMAQkRsG0yhMF5b9CpeG1IbABAiYttg
CoXx2qJX8dqQ2gCAEBHbBlMojNcWvYrXhtQGAISI2DaYQmG8tuhVvDakNgAg
RMS2wRQK47VFr+K1IbUBACEitg2mUBivLXoVrw2pDQAIEbFtMIXCeG3Rq3ht
SG0AQIiIbYMpFMZri17Fa0NqAwBCRGwbTKEwXlv0Kl4bUhsAECJi22AKhfHa
olfx2pDaAIAQ6QAA5DHoxgAAEMrOn7zCdaNWI9MmtjCxH1OmSnJh7MJBNwYA
AAAAAAAAAAAAAAAAAAAAAACR42lGGSaqAQAAAPUome/tHq+5z1QPlvwIAACa
w9hPGM9/yXiaaO3XNq/TLq+esHl8MBZT8vLan45945uvraHSz2/+GYt+RZHa
AAB/+MjZ5sJMVSVDmKoqrvJW8z5vvbbfMNe4iil5eb3tX6KqjbllanzS8t+E
jND8p0sQF728apEAAFBEkzQssnEJGQcsjKmRa27uZ/mKUhTf9fAx4mbZv9Hk
y4B7auv3KtqeuV8s7ZeXvB0AAFSCN2S1iv07QN8HK6nsbtwE9tRu8h+l79iw
nq3vg+6qJhu/fBO5CO33LR8su7xF32f6+8YIAEiN4FK7tjl3HNREmHl5w86c
+/KqnqLPWIPOXUreop6qycZvntr205qkdvlYu+99AACoRMeCxZm5w2Jr7vTR
RbmcdtrW+I/CkvuO2iaq2sLcLTPY1HbU8v5RAADAKl8/yR1SNbetMkUGo7Zv
t6/ncfyRezE+vpY0UfFu/HqbveRLEVIbABAEjKnNNXK3R1W1zfZrmxdZ5Gzu
MX9UT9L8v4L92trOElW92lY9HAsoktcrqejx5n8UAAAAADCp99XLhxYAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAzWG8hBDv1YhSKIzXFr2K18Z+8SxcjQsA0AJi22AK
hfHaolfx2pDaAIAQEdsGUyiM1xa9iteG1AYA+KOzTu0XlrxWbBtMoTBeW/Qq
XhtSGwBQj77Bumo0hMzTSv5ZdL/I3JxE+rNYW/QqXhtSGwBQj6JEdnyOS1Ij
tblUkm3Rq3htSG0AQD3MRC76w7dTu+hObr4jtblUkm3Rq3htSG0AQD1qjLVz
Exmp3YJKsi16Fa8NqQ0AqEfV49pFO8nt/7dfXmJuTiL9WawtehWvDakNAKiH
yx9739QuGYyXv4XYNphCYby26FW8NqQ2AKAedsKWTDkrCuXM/nCktieVZFv0
Kl4bUhsAUI/cP/ai2C06CF5+FBupzaWSbItexWtDagMAGHEfLNewMZo9qXht
YgvjtUWv4rUhtQEAXJQfua6qKn+t2DaYQmG8tuhVvDakNgCAhb45y/52AlW8
NrGF8dqiV/HakNoAgBAR2wZTKIzXFr2K14bUBgCEiNg2mEJhvLboVbw2pDYA
IETEtsEUCuO1Ra/itSG1AQAhIrYNplAYry16Fa8NqQ0ACBGxbTCFwnht0at4
bUhtAECIiG2DKRTGa4texWtDagMAJFD1rDGxbTCFwnht0at4bUhtAMDA0X3D
vYGIbYMpFMZri17Fa0NqAwDk4D7iFtsGUyiM1xa9iteG1AYAyAFjbU8qybbo
VSy2lZu3JqfOv/jSAaQ2AEACnbtUfT4AQA5euwQAQCCOf/iM/YG31aRQGK8t
elVV27XujTcOTWzcvP3z9zzU+cLX1e2+B56kgTYNt9mTEVELAKiNewOJoz+3
ppJsi17laFM7wO/56mM6qen+0LbdRyemKMc9FeZDCABIgaq714Luz+2rJNui
V5XYKI4plGlYrZOabg9u2EJj7YuXrrRQmA8hAADYBNefB6uSbIteZdsokWlY
fd8DT2aG1TTcXrl5q83CfAgBAMAmlP4sRCXZFr1K2yiUKZrNfeAU3CXD6hYK
8yEEAAAb4f1ZmkqyLW4VjZ2PTkyRTU8tozsbN2+nB/sOq70W5k8IAAA2Avsz
u01sYby2KFUqrD89YL2e2mof+GALa0EIAAA2cvqzP5vYwnhtManUSVuZA9a8
S6MgtQEAISK2DaZQGK8tApUd1ur0an3AWuZn9CQEAAAbsW0whcJ4beGqcsOa
HjFPrx5IYYMVAgCAjdg2mEJhvLbgVCs3bzmGdcuFCRECAICN2DaYQmG8tlBU
2QlmDmHdTmHShAAAYCO2DaZQGK9NuMoO63u++phjWHstTKwQAABsxLbBFArj
tYlVqUVR9HnWajZ4pRVRPBXGpfIkBAAAG7FtMIXCeG3SVJTLFNak0oui1A5r
3sLYVZ6EAABgI7YNplAYr02I6lr3xqt7D3+63Ginw7IoSvPC/Kk8CQEAwEZs
G0yhMF7bYFX2hHC13GgKm8uTEAAAbMS2wRQK47UNSkXjaHtCuF4bPIXN5UkI
AAA2YttgCoXx2lpWqcPWmTlmXtdF4bUhtQEAISK2DaZQGK+tHZVax0wftlbX
8jg3O99CVSy23u07cwtXx0/OkGrhSpelKgVSGwBQj9zu0bmLy5MZ31eCTWxh
vDbfqszZ1o5XyRSyuSigj0/N7jgw8ci219Vt7ZS0mfcl1AYASBnVOtzTWWZq
8NrEFsZr86Sy94RXWhplgJtr8foS5fLo+Ls6qek2vOcoDbRpuI095AAAUWR6
CFI7ehuvSs0Jz+wJr3G2dcubq3f7zvR7l/a/fXpo17hOarpPj9Dj9FNPhfkQ
AgCSwk7toj3nnt5Rjk1sYbw2LtXk1Hm9NArdHtyw5ejE1MCrKrepHeA0jtZJ
vWlkjEbZNNZeWr7ZQmE+hACAdHAfWQtMDXab2MJ4bQ1V17o3XnzpwCeD606H
7ry693ClRcJ9VFViozim4TNFMwV0Zge4yzQzpDYAQAjl3SN3DA4AEIXnJgEA
kEL537v9U8b+wNtqUiiM11ZVlZlmZq6OIm3j66PVZDOH1cenZhevLw2wMK9C
AEAK2F/XO3dnled2FWn92YdNbGG8NkeVumKmXno0d5qZkI2/tHxzcub9zOla
o+PvZuaVtV9YO0IAQJpUHX17eqMB2sQWxmvrq8oMrtU0s9wTrge78Wn4PH5y
JjMJXB2tFvtb4UMIAEiQvp1EbBtMoTBeW5HKHlznLj3aclUZ1JJl+98+bU4t
o1F2ZhK42N8KH0IAALAR2wZTKIzXZqvOzc7bg+uBV2WiDlibC6FQatvnVrdf
mAQhAADYiG2DKRTGa9OqGoPrFqoyUQeszdOr1T5wGm4PtjBRQgAAsBHbBlMo
jNdGqtwj1wOvSt9XB6zNsK46D1zsb4UPIQAA2IhtgykUxmVTg+u1kwTqDq59
VKVV9uwy+4D1QArjUnkSAgCAjdg2mEJhzW0UzZ8OrjudhquPclWlULPLzDOs
m5+0Jfa3wocQAABsxLbBFAprYqN0pow2B9dCtlhmKjipSmaXtVmYP5UnIQAA
2IhtgykUVsOmVgs3FzTT51wPdotlwlpNBWe/IKbY3wofQgAAsBHbBlMorJJt
cur8xs3b9aW4JCxoVnTeljkVXOzGR2oDAEJEbBtMoTAXW+Y613RHrxbur7Cq
J1mXnLclduMjtQEAISK2DaZQWLlNncalB9c00D43O99OYbmqorAuP29L7MZH
agMAQkRsG0yhsCJbZo0Ux+tce9pi9cKat6put3tm+uzYmwfJRneaC1eR2gCA
MEkhHMUWlrFlZppVPY2Ld4s1DOvmVS0vL1+YnTv81pGtwy8MPfOcupFtcvJU
PSFXYa0JAQDAJoVwFFuYtp2bndczzXIvndlmYWrit54NXi+s61XV692en79I
ST2yfadOakptGmXTEJtG3GJ/K3wIAQDARmwbTKGwlZu3yOYy06yFwsxTt1Rq
NwnrSlVdvnzlxMQ7L78yqpOabq/t3aeSuqqNsbDBCgEAwEZsG4y7sE/XNOt0
1EyzyanzAyks9zzrFjb+8vKyOlRtJjUFN8U3hXhVG2NhcoQAAGAjtg3GWhil
s7mmGdmaLBheuzC1Nri9KEoNlXtVuTvA6T49cmF2jn5aycZYmEwhACARKnUP
sW0wssLs067VmmYtf8zMhTzsRVHcVe5VqRngr+3dZw6r9aHqqjbGwrhUnoQA
gBRQrcO9gYhtg9EU9pkLfFinXbfzMZeWbx6fmjWvulV+IY/mVelhNanMYfWJ
iXfo8dpasb8VPoQAgKRw7CFi22AEhWV2hudePdPrx6Swnpx537yeteNVt5qc
rpUZVpNKDavpR/WcLIV5VXkSAgCSAqntQ+ViK9oZ7rs2rVKnWu84MKHDmoKb
4tv9qltVq6LhMw2iM0er1bA6kd8KH0IAQDpU2kMOAJCG1/4AABBFpT95xv7A
22rCKiyzTEruznB/tamzt0jFsi5KeVXdbndy8pR5brWaBE7D6txJ4In8VvgQ
AgBSoGrrENsGQyns6MSU485w9toyZ2+RirK7+boouVXZ+8ApuCm++04CT+S3
wocQAJACVXeyiW2DwgujofSrew+ba4bXWyalRm2ZCeH67C32LUZj5wuzc2Nv
HjRXAqd/0oPuU8sS+a3wIQQAABuxbVByYeYFNOl+k2VS3Gvr3b5TPiGc62NS
IpPKnAdOqa32gdewJfJb4UMIAAA2YtugwMKOTkytncnV6aid4TTWrr1meKXa
MtfeKpoQ3vBjmgesO+snWat54FUXQuGtyp8NqQ0ACBGxbVBOYZkzuchW6QKa
tWvLrBA+tGv8+NTs0vLNGqoS1JU7MgesScVyenXtqlqwIbUBACEitg1KKCxz
weuhbbvPzc77/pi5i466zDGrVJhauMw+YK3mgXN9xlsL50l1Z+kai21Vxm9F
a0IAALAR2wYHWxilsz54nTmTy9PHtNcxy10h3EVVhD27TB+wzpy01eQzUlJ/
dHz08o6Hf/PI5+i2NmyfPlbblkHsr6sPIQAA2Ihtg4Mq7JOD18UXvGb/mJnD
1jsOTLgsOpqryn1ch7V9hnVVVRG9xYWlybGro4+rpFa3haF7u+MjpPq4t1Lt
kxQj9tfVhxAAAGzEtsGWC8scvKbgLjp4zVWYvTQKjbVLDlv3JVOYWhI8sxyK
4+wyl894Z+kaDaIpqec3fdFM6g/3P0uP673iQf9WDFYIAAA2Yttga4XlHrz2
VxjlsnnYmmwN1zHLFGaHteNyKLbKhkbNK3OnaARN6ayTmlKbsttMahdVPcT+
uvoQAgCAjdg22EJhJQev2QvLPduacWkUdZJ1JqxrX2krU1VvccE8VK1u9M+l
yTH6USVVQ8T+uvoQAgCAjdg26LUw8xqauQevGQujaM6cbc24NAqNoPV5W+ok
6yZhrVETv+0d4B8M308DbRpuV1I1qcSfDakNAAgRsW3QR2EUzeay4fc98GSN
M68dC1u8vuRytnW9j2mGtT5vi+Uk61sL59UUMnMHeOZQdSXk/1aIFQIAgI3Y
NshbGOW1uWz4xs3byw9e1y5MncCVOdt64UrhMeVKHzM3rJufZG0Pq0lFw+qP
jo/23QHeF8m/FVwqT0IAALAR2wa5bNe6N0jFtWx4SWGZE7gyi4RXtZmUh3Ul
lYkaVlM628Pq6H8reFWehAAAYCO2DTa3fXrN606HRtksy4bbhdE4OrMnvNIJ
XCUf0zGsXVSaj3srFMoUzZmj1ZlhdcS/FT5UnoQAAGAjtg02sWVWSlF7yHkL
y71cZo0TuOyPWTWsS1QatQpK7rA6dwmUKH8r/Kk8CQEAwEZsG6xhy0w20yul
MBbWu32HbDsOTGT2hNcW6tpqh7Wt0tjnVqtJ4LcW+lwKPKbfihZUnoQAAGAj
tg1WspVPNmMpTM8JV6uZNV/KTNd2Zvpsk7A2Vat394Fnztiif9JY230SeBy/
Fa2pPAkBAMBGbBt0tF3r3hjatttc2cyebNakMHtOONmaL2WmVzBTJ1k3CWsF
JTKpzIVQ1D5wGm7XWAY89N+KllWehAAAYCO2Dfa1ZVY2K5lsVq+w3DnhtW0K
e7lRNdaufZ51b3FB7wNXJ1mrfeANz9gK97diICpPQgAAsBHbBktslNfmZLOj
E1Plk80qFWavjpLZE17jY9II2l4bXIV1vY1GI+jMPHAaZXf4rmQd4m/FAFWe
hACARMjtHp27uDyZ8X15bfVWNnMpTK0T7jIn3P1j2pfItJcbdbfZB6z1ZTvU
PnCZ/ymR2gAAUEJuNK8WtxSxbdC02ZfRrLSyWXlhmXXC1eWta9tWC65nPTl5
Knc3eF+bXrjMPmBdVeWOTBWvDakNABBCTKmdmRw+tG33xUtXWApTV8zsu064
o00xP3/x8FtHtg6/4H496yIbhXXmDOuFoXvLD1jL/E+J1AYAgHJK9pAXPQ4A
EIX/PgEAkELJn7z9I8b+wKWi0fTa5PBOp+/k8EqFZZYezVwxs6pt1VoXhYbY
NNCm4XYNmzkVXC+HUukM61WR/yl5Vbw29mRE1AIA6lHePTI/FdUGzcnhZKt0
2esilpZvksqcZjZ+cqbJ6ihkyyxiViOsFRTWZDPD2pxdVqOwGq8KSMVrQ2oD
AIQQ4lg7s3I4/bN5YXqaWWd9NTO6T4/UtjGui6LO2zJPsm4S1hoh/yn9qXht
SG0AgAQyh8Z0Jyk6WDbwNphZOVxPDq9dmD3NjFS1B9dqQvhre/dl1kWpHdaZ
87bI1jCsNQP/T+lbxWtDagMABNK3kwyqDfY9matqYb3bd6bfuzS856h5wvXC
lW4NlWJ+/mLuqdZVbXZYm+dtyYwhmSpeG1IbACANlzbSfhu0T+ayVw6vVFhm
NTN7mlmlz9j37C3Xj1ka1vVqKyd6Fa8NqQ0ACJE22yCl84svHVB5Tf9flNeO
Nns1s/GTM7VXM8udEH75cs654eU2x7CuVJsj0at4bUhtAECItNMG1ZW5XK70
4WKbW7hKg2v3K1yXqNQcs8yFMssnhOfaqoa1S21ViV7Fa0NqAwBCxHcb/OTk
6yp5XWRbWr55fGpWD66brGZmzzGj+44Twk1b7bAuqa020at4bUhtAECI+GuD
9pW5atvsi2ZWOofLVBXNMatkyyyKUiOsc2trSPQqXhtSGwAQIj7aYMO81jb7
HK7JmffrrWbW7XarrhBuo8JanWGtbrXD2qytycuTUvHakNoAgBDhbYOZk68n
p87XU9HgWi2NkjmHqyo0iJ6cPKXXRSmZY1ZCZmRNNpZFURQyY0imiteG1AYA
hAhXq1GrmdW7kqbGPIeLZLWXCleHrV9+ZVSvi6LWMaskUVfdspcbTSGGZKp4
bUhtAECINGw1KzdvfTq+7nQ2bt5eI69zF0hhXBqlksq+RGZmZJ1CDMlU8dqQ
2gCAEKndauzFUmqoMguk7DgwoQfXlWy5h631HDMXFYUyRfPlHQ/3vepWCjEk
U8VrQ2oDAEKkRqspWtzMXaUWSDEH1/Z1uFxs6rB136VRSlQqrGk07X6JzBRi
SKaK14bUBgCESKVWY+a1vbiZi0pd5Fqfw6UG11ULs8+2Lj9s7bIuysLQvd3x
kd7iQt+PkEIMyVTx2pDaAIAQcWw1LoubleVs3uqj5Quk5NrUIuGZw9Z9l0Yx
VZTLmXVRHMO6vLDayIwhmSpeG1IbABAifVuN+2KkuSr3wXWJLbNIeNWzrcWu
i8Jri17Fa0NqAwBCpKTVVF08/DND2s8Ort1XHzVtNIimobQ+gYtuNNAuXyQ8
g5oQbq6LoiaEuxtyC2vycn+26FW8NqQ2ACBEcluNmddqcTOXxcOVKjO4rrr6
qIKiWS+NovaEOy4SrshMCCfVB8P3C1wXhdcWvYrXhtQGAIRIptWcm53P5LWj
hwbXaznbYHC9endPuDqBi2wj23dOTp6qtEi4mmOmR9YLQ/eqsXalMsoRa4te
xWtDagMAhFCpe+gn1148XA+uO+trkNYYXKvLZeo94eoErkqfIjPHLDMhXGxw
8NqiV/HakNoAAAl01qn0/Hp5bR+57qxf76NStRdm58ylzMzLZbp8ijtL1z46
Ptp3jpnY4OC1Ra/itSG1AQBCqJraVfO66Mi1+/vaS5nZe8L7Lo1iLzpa8hkd
C3NBrC16Fa8NqQ0AEELl1AYACMNffwAASKPSn7zLk3NXC6+kylzUw9wT7lJY
7mHrkkVH3QurgVhb9CpeG3syImoBAPXgSm37UlzlC5rZKnNOeNGe8BJb5lqZ
6rD1rYXK1+wWGxy8tuhVvDakNgBACM1Tm6LZZXBdpMqsjlJ0UY8i1GHrjrU0
Su2zrcUGB68tehWvDakNAJBA1UNjmadROlNGm9e5dp8WTqrMOuEue8JNaByt
94STTZ1t7b4nvKSwhoYgbNGreG1IbQBAiKhWQ9E8fnJGD66H9xzV17l2YXl5
+cTEO527q5llLm/dF/sEru74iNj+LNYWvYrXhtQGAIQItZrR8XfNwfXi9SXH
12aumEmqSuuE557Apc+2FtufxdqiV/HakNoAgBDprC9oNrRrfHLmfffBdeaE
a7VOuHvXyqw7SsG9NDmWOWwttj+LtUWv4rUhtQEAIbJ2+PiK6yUv1TQzfcVM
Sm3zipl9u9adpWuZy2WWXNtabH8Wa4texWtDagMAQsSx1WROuKb7NLh2VGWu
wJXZE96wMBfEBgevLXoVrw2pDQAIkfJWo6aZ6cF1+QnXtsqcE160J7xeYZUQ
Gxy8tuhVvDakNgAgRIpajTnNjG4uJ1xrVe6c8KI94VULq4HY4OC1Ra/itSG1
AQAhkmk19jSzM9NnHU+4JtXy9LGro49X2hPuWFgTxAYHry16Fa8NqQ0ACBHV
atQ5XJnVzPQ0s77QOFqdYa3XCW++OorY/izWFr2K14bUBgCEiDrJut5qZpkT
rkn14f5nq+4JLymMxcOrkmyLXsVrQ2oDAEJELWimzuFyX81MTTPTe8Iv73hY
rRzOW5hAlWRb9CpeG1IbABAi1Grsc7iKyEwzy1wxM5H+LNYWvYrXhtQGAISI
Y6tZmTvVd5pZIv1ZrC16Fa8NqQ0ACJHyVqNWM9MnXJdPM0ukP4u1Ra/itSG1
Qeiw/Mp11mnuCeV9I6Bou2VWM/tw/7O3Fs7XU/EWNliVZFv0Kl4bUjs4Ogar
nje4KbffziyjxODyNK4iB2UI633jILP1MoPrD4bvp/hufzUzXpvYwnht0at4
bUjt4GhtC9tRWxS+JSW1UC1SO03U1sucw0WpXeMcrkT6s1hb9CpeG1I7OOwk
Ne+bwWrfyTynZBRcNJBvktq59+0a7ApzC8v9mI7fNPpuhEpb0v5cLpWUf/Ai
CdB01k+yrje4tlW8hQlUSbZFr+K1sfcENBnf5KaY452+D2YeKXrc5cGSassl
Lllp2/p+xtyScusp+dQuW7JJJSVVpUDRt5Sib0G1B9e2v8nL/dnEFsZri17F
a0NqB0dmiNcktTOq3OfY717ySO5P7Wobpnbmvv5/++P0rZ8ltetVUqQtqip6
Kv3WqQdrD65d/BJsYgvjtUWv4rUhtYOjJGIy+ds3tUveom+glzxS9flFAVc1
K10KaCe1XSop0vb1xErRtrX/qR8EAEjDe6cIkE5BQ7M3V+6PSp7f971K3r1S
teX1lNzJvW87S2roW0+uykclRVoXT5SU/2fq+6vI9daibGIL47VFr+K1sXeG
1FpN+5R0/sy3HcescX+vknevVC1Lapc/ragGly8wNVK7/Ed9X1L7a1VM9N2A
VX/36r21KJvYwnht0at4bUjt4Kg0WrT3WmTu208o8ti2ku8JuW/Rt4zcNy1/
cu6HzTxSVFJuMSXPKX9V+YYtqqRSVXHj8tk9bR/eTZ1CYby26FW8NvbOkFqr
EUJJgkRGxB8tcUq+++U+LrYNplAYry16Fa8NqR0NuUPa+Ij70yWO/dvbMXby
2E9mfF8uFa9NbGG8tuhVvDakNgBALCX9RGwbTKEwXlv0Kl4bUhsAIJPyZiK2
DaZQGK8tehWvDamdFJJ/c2xzy79LMf3qet2fLASxv8wpFMZri17Fa0NqJ0Xu
f516/8n85YKn1O5bcEy/urX/6wS0EcS2wRQK47VFr+K1IbWTQvJvjm1GatcG
qT0oFa9NbGG8tuhVvDakdnCYE8Vz59xmHsw8335VJiXNn9q2ogcznqIKix7M
vGmJsOgl5UX2Nbh/fPsd+25zxw1oayu9Ubk812bfKSpMIIx18n7kFArjtUWv
4rWx/4WG8icfLiVd135abl6UeHLvO75pubmoAPtd+j6h6MFcXArOra3kLYre
0XELOGr71tN305XYHEuSjNg2mEJhvLboVbw2pHZwNExtR0/HoujlLsKSgCh5
l6In9K2kvKqiF/b9+H3f0XELOGpd/nMU2co/bO52Lv9oAmEslfdTp1AYry16
Fa+N/Y80oL/6QCmPwlWjmef+yNFjZ0rRy12EJQHR15P7G+USo5ksK/84dm3l
v8kl29z+CLl3+mor/ecoeW3RT5HaPlS8NrGF8dqiV/HakNrB4RKFq1Zn7vtM
+6cBpbb9iEtcNknt8reondpFz0Rq24htgykUxmuLXsVrQ2oHR2upXfLy8hCp
F9+OhTk+0jy1c1/i+BaVPm8NbUnNqw3+6/StTRRi22AKhfHaolfx2pDawdG3
mXfuYv+zRmrn2uw3LRfmFmMXnDHbryoqNfe3zn6vord2//jlHpct4K4tqt/+
z2FuupL/On3LLvp0MmEskvfzplAYry16Fa+N/c8ziL93MCjw6+EOtlU5Yttg
CoXx2qJX8dqQ2qBN8OvhDrZVOWLbYAqF8dqiV/HakNoAgBAR2wZTKIzXFr2K
14bUBgCEiNg2mEJhvLboVbw2pHa49N3UEqYVDbwAECti22AKhfHaolfx2pDa
4WJOJDYfzJ0YzPJGTV6bWy0AtRHyG+7VJrYwXlv0Kl4bUjtc7E2diW9/b9TO
awEoQchvuFeb2MJ4bdGreG1I7RDJjKY7xrm6GewnZx7J/al+PPcJLpKiIlfx
GwKYENsGUyiM1xa9iteG1A6OkhzMDV+XF2YetL8PlJRRtTb8hgAWcr+mAgAG
y6Abgzg6FVM4d3t2PhvQRT9drZva7kUCAAAAEVMjtUskfePYPbXN6EdqAwAA
AKtSUzsjRGoDAAAAq6VHn1f7xaX9I8ef1k7tvkUCAAAAcWPviO6b2uVHrvse
1179bP7aTzM97kUivgEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AIAm/P9DO3Yd
    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.578816620924367*^9, 3.5814059936364603`*^9, 
  3.5814062783937473`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5655388436738825`*^9, 3.56553885656762*^9}, 
   3.568362755155801*^9, 3.5685418599119596`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"U2", "=", 
   RowBox[{
    FractionBox["d", "2"], 
    RowBox[{"(", 
     RowBox[{"-", "wmr1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.568362767690054*^9, {3.568364038451127*^9, 3.5683640395862403`*^9}, {
   3.5683746684564342`*^9, 3.5683746753894343`*^9}, 3.5685418393459034`*^9},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2e", "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ap", " ", 
         RowBox[{"signedSquareL", "[", 
          RowBox[{
           RowBox[{
            FractionBox["2", 
             RowBox[{"kl", " ", "rho"}]], 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["U2", "2"], "-", 
                 RowBox[{
                  FractionBox[
                   RowBox[{"rho", " ", "U2"}], 
                   RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2e"}]}], ")"}], 
               "rho"}], "+", 
              RowBox[{"(", 
               RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0L"}], 
          "]"}]}], "+", 
        RowBox[{"Kcp", " ", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2e", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"tormr1", "+", 
         RowBox[{"wmr1", " ", "Bp"}], "+", 
         RowBox[{
          RowBox[{"der", "[", "wmr1", "]"}], " ", "Jp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"-", "wmr1"}], "]"}], "+", "0.001"}], ")"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5683771393111477`*^9, 3.5683771539216084`*^9}, 
   3.568433566094881*^9, {3.5684456398381214`*^9, 3.568445647907928*^9}, {
   3.568445689522089*^9, 3.5684456990550423`*^9}, 3.568446161989931*^9, {
   3.5685415439643683`*^9, 3.568541566641636*^9}, {3.568907061911271*^9, 
   3.568907069251691*^9}, {3.5689073802304783`*^9, 3.5689073955023518`*^9}, {
   3.568909468567924*^9, 3.5689094707070465`*^9}, {3.56890951780774*^9, 
   3.56890954543132*^9}, {3.5719070811944456`*^9, 3.5719070896652603`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", "==", 
      RowBox[{"(", 
       RowBox[{"cmr1", "+", 
        RowBox[{"Zcmr1", " ", "wmr1"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
   3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
   3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, 
   3.568364055973879*^9, {3.568541764766446*^9, 3.5685417795279226`*^9}, {
   3.5719071825454235`*^9, 3.5719071995338535`*^9}, {3.571922957959166*^9, 
   3.571922974339195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2e", ",", "wmr1", ",", "p1", ",", "p2", ",", "tormr1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565538678997463*^9, {
   3.5655387091661887`*^9, 3.5655387234580064`*^9}, 3.5683639106194735`*^9, 
   3.568364051212403*^9, 3.5684332193591576`*^9, 3.5685418784178104`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, {
  3.578629501345287*^9, 3.578629513639287*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{"q2e", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2e", "]"}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "\[Equal]", 
      RowBox[{
       RowBox[{"-", "tormr1"}], " ", "wmr1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568362810348319*^9, 3.5683628152808123`*^9}, 
   3.568363889078474*^9, 3.5683640526385455`*^9, {3.568541977846752*^9, 
   3.568541978904858*^9}, {3.5689199102551546`*^9, 3.568919912222267*^9}, {
   3.5719071101792965`*^9, 3.571907140035349*^9}, 3.578630561824879*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062786887646`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\
\"HydraulicCentrifugalPumpJ\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydraul\\\" \[Ellipsis] \\\"alPumpJ\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.75\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\
\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278710766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787117653`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.25`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278713766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278714766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787167664`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278717766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278719766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \
\[NoBreak]\\!\\(\\\"y\\\" \[Rule] 0.75`\\)\[NoBreak] is not a valid value for \
an attribute in an XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278720766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: attrhs\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787217665`*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPumpJ.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725398642225`*^9, 3.575772638169241*^9, 3.57586026421976*^9, 
   3.576214802649736*^9, {3.576214842108736*^9, 3.5762148673877363`*^9}, 
   3.576215461697316*^9, {3.5762155683809834`*^9, 3.5762155770838537`*^9}, 
   3.5762159232444663`*^9, 3.576216003598501*^9, 3.5762160594710875`*^9, 
   3.576216159290739*^9, 3.5762168763737793`*^9, 3.576216961939335*^9, 
   3.5762170174758883`*^9, 3.576217137820921*^9, {3.5762171991880574`*^9, 
   3.576217227338872*^9}, 3.5762412311657743`*^9, 3.576241308127318*^9, {
   3.5762413794312887`*^9, 3.5762414014897275`*^9}, 3.57624147693146*^9, 
   3.576241555025197*^9, 3.57745073391644*^9, 3.5774511299260373`*^9, 
   3.5774512088699307`*^9, 3.577451528694811*^9, 3.5774515853361464`*^9, 
   3.5774517915663633`*^9, 3.577615533912233*^9, 3.577616633644195*^9, 
   3.5776166985686865`*^9, 3.577616762559085*^9, 3.578509713371834*^9, 
   3.578625045763739*^9, 3.578629622745287*^9, 3.578629716106287*^9, 
   3.5786297659523*^9, 3.578630172904991*^9, 3.578630255376238*^9, 
   3.5786306130610027`*^9, 3.5786320982610664`*^9, 3.5786390297430544`*^9, 
   3.5786390725950546`*^9, 3.5788166212513666`*^9, 3.5814059941854916`*^9, 
   3.5814062787237663`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.57577247587291*^9, 3.575772478758915*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TurboPump", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, {
   3.578629603375287*^9, 3.5786296058222866`*^9}, {3.5907416932235947`*^9, 
   3.5907416945496035`*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<TurboPump\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Turbo pump\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5757721087371874`*^9, {
   3.5786249984334164`*^9, 3.5786250008302174`*^9}, {3.5907417133321238`*^9, 
   3.5907417198997655`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}]}],
     "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.565467846321066*^9, 
   3.565467847680144*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.5654679343190994`*^9, 
   3.5654680194339676`*^9}, {3.5655883583080864`*^9, 
   3.5655884053889694`*^9}, {3.565594406736371*^9, 3.565594471273684*^9}, {
   3.5656242519924636`*^9, 3.5656243003681483`*^9}, {3.5656243395086174`*^9, 
   3.5656243687430687`*^9}, {3.5656254173679185`*^9, 3.565625464230401*^9}, 
   3.5656255083472786`*^9, {3.5689206642122784`*^9, 3.5689207150771875`*^9}, 
   3.5786299655772605`*^9, 3.578630595306227*^9, {3.5786320673860664`*^9, 
   3.5786320726080666`*^9}, {3.5786390185280547`*^9, 3.5786390205730543`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "omegap", ",", "157.", ",", "double", ",", "\"\<rad/s\>\"", ",", 
      "\"\<Speed\>\""}], "}"}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565538592595522*^9, 3.565538632146784*^9}, {
  3.565539098320447*^9, 3.565539104623808*^9}, {3.565588454856656*^9, 
  3.5655884559954576`*^9}, {3.5655895105892143`*^9, 3.5655895136780195`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "torp", ",", "0.", ",", "double", ",", "\"\<Nm\>\"", ",", 
       "\"\<torque\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, {
   3.5689134004328136`*^9, 3.5689134318216095`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.5788166203683667`*^9, 3.5814059929504213`*^9, 
  3.581406278034727*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"U2", "=", 
  RowBox[{
   FractionBox["d", "2"], "omegap"}]}]], "Input",
 CellChangeTimes->{{3.5656237186587267`*^9, 3.5656237493127804`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"d", " ", "omegap"}], "2"]], "Output",
 CellChangeTimes->{
  3.5656255168336935`*^9, {3.56562566066577*^9, 3.565625663114974*^9}, 
   3.5656265131787124`*^9, 3.5683542968343267`*^9, 3.568354987392949*^9, 
   3.568367619766656*^9, 3.568367749009656*^9, 3.568367832409656*^9, 
   3.568376021241352*^9, 3.5689127897168827`*^9, 3.5689130284745393`*^9, 
   3.5689130666857243`*^9, 3.568913230624101*^9, 3.56891346418546*^9, {
   3.5689199310273423`*^9, 3.5689199540526595`*^9}, 3.5689200072006993`*^9, 
   3.5719772218717155`*^9, 3.5756490991791773`*^9, 3.5756518550895634`*^9, 
   3.5757161648827553`*^9, 3.5757162193115044`*^9, 3.5757266101113048`*^9, 
   3.5757721857385225`*^9, 3.575772405844387*^9, 3.5757725393338213`*^9, 
   3.57577263749844*^9, 3.5758602634245477`*^9, 3.576214801852736*^9, {
   3.576214841440736*^9, 3.5762148666787357`*^9}, 3.5762154610372505`*^9, {
   3.5762155675849037`*^9, 3.5762155763227777`*^9}, 3.5762159221843605`*^9, 
   3.5762160025313945`*^9, 3.576216058472988*^9, 3.576216158323739*^9, 
   3.5762168753566775`*^9, 3.576216960951236*^9, 3.5762170164117813`*^9, 
   3.576217136686808*^9, {3.5762171981989584`*^9, 3.576217226394778*^9}, 
   3.576241230526173*^9, 3.5762413074253163`*^9, {3.5762413788072877`*^9, 
   3.576241400834526*^9}, 3.576241476307459*^9, 3.576241554401196*^9, 
   3.577450732852334*^9, 3.577451128914936*^9, 3.5774512075568*^9, 
   3.5774515276109195`*^9, 3.577451584628217*^9, 3.577451790528363*^9, 
   3.577615533222164*^9, 3.577616632933124*^9, 3.5776166978656163`*^9, 
   3.57761676190702*^9, 3.578509712553787*^9, 3.578625045109067*^9, 
   3.578629622118287*^9, 3.578629715422287*^9, 3.578629765311236*^9, 
   3.578630172254926*^9, 3.57863025470117*^9, 3.578630612414938*^9, 
   3.5786390292920547`*^9, 3.5786390712070546`*^9, 3.578816620387367*^9, 
   3.581405992973422*^9, 3.581406278048728*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5656243127857704`*^9, 3.56562433542141*^9}, {
   3.5656257265113306`*^9, 3.5656257294129353`*^9}, 3.5656264933978777`*^9, {
   3.571907324505673*^9, 3.5719073253792744`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2", "]"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Ap", " ", 
          RowBox[{"signedSquareL", "[", 
           RowBox[{
            RowBox[{
             FractionBox["2", 
              RowBox[{"kl", " ", "rho"}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["U2", "2"], "-", 
                  RowBox[{
                   FractionBox[
                    RowBox[{"rho", " ", "U2"}], 
                    RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2"}]}], ")"}], 
                "rho"}], "+", 
               RowBox[{"(", 
                RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0"}], 
           "]"}]}], "+", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"torp", "-", 
         RowBox[{"omegap", " ", "Bp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{"omegap", "+", "0.001"}], ")"}]}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679350421875*^9, 3.4786793594375*^9}, {
   3.47867939090625*^9, 3.478679416*^9}, {3.52260570715625*^9, 
   3.5226057146875*^9}, {3.5654339123617706`*^9, 3.565433912798571*^9}, {
   3.565433983730294*^9, 3.565434002657926*^9}, {3.565463052342574*^9, 
   3.5654631744643865`*^9}, {3.5654643771134405`*^9, 
   3.5654643778466415`*^9}, {3.565464479316415*^9, 3.5654644796440153`*^9}, {
   3.5654672566203375`*^9, 3.565467295121539*^9}, {3.5654674244699373`*^9, 
   3.56546743588459*^9}, {3.565467903263323*^9, 3.565467947553856*^9}, {
   3.56553863644903*^9, 3.5655386612494483`*^9}, {3.5655390904819984`*^9, 
   3.5655391202257004`*^9}, 3.5655884877415137`*^9, {3.56558852536878*^9, 
   3.5655885308599896`*^9}, {3.565588630590965*^9, 3.565588651198601*^9}, {
   3.5655887298732166`*^9, 3.5655887312304187`*^9}, {3.5655888931056056`*^9, 
   3.5655888949620085`*^9}, 3.565589691923932*^9, {3.565589894668601*^9, 
   3.565589932217867*^9}, 3.5655899678483295`*^9, {3.5655911420333395`*^9, 
   3.5655911537021604`*^9}, {3.565593830939359*^9, 3.5655938868654575`*^9}, 
   3.5655939446947594`*^9, {3.5655943125278053`*^9, 3.565594362369893*^9}, 
   3.5655948151601577`*^9, {3.565624122933437*^9, 3.5656242252384167`*^9}, {
   3.5656253830946584`*^9, 3.5656253831570587`*^9}, 3.5656265074067025`*^9, {
   3.568354154340954*^9, 3.5683541742078066`*^9}, {3.5683542490977817`*^9, 
   3.5683542635846786`*^9}, {3.568909576416093*^9, 3.568909617543445*^9}, 
   3.5689131987532787`*^9, {3.568919919721696*^9, 3.568919926709096*^9}, {
   3.5719072302971077`*^9, 3.571907237707121*^9}, {3.575772586860751*^9, 
   3.5757725889979553`*^9}, 3.578630125898291*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
  3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
  3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, {
  3.565467921865387*^9, 3.565467924215521*^9}, {3.565588437649826*^9, 
  3.5655884442798376`*^9}, {3.5719072410611267`*^9, 3.571907249906342*^9}, {
  3.571921228285489*^9, 3.571921230032692*^9}, {3.575772612756797*^9, 
  3.5757726159548025`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2", ",", "torp", ",", " ", "p1", ",", "p2"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565467860174858*^9, 
   3.565467906122486*^9, {3.5655386672457914`*^9, 3.565538668064838*^9}, 
   3.565587947668005*^9, 3.568913224099728*^9, 3.5689200025634336`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, 
   3.578629542127287*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "==", 
      RowBox[{"torp", " ", "omegap"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5654678805390234`*^9, 3.5654679004791636`*^9}, {
   3.5655391774229717`*^9, 3.565539255534439*^9}, 3.5655884346702204`*^9, {
   3.568913003432107*^9, 3.5689130200710583`*^9}, 3.568919923510913*^9, {
   3.571907252792347*^9, 3.5719072718243804`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \\\"HydraulicCentrifugalPump\\\"\\)\\), \
\\(\\(\\\"displayname\\\" \[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"p\\\"\\)\\)\
\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\" \
\[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"H\\\" \[Ellipsis] \\\"mp\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicCentrifugalPump.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \
0.3333333333333333`\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"P1\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 5 \[RightSkeleton]\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0.8\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \
\[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278350745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278351745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.3333333333333333`\\)\[NoBreak] in \[NoBreak]\\!\
\\(\\\"y\\\" \[Rule] 0.3333333333333333`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278352745*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783537455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.6666666666666666`\\)\[NoBreak] in \[NoBreak]\\!\
\\(\\\"y\\\" \[Rule] 0.6666666666666666`\\)\[NoBreak] is not a valid value \
for an attribute in an XMLElement. The value of the attribute must be a \
string. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783557453`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783567457`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783587456`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\\\" \
\[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.5814062783597455`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: \
attrhs\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5757725394118214`*^9, 3.575772637810441*^9, 3.575860263736396*^9, 
   3.576214802158736*^9, {3.576214841724736*^9, 3.5762148669797363`*^9}, 
   3.576215461324279*^9, {3.576215567888934*^9, 3.576215576607806*^9}, 
   3.576215922661408*^9, 3.576216002913432*^9, 3.576216058841025*^9, 
   3.576216158672739*^9, 3.576216875733715*^9, 3.576216961307272*^9, 
   3.5762170168028207`*^9, 3.5762171370538445`*^9, {3.5762171985779963`*^9, 
   3.5762172267438126`*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379072488*^9, 3.576241401115327*^9}, 3.5762414765726595`*^9, 
   3.576241554666396*^9, 3.57745073321437*^9, 3.577451129231968*^9, 
   3.5774512079268365`*^9, 3.5774515279928813`*^9, 3.5774515849361863`*^9, 
   3.5774517909303627`*^9, 3.5776155335361953`*^9, 3.577616633223153*^9, 
   3.5776166981746473`*^9, 3.5776167621910486`*^9, 3.5785097129838114`*^9, 
   3.5786250454019203`*^9, 3.578629622398287*^9, 3.578629715719287*^9, 
   3.578629765594264*^9, 3.5786301725369544`*^9, 3.578630254990199*^9, 
   3.5786306127019663`*^9, 3.5786390293840547`*^9, 3.578639071808055*^9, 
   3.578816620688367*^9, 3.581405993343444*^9, 3.581406278361746*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPump.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725394898214`*^9, 3.5757726378260407`*^9, 3.575860263751988*^9, 
   3.5762148021667356`*^9, {3.576214841735736*^9, 3.576214866989736*^9}, 
   3.57621546133328*^9, {3.576215567895935*^9, 3.576215576615807*^9}, 
   3.576215922708413*^9, 3.5762160029734383`*^9, 3.5762160588820286`*^9, 
   3.5762161587037387`*^9, 3.5762168757897205`*^9, 3.576216961376279*^9, 
   3.5762170168718276`*^9, 3.5762171371218514`*^9, {3.576217198625001*^9, 
   3.576217226763815*^9}, 3.5762412308069735`*^9, 3.576241307784117*^9, {
   3.576241379088088*^9, 3.576241401115327*^9}, 3.576241476588259*^9, 
   3.576241554666396*^9, 3.5774507332263713`*^9, 3.5774511292409687`*^9, 
   3.5774512079418383`*^9, 3.5774515280018806`*^9, 3.5774515849471855`*^9, 
   3.577451790939363*^9, 3.577615533542196*^9, 3.5776166332291536`*^9, 
   3.577616698182648*^9, 3.577616762197049*^9, 3.578509712999813*^9, 
   3.5786250454109154`*^9, 3.5786296224092865`*^9, 3.5786297157422867`*^9, 
   3.578629765604265*^9, 3.578630172551956*^9, 3.5786302550152016`*^9, 
   3.5786306127149677`*^9, 3.5786390294890547`*^9, 3.5786390719750547`*^9, 
   3.578816620696367*^9, 3.5814059933514442`*^9, 3.5814062783627453`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.5757724540328712`*^9, 3.5757724564820757`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TurboPumpJ", "Section",
 CellChangeTimes->{{3.4785828348125*^9, 3.47858284740625*^9}, 
   3.47867904165625*^9, {3.565433392508478*^9, 3.565433396424085*^9}, 
   3.5655879261087675`*^9, {3.5786296099262867`*^9, 3.5786296135572867`*^9}, {
   3.590741698246827*^9, 3.590741700930044*^9}}],

Cell[CellGroupData[{

Cell["System model", "Subsection",
 CellChangeTimes->{{3.504161099890625*^9, 3.504161102453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"displayName", "=", "\"\<Turbo\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"brief", "=", "\"\<Turbo pump\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentQ\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ResetComponentVariables", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.503905077842648*^9, 3.503905079842648*^9}, {
   3.5039103076641607`*^9, 3.5039103985397425`*^9}, {3.5039164662834997`*^9, 
   3.5039164750178747`*^9}, {3.5039165143772497`*^9, 
   3.5039165189397497`*^9}, {3.5041051675625*^9, 3.504105226359375*^9}, {
   3.507570546125*^9, 3.507570569546875*^9}, {3.507570601046875*^9, 
   3.50757067696875*^9}, 3.507796401609375*^9, {3.507887022343302*^9, 
   3.507887057967846*^9}, {3.5078871702320337`*^9, 3.507887175028847*^9}, {
   3.5158208831437864`*^9, 3.51582092036206*^9}, {3.5158209798300486`*^9, 
   3.51582099300181*^9}, {3.522605661421875*^9, 3.522605661625*^9}, {
   3.565433404364499*^9, 3.5654334224825306`*^9}, 3.5654678323082647`*^9, 
   3.5757721098447895`*^9, {3.5786250144154215`*^9, 3.5786250166692934`*^9}, {
   3.5907417288074226`*^9, 3.5907417333470516`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"1", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Upstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"HydraulicQnode", "[", 
      RowBox[{"2", ",", 
       RowBox[{"1.", "*", 
        RowBox[{"10", "^", "5"}]}], ",", "\"\<Downstream port\>\""}], "]"}], 
     ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MechanicRotQnode", "[", 
      RowBox[{"mr1", ",", "0.", ",", "0.", ",", "\"\<Shaft port\>\""}], 
      "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.4779981058619356`*^9, 3.4779981542683554`*^9}, 
   3.4780017782035847`*^9, {3.478002203430644*^9, 3.478002217153696*^9}, {
   3.478002277203772*^9, 3.4780023021490927`*^9}, {3.4780026209521627`*^9, 
   3.478002664340765*^9}, {3.478021796078125*^9, 3.478021842203125*^9}, {
   3.478021885296875*^9, 3.47802199571875*^9}, {3.47802539628125*^9, 
   3.478025479125*^9}, {3.478026054375*^9, 3.47802606034375*^9}, {
   3.47818056640625*^9, 3.47818064359375*^9}, {3.478184752578125*^9, 
   3.478184788859375*^9}, {3.4781848254375*^9, 3.47818487890625*^9}, {
   3.47818496809375*^9, 3.478184980140625*^9}, {3.478189354859375*^9, 
   3.478189379078125*^9}, {3.478679541453125*^9, 3.478679542*^9}, 
   3.47868324640625*^9, 3.478683514703125*^9, {3.4807602098503075`*^9, 
   3.480760210147073*^9}, {3.480760285603793*^9, 3.4807602892909627`*^9}, 
   3.480760331584048*^9, {3.498888542331812*^9, 3.498888576862841*^9}, {
   3.499083790077364*^9, 3.4990838046238666`*^9}, {3.503902471203904*^9, 
   3.503902488249798*^9}, {3.5039965507621307`*^9, 3.503996553952038*^9}, {
   3.522605447421875*^9, 3.522605449140625*^9}, {3.5654337673739214`*^9, 
   3.565433797911574*^9}, {3.565433852806068*^9, 3.5654338642628875`*^9}, {
   3.5654642331269474`*^9, 3.565464234125349*^9}, {3.5683640683011117`*^9, 
   3.5683640774230237`*^9}, 3.5683646347467504`*^9, {3.5683646859328685`*^9, 
   3.5683646978120565`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "kl", ",", "1.", ",", "double", ",", "\"\<\>\"", ",", 
       "\"\<Flow loss koeff.\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "b", ",", "0.02", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<outlet axial width\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "d", ",", "0.260", ",", "double", ",", "\"\<m\>\"", ",", 
       "\"\<Diameter\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "beta2", ",", "1.59", ",", "double", ",", "\"\<rad\>\"", ",", 
       "\"\<Outlet flow angle\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Ap", ",", "0.0004", ",", "double", ",", "\"\<m2\>\"", ",", 
       "\"\<outlet flow area\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "rho", ",", "860", ",", "double", ",", "\"\<kg/m2\>\"", ",", 
       "\"\<Fluid density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"Kcp", ",", 
       RowBox[{"1.0", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "9"}]}]}], ",", "double", ",", "\"\<m3/s/Pa\>\"", ",", 
       "\"\<Leakage coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Bp", ",", "1.", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Jp", ",", ".1", ",", "double", ",", "\"\<N/m/s\>\"", ",", 
       "\"\<Visc friction coeff\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "pcav", ",", "100.0", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<cavitaion pressure\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5039965585179834`*^9, 3.503996561692254*^9}, {
   3.522605551890625*^9, 3.522605566234375*^9}, {3.5654334434341664`*^9, 
   3.5654336746853623`*^9}, {3.565538886801349*^9, 3.5655388883424373`*^9}, {
   3.568363000554338*^9, 3.5683630740736895`*^9}, {3.5683631058378654`*^9, 
   3.568363112533535*^9}, 3.5683636783464737`*^9, 3.568363849491474*^9, {
   3.5684457322293596`*^9, 3.568445776708807*^9}, {3.5786296885062866`*^9, 
   3.5786297018532867`*^9}, 3.5786299757772803`*^9, 3.578630602628959*^9, {
   3.5786320442360663`*^9, 3.5786320783460665`*^9}, {3.5786389281740546`*^9, 
   3.5786389670680547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "q2e", ",", "0.", ",", "double", ",", "\"\<m3/s\>\"", ",", 
       "\"\<uncorrected flow\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pin", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<input power\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "Pout", ",", "0.", ",", "double", ",", "\"\<W\>\"", ",", 
       "\"\<output power\>\""}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.565539113334306*^9, 3.565539170607582*^9}, 
   3.5655884315190153`*^9, {3.5655908350732856`*^9, 3.5655908608133307`*^9}, 
   3.568364933923665*^9, {3.568913450874699*^9, 3.5689134514977345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve9zHMeZ59mx92f41Ubci42N3bm4i/BNOHZ9LzyzdxE3u6eN3dPO7Po2
4rzWzujW+zN08ko3c6E1JdqkR7YoQ9JIJGFZhknJlETYFEVSkEkMRVIkZFrg
gCYIkgBtgaCWJMSmiMGBbDIUuAdIMZWqrKrOqnqy+snM7yfajmaj+9NPl4Dn
21mVlfU3/9V/+Cf/6r/pdDr//d/odH5A/1u7vwoAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAADAhMawcAAABCgTG1eb8ApFAYry16Fa+N/fsqvgADAFpA
bBtMoTBeW/QqXhtSGwAQImLbYAqF8dqiV/HakNoAgEHRWcfxaZlnim2DKRTG
a4texWuLNbX7doPcPgAA4KU8aiv9ASK1Y7VFr+K1hZja+i1KYtexDKQ2AF5B
agtRSbZFr+K1BZfaym/mde47mg9mhtWZH3msFYDkcU9t/aet/8mY+JWKlGMT
WxivLXoVry241M59F/tN7YzO9ISiFwIAGKmU2uXfyZHasdqiV/HaIkjt3P3k
Rd2g5GkAAHY6Fpmf2veLkhqpHastehWvLYLUzn3TvrvNS54GAOCi6h7yogf7
qhiLlGMTWxivLXoVry2d1DZ3vuX2BwAAO0htISrJtuhVvLZEUjvTEJDaALQD
UluISrItehWvLYXUzj3GXfRCAEBrVPoDRGrHaotexWsLNLX7vqljGUhtAAaI
PT+t5GlI7Vht0at4bRGndnkluX0AABAKYttgCoXx2qJX8dpiTW0AQNyIbYMp
FMZri17Fa4sjtQEAqSG2DaZQGK8tehWvDakNAAgRsW0whcJ4bdGreG1IbQBA
iIhtgykUxmuLXsVrQ2oDAEJEbBtMoTBeW/QqXhtSGwAQImLbYAqF8dqiV/Ha
kNoAgBAR2wZTKIzXFr2K14bUBgCEiNg2mEJhvLboVbw2pDYAIETEtsEUCuO1
Ra/itSG1AQAh0gEAyGPQjQEAIBTG/sDbalIojNcWvYrXxp6MiFoAQAuIbYMp
FMZri17Fa0NqAwBCRGwbTKEwXlv0Kl4bUhsAECI1Wk3uSzIH45ofmxPbn8Xa
olfx2pDaAIAQcWw1+mnqTuZVmQftO/4Ka1kl2Ra9iteG1AYAhEjfVlM0ai7J
6Myg21NhA1FJtkWv4rUhtQEAIVLeakpGzfbo2yW17VG5/WRTyNIJxQYHry16
Fa8NqQ0ACBGX1Lb3iucewjbvFPntJ6/mhXjRd4B6iA0OXlv0Kl4bUhsAECIl
rcbxaHVu5hb5y8fjuWNwpDZUPmxIbQBAiPQdaxdlt22o+uSSB5HaUPm2IbUB
ACHSt9XYh57tI85Fj5S8HVKb3Ra9iteG1AYAhEjfsTaXKvMcpDa7LXoVrw2p
DQAIEbFtMIXCeG3Rq3htSG0AQIiIbYMpFMZri17Fa0NqAwBCxLHVTE6df3jD
1qJb50vfWLsR6g7LrYrtvq8/UVZep/P63sP27dzsfObGuMUckRlDMlW8NqQ2
ACBEHFsNZVxJaD7w0FMqHEuis+qtku2L9z3C9QXA/lz6prJefQegrzE661du
3fa9/aFityG1AQAh4thqrndvcqkc4e3P9rCaYjcz9H7plQP5+xCcvwPQlwf9
WrIp7dGJKfWOudtQZgzJVPHakNoAgBAR2walFUYDahW+6juAGfc6qe/7+hOV
hvBq5K5jXcLHlKzitSG1AQAhIrYNhl6YHtTb4V4+cleZPrR9N73krUMTZLh0
+SpjYeGqeG1IbQBAiIhtg9EXdr17U43cKZrN/fMlg3T66cYtO3SaZ3a5y9xi
Mjc+r8qTEAAAbMS2wRQKK7HR+Jpy+ejEFGU0jbtLdr+rsbna2d5walzfqgar
4rUhtQEAISK2DaZQWA2bGqGrNKdx9+fG5sbOdr2PvWgWHG9V7ah4bUhtAECI
iG2DKRTGZVMz5dQpabmjcjW5/aVXDlDcuxwlT2HjI7UBACEitg2mUBivLaPS
Q/LcHH/goadoMP7WoYncEE9h4yO1AQAhIrYNplAYr61cpcbjFNMU1hTZ9jw3
GolPTp1Xh8VT2PhIbQBAiHQAAPIYdGMAAAiFsT/wtpoUCuO1NVHREFstFvfp
9LbOpxPbNm7ZcXRiSsiSrbw29mRE1AIAWkBsG0yhMF4br+qlVw6YR8Nrx3cK
m8uTEAAAbMS2wRQK47X5UF26fNWObxqVD6QqXhtSGwAQIjVaTdFLEunPYm1e
VZn4/uJ9j9A/Q7+mDJfKkxAAAGwcW41+mrqT+yr9I5ZJNWL7s1hbO6pzs/ND
23frS6M+8NBTRyem2qmK14bUBgCESN9WUxS+mQdzn4bUbtPWpmrl1m0Ka30G
WcnQO4XN5UkIAAA25a0mM8QuemHuADz3n6awxMB78ovY4OC1DUR16fJVc+i9
ccuOzCVHU9hcnoQAAGDjktp2KOfe75va5i50+7WZnzIGt9jg4LUNUKWG3vqo
N93Ru81T2FyehAAAYFPSauzxb+5L3FPbfrxEjtQOUUUDbX1BExqAqyuRcVXV
pDCvKk9CAACw6TvWLspu8wkmRVqktm+bHNX17s2h7bv1lcgou2tcd8xHYZ5U
noQAAGDTt9XYB6AzAZ2rQmq3b5OmoqRWY20V35TjzbNb2mf0KgQAAJu+Y+0a
qvJMR2p7solVUXbr6WoNs1vmZ/QkBAAAG7FtMIXCeG2SVSu3brNkt8zP6EkI
AAA2YttgCoXx2uSrKLvfOjRhZnfVhc1lfkZPQgAAsHFsNcenZh/b/mbJbfPI
GKl2HpjI3EbH36fXZm7TFy8vXO2at6XlW/UKY/yModtCUZnjbjXP3D27ZX5G
T0IAALBxbDWUs3YimzeV2uXJXumW+Q5ghv7kzAdm4vfu3GX5jI6ItYWlsrNb
SGFyhAAAYOO7DS7eWMoMq+lGsZsZfdOQ3Mzo4T1H630HGNo1riXjJ2eUnFRz
C9fUW1M9Pj6mBFuIKpXd9tosAy9MghAAAGzEtkHTRqNpM/Rp4K/jnqLZjPui
YXvu4/TdwN6Nr9+l/Y+ZrMo8v/vhDVsza6IOsLDBCgEAwEZsG2xu0/lLKh3K
+989XR7x9i2zl55sRcfiB/Ixo1FdunxVr6u2ccsO39ciQWoDAESR6SFFpz+L
bYNtFkb5mxnF6yE8jcf7jtzVmF0P2NXeeMdd8TK3/wBVk1Pn1XrmuRPVZH5G
T0IAQDqoBlKyhknmmYxvKtDGotJ76fXIXR2Lt2M9d6hOY3xzHh1vbfGp9EQ1
SnDKcTmFtSkEACRIJr5X88bgvO8l0NZOYXrAbu6KL890egLZ1Kw5NULvOx++
RmGBqmiUbR7sVjvMJRTWmhAAkCBIbV5VbZu5B94M9NyZcmqXu0rz8qlxzQsT
rjo3O//AQ0+p7Oa9ghhSGwAgjdwd40htaTZzhF4yTW7zyJje064G5v4Kk6b6
bEW1TqdkhnklkNoAAFEUJTVSOwibOoxO6azH5pTaReen06h8cuYDmVuMS7Vy
6/bGLTvWplSuzzCvuhSqv8L8CQEA6VAUzbmz0QAA0mipUwAAZGD/+Re1Asb+
wNtqUiiMxaZG5dMXL5MqM/mNhuE0Bq9xXrnkjU+j7JdeOZCZpTbwwnwIAQDA
RnJ/FqiSbFMqCvG5hWvjJ2eGdo2bO9LpEffVXOVv/EuXr6pZal+875G3Dk0M
vDAfQgAAsJHfn0WpJNtsFY2yaaxtTm9zjO9QNr5ew7zGoBupDQAIkVD6sxCV
ZFuJigbg0xcvj46/b55cRoFedHp4QBvfHHT3vfiIv8J8CAEAwCag/ixBJdnm
olLxbR7+piifW7g22Kqa2/Sg2316OVIbABAiwfXnwaok2yqplpZvHZ+a1ce+
6Q79U89bC3Hjm4NucxHUdgrzIQQAAJsarSbzEj073X685cJaUEm21VPRQHv/
u6f10Jvuq7XWB1tVbZueXk53ygfdSG0AQIg4thrzDDL7n6vWmWXNzzkNNzgG
ZWuiygy9STV98fLAq6pnOzc7rxZSo6E3DcDbKcyHEAAAbPq2GscTvTPnhuea
7cTPBH3JT5sgNmd5bSwqCmt1TRO125z+2eSCJlxVVbV9upDa+qC76LwwpDYA
IETKW409pi56ob2fPPcl+jklo/XOPfqW54jYnOW18ar0bvPNI2M0DK+d3QPc
XHr18twpakhtAECIuKS2HaD2znDH1M59ee4dpPbAVUvLt5pn92A3l56idt/X
n8jsLUdqAwBCpKTVlBzCLnq+Te57IbV92DypKLvHT86oa5fUyO6Bby7zOt3m
3HKkNgAgRPqOtfuOoDPPLDEjtb3avKooqSmvzexuv6omtqMTUzTcNtdPQ2oD
AEKkb6vJxLE9jraTvciM1PZqa0Fl7jNXc9XarIrXhtQGAIRI37E2l6oqYvuz
WFtrKjO7h/ccXbjabacqXhtSGwAQImLbYAqF8dpaVi3eWNLXJaE7RdcDTWFz
eRICAICNY6u5MDv3xt595TdSjb19cHLyVMntypWrmVu3mz9SE9ufxdoGoqKB
tl6bJXeiWgqby5MQAABsHFsNBe7Qs8+X30jV9zkut1dfG1XfAdSXgRMT7+nQ
py8POu6Xl5d5P2PotgGqJmc+0BPVMge7U9hcnoQAAGDD2wYpSe3RtL7Nz1+y
R9+H3zmSGbPX+A6ggp5uZLPH9WKDg9c2WBWNssdPztg7zFPYXJ6EAABgI7YN
apuZ+2emz+pQHnv7oEpqimzHnQDq+Xo3vh65S/iYcagWbyzpy4Cqs8NS2Fye
hAAAYCO2DdazdbtdFcSUyCqaT0y8p3a2j+x4uTzc6Qkq1tUL5+cv5R52l/Ax
hav0DvOhXeMpbC5PQgAAsBHbBv0Vpnfj61hXYb1t+MWiQKcf6UAnmwr0Xu8O
e23RqHp37o6Ov68uHzZ+cqbhJUgYC/Oh8iQEAAAbsW1wUIVRFpuZrvbDm+P0
zAF3dUhdTZkb7P52gaq5hWude5cPKz+t2xGBn9GfEAAAbMS2QYGFqUAnmwp0
c+5c7thcHUBXR8+LBuYCPya7Sg266dZ80C3zM3oSAgCAjdg2GFBhKs3VDHm1
vz33GLqKcjXLnZ6sjpjL/JjsKhp0qyPdw3uOLt5YklMYI0htAEALdAAA8hh0
YwAACIWxP/C2mlgLoyG2GpWrE9U7nz9Kria8VT04zlJYO6rpi5fVoHvngYnB
Xq2bPRkRtQCAFhDbBlMoTNkoxy/MzlGIZ/arU4KfmT5btOKr18K8qpaWb6lz
uim+q05Rk/kZPQkBAMBGbBtMoTDb1uvdoZF4JsHpPj1Cj7dWWAsqvZAa3Wlu
qwFSGwAQImLbYAqFlduWl5dprD329kHzRHL6Jw3Mc2eky9xiJSoaaFfdWy7z
M3oSAgCAjdg2mEJh7jYaaJ+YeM8cgNvxLXOLlasorCvtLZf5GT0JAQDARmwb
TKGwGrZut1sU3zK3mItK7y2fnPmguc0RpDYAIERqtBr7JeoR/ThL+xLbn4XY
MvG9bfhFUtWbfM5YVW2Vnlu+/93TJXvLxf5W+BACAICNY6vJJLL5Kv1I5k47
hbWsEmhT8a1SW01dm5w85X7xcU9V1VAt3lga2jWuVmIpCm6xvxU+hAAAYNO3
1RSlcNGIu8hpj8eLvgl07uH4EfoiLWc92Ug19vZBc89532nn7VTl/mQK650H
JtRh7twl1MT+VvgQAgCATXmrKQniGqltD8ZLxuli+7NYm1L1enfOTJ/Ve87r
Db0Hu/H3v3taBff0xcvNbUUgtQEAIeKS2kV7xTPPdBlr53pKfsSC2JzltWVU
V65cPfzOET30pvvuR70HvvEpr3Pnpw28sDaFAABgU9JqiiK1aJSN1B6sLVdF
Q28aa+uh9xt7912YnRt4VS7os7lp6N3cZoPUBgCESN+xdt9Edon1op8itVv7
mBTW+rqiFOJFS7W0XFU5izeWMhPLhRTWjhAAAGz6tprMxLCOQe4j9hMyb4TU
9mRzUZm7zbcNv0jDcOHLrOllWNTEcjmFtSAEAAAbl+PaLKqqiO3PYm3uquXl
5fLsFrXxzeAWVZhvIQAA2IhtgykUxmurqqLsVid629ktcOOrieVkyz0jrAZI
bQBAiDi2mrtL128vnC+/kUrdabOwllWSbfVUarpaJrsHXlUuFNxkKzqVuypI
bQBAiDi2mo+Pj/72sS+U30jV9znzm798ZeejmVt3fIT8+rY0OWZ+B6AvDO18
xtBtTVQqu83FUSVUlWsrWYOlqoqlJH9CAACwcWw1lJ5msObeSEX/TxFs57K+
UWr3TfaS7wBm6F8b3aTfenn6mB7y1/6MvFusfVtzlT7eTaqRHS/XXlqNt6qM
7fjULEtwI7UBACEiITUye9opgvV3ALpROuukXhi63zH06fbh8IPqVVq1Mneq
+T78iFNbQdndWV/SXJ3f3fCKJD42l1qDpWFwI7UBAKKwe4h9Nlbu0xjf0avN
PNS+NDmmcvmj/c+ppKbI7rvrXo/c1S56tWeebp/0VuR8zEGpKKz1+d00AC85
ubu1qkxb8+AOKLVzz6PElwQAYqLkdGn7mYxvyqXitalD5DTQVsmu9+GX766n
cb25H14HuuSPya66MDun1lXbNvzimemzg60qY2sY3KGktr2agX0HABAB5l90
yV+3zNTgtfVVmXvm6Vae6WRT+95pXK8PqZcPz5vUNnCVOVHt1ddGq+4w9/pb
0SS4I0htf28KAGgf+087sj3k7ajUfng9TldHycuPpKv97fSq3uKC19raVC0v
L+sd5icm3nPfYe77t6J2cIeS2qvWXy5SG4AoyfxpF+1Vk5kavDZPhakRujk8
L9nTXhTlMj9mkWp+/pLeYe44w7yF34p6wY3UBgCIwvHPvAMAkIf9B2vfsf+c
AQDhUvSn3cFYexA2vZtdnciWmd8+v/nL9PjS5JjLTnXewuqprly5+uproy6D
7tY2vlryVF1kpKGqHp4C1Azrzr1DXV7fEQDQPvaXdvs7vH6c8U25VLw2mYWp
I+Zko7w2Z74tDN3fHR+hiB9UYe4qPUtt7O2DRUe629z4lYI7oNTOHYAjsgFI
k+jDkVflz0ajbBprU4Kbp5N/tP8599H3QLZYt9vVR7pzp5e3vPFHx9+n4N55
YKK5qiqIUQBAC6QQjmILy7V90luhgTbltR6A0+j74+OjfddjH9QWo1H2iYn3
9PRyf1W52PRlPWnc3VBVFaQ2AKAFUghHsYX1tS1PHzNH33S/ZM/5YLcYDbTV
hcNefW10eXnZR1WONh3c4ydnGqoqgdQGALRACuEotjBHG42+lybH9BrsdIf+
aa/rMvAtRoNudU63OUVtIBt/8cbS5pExCu7pi5cbqtxBagMAWmDgrb4Fm9jC
qtpuL5z/aP9z+qh3d3zE3G0uZIvpKWpqb/mgNpcO7oWr3YYqR5DaAIAWENLq
vdrEFlbPRklNea2PelOOq+yWs8XMveUD3Fzlq68gtQEAISKn1fuziS2sie2T
3srHx0f1bnPKblFbrNe7o07oJlW3mz/arUHVwtTFuHPPBUNqAwBCRFSr92QT
WxiLbXn6mMpuUulx98CrUhx+50hn/VLdF2bnWIQ1ClMncdvngiG1AQAhkkI4
ii2M0UbZ3bm3zBqNwWtfg4y3KqUqOimsnq3qS4qmlCO1AQAhkkI4ii2M10Yq
ymt1vJv+n3JcSFXdblcd5qaht/vFwhgLo+C2p5QjtQEAIZJCOIotjNemVDTK
7o6P6CuH3l44L6Gq5eVldZib/r9JcNcubPHGUmZmGlIbABAiKYSj2MJ4babq
7tJ1fY0SCvGqO8x9VKXnp2WWYWmtsMmZDyi4h3aNq5lpSG0AQIikEI5iC+O1
2aqVuVNqotr85i9XuhyJv6oOv3NELcNSb2J5w8LUzLTR8febq2yQ2gCAFkgh
HMUWxmvLVZk7zK+NbnKcYe61qibB3bAwPTONxt1IbQBAiKQQjmIL47WVqHqL
Cx8OP+g+6PZd1Znps/WCu3lhes00pDYAIERSCEexhfHa+qo+Pj6qB93lR7pb
qOrC7FyN4GYpTK2ZRiqXy3C7g9QGALRACuEotjBem4vKHHSXTC9vpyoV3JXW
YOEqbP+7p0mlDnBzgdQGALRACuEotjBem6PKPNJNo+/BVqWD23HEzVUYjbJJ
pQ5wswhX/aR25/OYD7K/FwAgCFIIR7GF8doqqVbmTqn1WK7sfHSwF/2stKuc
t7DNI2NF1xapJ2TxlPvN7Pb6dgAAmaQQjmIL47VVVd1dul60t7zlqtyDm7cw
dQb38J6jXEIWT7ncfBcENwAJkkI4ii2M11ZPpfeWL02ODbAqx+BmL2x0/H2u
/eRIbQBACww8NVqwiS2M11ZbtTx9TO0t/2j/cwOsanLylArukiVP2Qvr3bnL
dWgbqQ0AaIEOAEAemT/SvvcBAInA+IfP20NSKIzX1lD1SW9FHeZeGLp/gFWp
ldNefW3Ak9slCHPNnbxBNwAgHcS2wRQK47WxqD7a/xwFN6l6iwvNbavVq9IX
GaH4bm4rIZTUzh16I7IBSBaxbTCFwnhtXKqPj4+SquEVujU1qtLBfWb6bHNb
EaGkNgAAmIhtgykUxmvjVamJ5c2Du15V3W532/CLFNzz85ea23JBagMAQkRs
G0yhMF4br0pPLG8Y3LWrunLlqn0umMzN5UkIAAA2YttgCoXx2thVvcUFFdzm
qdxtVqUuDfbqa6P6XDCZm8uTEAAAbMS2wRQK47X5UOng1qdyt1zV2NsHKbjp
/1lsJkhtAECIiG2DKRTGa/Okqhfc17s3z83O041Ur+89rG4bt+x4eMPWkhs9
QT/5rUMT9PJfn53b8fKremaazM3lSQgAADZi22AKhfHa/KmKdpUvXO3OXbr6
7q/Ovjn+yx/vPvTE0E8f2fzSP/qTzX/vX3xL3f6Hf/pnaycpfekbzW9f+sf/
97/702dIptJ85dZt3s/YHKQ2AKAFZKYGr01sYbw2dtXS8i3K5emLl49Pze49
eGL7X7y47dnt3/7hm49tr3DrrF8Qk25P7nj7R28c23lgYvzkDAnnFq6RPPO+
eoRON0pnNeimMfi/fuj7n8a38R3gvq8/ocbm9OTan5ERpDYAoAVkpgavTWxh
vLaGqsUbS5SklKej4+/rqLVv3xx6/d9u3qFuDzw2/P9seeXpH+/74e7xnx06
+YsTZ+jl5m3/u6dJRUlNt80jY7lCelxFOX09sHNcM/b2we8//RzZjk5MvfTK
AYryL973iDkYp0cowS9dvtrO5mpBCAAANnJSw59NbGG8tkqqbrc795v5k1Mz
r795aPjlPZtfeNm8kerp4V1PvrDzsSe3ffPxZ/7Dn37vj77xnd//o0f+5f/1
xOP/8v94/mv/8NRbexz3UWd3tt+5S9FMN8p0SmrK66Fd45kcVyFOXyHoyZ+9
sHdnZMfLGRtlNIX40PbdNO7W8U1pTo9MTn3u2qN9C2sOUhsA0AIphKPYwrhs
n/RWbi+cJ9XHx0ft2389OHJxz/Mzrz41sXPoFzte+MnTm4aefb78RqryJ/x0
y+P739gzOXlqfv7S8vJyww+oonxy5gMamw/vOWomOP1TJTg9jd6oxHa9e1Ml
uB6Dq/gu2n+O1AYAhEgK4Si2sNo2yuilybGP9j93ZeejahEztXi4vt/3dvqJ
//lXT37t2IvfPfHma7vfOLj56R/TUFrfSPXy6/snTv7VlStX6UbRTAFNt8Pv
HHlj776XfvjDTIhvG36RHqcn0JMz19ms8QFViNNgnAbdZoKrXfdLy7f6Gmig
bcY3jcTfOjSR2TmA1AYAhEgK4Si2sEo2SmoaOJsxrW4fDj9ID9KAmlTv7Hh2
93ObaCCsb689++c/+cGTPx566sVnnv3ZU48fG/7zCy8+eulHD5mGc3/23+77
d19+5t//yc6de9SO5b5VUSWnH//Kr5759786+cuxtw+O7HjZDHGV4GpNs4ab
ixKcBto03FY70tUBdxqA08Dc3H9eBH2cjVt26KG3udscqQ0ACJEUwlFsYX1t
n/RWlqePXRvdlIlpGmXT48sf/ubC7ByNf9WS3Wq39ksjO1/92b4Xdu55Yutu
NUSlvNM7ma93b76+97A6CvzP/9f/c8M/v3/sT//Z7KZ/oOX0XmR2+Yzq6mBU
jPrn8vIyDclPTLynLvyhbupIdGYt8dos3lgim7kLnUbf0xcv930hfeqXXjlA
n9ocbiO1AQAhkkI4ii2syGaH9cLQ/ZSSK3On1n60vHxm+iyNZ80d1G/uHyPV
9tFx84gwDUjV/mRKq7cOTTzw0FN6yhaNQI9OTFGcqXfsLS7Q8JneRe9s746P
3F26Xl68uh63vfoKVUhfJ2gMToWp7xIU3xTo5oriTTYXfajjU7N6GtvmkTH6
WuKy59xWMYLUBgC0QArhKLYw23Z74bwaw+qwpvRUl7ru9e5QFJojWbp/7N0T
v5yaoSFnZu+xjjBzFzHdKLjtI7wm9F5UgD5ETvdLspu+QqigL1monFSH3zli
1kyfovJmMmzmP2n0vf/d0/qcsp0HJkrOHStXNQepDQBoQqaHFLWUFMJRbGHa
pgbXeqg7v/nLOqyJ+flLajluHXw01p6/fMUMLBp4mjO11D5hczrW63sP65G1
S1UUxLoeym6qMPeZetk0+r5R8gEzXzloDD45eap88nmJLVvDnbvTFy/roTfd
cdltHlZqd9YpfwQAEC6Zv2h1P/dvPIVwFFuYslFAq+BTh5VX5k6pH1GoUbTp
iV6f7mS+8TFFkj62S6lN2U1DTl3Y0YmphzdsdTn1yeUz6u8SVOHHx0dzn0wF
qyfkjsozm6vb7eoD8XSj+5Wyu3zj00BbTzvvm90BpbZt1o8guAGIBseMTiEc
ZRZGGaf3RavBtU69K1eumoNrijZ6hMbR4ydnzL3BZiqt3LpNKr3YyAMPPUXx
XXuxbvMz0iib8lp9r/hw+EG9B8CEnmDOTCtSaWjoTV9IamS3y8anDUXfZPpm
dyip3fcPGcENQBwgtX2oWGwqr/W8L4o8vf/5wuycObg+M32WAo6GkDqGzMG1
4nr3Jg2o9Rrd9QbXGezPSDXrk85yB93qp/Tdo69Kk8luup8519ulsCIy2W0f
7w4rtXP3nnl9XwBAyzgGdMTh6EPV0Gbm9cLQ/focq0x+vbF3nzpbKrPLN3OS
MqWzuTOcVO5Hrssp+owrc6fUoJsyOnOkm/6pfqT38JerNOZnp/9XV+SsWlgR
lN16A9Idc555QKlt7w9HagMQH5iN5kNV26b2M5t5rW25+4rN6VXDe45mdvOa
B6/v+/oT9M/aheVSotKDbsrozAw0+qd9gNuxKsruExPv6el2V67kXwSk3mek
Lz96JsDxqVn1zSeg1LbvI7UBiA/Hv+vIwtG3qp5taXJMjUPNOV1qjNlZP52Z
Upsyy85r+1QmCmh98JqC29wZ3uYW646PqG8g+uuHQn0zoVivVxVtAX0eOm0Q
e4d5k89IG1bNClA7zONIbUQ2AHHQMbD/WfRMAIAQcv9I7Qd9dxIAgDQY//B5
e0johX3SW9GLm9HYU+80PjN9Vh/DVWPt1fVduI7j66Htu4sOXre/xfTJ2uby
aPRJ1YNqtnm9qmiUrWfR06C7amHlqK1NqtxZarVBhgIAWiD0cGxZ5WjTu8QX
hu7Xs7Pm5y/p+eGH3zmidv+SzZwuVS+v3QtzxF2VG9z08fWJYE2qoi2mvuG8
+tqoOnzA9Rl7d+521peSU0e6WZxIbQBACwQdju2r+toyZ0ipidbdblcfrtXz
zZaWb6lLT+bm9bnZeb1s+MMbtrpMDh/UFssNbrURaAs0rIq+26hNR/FNIc77
GecWrqkj3fQfwuUKYn2FLIUBAEAJgYbjoFTlNr0aCWWWXjxcr8JN6aOmRlNA
jJ+cUQM9lR2m5NLlq3p+eGa+We3CqlJVpYNbn6+t95OzVDU5eUptQ/bPSN+d
1PTyzH+F2kIAAPBKiOE4QFWRzTwfSl9KQx/CHtnxsr5kxuTMB2p8R/9P903b
Z+ulrC9uVnWxlMFuMR3cela52k/OVRV94VFXENMHFxqiC6MvUSxHt5HaAIAW
CCscB67Ktemj2HrWWbfb1VfK0Et+mWcN01jbPGt45dbt1/ceVhf70OdfNy+s
NjWnkFlXEqEN0lm/EAlLVbRVO+snytG2bR7c7CGL1AYAtMDAW30LNn+FmRPF
VTaZq4W8sXefOoRNAa1X17RX6NJTzii1KbtZCmtIbRUNtM2FVuj/SVV0ObB6
hamvQ82DG6kNAAgRCa3et81TYRRGmWtqXLlyVc0S3zb8or1LfGjXuH0Ie+2c
23tTxGtf7CNTWHOaqDJXEvGx8dVUgYbBjdQGAISIkFbv1eajML08qZp/ZQ6x
9YHXxRtL+qwuvZCmggL6pVcOqEt+PLxhK8U3V2EsNFTpCeTNVRm0rXlwI7UB
ACEip9X7s7EXpieeqXOx9RCb/l8voE0xnbtLfHX9LGx1CFtd8oOxMCEqfSWR
3uKCv98KFdyTk6dKnu+oYgGpDQBoATmt3p+NUXV74Xxn/YrYHw4/eHfpujnE
1utm64XO1Cxx8+XmWV001lYXxeaqTZSKvs+oreT1t0Ifhmiuag5SGwDQAqJa
vScbl0rtFSeb2ituD7HNE7HthTte33tYn4Wtd4kL/Jhcqmujm2jEHf1vhT8h
AADYiG2DogrTc8V1DOl1P8bePmgPsTOzzs7NzutZ4m8dmuCtTayKNpqaQ95c
pZH2Gb0KAQDARmwblFNYb3Hhw+EH9VxxffKRWmNTPUcfxc4MsT+bdfalb2zc
ssOeJS7nY8pX8dqQ2gCAEBHbBoUUpk/vorH22iSr9aWwzXOxF28sqbVTSobY
9P+TU/nnLAv5mEGoeG1IbQBAiIhtgxIKU2uGqJOY9MQzsul5y5MzHxQNsWlk
bc46Y68tQRWvDakNAAgRsW1w4IV9tP85dSCbspuG1XqvuLJRRqtzse2J4uYQ
u+9a4gP/mAGpeG1IbQBAiIhtgwMs7JPeij4je21t7XtXeX5j7z4acXeMKzwO
7zm6eGNJv9A8il0+xK5dW8oqXlsoqd25R+YRH+8FAJCP2DY4qMIosvXcM7qv
T8fWe8U761fEVlcAMV9YaYhdr7bEVby2gFI7958IbgDSRGwbHEhh+qpV10Y3
3frrmzS4VnvF1enY6lrMZKOBdubajvpc7NyJ4iy1QcVrCz21/b0jAEAyYttg
+4Xp6eIf7X+u2+2qFVRefW1UzRXXe8XJZk48u969+cBDT6lzsYsmijevDSp2
W0CpXZTUSG0AEkRsG2y5MD1dfGly7MLsnDqQffidI+qnesWz41Ozpk2vKP7w
hq0U355qg8qHLZTUzsiR2gAkjtg22GZhOrLpjj6Qrda4NueKq73iyrZy6/bQ
9t1qr3joF8UORcVrCyu1tR+pDUDiiG2DrRXWHR9R08X/+rfTY28fVAeyu921
gF68saTniuu94mS7dPmqnnjW8CKbMre/TBWvLazUtsfaiGwA0kRsG2ynMH1S
9sfz59UZ2fpA9vTFy7lzxdeOMq4PsWmsXWniWdXaoPJqCyW17fO8cOYXACnT
AQDIY9CNAQAgFMb+wNtqfBemRtkfDj84O/W+Ofesd+euWld8aNe4uYKK3ive
Wd9D7rU2qFqwsScjohYA0AJi26C/wvTSZxTZF86eMeee6QPZOw9MmKd3HZ2Y
0nvFQ/mY8al4bUhtAECIiG2Dngozlz47cugX5gU3py9eVpG9/93T+vnmXHHK
bt7CeG3Rq3htSG0AQIiIbYM+CsuNbDVdXF8gm7Jbv1CvoGLOFZf/MWNV8dqQ
2gCAEBHbBtkL05F9edsfj/70p+Z0cRpcm2dkK87NzusVVMy54sI/ZsQqXhtS
GwAQImLbIG9huZHd693Rc88yV+9669BE0Qoqkj9m3CpeG1IbABAiYtsgb2Eq
si89/7WXR16iyB57+yBFNsW0jmw990wfyC5aV1zyx4xbxWtDagMAQkRsG+Sy
0SibVCqyf7Rtqz7DS08XN+ee6QPZ9P9Fp3fJ/JgpqHhtSG0AQIiIbYMsNrVj
fO0M689Htp4ubq57RjGdeyDbR2E+bNGreG1IbQBAiIhtg81t+lg2qVRkn5k+
u2osVWpOF9dnZL/0ygHfhXmyRa/itSG1AQAhIrYNNrddG91Ekf2bZ75KKr2O
irrmJg205xau6WdSUptnZPsuzJMtehWvDakNAAgRsW2woU0tWEqR/cIzQ6RS
ka3P8NLTxVdu3d64ZYeae+a4Tqmoj5mUiteG1AYAhIjYNtjEZkY2jbJJ1btz
V0W2ubo4Rbaee3a9e7OFwrzaolfx2pDaAIAQEdsGa9sykU2jbFLZZ3jpuWc0
1q50wU0hHzNBFa8NqQ0ACBGxbbCerTs+QpH922//jz/8wfdVZFNMkyoT2ZNT
51VkD23f3U5hLdiiV/HakNoAgBAR2wZr2Janj6nI/snTm9QC42rpM1KNjr+v
I1tPF3eZe8ZSWDu26FW8NqQ2ACBExLbBqjY7shdvLA3tGqdRtqlS08VpoF0v
smsU1potehWvDakNABBFZx2XpzG+I5eqqm1l7tRaZD/2BTOy9dJnWqWXKnWc
Lt68sDZt0at4bcGltul3/OsGAISC/ovu+6cttg2623qLC/Obv0yR/cb3/rMd
2Uq1cuv2wxu2li9Vyl5Yy7boVby2sFLbjGn3v24AQCikk9pmZA89+/z8/CV7
gXFS6TO8Kk0Xb1JY+7boVby2gFJbmXP/qBHcAERDCnvIP+mtLAzdT5F98Lv/
Rs0Y15E9OfOBeg6NrNc2RPUzvJoUNhBb9CpeWyipXT7ERmoDEA3Rp7ZeZvzd
TV/NRLZeYPzTk7I7nRpneNUubFC26FW8NqQ2AEAOKewhv7LzUYrsX23+wz6R
/aVviA0OXlv0Kl5bEKndsVhFagMQI2Zql/9di22D5Ta1ANqZjb//wjNDuZF9
dGJKRfba2dlSg4PXFr2K1xZEauf6MRsNgPjIfDkvfybjm3Kpym0fHx+lyD73
+JdKIttcR0VscPDaolfx2sJN7VWc+QVAwti74AAAA2fQjQEAIBTG/sDbanJt
vcUFvZrK4XeO2KPstw5N2OuotFCYBFv0Kl4bezIiagEALSC2Ddq29VOz/746
NTs3souWPhMbHLy26FW8NqQ2ACBExLbBjO2T3srlbX+sTs2uFNm+C5Nji17F
a0NqAwBCRGwbzNj0qdmvvjb64bXrKrLHT86on5YvMC42OHht0at4bUhtAECI
iG2Dpk2d5/Xrx79iRrZesLTvNUHEBgevLXoVrw2pDQAIEbFtUNuWJscosmc2
/O6Ptm1d/v9WhvcctSO7fIFxscHBa4texWtDagMAQkRsG1Q2dQnO2f/yt3c9
//2r1xZrRLanwgTaolfx2pDaAIAQEdsGybZ2nte3f3dt0vgzG2pHto/CZNqi
V/HakNoAgBAR2wbJNr/lH1NkH3jyP16YnVORTf+vfuoe2T4Kk2mLXsVrQ2oD
AEJEbBskm5o0TpFN42sV2b07d1crRraPwmTaolfx2pDaAIAQkdkGr+0dItuv
H//K4XeONIxs3sIk26JX8dqQ2gCAEBHYBpenj9Eom2xHDv1i/OQMRfbQrvHa
kc1YmHBb9CpeG1IbABAi0tqgXmmcbFPnP6DI3jwytnhjabVuZHMVJt8WvYrX
htQGAISIqDb4SW/lNxu/SJH9i+c3kI0lslkKC8IWvYrXhtQGAISIqDb4m2e+
SpF99Ht/MvfbSyq15xaurTaLbJbCgrBFr+K1IbUBACEipw1eHn2SInty4x/M
XLhIQ2yyqSuDNIzs5oWFYotexWtDagMAQkRIG/x46rBaA23m9JRaZlzZ9Brj
17s3B1JYQLboVbw2pDYAIEQktMHlD38zt+F3KLWPvfm6XgCNbH0vC+K7sLBs
0at4bUhtAECIDLwNftJbmd38e2uR/ePv7TwwQZE9Ov6+srFEdu3CgrNFr+K1
hZLanXV8mAEAITLwNjj73AMU2e8//eCbR07p1VSOTkyRjSWyaxcWnC16Fa8t
iNTWzowcUQ5Asgy2DX6wbztF9pmNv3/oxF/p1VTWIvtL3yAbS2TXKyxEW/Qq
XlsQqW3K7QRHcAOQIANsg9dOvaNmoL337jF9avankb2e2oMqLFBb9CpeW3Cp
3fc+ACAFBtUGV65fmfvW36XUPrXvFYpsui1c7dLgWkW22kM+kMLCtUWv4rWF
ktqde+S+EVIbgNQYVBuc+e4/osj+1YuPq/O8pi9epsj+4n2PqMgeYGHh2qJX
8dpCSW3bj9QGIGUG0ganRzZQZJ/+8/u3/+wwRfb4yZlMZA+qsKBt0at4bWGl
NsbaAABFBwAgj8xfaOZvNnMHAJAOjH/4LqrFuTOz3/o7a9cH2f1TdZ7Xx0vL
Dzz0FI2yh7bvHmBhEdiiV/Ha2COvzQy1oxwAkAhttsFbf31z+jv/C0X2yZef
VpPGiyK75cLisEWv4rUFndoAgGRpsw2eevbfrh3OHvpjfZ5XyZVBxPZnsbbo
Vbw2pDYAIERaa4O/fmsXRfb5jX//6R/tUZPGyy/mJbY/i7VFr+K1IbUBACHS
Thucnzk9+1/+NqX2rpdfpcg+PjX7+t7Dapnxoutviu3PYm3Rq3htSG0AQIi0
0AaXl5fPbPz9teuDbHtcXc9LLYBWvsy42P4s1ha9iteG1AYAhIjvNtjr3Xnv
mf9Ekf3r7/0LNWn8l5MzLhfzEtufxdqiV/HakNoAgBDx3QZ/OfoiRfbcht/5
ztbRzSNj5+YuZVZTGVRh8dmiV/HakNoAgBDx2gYvnD2jDmePbP3h2gy0WdfI
9l1YlLboVbw2pDYAIET8tcFut/tX3/nfKLIPDj1GkT1xeq7o1OyWC4vVFr2K
14bUBgCEiKc22OvdOf4Xj65dO3vTP1Qz0CpFtr/CIrZFr+K1IbUBACHiqQ1O
vPGyOpz9/RdeGd5z9Aelp2a3WVjEtuhVvDakNgAgRHy0wQtnz8xs+N21w9lD
P9g8MvbKz/+yamR7KixuW/QqXhtSGwAQIuxtsNvt/mrzH1JkH33yG49tf/PN
8V+6nOfVQmHR26JX8dqQ2gCAEOFtg73enb/cvokie+aJ/+k7W0d/ceI0RTbd
qkY2e2FcKsm26FW8NqQ2ACBEeNvgsbffVKd6PfsXPx55813387x8F8alkmyL
XsVrQ2oDAEKEtw3++vGvUGS/+f0/2/qzI3/8zR9QZL++97CEwrhUkm3Rq3ht
SG0AQIhwtZput0uqtWtnf/ufbR4Z+8/febHSeV7+CuNVSbZFr+K1IbUBAALp
20m4Ws2+nwyTavZba6d6Pbn95zUmjXsqjFcl2Ra9itcWUGrb5s46nt4OADAo
XP60Wf723zt2ZGbD75Lqx0PP/Ojn75RfgtMRsf1ZrC16Fa8tlNRWWlOu7yO4
AYgJ+4+95GlNmJ+/9O6mr/72sS+Qauinh+qd5+WjMB8qybboVby2UFLb9ucm
OAAgaNy/jTf8q+/17rzxzAaK7LOPf5lUX/nqt2pPGuctzJNKsi16Fa8NqQ0A
kENrqb3v5z9Tp3ptf3bb2u74BpPGeQvzpJJsi17FawsrtYuSGqkNQAR0LMqf
XPuNJidP/fLb/ztF9ttPPvynT+9a20PeYNI4Y2H+VJJt0at4bQGldsaM1AYg
YlzG2gAAaZT8CetH7B8BAEKn7991vT/8Xu/OnpdH1L7xF174yd/6g2+uLYOW
xqhKrC16Fa+NPfI8ZWhRlCOyAUiTen/7Jybem9z4B+vLoP2/v/e1b6uVxhPp
z2Jt0at4baGkNgAAmNRoNfPzlw48+R/XlkH7zh8+8NiwnjSeSH8Wa4texWtD
agMAQqRqq+n17ux6/vsU2Re+9Tvf/cGPzWVLE+nPYm3Rq3htSG0AQIhUbTVv
7N2nLhEyumXj3/qDbz7w0FO1VbyFtaOSbItexWtDagMAQqRSqzkzffbgd//N
+r7xP/q9r337vq8/YS5bmkh/FmuLXsVrQ2oDAELEvdUsLy/rfeOPPPYDe9nS
RPqzWFv0Kl4bUhsAECLurebKlau7n9s0u+G/2/7nT37h9/6TvWxpIv1ZrC16
Fa8NqQ0ACJFKrabXu/NJb+WVn/9l7hpoifRnsbboVbw2pDYAIETEtsEUCuO1
Ra/itSG1AQAhIrYNplAYry16Fa8NqQ0ACBGxbTCFwnht0at4bUhtAECIiG2D
KRTGa4texWtDagMAQkRsG0yhMF5b9CpeG1IbABAiYttgCoXx2qJX8dqQ2gCA
EBHbBlMojNcWvYrXhtQGAISI2DaYQmG8tuhVvDakNgAgRMS2wRQK47VFr+K1
IbUBACEitg2mUBivLXoVrw2pDQAIEbFtMIXCeG3Rq3htSG0AQIiIbYMpFMZr
i17FawsotTPmzjqe3gsAIByxbTCFwnht0at4baGkdiaj9X0ENwBpIrYNplAY
ry16Fa8tlNTOmIvuAwASQWwbTKEwXlv0Kl4bUhsAECJi22AKhfHaolfx2pDa
AIAQ6QAA5JH5I+17HwCQCIx/+Lw9JIXCeG3Rq3ht7JHnL0NzkxqRDUCaiG2D
KRTGa4texWsLJbXtAbg9GAcApIPYNphCYby26FW8tlBSGwAATMS2wRQK47VF
r+K1IbUBACEitg2mUBivLXoVrw2pDQAIEbFtMIXCeG3Rq3htSG0AQIiIbYMp
FMZri17Fa0NqAwBCRGwbTKEwXlv0Kl4bUhsAECJi22AKhfHaolfx2pDaAIAQ
EdsGUyiM1xa9iteG1AYAhIjYNphCYby26FW8NqQ2ACBExLbBFArjtUWv4rUh
tQEAISK2DaZQGK8tehWvDakNAAgRsW0whcJ4bdGreG1IbQBAiIhtgykUxmuL
XsVrQ2oDAEJEbBtMoTBeW/QqXhtSGwAQImLbYAqF8dqiV/HakNoAgBAR2wZT
KIzXFr2K14bUBgCEiNg2mEJhvLboVbw2pDYAIETEtsEUCuO1Ra/itSG1AQAh
IrYNplAYry16Fa8NqQ0ACBGxbTCFwnht0at4bUhtAECIiG2DKRTGa4texWtD
agMAQkRsG0yhMF5b9CpeG1IbABAiHQCAPAbdGAAAQnn5p69x3ajVyLSJLUzs
x5SpklwYu3DQjQEAAAAAAAAAAAAAAAAAAAAAAEDkeJpRholqAAAAQD1K5nu7
x2vuM9WDJT8CAIDmMPYTxvNfMp4mWvu1zeu0y6snbB4fjMWUvLz2p2Pf+OZr
a6j085t/xqJfUaQ2AMAfPnK2uTBTVckQpqqKq7zVvM9br+03zDWuYkpeXm/7
l6hqY26ZGp+0/DchIzT/6RLERS+vWiQAABTRJA2LbFxCxgELY2rkmpv7Wb6i
FMV3PXyMuFn2bzT5MuCe2vq9irZn7hdL++UlbwcAAJXgDVmtYv8O0PfBSiq7
GzeBPbWb/EfpOzasZ+v7oLuqycYv30QuQvt9ywfLLm/R95n+vjECAFIjuNSu
bc4dBzURZl7esDPnvryqp+gz1qBzj5K3qKdqsvGbp7b9tCapXT7W7nsfAAAq
0bFgcWbusNiaO310US6nnbY1/qOw5L6jtomqtjB3yww2tR21vH8UAACwytdP
codUzW2rTJHBqO3b7et5HH/kXoyPryVNVLwbv95mL/lShNQGAAQBY2pzjdzt
UVVts/3a5kUWOZt7zB/VkzT/r2C/trazRFWvtlUPxwKK5PVKKnq8+R8FAAAA
AEzqffXyoQUAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAcxgvIcR7NaIUCuO1Ra/itbFf
PAtX4wIAtIDYNphCYby26FW8NqQ2ACBExLbBFArjtUWv4rUhtQEA/uisU/uF
Ja8V2wZTKIzXFr2K14bUBgDUo2+wrhoNIfO0kn8W3S8yNyeR/izWFr2K14bU
BgDUoyiRHZ/jktRIbS6VZFv0Kl4bUhsAUA8zkYv+8O3ULrqTm+9IbS6VZFv0
Kl4bUhsAUI8aY+3cREZqt6CSbItexWtDagMA6lH1uHbRTnL7/+2Xl5ibk0h/
FmuLXsVrQ2oDAOrh8sfeN7VLBuPlbyG2DaZQGK8tehWvDakNAKiHnbAlU86K
QjmzPxyp7Ukl2Ra9iteG1AYA1CP3j70odosOgpcfxUZqc6kk26JX8dqQ2gAA
RtwHyzVsjGZPKl6b2MJ4bdGreG1IbQAAF+VHrquqyl8rtg2mUBivLXoVrw2p
DQBgoW/Osr+dQBWvTWxhvLboVbw2pDYAIETEtsEUCuO1Ra/itSG1AQAhIrYN
plAYry16Fa8NqQ0ACBGxbTCFwnht0at4bUhtAECIiG2DKRTGa4texWtDagMA
QkRsG0yhMF5b9CpeG1IbABAiYttgCoXx2qJX8dqQ2gAACVQ9a0xsG0yhMF5b
9CpeG1IbADBwdN9wbyBi22AKhfHaolfx2pDaAAA5uI+4xbbBFArjtUWv4rUh
tQEAcsBY25NKsi16FYtt5dbtyanzL71yAKkNAJBA5x5Vnw8AkIPXLgEAEIjj
Hz5jf+BtNSkUxmuLXlXVdr17861DExu37PjifY90vvQNdXvgoadooE3DbfZk
RNQCAGrj3kDi6M+tqSTbolc52tQO8Pu+/oROaro/tH330YkpynFPhfkQAgBS
oOrutaD7c/sqybboVSU2imMKZRpW66Sm28MbttJY+9Llqy0U5kMIAAA2wfXn
waok26JX2TZKZBpWP/DQU5lhNQ23V27dbrMwH0IAALAJpT8LUUm2Ra/SNgpl
imZzHzgFd8mwuoXCfAgBAMBGeH+WppJsi1tFY+ejE1Nk01PL6M7GLTvowb7D
aq+F+RMCAICNwP7MbhNbGK8tSpUK688OWK+nttoHPtjCWhACAICNnP7szya2
MF5bTCp10lbmgDXv0ihIbQBAiIhtgykUxmuLQGWHtTq9Wh+wlvkZPQkBAMBG
bBtMoTBeW7iq3LCmR8zTqwdS2GCFAABgI7YNplAYry041cqt245h3XJhQoQA
AGAjtg2mUBivLRRVdoKZQ1i3U5g0IQAA2IhtgykUxmsTrrLD+r6vP+EY1l4L
EysEAAAbsW0whcJ4bWJValEUfZ61mg1eaUUUT4VxqTwJAQDARmwbTKEwXps0
FeUyhTWp9KIotcOatzB2lSchAADYiG2DKRTGaxOiut69+frew58tN9rpsCyK
0rwwfypPQgAAsBHbBlMojNc2WJU9IVwtN5rC5vIkBAAAG7FtMIXCeG2DUtE4
2p4QrtcGT2FzeRICAICN2DaYQmG8tpZV6rB1Zo6Z13VReG1IbQBAiIhtgykU
xmtrR6XWMdOHrdW1PM7NzrdQFYutd+fu3MK18ZMzpFq42mWpSoHUBgDUI7d7
dO7h8mTG95VgE1sYr823KnO2teNVMoVsLgro41OzOw9MPLb9TXVbOyVt5gMJ
tQEAUka1Dvd0lpkavDaxhfHaPKnsPeGVlkYZ4OZavLFEuTw6/r5OaroN7zlK
A20abmMPOQBAFJkegtSO3sarUnPCM3vCa5xt3fLm6t25O33x8v53Tw/tGtdJ
TffpEXqcfuqpMB9CAEBS2KldtOfc0zvKsYktjNfGpZqcOq+XRqHbwxu2Hp2Y
GnhV5Ta1A5zG0TqpN4+M0SibxtpLy7daKMyHEACQDu4ja4GpwW4TWxivraHq
evfmS68c+HRw3enQndf3Hq60SLiPqkpsFMc0fKZopoDO7AB3mWaG1AYACKG8
e+SOwQEAovDcJAAAUij/e7d/ytgfeFtNCoXx2qqqMtPMzNVRpG18fbSabOaw
+vjU7OKNpQEW5lUIAEgB++t6596s8tyuIq0/+7CJLYzX5qhSV8zUS4/mTjMT
svGXlm9NznyQOV1rdPz9zLyy9gtrRwgASJOqo29PbzRAm9jCeG19VZnBtZpm
lnvC9WA3Pg2fx0/OZCaBq6PVYn8rfAgBAAnSt5OIbYMpFMZrK1LZg+vcpUdb
riqDWrJs/7unzallNMrOTAIX+1vhQwgAADZi22AKhfHabNW52Xl7cD3wqkzU
AWtzIRRKbfvc6vYLkyAEAAAbsW0whcJ4bVpVY3DdQlUm6oC1eXq12gdOw+3B
FiZKCAAANmLbYAqF8dpIlXvkeuBV6fvqgLUZ1lXngYv9rfAhBAAAG7FtMIXC
uGxqcL12kkDdwbWPqrTKnl1mH7AeSGFcKk9CAACwEdsGUyisuY2i+bPBdafT
cPVRrqoUanaZeYZ185O2xP5W+BACAICN2DaYQmFNbJTOlNHm4FrIFstMBSdV
yeyyNgvzp/IkBAAAG7FtMIXCatjUauHmgmb6nOvBbrFMWKup4OwXxBT7W+FD
CAAANmLbYAqFVbJNTp3fuGWHvhSXhAXNis7bMqeCi934SG0AQIiIbYMpFOZi
y1znmu7o1cL9FVb1JOuS87bEbnykNgAgRMS2wRQKK7ep07j04JoG2udm59sp
LFdVFNbl522J3fhIbQBAiIhtgykUVmTLrJHieJ1rT1usXljzVtXtds9Mnx17
+yDZ6E5z4SpSGwAQJimEo9jCMrbMTLOqp3HxbrGGYd28quXl5Quzc4ffObJt
+MWhZ59XN7JNTp6qJ+QqrDUhAADYpBCOYgvTtnOz83qmWe6lM9ssTE381rPB
64V1vap6vTvz85coqUd2vKyTmlKbRtk0xKYRt9jfCh9CAACwEdsGUyhs5dZt
srnMNGuhMPPULZXaTcK6UlVXrlw9MfHeq6+N6qSm2xt796mkrmpjLGywQgAA
sBHbBuMu7LM1zTodNdNscur8QArLPc+6hY2/vLysDlWbSU3BTfFNIV7VxliY
HCEAANiIbYOxFkbpbK5pRrYmC4bXLkytDW4vilJD5V5V7g5wuk+PXJido59W
sjEWJlMIAEiESt1DbBuMrDD7tGu1plnLHzNzIQ97URR3lXtVagb4G3v3mcNq
fai6qo2xMC6VJyEAIAVU63BvIGLbYDSFfe4CH9Zp1+18zKXlW8enZs2rbpVf
yKN5VXpYTSpzWH1i4j16vLZW7G+FDyEAICkce4jYNhhBYZmd4blXz/T6MSms
J2c+MK9n7XjVrSana2WG1aRSw2r6UT0nS2FeVZ6EAICkQGr7ULnYinaG+65N
q9Sp1jsPTOiwpuCm+Ha/6lbVqmj4TIPozNFqNaxO5LfChxAAkA6V9pADAKTh
tT8AAERR6U+esT/wtpqwCsssk5K7M9xfbersLVKxrItSXlW3252cPGWeW60m
gdOwOncSeCK/FT6EAIAUqNo6xLbBUAo7OjHluDOcvbbM2Vukouxuvi5KblX2
PnAKborvvpPAE/mt8CEEAKRA1Z1sYtug8MJoKP363sPmmuH1lkmpUVtmQrg+
e4t9i9HY+cLs3NjbB82VwOmf9KD71LJEfit8CAEAwEZsG5RcmHkBTbrfZJkU
99p6d+6WTwjn+piUyKQy54FTaqt94DVsifxW+BACAICN2DYosLCjE1NrZ3J1
OmpnOI21a68ZXqm2zLW3iiaEN/yY5gHrzvpJ1moeeNWFUHir8mdDagMAQkRs
G5RTWOZMLrJVuoBm7doyK4QP7Ro/PjW7tHyrhqoEdeWOzAFrUrGcXl27qhZs
SG0AQIiIbYMSCstc8Hpo++5zs/O+P2buoqMuc8wqFaYWLrMPWKt54Fyf8fbC
eVLdXbrOYluV8VvRmhAAAGzEtsHBFkbprA9eZ87k8vQx7XXMclcId1EVYc8u
0wesMydtNfmMlNQfHx+9svPR3z72BbqtDdunj9W2ZRD76+pDCAAANmLb4KAK
+/TgdfEFr9k/Zuaw9c4DEy6Ljuaqch/XYW2fYV1VVURvcWFpcuza6CaV1Oq2
MHR/d3yEVJ/0Vqp9kmLE/rr6EAIAgI3YNthyYZmD1xTcRQevuQqzl0ahsXbJ
Yeu+ZApTS4JnlkNxnF3m8hnvLl2nQTQl9fzmL5tJ/dH+5+hxvVc86N+KwQoB
AMBGbBtsrbDcg9f+CqNcNg9bk63hOmaZwuywdlwOxVbZ0Kh5Ze4UjaApnXVS
U2pTdptJ7aKqh9hfVx9CAACwEdsGWyis5OA1e2G5Z1szLo2iTrLOhHXtK21l
quotLpiHqtWN/rk0OUY/qqRqiNhfVx9CAACwEdsGvRZmXkMz9+A1Y2EUzZmz
rRmXRqERtD5vS51k3SSsNWrit70D/MPhB2mgTcPtSqomlfizIbUBACEitg36
KIyi2Vw2/IGHnqpx5rVjYYs3llzOtq73Mc2w1udtsZxkfXvhvJpCZu4Azxyq
roT83wqxQgAAsBHbBnkLo7w2lw3fuGVH+cHr2oWpE7gyZ1svXC08plzpY+aG
dfOTrO1hNaloWP3x8dG+O8D7Ivm3gkvlSQgAADZi2yCX7Xr3Jqm4lg0vKSxz
AldmkfCqNpPysK6kMlHDakpne1gd/W8Fr8qTEAAAbMS2wea2z6553enQKJtl
2XC7MBpHZ/aEVzqBq+RjOoa1i0rzSW+FQpmiOXO0OjOsjvi3wofKkxAAAGzE
tsEmtsxKKWoPOW9huZfLrHECl/0xq4Z1iUqjVkHJHVbnLoES5W+FP5UnIQAA
2IhtgzVsmclmeqUUxsJ6d+6SbeeBicye8NpCXVvtsLZVGvvcajUJ/PZCn0uB
x/Rb0YLKkxAAAGzEtsFKtvLJZiyF6TnhajWz5kuZ6drOTJ9tEtamavXePvDM
GVv0Txpru08Cj+O3ojWVJyEAANiIbYOOtuvdm0Pbd5srm9mTzZoUZs8JJ1vz
pcz0CmbqJOsmYa2gRCaVuRCK2gdOw+0ay4CH/lvRssqTEAAAbMS2wb62zMpm
JZPN6hWWOye8tk1hLzeqxtq1z7PuLS7ofeDqJGu1D7zhGVvh/lYMROVJCAAA
NmLbYImN8tqcbHZ0Yqp8slmlwuzVUTJ7wmt8TBpB22uDq7Cut9FoBJ2ZB06j
7A7flaxD/K0YoMqTEACQCLndo3MPlyczvi+vrd7KZi6FqXXCXeaEu39M+xKZ
9nKj7jb7gLW+bIfaBy7zPyVSGwAASsiN5tXiliK2DZo2+zKalVY2Ky8ss064
urx1bdtqwfWsJydP5e4G72vTC5fZB6yrqtyRqeK1IbUBAEKIKbUzk8OHtu++
dPkqS2Hqipl91wl3tCnm5y8dfufItuEX3a9nXWSjsM6cYb0wdH/5AWuZ/ymR
2gAAUE7JHvKixwEAovDfJwAAUij5k7d/xNgfuFQ0ml6bHN7p9J0cXqmwzNKj
mStmVrWtWuui0BCbBto03K5hM6eC6+VQKp1hvSryPyWvitfGnoyIWgBAPcq7
R+anotqgOTmcbJUue13E0vItUpnTzMZPzjRZHYVsmUXMaoS1gsKabGZYm7PL
ahRW41UBqXhtSG0AgBBCHGtnVg6nfzYvTE8z66yvZkb36ZHaNsZ1UdR5W+ZJ
1k3CWiPkP6U/Fa8NqQ0AkEDm0JjuJEUHywbeBjMrh+vJ4bULs6eZkar24FpN
CH9j777Muii1wzpz3hbZGoa1ZuD/KX2reG1IbQCAQPp2kkG1wb4nc1UtrHfn
7vTFy8N7jponXC9c7dZQKebnL+Weal3VZoe1ed6WzBiSqeK1IbUBANJwaSPt
t0H7ZC575fBKhWVWM7OnmVX6jH3P3nL9mKVhXa+2cqJX8dqQ2gCAEGmzDVI6
v/TKAZXX9P9Fee1os1czGz85U3s1s9wJ4Veu5JwbXm5zDOtKtTkSvYrXhtQG
AIRIO21QXZnL5UofLra5hWs0uHa/wnWJSs0xy1wos3xCeK6tali71FaV6FW8
NqQ2ACBEfLfBT0++rpLXRbal5VvHp2b14LrJamb2HDO67zgh3LTVDuuS2moT
vYrXhtQGAISIvzZoX5mrts2+aGalc7hMVdEcs0q2zKIoNcI6t7aGRK/itSG1
AQAh4qMNNsxrbbPP4Zqc+aDeambdbrfqCuE2KqzVGdbqVjuszdqavDwpFa8N
qQ0ACBHeNpg5+Xpy6nw9FQ2u1dIomXO4qkKD6MnJU3pdlJI5ZiVkRtZkY1kU
RSEzhmSqeG1IbQBAiHC1GrWaWb0raWrMc7hIVnupcHXY+tXXRvW6KGods0oS
ddUte7nRFGJIporXhtQGAIRIw1azcuv2Z+PrTmfjlh018jp3gRTGpVEqqexL
ZGZG1inEkEwVrw2pDQAIkdqtxl4spYYqs0DKzgMTenBdyZZ72FrPMXNRUShT
NF/Z+Wjfq26lEEMyVbw2pDYAIERqtJqixc3cVWqBFHNwbV+Hy8WmDlv3XRql
RKXCmkbT7pfITCGGZKp4bUhtAECIVGo1Zl7bi5u5qNRFrvU5XGpwXbUw+2zr
8sPWLuuiLAzd3x0f6S0u9P0IKcSQTBWvDakNAAgRx1bjsrhZWc7mrT5avkBK
rk0tEp45bN13aRRTRbmcWRfFMazLC6uNzBiSqeK1IbUBACHSt9W4L0aaq3If
XJfYMouEVz3bWuy6KLy26FW8NqQ2ACBESlpN1cXDPzek/fzg2n31UdNGg2ga
SusTuOhGA+3yRcIzqAnh5rooakK4uyG3sCYv92eLXsVrQ2oDAEIkt9WYea0W
N3NZPFypMoPrqquPKiia9dIoak+44yLhisyEcFJ9OPygwHVReG3Rq3htSG0A
QIhkWs252flMXjt6aHC9lrMNBter9/aEqxO4yDay4+XJyVOVFglXc8z0yHph
6H411q5URjlibdGreG1IbQCAECp1D/3k2ouH68F1Z30N0hqDa3W5TL0nXJ3A
VelTZOaYZSaEiw0OXlv0Kl4bUhsAIIHOOpWeXy+v7SPXnfXrfVSq9sLsnLmU
mXm5TJdPcXfp+sfHR/vOMRMbHLy26FW8NqQ2AEAIVVO7al4XHbl2f197KTN7
T3jfpVHsRUdLPqNjYS6ItUWv4rUhtQEAQqic2gAAYfjrDwAAaVT6k3d5cu5q
4ZVUmYt6mHvCXQrLPWxdsuioe2E1EGuLXsVrY09GRC0AoB5cqW1fiqt8QTNb
Zc4JL9oTXmLLXCtTHba+vVD5mt1ig4PXFr2K14bUBgAIoXlqUzS7DK6LVJnV
UYou6lGEOmzdsZZGqX22tdjg4LVFr+K1IbUBABKoemgs8zRKZ8po8zrX7tPC
SZVZJ9xlT7gJjaP1nnCyqbOt3feElxTW0BCELXoVrw2pDQAIEdVqKJrHT87o
wfXwnqP6OtcuLC8vn5h4r3NvNbPM5a37Yp/A1R0fEdufxdqiV/HakNoAgBCh
VjM6/r45uF68seT42swVM0lVaZ3w3BO49NnWYvuzWFv0Kl4bUhsAECKd9QXN
hnaNT8584D64zpxwrdYJd+9amXVHKbiXJscyh63F9mextuhVvDakNgAgRNYO
H191veSlmmamr5hJqW1eMbNv17q7dD1zucySa1uL7c9ibdGreG1IbQBAiDi2
mswJ13SfBteOqswVuDJ7whsW5oLY4OC1Ra/itSG1AQAhUt5q1DQzPbguP+Ha
Vplzwov2hNcrrBJig4PXFr2K14bUBgCESFGrMaeZ0c3lhGutyp0TXrQnvGph
NRAbHLy26FW8NqQ2ACBEMq3GnmZ2Zvqs4wnXpFqePnZtdFOlPeGOhTVBbHDw
2qJX8dqQ2gCAEFGtRp3DlVnNTE8z6wuNo9UZ1nqd8Oaro4jtz2Jt0at4bUht
AECIqJOs661mljnhmlQf7X+u6p7wksJYPLwqybboVbw2pDYAIETUgmbqHC73
1czUNDO9J/zKzkfVyuG8hQlUSbZFr+K1IbUBACFCrcY+h6uIzDSzzBUzE+nP
Ym3Rq3htSG0AQIg4tpqVuVN9p5kl0p/F2qJX8dqQ2gCAEClvNWo1M33Cdfk0
s0T6s1hb9CpeG1IbhA7Lr1xnneaeUN43Aoq2W2Y1s4/2P3d74Xw9FW9hg1VJ
tkWv4rUhtYOjY7DqeYObcvvtzDJKDC5P4ypyUIaw3jcOMlsvM7j+cPhBiu/2
VzPjtYktjNcWvYrXhtQOjta2sB21ReFbUlIL1SK100Rtvcw5XJTaNc7hSqQ/
i7VFr+K1IbWDw05S874ZrPadzHNKRsFFA/kmqZ17367BrjC3sNyP6fhNo+9G
qLQl7c/lUkn5By+SAE1n/STreoNrW8VbmECVZFv0Kl4be09Ak/FNboo53un7
YOaRosddHiyptlzikpW2re9nzC0pt56ST+2yJZtUUlJVChR9Syn6FlR7cG37
m7zcn01sYby26FW8NqR2cGSGeE1SO6PKfY797iWP5P7UrrZhamfu6/+3P07f
+llSu14lRdqiqqKn0m+derD24NrFL8EmtjBeW/QqXhtSOzhKIiaTv31Tu+Qt
+gZ6ySNVn18UcFWz0qWAdlLbpZIibV9PrBRtW/uf+kEAgDS8d4oA6RQ0NHtz
5f6o5Pl936vk3StVW15PyZ3c+7azpIa+9eSqfFRSpHXxREn5f6a+v4pcby3K
JrYwXlv0Kl4be2dIrdW0T0nnz3zbccwa9/cqefdK1bKkdvnTimpw+QJTI7XL
f9T3JbW/VsVE3w1Y9Xev3luLsoktjNcWvYrXhtQOjkqjRXuvRea+/YQij20r
+Z6Q+xZ9y8h90/In537YzCNFJeUWU/Kc8leVb9iiSipVFTcun93T9uHd1CkU
xmuLXsVrY+8MqbUaIZQkSGRE/NESp+S7X+7jYttgCoXx2qJX8dqQ2tGQO6SN
j7g/XeLYv70dYyeP/WTG9+VS8drEFsZri17Fa0NqAwDEUtJPxLbBFArjtUWv
4rUhtQEAMilvJmLbYAqF8dqiV/HakNpJIfk3xza3/LsU06+u1/3JQhD7y5xC
Yby26FW8NqR2UuT+16n3n8xfLnhK7b4Fx/SrW/u/TkAbQWwbTKEwXlv0Kl4b
UjspJP/m2Gakdm2Q2oNS8drEFsZri17Fa0NqB4c5UTx3zm3mwczz7VdlUtL8
qW0rejDjKaqw6MHMm5YIi15SXmRfg/vHt9+x7zZ33IC2ttIblctzbfadosIE
wlgn70dOoTBeW/QqXhv7X2gof/LhUtJ17afl5kWJJ/e+45uWm4sKsN+l7xOK
HszFpeDc2kreougdHbeAo7ZvPX03XYnNsSTJiG2DKRTGa4texWtDagdHw9R2
9HQsil7uIiwJiJJ3KXpC30rKqyp6Yd+P3/cdHbeAo9blP0eRrfzD5m7n8o8m
EMZSeT91CoXx2qJX8drY/0gD+qsPlPIoXDWaee6PHD12phS93EVYEhB9Pbm/
US4xmsmy8o9j11b+m1yyze2PkHunr7bSf46S1xb9FKntQ8VrE1sYry16Fa8N
qR0cLlG4anXmvs+0fxpQatuPuMRlk9Quf4vaqV30TKS2jdg2mEJhvLboVbw2
pHZwtJbaJS8vD5F68e1YmOMjzVM79yWOb1Hp89bQltS82uC/Tt/aRCG2DaZQ
GK8tehWvDakdHH2beece9j9rpHauzX7TcmFuMXbBGbP9qqJSc3/r7Pcqemv3
j1/ucdkC7tqi+u3/HOamK/mv07fsok8nE8YieT9vCoXx2qJX8drY/zyD+HsH
gwK/Hu5gW5Ujtg2mUBivLXoVrw2pDdoEvx7uYFuVI7YNplAYry16Fa8NqQ0A
CBGxbTCFwnht0at4bUhtAECIiG2DKRTGa4texWtDaodL300tYVrRwAsAsSK2
DaZQGK8tehWvDakdLuZEYvPB3InBLG/U5LW51QJQGyG/4V5tYgvjtUWv4rUh
tcPF3tSZ+Pb3Ru28FoAShPyGe7WJLYzXFr2K14bUDpHMaLpjnKubwX5y5pHc
n+rHc5/gIikqchW/IYAJsW0whcJ4bdGreG1I7eAoycHc8HV5YeZB+/tASRlV
a8NvCGAh92sqAGCwDLoxiKNTMYVzt2fn8wFd9NPVuqntXiQAAAAQMTVSu0TS
N47dU9uMfqQ2AAAAsCo1tTNCpDYAAACwWnr0ebVfXNo/cvxp7dTuWyQAAAAQ
N/aO6L6pXX7kuu9x7dXP56/9NNPjXiTiGwAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAGjC/w+danAm
    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztve+THMeZ39nh84v7H/TqIu6Fw3G3F3cR8obC1kWcdu8uwmubDtv0rq1z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    "], {{0, 561}, {658, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSizeRaw->{658, 561},
  PlotRange->{{0, 658}, {0, 561}}]], "Output",
 CellChangeTimes->{3.578816620924367*^9, 3.5814059936364603`*^9, 
  3.5814062783937473`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=", "10."}], ";"}]], "Input",
 CellChangeTimes->{{3.5655388436738825`*^9, 3.56553885656762*^9}, 
   3.568362755155801*^9, 3.5685418599119596`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"U2", "=", 
   RowBox[{
    FractionBox["d", "2"], 
    RowBox[{"(", 
     RowBox[{"-", "wmr1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.568362767690054*^9, {3.568364038451127*^9, 3.5683640395862403`*^9}, {
   3.5683746684564342`*^9, 3.5683746753894343`*^9}, 3.5685418393459034`*^9},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2e", "==", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ap", " ", 
         RowBox[{"signedSquareL", "[", 
          RowBox[{
           RowBox[{
            FractionBox["2", 
             RowBox[{"kl", " ", "rho"}]], 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["U2", "2"], "-", 
                 RowBox[{
                  FractionBox[
                   RowBox[{"rho", " ", "U2"}], 
                   RowBox[{"pi", " ", "d", " ", "b", " ", 
                    RowBox[{"Tan", "[", "beta2", "]"}]}]], "q2e"}]}], ")"}], 
               "rho"}], "+", 
              RowBox[{"(", 
               RowBox[{"p1", "-", "p2"}], ")"}]}], ")"}]}], ",", "p0L"}], 
          "]"}]}], "+", 
        RowBox[{"Kcp", " ", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "+", 
         FractionBox[
          RowBox[{"kl", " ", 
           SuperscriptBox["q2", "2"], " ", "rho"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["Ap", "2"]}]], "-", "p1"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"q2e", " ", "-", 
         RowBox[{"Kcp", " ", 
          RowBox[{"(", 
           RowBox[{"p1", "-", "p2"}], ")"}]}]}], ")"}]}], "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"tormr1", "+", 
         RowBox[{"wmr1", " ", "Bp"}], "+", 
         RowBox[{
          RowBox[{"der", "[", "wmr1", "]"}], " ", "Jp"}]}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"-", "wmr1"}], "]"}], "+", "0.001"}], ")"}]}]}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5683771393111477`*^9, 3.5683771539216084`*^9}, 
   3.568433566094881*^9, {3.5684456398381214`*^9, 3.568445647907928*^9}, {
   3.568445689522089*^9, 3.5684456990550423`*^9}, 3.568446161989931*^9, {
   3.5685415439643683`*^9, 3.568541566641636*^9}, {3.568907061911271*^9, 
   3.568907069251691*^9}, {3.5689073802304783`*^9, 3.5689073955023518`*^9}, {
   3.568909468567924*^9, 3.5689094707070465`*^9}, {3.56890951780774*^9, 
   3.56890954543132*^9}, {3.5719070811944456`*^9, 3.5719070896652603`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemBoundaryEquations", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p1", "==", 
      RowBox[{"(", 
       RowBox[{"c1", "-", 
        RowBox[{"Zc1", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p2", "==", 
      RowBox[{"(", 
       RowBox[{"c2", "+", 
        RowBox[{"Zc2", " ", "q2"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"tormr1", "==", 
      RowBox[{"(", 
       RowBox[{"cmr1", "+", 
        RowBox[{"Zcmr1", " ", "wmr1"}]}], ")"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.478679428921875*^9, 3.478679481265625*^9}, {
   3.5158210577049356`*^9, 3.5158210581736856`*^9}, {3.5159004761612453`*^9, 
   3.5159004765987425`*^9}, {3.565464396038273*^9, 3.565464434241138*^9}, 
   3.568364055973879*^9, {3.568541764766446*^9, 3.5685417795279226`*^9}, {
   3.5719071825454235`*^9, 3.5719071995338535`*^9}, {3.571922957959166*^9, 
   3.571922974339195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", "=", 
   RowBox[{"{", 
    RowBox[{"q2e", ",", "wmr1", ",", "p1", ",", "p2", ",", "tormr1"}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.50416094853125*^9, {3.565464444888756*^9, 3.565464452002368*^9}, {
   3.5654674519275084`*^9, 3.5654674808931646`*^9}, 3.565538678997463*^9, {
   3.5655387091661887`*^9, 3.5655387234580064`*^9}, 3.5683639106194735`*^9, 
   3.568364051212403*^9, 3.5684332193591576`*^9, 3.5685418784178104`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLowLimits", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"p2", ",", "0"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.578509608841855*^9, 3.57850964528494*^9}, {
  3.578629501345287*^9, 3.578629513639287*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q2", "==", 
      RowBox[{"q2e", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"onPositive", "[", "p1", "]"}], "+", 
         RowBox[{"onNegative", "[", "q2e", "]"}]}], ")"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"q1", "==", 
      RowBox[{"-", "q2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pin", "\[Equal]", 
      RowBox[{
       RowBox[{"-", "tormr1"}], " ", "wmr1"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pout", "==", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p2", "-", "p1"}], ")"}], "q2"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568362810348319*^9, 3.5683628152808123`*^9}, 
   3.568363889078474*^9, 3.5683640526385455`*^9, {3.568541977846752*^9, 
   3.568541978904858*^9}, {3.5689199102551546`*^9, 3.568919912222267*^9}, {
   3.5719071101792965`*^9, 3.571907140035349*^9}, 3.578630561824879*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellChangeTimes->{3.5039025691670113`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], ":", 
  " ", "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(2, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062786887646`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\\"typename\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ\\\"\\)\\), \\(\\(\\\"displayname\\\" \[Rule] \\\
\"HydraulicCentrifugalPumpJ\\\"\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"hopsanobjectappearance\\\", \\(\\({\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)}\\)\\), \
\\(\\(XMLElement[\\(\\(\\\"modelobject\\\", \\(\\({\\(\\(\\\"typename\\\" \
\[Rule] \\(\\(\\\"Hydraul\\\" \[Ellipsis] \\\"alPumpJ\\\"\\)\\)\\)\\), \\(\\(\
\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)}\\)\\), \
\\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \\(\\({\\(\\(\\\"isopath\\\" \
\[Rule] \\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\), \\(\\(\\\"iconrotation\\\
\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \[Rule] \
\\\"HydraulicCentrifugalPumpJ.svg\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \
\\(\\({}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\
\\\"x\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.25`\\)\\), \
\\(\\(\\\"a\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"P1\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 4 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.75\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\
\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \\(\\(\\\"name\\\" \
\[Rule] \\\"Pout\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278710766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787117653`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.25`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.25`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278713766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278714766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787167664`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], ":", 
  " ", "\<\"Malformed symbolic XML expression encountered. This may result in \
unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278717766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278719766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(0.75`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\\\" \
\[Rule] 0.75`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.581406278720766*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(XMLElement :: \
attrhs\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.575772539833022*^9, 3.5757726381380415`*^9, 3.5758602641573906`*^9, 
   3.576214802607736*^9, {3.5762148420797358`*^9, 3.576214867351736*^9}, 
   3.5762154616713133`*^9, {3.5762155683409796`*^9, 3.576215577053851*^9}, 
   3.576215923169459*^9, 3.5762160035454955`*^9, 3.5762160593990803`*^9, 
   3.576216159208739*^9, 3.576216876306772*^9, 3.576216961882329*^9, 
   3.5762170173978806`*^9, 3.5762171376339025`*^9, {3.5762171991280513`*^9, 
   3.5762172272628646`*^9}, 3.576241231150174*^9, 3.5762413080961175`*^9, {
   3.5762413794000883`*^9, 3.5762414014429274`*^9}, 3.57624147690026*^9, 
   3.576241554993997*^9, 3.5774507339054394`*^9, 3.577451129916036*^9, 
   3.5774512088389273`*^9, 3.577451528663814*^9, 3.57745158530015*^9, 
   3.5774517915363626`*^9, 3.5776155338982315`*^9, 3.5776166335701876`*^9, 
   3.577616698538684*^9, 3.5776167625150805`*^9, 3.578509713338832*^9, 
   3.578625045730756*^9, 3.5786296227162867`*^9, 3.5786297160772867`*^9, 
   3.578629765922297*^9, 3.5786301728729877`*^9, 3.5786302553442345`*^9, 
   3.5786306130299993`*^9, 3.5786320980990667`*^9, 3.5786390296280546`*^9, 
   3.578639072539055*^9, 3.578816621216367*^9, 3.58140599414849*^9, 
   3.5814062787217665`*^9}],

Cell[BoxData["\<\"HydraulicCentrifugalPumpJ.xml\"\>"], "Output",
 CellChangeTimes->{
  3.5757725398642225`*^9, 3.575772638169241*^9, 3.57586026421976*^9, 
   3.576214802649736*^9, {3.576214842108736*^9, 3.5762148673877363`*^9}, 
   3.576215461697316*^9, {3.5762155683809834`*^9, 3.5762155770838537`*^9}, 
   3.5762159232444663`*^9, 3.576216003598501*^9, 3.5762160594710875`*^9, 
   3.576216159290739*^9, 3.5762168763737793`*^9, 3.576216961939335*^9, 
   3.5762170174758883`*^9, 3.576217137820921*^9, {3.5762171991880574`*^9, 
   3.576217227338872*^9}, 3.5762412311657743`*^9, 3.576241308127318*^9, {
   3.5762413794312887`*^9, 3.5762414014897275`*^9}, 3.57624147693146*^9, 
   3.576241555025197*^9, 3.57745073391644*^9, 3.5774511299260373`*^9, 
   3.5774512088699307`*^9, 3.577451528694811*^9, 3.5774515853361464`*^9, 
   3.5774517915663633`*^9, 3.577615533912233*^9, 3.577616633644195*^9, 
   3.5776166985686865`*^9, 3.577616762559085*^9, 3.578509713371834*^9, 
   3.578625045763739*^9, 3.578629622745287*^9, 3.578629716106287*^9, 
   3.5786297659523*^9, 3.578630172904991*^9, 3.578630255376238*^9, 
   3.5786306130610027`*^9, 3.5786320982610664`*^9, 3.5786390297430544`*^9, 
   3.5786390725950546`*^9, 3.5788166212513666`*^9, 3.5814059941854916`*^9, 
   3.5814062787237663`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p0L", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.57577247587291*^9, 3.575772478758915*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Fuel Tank G", "Section",
 CellChangeTimes->{{3.568289149358963*^9, 3.5682891675710044`*^9}, {
   3.5682892846807027`*^9, 3.568289303122758*^9}, {3.568354108266954*^9, 
   3.568354108970954*^9}, 3.56846401697423*^9}],

Cell[BoxData[
 RowBox[{"p0", "=."}]], "Input",
 CellChangeTimes->{{3.568355078809949*^9, 3.568355082456949*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"displayName", "=", "\"\<FuelTankG\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "brief", "=", "\"\<Calulates the mass of remaining fuel in tank\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"componentType", "=", "\"\<ComponentC\>\""}], ";"}], "\n", 
 RowBox[{
  RowBox[{"domain", "=", "\"\<Hydraulic\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"author", "=", "\"\<Petter Krus <petter.krus@liu.se>\>\""}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
  "affiliation", " ", "=", " ", 
   "\"\<Division of Fluid and Mechatronic Systems, Link\[ODoubleDot]ping \
University\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetFilenames", "[", 
   RowBox[{"path", ",", "domain", ",", "displayName"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ResetComponentVariables", "[", "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522429929546875*^9, 3.522429972765625*^9}, {
   3.5224301489375*^9, 3.522430155421875*^9}, 3.53189964671875*^9, 
   3.5411602015417213`*^9, 3.5682878446963406`*^9, 3.5682879350195065`*^9, {
   3.5682885691497765`*^9, 3.5682885755821447`*^9}, {3.568289258601211*^9, 
   3.568289274044094*^9}, {3.5685259622875643`*^9, 3.568525962456581*^9}, 
   3.5757721208896084`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=."}], ";"}]], "Input",
 CellChangeTimes->{{3.577451175729617*^9, 3.577451197140758*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputParameters", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rhofuel", ",", "700.", ",", "double", ",", "\"\<kg/m3\>\"", ",", 
       "\"\<Fuel density\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "p0", ",", "100000.", ",", "double", ",", "\"\<Pa\>\"", ",", 
       "\"\<tank pressure\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "hf", ",", "5.", ",", "double", ",", "\"\<m/s2\>\"", ",", 
       "\"\<fuel in tank height\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "massfuel0", ",", "1000.", ",", "double", ",", "\"\<kg/s\>\"", ",", 
       "\"\<The intitial fuel mass\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "massfuelmax", ",", "1000.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<fuelmass at full tank\>\""}], "}"}]}], "\n", "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522430004390625*^9, 3.522430004390625*^9}, 
   3.5224300528125*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.568288043176693*^9, 3.5682880662150106`*^9}, 3.5682892740450945`*^9, 
   3.568292752092027*^9, {3.5682930742664547`*^9, 3.5682930760485563`*^9}, {
   3.5682931161188483`*^9, 3.568293122857234*^9}, 3.5682932165005903`*^9, {
   3.568293382808102*^9, 3.568293392842676*^9}, {3.5682941132878833`*^9, 
   3.5682941831208773`*^9}, 3.578630221535854*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"inputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "gx", ",", "9.82", ",", "double", ",", "\"\<m/s2\>\"", ",", 
      "\"\<acceleration\>\""}], "}"}], "\n", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.52242999471875*^9, 3.52242999471875*^9}, 
   3.522430053078125*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.5682876302290735`*^9, 3.5682877946604786`*^9}, {3.5682882333545704`*^9, 
   3.5682882358947153`*^9}, {3.5682886272571*^9, 3.568288653534603*^9}, 
   3.5682892740450945`*^9, 3.568292725770522*^9, {3.5682930721653347`*^9, 
   3.568293092591503*^9}, {3.5682941454817247`*^9, 3.568294158898492*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"outputVariables", "  ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "massfuel", ",", "0.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Fuel mass\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "consfuel", ",", "0.", ",", "double", ",", "\"\<kg\>\"", ",", 
       "\"\<Consumed fuel mass\>\""}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522429987234375*^9, 3.522429987234375*^9}, {
   3.522430053296875*^9, 3.522430053515625*^9}, 3.53189964671875*^9, 
   3.5411602015417213`*^9, {3.568288026761754*^9, 3.5682880387684402`*^9}, 
   3.5682892740450945`*^9, {3.5682927178650694`*^9, 3.568292720943246*^9}, {
   3.568294193220455*^9, 3.568294212625565*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nodeConnections", "=", 
   RowBox[{"{", "\[IndentingNewLine]", "\t", 
    RowBox[{"HydraulicCnode", "[", 
     RowBox[{"T", ",", 
      RowBox[{"1.", "*", 
       RowBox[{"10", "^", "5"}]}], ",", "\"\<fluid port\>\""}], "]"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5682878998394947`*^9, 3.5682879233968415`*^9}, {
   3.568287993950877*^9, 3.568287997705092*^9}, 3.5682892740450945`*^9, 
   3.5682926047145977`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemEquationsDA", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Der", "[", "consfuel", "]"}], "\[Equal]", 
     RowBox[{
      RowBox[{"-", "qT"}], " ", "rhofuel"}]}], "\[IndentingNewLine]", "}"}]}],
   ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.52328838171875*^9, 3.53189964671875*^9, 3.5411602015417213`*^9, {
   3.554784526954604*^9, 3.5547845283608723`*^9}, {3.5682880956096916`*^9, 
   3.568288136340021*^9}, 3.5682892740450945`*^9, 3.5682941032823105`*^9, {
   3.571904238058652*^9, 3.5719042464826665`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"boudaryEquations", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.522430069765625*^9, 3.522430069765625*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740450945`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"systemVariables", " ", "=", " ", 
   RowBox[{"{", "consfuel", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.52243007746875*^9, 3.522430082921875*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740450945`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"eps", "=", "0.0001"}], ";"}]], "Input",
 CellChangeTimes->{{3.5683618419854927`*^9, 3.5683618458528795`*^9}, 
   3.568362544247712*^9, 3.5757161800928535`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"expressions", " ", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"massfuel", "==", 
      RowBox[{"massfuel0", "-", "consfuel"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"hx", "==", 
      RowBox[{"hf", " ", 
       RowBox[{"massfuel", "/", "massfuelmax"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"cT", "==", 
      RowBox[{
       RowBox[{"onPositive", "[", "massfuel", "]"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"gx", " ", "hx", " ", "rhofuel"}], "+", "p0"}], ")"}]}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"ZcT", "==", "0."}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.531857777953125*^9, 3.531857802140625*^9}, 
   3.53189964671875*^9, 3.5411602015417213`*^9, {3.5682878067211685`*^9, 
   3.568287840213084*^9}, {3.568287961346012*^9, 3.56828796532324*^9}, {
   3.5682881691398973`*^9, 3.5682882757739964`*^9}, {3.568288593104147*^9, 
   3.568288622826847*^9}, 3.5682892740460944`*^9, {3.568294321359784*^9, 
   3.5682943233889008`*^9}, 3.5682948834179325`*^9, {3.5683540392219543`*^9, 
   3.568354093826954*^9}, {3.568361833726667*^9, 3.5683618391222067`*^9}, 
   3.5683622303453245`*^9, {3.568362408783167*^9, 3.568362411892478*^9}, {
   3.5684640626592293`*^9, 3.5684640689062295`*^9}, {3.568526594043439*^9, 
   3.568526660113439*^9}, 3.5685267047884393`*^9, {3.5685270954124393`*^9, 
   3.5685270961704392`*^9}, 3.568528138195278*^9, {3.568528205104278*^9, 
   3.568528209485278*^9}, {3.571904189246166*^9, 3.5719042292602367`*^9}, {
   3.5719255395812054`*^9, 3.5719255402520065`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variableLimits", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"consfuel", ",", "0.", ",", 
      RowBox[{"massfuel0", "+", "eps"}]}], "}"}], "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.53189964671875*^9, 3.5411602015417213`*^9, 3.5682892740460944`*^9, {
   3.568362236516942*^9, 3.568362266461936*^9}, {3.5683623093072205`*^9, 
   3.568362311379428*^9}, {3.568362428788167*^9, 3.5683624290691953`*^9}, {
   3.568362530576345*^9, 3.568362530871374*^9}, 3.571904272409912*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Compgen", "[", "file", "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.53189964671875*^9, 3.5411602015417213`*^9, 
  3.5682892740460944`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(delayedPart \
\[LeftDoubleBracket] \\(\\(1, 1\\)\\) \[RightDoubleBracket]\\)\[NoBreak] is \
longer than depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789177775`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "cntsList"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(XMLElement[\\(\\(\\\"modelobject\\\", \
\\(\\({\\(\\(\\(\\(\\\"t\\\" \[Ellipsis] \\\"me\\\"\\)\\) \[Rule] \
\\(\\(\\\"\\\" \[Ellipsis] \\\"\\\"\\)\\)\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\)}\\)\\), \\(\\({\\(\\(XMLElement[\\(\\(\\\"icon\\\", \
\\(\\({\\(\\(\\\"isopath\\\" \[Rule] \\\"HydraulicFuelTankG.svg\\\"\\)\\), \
\\(\\(\\\"iconrotation\\\" \[Rule] \\\"ON\\\"\\)\\), \\(\\(\\\"userpath\\\" \
\[Rule] \\\"HydraulicFuelTankG.svg\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\
\\), \\(\\(XMLElement[\\(\\(\\\"portpositions\\\", \\(\\({}\\)\\), \\(\\({\\(\
\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\"x\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"y\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"a\\\" \[Rule] \
\\\"0\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \\\"PT\\\"\\)\\)}\\)\\), \\(\\({}\
\\)\\)\\)\\)]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \\(\\({\\(\\(\\\
\"x\\\" \[Rule] 0.5`\\)\\), \\(\\(\\\"y\\\" \[Rule] \\\"0\\\"\\)\\), \\(\\(\\\
\"a\\\" \[Rule] \\\"270\\\"\\)\\), \\(\\(\\\"name\\\" \[Rule] \
\\\"gx\\\"\\)\\)}\\)\\), \\(\\({}\\)\\)\\)\\)]\\)\\), \\(\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)\\), \\(\\(XMLElement[\\(\\(\\\"portpose\\\", \
\\(\\({\\(\\(\\\"x\\\" \[Rule] \\\"0.666667\\\"\\)\\), \\(\\(\\\"y\\\" \
\[Rule] \\\"1\\\"\\)\\), \\(\\(\\\"a\\\" \[Rule] \\\"90\\\"\\)\\), \
\\(\\(\\\"name\\\" \[Rule] \\\"consfuel\\\"\\)\\)}\\)\\), \
\\(\\({}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\\)}\\)\\)\\)\\)]\\)\[NoBreak] in \
\[NoBreak]\\!\\(XMLElement[\\(\\(\[LeftSkeleton] 1 \[RightSkeleton]\\)\\)]\\)\
\[NoBreak] is not a list of contents. The third item in an XMLElement must be \
a list of contents, even if it is an empty list. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::cntsList\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.581406278934778*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789407787`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"y\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896178*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896278*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"XMLElement", "::", "attrhs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(0.5`\\)\[NoBreak] in \[NoBreak]\\!\\(\\\"x\
\\\" \[Rule] 0.5`\\)\[NoBreak] is not a valid value for an attribute in an \
XMLElement. The value of the attribute must be a string. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/XMLElement\\\", ButtonNote -> \
\\\"XMLElement::attrhs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.58140627896478*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Export", "::", "autofix"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Malformed symbolic XML expression encountered. This may \
result in unexpected XML data. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Export\\\", ButtonNote -> \\\"Export::autofix\\\"]\
\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789667807`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Export :: \
autofix\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.5719772245081663`*^9, 3.5756491048194995`*^9, 3.5756518582827463`*^9, 
   3.575716168283578*^9, 3.5757162224003243`*^9, 3.575726613449711*^9, 
   3.57577219001293*^9, 3.5757724100875945`*^9, 3.5757725428750277`*^9, 
   3.5757726411956463`*^9, 3.5758602676500883`*^9, 3.576214806661736*^9, {
   3.576214846511736*^9, 3.576214870999736*^9}, 3.5762154648406305`*^9, 
   3.5762155801541605`*^9, 3.5762159279769397`*^9, 3.5762160085029917`*^9, 
   3.5762160646016006`*^9, 3.5762161641477385`*^9, 3.576216881493291*^9, 
   3.576216967149856*^9, 3.576217022517392*^9, 3.576217143301469*^9, {
   3.576217204553594*^9, 3.576217232297368*^9}, 3.57624123422338*^9, 
   3.576241311138123*^9, {3.576241382457694*^9, 3.5762414045785327`*^9}, 
   3.576241480191866*^9, 3.576241557864402*^9, 3.5774507341184607`*^9, 
   3.577451130187063*^9, 3.577451209315975*^9, 3.577451528916789*^9, 
   3.577451585864094*^9, 3.577451791788363*^9, 3.577615534195261*^9, 
   3.5776166339072213`*^9, 3.577616698851715*^9, 3.5776167627991095`*^9, 
   3.578509713523843*^9, 3.578625045951645*^9, 3.5786296228952866`*^9, 
   3.5786297162682867`*^9, 3.578629766109316*^9, 3.5786301730710077`*^9, 
   3.5786302555372534`*^9, 3.578630613210017*^9, 3.5786390298970547`*^9, 
   3.578816621408367*^9, 3.581405994657519*^9, 3.5814062789687805`*^9}],

Cell[BoxData["\<\"HydraulicFuelTankG.xml\"\>"], "Output",
 CellChangeTimes->{
  3.568289392095846*^9, 3.568289491937557*^9, 3.5682895380141926`*^9, 
   3.568292619508444*^9, 3.568292762315612*^9, 3.5682931681698256`*^9, 
   3.568293226339153*^9, 3.5682937594886475`*^9, 3.56829422127606*^9, 
   3.5682946191238155`*^9, 3.5683543029085417`*^9, {3.5683549924949493`*^9, 
   3.568355015118949*^9}, {3.568355108194949*^9, 3.5683551320089493`*^9}, 
   3.568361853787673*^9, 3.5683622704723372`*^9, {3.5683624196012487`*^9, 
   3.5683624345967484`*^9}, 3.5684641016192293`*^9, {3.5685259268350196`*^9, 
   3.5685259316775036`*^9}, 3.5685259664849844`*^9, 3.568526079936328*^9, 
   3.5685261793134394`*^9, 3.568526268569439*^9, 3.5685267092164392`*^9, 
   3.568527110067439*^9, 3.568528213695278*^9, 3.5719772245237665`*^9, 
   3.5756491048305006`*^9, 3.5756518583117476`*^9, 3.575716168283578*^9, 
   3.575716222415924*^9, 3.5757266134965105`*^9, 3.5757721900597296`*^9, 
   3.5757724101187944`*^9, 3.575772542890628*^9, 3.5757726412268467`*^9, 
   3.5758602676656804`*^9, 3.576214806675736*^9, {3.576214846564736*^9, 
   3.576214871033736*^9}, 3.5762154648626328`*^9, 3.5762155801731625`*^9, 
   3.576215928007943*^9, 3.576216008549996*^9, 3.576216064635604*^9, 
   3.576216164198739*^9, 3.576216881524294*^9, 3.5762169671898603`*^9, 
   3.576217022549395*^9, 3.5762171433424735`*^9, {3.5762172045895977`*^9, 
   3.576217232336372*^9}, 3.57624123425458*^9, 3.5762413111537232`*^9, {
   3.576241382488894*^9, 3.5762414046097326`*^9}, 3.5762414802074656`*^9, 
   3.576241557880002*^9, 3.5774507341274614`*^9, 3.5774511302160664`*^9, 
   3.5774512093399777`*^9, 3.577451529012779*^9, 3.577451585888091*^9, 
   3.577451791814363*^9, 3.577615534206262*^9, 3.577616633927223*^9, 
   3.5776166988737173`*^9, 3.5776167628231115`*^9, 3.5785097135438437`*^9, 
   3.578625045972635*^9, 3.578629622917287*^9, 3.578629716290287*^9, 
   3.5786297661303177`*^9, 3.5786301730950103`*^9, 3.5786302555632563`*^9, 
   3.57863061323802*^9, 3.5786390299230547`*^9, 3.578816621424367*^9, 
   3.58140599468252*^9, 3.5814062789697804`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1008, 633},
WindowMargins->{{Automatic, -114}, {Automatic, 188}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> 
     FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", CharacterEncoding -> 
       "WindowsANSI"]]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Microsoft Windows (64-bit) (October 6, 2011)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 152, 2, 65, "Title"],
Cell[CellGroupData[{
Cell[744, 28, 96, 1, 75, "Section"],
Cell[843, 31, 431, 11, 82, "Input"],
Cell[1277, 44, 151, 2, 41, "Input"],
Cell[1431, 48, 124, 3, 41, "Input"],
Cell[CellGroupData[{
Cell[1580, 55, 149, 2, 36, "Subsection"],
Cell[1732, 59, 1300, 26, 347, "Input"]
}, Open  ]]
}, Open  ]],
Cell[3059, 89, 602, 12, 41, "Input"],
Cell[3664, 103, 805, 15, 41, "Input"],
Cell[CellGroupData[{
Cell[4494, 122, 280, 7, 98, "Section"],
Cell[CellGroupData[{
Cell[4799, 133, 68, 1, 36, "Subsection"],
Cell[4870, 136, 218, 3, 29, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[5125, 144, 100, 1, 28, "Subsection"],
Cell[5228, 147, 1303, 30, 182, "Input"],
Cell[6534, 179, 1255, 29, 122, "Input"],
Cell[7792, 210, 1105, 26, 142, "Input"],
Cell[8900, 238, 3086, 72, 322, "Input"],
Cell[11989, 312, 384, 9, 41, "Input"],
Cell[CellGroupData[{
Cell[12398, 325, 139, 2, 41, "Input"],
Cell[12540, 329, 4101, 60, 40, "Output"]
}, Open  ]],
Cell[16656, 392, 763, 21, 122, "Input"],
Cell[17422, 415, 949, 27, 102, "Input"],
Cell[18374, 444, 1124, 28, 102, "Input"],
Cell[19501, 474, 535, 14, 102, "Input"],
Cell[20039, 490, 1445, 33, 211, "Input"],
Cell[21487, 525, 943, 18, 142, "Input"],
Cell[22433, 545, 117, 3, 41, "Input"],
Cell[22553, 550, 509, 14, 41, "Input"],
Cell[CellGroupData[{
Cell[23087, 568, 63, 1, 41, "Input"],
Cell[23153, 571, 5285, 77, 124, "Message"],
Cell[28441, 650, 2450, 38, 21, "Message"],
Cell[30894, 690, 2563, 39, 21, "Message"],
Cell[33460, 731, 2448, 38, 21, "Message"],
Cell[35911, 771, 2565, 39, 21, "Message"],
Cell[38479, 812, 2448, 38, 21, "Message"],
Cell[40930, 852, 2524, 39, 21, "Message"],
Cell[43457, 893, 2597, 40, 21, "Message"],
Cell[46057, 935, 2527, 39, 21, "Message"],
Cell[48587, 976, 1559, 22, 40, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[50185, 1003, 812, 15, 38, "Input"],
Cell[CellGroupData[{
Cell[51022, 1022, 259, 5, 75, "Section",
 Evaluatable->False],
Cell[51284, 1029, 1643, 34, 182, "Input"],
Cell[CellGroupData[{
Cell[52952, 1067, 43, 0, 36, "Subsection"],
Cell[52998, 1069, 43, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53078, 1074, 41, 0, 36, "Subsection"],
Cell[53122, 1076, 70, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53229, 1081, 46, 0, 36, "Subsection"],
Cell[53278, 1083, 108, 2, 41, "Input"],
Cell[53389, 1087, 109, 2, 41, "Input"],
Cell[53501, 1091, 114, 2, 41, "Input"],
Cell[53618, 1095, 1586, 36, 188, "Input"],
Cell[55207, 1133, 1025, 26, 150, "Input"],
Cell[56235, 1161, 398, 10, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56670, 1176, 45, 0, 36, "Subsection"],
Cell[56718, 1178, 42, 0, 29, "Text"],
Cell[56763, 1180, 301, 7, 41, "Input"],
Cell[57067, 1189, 1711, 42, 146, "Input"],
Cell[58781, 1233, 92, 1, 29, "Text"],
Cell[58876, 1236, 330, 9, 41, "Input"],
Cell[59209, 1247, 372, 9, 41, "Input"],
Cell[59584, 1258, 29, 0, 29, "Text"],
Cell[59616, 1260, 519, 11, 82, "Input"],
Cell[60138, 1273, 132, 1, 29, "Text"],
Cell[60273, 1276, 282, 7, 41, "Input"],
Cell[CellGroupData[{
Cell[60580, 1287, 63, 1, 41, "Input"],
Cell[60646, 1290, 1680, 27, 21, "Message"],
Cell[62329, 1319, 1680, 27, 21, "Message"],
Cell[64012, 1348, 1678, 27, 21, "Message"],
Cell[65693, 1377, 1674, 27, 21, "Message"],
Cell[67370, 1406, 5381, 79, 311, "Message"],
Cell[72754, 1487, 1606, 26, 21, "Message"],
Cell[74363, 1515, 1719, 27, 21, "Message"],
Cell[76085, 1544, 1606, 26, 21, "Message"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[77752, 1577, 277, 5, 45, "Section",
 Evaluatable->False],
Cell[78032, 1584, 1659, 35, 182, "Input"],
Cell[CellGroupData[{
Cell[79716, 1623, 43, 0, 36, "Subsection"],
Cell[79762, 1625, 43, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79842, 1630, 41, 0, 36, "Subsection"],
Cell[79886, 1632, 70, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79993, 1637, 46, 0, 36, "Subsection"],
Cell[80042, 1639, 108, 2, 41, "Input"],
Cell[80153, 1643, 109, 2, 41, "Input"],
Cell[80265, 1647, 114, 2, 41, "Input"],
Cell[80382, 1651, 1497, 33, 168, "Input"],
Cell[81882, 1686, 1515, 32, 151, "Input"],
Cell[83400, 1720, 1087, 27, 150, "Input"],
Cell[84490, 1749, 398, 10, 62, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84925, 1764, 45, 0, 36, "Subsection"],
Cell[84973, 1766, 42, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[85040, 1770, 145, 3, 43, "Input"],
Cell[85188, 1775, 737, 11, 40, "Output"]
}, Open  ]],
Cell[85940, 1789, 134, 3, 41, "Input"],
Cell[86077, 1794, 136, 3, 41, "Input"],
Cell[86216, 1799, 185, 5, 60, "Input"],
Cell[86404, 1806, 301, 7, 41, "Input"],
Cell[86708, 1815, 1606, 37, 146, "Input"],
Cell[88317, 1854, 92, 1, 29, "Text"],
Cell[88412, 1857, 330, 9, 41, "Input"],
Cell[88745, 1868, 372, 9, 41, "Input"],
Cell[89120, 1879, 29, 0, 29, "Text"],
Cell[89152, 1881, 519, 11, 82, "Input"],
Cell[89674, 1894, 132, 1, 29, "Text"],
Cell[89809, 1897, 282, 7, 41, "Input"],
Cell[CellGroupData[{
Cell[90116, 1908, 63, 1, 41, "Input"],
Cell[90182, 1911, 1076, 18, 21, "Message"],
Cell[91261, 1931, 3077, 45, 90, "Message"],
Cell[94341, 1978, 1000, 17, 21, "Message"],
Cell[95344, 1997, 1115, 18, 21, "Message"],
Cell[96462, 2017, 1002, 17, 21, "Message"],
Cell[97467, 2036, 194, 5, 41, "Input"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[97700, 2046, 782, 14, 38, "Input"],
Cell[CellGroupData[{
Cell[98507, 2064, 291, 4, 75, "Section"],
Cell[CellGroupData[{
Cell[98823, 2072, 100, 1, 36, "Subsection"],
Cell[98926, 2075, 1444, 33, 182, "Input"],
Cell[100373, 2110, 1015, 21, 102, "Input"],
Cell[101391, 2133, 410, 10, 82, "Input"],
Cell[101804, 2145, 674, 17, 102, "Input"],
Cell[102481, 2164, 3457, 68, 262, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[105941, 2234, 162, 4, 41, "Input"],
Cell[106106, 2240, 1090, 24, 154, "Input"],
Cell[107199, 2266, 166, 2, 41, "Input"],
Cell[107368, 2270, 1776, 43, 160, "Input"],
Cell[109147, 2315, 765, 18, 102, "Input"],
Cell[109915, 2335, 381, 9, 41, "Input"],
Cell[110299, 2346, 224, 6, 41, "Input"],
Cell[110526, 2354, 275, 8, 41, "Input"],
Cell[110804, 2364, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[111163, 2378, 107, 2, 41, "Input"],
Cell[111273, 2382, 2156, 34, 70, "Message"],
Cell[113432, 2418, 2156, 34, 70, "Message"],
Cell[115591, 2454, 2154, 34, 70, "Message"],
Cell[117748, 2490, 2152, 34, 70, "Message"],
Cell[119903, 2526, 4328, 65, 70, "Message"],
Cell[124234, 2593, 2082, 33, 70, "Message"],
Cell[126319, 2628, 2229, 35, 70, "Message"],
Cell[128551, 2665, 2080, 33, 70, "Message"],
Cell[130634, 2700, 2229, 35, 70, "Message"],
Cell[132866, 2737, 2082, 33, 70, "Message"],
Cell[134951, 2772, 2156, 34, 70, "Message"],
Cell[137110, 2808, 2197, 34, 70, "Message"],
Cell[139310, 2844, 2159, 34, 70, "Message"],
Cell[141472, 2880, 1590, 22, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[143123, 2909, 267, 4, 45, "Section"],
Cell[143393, 2915, 132, 3, 41, "Input"],
Cell[CellGroupData[{
Cell[143550, 2922, 100, 1, 36, "Subsection"],
Cell[143653, 2925, 1473, 34, 182, "Input"],
Cell[145129, 2961, 1015, 21, 102, "Input"],
Cell[146147, 2984, 410, 10, 82, "Input"],
Cell[146560, 2996, 427, 11, 82, "Input"],
Cell[146990, 3009, 3699, 72, 262, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[150692, 3083, 89, 1, 62, "Input"],
Cell[150784, 3086, 1219, 26, 174, "Input"],
Cell[152006, 3114, 1303, 30, 112, "Input"],
Cell[153312, 3146, 765, 18, 102, "Input"],
Cell[154080, 3166, 386, 8, 41, "Input"],
Cell[154469, 3176, 224, 6, 41, "Input"],
Cell[154696, 3184, 215, 6, 41, "Input"],
Cell[154914, 3192, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[155273, 3206, 107, 2, 41, "Input"],
Cell[155383, 3210, 1332, 23, 70, "Message"],
Cell[156718, 3235, 3504, 55, 70, "Message"],
Cell[160225, 3292, 1260, 22, 70, "Message"],
Cell[161488, 3316, 1405, 24, 70, "Message"],
Cell[162896, 3342, 1260, 22, 70, "Message"],
Cell[164159, 3366, 1407, 24, 70, "Message"],
Cell[165569, 3392, 1258, 22, 70, "Message"],
Cell[166830, 3416, 1334, 23, 70, "Message"],
Cell[168167, 3441, 1373, 23, 70, "Message"],
Cell[169543, 3466, 1335, 23, 70, "Message"],
Cell[170881, 3491, 1088, 15, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[172030, 3513, 315, 4, 45, "Section"],
Cell[CellGroupData[{
Cell[172370, 3521, 100, 1, 36, "Subsection"],
Cell[172473, 3524, 1527, 34, 182, "Input"],
Cell[174003, 3560, 1015, 21, 102, "Input"],
Cell[175021, 3583, 410, 10, 82, "Input"],
Cell[175434, 3595, 427, 11, 82, "Input"],
Cell[175864, 3608, 3652, 71, 262, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[179519, 3681, 162, 4, 41, "Input"],
Cell[179684, 3687, 991, 20, 134, "Input"],
Cell[180678, 3709, 424, 11, 62, "Input"],
Cell[181105, 3722, 1344, 31, 112, "Input"],
Cell[182452, 3755, 1011, 20, 102, "Input"],
Cell[183466, 3777, 386, 8, 41, "Input"],
Cell[183855, 3787, 224, 6, 41, "Input"],
Cell[184082, 3795, 215, 6, 41, "Input"],
Cell[184300, 3803, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[184659, 3817, 107, 2, 41, "Input"],
Cell[184769, 3821, 1054, 18, 21, "Message"],
Cell[185826, 3841, 2474, 40, 107, "Message"],
Cell[188303, 3883, 980, 17, 21, "Message"],
Cell[189286, 3902, 1125, 19, 21, "Message"],
Cell[190414, 3923, 978, 17, 21, "Message"],
Cell[191395, 3942, 1127, 19, 21, "Message"],
Cell[192525, 3963, 978, 17, 21, "Message"],
Cell[193506, 3982, 1052, 18, 21, "Message"],
Cell[194561, 4002, 1095, 18, 21, "Message"],
Cell[195659, 4022, 1057, 18, 21, "Message"],
Cell[196719, 4042, 647, 8, 40, "Output"],
Cell[197369, 4052, 164, 4, 41, "Input"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[197594, 4063, 425, 6, 45, "Section"],
Cell[CellGroupData[{
Cell[198044, 4073, 100, 1, 36, "Subsection"],
Cell[198147, 4076, 1588, 36, 182, "Input"],
Cell[199738, 4114, 1270, 27, 122, "Input"],
Cell[201011, 4143, 438, 11, 82, "Input"],
Cell[201452, 4156, 571, 15, 102, "Input"],
Cell[202026, 4173, 3671, 71, 262, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[205700, 4246, 1059, 21, 122, "Input"],
Cell[206762, 4269, 373, 10, 62, "Input"],
Cell[207138, 4281, 1452, 32, 140, "Input"],
Cell[208593, 4315, 902, 18, 102, "Input"],
Cell[209498, 4335, 440, 9, 41, "Input"],
Cell[209941, 4346, 481, 11, 41, "Input"],
Cell[210425, 4359, 215, 6, 41, "Input"],
Cell[CellGroupData[{
Cell[210665, 4369, 107, 2, 41, "Input"],
Cell[210775, 4373, 1503, 25, 70, "Message"],
Cell[212281, 4400, 4079, 61, 70, "Message"],
Cell[216363, 4463, 1427, 24, 70, "Message"],
Cell[217793, 4489, 1546, 25, 70, "Message"],
Cell[219342, 4516, 1427, 24, 70, "Message"],
Cell[220772, 4542, 1544, 25, 70, "Message"],
Cell[222319, 4569, 1427, 24, 70, "Message"],
Cell[223749, 4595, 1503, 25, 70, "Message"],
Cell[225255, 4622, 1544, 25, 70, "Message"],
Cell[226802, 4649, 1506, 25, 70, "Message"],
Cell[228311, 4676, 1388, 19, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[229760, 4702, 468, 6, 45, "Section"],
Cell[CellGroupData[{
Cell[230253, 4712, 100, 1, 36, "Subsection"],
Cell[230356, 4715, 1632, 36, 182, "Input"],
Cell[231991, 4753, 1565, 33, 142, "Input"],
Cell[233559, 4788, 438, 11, 82, "Input"],
Cell[234000, 4801, 407, 11, 82, "Input"],
Cell[234410, 4814, 3696, 72, 262, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[238109, 4888, 162, 4, 41, "Input"],
Cell[238274, 4894, 1179, 23, 174, "Input"],
Cell[239456, 4919, 373, 10, 62, "Input"],
Cell[239832, 4931, 1524, 33, 140, "Input"],
Cell[241359, 4966, 952, 19, 102, "Input"],
Cell[242314, 4987, 440, 9, 41, "Input"],
Cell[242757, 4998, 485, 11, 41, "Input"],
Cell[243245, 5011, 215, 6, 41, "Input"],
Cell[243463, 5019, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[243822, 5033, 107, 2, 41, "Input"],
Cell[243932, 5037, 1719, 28, 21, "Message"],
Cell[245654, 5067, 4254, 64, 158, "Message"],
Cell[249911, 5133, 1643, 27, 21, "Message"],
Cell[251557, 5162, 1760, 28, 21, "Message"],
Cell[253320, 5192, 1645, 27, 21, "Message"],
Cell[254968, 5221, 1758, 28, 21, "Message"],
Cell[256729, 5251, 1643, 27, 21, "Message"],
Cell[258375, 5280, 1719, 28, 21, "Message"],
Cell[260097, 5310, 1792, 29, 39, "Message"],
Cell[261892, 5341, 1722, 28, 21, "Message"],
Cell[263617, 5371, 1600, 22, 40, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[265278, 5400, 521, 7, 45, "Section"],
Cell[CellGroupData[{
Cell[265824, 5411, 100, 1, 36, "Subsection"],
Cell[265927, 5414, 1679, 36, 182, "Input"],
Cell[267609, 5452, 1391, 28, 122, "Input"],
Cell[269003, 5482, 438, 11, 82, "Input"],
Cell[269444, 5495, 407, 11, 82, "Input"],
Cell[269854, 5508, 3922, 76, 282, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[273779, 5586, 162, 4, 41, "Input"],
Cell[273944, 5592, 1157, 22, 154, "Input"],
Cell[275104, 5616, 373, 10, 62, "Input"],
Cell[275480, 5628, 1718, 36, 140, "Input"],
Cell[277201, 5666, 952, 19, 102, "Input"],
Cell[278156, 5687, 440, 9, 41, "Input"],
Cell[278599, 5698, 490, 11, 41, "Input"],
Cell[279092, 5711, 215, 6, 41, "Input"],
Cell[279310, 5719, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[279669, 5733, 107, 2, 41, "Input"],
Cell[279779, 5737, 1998, 32, 70, "Message"],
Cell[281780, 5771, 3995, 61, 70, "Message"],
Cell[285778, 5834, 1926, 31, 70, "Message"],
Cell[287707, 5867, 2043, 32, 70, "Message"],
Cell[289753, 5901, 1924, 31, 70, "Message"],
Cell[291680, 5934, 2041, 32, 70, "Message"],
Cell[293724, 5968, 1924, 31, 70, "Message"],
Cell[295651, 6001, 2000, 32, 70, "Message"],
Cell[297654, 6035, 2041, 32, 70, "Message"],
Cell[299698, 6069, 2001, 32, 70, "Message"],
Cell[301702, 6103, 1867, 26, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[303630, 6136, 74, 1, 45, "Section"],
Cell[CellGroupData[{
Cell[303729, 6141, 68, 1, 36, "Subsection"],
Cell[303800, 6144, 115, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[303940, 6151, 7568, 96, 100, "Graphics"],
Cell[311511, 6249, 12170, 152, 171, "Graphics"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[323730, 6407, 100, 1, 36, "Subsection"],
Cell[323833, 6410, 1723, 35, 182, "Input"],
Cell[325559, 6447, 1304, 30, 142, "Input"],
Cell[326866, 6479, 349, 9, 82, "Input"],
Cell[327218, 6490, 3019, 71, 322, "Input"],
Cell[330240, 6563, 949, 27, 102, "Input"],
Cell[331192, 6592, 1064, 28, 102, "Input"],
Cell[332259, 6622, 487, 13, 102, "Input"],
Cell[332749, 6637, 993, 24, 211, "Input"],
Cell[333745, 6663, 820, 22, 122, "Input"],
Cell[334568, 6687, 1071, 22, 142, "Input"],
Cell[335642, 6711, 384, 9, 41, "Input"],
Cell[336029, 6722, 683, 16, 41, "Input"],
Cell[CellGroupData[{
Cell[336737, 6742, 63, 1, 41, "Input"],
Cell[336803, 6745, 3758, 55, 70, "Message"],
Cell[340564, 6802, 1186, 20, 70, "Message"],
Cell[341753, 6824, 1303, 21, 70, "Message"],
Cell[343059, 6847, 1188, 20, 70, "Message"],
Cell[344250, 6869, 1301, 21, 70, "Message"],
Cell[345554, 6892, 1188, 20, 70, "Message"],
Cell[346745, 6914, 1262, 21, 70, "Message"],
Cell[348010, 6937, 1335, 22, 70, "Message"],
Cell[349348, 6961, 1265, 21, 70, "Message"],
Cell[350616, 6984, 715, 10, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[351392, 7001, 142, 2, 45, "Section"],
Cell[CellGroupData[{
Cell[351559, 7007, 68, 1, 36, "Subsection"],
Cell[351630, 7010, 115, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[351770, 7017, 6936, 88, 100, "Graphics"],
Cell[358709, 7107, 10574, 133, 159, "Graphics"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[369332, 7246, 100, 1, 36, "Subsection"],
Cell[369435, 7249, 1733, 36, 182, "Input"],
Cell[371171, 7287, 1153, 25, 122, "Input"],
Cell[372327, 7314, 349, 9, 82, "Input"],
Cell[372679, 7325, 2364, 53, 242, "Input"],
Cell[375046, 7380, 621, 16, 62, "Input"],
Cell[375670, 7398, 663, 16, 62, "Input"],
Cell[376336, 7416, 336, 8, 62, "Input"],
Cell[376675, 7426, 941, 21, 171, "Input"],
Cell[377619, 7449, 741, 17, 122, "Input"],
Cell[378363, 7468, 960, 20, 122, "Input"],
Cell[379326, 7490, 479, 9, 41, "Input"],
Cell[379808, 7501, 609, 14, 41, "Input"],
Cell[CellGroupData[{
Cell[380442, 7519, 63, 1, 41, "Input"],
Cell[380508, 7522, 3029, 49, 141, "Message"],
Cell[383540, 7573, 826, 18, 21, "Message"],
Cell[384369, 7593, 943, 19, 21, "Message"],
Cell[385315, 7614, 826, 18, 21, "Message"],
Cell[386144, 7634, 941, 19, 21, "Message"],
Cell[387088, 7655, 826, 18, 21, "Message"],
Cell[387917, 7675, 900, 19, 21, "Message"],
Cell[388820, 7696, 943, 19, 21, "Message"],
Cell[389766, 7717, 898, 18, 21, "Message"],
Cell[390667, 7737, 862, 12, 40, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[391590, 7756, 210, 5, 45, "Section"],
Cell[CellGroupData[{
Cell[391825, 7765, 68, 1, 36, "Subsection"],
Cell[391896, 7768, 115, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[392036, 7775, 7568, 96, 100, "Graphics"],
Cell[399607, 7873, 12170, 152, 171, "Graphics"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[411826, 8031, 100, 1, 36, "Subsection"],
Cell[411929, 8034, 1637, 35, 182, "Input"],
Cell[413569, 8071, 1516, 35, 162, "Input"],
Cell[415088, 8108, 349, 9, 82, "Input"],
Cell[415440, 8119, 4246, 95, 422, "Input"],
Cell[419689, 8216, 1758, 51, 162, "Input"],
Cell[421450, 8269, 2172, 57, 162, "Input"],
Cell[423625, 8328, 632, 16, 122, "Input"],
Cell[424260, 8346, 1549, 32, 271, "Input"],
Cell[425812, 8380, 1174, 29, 162, "Input"],
Cell[CellGroupData[{
Cell[427011, 8413, 43, 0, 41, "Input"],
Cell[427057, 8415, 2457, 74, 70, "Output"]
}, Open  ]],
Cell[429529, 8492, 1306, 27, 162, "Input"],
Cell[CellGroupData[{
Cell[430860, 8523, 49, 0, 41, "Input"],
Cell[430912, 8525, 1037, 26, 70, "Output"]
}, Open  ]],
Cell[431964, 8554, 507, 10, 41, "Input"],
Cell[432474, 8566, 117, 3, 41, "Input"],
Cell[432594, 8571, 734, 18, 41, "Input"],
Cell[CellGroupData[{
Cell[433353, 8593, 63, 1, 41, "Input"],
Cell[433419, 8596, 3567, 53, 70, "Message"],
Cell[436989, 8651, 2266, 35, 70, "Message"],
Cell[439258, 8688, 2415, 37, 70, "Message"],
Cell[441676, 8727, 2266, 35, 70, "Message"],
Cell[443945, 8764, 2413, 37, 70, "Message"],
Cell[446361, 8803, 2268, 35, 70, "Message"],
Cell[448632, 8840, 2340, 36, 70, "Message"],
Cell[450975, 8878, 2381, 36, 70, "Message"],
Cell[453359, 8916, 2345, 36, 70, "Message"],
Cell[455707, 8954, 1606, 22, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[457350, 8981, 98, 1, 41, "Input"],
Cell[457451, 8984, 1714, 24, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[459226, 9015, 240, 4, 45, "Section"],
Cell[CellGroupData[{
Cell[459491, 9023, 68, 1, 36, "Subsection"],
Cell[459562, 9026, 115, 3, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[459714, 9034, 100, 1, 36, "Subsection"],
Cell[459817, 9037, 1663, 35, 182, "Input"],
Cell[461483, 9074, 1901, 42, 182, "Input"],
Cell[463387, 9118, 349, 9, 82, "Input"],
Cell[463739, 9129, 3822, 86, 362, "Input"],
Cell[467564, 9217, 91, 1, 41, "Input"],
Cell[467658, 9220, 1472, 40, 122, "Input"],
Cell[469133, 9262, 1799, 43, 122, "Input"],
Cell[470935, 9307, 805, 19, 122, "Input"],
Cell[471743, 9328, 1064, 24, 231, "Input"],
Cell[472810, 9354, 116, 2, 41, "Input"],
Cell[472929, 9358, 1671, 34, 162, "Input"],
Cell[474603, 9394, 1845, 35, 182, "Input"],
Cell[476451, 9431, 332, 8, 41, "Input"],
Cell[476786, 9441, 723, 14, 41, "Input"],
Cell[477512, 9457, 761, 19, 41, "Input"],
Cell[CellGroupData[{
Cell[478298, 9480, 63, 1, 41, "Input"],
Cell[478364, 9483, 3888, 58, 70, "Message"],
Cell[482255, 9543, 2586, 40, 70, "Message"],
Cell[484844, 9585, 2735, 42, 70, "Message"],
Cell[487582, 9629, 2586, 40, 70, "Message"],
Cell[490171, 9671, 2733, 42, 70, "Message"],
Cell[492907, 9715, 2589, 40, 70, "Message"],
Cell[495499, 9757, 2663, 41, 70, "Message"],
Cell[498165, 9800, 2735, 42, 70, "Message"],
Cell[500903, 9844, 2666, 41, 70, "Message"],
Cell[503572, 9887, 2059, 28, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[505692, 9922, 275, 8, 66, "Section",
 Evaluatable->False],
Cell[505970, 9932, 1486, 32, 182, "Input"],
Cell[CellGroupData[{
Cell[507481, 9968, 43, 0, 36, "Subsection"],
Cell[507527, 9970, 43, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[507607, 9975, 41, 0, 36, "Subsection"],
Cell[507651, 9977, 70, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[507758, 9982, 46, 0, 36, "Subsection"],
Cell[507807, 9984, 1714, 44, 242, "Input"],
Cell[509524, 10030, 701, 18, 102, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[510262, 10053, 45, 0, 36, "Subsection"],
Cell[510310, 10055, 524, 15, 82, "Input"],
Cell[510837, 10072, 42, 0, 29, "Text"],
Cell[510882, 10074, 281, 7, 41, "Input"],
Cell[511166, 10083, 117, 1, 29, "Text"],
Cell[511286, 10086, 1569, 42, 142, "Input"],
Cell[512858, 10130, 29, 0, 29, "Text"],
Cell[512890, 10132, 660, 16, 122, "Input"],
Cell[513553, 10150, 132, 1, 29, "Text"],
Cell[513688, 10153, 266, 7, 41, "Input"],
Cell[513957, 10162, 92, 1, 29, "Text"],
Cell[514052, 10165, 327, 8, 41, "Input"],
Cell[514382, 10175, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[514741, 10189, 63, 1, 41, "Input"],
Cell[514807, 10192, 1992, 32, 70, "Message"],
Cell[516802, 10226, 1992, 32, 70, "Message"],
Cell[518797, 10260, 1990, 32, 70, "Message"],
Cell[520790, 10294, 1988, 32, 70, "Message"],
Cell[522781, 10328, 4068, 61, 70, "Message"],
Cell[526852, 10391, 1918, 31, 70, "Message"],
Cell[528773, 10424, 2033, 32, 70, "Message"],
Cell[530809, 10458, 1918, 31, 70, "Message"],
Cell[532730, 10491, 2031, 32, 70, "Message"],
Cell[534764, 10525, 1918, 31, 70, "Message"],
Cell[536685, 10558, 1992, 32, 70, "Message"],
Cell[538680, 10592, 2035, 32, 70, "Message"],
Cell[540718, 10626, 1995, 32, 70, "Message"],
Cell[542716, 10660, 1220, 17, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[543997, 10684, 239, 7, 66, "Section",
 Evaluatable->False],
Cell[544239, 10693, 1517, 33, 182, "Input"],
Cell[CellGroupData[{
Cell[545781, 10730, 43, 0, 36, "Subsection"],
Cell[545827, 10732, 43, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[545907, 10737, 41, 0, 36, "Subsection"],
Cell[545951, 10739, 70, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[546058, 10744, 46, 0, 36, "Subsection"],
Cell[546107, 10746, 1837, 47, 262, "Input"],
Cell[547947, 10795, 701, 18, 102, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[548685, 10818, 45, 0, 36, "Subsection"],
Cell[548733, 10820, 42, 0, 29, "Text"],
Cell[548778, 10822, 230, 6, 41, "Input"],
Cell[549011, 10830, 132, 1, 29, "Text"],
Cell[549146, 10833, 1517, 42, 142, "Input"],
Cell[550666, 10877, 29, 0, 29, "Text"],
Cell[550698, 10879, 660, 16, 122, "Input"],
Cell[551361, 10897, 266, 7, 41, "Input"],
Cell[551630, 10906, 92, 1, 29, "Text"],
Cell[551725, 10909, 327, 8, 41, "Input"],
Cell[552055, 10919, 334, 10, 41, "Input"],
Cell[CellGroupData[{
Cell[552414, 10933, 63, 1, 41, "Input"],
Cell[552480, 10936, 1953, 32, 70, "Message"],
Cell[554436, 10970, 1953, 32, 70, "Message"],
Cell[556392, 11004, 1951, 32, 70, "Message"],
Cell[558346, 11038, 1949, 32, 70, "Message"],
Cell[560298, 11072, 4625, 68, 70, "Message"],
Cell[564926, 11142, 1879, 31, 70, "Message"],
Cell[566808, 11175, 1996, 32, 70, "Message"],
Cell[568807, 11209, 1879, 31, 70, "Message"],
Cell[570689, 11242, 1994, 32, 70, "Message"],
Cell[572686, 11276, 1877, 31, 70, "Message"],
Cell[574566, 11309, 1953, 32, 70, "Message"],
Cell[576522, 11343, 1994, 32, 70, "Message"],
Cell[578519, 11377, 1956, 32, 70, "Message"],
Cell[580478, 11411, 1230, 17, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[581769, 11435, 264, 8, 66, "Section",
 Evaluatable->False],
Cell[582036, 11445, 1542, 33, 182, "Input"],
Cell[CellGroupData[{
Cell[583603, 11482, 43, 0, 36, "Subsection"],
Cell[583649, 11484, 137, 1, 29, "Text"]
}, Open  ]],
Cell[583801, 11488, 41, 0, 36, "Subsection"],
Cell[CellGroupData[{
Cell[583867, 11492, 46, 0, 28, "Subsection"],
Cell[583916, 11494, 2195, 55, 302, "Input"],
Cell[586114, 11551, 550, 14, 102, "Input"],
Cell[586667, 11567, 711, 18, 102, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[587415, 11590, 45, 0, 36, "Subsection"],
Cell[587463, 11592, 64, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[587552, 11596, 372, 9, 62, "Input"],
Cell[587927, 11607, 1337, 20, 70, "Output"]
}, Open  ]],
Cell[589279, 11630, 42, 0, 29, "Text"],
Cell[589324, 11632, 230, 6, 41, "Input"],
Cell[589557, 11640, 1465, 39, 142, "Input"],
Cell[591025, 11681, 29, 0, 29, "Text"],
Cell[591057, 11683, 607, 15, 98, "Input"],
Cell[591667, 11700, 116, 1, 29, "Text"],
Cell[591786, 11703, 276, 7, 41, "Input"],
Cell[592065, 11712, 387, 9, 41, "Input"],
Cell[592455, 11723, 334, 10, 41, "Input"],
Cell[592792, 11735, 420, 10, 102, "Input"],
Cell[CellGroupData[{
Cell[593237, 11749, 63, 1, 41, "Input"],
Cell[593303, 11752, 1823, 30, 70, "Message"],
Cell[595129, 11784, 1823, 30, 70, "Message"],
Cell[596955, 11816, 1825, 30, 70, "Message"],
Cell[598783, 11848, 1908, 31, 70, "Message"],
Cell[600694, 11881, 1910, 31, 70, "Message"],
Cell[602607, 11914, 1912, 31, 70, "Message"],
Cell[604522, 11947, 1912, 31, 70, "Message"],
Cell[606437, 11980, 1908, 31, 70, "Message"],
Cell[608348, 12013, 3836, 57, 70, "Message"],
Cell[612187, 12072, 1838, 30, 70, "Message"],
Cell[614028, 12104, 1953, 31, 70, "Message"],
Cell[615984, 12137, 1836, 30, 70, "Message"],
Cell[617823, 12169, 1951, 31, 70, "Message"],
Cell[619777, 12202, 1838, 30, 70, "Message"],
Cell[621618, 12234, 1912, 31, 70, "Message"],
Cell[623533, 12267, 1953, 31, 70, "Message"],
Cell[625489, 12300, 1913, 31, 70, "Message"],
Cell[627405, 12333, 1205, 17, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[628671, 12357, 211, 4, 45, "Section",
 Evaluatable->False],
Cell[628885, 12363, 1564, 33, 182, "Input"],
Cell[CellGroupData[{
Cell[630474, 12400, 43, 0, 36, "Subsection"],
Cell[630520, 12402, 43, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[630600, 12407, 41, 0, 36, "Subsection"],
Cell[630644, 12409, 70, 0, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[630751, 12414, 46, 0, 36, "Subsection"],
Cell[630800, 12416, 1049, 26, 148, "Input"],
Cell[631852, 12444, 905, 21, 122, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[632794, 12470, 45, 0, 36, "Subsection"],
Cell[632842, 12472, 42, 0, 29, "Text"],
Cell[632887, 12474, 350, 10, 59, "Input"],
Cell[633240, 12486, 132, 1, 29, "Text"],
Cell[633375, 12489, 1488, 35, 153, "Input"],
Cell[634866, 12526, 29, 0, 29, "Text"],
Cell[634898, 12528, 989, 20, 122, "Input"],
Cell[CellGroupData[{
Cell[635912, 12552, 49, 0, 41, "Input"],
Cell[635964, 12554, 697, 16, 70, "Output"]
}, Open  ]],
Cell[636676, 12573, 464, 10, 41, "Input"],
Cell[637143, 12585, 334, 10, 41, "Input"],
Cell[637480, 12597, 319, 7, 82, "Input"],
Cell[CellGroupData[{
Cell[637824, 12608, 101, 1, 41, "Input"],
Cell[637928, 12611, 1570, 41, 70, "Output"]
}, Open  ]],
Cell[639513, 12655, 92, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[639630, 12660, 63, 1, 41, "Input"],
Cell[639696, 12663, 2287, 36, 70, "Message"],
Cell[641986, 12701, 2287, 36, 70, "Message"],
Cell[644276, 12739, 2287, 36, 70, "Message"],
Cell[646566, 12777, 2283, 36, 70, "Message"],
Cell[648852, 12815, 4335, 65, 70, "Message"],
Cell[653190, 12882, 2213, 35, 70, "Message"],
Cell[655406, 12919, 2330, 36, 70, "Message"],
Cell[657739, 12957, 2211, 35, 70, "Message"],
Cell[659953, 12994, 2326, 36, 70, "Message"],
Cell[662282, 13032, 2213, 35, 70, "Message"],
Cell[664498, 13069, 2285, 36, 70, "Message"],
Cell[666786, 13107, 2328, 36, 70, "Message"],
Cell[669117, 13145, 2290, 36, 70, "Message"],
Cell[671410, 13183, 1568, 22, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],
Cell[673017, 13210, 885, 16, 59, "Input"],
Cell[CellGroupData[{
Cell[673927, 13230, 220, 3, 75, "Section"],
Cell[CellGroupData[{
Cell[674172, 13237, 100, 1, 36, "Subsection"],
Cell[674275, 13240, 1620, 34, 182, "Input"],
Cell[675898, 13276, 1929, 34, 102, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[677830, 13312, 2304, 49, 222, "Input"],
Cell[680137, 13363, 500, 11, 82, "Input"],
Cell[680640, 13376, 1001, 24, 142, "Input"],
Cell[CellGroupData[{
Cell[681666, 13404, 30765, 509, 586, "Input"],
Cell[712434, 13915, 30880, 511, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[743351, 14431, 165, 4, 57, "Input"],
Cell[743519, 14437, 1894, 28, 70, "Output"]
}, Open  ]],
Cell[745428, 14468, 267, 5, 41, "Input"],
Cell[745698, 14475, 3628, 81, 179, "Input"],
Cell[749329, 14558, 910, 20, 102, "Input"],
Cell[750242, 14580, 476, 10, 41, "Input"],
Cell[750721, 14592, 331, 10, 41, "Input"],
Cell[751055, 14604, 732, 17, 122, "Input"],
Cell[CellGroupData[{
Cell[751812, 14625, 107, 2, 41, "Input"],
Cell[751922, 14629, 4215, 65, 175, "Message"],
Cell[756140, 14696, 1602, 26, 21, "Message"],
Cell[757745, 14724, 1749, 28, 39, "Message"],
Cell[759497, 14754, 1604, 26, 21, "Message"],
Cell[761104, 14782, 1751, 28, 39, "Message"],
Cell[762858, 14812, 1604, 26, 21, "Message"],
Cell[764465, 14840, 1678, 27, 21, "Message"],
Cell[766146, 14869, 1719, 27, 21, "Message"],
Cell[767868, 14898, 1679, 27, 21, "Message"],
Cell[769550, 14927, 1259, 17, 40, "Output"]
}, Open  ]],
Cell[770824, 14947, 134, 3, 41, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[771007, 14956, 247, 3, 45, "Section"],
Cell[CellGroupData[{
Cell[771279, 14963, 100, 1, 36, "Subsection"],
Cell[771382, 14966, 1645, 34, 182, "Input"],
Cell[773030, 15002, 2172, 38, 122, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[775205, 15042, 2573, 56, 262, "Input"],
Cell[777781, 15100, 859, 20, 122, "Input"],
Cell[CellGroupData[{
Cell[778665, 15124, 30765, 509, 586, "Input"],
Cell[809433, 15635, 30880, 511, 586, "Output"]
}, Open  ]],
Cell[840328, 16149, 188, 4, 41, "Input"],
Cell[840519, 16155, 352, 10, 57, "Input"],
Cell[840874, 16167, 2437, 64, 159, "Input"],
Cell[843314, 16233, 1001, 23, 122, "Input"],
Cell[844318, 16258, 495, 10, 41, "Input"],
Cell[844816, 16270, 354, 10, 41, "Input"],
Cell[845173, 16282, 1023, 25, 142, "Input"],
Cell[CellGroupData[{
Cell[846221, 16311, 107, 2, 41, "Input"],
Cell[846331, 16315, 1716, 28, 21, "Message"],
Cell[848050, 16345, 3642, 56, 124, "Message"],
Cell[851695, 16403, 1642, 27, 21, "Message"],
Cell[853340, 16432, 1757, 28, 21, "Message"],
Cell[855100, 16462, 1640, 27, 21, "Message"],
Cell[856743, 16491, 1757, 28, 21, "Message"],
Cell[858503, 16521, 1640, 27, 21, "Message"],
Cell[860146, 16550, 1714, 28, 21, "Message"],
Cell[861863, 16580, 1757, 28, 21, "Message"],
Cell[863623, 16610, 1719, 28, 21, "Message"],
Cell[865345, 16640, 1280, 18, 40, "Output"]
}, Open  ]],
Cell[866640, 16661, 130, 3, 41, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[866819, 16670, 268, 4, 45, "Section"],
Cell[CellGroupData[{
Cell[867112, 16678, 100, 1, 36, "Subsection"],
Cell[867215, 16681, 1659, 34, 182, "Input"],
Cell[868877, 16717, 1929, 34, 102, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[870809, 16753, 2304, 49, 222, "Input"],
Cell[873116, 16804, 500, 11, 82, "Input"],
Cell[873619, 16817, 1001, 24, 142, "Input"],
Cell[CellGroupData[{
Cell[874645, 16845, 30765, 509, 586, "Input"],
Cell[905413, 17356, 30880, 511, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[936330, 17872, 165, 4, 57, "Input"],
Cell[936498, 17878, 1894, 28, 70, "Output"]
}, Open  ]],
Cell[938407, 17909, 267, 5, 41, "Input"],
Cell[938677, 17916, 3628, 81, 179, "Input"],
Cell[942308, 17999, 910, 20, 102, "Input"],
Cell[943221, 18021, 476, 10, 41, "Input"],
Cell[943700, 18033, 331, 10, 41, "Input"],
Cell[944034, 18045, 732, 17, 122, "Input"],
Cell[CellGroupData[{
Cell[944791, 18066, 107, 2, 41, "Input"],
Cell[944901, 18070, 4202, 64, 175, "Message"],
Cell[949106, 18136, 1589, 25, 21, "Message"],
Cell[950698, 18163, 1736, 27, 39, "Message"],
Cell[952437, 18192, 1591, 25, 21, "Message"],
Cell[954031, 18219, 1738, 27, 39, "Message"],
Cell[955772, 18248, 1591, 25, 21, "Message"],
Cell[957366, 18275, 1665, 26, 21, "Message"],
Cell[959034, 18303, 1706, 26, 21, "Message"],
Cell[960743, 18331, 1666, 26, 21, "Message"],
Cell[962412, 18359, 1259, 17, 40, "Output"]
}, Open  ]],
Cell[963686, 18379, 134, 3, 41, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[963869, 18388, 291, 4, 45, "Section"],
Cell[CellGroupData[{
Cell[964185, 18396, 100, 1, 36, "Subsection"],
Cell[964288, 18399, 1679, 34, 182, "Input"],
Cell[965970, 18435, 2172, 38, 122, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[968145, 18475, 2573, 56, 262, "Input"],
Cell[970721, 18533, 859, 20, 122, "Input"],
Cell[CellGroupData[{
Cell[971605, 18557, 30765, 509, 586, "Input"],
Cell[1002373, 19068, 30880, 511, 586, "Output"]
}, Open  ]],
Cell[1033268, 19582, 188, 4, 41, "Input"],
Cell[1033459, 19588, 352, 10, 57, "Input"],
Cell[1033814, 19600, 2437, 64, 159, "Input"],
Cell[1036254, 19666, 1001, 23, 122, "Input"],
Cell[1037258, 19691, 495, 10, 41, "Input"],
Cell[1037756, 19703, 354, 10, 41, "Input"],
Cell[1038113, 19715, 1023, 25, 142, "Input"],
Cell[CellGroupData[{
Cell[1039161, 19744, 107, 2, 41, "Input"],
Cell[1039271, 19748, 1703, 27, 21, "Message"],
Cell[1040977, 19777, 3629, 55, 141, "Message"],
Cell[1044609, 19834, 1629, 26, 21, "Message"],
Cell[1046241, 19862, 1744, 27, 21, "Message"],
Cell[1047988, 19891, 1627, 26, 21, "Message"],
Cell[1049618, 19919, 1744, 27, 21, "Message"],
Cell[1051365, 19948, 1627, 26, 21, "Message"],
Cell[1052995, 19976, 1701, 27, 21, "Message"],
Cell[1054699, 20005, 1744, 27, 21, "Message"],
Cell[1056446, 20034, 1706, 27, 21, "Message"],
Cell[1058155, 20063, 1280, 18, 40, "Output"]
}, Open  ]],
Cell[1059450, 20084, 130, 3, 41, "Input"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1059629, 20093, 221, 3, 45, "Section"],
Cell[1059853, 20098, 112, 2, 41, "Input"],
Cell[CellGroupData[{
Cell[1059990, 20104, 1291, 30, 182, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1061284, 20136, 129, 3, 41, "Input"],
Cell[1061416, 20141, 1570, 33, 162, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1062989, 20176, 767, 14, 82, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1063759, 20192, 888, 19, 102, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1064650, 20213, 540, 12, 82, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1065193, 20227, 639, 14, 82, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1065835, 20243, 303, 6, 41, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1066141, 20251, 313, 6, 41, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[1066469, 20260, 194, 4, 41, "Input"],
Cell[CellGroupData[{
Cell[1066688, 20268, 1692, 33, 142, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1068383, 20303, 577, 12, 41, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[CellGroupData[{
Cell[1068985, 20319, 208, 4, 41, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1069196, 20325, 1821, 29, 70, "Message"],
Cell[1071020, 20356, 3347, 49, 70, "Message"],
Cell[1074370, 20407, 1747, 28, 70, "Message"],
Cell[1076120, 20437, 1859, 29, 70, "Message"],
Cell[1077982, 20468, 1744, 28, 70, "Message"],
Cell[1079729, 20498, 1859, 29, 70, "Message"],
Cell[1081591, 20529, 1747, 28, 70, "Message"],
Cell[1083341, 20559, 1821, 29, 70, "Message"],
Cell[1085165, 20590, 2110, 29, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
